<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$action = postval("action");

if ($action == "default")
{
	$json = $uparr = $downarr = $flowarr = array();

	$path = DASHBOARD_PATH."/dashboard_appgroup_trend.txt";
	$legend = $xdate = array();
	$firsttag = 0;
	$slot		= 0;
	$maxupbps	= 0;
	$maxdownbps	= 0;
	$avgupbps	= 0;
	$avgdownbps	= 0;
	$allupbytes	= 0;
	$alldownbytes	= 0;
	$minupbps	= 0;
	$mindownbps	= 0;

	if (!file_exists($path)) {
		$json = array(
			"up"	=>$uparr, 
			"down"	=>$downarr, 
			"flow"	=>$flowarr, 
			"xdate"	=>$xdate,
			"maxupbps"	=>$maxupbps,
			"maxdownbps"	=>$maxdownbps,
			"avgupbps"	=>$avgupbps,
			"avgdownbps"	=>$avgdownbps,
			"allupbytes"	=>$allupbytes,
			"alldownbytes"	=>$alldownbytes,
			"minupbps"	=>$minupbps,
			"mindownbps"	=>$mindownbps
		);
		echo json_encode($json);
		exit;
	}

	$record = file($path);
	foreach($record as $val) {
		list($tag, $time, $val) = explode(' ', $val);

		if ($tag == "DATA") {
			array_push($xdate, $time);
			$slot++;
			continue;
		}
		if ($firsttag == 1)
			break;

		if ($tag == "TAG")
			$firsttag = 1;
	}

	$dataup = $datadown = $dataflow = array();

	$old_legend = $legend = "";
	$firsttag = 0;
	foreach($record as $val) {
		$ds = explode(' ', trim($val));
		$tag = $ds[0];
		$time = $ds[1];
		$v1 = $ds[2];
		if (count($ds) >= 4) 
			$v2 = $ds[3];
		if (count($ds) >= 5)
			$v3 = $ds[4];
		
		if ($tag == "TAG") {
			$firsttag++;
			$legend = iconv("gb2312", "utf-8", $v1);

			if ($old_legend == "")
				$old_legend = $legend;
		}

		if ($tag == "DATA") {
			array_push($dataup, (int)$v1);
			array_push($datadown, (int)$v2);
			array_push($dataflow, (int)$v3);
			continue;
		}

		if ($tag == "MAX") {
			/* MAX 738738 27884184 159931 5745587 345452914 12410468363 */
			list($tag, $maxupbps, $maxdownbps, $avgupbps, $avgdownbps, 
				$allupbytes, $alldownbytes, $minupbps, $mindownbps) = explode(' ', $val);
		}


		if ($firsttag >= 2) {
			array_push($uparr, array("data"=>$dataup, "name"=>$old_legend, "type"=>"line", "stack"=>"总量"));
			array_push($downarr, array("data"=>$datadown, "name"=>$old_legend, "type"=>"line", "stack"=>"总量"));
			array_push($flowarr, array("data"=>$dataflow, "name"=>$old_legend, "type"=>"line", "stack"=>"总量"));

			$old_legend = $legend;

			$dataup = $datadown = $dataflow = array();
		}
	}
	array_push($uparr, array("data"=>$dataup, "name"=>$legend, "type"=>"line", "stack"=>"总量"));
	array_push($downarr, array("data"=>$datadown, "name"=>$legend, "type"=>"line", "stack"=>"总量"));
	array_push($flowarr, array("data"=>$dataflow, "name"=>$legend, "type"=>"line", "stack"=>"总量"));

	$json = array(
		"up"	=>$uparr, 
		"down"	=>$downarr, 
		"flow"	=>$flowarr, 
		"xdate"	=>$xdate,
		"maxupbps"	=>$maxupbps,
		"maxdownbps"	=>$maxdownbps,
		"avgupbps"	=>$avgupbps,
		"avgdownbps"	=>$avgdownbps,
		"allupbytes"	=>$allupbytes,
		"alldownbytes"	=>$alldownbytes,
		"minupbps"	=>$minupbps,
		"mindownbps"	=>$mindownbps
	);
	echo json_encode($json);
}

