<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 20;
var gsort = 'total';
function pre() 
{
	page--;
	if (page <= 0)
		page = 1;
	
	appiplist(0);
}

function next() 
{
	page++;
	appiplist(0);
}
function apptoip_but(sort)
{
	page = 1;
	gsort = sort;
	
	appiplist(0);
}

function appiplist(bexport)
{
	var tb = '';
	var start;
	var devid = $("#devid").val();
	if (devid == "") devid = 0;
	var linkid = $("#linkid").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var appid = $("#appid").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	start = (page - 1) * limit;

	$.ajax({
		url:'../App/appiplist.php',
		dataType:'json',
		data:{devid:devid, name:name, appid: appid, tmstart:starttime, 
			tmend:endtime, errname:errname, page: page, limit: limit,
			sort: gsort, bexport:bexport},
		success:function(json) {
			cluster_load_hide();
			if (bexport > 0) {
				cluster_downloadfile(json.file);
				return;
			}
		
			var len = json.rows.length;
			var list = document.getElementById("apptoip-table");
			while (list.rows.length > 1)
				list.deleteRow(1);
			for (i = 0; i < len; i++) {
				r = json.rows[i];

				var obj = list.insertRow(-1);
				var pos = 0;

				var cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = start + i + 1;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.ip;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				if (r.account == "$") r.account = "";
				cell.innerHTML = r.account;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.flowcnt;

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = numberformats(r.upbytes);

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = numberformats(r.downbytes);

				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = numberformats(r.upbytes+r.downbytes);
			}

			layui.use(['laypage', 'layer'], function(){
				var laypage = layui.laypage, layer= layui.layer;
				laypage.render({
					elem: 'pagebar',
					count: json.totalrecords,
					limit: limit,
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					limits:[limit],
					theme: '#00A0E9',
					curr: page,
					jump: function(obj, first) {
						if (!first) {
							page = obj.curr;
							appiplist();
						}
					}
				});
			});
		}
	});
}
</script>
</head>

<body>
<?php
$devid = $_GET['devid'];
$linkid = $_GET['linkid'];
$starttime = $_GET['starttime'];
$endtime = $_GET['endtime'];
$appid = $_GET['appid'];
$cname = $_GET['cname'];
$h1 = "trendopen.php?devid=$devid&linkid=$linkid&appid=$appid&cname=$cname&starttime=$starttime&endtime=$endtime";
$h2 = "apptoip.php?devid=$devid&linkid=$linkid&appid=$appid&cname=$cname&starttime=$starttime&endtime=$endtime";
?>
<div class="outer">
	<input type="hidden" value="<?=$devid?>" id="devid" />
	<input type="hidden" value="<?=$linkid?>" id="linkid" />
	<input type="hidden" value="<?=$starttime?>" id="starttime" />
	<input type="hidden" value="<?=$endtime?>" id="endtime" />
	<input type="hidden" value="<?=$appid?>" id="appid" />
	<input type="hidden" value="<?=$cname?>" id="cname" />
	
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li><a href="<?=$h1?>">趋势统计</a></li>
			<li class="active"><a href="<?=$h2?>">用户列表</a></li>
		</ul>
	</div>
	<div class="topapp-list-table" style="margin-top:0px;">
		<div>
			<div style="float:left; margin:10px; padding-left:10px;">
				<a title="导出excel" class="layui-btn layui-btn-normal layui-btn-xs" onclick="appiplist(1)"><i class="layui-icon layui-icon-export"></i>EXCEL</a>
				<a title="导出txt" class="layui-btn layui-btn-normal layui-btn-xs" onclick="appiplist(2)"><i class="layui-icon layui-icon-export"></i>TXT</a>
				<a title="导出csv" class="layui-btn layui-btn-normal layui-btn-xs" onclick="appiplist(3)"><i class="layui-icon layui-icon-export"></i>CSV</a>
				<a class="layui-btn layui-btn-normal layui-btn-xs" onclick="cluster_downloadfile('')">下载列表</a>
			</div>
			<div style="clear:both;"></div>
		</div>
		<table id="apptoip-table" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
			<th class="txt-center" width="50px">序号</th>
			<th class="txt-left">用户地址</th>
			<th class="txt-left">用户账号</th>
			<th class="txt-right"><a href="javascript:apptoip_but('flow')">连接数</a></th>
			<th class="txt-right"><a href="javascript:apptoip_but('up')">上行流量(Byte)</a></th>
			<th class="txt-right"><a href="javascript:apptoip_but('down')">下行流量(Byte)</a></th>
			<th class="txt-right"><a href="javascript:apptoip_but('total')">总流量(Byte)</a></th>
			</tr>
		</table>
		<div id="pagebar" style="float:left;text-align:center;"> </div>
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });
appiplist(0);
</script>
</body>
</html>
