<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">

var sort = "flow";

function ifflow_iplist()
{
	var devid = getdevice();
	var ifname = $("#ifname").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var start_hour = $("#start_hour").val();
	var end_hour = $("#end_hour").val();
	var starttime = start + ' '+start_hour+':0:0';
	var endtime = end + ' '+end_hour+':59:59';
	var topn = $("#topn").val();
	if (topn == "" || isNaN(topn)) {
		topn = 100;
		$("#topn").val(topn);
	}
	var yys = $("#yyslist").val();
	var dstip = $("#dstip").val();
	dstip = TrimAll(dstip);

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../App/app_handle.php',
		data:{type: 'ifflow_topdstip', devid:devid, starttime:starttime, 
			endtime:endtime, errname:errname, sort: sort, ifname: ifname, 
			topn: topn, yys: yys, dstip: dstip},
		type:'post',
		dataType:'json',
		success:function(json) {
			ifflow_update(json);
			cluster_load_hide();
		}
	});
}

function ifflow_update(json)
{
	var list;

	list = document.getElementById("ifflow_iplist");

	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i <json.rows.length; i++) {
		r = json.rows[i];

		obj = list.insertRow(-1);

		col = obj.insertCell(0);
		col.setAttribute("align", "center");
		col.innerHTML = i+1;

		col = obj.insertCell(1);
		col.setAttribute("align", "left");
		col.innerHTML = r.ipaddr;

		col = obj.insertCell(2);
		col.setAttribute("align", "right");
		col.innerHTML = r.flowcont;

		col = obj.insertCell(3);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.up);

		col = obj.insertCell(4);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.down);

		col = obj.insertCell(5);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.up + r.down);

		col = obj.insertCell(6);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.upbps);

		col = obj.insertCell(7);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.downbps);

		col = obj.insertCell(8);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.upbps + r.downbps);

		col = obj.insertCell(9);
		col.setAttribute("align", "center");
		col.innerHTML = r.yys;

		col = obj.insertCell(10);
		col.setAttribute("align", "left");
		col.innerHTML = r.posi;
	}
}

function hdsort(s)
{
	sort = s;

	ifflow_iplist();
}

function initdevid()
{
	var devid = $("#hid_devid").val();
	if (devid == "0")
		return;

	var s = devid.split(',');
	for(i = 0; i < s.length; i++) {
		if (s[i] == "")
			continue;
		$("[name='device']").each(function(){
			if ($(this).val() == s[i])
				$(this).attr("checked", true);
		});
	}
}

</script>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
		<?php
		$ifname = $_GET["ifname"];
		$start = $_GET["start"];
		$end = $_GET["end"];

		$devid = $_GET["devid"];
		echo '<input type="hidden" value="'.$devid.'" id="hid_devid" />';
		$url1 = "ifflow_topapp.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		$url2 = "ifflow_topip.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		$url3 = "ifflow_appgroup.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		$url4 = "ifflow_topdstip.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		$url5 = "ifflow_direc.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		?>
			<li><a href="<?=$url3?>">流量分布</a></li>
			<li><a href="<?=$url5?>">流量流向</a></li>
			<li><a href="<?=$url1?>">TOP协议</a></li>
			<li><a href="<?=$url2?>">TOP用户</a></li>
			<li class="active"><a href="<?=$url4?>">TOP目标</a></li>
		</ul>
	</div>
	<div class="als-content">
		<div class="als-box">
			<div class="als-btn-bar">
				<ul>
					<li>
						<?php
						echo getdevice();
						?>
					</li>
					<li>
						<label>网卡</label>
						<input type="text" id="ifname" value="<?=$ifname?>" style="width:40px" />
					</li>
					<li>
						<label>目标IP</label>
						<input type="text" id="dstip" value="" style="width:100px" />
					</li>
					<li>
						<label>运营商</label>
						<select id="yyslist">
							<option value="-1">所有运营商</option>
<?php
$yys = -1;
if (isset($_GET["yys"]))
	$yys = $_GET["yys"];
if (($conn = my_mysql_connect()) != false) {
	$sql = "select id, name from palog.yys";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result)) {
			if ($row[0] == $yys)
				echo '<option value="'.$row[0].'" selected>'.iconv("gb2312", "utf-8", $row[1]).'</option>';
			else
				echo '<option value="'.$row[0].'">'.iconv("gb2312", "utf-8", $row[1]).'</option>';
		}
		mysql_free_result($result);
	}
	mysql_close();
}
?>
						</select>
					</li>
					<li>
						<label>显示</label>
						<input type="text" value="100" id="topn" style="width:30px" />项
					</li>
					<li>
						<label>起始时间</label>
						<?php
						$start = strtotime($start);
						$end = strtotime($end);
						?>
						<input type="text" name="start" id="start" style="width:80px;" 
							onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $start) ?>" />
						<input type="text" id="start_hour" value="<?= date('H', $start)?>" style="width:20px" /> 时
					</li>
					<li>
						<label>结束时间</label>
						<input type="text" name="end" id="end" style="width:80px;" 
							onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $end) ?>" />
						<input type="text" id="end_hour" value="<?= date('H', $end)?>" style="width:20px" /> 时
					</li>
					<li>
						<a class="btn-extend-color" onclick="ifflow_iplist()">查询</a>
					</li>
				</ul>
				<div class="clearfloat"></div>
			</div>
		</div>
		<div class="als-box">
		<table id="ifflow_iplist" class="als-table" cellspacing=0 cellpadding=0>
			<tr>
			<th class="txt-center" width="50px">序号</th>
			<th class="txt-left"><a href="javascript:hdsort('ipaddr')">IP地址</a></th>
			<th class="txt-right"><a href="javascript:hdsort('flow')">连接数</a></th>
			<th class="txt-right"><a href="javascript:hdsort('up')">上行流量(Byte)</a></th>
			<th class="txt-right"><a href="javascript:hdsort('down')">下行流量(Byte)</a></th>
			<th class="txt-right"><a href="javascript:hdsort('total')">总流量(Byte)</a></th>
			<th class="txt-right"><a href="javascript:hdsort('up')">上行速率(bps)</a></th>
			<th class="txt-right"><a href="javascript:hdsort('down')">下行速率(bps)</a></th>
			<th class="txt-right"><a href="javascript:hdsort('total')">总速率(bps)</a></th>
			<th class="txt-center">运营商</th>
			<th class="txt-left">位置</th>
			</tr>
		</table>
		</div>
	</div>
</div>
<script type="text/javascript">
initdevid();
ifflow_iplist();
</script>
</body>
</html>
