<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$id = $_GET['id'];
$cname = $_GET['cname'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/app_common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var json_rows = [];
function ip_appinfo(sort)
{
	var devid = $("#devid").val();
	var ipaddr = $("#ipaddr").val();
	var starttime = $("#start").val();
	var endtime = $("#end").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../Flow/ipapplist.php',
		dataType:'json',
		data:{ip:ipaddr, tmstart:starttime, sort:sort, 
			tmend:endtime, errname:errname, 
			appid:-1, devid: devid},
		success:function(json) {
			json_rows.length = 0;
			json_rows = json.rows;

			ip_appinfo_handle_data(json, ipaddr, sort, starttime, endtime);
			
			cluster_load_hide();
		}
	});
}

function ip_appinfo_handle_data(json, ipaddr, sort, starttime, endtime)
{
	var r, s;
	var len = json.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';

	for (i = 0; i < len; i++){
		r = json.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");

			tdobj.eq(0).text((i+1));
			tdobj.eq(1).html((r.cname));
			tdobj.eq(2).text(numberformats(r.upbytes));
			tdobj.eq(3).text(numberformats(r.downbytes));
			tdobj.eq(4).text(numberformats((r.upbytes+r.downbytes)));
		}else{
			tb = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+(i+1)+'</td>'+
				'<td class="txt-left">'+ r.cname+'</td>'+
				'<td class="txt-right">'+ numberformats(r.upbytes)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.downbytes)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
				'</tr>';
			'</tr>';
			$(tb).appendTo(".topapp-list-table table tbody");
		}
	}
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

</script>
</head>

<body>
<div>
	<input type="hidden" value="<?=$_GET['ipaddr']?>" id="ipaddr" />
	<input type="hidden" value="<?=$_GET['start']?>" id="start" />
	<input type="hidden" value="<?=$_GET['end']?>" id="end" />
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
	<div class="topapp-list-table">
        <table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="td-left-first" width="50px">序号</th>
                <th class="txt-left" width="160px">协议名称</th>
                <th class="txt-right"><a href="javascript:ip_appinfo('up')">上行流量(Byte)</a></th>
                <th class="txt-right"><a href="javascript:ip_appinfo('down')">下行流量(Byte)</a></th>
                <th class="txt-right"><a href="javascript:ip_appinfo('total')">总流量(Byte)</a></th>
            </tr>
        </table>
    </div>
</div>
<script>
ip_appinfo('total');
</script>
</body>
</html>

