<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 50;

function pre() 
{
	page--;
	if (page <= 0)
		page = 1;
	
	alarm_list();
}

function next() 
{
	page++;
	
	alarm_list();
}

function button_click()
{
	page = 1;
	
	alarm_list();
}

function alarm_list()
{
	var device = $("#device").val();
	var sort = $("#sort").val();
	var start = $("#start").val();
	var end = $("#end").val();
	
	var starttime = start + " 0:0:0";
	var endtime = end + " 23:59:59";

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	$.ajax({
		url:'alert_list.php',
		type:'post',
		dataType:'json',
		data:{type:"alarm_list", device:device, 
			starttime: starttime, 
			endtime: endtime, sort: sort,
			page: page, limit: limit},
		success:function(json){
			alarm_data_update(json);
			cluster_load_hide();
		}
	});
}

function alarm_data_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".topapp-list-table table tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var address='';
	var trbg = '';

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		if (r.syn_out_refer < r.syn_out_curr)
			r.syn_out_curr = '<span style="color:#f00;font-weight:bold;">'+r.syn_out_curr+'</span>';
		if (r.syn_in_refer < r.syn_in_curr)
			r.syn_in_curr = '<span style="color:#f00;font-weight:bold;">'+r.syn_in_curr+'</span>';
		if (r.ack_out_refer < r.ack_out_curr)
			r.ack_out_curr = '<span style="color:#f00;font-weight:bold;">'+r.ack_out_curr+'</span>';
		if (r.ack_in_refer < r.ack_in_curr)
			r.ack_in_curr = '<span style="color:#f00;font-weight:bold;">'+r.ack_in_curr+'</span>';
		if (r.icmp_out_refer < r.icmp_out_curr)
			r.icmp_out_curr = '<span style="color:#f00;font-weight:bold;">'+r.icmp_out_curr+'</span>';
		if (r.icmp_in_refer < r.icmp_in_curr)
			r.icmp_in_curr = '<span style="color:#f00;font-weight:bold;">'+r.icmp_in_curr+'</span>';
		if (r.fragment_out_refer < r.fragment_out_curr)
			r.fragment_out_curr = '<span style="color:#f00;font-weight:bold;">'+r.fragment_out_curr+'</span>';
		if (r.fragment_in_refer < r.fragment_in_curr)
			r.fragment_in_curr = '<span style="color:#f00;font-weight:bold;">'+r.fragment_in_curr+'</span>';

		if (trobj.eq(i+2).length > 0) {
			tdobj = trobj.eq(i+2).find("td");

			tdobj.eq(0).text(i+1);
			tdobj.eq(1).html(r.devid);
			tdobj.eq(2).html(r.time);
			tdobj.eq(3).html(r.syn_out_refer);
			tdobj.eq(4).html(r.syn_out_curr);
			tdobj.eq(5).html(r.syn_in_refer);
			tdobj.eq(6).html(r.syn_in_curr);
			tdobj.eq(7).html(r.ack_out_refer);
			tdobj.eq(8).html(r.ack_out_curr);
			tdobj.eq(9).html(r.ack_in_refer);
			tdobj.eq(10).html(r.ack_in_curr);
			tdobj.eq(11).html(r.icmp_out_refer);
			tdobj.eq(12).html(r.icmp_out_curr);
			tdobj.eq(13).html(r.icmp_in_refer);
			tdobj.eq(14).html(r.icmp_in_curr);
			tdobj.eq(15).html(r.fragment_out_refer);
			tdobj.eq(16).html(r.fragment_out_curr);
			tdobj.eq(17).html(r.fragment_in_refer);
			tdobj.eq(18).html(r.fragment_in_curr);
		}else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (i+1)+'</td>'+
				'<td class="txt-center">'+ r.devid+'</td>'+
				'<td class="txt-center">'+ r.time+'</td>'+
				'<td class="txt-center" style="color:#00f">'+ r.syn_out_refer+'</td>'+
				'<td class="txt-center">'+ r.syn_out_curr+'</td>'+
				'<td class="txt-center" style="color:#00f">'+ r.syn_in_refer+'</td>'+
				'<td class="txt-center">'+ r.syn_in_curr+'</td>'+
				'<td class="txt-center" style="color:#00f">'+ r.ack_out_refer+'</td>'+
				'<td class="txt-center">'+ r.ack_out_curr+'</td>'+
				'<td class="txt-center" style="color:#00f">'+ r.ack_in_refer+'</td>'+
				'<td class="txt-center">'+ r.ack_in_curr+'</td>'+
				'<td class="txt-center" style="color:#00f">'+ r.icmp_out_refer+'</td>'+
				'<td class="txt-center">'+ r.icmp_out_curr+'</td>'+
				'<td class="txt-center" style="color:#00f">'+ r.icmp_in_refer+'</td>'+
				'<td class="txt-center">'+ r.icmp_in_curr+'</td>'+
				'<td class="txt-center" style="color:#00f">'+ r.fragment_out_refer+'</td>'+
				'<td class="txt-center">'+ r.fragment_out_curr+'</td>'+
				'<td class="txt-center" style="color:#00f">'+ r.fragment_in_refer+'</td>'+
				'<td class="txt-center">'+ r.fragment_in_curr+'</td>'+
				'</tr>';
			$(s).appendTo(".topapp-list-table table");
		}
	}
	for (i = trlen-1; i >= len+2; i--) trobj.eq(i).remove();
}
</script>
</head>
<body>
<div class="outer">
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li><a href="../Maintain/login_log.php">本地登录</a></li>
			<li><a href="../Maintain/dpi_login.php">告警日志</a></li>
			<li class="active"><a href="../Maintain/alarm_log.php">攻击日志</a></li>
			<!--<li><a href="../Maintain/seslimit.php">数据包丢弃</a></li>-->
			<li><a href="../Maintain/operation.php">操作日志</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<label>选择设备</label>
				<select id="device" style="width:100px">
				<?php
				$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);

				$strxml = array();
				$sql = 'select dev_id, dev_name from palog.config';
				$result = mysql_query($sql);
				$i = 0;
				if ($result != false)
					while ($row = mysql_fetch_row($result)){
						$devid = $row[0];
						$devname = $row[1];

						echo '<option value="'.$devid.'" /> '.$devname.'</option>';
					}
				mysql_free_result($result);
				mysql_close();
				?>
				</select>
			</li>
			<li>
				<label>按</label>
				<select id="sort" style="width:100px">
					<option value="syn_out_max">外网SYN</option>
					<option value="syn_in_max">内网SYN</option>
					<option value="ack_out_max">外网ACK</option>
					<option value="ack_in_max">内网ACK</option>
					<option value="icmp_out_max">外网ICMP</option>
					<option value="icmp_in_max">内网ICMP</option>
					<option value="frag_out_max">外网IP分片</option>
					<option value="frag_in_max">内网IP分片</option>
				</select> 排序
			</li>
			<li>
				<label>起始时间</label>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="layui-btn layui-btn-normal layui-btn-xs" href="javascript:void(0);" onclick="button_click()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
    <div class="topapp-list-table">
        <table style="width:100%;">
            <tr>
                <th class="td-left-first" style="border-left:none; width:50px" rowspan="2">序号</th>
                <th class="txt-center" width="50px" rowspan="2">设备ID</th>
                <th class="txt-center" width="150px" rowspan="2">采集时间</th>
                <th class="txt-center" colspan="2">外网SYN</th>
                <th class="txt-center" colspan="2">内网SYN</th>
                <th class="txt-center" colspan="2">外网ACK</th>
                <th class="txt-center" colspan="2">内网ACK</th>
                <th class="txt-center" colspan="2">外网ICMP</th>
                <th class="txt-center" colspan="2">内网ICMP</th>
                <th class="txt-center" colspan="2">外网IP分片</th>
                <th class="txt-center" colspan="2">内网IP分片</th>
            </tr>
            <tr>
                <th>阀值</th>
                <th>当前PPS</th>
                <th>阀值</th>
                <th>当前PPS</th>
                <th>阀值</th>
                <th>当前PPS</th>
                <th>阀值</th>
                <th>当前PPS</th>
                <th>阀值</th>
                <th>当前PPS</th>
                <th>阀值</th>
                <th>当前PPS</th>
                <th>阀值</th>
                <th>当前PPS</th>
                <th>阀值</th>
                <th>当前PPS</th>
            </tr>
        </table>
		<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
    </div>
</div>

</body>
</html>
