<?php
session_start();
set_time_limit(0);
include(dirname(__file__)."/../common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link type="text/css" rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function customgroup_add()
{
	$(".appadd-outer").dialog({
		width:650,
		height:220,
		title:'创建协议组',
		buttons:[
			{
				text: "提交",
				click: function(){
					addappgroup_handle();
					$(this).dialog("close");
				},
			},
			{
					text:"取消",
					click:function(){
						$(this).dialog("close");
					}
			}
		]
	});
}

	
function addappgroup_handle()
{
	var name = $("#name").val();
	var cname = $("#cname").val();
	var name = TrimAll(name);
	var cname = TrimAll(cname);
	var str1 = /^[A-Za-z]+$/;
	var str2 = /^[0-9]+$/;
	var str3 = /^[A-Za-z0-9]+$/;
	var std1 = /^[\u4e00-\u9fa5],{0,}$/;
	var std2 = /^[\u4e00-\u9fa5A-Za-z]*$/;
		
	if(name == "" || cname == "") {
		alert('英文名称或中文名称不能为空');
		return;
	}
	if(!(str1.test(name)||str2.test(name)||str3.test(name))){
		alert('英文名称只能是数字或字母');
		return;
	}
	if(name.length>19){
		alert('英文名称长度不要超过19');
		return;
	}
	if(!(str1.test(cname)||std1.test(cname)||std2.test(cname))){
		alert('中文名称只能是字母或汉字');
		return;
	}
	if(cname.length>19){
		alert('中文名称长度不能超过19');
		return;
	}

	if(!confirm('确定要创建此协议组吗?')){
		return;
	}

	$.ajax({
		url:'ajax_app_cusgrp.php',
		type:'post',
		dataType:'json',
		data:{
			action: 'addappgroup',
			name: name,
			cname: encodeURIComponent(cname)
		},
		success:function(res) {
			if(res.yn != "no") {
				location.reload();
			}
			else
				alert(res.str);
		}
	})
}

function appgroup_delete(id)
{
	if(!confirm('确定要删除此协议组吗?'))
		return;

	$.ajax({
		url:'ajax_app_cusgrp.php',
		type:'post',
		dataType:'json',
		data:{
			action:'deleteappgroup',
			id:id,
		},
		success:function(res) {
			if(res.ret == "no") {
				alert(res.str);
			}
			else
				location.reload();
		}
	})
}

function appgroup_edit(id, cname)
{
	window.location.href="app_cusgrp_edit.php?id="+id+"&cname="+cname;
}

</script>	
<style type="text/css">
	.over-app-position {background:#DC2020;color:#fff;}
	#app_pos_table td {font-size:12px;}
	.appadd-outer div{
		width:100%;
		display:inline-block;
		margin-top:20px;
	}
	.appadd-outer div label{
		display:inline-block;
		float:left;
		margin-left:20px;
		font-size:12px;
		padding:5px;
	}
	.appadd-outer div input{
		display:inline-block;
		width:200px;
		padding:5px 0px;
		font-size:12px;
		float:left;
	}
	.appadd-outer div span{
		display:inline-block;
		float:left;
		font-size:12px;
		padding:5px;
	}
	
</style>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul >
			<li><a href="app_position.php">系统协议</a></li>
			<li><a href="app_custom.php">自定义协议</a></li>
			<li class="active"><a href="app_cusgrp_list.php">自定义协议组</a></li>
		</ul>
	</div>
	<div class="topapp-list-table">
		<table style="width:100%" id="applist">
			<tr>
				<th width="5%" align="center">序号</th>
				<th width="10%" align="left">协议ID</th>
				<th width="10%" align="left">父ID</th>
				<th width="20%" align="left">英文名称</th>
				<th align="left" width="45%">中文名称</th>
				<th align="center" width="10%">操作</th>
			</tr>
			<?php
				$conn = my_mysql_connect();
				if(!$conn){
					echo'数据库连接失败';
					exit;
				}
				$cmd = "select* from palog.axp_group ";
				if (($result = mysql_query($cmd)) != false) {
					$i = 1;
					while(($row=mysql_fetch_array($result)) != false) {
						echo'<tr><td align="center">'.($i++).'</td>'.
							'<td align="left">'.$row['id'].'</td>'.
							'<td align="left">'.$row['parent'].'</td>'.
							'<td align="left">'.$row['name'].'</td>'.
							'<td align="left">'.$row['cname'].'</td>'.
							'<td align="center">'.
							'<a href="javascript:appgroup_edit('.$row['id'].', \''.$row['cname'].'\')">编辑</a>'.
							'&nbsp;&nbsp;'.
							'<a href="javascript:appgroup_delete('.$row['id'].', \''.$row['cname'].'\')">删除</a></tr>';
					}
				}
			?>	
		</table>
	</div>
	<div style="text-align:right;padding:5px;">
		<a class="layui-btn layui-btn-normal layui-btn-xs" onclick="customgroup_add()">创建协议组</a>
	</div>
	
</div>
<div class="appadd-outer" style="display:none;">
	<div>
		<label>英文名称</label>
		<input type="text" id="name" name=""  />
		<span>(只能输入英文字母或数字字符,长度不要超过19)</span>
	</div>
	<div>
		<label>中文名称</label>
		<input type="text" id="cname" name="" />
		<span>(可以输入英文字符,长度不要超过9个汉字或19个英文字符)</span>
	</div>
	
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
</body>
</html>
