<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript" src="../js/ixcache.js"></script>
<script type="text/javascript">
function backup_set_config()
{
	var bk = $("#backup_set_auto").val();
	var days = $("#paconf_savedays").val();
	if (days == "") {
		alert("请输入正确的文件存放天数");
		return false;
	}
	if (days != "" && isNaN(days)) {
		alert("请输入正确的文件存放天数");
		return false;
	}
	
	if (!confirm("确认要修改自动配置备份吗"))
		return false;
	$.ajax({
		url:'system_handle.php',
		data:{type:'backup_set_config', bk: bk, days: days},
		dataType:'json',
		type:'post',
		success:function(data) {
			if (data.yn == "no")
				alert(data.str);
			else
				alert("操作成功");
		}
	});
}

function backup_set_stat()
{	
	$.ajax({
		url:'system_handle.php',
		data:{type:'backup_set_stat'},
		dataType:'json',
		type:'post',
		success:function(data) {
			$("#backup_set_auto").val(data.enable);
			$("#paconf_savedays").val(data.days);
		}
	});
}
</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "config_backup");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="als-nav-header">
				<ul>
					<li> <a href="config_backup.php">备份列表</a> </li>
					<li class="active"> <a href="backup_set.php">备份配置</a> </li>
				</ul>
			</div>
			<div class="product-bd-nav" style="padding:10px 0;">
				<div style="font-size:12px;margin-bottom:10px;color:#666;padding-left:10px;">
					1、开启后，设备首次进入云平台会自动加入备份列表定时备份，间隔周期为1天；
					<br/>
					2、删除备份列表中的设备，会同时删除以前备份的文件。
				</div>
				<table>
					<tr>
						<td align="right" width="100px">自动备份</td>
						<td width="20px"></td>
						<td width="120px">
							<select id="backup_set_auto" style="width:100px;">
								<option value=0>关闭</option>
								<option value=1>开启</option>
							</select>
						</td>
						<td width="20px"></td>
						<td>
						</td>
					</tr>
					<tr>
						<td align="right" width="100px">文件存放</td>
						<td width="20px"></td>
						<td>
							<input type="text" value="15" id="paconf_savedays" style="width:100px" /> 天
						</td>
						<td width="20px"></td>
						<td>
						</td>
					</tr>
				</table>
				<div style="border-top: 1px solid #ddd; padding:5px 0; margin:5px 0; text-align:right; width:500px;">
					<input type="button" value="提交" class="ui-button ui-widget ui-corner-all" onclick="backup_set_config()" />
				</div>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
backup_set_stat();
ixc_stat();
cpumem();
setInterval(cpumem, 3000);
</script>
</body>
</html>
