<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function log_db_info(){
	var tbtype = $("#tbtype").val();
	var listnum = $("#dbtable_list_num").val();

	$.ajax({
		url:'loglist.php',
		dataType:'json',
		type:'post',
		data:{type:tbtype, listnum:listnum},
		success:function(data){
			var tab = '';
			var r;
			var trobj = $(".topapp-list-table table tr");
			var tdobj;
			var len = data.result.length;
			var trlen = trobj.length;
			for (i = 0; i < len; i++){
				r = data.result[i];

				trbg = '';
				if (i % 2 == 1)
					trbg = 'log-table-tr-toggle-bgcolor-curr';

				delstr = '<a href="javascript:deletetable(\''+ r.table_schema+'\', \''+ r.table_name+'\')">'+
					'<img src="../img/b_drop.png" title="删除表" /></a>';
				if (trobj.eq(i+1).length <= 0) {
					tab = '<tr class="'+trbg+'"><td class="txt-center">'+ (i+1)+'</td>'+
						'<td class="td-normal">'+ r.table_schema+'</td>'+
						'<td class="td-normal">'+r.table_name+'</td>'+
						'<td class="txt-right">'+ r.filesize+'</td>'+
						'<td class="txt-center">'+r.updatetime+'</td></tr>';
					$(tab).appendTo('.topapp-list-table table');
				}else{
					tdobj = trobj.eq(i+1).find("td");
					tdobj.eq(0).text(i+1);
					tdobj.eq(1).text(r.table_schema);
					tdobj.eq(2).text(r.table_name);
					tdobj.eq(3).text(r.filesize);
					//tdobj.eq(4).text(r.createtime);
					tdobj.eq(4).text(r.updatetime);
					//tdobj.eq(6).html(delstr);
				}
			}
			for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();

			load_hide();
		}
	});
}
function deletetable(table_schema, table_name){
	if (!confirm("确定要删除该数据表吗"))
		return false;

	load_show();
	$.ajax({
		url:'deletetable.php',
		dataType:'json',
		type:'post',
		data:{table_schema:table_schema, table_name:table_name},
		success:function(data){
			load_hide();

			if (data.yn == "yes")
				log_db_info();
			else alert(data.str);
		}
	});
}
</script>
</head>
<body>
<div class="outer">
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li><a href="../Maintain/deletetable-html.php">自动清理</a></li>
			<li><a href="../Maintain/delete_key.php">一键清除</a></li>
			<li class="active"><a href="../Maintain/dbtablelist.php">数据库表</a></li>
			<li><a href="../Maintain/db_access.php">安全访问</a></li>
		</ul>
	</div>
	<table style="width:100%; margin-top:20px;">
		<tr>
			<td width="100px">
				<label style="font-size:12px; padding-left:5px;">数据类型</label>
			</td>
			<td>
				<select id="tbtype" style="width:100%; padding:3px 0;">
					<option value="iplog">IP流量</option>
					<option value="applog">应用流量</option>
					<option value="qqlog">QQ日志</option>
					<option value="msnlogin">MSN日志</option>
					<option value="pop3login">POP3日志</option>
					<option value="qqwb">腾讯微博</option>
					<option value="dnslog">DNS请求</option>
					<option value="accountlog">用户认证</option>
					<option value="nodelog">节点跟踪</option>
					<option value="url">URL访问</option>
					<option value="session">会话日志</option>
					<option value="fetion">飞信登录</option>
					<option value="taobao">淘宝登录</option>
					<option value="sinawb">新浪微博</option>
					<option value="tieba">手机贴吧</option>
					<option value="mobile">移动终端</option>
					<option value="other">其它日志</option>
				</select>
			</td>
		</tr>
	</table>
    <div class="topapp-list-table">
        <table style="width:100%;">
            <tr>
                <th class="td-left-first" style="width:50px">序号</th>
                <th class="txt-left">数据库</th>
                <th class="txt-left">数据表名</th>
                <th class="txt-right">文件大小</th>
                <th class="txt-center">更新时间</th>
            </tr>
        </table>
    </div>
</div>
<script type="text/javascript">
log_db_info();
$("#tbtype").change(log_db_info);
</script>
</body>
</html>
