<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function emailset()
{
	var send_e = TrimAll($("#send_e").val());
	var recv_e = TrimAll($("#recv_e").val());
	var send_subject = TrimAll($("#send_subject").val());
	var send_pass = TrimAll($("#send_pass").val());
	var send_evt_report = $("#send_evt_report").val();
	var send_evt_alert = $("#send_evt_alert").val();
	var send_interval = $("#send_interval").val();
	var send_smtp = TrimAll($("#send_smtp").val());
	var send_name = TrimAll($("#send_name").val());
	var recv_name = TrimAll($("#recv_name").val());
	var send_evt_device = $("#send_evt_device").val();
	var send_evt_time = $("#send_evt_time").val();
	var send_evt_flowalert = $("#send_evt_flowalert").val();
	
	if (!confirm("确认修改邮箱设置吗？"))
		return false;

	$.ajax({
		url:'email_set_hdl.php',
		type:'post',
		dataType:'json',
		data:{type:'emailset', 
			send_e:send_e, 
			recv_e:recv_e, 
			send_pass:send_pass,
			send_evt_report:send_evt_report, 
			send_interval:send_interval,
			send_subject:send_subject, 
			send_evt_alert:send_evt_alert,
			send_smtp:send_smtp, 
			send_name:send_name, 
			recv_name:recv_name,
			send_evt_device:send_evt_device,
			send_evt_flowalert: send_evt_flowalert,
			send_evt_time:send_evt_time},
		success:function(json){
			if (json.yn == "yes")
				alert("操作成功");
			else 
				alert(json.str);
		}
	})
}

function isRightEmail()
{
	$.ajax({
		url:'email_set_hdl.php',
		type:'post',
		data:{type:'isrightemail'},
		success: function(data) {
			if (data != "" && data.indexOf('Error') != -1)
				alert(data);
			else
				alert('邮件发送成功');
		}
	})
}

function remove_set()
{
	if (!confirm("确认清除邮箱设置吗？"))
		return false;

	$.ajax({
		url:'email_set_hdl.php',
		type:'post',
		dataType:'json',
		data:{type:'remove_set'},
		success:function(json){
			if (json.yn == "yes")
				location.reload();
			else 
				alert(json.str);
		}
	})
}
</script>

<style type="text/css">
ul {list-style:none;}
ul li {display:inline-block;}
.setup-bigtitle {font-size:12px;font-weight:normal;font-family:'微软雅黑'}
.setup-stitle {width:80px;font-size:12px;padding:0 20px 0 40px;font-family:'微软雅黑'}
.setup-ok {padding:0 10px;}
.setup-tips {font-size:12px;padding:5px 20px 15px 40px;}
.setup-button {padding:2px 10px;}
.setup-outer{width:100%; height:30px;}
</style>
</head>

<body>
<?php
$confl = array();
	
if (file_exists(_CHECKING_STATUS_F."/email.conf")) {
	copy(_CHECKING_STATUS_F."/email.conf", EMAIL_CONF);
	unlink(_CHECKING_STATUS_F."/email.conf");
}

$send_e = $recv_e = $send_pass = "";
if (file_exists(EMAIL_CONF)) {
        $confl = file(EMAIL_CONF);
	foreach($confl as $val) {
	       	if (strstr($val, "send_email=")){
			$ds = explode('=', $val);
			$send_e = trim($ds[1], "\n\r");
		}
		if (strstr($val, "recv_email=")){
			$ds = explode('=', $val);
			$recv_e = trim($ds[1], "\n\r");
	       	}
		
		if (strstr($val, "send_pass=")){
			$ds = explode('=', $val);
			$send_pass = trim($ds[1], "\n\r");
	       	}
		
		if (strstr($val, "send_subject=")){
			$ds = explode('=', $val);
			$send_subject = trim($ds[1], "\n\r");
		}
		if (strstr($val, "send_name=")){
			$ds = explode('=', $val);
			$send_name = trim($ds[1], "\n\r");
		}
		if (strstr($val, "recv_name=")){
			$ds = explode('=', $val);
			$recv_name = trim($ds[1], "\n\r");
		}
		if (strstr($val, "send_smtp=")){
			$ds = explode('=', $val);
			$send_smtp = trim($ds[1], "\n\r");
	       	}
		
		if (strstr($val, "send_evt_report=")){
			$ds = explode('=', trim($val, "\n\r"));

			if ($ds[1] == "1")
				$send_evt_report_yes = "selected";
			else 
				$send_evt_report_no = "selected";
	       	}
		
		if (strstr($val, "send_evt_time=")){
		       	$ds = explode('=', trim($val, "\n\r")); 
			$send_evt_time = $ds[1];
	       	}
		
		if (strstr($val, "send_evt_alert=")){
		       	$ds = explode('=', trim($val, "\n\r"));
			if ($ds[1] == "1")
				$send_evt_alert_yes = "selected";
			else $send_evt_alert_no = "selected";
		}
		if (strstr($val, "send_evt_device=")){
		       	$ds = explode('=', trim($val, "\n\r"));
			if ($ds[1] == "1")
				$send_evt_device_yes = "selected";
			else $send_evt_device_no = "selected";
		}
		if (strstr($val, "send_evt_flowalert=")){
		       	$ds = explode('=', trim($val, "\n\r"));
			
			if ($ds[1] == "1")
				$send_evt_flowalert_yes = "selected";
			else $send_evt_flowalert_no = "selected";
		}
	}
}
?>
<!--
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li><a href="../qrcode/showcode.php">微信通知</a></li>
			<li class="active"><a href="email_set.php">邮箱通知</a></li>
		</ul>
	</div>
-->
<div class="new-cont-outer">
	<div style="margin:0px 20px">
		<h3 class="setup-bigtitle">邮箱设置</h3>
		<div class="setup-outer">
			<ul>
				<li class="setup-stitle">发件箱<li>
				<li>
					<input type="text" value="<?=$send_e?>" id="send_e" style="width:300px;" />
				</li>
			</ul>
		</div>
		<div class="setup-outer">
			<ul>
				<li class="setup-stitle">发件箱密码<li>
				<li>
					<input type="password" value="<?=$send_pass?>" id="send_pass" style="width:300px;" />
				</li>
			</ul>
		</div>
		<div class="setup-outer">
			<ul>
				<li class="setup-stitle">发件人昵称<li>
				<li>
					<input type="text" value="<?=$send_name?>" id="send_name" style="width:300px;" />
				</li>
			</ul>
		</div>
		<div class="setup-outer">
			<ul>
				<li class="setup-stitle">SMTP服务器<li>
				<li>
					<input type="txt" value="<?=$send_smtp?>" id="send_smtp" style="width:300px;" />
				</li>
			</ul>
		</div>
		
		<div class="setup-outer">
			<ul>
				<li class="setup-stitle">收件人邮箱<li>
				<li>
					<input type="text" value="<?=$recv_e?>" id="recv_e" style="width:300px;" /> 
					<a style="font-size:12px;">（多个地址之间用分号';'隔开）</a>
				</li>
			</ul>
		</div>
		<div class="setup-outer">
			<ul>
				<li class="setup-stitle">收件人昵称<li>
				<li>
					<input type="text" value="<?=$recv_name?>" id="recv_name" style="width:300px;" />
					<a style="font-size:12px;">（多个昵称之间用分号';'隔开）</a>
				</li>
			</ul>
		</div>
		<div class="setup-outer">
			<ul>
				<li class="setup-stitle">邮件主题<li>
				<li>
					<input type="text" value="<?=$send_subject?>" id="send_subject" style="width:300px;" />
				</li>
			</ul>
		</div>
	</div>
	<br/>

	<div style="margin:0px 20px">
		<h3 class="setup-bigtitle">发送流量告警</h3>
		<div class="setup-outer">
			<ul>
				<li class="setup-stitle">状态<li>
				<li>
					<select style="width:300px;" id="send_evt_flowalert">
						<option value="0" <?=$send_evt_flowalert_no?>>不发送</option>
						<option value="1" <?=$send_evt_flowalert_yes?>>发送到</option>
					</select>
					<a style="font-size:12px;"></a>
				</li>
			</ul>
		</div>
	</div>
	<br/>
	
	<div style="margin:0px 20px">
		<h3 class="setup-bigtitle">发送报表</h3>
		<div class="setup-outer">
			<ul>
				<li class="setup-stitle">状态<li>
				<li>
					<select style="width:300px;" id="send_evt_report">
						<option value="0" <?=$send_evt_report_no?>>不发送</option>
						<option value="1" <?=$send_evt_report_yes?>>发送</option>
					</select>
					<a style="font-size:12px;"></a>
				</li>
			</ul>
		</div>
	</div>
	<br/>
	
	<div style="margin:0px 20px">
		<h3 class="setup-bigtitle">发送流控登录日志</h3>
		<div class="setup-outer">
			<ul>
				<li class="setup-stitle">状态<li>
				<li>
					<select style="width:300px;" id="send_evt_alert">
						<option value="0" <?=$send_evt_alert_no?>>不发送</option>
						<option value="1" <?=$send_evt_alert_yes?>>发送</option>
					</select>
				</li>
			</ul>
		</div>
	</div>
	<br/>
	
	<div style="margin:0px 20px">
		<h3 class="setup-bigtitle">发送日志硬盘状态</h3>
		<div class="setup-outer">
			<ul>
				<li class="setup-stitle">状态<li>
				<li>
					<select style="width:300px;" id="send_evt_device">
						<option value="0" <?=$send_evt_device_no?>>不发送</option>
						<option value="1" <?=$send_evt_device_yes?>>发送</option>
					</select>
				</li>
			</ul>
		</div>
	</div>
	<br/>
	<div style="margin:0px 20px">
		<h3 class="setup-bigtitle">发送时间</h3>
		<div class="setup-outer">
			<ul>
				<li class="setup-stitle">发送时间<li>
				<li>
					<select style="width:300px;" id="send_evt_time">
                    <?php
					if ($send_evt_time == "")
						$send_evt_time = 0;
                    for ($i = 0; $i <= 23; $i++){
                        if ($i == $send_evt_time)
                            echo '<option value="'.$send_evt_time.'" selected>'.$send_evt_time.'点</option>';
                        else
                            echo '<option value="'.$i.'">'.$i.'点</option>';
                    }
                    ?>
                </select>
				</li>
			</ul>
		</div>
	</div>
	
	<div style="padding: 20px; width:400px; text-align:right;">
		<input type="button" value="提交" onclick="emailset()" style="width:70px" />
		<input type="button" value="重置" onclick="remove_set()" style="width:70px" />
<?php
					if ($send_e != "")
						echo '<input type="button" value="测试" onclick="isRightEmail()" style="width:70px" />';
?>
	</div>
	<div style="padding: 20px; width:400px; color:#00f;">
		<?php
		$email_error = "/usr/logd/bin/email.err";
		if (file_exists($email_error)) {
			echo "最近记录：".file_get_contents($email_error);
		}
		?>
	</div>
</div>
</body>
</html>
