<?php
session_start();
set_time_limit(0);
include(dirname(__file__)."/../common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="logtask.php">任务管理</a></li>
		</ul>
	</div>
	<div class="topapp-list-table" id="content">
		<table style="width:100%" id="task-table">
			<tr>
				<th width="60px">任务ID</th>
				<th class="txt-left">进度</th>
				<th class="txt-center" width="150px">更新时间</th>
				<th class="txt-right" width="100px">记录数</th>
				<th width="150px">操作</th>
			</tr>
		</table>
	</div>
</div>

<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var element;
layui.use(['layer', 'form', 'element'], function() {
	var layer = layui.layer ,form = layui.form;
	element = layui.element;

	tasklist();
	setInterval(tasklist, 2000);
});
function tasklist()
{
	$.ajax({
		url:'ajax_logtask.php',
		type:'post',
		data:{action: 'tasklist'},
		dataType:'json',
		success:function(json){
			if (json.yn && json.yn == "no") {
				layer.msg(json.str);
				return false;
			}

			taskupdate(json);
		}
	});
}

function taskupdate(json)
{
	var list = document.getElementById("task-table");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (var i = 0; i < json.length; i++) {
		var r = json[i];
		var obj = list.insertRow(-1);
		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = r.pid;
		cell = obj.insertCell(pos++);

		var percent = 0;
		if (r.total_table != 0)
			percent = parseInt(r.curr_table / r.total_table * 100);
		var h = '<div class="layui-progress layui-progress-big" lay-showPercent="yes" lay-filter="'+r.uuid+r.result_table+'"><div class="layui-progress-bar layui-bg-blue" lay-percent="" style="color:#fff;"><span class="layui-progress-text">'+percent+'%</span></div></div>';
		cell.innerHTML = h;
		if (percent > 0)
			element.progress(r.uuid+r.result_table, percent+"%");

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.time;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.recnum;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = '<a href="javascript:void(0);" onclick="deletetask('+r.pid+', \''+r.result_table+'\', \''+r.uuid+'\')">删除</a>';
	}
}

function deletetask(pid, result_table, uuid)
{
	layer.confirm("确定要清理此任务?", {btn:['确定', '取消']}, function(){
		var loading = layer.msg('请稍候...', {icon: 16, shade: 0.3, time:0});

	$.ajax({
		url:'ajax_logtask.php',
		type:'post',
		data:{action: 'deletetask', pid:pid, result_table:result_table, uuid:uuid},
		dataType:'json',
		success:function(json){
			layer.close(loading);

			if (json.yn == "no")
				layer.msg(json.str);
			else {
				layer.msg("操作成功");
				tasklist();
			}
		}
	})
	});
}

</script>
</body>
</html>
















