<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <META HTTP-EQUIV="Pragma" CONTENT="no-cache">
    <META HTTP-EQUIV="Cache-Control" content="no-cache">
    <title></title>
    <link type="text/css" rel="stylesheet" href="../css/common.css" />
    <script type="text/javascript" src="../js/jquery.min.js"></script>
    <script type="text/javascript" src="../js/jquery-ui.min.js"></script>
    <script type="text/javascript" src="../js/common.js"></script>
</head>

<body>
<div id="content" class="maintain-content">
    <table style="width:100%;">
        <tr>
            <td class="header-back-blue">系统管理 -> 多台监控</td>
        </tr>
    </table>
    <table style="width:400px;margin-left:0px;margin-top:10px;height:80px;border-bottom:1px solid #666;">
		<tr>
            <td width="20px"></td>
            <td align="left" width="100px">类型</td>
			<td align="left">
			<?php
			$confpath = LOG_CONF;
			$lines = file($confpath);
			$exists = 0;
			foreach($lines as $val) {
				if (strstr($val, "monitor_type=0") !== false) {
					echo '<input type="radio" name="type" value="0" checked /> 监控';
					echo '&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name="type" value="1" /> 被监控';
					$disa = "disabled";
					$exists = 1;
				}else if (strstr($val, "monitor_type=1") !== false) {
					echo '<input type="radio" name="type" value="0" /> 监控';
					echo '&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name="type" value="1" checked /> 被监控';
					$disa = "";
					$exists = 1;
				}else if (strstr($val, "monitor_ip=") !== false) {
					$ds = explode('=', $val);
					$ip = $ds[1];
					$exists = 1;
				}
			}
			if ($exists == 0) {
				echo '<input type="radio" name="type" value="0" /> 监控';
				echo '&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" name="type" value="1" /> 被监控';
			}
			?>
			</td>
        </tr>
        <tr>
            <td width="20px"></td>
            <td align="left" width="100px">接收服务器</td>
			<td align="left"><input type="text" value="<?=$ip?>" id="ip" style="width:120px" <?=$disa?> /></td>
        </tr>
	</table>
	<table style="width:400px;margin-left:0px;margin-top:10px;">
		<tr>
            <td width="20px"></td>
            <td align="left" width="100px"></td>
			<td align="right">
				<input type="button" value="提交" onclick="setmonitor()" />
			</td>
        </tr>
    </table>
	</br></br>
	<table style="width:700px;margin-left:0px;margin-top:10px;border-bottom:1px solid #ddd;">
        <tr>
            <td width="20px"></td>
            <td align="left" align="center" style="font-size:14px;font-weight:bold;">监控列表</td>
        </tr>
    </table>
	<div class="topapp-list-table">
	</div>
</div>
<script type="text/javascript">
$("[name='type']").click(function(){
	if ($(this).attr("checked"))
		if ($(this).val() == "0")
			$("#ip").attr("disabled", true);
		else $("#ip").removeAttr("disabled");
});

function setmonitor()
{
	var type = 0;
	var ip = $("#ip").val();
	$("[name='type']").each(function(){
		if ($(this).attr("checked")) {
			type = $(this).val();
			txt = $(this).text();
		}
	});
	
	if (type == "1" && ip == "") {
		alert("接收服务器不能为空");
		$("#ip").focus();
		return false;
	}
	
	if (type == "0") {
		if (! confirm("确定设置成监控状态吗"))
			return false;
	}
	else
	if (! confirm("确定设置成被监控状态吗"))
		return false;
	
	$.ajax({
		url:'mon_config.php',
		type:'post',
		dataType:'json',
		data:{type:"setmonitor", montype:type, ip:ip},
		success:function(data){
			if (data.yn == "yes")
				alert("操作成功");
			else
				alert(data.str);
		}
	})
}

function monitor_info(){
	$.ajax({
		url:'mon_config.php',
		dataType:'json',
		type:'post',
		data:{type: "monitor_info"},
		success:function(data){
			var tab = '<table style="width:700px;border-collapse:collapse;" cellspacing=0 cellpadding=0>'+
					'<tr>'+
					'<th class="td-left-first" style="border-left:none;">IP地址</th>'+
					'<th class="td-normal" style="border-left:none;">最大硬盘容量</th>'+
					'<th class="td-normal">硬盘使用百分比</th>'+
					'<th class="td-normal">系统最大内存</th>'+
					'<th class="td-normal">空闲内存</th>'+
					'<th class="td-normal">接收数据包</th>'+
					'</tr>';
			for (i = 0; i < data.rows.length; i++){
				r = data.rows[i];

				trbg = '';
				if (i % 2 == 1)
					trbg = 'log-table-tr-toggle-bgcolor-curr';

				tab += '<tr class="'+trbg+'"><td style="border-left:none;">'+ r.ip+'</td>'+
					'<td style="border-left:none;">'+ r.hard_max+'</td><td>'+ r.hard_use+'</td><td>'+
					numberformats(r.realmem)+'</td><td>'+ r.freemem+'</td><td>'+ r.bags+'</td></tr>';
			}
			tab += '</table>';
			$('.topapp-list-table').html(tab);
		}
	});
}

monitor_info();
setInterval(monitor_info, 3000);
</script>
</body>
</html>