<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link type="text/css" rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript">
function record_his(hours, render)
{
	var title = "";
	var type = $("#histype").val();
	if (type == "poolfails") {
		switch(hours) {
			case 24:
			title = "最近一天日志记录失败趋势图";
			break;
			case 168:
			title = "最近一周日志记录失败趋势图";
			break;
			case 720:
			title = "最近一个月日志记录失败趋势图";
			break;
		}
	}
	if (type == "poolcount") {
		switch(hours) {
			case 24:
			title = "最近一天日志记录成功趋势图";
			break;
			case 168:
			title = "最近一周日志记录成功趋势图";
			break;
			case 720:
			title = "最近一个月日志记录成功趋势图";
			break;
		}
	}
	
	$.ajax({
		url:'receiverstatus.php',
		dataType:'json',
		type: 'post',
		data: {type: type, hours: hours},
		success:function(data) {
			if (type == "poolcount") {
				pooltrend(data.result, render, title);
			}else
				pooltrend(data.result, render, title);
		}
	})
}

function pooltrend(json, render, title)
{
	var options = {
		chart:{
			renderTo:render,
			borderRadius:0,
			defaultSeriesType:'area'
		},title:{
			text: title,
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
		},xAxis:{
			type:'datetime',
			tickPixelInterval:60,
			labels:{
			rotation:-45,
			align:'right',
			style:{font:'normal 10px Verdana, sans-serif', color:'#000000'}
			}
		},yAxis:{
			min:0,
			tickPixelInterval:30,
			style:{font:'normal 10px Verdana, sans-serif', color:'#000000'},
			title:{
				text: '#数量'
			},labels:{formatter:function(){
					return numberformats(parseInt(this.value));
					}
				},
			plotLines:[{value:0,width:1}]
		},legend:{enabled:true,verticalAlign:'top',y:15, align:'right',lineHeight:1, symbolWidth:4, itemMarginBottom:2, symbolHeight:4, itemStyle:{color:'black', font:'normal 10px sans-serif'}
		},plotOptions:{
			area:{stacking:'normal',lineWidth:1,marker:{enabled:false}}
		},credits:{enabled:false},
		tooltip:{
			formatter:function() {
			return '<b>'+this.series.name+'</b><br/>'+Highcharts.dateFormat('%Y/%m/%d %H:%M:%S', this.x) +'<br/>'+ numformats(this.y);
			}
		},
		series: []
	}
	options.series = json;
	new Highcharts.Chart(options);
}
</script>
</head>
<body>
<div class="outer">
	<input type="hidden" value="<?=$_GET['histype']?>" id="histype" />
	<div id="his24" class="addborder" style="height:300px;margin-top:5px;"></div>
	<div id="his168" class="addborder" style="height:300px; margin-top:10px;"></div>
	<div id="his720" class="addborder" style="height:300px;margin-top:10px;"></div>
</div>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });
record_his(24, "his24");
record_his(168, "his168");
record_his(720, "his720");
</script>
</body>
</html>
