<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<link type="text/css" href="../css/dtree.css" rel="stylesheet">
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript">
function report()
{
	var devid = "";
	$('input[name="device"]').each(function(){
	if ($(this).attr("checked"))
	    devid += $(this).val()+',';
	});
	devid = devid.substr(0, devid.length -1);
	if (devid == "") devid = 0;

	var topn = 15;

	var dt = new Date();
	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	var ipseg = $("#ipseg").val();
	if (ipseg == "") 
		ipseg = "0.0.0.0-255.255.255.255";
	$("#ipseg").val(ipseg);

	var iptype = $("#iptype").val();

	var grpid = '0';
	var arr = [];
	$("[name='ipgrp']").each(function(){
		if ($(this).attr("checked"))
			arr.push($(this).val());
	});
	if (arr.length != 0)
		grpid = arr.join(',');
	
	var cusname = $("#cusname").val();
	var appid = -1;
	
	var extra = '';
	$("[name='extra']").each(function(){
		if ($(this).attr("checked"))
			extra += $(this).val()+',';
	});
	
	var w = 800;
	var h = window.screen.height - 150;
	var l = (window.screen.width - w)/2;
	
	window.open("report_preview.php?devid="+devid+"&ipaddr="+ipseg+"&grpid="+grpid+"&extra="+extra+
		"&appid="+appid+"&topn="+topn+"&starttime="+starttime+"&iptype="+iptype+"&cusname="+cusname+
		"&endtime="+endtime, "_blank", "width="+w+"px, height="+h+"px, left="+l+"px");
}

function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}

	$("<div id='showapptree_win'></div>").appendTo("body");
	$('#showapptree_win').load('../user_behavior/treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");
		$('#showapptree_win').css('z-index', config.zindex++);
		createtree();
		$("#checkapp").focus();
	});
}

var trees;
function createtree()
{
	var data;
	var devid;

	trees = new dTree('trees');
	trees.add(0, -1, '选择协议');

	load_show();
	$.ajax({
		url:'../user_behavior/tree.php',
		type:'get',
		dataType:'json',
		success:function(data){
			for (var i = 0; i < data.result.length; i++){
				r = data.result[i];

				trees.add(r.id, r.parent, r.cname, "javascript:appselect('"+r.id+"', '"+r.cname+"')");
			}

			var tree = trees.toString();
			$("#treelist").html(tree);
			data.result.length = 0;
			load_hide();
		}
	})
}

function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("../user_behavior/checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect(\""+r.id+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}
function appselect(id, cname)
{
	$("#appid").val(id);
	$("#appcname").val(cname);

	$('#showapptree_win').hide();
}
</script>
</head>
<body class="als-body">
<div>
<?php
$free = getversion();
if ($free)
	$custom_url = "report_custom.php";
else
	$custom_url = "new_report.php";
	$type = $_GET["type"];
	if ($type == "day")
		$daycls = "active";
	else
	if ($type == "week")
		$weekcls = "active";
	else if ($type == "month")
		$monthcls = "active";
	else
		$customcls = "active";
?>
	<div class="als-nav-header">
		<ul>
			<li class="<?=$daycls?>"><a href="report.php?type=day">日报表</a></li>
			<li class="<?=$weekcls?>"><a href="report.php?type=week">周报表</a></li>
			<li class="<?=$monthcls?>"><a href="report.php?type=month">月报表</a></li>
			<li class="<?=$customcls?>"><a href="<?=$custom_url?>">自定义报表</a></li>
		</ul>
	</div>
	<div class="als-content">
		<div class="als-box">
			<div class="als-btn-bar">
	<table class="als-table">
		<tr>
			<td align="right">客户名称</td>
			<td align="left">
				<input type="text" value="" id="cusname" style="width:200px" />
			</td>
		</tr>
		<tr>
			<td align="right">统计时间</td>
			<td align="left">
				<?php
				$t = strtotime("now") - 86400;
				?>
				<input type="text" name="start" id="start" style="width:70px;" onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				- 
				<input type="text" name="end" id="end" style="width:70px;" onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</td>
		</tr>
		<tr>
			
			<td align="right" width="70px">选择设备</td>
			<td width="500px" align="left">
				<?php
				$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);

				$strxml = array();
				$sql = 'select dev_id, dev_name from palog.config';
				$result = mysql_query($sql);
				$i = 0;
				if ($result != false) {
					while ($row = mysql_fetch_row($result)){
						$devid = $row[0];
						$devname = $row[1];

						echo '<input type="checkbox" name="device" value="'.$devid.'" /> '.$devname;
					}
					mysql_free_result($result);
				}
				mysql_close();
				?>
			</td>
		</tr>
		<!--
		<tr>
			<td align="right" width="70px">选择协议</td>
			<td align="left">
				<input type="text" id="appcname" value="任意" style="width:150px" readonly />
				<input type="hidden" value="-1" id="appid" />
				<input type="button" value="选择协议" onclick="showapptree()" />
			</td>
		</tr>
		-->
		<tr>
			<td align="right">IP范围</td>
			<td align="left">
				<input type="text" value="" placeholder="192.168.1.3-192.168.4.5" id="ipseg" style="width:300px;" />
				<span id="ipgroup" style="display:none;">
				<?php
					$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);

					$currcss = false;

					$cmd = "select id, grpname from palog.ipgrp_list";
					$result = mysql_query($cmd);
					while ($row = mysql_fetch_row($result)) {
						$grpid = $row[0];
						$grpname = $row[1];
						echo '<input type="checkbox" name="ipgrp" value="'.$grpid.'" />'.$grpname;
					}
					mysql_close($conn);
					?>
					<input type="checkbox" name="allipgrp" />全选
				</span>
				<select id="iptype">
					<option value="ipgrp">IP群组</option>
					<option value="ipcustom" selected>自定义IP段</option>
				</select>
			</td>
		</tr>
		<tr>
			<td align="right"></td>
			<td width="70px" align="left">
				<input type="button" id="apppie_but" class="ui-button ui-widget ui-corner-all" onclick="report()" value="生成报表并预览" />
				(如要生成pdf文件，可使用浏览器自带的pdf生成工具)
			</td>
		</tr>
	</table>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
filltime();
$("#iptype").change(function(){
	if ($(this).val() == "ipcustom") {
		$("#ipseg").show();
		$("#ipgroup").hide();
	}else{
		$("#ipseg").hide();
		$("#ipgroup").show();
	}
})

$("[name='allipgrp']").click(function(){
	if ($(this).attr("checked")) {
		$("[name='ipgrp']").each(function(){
			$(this).attr("checked", true);
		});
	}else {
		$("[name='ipgrp']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});
</script>
</body>
</html>
