<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/map.js"></script>
<script type="text/javascript" src="../js/china-data.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript" src="../js/china.js"></script>
<script type="text/javascript">
function topapplist()
{
	var devid = $("#devid").val();
	var topn = $("#topn").val();
	var ipaddr = $("#ipaddr").val();
	var iptype = $("#iptype").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var cusname = $("#cusname").val();
	var extra = $("#extra").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
        url:'../App/apptop.php',
        data:{devid:devid, linkid:-1, tmstart:starttime,
            tmend:endtime, page: 1, limit: topn, sort:'total', 
			errname:errname, appid: -1},
        type:'post',
        dataType:'json',
        success:function(json) {
		appdata_update(json, devid, starttime, endtime);
		appdata_column(json, devid, -1, starttime, endtime);
		cluster_load_hide();
		app_trend();
        }
    });
}

function appdata_update(data, devid, startime, endtime)
{
    var r, s;
    var len = data.detail.length;
    var trobj = $(".topapplist table tbody tr");
    var trlen = trobj.length;
    var tdobj;
    var href1, href2;
    var trbg = '';
	
	devid = devid+'';
	var q = /,/g
	devid = devid.replace(q, '-');

    for (i = 0; i < len; i++){
        r = data.detail[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';
			
        href1 = r.cname;
        if (trobj.eq(i+1).length > 0) {
            tdobj = trobj.eq(i+1).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(href1);
            tdobj.eq(2).html((r.flowcont)+'&nbsp;');
            tdobj.eq(3).html(numberformats(r.totalup));
            tdobj.eq(4).html(numberformats(r.totaldown));
            tdobj.eq(5).html(numberformats((r.totalup+r.totaldown)));
			tdobj.eq(6).html(numberformats(r.bpsup));
			tdobj.eq(7).html(numberformats(r.bpsdown));
			tdobj.eq(8).html(numberformats(r.bpstotal));
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="txt-center">'+ (i+1)+'</td>'+
                '<td class="txt-left">'+ href1+'</td>'+
                '<td class="txt-right">'+ r.flowcont+'&nbsp;</td>'+
                '<td class="txt-right">'+ numberformats(r.totalup)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.totaldown)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.totalup+r.totaldown)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.bpsup)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.bpsdown)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.bpstotal)+'</td>'+
                '</tr>';
            $(s).appendTo(".topapplist table tbody");
        }
    }
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function appdata_column(json, devid, linkid, starttime, endtime)
{
	var option = {
		chart: {
			renderTo: 'appcol_con',
			defaultSeriesType: 'column',
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
		},
		title: {
			text: "Top协议流量柱状图",
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
		},
		subtitle: {
			text: null
		},
		xAxis: {
			categories: [],
			title: {
				text: null
			},
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},
		yAxis: [{
            min: 0,
            title: {
                text: 'byte'
            }
        },{
			min: 0,
			title: {
				text: '连接数',
				style: {
					color: '#E6561C'
				}
			},
			labels: {
				//format: '{value}',
				style: {
					color: Highcharts.getOptions().colors[0]
				}
			},
			opposite: true
		}],
		tooltip: {
            formatter: function() {
                return '<b>' + this.x + '</b><br/>' +
                    this.series.name + ': ' + numberformats(this.y);
            }
        },
		plotOptions: {
			column: {
				stacking: 'normal',
				cursor:'pointer',
				depth: 35,
				point:{
				events:{
					click:function(){
						trendopen(devid, linkid, '', this.category, starttime, endtime);
					}
				}},
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:false
		},
		credits: {
			enabled: false
		},
		series: []
	}
	
	var series = [{name:'上行流量', data:[]}, 
		{name:"下行流量", data:[]}, 
		{name:"连接数", type:'spline', data:[], yAxis: 1}];
				
	for (var i = 0; i < json.detail.length; i++){
		option.xAxis.categories.push(json.detail[i].cname);
		
		series[0].data.push(json.detail[i].totalup);
		series[1].data.push(json.detail[i].totaldown);
		series[2].data.push(json.detail[i].flowcont);
	}
	option.series = series;

	var chart = new Highcharts.Chart(option);
}

function ipgrp_list()
{
	var devid = getdevice();
	var grpid = $("#grpid").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var auto_month_data = $("#auto_month_data").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	var checktype = "ipgrp_check";
	if (auto_month_data) 
		checktype = "ipgrp_quickdata";

	$.ajax({
		url:'../user_behavior/ipgrp_handle.php',
		data:{type: checktype,
			devid:devid,
			bexport:0,
			grpid: grpid,
			starttime:starttime,
			endtime:endtime,
			sort: 'total',
			errname:errname},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			ipgrp_check_update(json);

			topiplist();
		}
	});
}

function ipgrp_check_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".ipgrplist table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';
		
		s = '<tr class="'+trbg+'">' +
			'<td class="txt-center">'+(i+1)+'</td>'+
			'<td class="txt-left">'+ r.grpname+'</td>'+
			'<td class="txt-right">'+ numberformats(r.upbytes)+'</td>'+
			'<td class="txt-right">'+ numberformats(r.downbytes)+'</td>'+
			'<td class="txt-right">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
			'<td class="txt-right">'+ numberformats(r.maxupbps)+'</td>'+
			'<td class="txt-right">'+ numberformats(r.maxdownbps)+'</td>'+
			'</tr>';
		$(s).appendTo(".ipgrplist table");
	}
}


function topiplist()
{
	var devid = $("#devid").val();
	var topn = $("#topn").val();
	var ipaddr = $("#ipaddr").val();
	var iptype = $("#iptype").val();
	var grpid = $("#grpid").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var cusname = $("#cusname").val();
	var extra = $("#extra").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:"../Flow/iptop.php",
		data:{type:'checkcustom', devid:devid, iptype: iptype, ipaddr:ipaddr, grpid: grpid, 
			tmstart:starttime, tmend:endtime, bexport: 0,
			topn:topn, sort:'total', errname:errname},
		type:"get",
		dataType:"json",
		success:function(json){
			cluster_load_hide();
			topip_graph(json, "topip_con", devid, starttime, endtime);
			topip_data_update(json, devid, starttime, endtime);
			topapplist();
		}
	});
}

function topip_graph(jsondata, render, devid, starttime, endtime)
{
    var distype = "column";

    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: distype,
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
        },
        title: {
            text: 'Top用户流量柱状图',
	style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },
        yAxis: [{
            min: 0,
            title: {
                text: 'byte'
            }
        },{
			min: 0,
			title: {
				text: '连接数',
				style: {
					color: '#E6561C'
				}
			},
			labels: {
				//format: '{value}',
				style: {
					color: Highcharts.getOptions().colors[0]
				}
			},
			opposite: true
		}],
        tooltip: {
            formatter: function() {
                return '<b>' + this.x + '</b><br/>' +
                    this.series.name + ': ' + numberformats(this.y);
            }
        },
        plotOptions: {
            column: {
				stacking: 'normal',
                cursor:'pointer',
				depth: 35,
                point:{
                    events:{
                        click:function(){
                            iptrend(devid, this.category, starttime, endtime);
                        }
                    }},
                dataLabels: {
                    enabled: false
                }
            },
            bar: {
                cursor:'pointer',
                point:{
                    events:{
                        click:function(){
                            iptrend(devid, this.category, starttime, endtime);
                        }
                    }},
                dataLabels: {
                    enabled: false
                }
            }
        },
        legend: {
            enabled:false
        },
        credits: {
            enabled: false
        },
        series: []
    }

    var c = 0;
	var series = [{name:'上行流量', data:[]}, {name:"下行流量", data:[]}, {name:"连接数", type:'spline', data:[], yAxis: 1}];
	
	for (var i = 0; i < jsondata.data.length; i++){
		option.xAxis.categories.push(jsondata.data[i].ip);
		series[0].data.push(jsondata.data[i].up);
		series[1].data.push(jsondata.data[i].down);
		series[2].data.push(jsondata.data[i].flowcnt);
    }
	option.series = series;

    var chart = new Highcharts.Chart(option);
}

function topip_data_update(data, devid, starttime, endtime, chartype)
{
    var r, s;
    var len = data.data.length;
    var trobj = $(".topiplist table tbody tr");
    var trlen = trobj.length;
    var tdobj;

    for (i = 0; i < len; i++){
        r = data.data[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';
		
		var ipstr = r.ip;
        if (trobj.eq(i+1).length > 0){
            tdobj = trobj.eq(i+1).find("td");

            tdobj.eq(0).text((i+1));
            tdobj.eq(1).html(ipstr);
            tdobj.eq(2).text(r.account);
            tdobj.eq(3).html((r.flowcnt)+'&nbsp;');
            tdobj.eq(4).html(numberformats(r.up));
            tdobj.eq(5).html(numberformats(r.down));
            tdobj.eq(6).html(numberformats((r.total)));
            tdobj.eq(7).html(numberformats(r.bpsup));
            tdobj.eq(8).html(numberformats(r.bpsdown));
            tdobj.eq(9).html(numberformats((r.bpsup+r.bpsdown)));
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="txt-left">'+ (i+1)+'</td>'+
                '<td class="txt-left">'+ ipstr+'</td>'+
                '<td class="txt-left">'+ r.account+'</td>'+
                '<td class="txt-right">'+ r.flowcnt+'</td>'+
                '<td class="txt-right">'+ numberformats(r.up)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.down)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.total)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.bpsup)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.bpsdown)+'</td>'+
                '<td class="txt-right">'+ numberformats(r.bpsup+r.bpsdown)+'</td>'+
                '</tr>';
            $(s).appendTo(".topiplist table tbody");
        }
    }
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function app_trend()
{
	var devid = $("#devid").val();
	var topn = $("#topn").val();
	var ipaddr = $("#ipaddr").val();
	var iptype = $("#iptype").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var cusname = $("#cusname").val();
	var extra = $("#extra").val();
	var appid = $("#appid").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../App/appgroup_trend_stacking.php',
		data:{type: "apptrend", devid:devid, linkid:-1, tmstart:starttime,tmend:endtime, appid: appid, errname:errname},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			apptrend_graph("bpsup", json.xdate, json.up);
			apptrend_graph("bpsdown", json.xdate, json.down);
			apptrend_graph("bpsflow", json.xdate, json.flow);
			yysflowlist();
		}
	});
}

function apptrend_graph(render, xdate, data)
{
	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, 'macarons');

	var title = "";
	switch(render) {
	case "bpsup":
		title = "上行速率趋势图/bps";
		tag = '上行速率';
		break;
	case "bpsdown":
		title = "下行速率趋势图/bps";
		tag = '下行速率';
		break;
	case "bpsflow":
		title = "连接数趋势图/5分钟";
		tag = '连接数';
		break;
	}

	var option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 10
			},
			formatter: function(params, ticket, callback) {
				var name = h = "";
				for (i = 0; i < params.length; i++) {
					if (name == "") {
						name = params[i].name;
						h += name;
					}
					h += '<br/>' + params[i].seriesName + ':' + numberformats(params[i].value);
				}
				return h;
			}
		},
		title: {
			text: title,
			left: '1%',
			top: 10,
			textStyle: {
				fontSize: 12,
				color: '#555'
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			splitLine: {
				show: true 
			},
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
			data: xdate
		},
		grid: {
			left: '5%',
			top: '15%',
			right:'3%'
		},
		legend: {
			top:10,
			right: '0',
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 10,
				color: '#000'
			}
		},
		yAxis: {
			type: 'value',
			name: null,
			nameLocation: 'end',
			splitLine: {
				show: true
			},
			nameTextStyle: {
				fontSize: 10,
				fontWeight: 'bold',
				fontFamily: 'Microsoft YaHei'
			},
			axisLabel: {
				textStyle: {
					fontSize: '10'
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			boundaryGap: [0, '100%']
		},
		series: [] 
	};

	for (var i = 0; i < data.length; i++) {
		var item = {name: data[i].name, symbol: "none", type: 'line', stack: '总量', data: data[i].data, lineStyle: {normal: {width: 0}}, areaStyle: {}};
		option.series.push(item);
	}

	myChart.setOption(option);
}

function yysflowlist()
{
	var devid = $("#devid").val();
	var topn = $("#topn").val();
	var ipaddr = $("#ipaddr").val();
	var iptype = $("#iptype").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var cusname = $("#cusname").val();
	var extra = $("#extra").val();
	var appid = $("#appid").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'session_app_top',
			devid: devid,
			sort: 'total', 
			topn:topn, 
			appid:appid, 
			starttime:starttime, 
			endtime:endtime, 
			errname:errname},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			
			yyspie_pie(json, starttime, endtime);
			yysflow_graph(json, starttime, endtime, '运营商流量TOP图', 'yyscolumn');
			
			yysmap_check();
        }
    });
}

function yyspie_pie(json, starttime, endtime)
{
    var option = {
        chart: {
            renderTo: 'yyspie',
            defaultSeriesType: 'pie',
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
        },
        title: {
            text: '运营商流量分布图',
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', fontWeight:'normal', color:'#000000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return ''+
                    this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%'
            }
        },
        plotOptions: {
            pie: {
				size:'80%',
                allowPointSelect: true,
                cursor: 'pointer',
                showInLegend: true,
                dataLabels: {
                    enabled: true,
					style:{fontSize:'12px', fontWeight:'normal'},
                    formatter: function() {
                        return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
                    },
                },
				point:{
                    events:{
                        click:function(){
							yys_detail(starttime, endtime, this.yys, this.name, -1);
                        }
                    }},
            }
        },
        legend: {
            enabled:false,
            layout: 'vertical',
            backgroundColor: '#FFFFFF',
            floating: true,
            align: 'left',
            verticalAlign: 'top',
            x: 425,
            y: 25,
            labelFormatter: function() {
                return this.name;
            }
        },
        credits: {
            enabled: false
        },
        series: [{type:'pie', data:[]}]
    };

    var c = 0;
    for (var i = 0; i < json.y.length; i++){
        if (c >= config.my_colors_def.length)
            c = 0;
        option.series[0].data.push({name:json.x[i], y:json.y[i], yys: i});
    }
    var chart = new Highcharts.Chart(option);
}

function yysflow_graph(json, starttime, endtime, title, render)
{
    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: "column",
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
        },
        title: {
            text: title,
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
			style:{font: 'Arial', fontSize:'12px', color:'#666'},
            labels:{
                rotation:-45,
                align:'right',
                style:{font: 'Arial', fontSize:'12px', color:'#666'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return '<b>' + this.x + '</b><br/>' +
                    this.series.name + ': ' + numberformats(this.y) + '<br/>' +
                    'Total: ' + numberformats(this.point.stackTotal);
            }
        },
        plotOptions: {
			series: {
                        borderWidth: 0,
                        dataLabels: {
                            enabled: true,
                            formatter:function(){return numberformats(this.y)}
                        }
                    },
            column: {
				stacking: 'normal',
                cursor:'pointer',
				point:{
                    events:{
                        click:function(){
							yys_detail(starttime, endtime, this.yys, this.category, -1);
                        }
                    }},
                dataLabels: {
                    enabled: false
                }
            }
        },
        legend: {
            enabled:true
        },
        credits: {
            enabled: false
        },
        series: []
    }

    var c = 0;
	var series = [{name:'上行流量', data:[]}, {name:"下行流量", data:[]}];
    for (var i = 0; i < json.yy_rows.length; i++){
        series[0].data.push({y:json.yy_rows[i].upbytes, yys: json.yy_rows[i].yys});
		series[1].data.push({y:json.yy_rows[i].downbytes, yys: json.yy_rows[i].yys});
    }
	option.series = series;

    option.xAxis.categories = json.x;
    var chart = new Highcharts.Chart(option);
}

function yysmap_check()
{
	var devid = $("#devid").val();
	var topn = $("#topn").val();
	var ipaddr = $("#ipaddr").val();
	var iptype = $("#iptype").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var cusname = $("#cusname").val();
	var extra = $("#extra").val();
	var appid = $("#appid").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'flow_maps', devid: devid, appid: appid, starttime:starttime, endtime:endtime, errname:errname},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();
			flowmaps_update(json);
			domain_check();
		}
	});
}

function flowmaps_update(json)
{
	var data = [];
	var geoCoordMap = {};
	var maxvalue = 0;
	for (i = 0; i < json.rows.length; i++) {
		if (json.rows[i].value > maxvalue)
			maxvalue = json.rows[i].value;
		data.push({name:json.rows[i].cname, value:json.rows[i].value});
	}

	var mapFeatures = echarts.getMap("china").geoJson.features;
	mapFeatures.forEach(function(v) {
		var name = v.properties.name;
		geoCoordMap[name] = v.properties.cp;
	});
	
	var convertData = function(data) {
		var res = [];
		for (var i = 0; i < data.length; i++) {
			var geoCoord = geoCoordMap[data[i].name];
			if (geoCoord) {
				res.push({ name: data[i].name, value: geoCoord.concat(data[i].value)});
			}
		}
		return res;
	};

	var myChart = echarts.init(document.getElementById('flowmap'));
	var option = {
		title : {
			text: '区域流量数据分布图',
			x:'center',
			textStyle: {
				fontSize: 12,
				fontWeight: 'bold',
				color: '#666'
			}
		},
		tooltip : {
			trigger: 'item',
			textStyle: {
				fontSize: 12,
				fontWeight: 'normal'
			},
			formatter: function(params, ticket, callback){
				return params.name+'：'+numberformats(params.value);
			}
		},
		dataRange: {
			//orient: 'right',
			min: 0,
			max: maxvalue,
			x: 'right',
			y: 'bottom',
			text:['高','低'],           // 文本，默认为数值文本
			calculable : true,
			color: ['#f00', '#CC6666', '#f5f5f5'],
			formatter: function(v) {
				return numberformats(v);
			}
		},
		geo: {
			show: true,
			map: "china",
			label: {
				normal: {
					show: false
				},
				emphasis: {
					show: false,
				}
			},
			roam: false,
			itemStyle: {
				normal: {
					areaColor: '#031525',
					borderColor: '#3B5077',
				},
				emphasis: {
					areaColor: '#2e8ae3',
				}
			}
		},
		series: [{
			name: '区域流量数据分布图',
			type: 'scatter',
			coordinateSystem: 'geo',
			label: {
				normal: {
					formatter: '{b}',
					position: 'right',
					show: false,
					fontWeight:"bold"
				},
				emphasis: {
					show: true
				}
			},
			itemStyle: {
				normal: {
					show: false,
					color: '#2e8ae3',
				}
			}
		},
		{
			type: 'map',
			map: "china",
			geoIndex: 1,
			aspectScale: 0.75,
			showLegendSymbol: false,
			label: {
				normal: {
					show: false 
				},
				emphasis: {
					show: false,
					textStyle: {
						color: '#fff'
					}
				}
			},
			roam: false,
			itemStyle: {
				normal: {
					areaColor: '#87CEFA',
					borderColor: '#3B5077',
				},
				emphasis: {
					areaColor: '#2e8ae3'
				}
			},
			animation: false,
			data: data 
		}]
	}
	myChart.setOption(option);
}

function domain_check()
{		
	var devid = getdevice();
	var topn = $("#topn").val();
	var ipaddr = $("#ipaddr").val();
	var iptype = $("#iptype").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var cusname = $("#cusname").val();
	var extra = $("#extra").val();
	var appid = $("#appid").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	var intervalid = cluster_get_status(errname);

	var d = new Date();	
	var cachefile = "logeye_cache_" + (d.getTime() / 1000);
	
	$.ajax({
		url:'../user_behavior/domainlist.php',
		data:{type: "topdomain", domain:'', bexport:0, devid: devid,
			starttime:starttime, endtime:endtime, errname:errname, 
			page: 1, limit: topn, sort: '', appid:1044, cachefile:cachefile},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();
			domain_data_update(json, starttime, endtime);
		}
	});
}

function domain_data_update(data, starttime, endtime)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".topdomain table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var address='';
	var trbg;
	
	start = 0;

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';
		
		if (r.host == "total")
			continue;

		mystr = r.host;

		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");

			tdobj.eq(0).text(start+i+1);
			tdobj.eq(1).html(mystr);
			tdobj.eq(2).html(r.num);
			tdobj.eq(3).html(numberformats(r.up));
			tdobj.eq(4).html(numberformats(r.down));
			tdobj.eq(5).html(numberformats(r.up+r.down));
		}else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (start+i+1)+'</td>'+
				'<td class="txt-left">'+ mystr+'</td>'+
				'<td class="txt-right">'+ r.num+'</td>'+
				'<td class="txt-right">'+ numberformats(r.up)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.down)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.up+r.down)+'</td>'+
				'</tr>';
			$(s).appendTo(".topdomain table tbody");
		}
	}
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function appgroup_pie()
{
    var devid = $("#devid").val();
	var topn = $("#topn").val();
	var ipaddr = $("#ipaddr").val();
	var iptype = $("#iptype").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var cusname = $("#cusname").val();
	var extra = $("#extra").val();
	var appid = $("#appid").val();

    cluster_load_show();
    var errname = (new Date()).getTime()+'.st';
    cluster_get_status(errname);

    $.ajax({
        url:'../App/apppie.php',
        data:{devid:devid, linkid:-1, 
		type:'checkcustom',
		tmstart:starttime, 
		tmend:endtime, 
		sort: 'total', 
		appid:appid, 
		errname:errname},
        type:'post',
        dataType:'json',
        success:function(json){
            appgroup_pie_chart("appflow", "appgrouppie_up", json, starttime, endtime);
            appgroup_pie_chart("apptotal", "appgrouppie_down", json, starttime, endtime);
            cluster_load_hide();
		ipgrp_list();
        }
    });
}

function appgroup_pie_chart(chartype, render, json, starttime, endtime)
{
    var title = "连接数分布图";
    if (chartype == "apptotal")
        title = "流量分布图";

    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: 'pie',
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			//borderColor:'#D3DCEB',
			//borderRadius:4
        },
        title: {
            text: title,
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            labels:{
                rotation:-45,
                align:'right',
                //style:{font: 'Arial', fontSize:'12px', color:'#000'},
				style:{font:'normal 12px Verdana, sans-serif', color:'#666'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return ''+
                    this.point.name +': '+ numberformats(this.y);
            }
        },
        plotOptions: {
            pie: {
				size:'60%',
                allowPointSelect: true,
                cursor: 'pointer',
                dataLabels: {
                    enabled: true,
					style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'normal'},
                    formatter: function() {
                        return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
                    }
                },
				point:{
                    events:{
                        click:function() {
							groupinfo(this.appid, this.name, starttime, endtime);
                        }
                    }},
            }
        },
        legend: {
            enabled:false
        },
        credits: {
            enabled: false
        },
        series: [{type:'pie', data:[]}]
    };

    var c = 0;
    for (var i = 0; i < json.yup.length; i++) {
        if (chartype == "appflow")
            option.series[0].data.push({name:json.x[i], y:json.yflow[i], appid:json.result[i].apid});
        else 
			option.series[0].data.push({name:json.x[i], y:json.ytotal[i], appid:json.result[i].apid});
    }
    var chart = new Highcharts.Chart(option);
}
</script>
</head>
<style type="text/css">
.title {font-size:14px; font-weight:bold; color:#000; margin: 60px 0 20px 0;}
.bigtitle {font-size:16px; font-weight:bold; color:#000; text-align:center; margin-top:20px;}
.littitle {font-size:12px; font-weight:bold; color:#000; text-align:center; margin-top:30px;}
</style>
<body>
<?php
$devid = $_GET["devid"];
$ipaddr = $_GET["ipaddr"];
$grpid = $_GET["grpid"];
$appid = $_GET["appid"];
$topn = $_GET["topn"];
$starttime = $_GET["starttime"];
$endtime = $_GET["endtime"];
$iptype = $_GET["iptype"];
$cusname = $_GET["cusname"];
$extra = $_GET["extra"];

$auto_month_data = getconfig("auto_month_data");
//$cmd = LOGDPATH."/bin/logeye iptable iptable_quickdata grpid=$grpid longstart=$longstart longend=$longend sort=$sort errfile=$errfile iptype=src bexport=$bexport filename=$filename devid=$devid";
?>
<input type="hidden" value="<?=$auto_month_data?>" id="auto_month_data" />
<input type="hidden" value="<?=$devid?>" id="devid" />
<input type="hidden" value="<?=$ipaddr?>" id="ipaddr" />
<input type="hidden" value="<?=$grpid?>" id="grpid" />
<input type="hidden" value="<?=$appid?>" id="appid" />
<input type="hidden" value="<?=$topn?>" id="topn" />
<input type="hidden" value="<?=$starttime?>" id="starttime" />
<input type="hidden" value="<?=$endtime?>" id="endtime" />
<input type="hidden" value="<?=$iptype?>" id="iptype" />
<input type="hidden" value="<?=$cusname?>" id="cusname" />
<input type="hidden" value="<?=$extra?>" id="extra" />
<div class="outer">
	<div class="bigtitle"><?=$cusname?>系统分析报表</div>
	<div class="littitle">统计时间 <?=$starttime?>/<?=$endtime?></div>
	
	<div class="title">1、系统流量和连接数分布图</div>
	<div style="height:300px;">
		<div id="appgrouppie_down" style="float:left;width:48%;height:300px;"></div>
		<div id="appgrouppie_up" style="float:left;width:48%;height:300px;"></div>
	</div>
	
	<!-- 系统趋势图 -->
	<div class="title">2、系统流量和连接数趋势图</div>
	<div style="height:600px;">
		<div id="bpsup" style="float:left;width:100%;height:300px;margin-top:15px;"></div>
		<div id="bpsdown" style="float:left;width:100%;height:300px;margin-top:15px;"></div>
		<div id="bpsflow" style="float:left;width:100%;height:300px;margin-top:15px;"></div>
	</div>
	
	<!-- 运营商分布图 -->
	<div class="title">3、系统运营商流量分布图</div>
	<div style="height:300px;">
		<div id="yyspie" style="float:left;width:48%;height:300px;margin-top:25px;"></div>
		<div id="yyscolumn" style="float:left;width:48%;height:300px;margin-top:25px;"></div>
	</div>
	
	<div class="title">4、全国流量地图</div>
	<div id="flowmap" style="width:100%;height:300px;margin-top:25px;"></div>
	
	<div class="title">5、内网IP群组</div>
	<div class="ipgrplist topapp-list-table">
        <table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
			<th class="txt-center" width="50px">编号</th>
			<th width="150px" class="txt-left">群组名称</th>
			<th class="txt-right">上行流量</th>
			<th class="txt-right">下行流量</th>
			<th class="txt-right">总流量</th>
			<th class="txt-right">上行峰值bps</th>
			<th class="txt-right">下行峰值bps</th>
            </tr>
        </table>
    </div>
	
	<!-- topip -->
	<div class="title">6、Top用户</div>
	<div id="topip_con" style="margin-top:35px;height:320px;width:99%;"></div>
	<div class="topiplist topapp-list-table">
        <table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="txt-left" width="50px">序号</th>
                <th class="txt-left" width="120px">IP地址</th>
                <th class="txt-left" width="150px">账号</th>
                <th class="txt-right">连接数</th>
                <th class="txt-right">上行流量</th>
                <th class="txt-right">下行流量</th>
                <th class="txt-right">总流量</th>
                <th class="txt-right">上行速率</th>
                <th class="txt-right">下行速率</th>
                <th class="txt-right">总速率</th>
            </tr>
        </table>
    </div>
	
	<!-- topapp -->
	<div class="title">7、Top协议</div>
	<div id="appcol_con" style="width:100%;margin:35px auto;height:320px;"></div>
	<div class="topapplist topapp-list-table" style="width:100%">
        <table style="width:100%;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="txt-center" width="50px">序号</th>
                <th class="txt-left" width="100px">协议名称</th>
                <th class="txt-right">连接数</th>
                <th class="txt-right">上行流量</th>
                <th class="txt-right">下行流量</th>
                <th class="txt-right">总流量</th>
                <th class="txt-right">上行速率</th>
                <th class="txt-right">下行速率</th>
                <th class="txt-right">总速率</th>
            </tr>
        </table>
    </div>
	
	<!-- TOP域名 -->
	<div class="title">8、域名排名</div>
	<div class="topdomain topapp-list-table">
		<table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th class="txt-center" style="width:50px;">序号</th>
				<th class="txt-left" style="width:200px">域名</th>
				<th class="txt-right">访问次数</th>
				<th class="txt-right">上行流量(Byte)</th>
				<th class="txt-right">下行流量(Byte)</th>
				<th class="txt-right">总流量(Byte)</th>
			</tr>
		</table>
	</div>
	<div class="clearfloat"></div>
</div>
<!--<script type="text/javascript" src="../js/echarts/echarts.js"></script>-->
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });
appgroup_pie();
</script>
</body>
</html>
