<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
include "func.php";
if (!chksession() && !isset($_SESSION["cloud_username"])) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

if (!isset($_POST["type"])) {
	outputres("no", "session error\n");
	exit;
}
if (($type = postval("type")) == "") {
	outputres("no", "session error\n");
	exit;
}

if ($type == "lfradius_synstat")
{
	$cmd = PANALOGEYE." alssocket list deviceinfo=1";
	exec($cmd, $out, $ret);

	$rows = array();
	foreach($out as $val) {
		list($device, $devid, $p) = explode(' ', trim($val));
		array_push($rows, array(
			"devid"=>$devid,
			"count"=>$p
		));
	}

	echo json_encode($rows);
}

if ($type == "logforward_get")
{
	$cmd = PANALOGEYE." dataforward list";
	exec($cmd, $out, $ret);

	$rows = array();
	foreach($out as $val) {
		list($logtype, $server, $port, $cnt, $sock) = explode(' ', $val);
		array_push($rows, array(
			"logtype"=>$logtype,
			"server"=>$server,
			"port"=>$port,
			"cnt"=>$cnt
		));
	}

	echo json_encode($rows);
}

if ($type == "logforward_config")
{
	$logtype = postval("logtype");
	$server = postval("server");
	$port = postval("port");

	$cmd = PANALOGEYE." dataforward set 'logtype=$logtype' 'server=$server' 'port=$port'";
	exec($cmd, $out, $ret);
	echo $out[0];
}

if ($type == "lfradius_syninfo_get")
{
	$conf = "/usr/logd/bin/lfradius_syn.conf";
	if (!file_exists($conf)) {
		outputres("no", "配置文件不存在");
		exit;
	}
	$lines = file($conf);
	foreach($lines as $val) {
		list($tag, $v) = explode('=', $val);
		switch($tag) {
		case "syn_server":
			$syn_server = $v;
			break;
		case "syn_time":
			$syn_time = $v;
			break;
		}
	}
	$json = array("syn_server"=>$syn_server, "syn_time"=>$syn_time);
	echo json_encode($json);

	exit;
}

if ($type == "lfradius_syninfo_config")
{
	$syn_server = postval("syn_server");
	$syn_time = postval("syn_time");

	$conf = "/usr/logd/bin/lfradius_syn.conf";
	if (($fp = fopen($conf, "w")) == false) {
		outputres("no", "配置文件打开失败！");
		exit;
	}
	fprintf($fp, "syn_server=$syn_server\n");
	fprintf($fp, "syn_time=$syn_time\n");
	fclose($fp);

	$cmd = PANALOGEYE." alssocket config 'lfradius_syn_server=$syn_server' 'lfradius_syn_time=$syn_time'";
	exec($cmd);

	outputres("yes", "操作成功");
	exit;
}

if ($type == "lfradius_remove")
{
	$id = postval("id");

	$cmd = PANALOGEYE." lfradius remove 'id=$id'";
	exec($cmd, $out, $ret);
	if (is_array($out) && count($out) > 0)
		outputres("no", $out[0]);
	else
		outputres("yes", "");
}

if ($type == "lfradius_edit_submit")
{
	$id = postval("id");
	$devid = postval("devid");
	$name = postval("name");
	$addr = postval("addr");
	$user = postval("user");
	$pass = postval("pass");
	$port = postval("port");

	$cmd = PANALOGEYE." lfradius set 'id=$id' 'devid=$devid' 'name=$name' 'addr=$addr' 'user=$user' 'pass=$pass' 'port=$port'";
	exec($cmd, $out, $ret);
	if (is_array($out) && count($out) > 0)
		outputres("no", $out[0]);
	else
		outputres("yes", "");
}

if ($type == "lfradius_list")
{
	$cmd = PANALOGEYE." lfradius list";
	exec($cmd, $out, $ret);

	$rows = array();
	foreach($out as $val) {
		list($id, $devid, $name, $addr, $user, $pass, $port, $time, $status, $users) = explode(' ', $val);
		switch($status) {
		case 0:
			$str = "等待更新";
			break;
		case 1:
			$str = "<img src='../img/12.png' width='12px'/> 连接失败";
			break;
		case 2:
			$str = "<img src='../img/10.png' width='12px'/> 连接成功";
			break;
		}
		array_push($rows, array(
			"id"=>$id,
			"devid"=>$devid,
			"name"=>$name,
			"addr"=>$addr,
			"user"=>$user,
			"pass"=>$pass,
			"port"=>$port,
			"time"=>($time == 0) ? "" : date("Y/m/d H:i:s", $time),
			"status_code"=>$status,
			"status"=>$str,
			"users"=>$users
		));
	}
	echo json_encode($rows);
}

if ($type == "lfradius_add_submit")
{
	$devid = postval("devid");
	$name = postval("name");
	$addr = postval("addr");
	$user = postval("user");
	$pass = postval("pass");
	$port = postval("port");

	$cmd = PANALOGEYE." lfradius add 'devid=$devid' 'name=$name' 'addr=$addr' 'user=$user' 'pass=$pass' 'port=$port'";
	exec($cmd, $out, $ret);
	if (is_array($out) && count($out) > 0)
		outputres("no", $out[0]);
	else
		outputres("yes", "");
}

if ($type == "data_ftp_stat")
{
	if (file_exists("/etc/data_ftp.conf")) {
		$list = file("/etc/data_ftp.conf");
		foreach($list as $val) {
			list($tag, $val) = explode('=', trim($val));
			switch($tag) {
			case "FTP_SERVER":
				$ftp_server = $val;
				break;
			case "FTP_USER":
				$ftp_user = $val;
				break;
			case "FTP_PASS":
				$ftp_pass = $val;
				break;
			case "LOCAL_DIR":
				$local_dir = $val;
				break;
			case "SERVER_DIR":
				$server_dir = $val;
				break;
			}
		}
	}

	echo json_encode(array("ftp_server"=>$ftp_server, "ftp_user"=>$ftp_user, "ftp_pass"=>$ftp_pass, "local_dir"=>$local_dir, "server_dir"=>$server_dir));
}

if ($type == "data_ftp_set")
{
	$ftp_server	= postval("ftp_server");
	$ftp_user	= postval("ftp_user");
	$ftp_pass	= postval("ftp_pass");
	$local_dir	= postval("local_dir");
	$server_dir	= postval("server_dir");

	file_put_contents("/etc/data_ftp.conf", "FTP_SERVER=$ftp_server\nFTP_USER=$ftp_user\nFTP_PASS=$ftp_pass\nLOCAL_DIR=$local_dir\nSERVER_DIR=$server_dir\n");

	exec("ps ax | grep hx_data | cut -d' ' -f1 | xargs kill");

	outputres("yes", "OK");
	exit;
}

if ($type == "wx_relation_obj")
{
	$obj = postval("obj");
	
	setconfig("weixin_relation_obj", $obj);
}

if ($type == "cloud_weixin_relation_obj")
{
	$obj = postval("obj");

	$discon = 0;
	$ds = explode(',', $obj);
	foreach($ds as $val) {
		if ($val == "discon") {
			$discon = 1;
		}
	}

	$cmd = DATAEYE." device config 'notify_discon=$discon'";
	exec($cmd, $out, $ret);

	setconfig("cloud_weixin_relation_obj", $obj);
}

if ($type == "wx_cancel")
{
	$loginuser = $_SESSION["cloud_username"];
	if ($loginuser == "")
		$loginuser = $_SESSION["palog_username"];

	$guid = trim(file_get_contents("/etc/uuidgen.conf"));

	$cmd = "fetch 'http://www.panabit.com/wxcloud/user_cancel.php?guid=$guid&user=$loginuser' -o /tmp/wxstat";
	exec($cmd);

	if (file_exists("/tmp/wxstat"))
		echo file_get_contents("/tmp/wxstat");
	else
		echo "FAIL";
	exit;
}

if ($type == "user_unbind")
{
	if (!isset($_SESSION["cloud_username"]) && 
	    !isset($_SESSION["palog_username"])) {
		echo "LOGIN_FAIL";
		exit;
	}

	if (($loginuser = $_SESSION["cloud_username"]) == "")
		$loginuser = $_SESSION["palog_username"];

	if (!file_exists("/etc/uuidgen.conf")) {
		echo "UUIDGEN.CONF_NEXISTS";
		exit;
	}

	$guid = trim(file_get_contents("/etc/uuidgen.conf"));
	$openid = isset($_REQUEST["openid"]) ? postval("openid") : "";
	if (empty($openid)) {
		outputres("no", "ERROR_NO_OPENID");
		exit;
	}

	$cmd = "fetch 'http://www.panabit.com/wxcloud/user_unbind.php?guid=$guid&openid=$openid' -o /tmp/user_unbind";
	exec($cmd);

	if (file_exists("/tmp/user_unbind"))
		echo file_get_contents("/tmp/user_unbind");
	else
		outputres("no", "ERROR_NO_CONTENT");
}

if ($type == "weixin_user")
{
	if (!isset($_SESSION["cloud_username"]) && 
	    !isset($_SESSION["palog_username"])) {
		echo "LOGIN_FAIL";
		exit;
	}

	if (($loginuser = $_SESSION["cloud_username"]) == "")
		$loginuser = $_SESSION["palog_username"];

	if (!file_exists("/etc/uuidgen.conf")) {
		echo "UUIDGEN.CONF_NEXISTS";
		exit;
	}

	$guid = trim(file_get_contents("/etc/uuidgen.conf"));

	$cmd = "fetch 'http://www.panabit.com/wxcloud/user_list.php?guid=$guid' -o /tmp/weixin_user";
	exec($cmd);

	if (file_exists("/tmp/weixin_user"))
		echo file_get_contents("/tmp/weixin_user");
	else
		echo "GET_FAIL";
}

if ($type == "getwxstatus")
{
	if (!isset($_SESSION["cloud_username"]) && 
	    !isset($_SESSION["palog_username"])) {
		echo "LOGIN_FAIL";
		exit;
	}

	if (($loginuser = $_SESSION["cloud_username"]) == "")
		$loginuser = $_SESSION["palog_username"];

	if (!file_exists("/etc/uuidgen.conf")) {
		echo "UUIDGEN.CONF_NEXISTS";
		exit;
	}

	$guid = trim(file_get_contents("/etc/uuidgen.conf"));

	$cmd = "fetch 'http://www.panabit.com/wxcloud/user_stat.php?guid=$guid&user=$loginuser' -o /tmp/wxstat";
	exec($cmd);

	if (file_exists("/tmp/wxstat"))
		echo file_get_contents("/tmp/wxstat");
	else
		echo "GET_FAIL";
}

if ($type == "gamecloud_delete")
{
	$idstr = postval("idstr");
	if ($idstr == "") {
		outputres("no", "param error");
		exit;
	}

	$ds = explode('|', $idstr);
	foreach($ds as $val) {
		if ($val == "")
			continue;

		$cmd = DATAEYE." gamecloud remove 'license_id12=$val'";
		exec($cmd, $out, $ret);
		if ($out[0] != "ok") {
			outputres("no", $out[0]);
			exit;
		}
	}
	outputres("yes", $out[0]);
	exit;
}

if ($type == "gamecloud_list")
{
	$grpid = postval("grpid");
	$sch = postval("sch");
	$sortname = postval("sort");
	$page = postval("page");
	$limit = postval("limit");
	$g_ascdesc = postval("g_ascdesc");

	$total = $fail = 0;
	$now = time();
	$rows = $grplist = $json = array();
	
	if ($sch != "") {
		if (strpos($sch, "(") != false && strpos($sch, ")") != false) {
			$pos = strpos($sch, "(");
			$sch = substr($sch, $pos);
			$sch = addslashes($sch);
		}
		$sch = iconv("utf-8", "gb2312", $sch);
		$sch = strtolower($sch);
	}
	
	$serverip = $_SERVER['HTTP_HOST'];
	if (strchr($serverip, ':') != false) {
		$ds = explode(':', $serverip);
		$localip = $ds[0];
	}else 
		$localip = $serverip;
	
	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn == false)
		exit;
	$cmd = "select * from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
	$result = mysql_query($cmd);
	if (mysql_num_rows($result) == 0) {
		outputres("no", "账号已被删除，请联系管理员");
		mysql_close($conn);
		exit;
	}
	
	$cmd = "select grpid, grpname from palog.cloud_grp";
	if (($result = mysql_query($cmd)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($grplist, array("id"=>$row[0], "name"=>$row[1]));
		}
	}

	/* 提取当前用户管理的组id */
	$usergrps = "";
	if ($_SESSION["cloud_username"] != "admin") {
		$cmd = "select grp from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$usergrps = $row[0];
			}
		}
	}
	mysql_close($conn);

	if ($_SESSION["cloud_username"] != "admin" && $usergrps == "") {
		$json["rows"] = $rows;
		$json["total"] = $total;
		$json["fail"] = $fail;
		$json["exp"] = 0;
		echo json_encode($json);
		exit;
	}
	
	if ($g_ascdesc == "asc") $sortdesc = 0;
	if ($g_ascdesc == "desc") $sortdesc = 1;
	switch($sortname) {
		case "license_id12":
		$sortname = 1;break;
		case "actime":
		$sortname = 2;break;
		case "ipcnt":
		$sortname = 3;break;
		case "delay_cur":
		$sortname = 4;break;
		case "inbps":
		$sortname = 5;break;
		case "outbps":
		$sortname = 6;break;
		case "name":
		$sortname=7;break;
		case "enable":
		$sortname=8;break;
		default:
		default:
			$sortname=0;
	}

	$cmd = DATAEYE." gamecloud list 'page=$page' 'limit=$limit' 'grpid=$grpid' 'sch=$sch' 'sortname=$sortname' 'sortdesc=$sortdesc' 'usergrp=$usergrps'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$row = explode(' ', $val);
		
		if (strstr($row[0], "total") != false || 
			strstr($row[0], "fail") != false) {
			$ds = explode('=', $row[0]);
			if ($ds[0] == "total")
				$total = $ds[1];
			if ($ds[0] == "fail")
				$fail = $ds[1];
			continue;
		}

		$grpid = $row[1];
		$grpname = "";
		foreach($grplist as $val) {
			if ($val["id"] == $grpid) {
				$grpname = $val["name"];
				break;
			}
		}
		array_push($rows, array(
			"license_id12"=>$row[0],
			"enable"=>$row[2],
			"l2tp_state"=>$row[3],
			"sysname"=>iconv("gb2312", "utf-8", $row[4]),
			"grpname"=>iconv("gb2312", "utf-8", $grpname),
			"startm"=>$row[5],
			"endtm"=>$row[6],
			"inbps"=>$row[7],
			"outbps"=>$row[8],
			"actime"=>(int)$row[9],
			"ipcnt"=>$row[10],
			"license_ipcnt"=>$row[11],
			"delay_cur"=>$row[12],
			"delay_min"=>$row[13],
			"delay_max"=>$row[14],
			"servertime"=>(int)time(),
			"state"=>$row[15],
			"waitime_left"=>$row[16],
			"localip"=>$localip,
			"maxipcnt"=>$row[17]
		));
	}

	$json["total"] = $total;
	$json["fail"] = $fail;
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "device_transfer_handle")
{
	$lic = postval("lic");
	$newcloudip = postval("cloudip");
	if ($lic == "") {outputres("no", "no lic"); exit;}

	unset($out);
	if (strstr($lic, ",") == false) {
		$cmd = DATAEYE." device set 'license_id12=$lic' 'newcloudip=$newcloudip'";
		exec($cmd, $out, $ret);
	}
	else {
		$ds = explode(',', $lic);
		foreach($ds as $val) {
			unset($out);
			$cmd = DATAEYE." device set 'license_id12=$val' 'newcloudip=$newcloudip'";
			exec($cmd, $out, $ret);
		}
	}

	outputres("yes", "");

	exit;
}

if ($type == "sshport_kill")
{
	$license_id12 = postval("license_id12");
	$cliip = postval("cliip");
	$bigport = postval("bigport");
	$minport = postval("minport");

	$cmd = DATAEYE." sshport remove 'license_id12=$license_id12' 'cliip=$cliip' 'bigport=$bigport' 'minport=$minport'";
	exec($cmd, $out, $ret);
}

if ($type == "sshport_list")
{
	$json = $rows = array();

	$intools = array();
	if (($conn = my_mysql_connect()) != false) {
		$sql = "select hostname, hostip, centercode from palog.intool_list";
		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				array_push($intools, array(
					"hostname"=>$row[0],
					"hostip"=>$row[1],
					"centercode"=>$row[2]
				));
			}
		}
		/* 提取当前用户管理的组id */
		$usergrps = "";
		if ($_SESSION["cloud_username"] != "admin") {
			$cmd = "select grp from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
			if (($result = mysql_query($cmd)) != false) {
				while ($row = mysql_fetch_row($result)) {
					$usergrps = $row[0];
				}
			}
		}
		mysql_close();
	}

	$cmd = DATAEYE." sshport list 'usergrp=$usergrps'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);

		$hostname = "";
		foreach($intools as $dd) {
			if ($dd["hostip"] == $ds[5] && $dd["centercode"] == $ds[0]) {
				$hostname = $dd["hostname"];
				break;
			}
		}

		$bigport = $ds[3];
		if ($bigport == 0)
			continue;

		array_push($rows, array(
			"hostname"=>$hostname,
			"license_id12"=>$ds[0],
			"sysname"=>iconv("gb2312", "utf-8", $ds[1]),
			"grpid"=>$ds[2],
			"bigport"=>$bigport,
			"minport"=>$ds[4],
			"cliip"=>$ds[5],
			"borntime"=>date("d/H:i:s", $ds[6]),
			"uptime"=>$ds[7],
			"usetime"=>time() - $ds[6]
		));
		array_push($sorts, $hostname);
	}
	array_multisort($sorts, SORT_ASC, SORT_STRING, $rows);

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "intoolgrplist")
{
	$rows = $json = array();

	$user = $_SESSION["cloud_username"];

	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn) {
		if ($user == "admin") {
			$cmd = "select id, name from palog.intool_grp";
			if (($result = mysql_query($cmd)) != false) {
				while ($row = mysql_fetch_row($result)) {
					array_push($rows, array(
						"id"=>$row[0], 
						"name"=>$row[1]
						));
					array_push($sorts, $row[1]);
				}
			}
		}
		else {
			$cmd = "select intool_grpids, intool_grpnames from palog.cloud_users where username='$user'";
			if (($result = mysql_query($cmd)) != false) {
				while ($row = mysql_fetch_row($result)) {
					$x1 = explode(',', $row[0]);
					$x2 = explode(',', $row[1]);
					
					foreach($x1 as $k=>$val) {
						if ($val == "")
							continue;
						array_push($rows, array(
							"id"=>$x1[$k], 
							"name"=>$x2[$k]
							));
						array_push($sorts, $x2[$k]);
					}
				}
			}
		}
		mysql_close($conn);
	}

	array_multisort($sorts, SORT_ASC, SORT_STRING, $rows);
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "intool_hostlist")
{
	$hosttxt = postval("hosttxt");
	$selgrps = postval("selgrps");

	$json = $rows = $grps = array();

	$loginuser = $_SESSION["cloud_username"];

	$serverip = $_SERVER['HTTP_HOST'];
	if (strchr($serverip, ':') != false) {
		$ds = explode(':', $serverip);
		$localip = $ds[0];
	}else 
		$localip = $serverip;

	if (($conn = my_mysql_connect()) != false) {
		$sql = "select id, name from palog.intool_grp";
		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				array_push($grps, array("id"=>$row[0], "name"=>$row[1]));
			}
		}

		$myintoolgrpid = '';
		if ($loginuser != "admin") {
			$sql = "select intool_grpids from palog.cloud_users where username='$loginuser'";
			if (($result = mysql_query($sql)) != false) {
				while ($row = mysql_fetch_row($result)) {
					$myintoolgrpid = $row[0];
				}
			}
		}

		if ($loginuser != "admin" && $myintoolgrpid == "") {
			mysql_close();
			outpures("no", "");
			exit;
		}

		$cmd = "alter table palog.intool_list add httpport int not null default '0'";
		mysql_query($cmd);
		$cmd = "alter table palog.intool_list add acctimes int not null default '0'";
		mysql_query($cmd);
		$cmd = "alter table palog.intool_list add lasttime int not null default '0'";
		mysql_query($cmd);

		$sql = "select id, hostname, hostip, webport, sshport, rdpport, hostgrp, centercode, centername, httpport, acctimes, lasttime from palog.intool_list";
		if ($hosttxt != "")
			$sql .= " where (hostname like '%$hosttxt%' or hostip like '%$hosttxt%' or centername like '%$hosttxt%')";
		if ($selgrps != 0 && $hosttxt == "")
			$sql .= " where hostgrp=$selgrps";
		if ($selgrps != 0 && $hosttxt != "")
			$sql .= " and hostgrp=$selgrps";
		if ($selgrps == 0 && $hosttxt == "" && $myintoolgrpid != "")
			$sql .= " where hostgrp in($myintoolgrpid)";
		if (($selgrps != 0 || $hosttxt != "") && $myintoolgrpid != "")
			$sql .= " and hostgrp in($myintoolgrpid)";
		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$grpname = "";
				foreach($grps as $val) {
					if ($val["id"] == $row[6]) {
						$grpname = $val["name"];
						break;
					}
				}

				if ($row[11] == 0) $lasttime = '';
				else $lasttime = date("m/d H:i:s", $row[11]);

				array_push($rows, array(
					"id"=>$row[0], 
					"hostname"=>$row[1],
					"hostip"=>$row[2],
					"webport"=>$row[3],
					"sshport"=>$row[4],
					"rdpport"=>$row[5],
					"hostgrpid"=>$row[6],
					"hostgrp"=>$grpname,
					"centercode"=>$row[7],
					"localip"=>$localip,
					"centername"=>$row[8],
					"httpport"=>$row[9],
					"loginuser"=>$loginuser,
					"acctimes"=>$row[10],
					"lasttime"=>$lasttime
				));
			}
		}
		mysql_close();
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "intool_addhost")
{
	$hostname = postval("hostname");
	$hostip = postval("hostip");
	$webport = postval("webport");
	$httpport = postval("httpport");
	$sshport = postval("sshport");
	$rdpport = postval("rdpport");
	$hostgrp = postval("hostgrp");
	$centername = postval("centername");
	$centercode = postval("centercode");

	$sql = "create table if not exists palog.intool_list(id int not null auto_increment primary key, hostname varchar(128) not null default '', hostip varchar(16) not null default '', webport int not null default '0', sshport int not null default '0', rdpport int not null default '0', hostgrp int(2) not null default '0', centercode varchar(16) not null default '', centername varchar(128) not null default '', httpport int not null default '0')engine=myisam default charset=utf8";
	if (($conn = my_mysql_connect()) != false) {
		if (mysql_query($sql) == false) {
			outputres("no", mysql_error());
			mysql_close();
			exit;
		}

		$sql = "select * from palog.intool_list where hostip='$hostip' and centercode='$centercode'";
		$result = mysql_query($sql);
		if (mysql_num_rows($result) > 0) {
			outputres("no", "exists");
			mysql_close();
			exit;
		}
		$sql = "insert into palog.intool_list(hostname, hostip, webport, sshport, rdpport, hostgrp, centercode, centername, httpport)values('$hostname', '$hostip', $webport, $sshport, $rdpport, $hostgrp, '$centercode', '$centername', $httpport)";
		if (mysql_query($sql) == false) {
			outputres("no", mysql_error());
			mysql_close();
			exit;
		}
	}else {
		outpures("no", "mysql error");
		exit;
	}

	outputres("yes", "");
	exit;
}

if ($type == "intool_edithost")
{
	$id = postval("id");
	$hostname = postval("hostname");
	$hostip = postval("hostip");
	$webport = postval("webport");
	$httpport = postval("httpport");
	$sshport = postval("sshport");
	$rdpport = postval("rdpport");
	$hostgrp = postval("hostgrp");
	$centercode = postval("centercode");
	$centername = postval("centername");

	if (($conn = my_mysql_connect()) != false) {
		$sql = "update palog.intool_list set hostname='$hostname', hostip='$hostip', webport=$webport, sshport=$sshport, rdpport=$rdpport, hostgrp=$hostgrp, centercode='$centercode', centername='$centername', httpport=$httpport where id=$id";
		if (mysql_query($sql) == false) {
			outputres("no", mysql_error());
			mysql_close();
			exit;
		}
	}else {
		outpures("no", "mysql error");
		exit;
	}

	outputres("yes", "");
	exit;
}

if ($type == "intool_deletehost")
{
	$id = postval("id");

	if (($conn = my_mysql_connect()) != false) {
		$sql = "delete from palog.intool_list where id=$id";
		mysql_query($sql);
		mysql_close();
		outputres("yes", "");
	}else {
		outputres("no", "mysql error");
	}

	exit;
}

if ($type == "intool_deletegroup")
{
	$id = postval("id");

	if (($conn = my_mysql_connect()) != false) {
		$sql = "delete from palog.intool_grp where id=$id";
		mysql_query($sql);
		mysql_close();
		outputres("yes", "");
	}else {
		outputres("no", "mysql error");
	}

	exit;
}

if ($type == "intool_grouplist")
{
	$json = $rows = array();

	if (($conn = my_mysql_connect()) != false) {
		$sql = "select id, name from palog.intool_grp";
		if (($result = mysql_query($sql)) != false) {
			while ($row = mysql_fetch_row($result)) {
				array_push($rows, array("id"=>$row[0], "name"=>$row[1]));
			}
		}
		mysql_close();
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "intool_addgroup")
{
	$grpname = postval("grpname");
	if ($grpname == "") {
		outputres("no", "param error");
		exit;
	}

	$sql = "create table if not exists palog.intool_grp(id int not null auto_increment primary key, name varchar(128) not null default '')engine=myisam default charset=utf8";
	if (($conn = my_mysql_connect()) != false) {
		if (mysql_query($sql) == false) {
			outputres("no", mysql_error());
			mysql_close();
			exit;
		}
		$sql = "select grpname from palog.intool_grp where name='$grpname'";
		if (($result = mysql_query($sql)) != false) {
			if (mysql_num_rows($result) > 0) {
				outputres("no", "exists");
				mysql_close();
				exit;
			}
		}
		$sql = "insert into palog.intool_grp(name)values('$grpname')";
		mysql_query($sql);
		mysql_close();
		outputres("yes", "");
	}else
		outpures("no", "mysql connect error");

	exit;
}

if ($type == "app_start")
{
	$license_id12 = postval("license_id12");
	$app_name = postval("app_name");
	$state = postval("state");

	$l = explode(',', $license_id12);
	$n = explode(',', $app_name);
	$s = explode(',', $state);

	foreach($l as $k=>$val) {
		if ($val == "")
			continue;
		$cmd = DATAEYE." backup set 'license_id12=$val' 'app_name=".$n[$k]."' 'state=".$s[$k]."'";
		exec($cmd, $out, $ret);
	}

	exit;
}

if ($type == "logserver_list")
{
	$grpid = postval("grpid");
	$sch = postval("sch");
	$sortname = postval("sort");
	$page = postval("page");
	$limit = postval("limit");
	$g_ascdesc = postval("g_ascdesc");

	$expire = 0;
	if (isset($_POST["expire"]))
		$expire = postval("expire");
	
	$total = $fail = 0;
	$now = time();
	$rows = array();
	$grplist = array();
	
	if ($sch != "") {
		if (strpos($sch, "(") != false && strpos($sch, ")") != false) {
			$pos = strpos($sch, "(");
			$sch = substr($sch, $pos);
			$sch = addslashes($sch);
		}
		
		$sch = iconv("utf-8", "gb2312", $sch);
		
		// 转化成小写
		$sch = strtolower($sch);
	}
	
	$serverip = $_SERVER['HTTP_HOST'];
	if (strchr($serverip, ':') != false) {
		$ds = explode(':', $serverip);
		$localip = $ds[0];
	}else 
		$localip = $serverip;
	
	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn == false)
		exit;
	$cmd = "select * from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
	$result = mysql_query($cmd);
	if (mysql_num_rows($result) == 0) {
		outputres("no", "账号已被删除，请联系管理员");
		mysql_close($conn);
		exit;
	}
	
	$cmd = "select grpid, grpname from palog.logserver_grp";
	if (($result = mysql_query($cmd)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($grplist, array("id"=>$row[0], "name"=>$row[1]));
		}
	}

	/* 提取当前用户管理的组id */
	$usergrps = "";
	if ($_SESSION["cloud_username"] != "admin") {
		$cmd = "select log_grpids from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$usergrps = $row[0];
			}
		}
	}
	mysql_close($conn);

	if ($_SESSION["cloud_username"] != "admin" && $usergrps == "") {
		$json["rows"] = $rows;
		$json["total"] = $total;
		$json["fail"] = $fail;
		$json["exp"] = 0;
		echo json_encode($json);
		exit;
	}
	
	if ($g_ascdesc == "asc") $sortdesc = 0;
	if ($g_ascdesc == "desc") $sortdesc = 1;
	switch($sortname) {
		case "license_id12":
		$sortname = 1;break;
		case "actime":
		$sortname = 2;break;
		case "start":
		$sortname = 3;break;
		case "end":
		$sortname = 4;break;
		case "bps":
		$sortname = 7;break;
		case "boot":
		$sortname = 9;break;
		case "ver":
		$sortname=10;break;
		case "name":
		$sortname=12;break;
	}

	$cmd = DATAEYE." logserver list 'page=$page' 'limit=$limit' 'grpid=$grpid'".
			" 'sch=$sch' 'sortname=$sortname' 'sortdesc=$sortdesc' 'usergrp=$usergrps' 'expire=$expire'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$row = explode(' ', $val);
		
		if (strstr($row[0], "total") != false || 
			strstr($row[0], "fail") != false || 
			strstr($row[0], "exp") != false) {
			$ds = explode('=', $row[0]);
			if ($ds[0] == "total")
				$total = $ds[1];
			else
			if ($ds[0] == "fail")
				$fail = $ds[1];
			else
			if ($ds[0] == "exp")
				$expire = $ds[1];
			continue;
		}

		$license_id12 = $row[0];
		$grpid = $row[1];
		$boot = $row[2];
		$logsname = $row[3];
		$ver = $row[4];
		$start = $row[5];
		$end = $row[6];
		$bps = $row[7];
		$outip = $row[8];
		$outport = $row[9];
		$actime = $row[10];

		$map_addr = "";
		if (isset($row[11]) && json_encode($row[11]))
			$map_addr = $row[11];
		$logsname2 = $row[14];
		
		if ($actime == 0) $actimestr = "";
		else $actimestr = date("m-d/H:i:s", $actime);
		
		$sysrun = '';
		if ($boot != 0) {
			$run = $now - (int)$boot;
			$a = (int)((int)$run / 86400);
			if ($a >= 0 && $a <= 9)
				$a = "$a";
			$h = (int)(((int)$run % 86400) / 3600);
			if ($h >= 0 && $h <= 9)
				$h = "0$h";
			$m = (int)((((int)$run % 86400) % 3600) / 60);
			if ($m >= 0 && $m <= 9)
				$m = "0$m";
			$s = (int)((((int)$run % 86400) % 3600) % 60);
			if ($s >= 0 && $s <= 9)
				$s = "0$s";
			$sysrun = $a."/$h:$m:$s";
		}
		
		if ($start == "0") $license_start_str = "";
		else $license_start_str = date("Y-m-d", $start);
		if ($end == "0") $license_end_str = "";
		else $license_end_str = date("Y-m-d", $end);
		
		$grpname = "";
		foreach($grplist as $val) {
			if ($val["id"] == $grpid) {
				$grpname = $val["name"];
				break;
			}
		}
		
		array_push($rows, array(
			"outip"=>long2ip($outip),
			"sysname"=>iconv("gb2312", "utf-8", $logsname),
			"sysname2"=>iconv("gb2312", "utf-8", $logsname2),
			"license_start_str"=>$license_start_str,
			"license_end_str"=>$license_end_str,
			"license_start"=>(int)$start,
			"license_end"=>(int)$end,
			"license_id12"=>$license_id12,
			"bps"=>(int)$bps,
			"actime"=>(int)$actime,
			"actimestr"=>$actimestr,
			"servertime"=>strtotime("now"),
			"localip"=>$localip,
			"grpid"=>$grpid,
			"grpname"=>$grpname,
			"sysrun"=>$sysrun,
			"version"=>$ver,
			"map_addr"=>$map_addr
		));
	}

	$json["total"] = $total;
	$json["fail"] = $fail;
	$json["exp"] = $expire;
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "cloud_handle")
{
	$cloud_server = postval("cloud_server");
	$cloud_name = iconv("utf-8", "gb2312", postval("cloud_name"));

	if (!file_exists(LOG_CONF)) {
		outputres("no", "配置文件错误");
		exit;
	}

	$fd1 = $fd2 = 0;
	$lines = file(LOG_CONF);
	foreach($lines as $k=>$val) {
		if (strstr($val, "cloud_server") != false) {
			$lines[$k] = "cloud_server=$cloud_server\n";
			$fd1 = 1;
		}
		if (strstr($val, "sysname") != false) {
			$lines[$k] = "sysname=$cloud_name\n";
			$fd2 = 1;
		}
	}
	if (!$fd1) array_push($lines, "cloud_server=$cloud_server\n");
	if (!$fd2) array_push($lines, "sysname=$cloud_name\n");

	if (($fp = fopen(LOG_CONF, "w")) != false) {
		foreach($lines as $val)
			fprintf($fp, $val);
		fclose($fp);
	}

	exec("killall mycloud");

	outputres("yes", "");
	exit;
}

if ($type == "cloud_enable_handle")
{
	$enable = postval("enable");

	$fd = 0;
	$lines = file(LOG_CONF);
	foreach($lines as $key=>$val) {
		if (strstr($val, "cloud_enable") != false) {
			$lines[$key] = "cloud_enable=$enable\n";
			$fd = 1;
			break;
		}
	}
	
	if (($fp = fopen(LOG_CONF, "w")) != false) {
		if (flock($fp, LOCK_EX)) {
			foreach($lines as $key=>$val) {
				fwrite($fp, $val);
			}
			if (!$fd)
				fwrite($fp, "cloud_enable=$enable\n");
			flock($fp, LOCK_UN);
		}
		fclose($fp);
	}else {
		outputres("no", "文件打开失败");
		exit;
	}

	if ($enable == 0) {
		exec("killall panacloud");
		exec("ps ax | grep licmonitor | grep -v grep | awk '{print $1}' | xargs kill");
	}

	outputres("yes", "");
	exit;
}

if ($type == "iptable_status")
{
	$json = $rows = array();

	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn == false)
		exit;
	$usergrp= "";
	if ($_SESSION["cloud_username"] != "admin") {
		$cmd = "select grp from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$usergrp= $row[0];
			}
		}
	}
	mysql_close($conn);
	
	$cmd = DATAEYE." iptable list sch= grpid=0 'usergrp=$usergrp' istask=1";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', trim($val));
		if ($ds[0] == "license_id12")
			continue;
		array_push($rows, array(
			"license_id12"=>$ds[0],
			"sysname"=>iconv("gb2312", "utf-8", $ds[1]),
			"istatus"=>$ds[4],
			"tblfname"=>$ds[5],
			"error"=>iconv("gb2312", "utf-8", $ds[6])
		));
	}
	$json["rows"] = $rows;
	echo json_encode($json);

	exit;
}

if ($type == "urldnsgrp_status")
{
	$json = $rows = array();

	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn == false)
		exit;
	$usergrp= "";
	if ($_SESSION["cloud_username"] != "admin") {
		$cmd = "select grp from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$usergrp= $row[0];
			}
		}
	}
	mysql_close($conn);
	
	$cmd = DATAEYE." urldnsgrp list sch= grpid=0 'usergrp=$usergrp' istask=1";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', trim($val));
		if ($ds[0] == "license_id12")
			continue;
		array_push($rows, array(
			"license_id12"=>$ds[0],
			"sysname"=>iconv("gb2312", "utf-8", $ds[1]),
			"istatus"=>$ds[4],
			"tblfname"=>$ds[5],
			"error"=>iconv("gb2312", "utf-8", $ds[6])
		));
	}
	$json["rows"] = $rows;
	echo json_encode($json);

	exit;
}

if ($type == "iptable_rmvip")
{
	$ip = postval("ip");
	$fname = postval("fname");

	if ($ip == "" || $fname == "") {
		outputres("no", "inv arg");
		exit;
	}

	$f1 = CLOUD_IPTABLES."/".$fname;
	$f2 = CLOUD_IPTABLES."/".$fname.".new";
	if (!file_exists($f1)) {
		outputres("no", "not exists");
		exit;
	}
	if (file_exists($f2))
		unlink($f2);

	if (($fp = fopen($f2, "w")) == false) {
		outputres("no", "file error");
		exit;
	}

	$lines = file($f1);
	foreach($lines as $val) {
		$val = trim($val);
		if ($val == $ip)
			continue;
		fprintf($fp, $val."\r\n");
	}
	fclose($fp);

	if (file_exists($f2)) {
		unlink($f1);
		rename($f2, $f1);
	}

	outputres("yes", "");
	exit;
}

if ($type == "urldnsgrp_rmvip")
{
	$ip = postval("ip");
	$fname = postval("fname");

	if ($ip == "" || $fname == "") {
		outputres("no", "inv arg");
		exit;
	}

	$f1 = CLOUD_URLDNSGRP."/".$fname;
	$f2 = CLOUD_URLDNSGRP."/".$fname.".new";
	if (!file_exists($f1)) {
		outputres("no", "not exists");
		exit;
	}
	if (file_exists($f2))
		unlink($f2);

	if (($fp = fopen($f2, "w")) == false) {
		outputres("no", "file error");
		exit;
	}

	$lines = file($f1);
	foreach($lines as $val) {
		$val = trim($val);
		if ($val == $ip)
			continue;
		fprintf($fp, $val."\r\n");
	}
	fclose($fp);

	if (file_exists($f2)) {
		unlink($f1);
		rename($f2, $f1);
	}

	outputres("yes", "");
	exit;
}

if ($type == "iptable_handle")
{
	$devstr = postval("devstr");
	$ipstr = postval("ipstr");
	$ipfile = postval("ipfile");
	$grpname = iconv("utf-8", "gb2312", postval("grpname"));

	if ($devstr == "" || $ipstr == "" || $ipfile == "") {
		outputres("no", "error");
		exit;
	}

	cloud_insertlog($_SESSION["cloud_username"], "更新设备IP群组：$devstr");

	$cmd = DATAEYE." iptable set clear=1";
	exec($cmd);

	$ds1 = explode(',', $devstr);
	$ds2 = explode(',', $ipstr);
	foreach($ds1 as $k=>$val) {
		$cmd = DATAEYE." iptable set 'license_id12=".$val."' 'ipid=".$ds2[$k]."' 'tblfname=$ipfile' 'grpname=$grpname'";
		exec($cmd, $out, $ret);
	}

	outputres("yes", "");
}

if ($type == "urldnsgrp_handle")
{
	$devstr = postval("devstr");
	$ipstr = postval("ipstr");
	$ipfile = postval("ipfile");
	$grpname = iconv("utf-8", "gb2312", postval("grpname"));

	if ($devstr == "" || $ipstr == "" || $ipfile == "") {
		outputres("no", "error");
		exit;
	}

	cloud_insertlog($_SESSION["cloud_username"], "更新设备域名群组：$devstr");

	$cmd = DATAEYE." urldnsgrp set clear=1";
	exec($cmd);

	$ds1 = explode(',', $devstr);
	$ds2 = explode(',', $ipstr);
	foreach($ds1 as $k=>$val) {
		$cmd = DATAEYE." urldnsgrp set 'license_id12=".$val."' 'ipid=".$ds2[$k]."' 'tblfname=$ipfile' 'grpname=$grpname'";
		exec($cmd, $out, $ret);
	}

	outputres("yes", "");
}

if ($type == "iptables_list")
{
	$grpid = postval("grpid");
	$sch = iconv("utf-8", "gb2312", postval("sch"));

	$json = $rows = array();

	if (($conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS)) == false)
		exit;

	$usergrp= "";
	if ($_SESSION["cloud_username"] != "admin") {
		/* General user */
		$cmd = "select grp from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$usergrp= $row[0];
			}
		}
	}

	$grptables = array();
	$cmd = "select grpid, grpname from palog.cloud_grp";
	if (($result = mysql_query($cmd)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($grptables, array("id"=>$row[0], "grpname"=>iconv("gb2312", "utf-8", $row[1])));
		}
	}
	mysql_close($conn);

	$tmp = array();
	$table_array = array();

	$cmd = DATAEYE." iptable list 'sch=$sch' 'grpid=$grpid' 'usergrp=$usergrp'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', trim($val));
		if ($ds[0] == "license_id12")
			continue;
		foreach($grptables as $val) {
			if ($val["id"] == $ds[3]) {
				$grpname = $val["grpname"];
				break;
			}
		}

		$iptable = iconv("gb2312", "utf-8", $ds[2]);
		$ta = explode('|', $iptable);
		foreach($ta as $val) {
			if ($val == "") continue;
			$sa = explode(',', $val);
			$fd = 0;
			foreach($table_array as $s) {
				if ($s["name"] == $sa[1]) {
					$fd = 1;
					break;
				}
			}
			if (!$fd) {
				array_push($table_array, array("id"=>$sa[0], "name"=>$sa[1]));
				array_push($tmp, $sa[1]);
			}
		}
		
		array_push($rows, array(
			"license_id12"=>$ds[0],
			"sysname"=>iconv("gb2312", "utf-8", $ds[1]),
			"iptable"=>$iptable,
			"grpname"=>$grpname,
			"grpid"=>$ds[3],
			"error"=>iconv("gb2312", "utf-8", $ds[6])
		));
	}

	array_multisort($tmp, SORT_DESC, SORT_STRING, $table_array);

	$json["rows"] = $rows;
	$json["tables"] = $table_array;
	echo json_encode($json);

	exit;
}

if ($type == "urldnsgrp_list")
{
	$grpid = postval("grpid");
	$sch = iconv("utf-8", "gb2312", postval("sch"));

	$json = $rows = array();

	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn == false)
		exit;
	$usergrp= "";
	if ($_SESSION["cloud_username"] != "admin") {
		$cmd = "select grp from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$usergrp= $row[0];
			}
		}
	}
	$grptables = array();
	$cmd = "select grpid, grpname from palog.cloud_grp";
	if (($result = mysql_query($cmd)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($grptables, array("id"=>$row[0], "grpname"=>iconv("gb2312", "utf-8", $row[1])));
		}
	}
	mysql_close($conn);

	$tmp = array();
	$table_array = array();

	$cmd = DATAEYE." urldnsgrp list 'sch=$sch' 'grpid=$grpid' 'usergrp=$usergrp'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', trim($val));
		if ($ds[0] == "license_id12")
			continue;
		foreach($grptables as $val) {
			if ($val["id"] == $ds[3]) {
				$grpname = $val["grpname"];
				break;
			}
		}

		$iptable = iconv("gb2312", "utf-8", $ds[2]);
		$ta = explode('|', $iptable);
		foreach($ta as $val) {
			if ($val == "") continue;
			$sa = explode(',', $val);
			$fd = 0;
			foreach($table_array as $s) {
				if ($s["name"] == $sa[1]) {
					$fd = 1;
					break;
				}
			}
			if (!$fd) {
				array_push($table_array, array("id"=>$sa[0], "name"=>$sa[1]));
				array_push($tmp, $sa[1]);
			}
		}
		
		array_push($rows, array(
			"license_id12"=>$ds[0],
			"sysname"=>iconv("gb2312", "utf-8", $ds[1]),
			"urldnsgrp"=>$iptable,
			"grpname"=>$grpname,
			"grpid"=>$ds[3],
			"error"=>iconv("gb2312", "utf-8", $ds[6])
		));
	}

	array_multisort($tmp, SORT_DESC, SORT_STRING, $table_array);

	$json["rows"] = $rows;
	$json["tables"] = $table_array;
	echo json_encode($json);

	exit;
}

if ($type == "cloud_loglist")
{
	$page = postval("page");
	$limit = postval("limit");
	$keyword = postval("keyword");

	$total = 0;
	$json = $rows = array();

	if (($conn = my_mysql_connect()) != false) {
		$cmd = "alter table palog.cloud_log add ipaddr varchar(16) not null default ''";
		mysql_query($cmd);

		$cmd = "select count(*) from palog.cloud_log";
		if ($keyword != "")
			$cmd .= " where cont like '%$keyword%'";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$total = $row[0];
			}
			mysql_free_result($result);
		}

		$start = ($page - 1) * $limit;

		if ($keyword == "")
			$cmd = "select user, time, cont, ipaddr from palog.cloud_log order by time desc limit $start, $limit";
		else
			$cmd = "select user, time, cont, ipaddr from palog.cloud_log where cont like '%$keyword%' order by time desc limit $start, $limit";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				array_push($rows, array(
					"user"=>$row[0],
					"time"=>date("Y/m/d H:i:s", $row[1]),
					"cont"=>$row[2],
					"ipaddr"=>$row[3]
				));
			}
			mysql_free_result($result);
		}
		mysql_close($conn);
	}

	$json["total"] = $total;
	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "disconclear")
{
	if ($_SESSION["cloud_username"] != "admin")
		exit;
	if (($conn = my_mysql_connect()) != false) {
		$cmd = "delete from palog.device_discon";
		mysql_query($cmd);
		mysql_close($conn);
	}

	exit;
}

if ($type == "ixcdisconclear")
{
	if ($_SESSION["cloud_username"] != "admin")
		exit;
	if (($conn = my_mysql_connect()) != false) {
		$cmd = "delete from palog.ixcache_discon";
		mysql_query($cmd);
		mysql_close($conn);
	}

	exit;
}

if ($type == "cloud_disconlist")
{
	$keyword = iconv("utf-8", "gb2312", postval("keyword"));
	$page = postval("page");
	$limit = postval("limit");
	$grpid = postval("grpid");

	$total = 0;
	$json = $rows = array();

	if (($conn = my_mysql_connect()) != false) {
		$cmd = "select count(*) from palog.device_discon";
		if ($keyword != "") {
			if ($grpid == 0)
				$cmd .= " where name like '%$keyword%' or license_id12 like '%$keyword%'";
			else
				$cmd .= " where (name like '%$keyword%' or license_id12 like '%$keyword%') and grpid=$grpid";
		}else {
			if ($grpid != 0)
			    $cmd .= " where grpid=$grpid";
		}
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$total = $row[0];
			}
			mysql_free_result($result);
		}

		$start = ($page - 1) * $limit;

		if ($keyword == "") {
			if ($grpid == 0)
				$cmd = "select license_id12, name, time, uptime from palog.device_discon ".
				    "order by time desc limit $start, $limit";
			else
				$cmd = "select license_id12, name, time, uptime from palog.device_discon ".
				    "where grpid=$grpid order by time desc limit $start, $limit";
		} else {
			if ($grpid == 0)
			$cmd = "select license_id12, name, time, uptime from palog.device_discon ".
			    "where (name like '%$keyword%' or license_id12 like '%$keyword%') ".
			    "order by time desc limit $start, $limit";
			else
			$cmd = "select license_id12, name, time, uptime from palog.device_discon ".
			"where (name like '%$keyword%' or license_id12 like '%$keyword%') and ".
			"grpid=$grpid order by time desc limit $start, $limit";
		}
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				array_push($rows, array(
					"license_id12"=>$row[0],
					"name"=>iconv("gb2312", "utf-8", $row[1]),
					"time"=>date("Y/m/d H:i:s", $row[2]),
					"uptime"=>date("Y/m/d H:i:s", $row[3])
				));
			}
			mysql_free_result($result);
		}
		mysql_close($conn);
	}

	$json["total"] = $total;
	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "cloud_otherloglist")
{
	$keyword = iconv("utf-8", "gb2312", postval("keyword"));
	$page = postval("page");
	$limit = postval("limit");
	$grpid = postval("grpid");

	$total = 0;
	$json = $rows = array();

	if (($conn = my_mysql_connect()) != false) {
		$cmd = "select count(*) from palog.cloud_otherlog";
		if ($keyword != "") {
			if ($grpid == 0)
				$cmd .= " where name like '%$keyword%' or license_id12 like '%$keyword%'";
			else
				$cmd .= " where (name like '%$keyword%' or license_id12 like '%$keyword%') and grpid=$grpid";
		}else {
			if ($grpid != 0)
			    $cmd .= " where grpid=$grpid";
		}
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$total = $row[0];
			}
			mysql_free_result($result);
		}

		$start = ($page - 1) * $limit;

		if ($keyword == "") {
			if ($grpid == 0)
				$cmd = "select license_id12, name, time, log from palog.cloud_otherlog ".
				    "order by time desc limit $start, $limit";
			else
				$cmd = "select license_id12, name, time, log from palog.cloud_otherlog ".
				    "where grpid=$grpid order by time desc limit $start, $limit";
		} else {
			if ($grpid == 0)
			$cmd = "select license_id12, name, time, log from palog.cloud_otherlog ".
			    "where (name like '%$keyword%' or license_id12 like '%$keyword%') ".
			    "order by time desc limit $start, $limit";
			else
			$cmd = "select license_id12, name, time, log from palog.cloud_otherlog ".
			"where (name like '%$keyword%' or license_id12 like '%$keyword%') and ".
			"grpid=$grpid order by time desc limit $start, $limit";
		}
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				array_push($rows, array(
					"license_id12"=>$row[0],
					"name"=>iconv("gb2312", "utf-8", $row[1]),
					"time"=>date("Y/m/d H:i:s", $row[2]),
					"log"=>$row[3]
				));
			}
			mysql_free_result($result);
		}
		mysql_close($conn);
	}

	$json["total"] = $total;
	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "ixcache_disconlist")
{
	$keyword = iconv("utf-8", "gb2312", postval("keyword"));
	$page = postval("page");
	$limit = postval("limit");
	$grpid = postval("grpid");

	$total = 0;
	$json = $rows = array();

	if (($conn = my_mysql_connect()) != false) {
		$cmd = "select count(*) from palog.ixcache_discon";
		if ($keyword != "") {
			if ($grpid == -1)
				$cmd .= " where name like '%$keyword%' or license_id12 like '%$keyword%'";
			else
				$cmd .= " where (name like '%$keyword%' or license_id12 like '%$keyword%') and grpid=$grpid";
		}else {
			if ($grpid != -1)
				$cmd .= " where grpid=$grpid";
		}
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$total = $row[0];
			}
			mysql_free_result($result);
		}

		$start = ($page - 1) * $limit;

		if ($keyword == "") {
			if ($grpid == -1)
				$cmd = "select license_id12, name, time, uptime from palog.ixcache_discon ".
				"order by time desc limit $start, $limit";
			else
				$cmd = "select license_id12, name, time, uptime from palog.ixcache_discon where grpid=$grpid ".
				"order by time desc limit $start, $limit";
		} else {
			if ($grpid == -1)
				$cmd = "select license_id12, name, time, uptime from palog.ixcache_discon ".
				"where (name like '%$keyword%' or license_id12 like '%$keyword%') ".
				"order by time desc limit $start, $limit";
			else
			$cmd = "select license_id12, name, time, uptime from palog.ixcache_discon ".
			"where (name like '%$keyword%' or license_id12 like '%$keyword%') and grpid=$grpid ".
			"order by time desc limit $start, $limit";
		}
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				array_push($rows, array(
					"license_id12"=>$row[0],
					"name"=>iconv("gb2312", "utf-8", $row[1]),
					"time"=>date("Y/m/d H:i:s", $row[2]),
					"uptime"=>date("Y/m/d H:i:s", $row[3])
				));
			}
			mysql_free_result($result);
		}
		mysql_close($conn);
	}

	$json["total"] = $total;
	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "showpassreset_list")
{
	$json = $rows = array();

	$cmd = DATAEYE." device list showpassreset";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$row = explode('|', $val);
		
		if ($row[0] == "ipaddr")
			continue;
		if (strstr($row[0], "device_total") != false || 
			strstr($row[0], "device_fail") != false) {
			continue;
		}
		
		array_push($rows, array(
			"sys_name"=>iconv("gb2312", "utf-8", $row[1]),
			"license_id12"=>$row[4],
			"license_end"=>$row[3],
			"sys_name2"=>iconv("gb2312", "utf-8", $row[15]),
			"passreset"=>$row[24]
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "rootpass") 
{
	$idstr = postval("idstr");
	$newpass = postval("newpass");
	$mfadminpass = postval("mfadminpass");
	if ($idstr == "") {
		outputres("no", "NO_OBJECT");
		exit;
	}

	cloud_insertlog($_SESSION["cloud_username"], "修改root密码: $idstr");
	
	$cmd = DATAEYE." device list clearpassreset";
	exec($cmd, $out, $ret);
	unset($out);

	$ds = explode('|', $idstr);
	foreach($ds as $val) {
		if ($val == "")
			continue;
		
		$cmd = DATAEYE." device set 'license_id12=$val' rootpass='$newpass' 'mfadminpass=$mfadminpass'";
		exec($cmd, $out, $ret);
		if ($out[0] != "ok") {
			outputres("no", $out[0]);
			exit;
		}
		unset($out);
	}

	outputres("yes", "");
	exit;
}

if ($type == "upbagsupload" || $type == "iptblbagsupload") 
{
	if (!is_dir(CLOUD_IPTABLES))
		mkdir(CLOUD_IPTABLES);
	
	if (isset($_FILES['bagsupload']))
		$upfile = $_FILES['bagsupload'];
	else {
		echo '<script>alert("上传失败");</script>';
		exit;
	}
	
	$upname = $upfile['name'];
	$uppath = CLOUD_IPTABLES."/".$upname;
	if (strstr($upname, ".php") != false) {
		echo "<script>alert('无效的上传文件!');</script>";
		exit;
	}

	$uptype = postval("uptype");
	if ($uptype == "cover") {
		if (file_exists($uppath))
			unlink($uppath);
		if (! move_uploaded_file($upfile['tmp_name'], $uppath)) {
			echo "<script>alert('文件上传失败!');</script>";
			exit;
		}
	}else {
		/* Add */
		if (file_exists("/tmp/iptable.txt"))
			unlink("/tmp/iptable.txt");
		if (! move_uploaded_file($upfile['tmp_name'], "/tmp/iptable.txt")) {
			echo "<script>alert('文件上传失败!');</script>";
			exit;
		}
		if (file_exists($uppath)) {
			$lines = file("/tmp/iptable.txt");
			if (($fp = fopen($uppath, "a")) != false) {
				fprintf($fp, "\n");
				foreach($lines as $val)
					fprintf($fp, $val);
				fclose($fp);
			}
		}
		if (file_exists("/tmp/iptable.txt"))
			unlink("/tmp/iptable.txt");
	}

	/***************************************************************/
	if (createiptblbagstable() == false) {
		unlink($uppath);
		echo "<script>alert('upload_bags 表创建失败!');</script>";
		exit;
	}
	
	$uptime = time(NULL);
	$upsize = filesize($uppath);
	
	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn) {
		$cmd = "select * from palog.iptblupload_bags where filename='$upname'";
		$result = mysql_query($cmd);
		if (mysql_num_rows($result) > 0) {
			$cmd = "delete from palog.iptblupload_bags where filename='$upname'";
			mysql_query($cmd);
		}
		
		$cmd = "insert into palog.iptblupload_bags(filename, filesize, uptime) ".
			"values('$upname', $upsize, $uptime)";
		if (mysql_query($cmd) == false) {
			unlink($uppath);
			echo "<script>alert('文件上传失败!".mysql_error()."');</script>";
			mysql_close($conn);
			exit;
		}
		mysql_close($conn);
	}
	
	echo "<script>parent.iptblbags_list();</script>";
}

if ($type == "urldnsbagsupload")
{
	if (!is_dir(CLOUD_URLDNSGRP))
		mkdir(CLOUD_URLDNSGRP);
	
	if (isset($_FILES['bagsupload']))
		$upfile = $_FILES['bagsupload'];
	else {
		echo '<script>alert("上传失败");</script>';
		exit;
	}
	
	$upname = $upfile['name'];
	$uppath = CLOUD_URLDNSGRP."/".$upname;
	if (strstr($upname, ".php") != false) {
		echo "<script>alert('无效的上传文件!');</script>";
		exit;
	}

	$uptype = postval("uptype");
	if ($uptype == "cover") {
		if (file_exists($uppath))
			unlink($uppath);
		if (! move_uploaded_file($upfile['tmp_name'], $uppath)) {
			echo "<script>alert('文件上传失败!');</script>";
			exit;
		}
	}else {
		/* Add */
		if (file_exists("/tmp/urldnsgrp.txt"))
			unlink("/tmp/urldnsgrp.txt");
		if (! move_uploaded_file($upfile['tmp_name'], "/tmp/urldnsgrp.txt")) {
			echo "<script>alert('文件上传失败!');</script>";
			exit;
		}
		if (file_exists($uppath)) {
			$lines = file("/tmp/urldnsgrp.txt");
			if (($fp = fopen($uppath, "a")) != false) {
				fprintf($fp, "\n");
				foreach($lines as $val)
					fprintf($fp, $val);
				fclose($fp);
			}
		}
		if (file_exists("/tmp/urldnsgrp.txt"))
			unlink("/tmp/urldnsgrp.txt");
	}

	/***************************************************************/
	if (createurldnsbagstable() == false) {
		unlink($uppath);
		echo "<script>alert('upload_bags 表创建失败!');</script>";
		exit;
	}
	
	$uptime = time(NULL);
	$upsize = filesize($uppath);
	
	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn) {
		$cmd = "select * from palog.urldnsupload_bags where filename='$upname'";
		$result = mysql_query($cmd);
		if (mysql_num_rows($result) > 0) {
			$cmd = "delete from palog.urldnsupload_bags where filename='$upname'";
			mysql_query($cmd);
		}
		
		$cmd = "insert into palog.urldnsupload_bags(filename, filesize, uptime) ".
			"values('$upname', $upsize, $uptime)";
		if (mysql_query($cmd) == false) {
			unlink($uppath);
			echo "<script>alert('文件上传失败!".mysql_error()."');</script>";
			mysql_close($conn);
			exit;
		}
		mysql_close($conn);
	}
	
	echo "<script>parent.urldnsbags_list();</script>";
}

if ($type == "iptblupbags_list") 
{
	$page = postval("page");
	$limit = postval("limit");
	
	$start = ($page - 1) * $limit;
	
	if (!is_dir(CLOUD_IPTABLES))
		mkdir(CLOUD_IPTABLES);
	
	createiptblbagstable();
	
	$list = array();

	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn) {
		$cmd = "select filename, filesize, uptime from palog.iptblupload_bags";
		$result = mysql_query($cmd);
		$totalcount = mysql_num_rows($result);
		
		$cmd = "select filename, filesize, uptime from palog.iptblupload_bags order by uptime desc";
		if ($limit != 0)
			$cmd .= " limit $start, $limit";
		if (($result = mysql_query($cmd, $conn)) != false) {
			while ($row = mysql_fetch_row($result)) {
				array_push($list, array(
					"filename"=>$row[0],
					"filesize"=>$row[1],
					"uptime"=>date("Y-m-d H:i:s", $row[2])
				));
			}
		}
		mysql_close($conn);
	}

	$json["total"] = $totalcount;
	$json["rows"] = $list;
	echo json_encode($json);
}

if ($type == "urldnsupbags_list") 
{
	$page = postval("page");
	$limit = postval("limit");
	
	$start = ($page - 1) * $limit;
	
	if (!is_dir(CLOUD_URLDNSGRP))
		mkdir(CLOUD_URLDNSGRP);
	
	createurldnsbagstable();
	
	$list = array();

	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn) {
		$cmd = "select filename, filesize, uptime from palog.urldnsupload_bags";
		$result = mysql_query($cmd);
		$totalcount = mysql_num_rows($result);
		
		$cmd = "select filename, filesize, uptime from palog.urldnsupload_bags order by uptime desc";
		if ($limit != 0)
			$cmd .= " limit $start, $limit";
		if (($result = mysql_query($cmd, $conn)) != false) {
			while ($row = mysql_fetch_row($result)) {
				array_push($list, array(
					"filename"=>$row[0],
					"filesize"=>$row[1],
					"uptime"=>date("Y-m-d H:i:s", $row[2])
				));
			}
		}
		mysql_close($conn);
	}

	$json["total"] = $totalcount;
	$json["rows"] = $list;
	echo json_encode($json);
}

if ($type == "iptblupbags_delete") {
	$filename = postval("filename");
	
	if ($filename == "") {
		outputres("no", "");
		exit;
	}
	
	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn == false) {
		outputres("no", "mysql connect error");
		exit;
	}
	$ds = explode(',', $filename);
	foreach($ds as $val) {
		if (file_exists(CLOUD_IPTABLES."/".$val)) {
			unlink(CLOUD_IPTABLES."/".$val);
			
			$cmd = "delete from palog.iptblupload_bags where filename='$val'";
			mysql_query($cmd, $conn);
		}
	}
	mysql_close($conn);

	outputres("yes", "");
	exit;
}

if ($type == "urldnsupbags_delete") {
	$filename = postval("filename");
	
	if ($filename == "") {
		outputres("no", "");
		exit;
	}
	
	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn == false) {
		outputres("no", "mysql connect error");
		exit;
	}
	$ds = explode(',', $filename);
	foreach($ds as $val) {
		if (file_exists(CLOUD_URLDNSGRP."/".$val)) {
			unlink(CLOUD_URLDNSGRP."/".$val);
			
			$cmd = "delete from palog.urldnsupload_bags where filename='$val'";
			mysql_query($cmd, $conn);
		}
	}
	mysql_close($conn);

	outputres("yes", "");
	exit;
}

if ($type == "iptable_addip_handle")
{
	$ipfile = postval("ipfile");
	$ipaddr = postval("ipaddr");

	if ($ipfile == "" || $ipaddr == "") {
		outputres("no", "param error");
		exit;
	}
	if (!file_exists(CLOUD_IPTABLES."/".$ipfile)) {
		outputres("no", "file not exists");
		exit;
	}
	$lines = file(CLOUD_IPTABLES."/".$ipfile);
	foreach($lines as $val) {
		$val = trim($val);
		if ($val == $ipaddr) {
			outputres("no", "ip exists");
			exit;
		}
	}
	if (($fp = fopen(CLOUD_IPTABLES."/".$ipfile, "a")) != false) {
		fprintf($fp, $ipaddr."\n");
		fclose($fp);
		outputres("yes", "");
		exit;
	}

	outputres("no", "fopen error!");
}

if ($type == "urldnsgrp_addurl_handle")
{
	$ipfile = postval("ipfile");
	$url = postval("url");

	if ($url == "") {
		outputres("no", "param error");
		exit;
	}
	if (!file_exists(CLOUD_URLDNSGRP."/".$ipfile)) {
		outputres("no", "file not exists");
		exit;
	}
	$lines = file(CLOUD_URLDNSGRP."/".$ipfile);
	foreach($lines as $val) {
		$val = trim($val);
		if ($val == $url) {
			outputres("no", "ip exists");
			exit;
		}
	}
	if (($fp = fopen(CLOUD_URLDNSGRP."/".$ipfile, "a")) != false) {
		fprintf($fp, $url."\n");
		fclose($fp);
		outputres("yes", "");
		exit;
	}

	outputres("no", "fopen error!");
}

if ($type == "ixc_stat")
{
	$usergrps = "";
	$json = array();

	if (($conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS)) == false) {
		outputres("no", "mysql connect error");
		exit;
	}
	$user = $_SESSION["cloud_username"];
	if ($use != "admin") {
		$cmd = "select ixc_grpids from palog.cloud_users where username='$user'";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$usergrps = $row[0];
			}
		}
	}
	mysql_close($conn);

	if ($user != "admin" && $usergrps == "") {
		outputres("no", "grps error");
		exit;
	}

	$cmd = DATAEYE." ixcache stat grpid=-1 'usergrps=$usergrps'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode('=', trim($val, "\r\n"));
		switch($ds[0]) {
		case "device_exp":
			$json["exp"] = $ds[1];
			break;
		case "device_fail":
			$json["fail"] = $ds[1];
			break;
		case "device_total":
			$json["total"] = $ds[1];
			break;
		default:
			$json["exp"] = $json["total"] = $json["fail"] = 0;
			break;
		}
	}

	echo json_encode($json);

	exit;
}

if ($type == "ixcache_list")
{
	$grpid = postval("grpid");
	$sch = postval("sch");
	$sortname = postval("sort");
	$page = postval("page");
	$limit = postval("limit");
	$g_ascdesc = postval("g_ascdesc");

	$expire = isset($_POST["expire"]) ? postval("expire") : 0;
	
	$total = $fail = 0;
	$rows = array();
	$grplist = array();
	
	if ($sch != "") {
		if (strpos($sch, "(") != false && strpos($sch, ")") != false) {
			$pos = strpos($sch, "(");
			$sch = substr($sch, $pos);
		}
		$sch = addslashes($sch);
		$sch = iconv("utf-8", "gb2312", $sch);
		$sch = strtolower($sch);
	}
	
	$localip = getserverip();
	
	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn == false)
		exit;
	$cmd = "select * from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
	$result = mysql_query($cmd);
	if (mysql_num_rows($result) == 0) {
		outputres("no", "账号已被删除，请联系管理员");
		mysql_close($conn);
		exit;
	}
	
	$cmd = "select grpid, grpname from palog.ixcache_grp";
	if (($result = mysql_query($cmd)) != false) {
		while ($row = mysql_fetch_row($result))
			array_push($grplist, array("id"=>$row[0], "name"=>$row[1]));
	}

	/* 提取当前用户管理的组id */
	$usergrps = "";
	if ($_SESSION["cloud_username"] != "admin") {
		$cmd = "select ixc_grpids from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
		if (($result = mysql_query($cmd)) != false) {
			while ($row = mysql_fetch_row($result)) {
				$usergrps = $row[0];
			}
		}
	}
	mysql_close($conn);

	if ($_SESSION["cloud_username"] != "admin" && $usergrps == "") {
		$json = array("total"=>0, "fail"=>0, "exp"=>0, "rows"=>$rows);
		echo json_encode($json);
		exit;
	}
	
	if ($g_ascdesc == "asc") $sortdesc = 0;
	if ($g_ascdesc == "desc") $sortdesc = 1;
	switch($sortname) {
		case "license_id12":
		$sortname = 1;break;
		case "actime":
		$sortname = 2;break;
		case "start":
		$sortname = 3;break;
		case "end":
		$sortname = 4;break;
		case "bdw":
		$sortname = 5;break;
		case "flow":
		$sortname = 6;break;
		case "bpsout":
		$sortname = 7;break;
		case "bpsin":
		$sortname = 8;break;
		case "boot":
		$sortname = 9;break;
		case "ver":
		$sortname=10;break;
		case "cpurate":
		$sortname=11;break;
		case "name":
		$sortname=12;break;
	}

	$version = array();

	$cmd = DATAEYE." ixcache list 'page=$page' 'limit=$limit' 'grpid=$grpid' 'sch=$sch'".
			" 'sortname=$sortname' 'sortdesc=$sortdesc' 'usergrp=$usergrps' 'expire=$expire'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$row = explode(' ', $val);
		if (strstr($row[0], "total") != false || strstr($row[0], "fail") != false || strstr($row[0], "exp") != false) {
			$ds = explode('=', $row[0]);
			if ($ds[0] == "total")
				$total = $ds[1];
			else
			if ($ds[0] == "fail")
				$fail = $ds[1];
			else
			if ($ds[0] == "exp")
				$expire = $ds[1];
			continue;
		}

		$license_id12 = $row[0];
		$grpid = $row[1];
		$cpurate = $row[2];
		$cpudesc = $row[3];
		$board = $row[4];
		$mem = $row[5];
		$boot = $row[6];
		$ixname = $row[7];
		$ver = $row[8];
		$bdw = $row[9];
		$start = $row[10];
		$end = $row[11];
		$bpsin = $row[12];
		$bpsout = $row[13];
		$flow = $row[14];
		$diskio = $row[15];
		$pused = $row[16];
		$outip = $row[17];
		$outport = $row[18];
		$actime = $row[19];

		$map_addr = "";
		if (isset($row[20]) && json_encode($row[20]))
			$map_addr = $row[20];
		$ixname2 = $row[23];

		$verify = $row[24];
		$webport = $row[25];
		$sshport = $row[26];
		
		if ($actime == 0) $actimestr = "";
		else $actimestr = date("m-d/H:i:s", $actime);
		$sys_name = $ixname;
		if ($ixname2 != "") $sys_name = $ixname2;
		
		$now = time();
		$sysrun = parsesysrun($now - (int)$boot);
		
		if ($start == "0") $license_start_str = "";
		else $license_start_str = date("Y-m-d", $start);
		if ($end == "0") $license_end_str = "";
		else $license_end_str = date("Y-m-d", $end);
		
		$grpname = "";
		foreach($grplist as $val) {
			if ($val["id"] == $grpid) {
				$grpname = $val["name"];
				break;
			}
		}

		$ver = iconv("gb2312", "utf-8", $ver);	
		array_push($rows, array(
			"outip"=>long2ip($outip),
			"sys_name"=>iconv("gb2312", "utf-8", $sys_name),
			"sysname"=>iconv("gb2312", "utf-8", $ixname),
			"sysname2"=>iconv("gb2312", "utf-8", $ixname2),
			"license_start_str"=>$license_start_str,
			"license_end_str"=>$license_end_str,
			"license_start"=>$start,
			"license_end"=>$end,
			"license_id12"=>$license_id12,
			"bdw"=>(int)$bdw,
			"flow"=>(int)$flow,
			"upbps"=>(int)$bpsout,
			"downbps"=>(int)$bpsin,
			"actime"=>(int)$actime,
			"actimestr"=>$actimestr,
			"servertime"=>$now,
			"localip"=>$localip,
			"grpid"=>$grpid,
			"grpname"=>$grpname,
			"sysrun"=>$sysrun,
			"version"=>$ver,
			"diskio"=>$diskio,
			"board"=>$board,
			"pused"=>$pused,
			"cpudesc"=>$cpudesc,
			"cpurate"=>$cpurate,
			"map_addr"=>$map_addr,
			"mem"=>$mem
		));

		$fd = 0;
		foreach($version as $val) {
			if ($val == $ver) {
				$fd = 1;
				break;
			}
		}

		if (!$fd)
			array_push($version, $ver);
	}

	$json = array("total"=>$total, "fail"=>$fail, "exp"=>$exp, "rows"=>$rows, "version"=>$version);
	echo json_encode($json);
}

if ($type == "logserver_delete")
{
	$idstr = postval("idstr");
	if ($idstr == "") {
		outputres("no", "param error");
		exit;
	}

	$ds = explode('#', $idstr);
	foreach($ds as $val) {
		if ($val == "")
			continue;

		$cmd = DATAEYE." logserver remove 'license_id12=$val'";
		exec($cmd, $out, $ret);
		if ($out[0] != "ok") {
			outputres("no", $out[0]);
			exit;
		}
	}
	outputres("yes", $out[0]);
	exit;
}

if ($type == "ixcache_delete")
{
	$idstr = postval("idstr");
	if ($idstr == "") {
		outputres("no", "param error");
		exit;
	}

	$ds = explode('#', $idstr);
	foreach($ds as $val) {
		if ($val == "")
			continue;

		$cmd = DATAEYE." ixcache remove 'license_id12=$val'";
		exec($cmd, $out, $ret);
		if ($out[0] != "ok") {
			outputres("no", $out[0]);
			exit;
		}
	}
	outputres("yes", $out[0]);
	exit;
}

if ($type == "ixcaddgrp_handle")
{
	$grpname = postval("grpname");
	if ($grpname == "") {
		outputres("no", "error");
		exit;
	}
	
	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn) {
		$cmd = "create table if not exists palog.ixcache_grp".
			"(grpid int auto_increment primary key,grpname varchar(64))ENGINE=MyISAM";
		if (mysql_query($cmd) == false) {
			outputres("no", mysql_error());
			mysql_close($conn);
			exit;
		}
		
		$cmd = "select * from palog.ixcache_grp where grpname='$grpname'";
		if (($result = mysql_query($cmd)) == false) {
			outputres("no", mysql_error());
			mysql_close($conn);
			exit;
		}
		if (mysql_num_rows($result) > 0) {
			outputres("no", "exists");
			mysql_close($conn);
			exit;
		}
		
		$cmd = "insert into palog.ixcache_grp(grpname)values('$grpname')";
		if (mysql_query($cmd) == false) {
			outputres("no", mysql_error());
			mysql_close($conn);
			exit;
		}
		
		$cmd = "select grpid from palog.ixcache_grp where grpname='$grpname'";
		if (($result = mysql_query($cmd)) == false) {
			outputres("no", mysql_error());
			mysql_close($conn);
			exit;
		}
		$row = mysql_fetch_row($result);
		$grpid = $row[0];
		
		mysql_close($conn);
	}
	
	outputres("yes", $grpid);
}

if ($type == "logsaddgrp_handle")
{
	$grpname = postval("grpname");
	if ($grpname == "") {
		outputres("no", "error");
		exit;
	}
	
	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn) {
		$cmd = "create table if not exists palog.logserver_grp(grpid int auto_increment primary key,grpname varchar(64))ENGINE=MyISAM";
		if (mysql_query($cmd) == false) {
			outputres("no", mysql_error());
			mysql_close($conn);
			exit;
		}
		
		$cmd = "select * from palog.logserver_grp where grpname='$grpname'";
		if (($result = mysql_query($cmd)) == false) {
			outputres("no", mysql_error());
			mysql_close($conn);
			exit;
		}
		if (mysql_num_rows($result) > 0) {
			outputres("no", "exists");
			mysql_close($conn);
			exit;
		}
		
		$cmd = "insert into palog.logserver_grp(grpname)values('$grpname')";
		if (mysql_query($cmd) == false) {
			outputres("no", mysql_error());
			mysql_close($conn);
			exit;
		}
		
		$cmd = "select grpid from palog.logserver_grp where grpname='$grpname'";
		if (($result = mysql_query($cmd)) == false) {
			outputres("no", mysql_error());
			mysql_close($conn);
			exit;
		}
		$row = mysql_fetch_row($result);
		$grpid = $row[0];
		
		mysql_close($conn);
	}
	
	outputres("yes", $grpid);
}

if ($type == "ixcgrplist")
{
	$sorts = $rows = $json = array();
	$user = $_SESSION["cloud_username"];
	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn) {
		if ($user == "admin") {
			$cmd = "select grpid, grpname from palog.ixcache_grp";
			if (($result = mysql_query($cmd)) != false) {
				while ($row = mysql_fetch_row($result)) {
					array_push($rows, array(
						"id"=>$row[0], 
						"name"=>$row[1]
						));
					array_push($sorts, $row[1]);
				}
			}
		}
		else {
			$cmd = "select ixc_grpids, ixc_grpnames from palog.cloud_users where username='$user'";
			if (($result = mysql_query($cmd)) != false) {
				while ($row = mysql_fetch_row($result)) {
					$x1 = explode(',', $row[0]);
					$x2 = explode(',', $row[1]);
					
					foreach($x1 as $k=>$val) {
						if ($val == "")
							continue;
						array_push($rows, array(
							"id"=>$x1[$k], 
							"name"=>$x2[$k]
							));
						array_push($sorts, $x2[$k]);
					}
				}
			}
		}
		mysql_close($conn);
	}

	array_multisort($sorts, SORT_ASC, SORT_STRING, $rows);
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "logsgrplist")
{
	$rows = $json = $sorts = array();

	$user = $_SESSION["cloud_username"];

	$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
	if ($conn) {
		if ($user == "admin") {
			$cmd = "select grpid, grpname from palog.logserver_grp";
			if (($result = mysql_query($cmd)) != false) {
				while ($row = mysql_fetch_row($result)) {
					array_push($rows, array(
						"id"=>$row[0], 
						"name"=>$row[1]
						));
					array_push($sorts, $row[1]);
				}
			}
		}
		else {
			$cmd = "select log_grpids, log_grpnames from palog.cloud_users where username='$user'";
			if (($result = mysql_query($cmd)) != false) {
				while ($row = mysql_fetch_row($result)) {
					$x1 = explode(',', $row[0]);
					$x2 = explode(',', $row[1]);
					
					foreach($x1 as $k=>$val) {
						if ($val == "")
							continue;
						array_push($rows, array(
							"id"=>$x1[$k], 
							"name"=>$x2[$k]
							));
						array_push($sorts, $x2[$k]);
					}
				}
			}
		}
		mysql_close($conn);
	}

	array_multisort($sorts, SORT_ASC, SORT_STRING, $rows);
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "logsdeletegrp")
{
	$grpid = postval("grpid");

	if (($conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS))) {
		$cmd = "delete from palog.logserver_grp where grpid=$grpid";
		mysql_query($cmd);
		mysql_close($conn);
		outputres("yes", "");
	}else
		outputres("no", "mysql connect error");
}

if ($type == "ixcdeletegrp")
{
	$grpid = postval("grpid");

	if (($conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS))) {
		$cmd = "delete from palog.ixcache_grp where grpid=$grpid";
		mysql_query($cmd);
		mysql_close($conn);
		outputres("yes", "");
	}else
		outputres("no", "mysql connect error");
}

if ($type == "ixcache_sethandle")
{
	$licenseid = postval('licenseid');
	$sysname = iconv("utf-8", "gb2312", htmlspecialchars(postval('sysname')));
	$map_addr= postval('map_addr');
	$grpid = postval('grpid');
	
	$lng = $lat = 0;
	
	/* 根据地址信息获取经纬度 */
	$gd_ak = "79670e6978f902e3fe1b61ca14ae682a";
	$gd_url = "http://restapi.amap.com/v3/geocode/geo?address=".$map_addr."&output=json&key=$gd_ak";
	if ($map_addr != "") {
		$fp = fopen($gd_url, "r");
		if ($fp) {
			while (!feof($fp)) {
				$buff = fgets($fp);
				if (strstr($buff, "location") != false) {
					if ($buff != "") {
						$rows = json_decode($buff, true);
						$lnglat = $rows["geocodes"][0]["location"];
						
						$ds = explode(',', $lnglat);
						$lng = $ds[0];
						$lat = $ds[1];
					}
				}
			}
			fclose($fp);
		}
	}
	$cmd = DATAEYE." ixcache set 'license_id12=$licenseid' ".
		"'grpid=$grpid' 'sysname=$sysname' 'address=$map_addr' ".
		"'lng=$lng' 'lat=$lat'";
	exec($cmd, $out, $ret);
	
	outputres("yes", "");
	exit;
}

if ($type == "logserver_sethandle")
{
	$licenseid = postval('licenseid');
	$sysname = iconv("utf-8", "gb2312", htmlspecialchars(postval('sysname')));
	$map_addr= postval('map_addr');
	$grpid = postval('grpid');
	
	$lng = $lat = 0;
	
	/* 根据地址信息获取经纬度 */
	$gd_ak = "79670e6978f902e3fe1b61ca14ae682a";
	$gd_url = "http://restapi.amap.com/v3/geocode/geo?address=".$map_addr."&output=json&key=$gd_ak";
	if ($map_addr != "") {
		$fp = fopen($gd_url, "r");
		if ($fp) {
			while (!feof($fp)) {
				$buff = fgets($fp);
				if (strstr($buff, "location") != false) {
					if ($buff != "") {
						$rows = json_decode($buff, true);
						$lnglat = $rows["geocodes"][0]["location"];
						
						$ds = explode(',', $lnglat);
						$lng = $ds[0];
						$lat = $ds[1];
					}
				}
			}
			fclose($fp);
		}
	}
	$cmd = DATAEYE." logserver set 'license_id12=$licenseid' ".
		"'grpid=$grpid' 'sysname=$sysname' 'address=$map_addr' ".
		"'lng=$lng' 'lat=$lat'";
	exec($cmd, $out, $ret);
	
	outputres("yes", "");
	exit;
}

if ($type == "ixc_mapping") 
{
	$license_id12 = postval('license_id12');
	
	$webport = 0;
	$sshport = 0;
	$now = time();

	/* Update log */
	cloud_insertlog($_SESSION["cloud_username"], "查看缓存设备：$license_id12");
	
	exec(DATAEYE." ixcache set 'license_id12=$license_id12' mapping=1");

	$webport = $sshport = 0;
	$verify = "";	
	$cmd = DATAEYE." ixcache list page=1 limit=1 grpid=-1 'sch=".strtolower($license_id12)."' usergrp=";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if (strstr($ds[0], "total") != false)
			continue;
		if (strstr($ds[0], "fail") != false)
			continue;
		if (strstr($ds[0], "exp") != false)
			continue;
		$verify = $ds[24];
		$webport = $ds[25];
		$sshport = $ds[26];
	}
	
	outputres("yes", $webport.",".$sshport.",".$verify);
	exit;
}

if ($type == "logserver_mapping") 
{
	$license_id12 = postval('license_id12');
	
	$webport = 0;
	$sshport = 0;
	$now = time();

	/* Update log */
	cloud_insertlog($_SESSION["cloud_username"], "查看日志设备：$license_id12");
	
	exec(DATAEYE." logserver set 'license_id12=$license_id12' mapping=1", $out, $ret);

	$conn = my_mysql_connect();
	if ($conn) {
		$cmd = "select webport, sshport from palog.logserver_list where license_id12='$license_id12'";
		if (($result = mysql_query($cmd)) != false) {
			$row = mysql_fetch_row($result);
			$webport = $row[0];
			$sshport = $row[1];
		}
		mysql_close();
	}
	
	outputres("yes", $webport."-".$sshport);
	exit;
}

if ($type == "virtual_device_add")
{
	$devid = postval("devid");
	$devname = postval("devname");
	$ipgrp = postval("ipgrp");
	$grpname = postval("grpname");
	$dstipgrp = postval("dstipgrp");
	$dstgrpname = postval("dstgrpname");
	$grptype = postval("grptype");

	if ($devid == "" || $devname == "" || $ipgrp == "") {
		outputres("no", "param error");
		exit;
	}

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "mysql error");
		exit;
	}
	$cmd = "select dev_id from palog.config where dev_id=$devid";
	if (($result = mysql_query($cmd)) == false) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}
	if (mysql_num_rows($result) > 0) {
		outputres("no", "devid exists");
		mysql_close($conn);
		exit;
	}

	$cmd = "create table if not exists palog.virtual_device(".
		"devid int(2) not null default '0', ".
		"devname varchar(64) not null default '',".
		"ipgrp int(2) not null default '0', ".
		"grpname varchar(64) not null default '', ".
		"grptype int(2) not null default '0'".
		")engine=myisam";
	if (mysql_query($cmd) == false) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}

	$cmd = "alter table palog.virtual_device add grptype int(2) not null default '0'";
	mysql_query($cmd);

	$cmd = "select devid from palog.virtual_device where devid=$devid or devname='$devname'";
	if (($result = mysql_query($cmd)) == false) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}
	if (mysql_num_rows($result) > 0) {
		outputres("no", "devid exists");
		mysql_close($conn);
		exit;
	}

	if ($grptype == "0") {
		$cmd = "insert into palog.virtual_device(devid, devname, ipgrp, grpname, grptype)".
			"values($devid, '$devname', $ipgrp, '$grpname', $grptype)";
		$cgi = PANALOGEYE." virdevice add 'devid=$devid' 'devname=$devname' 'ipgrp=$ipgrp' 'grpname=$grpname' 'grptype=$grptype'";
	}
	else {
		$cmd = "insert into palog.virtual_device(devid, devname, ipgrp, grpname, grptype)".
			"values($devid, '$devname', $dstipgrp, '$dstgrpname', $grptype)";
		$cgi = PANALOGEYE." virdevice add 'devid=$devid' 'devname=$devname' 'ipgrp=$dstipgrp' 'grpname=$dstgrpname' 'grptype=$grptype'";
	}
	if (mysql_query($cmd) == false) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}
	mysql_close($conn);

	exec($cgi, $out, $ret);
	if ($out[0] != "ok") {
		outputres("no", $out[0]);
		exit;
	}

	outputres("yes", "");
	exit;
}

if ($type == "virtual_device_list")
{
	$json = $rows = array();

	$cmd = PANALOGEYE." virdevice list";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] != "device")
			continue;

		array_push($rows, array("devid"=>$ds[1], "devname"=>$ds[2], 
			"grpid"=>$ds[3], "grpname"=>$ds[4], "count"=>$ds[5]));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
	exit;
}

if ($type == "virtual_device_rmv")
{
	$devid = postval("devid");

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "mysql error");
		exit;
	}
	mysql_query("delete from palog.virtual_device where devid=$devid");
	mysql_close($conn);

	$cmd = PANALOGEYE." virdevice remove 'devid=$devid'";
	exec($cmd, $out, $ret);

	outputres("yes", "");
	exit;
}

if ($type == "cloud_setdefgrp")
{
	$defgrp = postval("defgrp");
	if ($defgrp == "") {
		outputres("no", "defgrp null");
		exit;
	}
	$cmd = DATAEYE." device config 'defgrp=$defgrp'";
	exec($cmd, $out, $ret);

	$hv = 0;
	if (file_exists(CLOUD_CONF))
		$list = file(CLOUD_CONF);
	foreach($list as $k=>$val) {
		if (strstr($val, "device_defgrp") != false) {
			$hv = 1;
			$list[$k] = "device_defgrp=$defgrp\n";
			break;
		}
	}
	if (!$hv) {
		array_push($list, "device_defgrp=$defgrp\n");
	}

	if (($fp = fopen(CLOUD_CONF, "w")) != false) {
		if (flock($fp, LOCK_EX)) {
			foreach($list as $val)
				fprintf($fp, $val);
			flock($fp, LOCK_UN);
		}
		fclose($fp);
	}

	outputres("yes", $out[0]);
	exit;
}

if ($type == "setzfsmem")
{
	$mem = postval("mem");

	$file = "/boot/loader.conf";
	$lines = array();

	if (file_exists($file)) {
		$lines = file($file);
		foreach($lines as $k=>$val) {
			if (strstr($val, "vm.kmem_size") != false) {
				$lines[$k] = "vfs.zfs.arc_max=\"$mem\"\n";
			}else
			if (strstr($val, "vfs.zfs.arc_max") != false) {
				$lines[$k] = "vfs.zfs.arc_max=\"$mem\"\n";
			}
		}
		if (count($lines) == 0)
			$lines[0] = "vfs.zfs.arc_max=\"$mem\"\n";
		if (($fp = fopen($file, "w")) != false) {
			foreach($lines as $val)
				fwrite($fp, $val);
			fclose($fp);
		}
	}else {
		if (($fp = fopen($file, "w")) != false) {
			fwrite($fp, "vfs.zfs.arc_max=\"$mem\"\n");
			fclose($fp);
		}
	}

	outputres("yes", "yes");
	exit;
}

if ($type == "sshset")
{
	$sshenable = postval("sshenable");
	$ostype = php_uname('s');

	if (strstr($ostype, "Linux") != false) {
		if ($sshenable) {
			exec("systemctl start sshd.service", $out, $ret);
			exec("systemctl enable sshd.service", $out, $ret);
		} 
		else {		
			exec("systemctl stop sshd.service", $out, $ret);
			exec("systemctl disable sshd.service", $out, $ret);
		}

		outputres("yes", "");
		exit;
	}

	if ($sshenable) {
		exec("/etc/rc.d/sshd onestart", $out, $ret);
	} else
		exec("/etc/rc.d/sshd onestop", $out, $ret);

	if (file_exists("/etc/rc.conf"))
		$lines = file("/etc/rc.conf");

	$fd = 0;
	foreach($lines as $k=>$val) {
		if (strstr($val, "sshd_enable") != false) {
			if ($sshenable)
			    $lines[$k] = "sshd_enable=\"YES\"\n";
			else
			    $lines[$k] = "sshd_enable=\"NO\"\n";

			$fd = 1;

			break;
		}
	}

	if (!$fd) {
		if ($sshenable)
		    array_push($lines, "sshd_enable=\"YES\"\n");
		else
		    array_push($lines, "sshd_enable=\"NO\"\n");
	}

	if (($fp = fopen("/etc/rc.conf", "w")) != false) {
		if (flock($fp, LOCK_EX)) {
			foreach($lines as $val)
				fwrite($fp, $val);
			flock($fp, LOCK_UN);
		}
		fclose($fp);
	}

	outputres("yes", "");
	exit;
}

if ($type == "acliplist")
{
	if (file_exists(HTTPS_CONF))
		$lines = file(HTTPS_CONF);

	$permitips = $json = array();
	$startline = 0;

	// ssl_prefer_server_ciphers
	foreach($lines as $val) {
		if (strstr($val, "ssl_prefer_server_ciphers") != false) {
			$startline = 1;
			continue;
		}
		if ($startline) {
			if (strstr($val, "allow") != false) {
				$ds = explode(' ', trim($val, ";\n"));
				array_push($permitips, $ds[1]);
			}
		}
		if (strstr($val, "server") != false)
			$startline = 0;
	}

	$json["ips"] = $permitips;
	echo json_encode($json);
	exit;
}

if ($type == "acladdip")
{
	$permitip = postval("permitip");

	if (file_exists(HTTPS_CONF))
		$lines = file(HTTPS_CONF);

	$permitips = $json = array();
	$startline = 0;
	$tmpfile = "/tmp/nginx.conf";

	// ssl_prefer_server_ciphers
	foreach($lines as $val) {
		if (strstr($val, "ssl_prefer_server_ciphers") != false) {
			$startline = 1;
			continue;
		}
		if ($startline) {
			if (strstr($val, "allow") != false) {
				$ds = explode(' ', trim($val, ";\n"));
				array_push($permitips, $ds[1]);
			}
		}
		if ($startline && strstr($val, "server") != false)
			$startline = 0;
	}

	array_push($permitips, $permitip);

	if (($fp = fopen($tmpfile, "w")) != false) {
		if (flock($fp, LOCK_EX)) {
			foreach($lines as $val) {
				if (strstr($val, "ssl_prefer_server_ciphers") != false) {
					fwrite($fp, $val);

					foreach($permitips as $val2)
						fwrite($fp, "	allow $val2;\n");
					fwrite($fp, "	deny all;\n");

					continue;
				}

				if (strstr($val, "deny all") || strstr($val, "allow"))
					continue;

				fwrite($fp, $val);
			}
			flock($fp, LOCK_UN);
		}
		fclose($fp);

		copy($tmpfile, HTTPS_CONF);
		unlink($tmpfile);
	}

	outputres("yes", "");
	exit;
}

if ($type == "rmvaclip")
{
	$ip = postval("ip");

	if (file_exists(HTTPS_CONF))
		$lines = file(HTTPS_CONF);

	$permitips = $json = array();
	$startline = 0;
	$tmpfile = "/tmp/nginx.conf";

	// ssl_prefer_server_ciphers
	foreach($lines as $val) {
		if (strstr($val, "ssl_prefer_server_ciphers") != false) {
			$startline = 1;
			continue;
		}
		if ($startline) {
			if (strstr($val, "allow") != false) {
				$ds = explode(' ', trim($val, ";\n"));
				if ($ds[1] != $ip)
					array_push($permitips, $ds[1]);
			}
		}
		if ($startline && strstr($val, "server") != false)
			$startline = 0;
	}

	if (($fp = fopen($tmpfile, "w")) != false) {
		if (flock($fp, LOCK_EX)) {
			foreach($lines as $val) {
				if (strstr($val, "ssl_prefer_server_ciphers") != false) {
					fwrite($fp, $val);

					foreach($permitips as $val2)
						fwrite($fp, "	allow $val2;\n");

					if (count($permitips) != 0)
						fwrite($fp, "	deny all;\n");

					continue;
				}

				if (strstr($val, "deny all") || strstr($val, "allow"))
					continue;

				fwrite($fp, $val);
			}
			flock($fp, LOCK_UN);
		}
		fclose($fp);

		copy($tmpfile, HTTPS_CONF);
		unlink($tmpfile);
	}

	outputres("yes", "");
	exit;
}

if ($type == "resetwebsvr")
{
	$cmd = "/bin/ps awwwx | grep nginx.conf | grep -v cloud | grep -v cluster | awk '{print $1}'";
	exec($cmd, $out, $ret);
	$pid = $out[0];
	exec("/bin/logeye killpro $pid");
}

?>
