<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript">
function urldnsgrp_list()
{
	var r;
	var trobj = $(".upbags-list table tr");
	var trlen = trobj.length;
	var tdobj;
	var href, str;
	var trbg = '';
	var as1 = [], as2 = [];

	var grpid = $("#grplisthdr").val();
	var sch = $("#sch").val();
	sch = TrimAll(sch);
	
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'urldnsgrp_list', grpid: grpid, sch: sch},
		dataType:'json',
		type:'post',
		success: function(json) {
			var len = json.rows.length;
			var s = '';

			for (i = 0; i < json.tables.length; i++) {
				r = json.tables[i];
				s = '<li><input type="checkbox" value="'+r.name+'" name="iptblselhd" />'+r.name+'</li>';
				$(s).appendTo("#iptbl-list-dialog ul");
			}
			$("[name='iptblselhd']").click(function(){
				var s = $(this).val();
				var a = $(this).attr("checked");
				$(".myurldnsgrp").each(function(i) {
					obj = $(this).find("[name='tblsel"+i+"']");
					obj.each(function() {
						if (!a) {
							if ($(this).attr("cname") == s)
								$(this).removeAttr("checked");
						}else
						if ($(this).attr("cname") == s)
							$(this).attr("checked", true);
					});
				});
		   	});
			
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				trbg = '';
				if (i % 2 == 1)
					trbg = 'currtr';

				tblstr = '<ul>';
				as1.length = 0;
				as1 = (r.urldnsgrp).split('|');
				for (j = 0; j < as1.length; j++) {
					as2.length = 0;
					if (as1[j] == "")
						continue;
					as2 = (as1[j]).split(',');
					if (as2[0] == "" || as2[1] == "")
						continue;
					tblstr += '<li>';
					tblstr += '<input type="checkbox" value="'+as2[0]+'" name="tblsel'+i+'" cname="'+as2[1]+'" license_id12="'+r.license_id12+'" />'+as2[1];
					tblstr += '</li>';
				}
				tblstr += '</ul>';

				if (r.grpid == "0" || r.grpid == "10000")
					grpname = "";
				else
					grpname = r.grpname;

				if (trobj.eq(i+1).length > 0) {
					tdobj = trobj.eq(i+1).find("td");
					
					tdobj.eq(0).html((i+1));
					tdobj.eq(1).html('<input type="checkbox" value="'+r.license_id12+'" name="devsel" />');
					tdobj.eq(2).html(r.license_id12);
					tdobj.eq(3).html(r.sysname);
					tdobj.eq(4).html(grpname);
					tdobj.eq(5).html(tblstr);
				}else{
					s = '<tr class="'+trbg+'"><td align="center">'+(i+1)+'</td>'+
						'<td align="center"><input type="checkbox" value="'+r.license_id12+'" name="devsel" /></td>'+
						'<td class="txt-left">'+r.license_id12+'</td>'+
						'<td class="txt-left">'+r.sysname+'</td>'+
						'<td class="txt-center">'+grpname+'</td>'+
						'<td class="txt-left myurldnsgrp">'+tblstr+'</td>'+
						'</tr>';
					$(s).appendTo('.upbags-list table');
				}
			}
			for (i = trlen-1; i >= len+1; i--) 
				trobj.eq(i).remove();
		}
	});
}

function urldnsgrp_handle()
{
	var uptype;

	$("[name='uptype']").each(function(){
		if ($(this).attr("checked"))
			uptype = $(this).val();
	});

	if (uptype == 1)
		urldnsgrp_update_open();
	else {
		urldnsgrp_add_open();
	}

	$("#grpname").val("");
	$(".myurldnsgrp").each(function(i) {
		obj = $(this).find("[name='tblsel"+i+"']");
		obj.each(function() {
			$(this).removeAttr("checked");
		});
	});
}

var devstr = '';
var ipstr = '';
function urldnsgrp_update_open()
{
	var arr = [], arr1 = [];
	var ipidarr = [];

	devstr = '';
	ipstr = '';
	arr.length = 0;
	arr1.length = 0;
	$(".myurldnsgrp").each(function(i){
		obj = $(this).find("[name='tblsel"+i+"']");
		fd = 0;
		arr.length = 0;
		obj.each(function(){
			if ($(this).attr("checked")) {
				arr.push($(this).val());
				if (fd == 0)
					arr1.push($(this).attr("license_id12"));
				fd = 1;
			}
		});
		if (arr.length != 0) {
			s1 = arr.join('-');
			ipidarr.push(s1);
		}
	});
	if (ipidarr.length == 0) {
		showerror("请选择要更新的域名群组");
		return false;
	}
	ipstr = ipidarr.join(',');
	devstr = arr1.join(',');

	urldnsgrp_update_handle();
}

function urldnsgrp_update_handle()
{
	var ipfile = $("#ipfile").val();
	if (ipfile == "" || ipfile == null) {
		showerror("请上传正确的域名文件");
		return false;
	}

	if (!confirm("确定要更新域名群组吗"))
		return false;

	var w = 600;
	var h = 600;
	var l = (window.screen.width - w)/2;
	var t = (window.screen.height - h)/2;

	$.ajax({
		url: 'system_handle_ex.php',
		data: {type: 'urldnsgrp_handle', devstr: devstr, 
			ipstr: ipstr, ipfile: ipfile},
		type: 'post',
		dataType: 'json',
		success:function(json) {
			$(".urldnsgrp-dialog").dialog("close");
			window.open("../Maintain/urldnsgrp_status.php", "_blank", "width="+w+
					"px, height="+h+"px, left="+l+"px, top="+t);
		}
	});
}

function urldnsgrp_add_open()
{
	var arr = [], arr1 = [];

	devstr = '';
	ipstr = '';
	arr.length = 0;
	$("[name='devsel']").each(function(){
		if ($(this).attr("checked")) {
			arr.push($(this).val());
			arr1.push(0);
		}
	});
	if (arr.length == 0) {
		showerror("请选择要更新的设备");
		return false;
	}
	devstr = arr.join(',');
	ipstr = arr1.join(',');

	urldnsgrp_add_handle();
}

function urldnsgrp_add_handle()
{
	var ipfile = $("#ipfile").val();
	if (ipfile == "" || ipfile == null) {
		showerror("请上传正确的域名文件");
		return false;
	}
	var grpname = $("#grpname").val();
	grpname = TrimAll(grpname);
	if (grpname == "") {
		showerror("请输入正确的群组名称");
		return false;
	}

	if (!confirm("确定要给选中设备新增域名群组吗"))
		return false;

	var w = 600;
	var h = 600;
	var l = (window.screen.width - w)/2;
	var t = (window.screen.height - h)/2;

	$.ajax({
		url: 'system_handle_ex.php',
		data: {type: 'urldnsgrp_handle', devstr: devstr, 
			ipstr: ipstr, ipfile: ipfile, grpname: grpname},
		type: 'post',
		dataType: 'json',
		success:function(json) {
			window.open("../Maintain/urldnsgrp_status.php", "_blank", "width="+w+
					"px, height="+h+"px, left="+l+"px, top="+t);
		}
	});
}
</script>

</head>
<body>
<div>
	<div class="cloud-bags-upload-form">
		<form>
			<div class="form-group" style="width:130px;">
				<label>请选择域名文件：</label>
			</div>
			<div class="form-group">
				<select id="ipfile" style="width:320px;" class="form-group-text">
<?php
		if (!is_dir(CLOUD_URLDNSGRP))
			mkdir(CLOUD_URLDNSGRP);
	if (($dp = opendir(CLOUD_URLDNSGRP)) != false) {
		while (($fp = readdir($dp)) != false) {
			if ($fp == "." || $fp == "..")
				continue;
			if ($_GET["file"] == $fp)
				echo '<option value="'.$fp.'" selected>'.$fp.'</option>';
			else
				echo '<option value="'.$fp.'">'.$fp.'</option>';
		}
		closedir($dp);
	}
?>
				</select>
			</div>
		</form>
	</div>
		<div class="clearfloat"></div>
	<div class="cloud-bags-upload-form">
		<form>
			<div class="form-group" style="width:130px;">
				<label>请选择更新方式：</label>
			</div>
			<div class="form-group">
				<input type="radio" value=0 name="uptype" /> 新增域名群组
				<input type="radio" value=1 name="uptype" checked /> 更新已存在的域名群组
			</div>
		</form>
	</div>
	<div class="cloud-bags-upload-form grpname" style="display:none;">
		<div class="clearfloat"></div>
		<form>
			<div class="form-group" style="width:130px;">
				<label>请输入域名群组名称：</label>
			</div>
			<div class="form-group">
				<input type="text" placeholder="" id="grpname" size="48" class="form-group-text" />
			</div>
		</form>
	</div>
	<div style="float:right; height:36px; line-height:36px;">
		<input type="button" value="确定" onclick="urldnsgrp_handle()" class="btn-default" />
		<input type="button" value="刷新" onclick="location.reload()" class="btn-default" />
	</div>
	<div class="cloud-bags-upload-form" style="margin-top:20px;">
		<form>
			<div class="form-group">
				显示组&nbsp;
				<select id="grplisthdr" class="form-control">
					<option value="0">所有组</option>
				</select>
			</div>
			<div class="form-group">
				<input type="text" placeholder="请输入设备编号或名称进行模糊查询" id="sch" size="48" class="form-group-text" />
			</div>
		</form>
	</div>
	<div class="upbags-list">
		<table style="width:100%;" cellspacing=0 cellpadding=0>
			<tr>
				<th style="width:40px;" align="center">序号</th>
				<th style="width:40px;" align="center">
					<input type="checkbox" name="allsel" />
				</th>
				<th align="left" style="width:150px">编号</th>
				<th align="left" style="width:200px">设备名称</th>
				<th align="center" style="width:100px">所属群组</th>
				<th align="center">
					<a href="javascript:openiptablelist()">勾选IP群组</a>
				</th>
			</tr>
		</table>
	</div>
</div>
<div id="iptbl-list-dialog" title="IP群组" style="display:none;">
	<ul>
	</ul>
</div>
<script type="text/javascript">
grplist(2, 0);
urldnsgrp_list();

$("[name='uptype']").click(function() {
	if ($(this).attr("checked")) {
		if ($(this).val() == 0)
			$(".grpname").show();
		else
			$(".grpname").hide();
	}
})

$("[name='allsel']").click(function() {
	if ($(this).attr("checked")) {
		$("[name='devsel']").each(function(){
			$(this).attr("checked", true);
		});
	}else{			
		$("[name='devsel']").each(function(){
			$(this).removeAttr("checked");
		});
	}
});

function openiptablelist()
{
	$("#iptbl-list-dialog").dialog({
		width: 400,
		height:440,
		buttons:[{
			text: "关闭",
			click: function(){
				$(this).dialog("close");
			}
		}]
	});
}

$("#grplisthdr").change(function(){
	urldnsgrp_list();
});
$("#sch").keyup(function(){
	urldnsgrp_list();
});
</script>
</body>
</html>
