<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

if (!isset($_POST["type"]))
	exit;

$type = postval('type');

if ($type == "list")
{
	$devid = postval("devid");
	$auth = postval('account');
	$strstart = postval('startdt');
	$strend = postval('enddt');
	$page = postval('page');
	$limit = postval('limit');
	$sort = postval('sort');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval("bexport");
	$exportapp = postval("exportapp");
	$cmd = "";
	$totalrecord = 0;

	if ($auth != "") 
		$auth = iconv('utf-8','gb2312', $auth);
	$filename = "account".date("YmdHis");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$rows = $json = array();
	if ($bexport && $exportapp) {
		$filename = "accountapp".date("YmdHis");
		$cmd = LOGDPATH."/bin/logeye user_behavior acctoapp_list 'account=$auth' ".
			"'longstart=$longstart' 'longend=$longend' 'page=$page' 'limit=$limit' ".
			"'errfile=$errfile' 'sort=$sort' 'devid=$devid' 'filename=$filename'";
	}
	else {
		$cmd = LOGDPATH."/bin/logeye user_behavior authflow 'account=$auth' ".
			"'longstart=$longstart' 'longend=$longend' 'page=$page' 'limit=$limit' ".
			"'errfile=$errfile' 'sort=$sort' 'devid=$devid' 'filename=$filename'";
	}
	
	$cmd .= " bexport=$bexport";
	exec($cmd, $out, $ret);
	if ($bexport) {
		$json['file'] = $filename;
		echo json_encode($json);
	}
	else {
		//var_dump($out);
		
		foreach($out as $val){
			$ds = explode(' ', $val);
			if($ds[0] == "totalrecord"){
				$totalrecord = (int)$ds[1];
				continue;	
			}
			
			array_push($rows, array(
				"auth"=>iconv('gb2312','utf-8',$ds[0]), 
				"flowcnt"=>(double)$ds[1],
				"upbytes"=>(double)$ds[2], 
				"downbytes"=>(double)$ds[3]
			));
		}
		$json['rows'] = $rows;
		$json['totalrecord'] = $totalrecord;
		echo json_encode($json);
		
	}
}
	
if ($type == "acctoapp")
{
	$auth = postval('account');
	$strstart = postval('startdt');
	$strend = postval('enddt');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$tablefile = php_getsessiontable($longstart, $longend);

	if ($auth == "")
		exit;
	
	$auth = iconv('utf-8','gb2312', $auth);

	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye authtoapp '$auth' '$longstart' '$longend' '$tablefile' '$errfile'";
	exec($cmd, $output, $return);
	foreach($output as $val){
		$ds = explode(' ', $val);

		array_push($rows, array(
			"cname"=>iconv('gb2312','utf-8',$ds[0]), 
			"upbytes"=>((double)$ds[1]), 
			"downbytes"=>(double)$ds[2]
		));
	}
	$json['rows'] = $rows;
	echo json_encode($json);
}

if ($type == "acctrend")
{
	$auth = postval('account');
	$strstart = urldecode(postval('startdt'));
	$strend = urldecode(postval('enddt'));
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$auth = iconv('utf-8', 'gb2312', $auth);

	$grpid = -1;
	if (isset($_POST["grpid"]))
		$grpid = postval("grpid");
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	if ($longend - $longstart < 86400)
		$longstart = $longend - 86400;

	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior authtrend 'account=$auth' 'longstart=$longstart'";
	$cmd .= " 'longend=$longend' 'errfile=$errfile' 'grpid=$grpid'";
	exec($cmd, $output, $return);
	
	$i = 0;
	$app = 0;
	$appup = 0;
	$appdown = 0;
	$appflow = 0;
	$currtype = "";
	$data = array();
	$seriesup = array();
	$seriesdown = array();
	$seriesflow = array();

	$slot = 0;
	foreach($output as $val){
		$ds = explode(' ', $val);
		if ($ds[0] == "TAG"){
			if ($slot != 0)
				break;
		}

		if ($ds[0] == "DATA")
			$slot++;
	}
	foreach($output as $val){
		$ds = explode(' ', $val);

		if ($ds[0] == "TAG"){
			if ($ds[1] == "DATEUP"){
				$currtype = "DATEUP";
				$seriesup[$appup]['name'] = "上行流量";
			}
			if ($ds[1] == "DATEDOWN"){
				$currtype = "DATEDOWN";
				$seriesdown[$appdown]['name'] = "下行流量";
			}
			if ($ds[1] == "DATEFLOW"){
				$currtype = "DATEFLOW";
				$seriesflow[$appflow]['name'] = "连接数";
			}
			$i = 0;
			continue;
		}

		if ($ds[0] == "DATA"){
			$data[$i]['x'] = (int)$ds[1] * 1000;
			$data[$i++]['y'] = (int)$ds[2];

			if (count($data) == $slot){
				if ($currtype == "DATEUP")
					$seriesup[$appup++]['data'] = $data;
				if ($currtype == "DATEDOWN")
					$seriesdown[$appdown++]['data'] = $data;
				if ($currtype == "DATEFLOW")
					$seriesflow[$appflow++]['data'] = $data;
				unset($data);
				$i = 0;
			}
		}
	}

	$json['result_up'] = $seriesup;
	$json['result_down'] = $seriesdown;
	$json['result_flow'] = $seriesflow;
	echo json_encode($json);
}
?>
