<?php
session_start();
set_time_limit(0);
include(dirname(__FILE__)."/common.php");
if (!chksession()) {
	outputres("no", "请重新登录");
	exit;
}

$doc = $_SERVER["DOCUMENT_ROOT"];
$action = isset($_REQUEST["action"]) ? postval("action") : "";
if (empty($action)) {
	outputres("no", "参数错误");
	exit;
}

if ($action == "import")
{
	$upfile = $_FILES["file"];

	$appdir = "/tmp/app/";
	exec("rm -rf $appdir");
	mkdir($appdir);

	system("rm -rf $appdir/*");

	$dstfile = $appdir."/panalog_app.tar.gz";
	if (! move_uploaded_file($upfile['tmp_name'], $dstfile)) {
		outputres("no", "上传文件失败");
		exit;
	}

	/* 检查是否有app.inf */
	exec("tar ztvf '$dstfile' | grep app.inf", $out, $ret);
	if (!is_array($out) || count($out) == 0) {
		outputres("no", "此APP包缺少必要有文件.");
		exit;
	}

	/* 解压 */
	exec("tar zxf '$dstfile' -C '$appdir'");

	$appname = getappval("app_name", "$appdir/app.inf");
	if ($appname == "") {
		outputres("no", "获取英文名称失败.");
		exec("rm -rf '$appdir'");
		exit;
	}

	unset($out);
	exec("uname -r | cut -d'.' -f1", $out, $ret);	
	$app_sys = getappval("app_sys", "$appdir/app.inf");
	if (strstr($app_sys, $out[0]) == false) {
		outputres("no", "此系统版本为".$out[0]."，暂不支持此APP");
		exec("rm -rf '$appdir'");
		exit;
	}
	unlink($dstfile);

	/* preinstall */
	$pre = $doc."/app/$appname/preinstall";
	if (file_exists($pre))
		exec($pre);

	if (!is_dir($doc."/app"))
		mkdir($doc."/app");
	if (!is_dir($doc."/app/$appname"))
		mkdir($doc."/app/$appname");
	exec("cp -rf $appdir/* $doc/app/$appname/");

	/* afterinstall */
	$after = $doc."/app/$appname/afterinstall";
	if (file_exists($after))
		exec($after);

	exec("rm -rf '$appdir'");

	unset($out);
	exec("$doc/app/$appname/appctrl start", $out, $ret);
	if (count($out) > 0)
		outputres("no", $out[0]);
	else
		outputres("yes", $out[0]);
}

if ($action == "mod_list")
{
	$rows = array();
	$appdir = dirname(__file__)."/app";
	$dir = opendir($appdir);
	if ($dir) {
		while (($fp = readdir($dir)) != false) {
			if ($fp == "." || $fp == "..")
				continue;
			if (file_exists($appdir."/".$fp."/app.inf")) {
				$arr = getappdesc($appdir."/".$fp."/app.inf");

				$out = array();
				if (file_exists($appdir."/".$fp."/".$fp.".status")) {
					$cmd = $appdir."/".$fp."/appctrl status";
					exec($cmd, $out, $ret);
					$arr["status"] = trim($out[0]);
				}
				else
					$arr["status"] = "disable";
				array_push($rows, $arr);
			}
		}
		closedir($dir);
	}

	echo json_encode($rows);
}

function mod_setval($appname, $tag, $val)
{
	global $doc;

	$status_conf = $doc."/app/$appname/$appname.status";

	if (!file_exists($status_conf))
		file_put_contents($status_conf, "enable=$val\n");
	else {
		$lists = file($status_conf);
		$fp = fopen($status_conf, "w");
		foreach($lists as $obj) {
			list($t, $v) = explode('=', $obj);
			if ($t == $tag) {
				fprintf($fp, $tag."=".$val."\n");
				continue;
			}
			else
				fprintf($fp, $obj);
		}
		fclose($fp);
	}
}

if ($action == "mod_switch")
{
	$sta = postval("sta");
	$appname = postval("appname");

	switch($sta) {
	case "on":
		mod_setval($appname, "enable", $sta);
		exec($doc."/app/$appname/appctrl start", $out, $ret);
		break;

	case "off":
		mod_setval($appname, "enable", $sta);
		exec($doc."/app/$appname/appctrl stop", $out, $ret);
		break;
	}

	outputres("yes", "");
}

function getappdesc($appinf)
{
	$arr = array();
	if (($fp = fopen($appinf, "r")) != false) {
		while (!feof($fp)) {
			$buf = fgets($fp);
			if (trim($buf) == "")
				continue;
			list($arg, $val) = explode('=', trim($buf));
			$arr[$arg] = $val;
		}
		fclose($fp);
	}

	return $arr;
}

function getappval($tag, $appinf)
{
	$appname = "";
	if (($fp = fopen($appinf, "r")) != false) {
		while (!feof($fp)) {
			$buf = fgets($fp);
			if (trim($buf) == "")
				continue;
			list($arg, $val) = explode('=', trim($buf));
			if ($arg == $tag) {
				$appname = $val;
				break;
			}
		}
		fclose($fp);
	}

	return $appname;
}

