<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET["cname"]?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function appip_submit(sort)
{
	var devid = $("#devid").val();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var appid = $("#appid").val();
	var iptype = $("#iptype").val();
	var grpid = $("#grpid").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'app_iplist', devid:devid, starttime:starttime, endtime:endtime, errname:errname, ipaddr:ipaddr, account:account, appid:appid, iptype:iptype, grpid:grpid, sort:sort},
		success:function(json) {
			data_update(json);
			cluster_load_hide();
		}
	})
}

function data_update(json)
{
	var pos = totalup = totaldown = totalflow = 0;

	var list = document.getElementById("appip_table");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.innerHTML = i+1;
		cell.setAttribute("align", "center");

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.ipaddr;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.flowcnt;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.upbytes);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.downbytes);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.upbytes + r.downbytes);
		
		totalup += r.upbytes;
		totaldown += r.downbytes;
		totalflow += r.flowcnt;
	}

	obj = list.insertRow(-1);
	obj.onmouseover = function() {
		this.className = "trbg";
	}
	obj.onmouseout = function() {
		this.className = "";
	}

	pos = 0;
	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "center");
	cell.innerHTML = "";
	cell.style.width = "50px";

	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "left");
	cell.className = 'font-weight';
	cell.innerHTML = '总共';

	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "right");
	cell.className = 'font-weight';
	cell.innerHTML = totalflow;

	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "right");
	cell.className = 'font-weight';
	cell.innerHTML = numberformats(totalup);

	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "right");
	cell.className = 'font-weight';
	cell.innerHTML = numberformats(totaldown);

	cell = obj.insertCell(pos++);
	cell.setAttribute("align", "right");
	cell.className = 'font-weight';
	cell.innerHTML = numberformats(totalup + totaldown);
}
</script>
</head>
<body class="als-body">
<div>
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
	<input type="hidden" value="<?=$_GET['ipaddr']?>" id="ipaddr" />
	<input type="hidden" value="<?=$_GET['account']?>" id="account" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
	<input type="hidden" value="<?=$_GET['appid']?>" id="appid" />
	<input type="hidden" value="<?=$_GET['iptype']?>" id="iptype" />
	<input type="hidden" value="<?=$_GET['grpid']?>" id="grpid" />

	<div class="als-content">
		<div class="als-box">
			<div style="position:absolute;;left:0px;right:0;bottom:10px;top:5px;overflow:auto;">
				<div class="topapp-list-table">
					<table style="width:100%;" id="appip_table">
						<tr>
							<th width="50px">序号</th>
							<th align="left" width="150px">IP地址</th>
							<th align="right"><a href="javascript:appip_submit('flow')">连接数</a></th>
							<th align="right"><a href="javascript:appip_submit('up')">上行流量</a></th>
							<th align="right"><a href="javascript:appip_submit('down')">下行流量</a></th>
							<th align="right"><a href="javascript:appip_submit('total')">总行流量</a></th>
						</tr>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
appip_submit("flow");
</script>
</body>
</html>

