<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$sysname = sysname();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET['cname']?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
var gsort = 'total';
var page = 1;
var limit = 25;
function bitcoinuser_detail()
{
	
	var devid = $("#devid").val();
	var account = $("#account").val();
	var ipaddr = $("#ipaddr").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		data:{type:"bitcoinuser_detail", devid:devid, account:account, starttime:starttime,
			endtime:endtime, page:page, limit:limit, ipaddr:ipaddr},
		type:'post',
		dataType:'json',
		success:function(json){
			appdata_update(json,limit);
			cluster_load_hide();
		}
	});
}


function appdata_update(data,limit)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href1, href2;
	var trbg = '';
	
	
	for (i = 0; i < len; i++){
		r = data.rows[i];
		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';
			
		if (trobj.eq(i+1).length > 0) {
			tdobj = trobj.eq(i+1).find("td");
			
			tdobj.eq(0).text(i+1);
			tdobj.eq(1).html(r.devid);
			tdobj.eq(2).html(r.ipaddr);
			tdobj.eq(3).html(r.account);
			tdobj.eq(4).html(numberformats(r.upbps));
			tdobj.eq(5).html(numberformats(r.downbps));
			tdobj.eq(6).html(numberformats(r.count));
			tdobj.eq(7).html(r.time);
		}
		else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (i+1)+'</td>'+
				'<td class="txt-right">'+r.devid+'</td>'+
				'<td class="txt-right">'+r.ipaddr+'</td>'+
				'<td class="txt-right">'+r.account+'</td>'+
				'<td class="txt-right">'+numberformats(r.upbps)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.downbps)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.count)+'</td>'+
				'<td class="txt-center">'+ r.time +'</td>'+
				'</tr>';
			$(s).appendTo(".topapp-list-table table tbody");
		}
	}
	
	laypage.render({
					elem: 'pagebar-div',
					count: data.total,
					limit: limit,
					first: 'Ê×Ò³',
					last: 'Î²Ò³',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					limits:[5, 10, 15, 20],
					theme: '#00A0E9',
					curr: page,
					jump: function(obj, first) {
						if (!first) {
							page = obj.curr;
							limit = obj.limit;
							
							bitcoinuser_detail();
							
						}
					}
	});
       
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function trendopen(devid, linkid, apid, cname, starttime, endtime)
{
	var w = 900;
	var h = window.screen.height - 150;
	var l = (window.screen.width - w)/2;
	
	window.open("../App/trendopen.php?devid="+devid+"&linkid="+linkid+
		"&appid="+apid+"&cname="+cname+"&starttime="+starttime+
		"&endtime="+endtime, "_blank", "width="+w+"px, height="+h+"px, left="+l+"px");
}

function titleclick(sort)
{
	gsort = sort;
	groupinfo();
}

</script>
</head>
<body>
<div>
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
	<input type="hidden" value="<?=$_GET['account']?>" id="account" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
	<input type="hidden" value="<?=$_GET['ipaddr']?>" id="ipaddr" />
	<div class="topapp-list-table" style="float:left;margin-top:10px;">
		<table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th class="txt-center" width="50px">序号</th>
				<th class="txt-left" width="50px">设备id</th>
				<th class="txt-right">用户IP</th>
				<th class="txt-right">用户账号</th>
				<th class="txt-right">上行流量</th>
				<th class="txt-right">下行流量</th>
				<th class="txt-right">访问次数</th>
				<th class="txt-right">时间</th>
			</tr>
		</table>
	</div>
	<div id="pagebar-div">	
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">

bitcoinuser_detail();
var laypage;
layui.use(['layer', 'form','laypage'], function(){
 laypage = layui.laypage;
		
});
</script>
</body>
</html>
