<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET["ipaddr"]?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function lib_submit()
{
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var libtype = $("#libtype").val();
	var ipaddr = $("#ipaddr").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'libres_trend', starttime, endtime, errname, libtype:libtype, ipaddr:ipaddr},
		success:function(json) {
			cluster_load_hide();
			showchart(json);

			lib_userbook();
		}
	})
}

function lib_userbook()
{
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var libtype = $("#libtype").val();
	var ipaddr = $("#ipaddr").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'libres_book', devid:0, page:1, limit:0, starttime, endtime, errname, libtype:libtype, ipaddr:ipaddr},
		success:function(json) {
			cluster_load_hide();

			var list = document.getElementById("userbook-list");
			while (list.rows.length > 1)
				list.deleteRow(1);
			for (var i = 0; i < json.rows.length; i++) {
				var r = json.rows[i];
				var obj = list.insertRow(-1);

				var pos = 0;
				var cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				cell.innerHTML = i + 1;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "left");
				cell.innerHTML = r.ftitle;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.innerHTML = r.num;
			}
		}
	})
}

function showchart(json)
{
    var options = {
        chart:{
            renderTo:'libchart',
            borderRadius:0,
            defaultSeriesType:'area'
        },title:{
            text:null,
            style:{font: '微软雅黑', fontSize:'10px', color:'#666', fontWeight:'bold'}
        },xAxis:{
            type:'datetime',
            tickPixelInterval:80,
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 10px Verdana, sans-serif', color:'#000000'}
            }
        },yAxis:{
            min:0,
            tickPixelInterval:30,
            title:{
                text:'次数'
	    },
	    labels:{
                style:{font:'normal 10px Verdana, sans-serif', color:'#000000'},
		formatter:function(){
			return numberformats(parseInt(this.value));
		}
            },
            plotLines:[{value:0,width:1}]
        },legend:{enabled:true,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'', fontSize:'10px'}
        },plotOptions:{
            area:{stacking:'normal',lineWidth:0,marker:{enabled:false}}
        },credits:{enabled:false},
	tooltip:{
		shared: true,
		useHTML: true,
		formatter: function () {
			var s = '<span style="font-size:11px;">时间：' + Highcharts.dateFormat("%m/%d %H:%M", this.x)+'</span>';
			var cnt = 0;
			$.each(this.points, function () {
				cnt += this.y;
				s += '<br/><span style="color:'+this.series.color+';font-size:11px;padding:1px 0;">'+this.series.name+': '+
					numberformats(this.y)+'</span>';
			}); 
			s += '<br/><span style="margin-top:3px; font-size:11px;">总：'+numberformats(cnt)+'</span>';

			return s;
		}
        },series:[]
    }

    options.series = json.rows;
    new Highcharts.Chart(options);
}

</script>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
<?php
if (!isset($_GET["name"]) && !isset($_GET["ipaddr"]))
	$name = "所有资源下载详情";
else
	$name = "资源下载详情";
if (isset($_GET["name"]))
	$name = $_GET["name"].$name;
if (isset($_GET["ipaddr"]))
	$name = $_GET["ipaddr"].$name;
?>
			<li class="active"><a href="#"><?=$name?></a></li>
		</ul>
	</div>
	<div class="als-content">
		<div class="als-box">
			<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
			<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
			<input type="hidden" value="<?=$_GET['libtype']?>" id="libtype" />
			<input type="hidden" value="<?=$_GET['ipaddr']?>" id="ipaddr" />
		</div>
		<div>
			<table id="userbook-list" style="width:100%;">
				<tr>
					<th width="50px" align="center">序号</th>
					<th align="left">文章名称</th>
					<th width="100px" align="right">下载次数</th>
				</tr>
			</table>
		</div>
		<br/>
		<div id="libchart" style="width:800px;"></div>
	</div>
</div>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });
lib_submit();
</script>
</body>
</html>

