<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function menuconfig()
{
	var m = [];
	var mstr = "";

	$("[name='menuopt']").each(function(){
		if ($(this).attr("checked")) {
			if ($(this).val() == "m7-xtsz")
				alert("您将关闭\"系统设置\"项，关闭此项后将不再能修改菜单选项");
			m.push($(this).val());
		}
	});

	if (!confirm("确定要隐藏选中后的菜单吗?"))
		return false;

	mstr = m.join(' ');

	$.ajax({
		url:'ajax_menu_config.php',
		dataType:'json',
		type:'post',
		data:{action:"menuconfig", mstr:mstr},
		success:function(data){
			if (data.yn == "no")
				alert(data.str);
			else
				alert("操作成功");
		}
	})
}

function menulist()
{
	$.ajax({
		url:'ajax_menu_config.php',
		dataType:'json',
		type:'post',
		data:{action:"menulist"},
		success:function(data) {
			$("[name='menuopt']").each(function(){
				for (i = 0; i < data.rows.length; i++) {
					if ($(this).val() == data.rows[i]) {
						$(this).attr("checked", true);
					}
				}
			});
		}
	})
}
</script>
<style type="text/css">
</style>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
			<li><a href="system_setup.php">系统设置</a></li>
			<li class="active"><a href="menu_config.php">菜单设置</a></li>
		</ul>
		<div class="clear:both;"></div>
	</div>
	<div>
		<div style="margin:20px;">
			<p>
				选中并且操作关闭选中按钮后，左侧菜单中将不会再显示此菜单。
			</p>
		</div>
		<table style="margin:20px;border-collapse:collapse;" border="1" bordercolor="#ddd">
			<tr>
				<td align="center" width="200px">流量监控</td>
				<td width="300px">
					<ul>
						<li><input type="checkbox" name="menuopt" value="m1-llgk"> 流量概况</li>
						<li><input type="checkbox" name="menuopt" value="m1-tppm"> Top排名</li>
						<li><input type="checkbox" name="menuopt" value="m1-llqs"> 流量趋势</li>
						<li><input type="checkbox" name="menuopt" value="m1-jktj"> 接口统计</li>
						<li><input type="checkbox" name="menuopt" value="m1-yyxy"> 应用协议</li>
						<li><input type="checkbox" name="menuopt" value="m1-llgj"> 流量告警</li>
						<li><input type="checkbox" name="menuopt" value="m1-yipqz"> 源IP群组</li>
					</ul>
				</td>
				<td align="center" width="150px" rowspan="8">
					<input type="button" value="关闭选中" onclick="menuconfig()" class="btn-extend-blue" />
				</td>
			</tr>
			<tr>
				<td align="center" width="200px">流量流向</td>
				<td width="300px">
					<ul>
						<li><input type="checkbox" name="menuopt" value="m2-llgk"> 流量概况</li>
						<li><input type="checkbox" name="menuopt" value="m2-tpmb"> Top目标</li>
						<li><input type="checkbox" name="menuopt" value="m2-tpqy"> Top区域</li>
						<li><input type="checkbox" name="menuopt" value="m2-tpdk"> Top端口</li>
						<li><input type="checkbox" name="menuopt" value="m2-xylx"> 协议类型</li>
						<li><input type="checkbox" name="menuopt" value="m2-xyqyfb"> 协议区域分布</li>
						<li><input type="checkbox" name="menuopt" value="m2-mbipqz"> 目标IP群组</li>
					</ul>
				</td>
			</tr>
			<tr>
				<td align="center" width="200px">用户行为</td>
				<td width="300px">
					<ul>
						<li><input type="checkbox" name="menuopt" value="m3-urlcx"> URL查询</li>
						<li><input type="checkbox" name="menuopt" value="m3-ymdt"> 域名地图</li>
						<li><input type="checkbox" name="menuopt" value="m3-yhgj"> 用户轨迹</li>
						<li><input type="checkbox" name="menuopt" value="m3-yhhx"> 用户画像</li>
						<li><input type="checkbox" name="menuopt" value="m3-ymqz"> 域名群组</li>
						<li><input type="checkbox" name="menuopt" value="m3-tpym"> Top域名</li>
						<li><input type="checkbox" name="menuopt" value="m3-yhgl"> 用户过滤</li>
						<li><input type="checkbox" name="menuopt" value="m3-xnsf"> 虚拟身份</li>
						<li><input type="checkbox" name="menuopt" value="m3-wxrz"> 微信日志</li>
						<li><input type="checkbox" name="menuopt" value="m3-dnstj"> DNS统计</li>
						<li><input type="checkbox" name="menuopt" value="m3-gjz"> 关键字</li>
						<li><input type="checkbox" name="menuopt" value="m3-yhrz"> 用户认证</li>
						<li><input type="checkbox" name="menuopt" value="m3-hhrz"> 会话日志</li>
						<li><input type="checkbox" name="menuopt" value="m3-gxyh"> 共享用户</li>
					</ul>
				</td>
			</tr>
			<tr>
				<td align="center" width="200px">网络性能</td>
				<td width="300px">
					<ul>
						<li><input type="checkbox" name="menuopt" value="m4-jccx"> 基础查询</li>
						<li><input type="checkbox" name="menuopt" value="m4-syqs"> 时延趋势</li>
						<li><input type="checkbox" name="menuopt" value="m4-xyfx"> 协议分析</li>
						<li><input type="checkbox" name="menuopt" value="m4-yhfx"> 用户分析</li>
						<li><input type="checkbox" name="menuopt" value="m4-qyfx"> 区域分析</li>
					</ul>
				</td>
			</tr>
			<!--
			<tr>
				<td align="center" width="200px">NPM</td>
				<td width="300px">
					<ul>
						<li><input type="checkbox" name="menuopt" value="m4-jccx"> 基础查询</li>
						<li><input type="checkbox" name="menuopt" value="m4-ysqs"> 时延趋势</li>
						<li><input type="checkbox" name="menuopt" value="m4-xyfx"> 协议分析</li>
						<li><input type="checkbox" name="menuopt" value="m4-qyfx"> 区域分析</li>
					</ul>
				</td>
			</tr>
			-->
			<tr>
				<td align="center" width="200px">内容分析</td>
				<td width="300px">
					<ul>
						<li><input type="checkbox" name="menuopt" value="m5-yhcx"> 用户查询</li>
						<li><input type="checkbox" name="menuopt" value="m5-jdrz"> 节点日志</li>
						<li><input type="checkbox" name="menuopt" value="m5-pppoedlrz"> PPPOE代理日志</li>
						<li><input type="checkbox" name="menuopt" value="m5-wjxz"> 文件下载</li>
						<li><input type="checkbox" name="menuopt" value="m5-tpll"> 图片浏览</li>
						<li><input type="checkbox" name="menuopt" value="m5-hcrz"> 缓存日志</li>
						<li><input type="checkbox" name="menuopt" value="m5-tszy"> 图书资源</li>
						<li><input type="checkbox" name="menuopt" value="m5-yhjd"> 用户借贷</li>
						<li><input type="checkbox" name="menuopt" value="m5-xjfw"> 邪教访问</li>
						<li><input type="checkbox" name="menuopt" value="m5-postbd"> POST表单</li>
						<li><input type="checkbox" name="menuopt" value="m5-vpnfw"> VPN访问</li>
					</ul>
				</td>
			</tr>
			<tr>
				<td align="center" width="200px">安全分析</td>
				<td width="300px">
					<ul>
						<li><input type="checkbox" name="menuopt" value="m6-syn"> SYN Flooding</li>
						<li><input type="checkbox" name="menuopt" value="m6-udp"> UDP Flooding</li>
						<li><input type="checkbox" name="menuopt" value="m6-ntp"> NTP Flooding</li>
					</ul>
				</td>
			</tr>
			<tr>
				<td align="center" width="200px">系统维护</td>
				<td width="300px">
					<ul>
						<li><input type="checkbox" name="menuopt" value="m7-xtsj"> 系统升级</li>
						<li><input type="checkbox" name="menuopt" value="m7-licensesj"> License升级</li>
						<li><input type="checkbox" name="menuopt" value="m7-xtsz"> 系统设置</li>
						<li><input type="checkbox" name="menuopt" value="m7-xtzt"> 系统状态</li>
						<li><input type="checkbox" name="menuopt" value="m7-yhgl"> 用户管理</li>
						<li><input type="checkbox" name="menuopt" value="m7-zdml"> 终端命令</li>
						<li><input type="checkbox" name="menuopt" value="m7-yxsz"> 邮箱设置</li>
						<li><input type="checkbox" name="menuopt" value="m7-wxtz"> 微信通知</li>
						<li><input type="checkbox" name="menuopt" value="m7-xydw"> 协议定位</li>
						<li><input type="checkbox" name="menuopt" value="m7-sjzt"> 数据状态</li>
						<li><input type="checkbox" name="menuopt" value="m7-sjkgl"> 数据库管理</li>
						<li><input type="checkbox" name="menuopt" value="m7-pzgl"> 配置管理</li>
						<li><input type="checkbox" name="menuopt" value="m7-xtrz"> 系统日志</li>
						<li><input type="checkbox" name="menuopt" value="m7-xtbb"> 系统报表</li>
						<li><input type="checkbox" name="menuopt" value="m7-iprz"> IP日志</li>
					</ul>
				</td>
			</tr>
			<tr>
				<td align="center" width="200px">网络资产</td>
				<td width="300px">
					<ul>
						<li><input type="checkbox" name="menuopt" value="m8-zclx"> 资产类型</li>
						<li><input type="checkbox" name="menuopt" value="m8-wdzc"> 我的资产</li>
						<li><input type="checkbox" name="menuopt" value="m8-kxzc"> 可信资产</li>
						<li><input type="checkbox" name="menuopt" value="m8-sfzc"> 双非资产</li>
						<li><input type="checkbox" name="menuopt" value="m8-80443"> 非80|443</li>
						<li><input type="checkbox" name="menuopt" value="m8-zclx2"> 资产流向</li>
					</ul>
				</td>
			</tr>
		</table>
	</div>
</div>
<script type="text/javascript">
menulist();
</script>
</body>
</html>
