<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript">
</script>
</head>
<body class="als-body">
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="terminal_set.php">设置</a></li>
			<li class="active"><a href="terminal.php">终端统计</a></li>
			<li><a href="terminal_custom.php">自定义查询</a></li>
		</ul>
	</div>
	<div style="position:relative; margin-top:20px;">
		<div style="float:left; width:20%; background:#f5f5f5; border-radius:3px; margin-left:4%;">
			<div style="padding:5px 10px; font-size:14px;">总终端数</div>
			<div style="padding:5px 20px; font-size:14px; color:#e39507; font-weight:bold;" id="current_count">0</div>
		</div>
		<div style="float:left; width:20%; background:#f5f5f5; border-radius:3px; margin-left:4%;">
			<div style="padding:5px 10px; font-size:14px;">Windows</div>
			<div style="padding:5px 20px; font-size:14px; color:#e39507; font-weight:bold;" id="current_count_win">0</div>
		</div>
		<div style="float:left; width:20%; background:#f5f5f5; border-radius:3px; margin-left:4%;">
			<div style="padding:5px 10px; font-size:14px;">Android</div>
			<div style="padding:5px 20px; font-size:14px; color:#e39507; font-weight:bold;" id="current_count_android">0</div>
		</div>
		<div style="float:left; width:20%; background:#f5f5f5; border-radius:3px; margin-left:4%">
			<div style="padding:5px 10px; font-size:14px;">Ios</div>
			<div style="padding:5px 20px; font-size:14px; color:#e39507; font-weight:bold;" id="current_count_ios">0</div>
		</div>
		<div style="clear:both;"></div>
	</div>
	<div id="terminal-trend" style="height:250px;">
	</div>
	<div style="float:left; width:60%; margin-top:20px;" class="topapp-list-table">
		<div id="pagebar"></div>
		<table id="terminal-table-list" style="width:100%;">
			<tr>
				<th class="txt-center" width="50px">序号</th>
				<th class="txt-center" width="50px">设备</th>
				<th class="txt-left" width="160px">用户IP</th>
				<th class="txt-left">终端类型</th>
				<th class="txt-left">系统版本</th>
				<th class="txt-left">用户账号</th>
				<th class="txt-left">更新时间</th>
			</tr>
		</table>
		<div style="clear:both;"></div>
	</div>
	<div style="margin-left:60%; width:40%;">
		<div id="terminal-pie" style="width:100%; height:300px; margin-top:60px;">
		</div>
		<div style="margin-top:40px; text-align:center;">
			<!-- 4是所有windows -->
			<a onclick="terminal_list(4)" class="layui-btn-xs layui-btn layui-btn-normal">导出Windows</a>
			<a onclick="terminal_list(7)" class="layui-btn-xs layui-btn layui-btn-normal">导出Windows7</a>
			<a onclick="terminal_list(10)" class="layui-btn-xs layui-btn layui-btn-normal">导出Windows10</a>
			<a onclick="terminal_list(5)" class="layui-btn-xs layui-btn layui-btn-normal">导出Android</a>
			<a onclick="terminal_list(6)" class="layui-btn-xs layui-btn layui-btn-normal">导出IOS</a>
		</div>
	</div>
	<div style="clear:both;"></div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
showdevicetree();
terminal_stat();

var page = 1;
var limit = 50;
setInterval(function(){terminal_stat();}, 30000);
function terminal_list(bexport)
{
	$.ajax({
		url: 'handle.php',
		data: {type:'terminal_list', page: page, limit:limit, bexport:bexport},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			if (bexport > 0) {
				window.open("../download.php?filename="+json.file, "_blank");
				return false;
			}

			data_update(json);

			layui.use(['laypage', 'layer'], function(){
				var laypage = layui.laypage, layer= layui.layer;
				laypage.render({
					elem: 'pagebar',
					count: json.totalrecords,
					limit: limit,
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					limits:[50, 100, 200],
					theme: '#00A0E9',
					curr: page,
					jump: function(obj, first) {
						if (!first) {
							page = obj.curr;
							limit = obj.limit;
							terminal_list(0);
						}
					}
				});
			});
		}
	})
}

function data_update(json)
{
	var list = document.getElementById("terminal-table-list");
	while (list.rows.length > 1)
		list.deleteRow(1);

	var start = (page - 1) * limit;
	for (i = 0; i < json.rows.length; i++) {
		var r = json.rows[i];
		var obj = list.insertRow(-1);

		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = (start+i+1);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = r.devid;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.ip;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		switch(r.plat) {
		case "0":
			cell.innerHTML = 'Windows';
			break;

		case "1":
			cell.innerHTML = 'Android';
			break;

		case "2":
			cell.innerHTML = 'IOS';
			break;
		}
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = (r.ver == "0") ? "" : r.ver;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.account == "$" ? "" : r.account;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.time;
	}
}

function terminal_stat()
{
	$.ajax({
		url: 'handle.php',
		data: {type:'terminal_stat'},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			$("#current_count").text(json.total);
			$("#current_count_win").text(json.win);
			$("#current_count_android").text(json.android);
			$("#current_count_ios").text(json.ios);
			
			piechart(json, "terminal-pie");

			gettrend();
		}
	});
}

function piechart(json, render)
{
	var title = '';

	var data = [], x = [];
	x.push("Windows");
	x.push("Android");
	x.push("IOS");
	data.push({name: "Windows", value: json.win});
	data.push({name: "Android", value: json.android});
	data.push({name: "IOS", value: json.ios});

	var option = {
    		title: {
			text: title, 
			left: 'center',
			textStyle: {
				fontSize: 12,
				color: '#555'
			}
    		},
    		tooltip : {
        		trigger: 'item',
			formatter: function(p) {
				return p.name + '<br/>' + p.value + '<br/>占比：'+p.percent + '%';
			},
			textStyle: {
				fontSize: 10
			},
    		},
		grid: {
			right: 30,
		},
    		legend: {
			show: false,
        		orient: 'vertical',
        		right: 'right',
			top: '15%',
			textStyle: {
				fontSize: '10'
			},
        		data: x
    		},
    		series : [{
            		name: '终端统计',
            		type: 'pie',
            		radius : '55%',
            		center: ['50%', '60%'],
            		data: data,
			label: {
				show: true,
				fontSize: '10',
				formatter: function(params, ticket, callback) {
					return params.name + '('+params.percent+'%)'
				}
			},
			labelLine: {
				normal: {
					smooth: true,
					show: true 
				}
			},
            		itemStyle: {
                		emphasis: {
                    			shadowBlur: 10,
                    			shadowOffsetX: 0,
                    			shadowColor: 'rgba(0, 0, 0, 0.5)'
                		}
            		}
        	}]
	};

	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, 'macarons');
	myChart.setOption(option);

	/*
	myChart.on('click', function (params) {
		groupinfo(params.data.appid, params.name);
	});
	 */
}

function gettrend()
{
	$.ajax({
		url: 'handle.php',
		data: {type:'terminal_trend'},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			drawtrend(json.result, "terminal-trend");
			terminal_list(0);
		}
	})
}

function drawtrend(json, render)
{
	Highcharts.setOptions({ global: { useUTC: false } });
	var options = {
		chart:{
			renderTo:render,
			borderRadius:0,
			defaultSeriesType:'area'
		},title:{
			text: null,
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
		},xAxis:{
			type:'datetime',
			tickPixelInterval:60,
			labels:{
			rotation:-45,
			align:'right',
			style:{font:'normal 10px sans-serif', color:'#000000'}
			}
		},yAxis:{
			min:0,
			tickPixelInterval:30,
			title:{
				text: '#数量',
				style: {font:'normal 10px sans-serif'},
			},labels:{
				style: {font:'normal 10px sans-serif'},
				formatter:function(){ return numberformats(parseInt(this.value)); } 
			},
			plotLines:[{value:0,width:1}]
		},legend:{enabled:true,verticalAlign:'top',y:0, align:'right', symbolWidth:4, symbolHeight:4,lineHeight:5,itemStyle:{color:'black', font:'normal 10px sans-serif'}
		},plotOptions:{
			area:{stacking:'normal',lineWidth:1,marker:{enabled:false}}
		},credits:{enabled:false},
		tooltip:{
			shared: true,
			useHTML: true,
			itemMarginTop:5,
			formatter: function () {
				var s = '<span style="font-size:10px;">' + Highcharts.dateFormat("%m/%d %H:%M", this.x)+'</span>';
				var cnt = 0;
				$.each(this.points, function () {
					cnt += this.y;
					s += '<br/><span style="color:#666;font-size:10px;margin-top:2px;">'+this.series.name+': '+
						numberformats(this.y)+'</span>';
				}); 
				s += '<br/><span style="margin-top:3px; font-size:10px;">总：'+numberformats(cnt)+'</span>';

				return s;
			}
		},
		series: []
	}

	options.series = json;
	new Highcharts.Chart(options);
}
</script>
</body>
</html>

