<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/dtree.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 50;
var pagestop = 0;

function pre()
{
	page--;
	if (page <= 0)
		page = 1;
	
	pagestop = 0;
	
	check_submit();
}

function next()
{
	page++;

	check_submit();
}

var _cachefile = "";
function button_click()
{
	page = 1;
	pagestop = 0;
	_cachefile = getcachefile();
	check_submit();
}

function check_submit()
{
	if (pagestop) {
		alert("已经是最后一页了");
		return false;
	}
	
	var devid = getdevice();
	var ipaddr = TrimAll($("#ipaddr").val());
	var apkname = TrimAll($("#apkname").val());
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':59:59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'topmobile', 
			ipaddr: ipaddr, 
			starttime:starttime, 
			endtime:endtime, 
			errname:errname, 
			apkname: apkname,
			cachefile:_cachefile,
			devid: devid,
			page: page,
			limit: limit},
		success:function(json) {
			cluster_load_hide();

			if (json.yn && json.yn == "no") {
				alert(json.str);
				return false;
			}
			
			layui.use(['laypage', 'layer'], function(){
				var laypage = layui.laypage, layer= layui.layer;
				laypage.render({
					elem: 'pagebar',
					count: json.totalrecords,
					limit: limit,
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					limits:[50, 100, 200],
					theme: '#00A0E9',
					curr: page,
					jump: function(obj, first) {
						if (!first) {
							page = obj.curr;
							limit = obj.limit;
							check_submit();
						}
					}
				});
			});

			if (json.totalrecords != 0)
				appstore_update(json);
		}
	});
}

function appstore_update(json)
{
	var r, s;
	var len = json.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';

	start = (page - 1) * limit;

	for (i = 0; i < len; i++){
		r = json.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		href = '<a href="javascript:apk_userlist(\''+r.fname+'\')">用户IP</a>';
		href += '&nbsp;&nbsp;';
		href += '<a href="javascript:apk_urllist(\''+r.fname+'\')">访问URL</a>';

		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");

			tdobj.eq(0).text((start+i+1));
			tdobj.eq(1).html(decodeURI(r.fname));
			tdobj.eq(2).text((r.count));
			tdobj.eq(3).html(href);
		}
		else{
			tb = '<tr class="'+trbg+'">' +
				'<td>'+(start+i+1)+'</td>'+
				'<td>'+ (r.fname)+'</td>'+
				'<td class="txt-right">'+ (r.count)+'</td>'+
				'<td class="txt-center">'+ href+'</td>'+
				'</tr>';
			'</tr>';
			$(tb).appendTo(".topapp-list-table table tbody");
		}
	}
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function apk_userlist(apkname)
{
	var left = (window.screen.width - 800) / 2;
	var height = window.screen.height - 150;

	var devid = getdevice();
	
	var start = $("#start").val();
	var end = $("#end").val();
	var dt = new Date();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':59:59';

	var req = /\+/g;
	apkname = apkname.replace(req, '%2B');

	window.open("apk_userlist.php?apkname="+(apkname)+"&starttime="+
		starttime+"&endtime="+endtime+"&devid="+devid, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function apk_urllist(apkname)
{
	var left = (window.screen.width - 800) / 2;
	var height = window.screen.height - 150;

	var devid = getdevice();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':59:59';

	var req = /\+/g;
	apkname = apkname.replace(req, '%2B');

	window.open("apk_urllist.php?apkname="+(apkname)+"&starttime="+
		starttime+"&endtime="+endtime+"&devid="+devid, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function draw_chart(data, render, title)
{
	var options = {
		chart:{
			renderTo:render,
			defaultSeriesType:"area",
			plotBackgroundColor: null,
			plotBorderWidth: null,
			plotShadow: true
		},title:{
			enabled: true,
			text:title,
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
		},xAxis:{
			type:'datetime',
			tickPixelInterval:60,
			labels:{
				step:2,
				formatter: function() {
					return Highcharts.dateFormat('%d/%H:%M', this.value);
				}
			}
		},yAxis:{
			min:0,
			tickPixelInterval:30,
			title:{
				text:"台数#"
			},labels:{formatter:function(){
				return numberformats(parseInt(this.value));
				}
			},
			plotLines:[{value:0,width:1}]
		},plotOptions:{
			area:{stacking:false,lineWidth:1,marker:{enabled:false}},
			spline:{
				marker:{radius:0,
					lineWidth:0
					   }
				   }
		},credits:{enabled:false},
		legend: {
			enabled: false,
			layout: 'vertical',
			align: 'right',
			width: 120,
			verticalAlign: 'middle',
			itemMarginTop: 3,
			borderWidth: 0,
			labelFormatter: function() {
				return '<div style="text-align: left; width:100px;font-weight:normal;">' + this.name + '</div>';
			}
		},
		tooltip:{
			formatter:function(){
				var dd = new Date(this.x);
				var str = dd.getHours()+':'+dd.getMinutes();
				return this.series.name+'<br/>'+str+' '+ numberformats(this.y);
			}
		},series:[]
	}

	options.series = data;
	var chart = new Highcharts.Chart(options);
}

function download_stat()
{
	var devid = getdevice();
	var ipaddr = TrimAll($("#ipaddr").val());
	var apkname = TrimAll($("#apkname").val());

	var start = $("#start").val();
	var end = $("#end").val();
	var dt = new Date();
	var hour = dt.getHours();
	var min = dt.getMinutes();
	var starttime = start + ' '+hour+':'+min+':0';
	var endtime = end + ' '+hour+':'+min+':0';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	$(".mobile-trend").fadeIn();
	$("#mobile-trend").html("");

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'appstore_stat', 
			ipaddr: ipaddr, 
			starttime:starttime, 
			endtime:endtime, 
			errname:errname, 
			apkname: apkname,
			devid: devid
			},
		success:function(json) {
			cluster_load_hide();
			if (json.yn && json.yn == "no") {
				alert(json.str);
				return false;
			}

			draw_chart(json.data, "mobile-trend", "移动文件下载趋势图");
		}
	});
}

function botclose()
{
	$(".mobile-trend").fadeOut();
}
</script>

<style>
.mobile-trend {
	position:fixed; 
	height: 300px; 
	bottom:0; 
	border-top: 1px solid #e6ebef; 
	left: 0; 
	right: 0; 
	font-size:12px; 
	display:none; 
	background:#fff;
}
</style>
</head>

<body>
<div class="outer">
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label for="ipaddr">用户IP</label>
				<input type="text" value="" id="ipaddr" style="width:100px" />
			</li>
			<li>
				<label for="apkname">文件名称</label>
				<input type="text" value="" id="apkname" style="width:100px" />
			</li>
			<li>
				<label for="start">起始时间</label>
				<input type="text" name="start" id="start" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', time() - 86400) ?>" />
				<input type="text" name="starthour" id="starthour" value="<?= date('H') ?>" style="width:20px;" /> 时
			</li>
			<li>
				<label for="end">结束时间</label>
				<input type="text" name="end" id="end" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<input type="text" name="endhour" id="endhour" value="<?= date('H') ?>" style="width:20px;" /> 时
			</li>
			<li>
				<input type="button" value="查询" onclick="button_click()" class="btn-extend-color" />
			</li>
			<li>
				<a class="btn-extend-gray" onclick="download_stat()">文件下载趋势</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th width="50px" class="txt-left">序号</th>
				<th align="left" class="txt-left">文件名称</th>
				<th width="100px" class="txt-right">下载次数</th>
				<th width="100px" class="txt-center">操作</th>
			</tr>
		</table>
		<div class="" id="pagebar">
		</div>
	</div>
</div>
<div class="mobile-trend">
	<div style="height:20px;">
		<a style="float:right; cursor:pointer;" onclick="botclose()">关闭&nbsp;</a>
	</div>
	<div id="mobile-trend" style="height:280px;"></div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script>
Highcharts.setOptions({ global: { useUTC: false } });
showdevicetree();
</script>
</body>
</html>

