<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function xyd_submit()
{
	var devid = 0;
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	show_chart();

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'xyd_check', devid:devid, starttime:starttime, endtime:endtime, errname:errname, ipaddr:ipaddr, account:account},
		success:function(json) {
			cluster_load_hide();
			showchart(json);
		}
	})
}

function showchart(json)
{
	var distype = "bar";
	$("#libchart").show();

	var option = {
        chart: {
		renderTo: 'libchart',
		defaultSeriesType: distype,
		borderColor:'#D3DCEB'
        },
        title: {
		text: null,
		style:{
			font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
		text: null
        },
        xAxis: {
		categories: [],
		title: {
			text: null
		},
		labels:{
			//rotation:-45,
			align:'right',
			style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
		}
        },
        yAxis: [{
		min: 0,
		title: {
			text: '次数'
		}
	}],
        tooltip: {
		formatter: function() {
			return '<b>' + this.x + '</b><br/>' + this.series.name + ': ' + numberformats(this.y);
		}
        },
        plotOptions: {
		bar: {
			cursor:'pointer',
			point:{
			events:{
				click:function(){
				}
			}},
			dataLabels: {
				enabled: false
			}
		},
		series: {
			borderRadius: 5
		}
        },
        legend: {
		enabled:true
        },
        credits: {
		enabled: false
        },
        series: []
	}

	var c = 0;
	var series = [{name:'访问次数', data:[], color:'#2e8ae3'}];

	var len = json.rows.length;
	for (var i = 0; i < 20; i++){
		option.xAxis.categories.push(json.rows[i].name);
		series[0].data.push({name:json.rows[i].name, y:json.rows[i].count, type:json.rows[i].type});
	}
	option.series = series;

	var chart = new Highcharts.Chart(option);
}

function show_table()
{
	$("#libchart").hide();
	$("#xyd-table").show();
}

function show_chart()
{
	$("#libchart").show();
	$("#xyd-table").hide();
}

</script>
</head>
<body class="als-body">
<div>
	<input type="hidden" value="<?=$_GET['ipaddr']?>" id="ipaddr" />
	<input type="hidden" value="<?=$_GET['account']?>" id="account" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />

	<div class="als-content">
		<div class="als-box">
			<div id="libchart" style="position:absolute;;display:none;left:0px;right:0;bottom:10px;top:5px;overflow:auto;">
			</div>
			<div id="xyd-table" style="position:absolute;;display:none;left:0px;right:0;bottom:10px;top:5px;overflow:auto;">
				<div class="topapp-list-table">
					<table style="width:100%;">
						<tr>
							<th width="50px">序号</th>
							<th width="150px">名称</th>
							<th>访问次数</th>
						</tr>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
xyd_submit();
</script>
</body>
</html>

