<?php
session_start();
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	header("Location: index.php");
	exit;
}

$user = $_SESSION['palog_username'];
$dashboard_enable = 0;
if (($r = getuserrights($user)) != false) {
	if ($r["mod_6"] == 'Y')
		$dashboard_enable = 1;
}

if (!$dashboard_enable) {
	echo "ERROR: NO_RIGHTS\n";
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?=$sysname?></title>
<meta http-equiv="Content-type" content="text/html;charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<script type="text/javascript" src="js/jquery.min.js"></script>
<script type="text/javascript" src="js/common.js"></script>
<script type="text/javascript" src="js/echarts.min.js"></script>
<script type="text/javascript" src="js/china.js"></script>
<!--<script type="text/javascript" src="js/world.js"></script>-->
<script type="text/javascript" src="https://api.map.baidu.com/api?v=2.0&ak=EOLP6TzLqT1yKeghejbZY2LDn3uwYeRz&s=1"></script>
<script type="text/javascript" src="https://api.map.baidu.com/getscript?v=2.0&ak=EOLP6TzLqT1yKeghejbZY2LDn3uwYeRz&s=1"></script>
<script type="text/javascript" src="js/bmap.js"></script>
<script type="text/javascript" src="js/heatmap.js"></script>
<script type="text/javascript" src="js/dashboard_macarons.js"></script>

<style type="text/css">
.page-outer {position:absolute; top:0px; left:0px; right:0px; bottom:0px; background:#000; min-width:1200px; min-height:500px;}
.content-outer {float:left; }

.box-background {background:#1c1c1c; color:#ddd;}
.left-firstfloor-box {float:left; margin-left:3px;}
.left-secondfloor-box, .left-thirdfloor-box, .left-fourthfloor-box {float:left; margin: 3px 0 0 3px;}
.left-fifthfloor-box {float:left; margin:3px 0 0 3px;}
.middle-firstfloor-box {float:left; margin-left:3px;}
.middle-secondfloor-box {float:left; margin:3px 0 0 3px;}
.middle-thirdfloor-box {float:left; margin:3px 0 0 3px;}
.right-firstfloor-box {float:left; margin-left:3px;}
.right-secondfloor-box {float:left; margin:3px 0 0 3px;}
.right-thirdfloor-box {float:left; margin:3px 0 0 3px;}
.right-fourthfloor-box {float:left; margin:3px 0 0 3px;}
.right-fifthfloor-box {float:left; margin:3px 0 0 3px;}
.bottom-firstfloor-box {float:left; margin:0px 0 0 3px;}

.content-bottom {float:left; height:100px;}

.box-title {position:relative;height:20px; font-size:10px; font-weight:bold; text-align:center; line-height:20px; /*background:-webkit-linear-gradient(left,#30c2c4,#000) no-repeat;*/}
.box-content {font-size:11px; overflow:hidden;}
.box-cancel {position:absolute; right:3px; top:0; display:none;}
.box-cancel a {color: #f00}
.box-title:hover>.box-cancel{display:block}

.anchorBL{display:none;}

.page-header {position:relative; margin:0; padding:0; height:30px; /*background:#a72222;*/}
.hd-main, .hd-title, .hd-time {color:#fff; height:30px; line-height:30px;}
.hd-main, .hd-title {float:left;}
.hd-time {float: right; }
.hd-main {width:25%; padding-left:5px; text-align:left; font-size:12px;}
.hd-time {padding-right:5px; text-align:right; font-size:12px;}
.hd-title {width:50%; text-align:center; font-size:20px; font-weight:bold;}
.hd-title input {border:none; background:#000; color:#fff; font-size:20px; font-weight:bold;text-align:center; width:100%; outline:none;height:28px;}
.left-firstfloor-num {color:#2EC7C9; text-align:center; font-size:25px;}

.box {position:relative;}
.box-info {position:absolute; left:5px; top:30px; bottom:5px; width:100px; border:1px solid #1c1c1c; opacity:0.5; -moz-opacity:0.5; background:#1c1c1c; font-size:8px; color:#fff; z-index:100; overflow:hidden;}
.box-info ul {list-style:none; margin:0; padding:0;}
.box-info ul li {padding-top:5px;}

#filelist td {word-wrap:break-word;word-break:break-all; font-size:8px;}
</style>

<script type="text/javascript">
var tt = setInterval(function(){
	var t = new Date();
	var m = t.getMonth() + 1;
	var da = t.getDate();
	var h = t.getHours();
	var min = t.getMinutes();
	var sec = t.getSeconds();
	var s = t.getFullYear() + '/' + (m > 9 ? m : '0' + m) + '/' + 
		(da > 9 ? da : '0' + da) + ' ' + (h > 9 ? h : '0' + h) + ':' + 
		(min > 9 ? min : '0' + min) + ':' + (sec > 9 ? sec : '0' + sec);
	$(".hd-time").text(s);
}, 1000);

</script>

</head>
<body style="padding:0;margin:0;" onresize="location.reload()">
	<div class="page-outer">
		<div class="page-header">
			<div class="hd-main">
				<div style="float:left;height:30px;">
					<img src="img/homepage.png" width="16px" style="margin-top:7px;" />
				</div>
				<div style="float:left;height:30px;">&nbsp;<a href="main.php" style="color:#fff; text-decoration:none;">主页</a></div>
				<div style="clear:both;"></div>
			</div>
			<div class="hd-title" style="text-align:center;"><input type="text" value="" id="dashboard_title" placeholder="标题" /></div>
			<div class="hd-time"></div>
		</div>
		<div class="page-content">
			<div class="content-outer c-left">
				<div class="left-firstfloor-box lognum-box box-background">
					<div id="logcount_outer" class="box-content" style="background:#007e0a;">
						<div id="lognum" class="left-firstfloor-num" style="color:#fff;">0</div>
					</div>
					<div class="box-title">用户记录</div>
				</div>
				<div class="left-firstfloor-box box-background">
					<div id="ipcount_outer" class="box-content">
						<div id="ipnum" class="left-firstfloor-num">0</div>
					</div>
					<div class="box-title">在线IP</div>
				</div>
				<div class="left-firstfloor-box box-background">
					<div id="mobilecount_outer" class="box-content">
						<div id="mobilenum" class="left-firstfloor-num">0</div>
					</div>
					<div class="box-title">移动终端</div>
				</div>
				<div class="left-firstfloor-box box-background">
					<div id="acccount_outer" class="box-content">
						<div id="accnum" class="left-firstfloor-num">0</div>
					</div>
					<div class="box-title">在线账号</div>
				</div>
				<div class="left-secondfloor-box box-background">
					<div class="box-title">
						<span>热点IP</span>
					</div>
					<div class="box-content" id="iplist_outer">
					</div>
				</div>
				<div class="left-secondfloor-box box-background">
					<div class="box-title">
						<span>热点域名</span>
					</div>
					<div class="box-content" id="tophost">
					</div>
				</div>
				<div class="left-secondfloor-box box-background">
					<div class="box-title">
						<span>热点应用</span>
					</div>
					<div class="box-content" id="topapp">
					</div>
				</div>
			</div>
			<div class="content-outer c-middle">
				<div class="middle-firstfloor-box box-background">
					<div class="box-title">
						<span>系统流量</span>
					</div>
					<div class="box-content" id="apptrend">
					</div>
				</div>
				<div class="middle-secondfloor-box box-background">
					<div class="box-title">
						<span>连接数</span>
					</div>
					<div class="box-content" id="flowtrend">
					</div>
				</div>
				<div class="middle-thirdfloor-box box-background">
					<div class="box-title">
					</div>
					<div class="box-content">
<?php
$dir = dirname(__FILE__);
if (file_exists($dir."/localfile1.jpg")) {
	echo '<img src="localfile1.jpg" width="100%" />';
}else {
?>
						<form enctype="multipart/form-data" method="post" action="ajax_databoard.php" target="iframe1">
							<input type="file" name="localfile1" >
							<input type="hidden" name="action" value="localfile1" >
							<input type="submit" value="upload" >
							<iframe name="iframe1" id="iframe1" src="" style="display:none;"></iframe>
						</form>
<?php
}
?>
					</div>
				</div>
				<div class="middle-thirdfloor-box box-background">
					<div class="box-title">
					</div>
					<div class="box-content">
<?php
$dir = dirname(__FILE__);
if (file_exists($dir."/localfile2.jpg")) {
	echo '<img src="localfile2.jpg" width="100%" />';
}else {
?>
						<form enctype="multipart/form-data" method="post" action="ajax_databoard.php" target="iframe2">
							<input type="file" name="localfile2" >
							<input type="hidden" name="action" value="localfile2" >
							<input type="submit" value="upload" >
							<iframe name="iframe2" id="iframe2" src="" style="display:none;"></iframe>
						</form>
<?php
}
?>
					</div>
				</div>
			</div>
			<div class="content-outer c-right">
				<div class="right-firstfloor-box box-background">
					<div class="box-title">
					</div>
					<div class="box-content">
<?php
$dir = dirname(__FILE__);
if (file_exists($dir."/localfile3.jpg")) {
	echo '<img src="localfile3.jpg" width="100%" />';
}else {
?>
						<form enctype="multipart/form-data" method="post" action="ajax_databoard.php" target="iframe3">
							<input type="file" name="localfile3" >
							<input type="hidden" name="action" value="localfile3" >
							<input type="submit" value="upload" >
							<iframe name="iframe3" id="iframe3" src="" style="display:none;"></iframe>
						</form>
<?php
}
?>
					</div>
				</div>
				<div class="right-secondfloor-box box-background">
					<div class="box-title">
						<span>协议组</span>
					</div>
					<div class="box-content" id="bytepie">
					</div>
				</div>
				<div class="right-secondfloor-box box-background">
					<div class="box-title">
						<span>运营商</span>
					</div>
					<div class="box-content" id="yyspie">
					</div>
				</div>
			</div>
			<div style="clear:both;"></div>
		</div>
	</div>
<script>
var w = parseInt($(".page-outer").width()) - 1;
var h = parseInt($(".page-outer").height()) - 1;
var header_h = 30;

// content的高度 = 总高度 - header的高度
var content_h = h - header_h;
$(".page-content").css("width", w+'px');
$(".page-content").css("height", content_h +'px');

var per = w / 3;
var px1 = 70;
var left_w = per - px1;
var middle_w = per + px1 * 2;
var right_w = per - px1;
var up_part = content_h;
$(".content-outer").css("height", up_part +'px');
$(".c-left").css("width", left_w +'px');
$(".c-middle").css("width", middle_w +'px');
$(".c-right").css("width", right_w +'px');

// left-box
var box_title_h = 20;
var space = 3;
var left_firstfloor_h = 50;

var oriw = (left_w - 4 * space) / 4 - 10;
$(".left-firstfloor-box").css("width", oriw + 'px');
$(".lognum-box").css("width", oriw + 40  + 'px');
$(".left-firstfloor-box").css("height", left_firstfloor_h + 'px');
$(".left-firstfloor-box .box-content").css("height", left_firstfloor_h - box_title_h + 'px');

var left_mod_h = (up_part - left_firstfloor_h - 4 * space) / 3;
var left_secondfloor_h = left_mod_h;
var left_thirdfloor_h = left_mod_h;
var left_fourthfloor_h = left_mod_h;
var left_fifthfloor_h = left_mod_h;
$(".left-secondfloor-box").css("width", left_w - space + 'px');
$(".left-secondfloor-box").css("height", left_secondfloor_h + 'px');
$(".left-secondfloor-box .box-content").css("width", left_w - space + 'px');
$(".left-secondfloor-box .box-content").css("height", left_secondfloor_h - box_title_h + 'px');

$(".left-fourthfloor-box").css("width", (left_w - 2 * space) / 2 + 'px');
$(".left-fourthfloor-box").css("height", left_fourthfloor_h + 'px');
$(".left-fourthfloor-box .box-content").css("width", (left_w -  2 * space) / 2 + 'px');
$(".left-fourthfloor-box .box-content").css("height", left_fourthfloor_h - box_title_h + 'px');

$(".left-fifthfloor-box").css("width", (left_w - 2 * space) / 2 + 'px');
$(".left-fifthfloor-box").css("height", left_fifthfloor_h + 'px');
$(".left-fifthfloor-box .box-content").css("width", (left_w - 2 * space) / 2 + 'px');
$(".left-fifthfloor-box .box-content").css("height", left_fifthfloor_h - box_title_h + 'px');

$(".left-thirdfloor-box").css("width", left_w - space + 'px');
$(".left-thirdfloor-box").css("height", left_thirdfloor_h + 'px');
$(".left-thirdfloor-box .box-content").css("width", left_w - space + 'px');
$(".left-thirdfloor-box .box-content").css("height", left_thirdfloor_h - box_title_h + 'px');

var middle_mod_h = (up_part - 3 * space) / 3;
$(".middle-firstfloor-box").css("height", middle_mod_h + 'px');
$(".middle-firstfloor-box").css("width", middle_w - space + 'px');
$(".middle-firstfloor-box .box-content").css("height", middle_mod_h - box_title_h + 'px');

$(".middle-secondfloor-box").css("width", middle_w - space + 'px');
$(".middle-secondfloor-box").css("height", middle_mod_h + 'px');
$(".middle-secondfloor-box .box-content").css("height", middle_mod_h - box_title_h + 'px');

$(".middle-thirdfloor-box").css("height", middle_mod_h + 'px');
$(".middle-thirdfloor-box").css("width", (middle_w - 2 * space) /2 + 'px');
$(".middle-thirdfloor-box .box-content").css("height", middle_mod_h - box_title_h + 'px');

var right_mod_h = (up_part - 3 * space) / 3;
var right_firstfloor_h = right_mod_h;
var right_secondfloor_h = right_mod_h;
var right_thirdfloor_h = right_mod_h;
var right_fourthfloor_h = right_mod_h;
var right_fifthfloor_h = right_mod_h;
$(".right-firstfloor-box").css("height", right_firstfloor_h + 'px');
$(".right-firstfloor-box").css("width", (right_w - 3 * space) + 'px');
$(".right-firstfloor-box .box-content").css("height", right_firstfloor_h - box_title_h + 'px');
$(".right-secondfloor-box").css("height", right_firstfloor_h + 'px');
$(".right-secondfloor-box").css("width", (right_w - 3 * space) + 'px');
$(".right-secondfloor-box .box-content").css("height", right_firstfloor_h - box_title_h + 'px');

function showloading(render, px)
{
	var h = '<div class="border-highlight" style="position:absolute;left:0;height:3px;bottom:0px;background:#289495"></div>';

	var t = $("#"+render).parent(".box-background").find(".box-title");
	var w = t.width();
	$(h).appendTo(t);

	var per = 0;
	var tv = setInterval(function(){
		per += px;
		
		t.find(".border-highlight").css("width", per+'px');
		if (per >= w) {
			t.find(".border-highlight").remove();
			clearInterval(tv);
		}
	}, 10);
}

var ipcount_old = 0;
function ipcount()
{
	showloading("ipcount_outer", 10);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'ipcount'},
		dataType: 'json',
		success: function(json) {
			num = 0;
			var ipcount_t = setInterval(function() {
				if (ipcount_old == 0)
					ipcount_old = json.user[0];

				seg = json.user[0] - ipcount_old;
				if (seg > 0)
					num++;
				else
				if (seg < 0)
					num--;
				else
					num = 0;

				$("#ipnum").text(ipcount_old + num);

				ipcount_old = json.user[0];

				if (num >= seg)
					clearInterval(ipcount_t);
			}, 50);
		}
	});
}

var mobilenum_old = 0;
function mobile_num()
{
	showloading("mobilecount_outer", 10);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'mobile_num'},
		dataType: 'json',
		success: function(json) {
			num = 0;
			var mn_t = setInterval(function() {
				if (mobilenum_old == 0)
					mobilenum_old = json.mobile[0];

				seg = json.mobile[0] - mobilenum_old;
				if (seg > 0)
					num++;
				else
				if (seg < 0)
					num--;
				else
					num = 0;

				$("#mobilenum").text(mobilenum_old + num);

				mobilenum_old = json.mobile[0];

				if (num >= seg)
					clearInterval(mn_t);
			}, 50);
		}
	});
}

function account()
{
	showloading("account_outer", 10);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'account'},
		dataType: 'json',
		success: function(json) {
			$("#accnum").text(json.rows[0]);
		}
	});
}

function iplist_update(json)
{
	var maxflow = 0;
	for (i = 0; i < json.rows.length; i++) {
		if (json.rows[i].flow > maxflow)
			maxflow = json.rows[i].flow;
	}

	var yup = [], ydown = [], yflow = [], x = [];
	var len = json.rows.length;
	for (i = 0; i < len; i++) {
		x.push(json.rows[i].ip);
		yup.push({value: json.rows[i].up});
		ydown.push({value: json.rows[i].down});
		yflow.push({value: json.rows[i].flow});
	}

	var dom = document.getElementById("iplist_outer");
	var _iplistchart = echarts.init(dom, 'macarons');

	option = {
		backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		legend: {
			show: true,
			right: '0',
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
				color: '#ddd'
			},
		},
		grid: {
			borderWidth: 0,
			top: 20,
			left:50,
			bottom: 50,
			textStyle: {
				color: "#ddd",
			}
		},
		xAxis: [{
			type: "category",
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8,
				}
			},
			splitLine: {
				show: false 
			},
			axisTick: {
				show: false
			},
			splitArea: {
				show: false
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: x,
		}],
		yAxis: [{
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false
			},
			axisLine: {
				show: false,
			},
			axisTick: {
				show: false
			},
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					color: "#ddd",
					fontSize: 8,
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			splitArea: {
				show: false
			},
			position: 'left',
			min: 0,
		}, {
            		type: 'value',
            		scale: true,
            		boundaryGap: [0.2, 0.2],
			min: 0,
			max: maxflow,
			splitLine: {
				show: false,
			},
			axisLine: {
				show: false,
				lineStyle: {
					//color: '#ddd'
				}
			},
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					color: "#ddd",
					fontSize: 8,
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			position: 'right',
        	}],
		series: [
		{
			name: "连接数",
			type: "line",
			stack: "总量",
			symbol: 'none',
			symbolSize:10,
			yAxisIndex: 1,
			smooth: true,
			itemStyle: {
				normal: {
					//color: 'rgb(155, 127, 14)',
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yflow,
		},
		{
			name: "上行流量",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			itemStyle: {
				normal: {
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yup,
		},
		{
			name: "下行流量",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			itemStyle: {
				normal: {
					//color: "rgba(0,191,183,1)",
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: ydown,
		}]
	}
	
	_iplistchart.setOption(option);
}

function iplist()
{
	showloading("iplist_outer", 10);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'iplist'},
		dataType: 'json',
		success: function(json) {
			iplist_update(json);
		}
	})
}

var heat_points = [];
var heat_json;
var page = 1, limit = 2000;
var heat_listend = 0;

function getheatdata()
{
	if (heat_listend)
		return;

	if (page == 1) {
		showloading("userheat", 20);
	}

	$.ajax({
		url: 'ajax_databoard.php',
		data: {action: 'heatmap', page: page, limit: limit},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			if (json.rows.length < limit) {
				if (page == 1) {
					for (i = 0; i < json.rows.length; i++) {
						heat_points.push(json.rows[i]);
					}
					heatmap();
				}

				heat_listend = 1;
				page = 1;
				heat_points.length = 0;
			}else{
				page++;
				setTimeout(getheatdata, 1000);

				for (i = 0; i < json.rows.length; i++) {
					heat_points.push(json.rows[i]);
				}
				heatmap();
			}
		}
	});
}

var _heatchart = "";
var _bmap = "";
var _heatmap_center = [110.12966022374, 30.240018034923];
var _zoom = 5;

function heatmap_setcenter(e)
{
	if (!confirm("是否设置点击处为地图中心点?"))
		return false;

	_heatmap_center = [e.point.lng, e.point.lat];
	_bmap.panTo(new BMap.Point(e.point.lng, e.point.lat));
	_bmap.setZoom(_zoom);
	
	$.ajax({
		url: 'ajax_databoard.php',
		data: {action: 'heatmap_setcenter', lng: e.point.lng, lat: e.point.lat},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			_zoom = 14;
		}
	})
}

function heatmap_getcenter()
{
	$.ajax({
		url: 'ajax_databoard.php',
		data: {action: 'heatmap_getcenter'},
		type: 'post',
		success: function(data) {
			heatmap();
			if (data && data != "" && data != "0") {
				var ll = data.split('-');
				_heatmap_center = [ll[0], ll[1]];
				_zoom = 14;
				_bmap.panTo(new BMap.Point(ll[0], ll[1]));
			       	_bmap.setZoom(_zoom);
			}

			setInterval(function() {
				heat_listend = 0;
				heat_points.length = 0;
				getheatdata();
		       	}, 60000);
			
			setTimeout(getheatdata, 3000);
		}
	})
}

// 热力图
function heatmap()
{
	var app = {};
	app.title = "";
	var data = [];

	data.push(heat_points);
	var points = [].concat.apply([], data.map(function (track) {
        	return track.map(function (seg) {
           		return seg.coord.concat([1]);
        	});
    	}));

	if (_heatchart != "") {
		console.log(_heatchart);
		var option = _heatchart.getOption();
		option.series[0].data = points;
		_heatchart.setOption(option);
		_bmap.panTo(new BMap.Point(_heatmap_center[0], _heatmap_center[1]));
		_bmap.setZoom(11);
		return false;
	}

	var dom = document.getElementById("userheat");
	_heatchart = echarts.init(dom);
	var option = {
		animation: false,
		background: '#1c1c1c',
		bmap: {
			center: _heatmap_center,
			zoom: _zoom,
			roam: true,
		},
		visualMap: {
			show: false,
			top: 'top',
			min: 0,
			max: 5,
			seriesIndex: 0,
			calculable: true,
			inRange: {
				//color: ['#FE1603'],
				//color: ['#d94e5d','#eac736','#50a3ba'].reverse()
				color: ['yellow', 'red']
			}
		},
		series: [{
			type: 'heatmap',
			coordinateSystem: 'bmap',
			data: points,
			pointSize: 5,
			blurSize:6
		}]
	};

	_heatchart.setOption(option);

	_bmap = _heatchart.getModel().getComponent('bmap').getBMap();
	_bmap.setMapStyle({style:'dark'});
	_bmap.removeEventListener("click", heatmap_setcenter, true);
	_bmap.addEventListener("click", heatmap_setcenter, true);
}

function getapptrend()
{
	showloading("apptrend", 15);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'apptrend'},
		dataType: 'json',
		success: function(json) {
			apptrend_graph(json);
		}
	})
}

function apptrend_graph(json)
{
	var dom = document.getElementById("apptrend");
	var _apptrend_chart = echarts.init(dom, 'macarons');
	var fontfamily = "微软雅黑";
	var fontsize = 12;

	var option = {
		tooltip: {
			trigger: 'axis',
			textStyle: {
				fontSize: 8
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (i = 0; i < params.length; i++)
					htm += '<br/>' + params[i].seriesName + ':' + numberformats(params[i].value);
				return htm;
			}
		},
		legend: {
			show: true,
			right: 0,
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
				color: '#ddd'
			},
		},
		title: {
			text: null,
			left: '1%',
			top:0,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			splitLine: {
				show: false 
			},
			axisLabel: {
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: json.xdate
		},
		grid: {
			left: '35',
			top: '15',
			right:'5',
			bottom:'25'
		},
		yAxis: {
			type: 'value',
			minInterval: 1,
			name: null,
			nameLocation: 'end',
			splitLine: {
				show: false 
			},
			nameTextStyle: {
				fontSize: 8,
				color: '#ddd',
				fontFamily: 'Microsoft YaHei'
			},
			axisLine: {
				show: false,
			},
			axisLabel: {
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			}
		},
		series: [{
			name: "上行速率",
			type:'line',
			stack: '总量',
			smooth:true,
			symbol: 'circle',
			sampling: 'average',
			showSymbol: false,
			lineStyle: {
				normal: {
					width: 1
				}
			},
			itemStyle: {
				//color: 'rgb(155, 127, 14)',
				borderColor: 'rgba(155, 127, 14, 1)',
				borderWidth: 12
			},
			areaStyle: {
			},
			data: []
		}, {
			name: "下行速率",
			type:'line',
			stack: '总量',
			smooth:true,
			symbol: 'circle',
			sampling: 'average',
			showSymbol: false,
			lineStyle: {
				normal: {
					width: 1
				}
			},
			itemStyle: {
				borderColor: 'rgba(155, 127, 14, 1)',
				borderWidth: 12
			},
			areaStyle: {
			},
			data: []
		}]
	};

	option.series[0].data = json.up;
	option.series[1].data = json.down;
	_apptrend_chart.setOption(option);
}

function getbytepie()
{
	showloading("bytepie", 10);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'bytepie'},
		dataType: 'json',
		success: function(json) {
			bytepie_graph(json);
		}
	})
}

function bytepie_graph(data)
{
	var dom = document.getElementById("bytepie");
	var _bytepie_chart = echarts.init(dom, 'macarons');

	var allbyte = 0, allflow = 0;
	data.byte.forEach(function(value, i){
		allbyte += value.value;
	});
	data.flow.forEach(function(value, i){
		allflow += value.value;
	});

	option = {
		backgroundColor: '#1c1c1c',
		grid: {
			top: '0',
		},
		tooltip: {
			show: true,
			trigger: 'item',
			textStyle: {
				fontSize: 8
			},
			formatter: function(params, ticket, callback) {
				var n = params.name, v = params.value, p = params.percent;
				return n + '<br/>' + params.seriesName + numberformats(v) + '<br/>占比:('+p+'%)'
			}
		},
		legend: {
			show:true,
			orient: 'horizontal',
			//orient: 'vertical',
			itemWidth:10,
			itemHeight:10,
			left:0,
			bottom:0,
			itemGap: 0,
			textStyle: {
				fontSize: 8,
				color: '#ddd'
			},
			formatter: function(name) {
				var index = 0, vbyte, vflow;
				data.byte.forEach(function(value, i){
					if (name == value.name) {
						index = i;
						vbyte = value.value
					}
				});
				data.flow.forEach(function(value, i){
					if (name == value.name) {
						index = i;
						vflow = value.value
					}
				});

				if (allbyte == 0) 
					return name;
				else
					return name + ""+(vbyte / allbyte * 100).toFixed(2)+"%";
			},
		},
		series: [{
			type: 'pie',
			name: '流量',
			radius: ['0%', '30%'],
			center:['50%', '32%'],
			label: {
				normal: {
					show: false,
					//position: 'inner',
					formatter: '{b}',
					textStyle: {
						color: '#ddd',
						fontSize: 8
					}
				}
			},
			labelLine: {
				normal: {
					smooth: true,
					show:false 
				}
			},
			data: data.byte 
		}, {
			type: 'pie',
			name: '连接数',
			radius: ['40%', '55%'],
			center:['50%', '32%'],
			label: {
				normal: {
					show: false,
					//position: 'inner',
					formatter: '{b}',
					textStyle: {
						color: '#ddd',
						fontSize: 8
					}
				}
			},
			labelLine: {
				normal: {
					smooth: true,
					show:false 
				}
			},
			data: data.flow
		}]
	};

	_bytepie_chart.setOption(option);
}

function getflowpie()
{
	showloading("flowpie", 10);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'flowpie'},
		dataType: 'json',
		success: function(json) {
			flowpie_graph(json.rows);
		}
	})
}

function flowpie_graph(data)
{
	var dom = document.getElementById("flowpie");
	var _flowpie_chart = echarts.init(dom, 'macarons');

	option = {
		backgroundColor: '#1c1c1c',
		grid: {
			top: '0',
		},
		tooltip: {
			show: true,
			trigger: 'item',
			textStyle: {
				fontSize: 8
			},
			formatter: function(params, ticket, callback) {
				var n = params.name, v = params.value, p = params.percent;
				return n + '<br/>' + '总流量:' + numberformats(v) + '<br/>占比:('+p+'%)'
			}
		},
		legend: {
			show:true,
			orient: 'horizontal',
			itemWidth:10,
			itemHeight:10,
			bottom: '0',
			itemGap: 5,
			textStyle: {
				fontSize: 8,
				color: '#ddd'
			},
		},
		series: [{
			type: 'pie',
			radius: ['30%', '50%'],
			center:['50%', '32%'],
			label: {
				normal: {
					show: false,
					//position: 'inner',
					formatter: '{b}',
					textStyle: {
						color: '#ddd',
						fontSize: 8
					}
				}
			},
			labelLine: {
				normal: {
					smooth: true,
					show:false 
				}
			},
			data: data
		}]
	};

	_flowpie_chart.setOption(option);
}

function applist()
{
	showloading("topapp", 10);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'applist'},
		dataType: 'json',
		success: function(json) {
			applist_update(json);
		}
	})
}

function applist_update(json)
{
	var maxflow = 0;
	for (i = 0; i < json.rows.length; i++) {
		if (json.rows[i].flow > maxflow)
			maxflow = json.rows[i].flow;
	}

	var yup = [], ydown = [], yflow = [], x = [];
	var len = json.rows.length;
	for (i = 0; i < len; i++) {
		x.push(json.rows[i].cname);
		yup.push({value: json.rows[i].up});
		ydown.push({value: json.rows[i].down});
		yflow.push({value: json.rows[i].flow});
	}

	var dom = document.getElementById("topapp");
	var _applistchart = echarts.init(dom, 'macarons');

	option = {
		backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8,
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		legend: {
			show:true,
			orient: 'horizontal',
			right: '0',
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
				color: '#ddd'
			},
		},
		grid: {
			borderWidth: 0,
			top: 20,
			left:40,
			right:35,
			bottom: 60,
			textStyle: {
				color: "#ddd",
			}
		},
		xAxis: [{
			type: "category",
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8
				}
			},
			splitLine: {
				show: false 
			},
			axisTick: {
				show: false
			},
			splitArea: {
				show: false
			},
			axisLabel: {
				interval: 0,
				rotate: 65,
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			data: x,
		}],
		yAxis: [{
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false
			},
			axisLine: {
				show: false,
				lineStyle: {
					//color: '#ddd'
				}
			},
			axisTick: {
				show: false
			},
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			splitArea: {
				show: false
			},
			position: 'left',
			min: 0,
		}, {
            		type: 'value',
            		scale: true,
            		boundaryGap: [0.2, 0.2],
			min: 0,
			max: maxflow,
			splitLine: {
				show: false,
			},
			axisLine: {
				show: false,
				lineStyle: {
					color: '#666'
				}
			},
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					color: "#ddd",
					fontSize: 8
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			position: 'right',
		}],
		series: [{
			name: "连接数",
			type: "line",
			stack: "总量",
			symbolSize:10,
			yAxisIndex: 1,
		       	symbol:'none',
			smooth: true,
			itemStyle: {
				normal: {
					//color: 'rgb(155, 127, 14)',
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yflow,
		},
		{
			name: "上行流量",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			itemStyle: {
				normal: {
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yup,
		},
		{
			name: "下行流量",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			//barGap: "10%",
			itemStyle: {
				normal: {
					//color: "rgba(0,191,183,1)",
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: ydown,
		}]
	}
	
	_applistchart.setOption(option);
}

function getyyspie()
{
	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'yyspie'},
		dataType: 'json',
		success: function(json) {
			yyspie_graph(json.rows);
		}
	})
}

function yyspie_graph(data)
{
	var dom = document.getElementById("yyspie");
	var _yyspie_chart = echarts.init(dom, 'macarons');

	var allbyte = 0, allflow = 0;
	data.forEach(function(value, i){
		allbyte += value.value;
	});

	option = {
		backgroundColor: '#1c1c1c',
		grid: {
			top: '0',
		},
		tooltip: {
			show: true,
			trigger: 'item',
			textStyle: {
				fontSize: 8
			},
			formatter: function(params, ticket, callback) {
				var n = params.name, v = params.value, p = params.percent;
				return n + '<br/>' + '总流量:' + numberformats(v) + '<br/>占比:('+p+'%)'
			}
		},
		legend: {
			show:true,
			orient: 'horizontal',
			itemWidth:10,
			bottom: '0',
			itemGap: 5,
			x: 'center',
			itemHeight:10,
			textStyle: {
				fontSize: 8,
				color: '#ddd'
			},
			formatter: function(name) {
				var index = 0, vbyte;
				data.forEach(function(value, i){
					if (name == value.name) {
						index = i;
						vbyte = value.value
					}
				});
				if (allbyte == 0) 
					return name;
				else
					return name + ""+(vbyte / allbyte * 100).toFixed(2)+"%";
			},
		},
		series: [{
			type: 'pie',
			radius: ['30%', '60%'],
			center:['50%', '37%'],
			label: {
				normal: {
					show: false,
					//position: 'inner',
					formatter: '{b}',
					textStyle: {
						color: '#ddd',
						fontSize: 8
					}
				}
			},
			labelLine: {
				normal: {
					smooth: true,
					show:false 
				}
			},
			data: data
		}]
	};

	_yyspie_chart.setOption(option);
}

function getworldmap()
{
	showloading("worldmap", 15);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'worldmap'},
		dataType: 'json',
		success: function(json) {
			worldmap(json.rows);
		}
	});
}

var _todst = '北京';
function worldmap(data)
{
	var dom = document.getElementById("worldmap");
	var mychart = echarts.init(dom, "macarons");

	var mapname = 'china';
	var geoCoordMap = new Array();
	var mapFeatures = echarts.getMap(mapname).geoJson.features;
	mapFeatures.forEach(function(v) {
		var name = v.properties.name;
		geoCoordMap[name] = v.properties.cp;
	});

	var max = 5000;
	var convertData = function(data) {
		var res = [];
		for (var i = 0; i < data.length; i++) {
			var item = data[i];
			if (item.value > max)
				max = item.value;

			var fromcoord = geoCoordMap[item.name];
			var tocoord = geoCoordMap[_todst];
			if (fromcoord && tocoord) {
				res.push([{coord: fromcoord, value: item.value}, {coord: tocoord}]);
			}
		}
		return res;
	};

	var convertData1 = function(data) {
		var res = [];
		for (var i = 0; i < data.length; i++) {
			var item = data[i];
			var fromcoord = geoCoordMap[_todst];
			var tocoord = geoCoordMap[item.name];
			if (fromcoord && tocoord) {
				res.push([{coord: fromcoord, value: item.value}, {coord: tocoord}]);
			}
		}
		return res;
	};


	var color = ['#a6c84c', '#ffa022', '#46bee9'];
    	var series = [];
    	[
    		[_todst, data]
    	].forEach(function(item, i) {
		series.push(
			{
    				type: 'lines',
    				zlevel: 2,
    				effect: {
    					show: true,
    					period: 4, //箭头指向速度，值越小速度越快
    					trailLength: 0.02, //特效尾迹长度[0,1]值越大，尾迹越长重
    					symbol: 'arrow', //箭头图标
    					symbolSize: 5, //图标大小
    				},
    				lineStyle: {
    					normal: {
    						width: 1, //尾迹线条宽度
    						opacity: 0, //尾迹线条透明度
    						curveness: .3 //尾迹线条曲直度
    					}
    				},
    				data: convertData1(item[1])
			}, 
			{
    				type: 'lines',
    				zlevel: 2,
    				effect: {
    					show: true,
    					period: 4, //箭头指向速度，值越小速度越快
    					trailLength: 0.02, //特效尾迹长度[0,1]值越大，尾迹越长重
    					symbol: 'arrow', //箭头图标
    					symbolSize: 5, //图标大小
    				},
    				lineStyle: {
    					normal: {
    						width: 1, //尾迹线条宽度
    						opacity: 0, //尾迹线条透明度
    						curveness: .3 //尾迹线条曲直度
    					}
    				},
    				data: convertData(item[1])
			}, 
			{
    				type: 'effectScatter',
    				coordinateSystem: 'geo',
    				zlevel: 2,
    				rippleEffect: { //涟漪特效
    					period: 4, //动画时间，值越小速度越快
    					brushType: 'stroke', //波纹绘制方式 stroke, fill
    					scale: 40 //波纹圆环最大限制，值越大波纹越大
    				},
    				label: {
    					normal: {
    						show: true,
    						position: 'right', //显示位置
    						offset: [5, 0], //偏移设置
    						formatter: function(params){//圆环显示文字
    							return params.name;
    						},
    						fontSize: 8
    					},
    					emphasis: {
    						show: true
    					}
    				},
    				symbol: 'circle',
    				symbolSize: function(val) {
    					return 2 + val; //圆环大小
    				},
    				itemStyle: {
    					normal: {
    						show: true,
    						color: '#f00'
    					}
    				},
    				data: item[1].map(function(dataItem) {
					var c = [];
					var a = geoCoordMap[dataItem.name];
					for (i = 0; i < a.length; i++) {
						c.push(a[i]);
					}
					c.push(dataItem.value);
    					return {
    						name: dataItem.name,
    						value: c
    					};
    				}),
    			},
    			//被攻击点
    			{
    				type: 'scatter',
    				coordinateSystem: 'geo',
    				zlevel: 2,
    				rippleEffect: {
    					period: 4,
    					brushType: 'stroke',
    					scale: 4
    				},
    				label: {
    					normal: {
    						show: true,
    						position: 'right',
    						//offset:[5, 0],
    						color: '#00eaff',
    						formatter: '{b}',
    						textStyle: {
    							color: "#00eaff"
    						}
    					},
    					emphasis: {
    						show: true
    					}
    				},
    				symbol: 'pin',
    				symbolSize: 40,
    				itemStyle: {
    					normal: {
    						show: true,
    						color: '#0ff'
    					}
    				},
    				data: [{
    					name: item[0],
    					value: 500,
    				}],
    			}
    		);
    	});

	option = {
    		tooltip: {
    			trigger: 'item',
    			//backgroundColor: '#000', //rgba(12, 204, 104, 0.92)
    			//borderColor: '#FFFFCC',
    			showDelay: 0,
    			hideDelay: 0,
    			//enterable: true,
    			//transitionDuration: 0,
    			//extraCssText: 'z-index:100',
			textStyle: {
				fontSize: 8
			},
    			formatter: function(params, ticket, callback) {
    				var res = "";
    				var value = params.value;
    				res = value;
    				return res;
    			}
    		},
    		backgroundColor:"#1c1c1c",
    		visualMap: {
			show: true,
    			min: 0,
    			max: max,
    			calculable: true,
    			color: ['#DC0808', '#f44336', '#fc9700', '#ffde00', '#ffde00', '#00eaff'],
    			textStyle: {
    				color: '#fff'
    			}
    		},
    		geo: {
    			map: mapname,
    			zoom: 1,
    			label: {
    				emphasis: {
    					show: false
    				}
    			},
    			roam: true, //是否允许缩放
    			layoutCenter: ['50%', '50%'], //地图位置
    			layoutSize: "135%",
    			itemStyle: {
    				normal: {
    					color: '#1c1c1c', //地图背景色
    					borderColor: '#61A0A8', //省市边界线
    					borderWidth: 1
    				},
    				emphasis: {
    					color: 'rgba(37, 43, 61, .5)' //悬浮背景
    				}
    			}
    		},
    		series: series
    	};

	mychart.setOption(option);

	mychart.off("click");
	mychart.on('click', function (params) {
		if (!confirm("确定要设置\""+params.name+"\"为中心点吗"))
			return false;

		worldmap_settodst(params.name);
		_todst = params.name;

		getworldmap();
	});
}

function worldmap_settodst(dstname)
{
	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'settodst', dstname: dstname},
		dataType: 'json',
		success: function(json) {
		}
	})
}

function worldmap_gettodst()
{
	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'gettodst'},
		success: function(json) {
			if (json != "0" && json != "")
				_todst = json;

			getworldmap();
		}
	})
}

function getflowtrend()
{
	showloading("flowtrend", 30);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'apptrend'},
		dataType: 'json',
		success: function(json) {
			flowtrend_graph(json);
		}
	})
}

function flowtrend_graph(json)
{
	var dom = document.getElementById("flowtrend");
	var _flowtrend_chart = echarts.init(dom, 'macarons');
	var fontfamily = "微软雅黑";
	var fontsize = 12;

	option = {
		tooltip: {
			trigger: 'axis',
			textStyle: {
				fontSize: 8
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (i = 0; i < params.length; i++)
					htm += '<br/>' + params[i].seriesName + ':' + numberformats(params[i].value);
				return htm;
			}
		},
		title: {
			text: null,
			left: '1%',
			top:0,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			splitLine: {
				show: false 
			},
			axisLabel: {
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: json.xdate
		},
		legend: {
			show: true,
			right: '0',
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
				color: '#ddd'
			},
		},
		grid: {
			left: '35',
			top: '15',
			right:'5',
			bottom:'25'
		},
		yAxis: {
			type: 'value',
			minInterval: 1,
			name: null,
			nameLocation: 'end',
			splitLine: {
				show: false 
			},
			nameTextStyle: {
				fontSize: 8,
				color: '#ddd',
				fontFamily: 'Microsoft YaHei'
			},
			axisLine: {
				show: false,
			},
			axisLabel: {
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			}
		},
		series: [{
			name: "连接数",
			type:'line',
			smooth:true,
			symbol: 'circle',
			sampling: 'average',
			showSymbol: false,
			lineStyle: {
				normal: {
					width: 1
				}
			},
			itemStyle: {
				//color: 'rgb(155, 127, 14)',
				borderColor: 'rgba(155, 127, 14, 1)',
				borderWidth: 12
			},
			areaStyle: {
			},
			data: []
		}]
	};

	option.series[0].data = json.flow;
	_flowtrend_chart.setOption(option);
}

function topdns()
{
	showloading("topdns", 10);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'topdns'},
		dataType: 'json',
		success: function(json) {
			topdns_update(json);
		}
	})
}

function topdns_update(json)
{
	var ycount = [], x = [];
	var len = json.rows.length;
	for (i = 0; i < len; i++) {
		x.push(json.rows[i].ipaddr);
		ycount.push({value: json.rows[i].count});
	}

	var dom = document.getElementById("topdns");
	var _dnschart = echarts.init(dom, 'macarons');

	option = {
		backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		grid: {
			borderWidth: 0,
			top: 10,
			left:50,
			bottom: 60,
			textStyle: {
				color: "#ddd",
			}
		},
		xAxis: {
			type: "category",
			splitLine: {
				show: false,
			},
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8
				}
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: x
		},
		yAxis: {
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false,
			},
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			axisLine: {
				show: false,
				lineStyle: {
					//color: '#ddd'
				}
			},
		},
		series: [{
			name: "访问量",
			type: "bar",
			barWidth: '15',
			label: {
				normal: {
					show: false,
					position: 'inside'
				},
			},
			itemStyle: {
				normal: {
					color: function(params) {
						var colorlist = ["#3BC1C4", "#B6A2DE", "#5AB1EF", "#F38003", "#0287EE", "#90ed7d",
							"#f7a35c", "#8085e9", "#f15c80", "#e4d354", "#2b908f", "#C0C749"];
					       	return colorlist[params.dataIndex];
					},
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: ycount
		}]
	}
	
	_dnschart.setOption(option);
}

function tophost()
{
	showloading("tophost", 10);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'tophost'},
		dataType: 'json',
		success: function(json) {
			tophost_update(json);
		}
	})
}

function tophost_update(json)
{
	var ycount = [], x = [];
	var len = json.rows.length;
	for (i = 0; i < len; i++) {
		x.push(json.rows[i].host);
		ycount.push({value: json.rows[i].flow});
	}

	var dom = document.getElementById("tophost");
	var _tophostchart = echarts.init(dom, 'macarons');

	option = {
		backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		grid: {
			borderWidth: 0,
			top: 10,
			left:50,
			bottom: 80,
			textStyle: {
				color: "#ddd",
			}
		},
		xAxis: {
			type: "category",
			splitLine: {
				show: false,
			},
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8
				}
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: x
		},
		yAxis: {
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false,
			},
			minInterval: 1,
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			axisLine: {
				show: false,
				lineStyle: {
					//color: '#ddd'
				}
			},
		},
		series: [{
			name: "访问量",
			type: "bar",
			barWidth: '15',
			label: {
				normal: {
					show: false,
					position: 'inside'
				},
			},
			itemStyle: {
				normal: {
					color: function(params) {
						var colorlist = ["#3BC1C4", "#B6A2DE", "#5AB1EF", "#F38003", "#0287EE", "#90ed7d",
							"#f7a35c", "#8085e9", "#f15c80", "#e4d354", "#2b908f", "#C0C749"];
					       	return colorlist[params.dataIndex];
					},
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: ycount
		}]
	}
	
	_tophostchart.setOption(option);
}

function synack(render)
{
	showloading(render, 10);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: render},
		dataType: 'json',
		success: function(json) {
			synack_update(json, render);
		}
	})
}

function synack_update(json, render)
{
	var ycount = [], x = [];
	var len = json.rows.length;
	for (i = 0; i < len; i++) {
		x.push(json.rows[i].ipaddr);
		ycount.push({value: json.rows[i].flow});
	}

	var dom = document.getElementById(render);
	var _synacksrcchart = echarts.init(dom, 'macarons');

	option = {
		backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		grid: {
			borderWidth: 0,
			top: 10,
			left:50,
			bottom:55,
			textStyle: {
				color: "#ddd",
			}
		},
		xAxis: {
			type: "category",
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8
				}
			},
			splitLine: {
				show: false,
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: x
		},
		yAxis: {
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false,
			},
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			axisLine: {
				show: false,
				lineStyle: {
					//color: '#ddd'
				}
			},
		},
		series: [
		{
			name: "访问量",
			type: "bar",
			barWidth: '15',
			label: {
				normal: {
					show: false,
					position: 'inside'
				},
			},
			itemStyle: {
				normal: {
					color: function(params) {
						var colorlist = ["#3BC1C4", "#B6A2DE", "#5AB1EF", "#F38003", "#0287EE", "#90ed7d",
							"#f7a35c", "#8085e9", "#f15c80", "#e4d354", "#2b908f", "#C0C749"];
					       	return colorlist[params.dataIndex];
					},
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: ycount
		}]
	}
	
	_synacksrcchart.setOption(option);
}

function dnssrc()
{
	showloading("dnssrc", 10);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'dnssrc'},
		dataType: 'json',
		success: function(json) {
			dnssrc_update(json);
		}
	})
}

function dnssrc_update(json)
{
	var ycount = [], x = [];
	var len = json.rows.length;
	for (i = 0; i < len; i++) {
		x.push(json.rows[i].ipaddr);
		ycount.push({value: json.rows[i].flow});
	}

	var dom = document.getElementById("dnssrc");
	var _dnssrcchart = echarts.init(dom, 'macarons');

	option = {
		backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		grid: {
			borderWidth: 0,
			top: 10,
			left:50,
			bottom: 50,
			textStyle: {
				color: "#ddd",
			}
		},
		xAxis: {
			type: "category",
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8
				}
			},
			splitLine: {
				show: false,
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: x
		},
		yAxis: {
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false,
			},
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			axisLine: {
				show: false,
				lineStyle: {
					//color: '#ddd'
				}
			},
		},
		series: [{
			name: "访问量",
			type: "bar",
			barWidth: '15',
			label: {
				normal: {
					show: false,
					position: 'inside'
				},
			},
			itemStyle: {
				normal: {
					color: function(params) {
						var colorlist = ["#3BC1C4", "#B6A2DE", "#5AB1EF", "#F38003", "#0287EE", "#90ed7d",
							"#f7a35c", "#8085e9", "#f15c80", "#e4d354", "#2b908f", "#C0C749"];
					       	return colorlist[params.dataIndex];
					},
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: ycount
		}]
	}
	
	_dnssrcchart.setOption(option);
}

function getlogcount()
{
	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'getlogcount'},
		success: function(data) {
			$("#lognum").text(data);
			setTimeout(getlogcount, 1000);
		}
	})
}

function filedownload()
{
	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'filedownload'},
		dataType: 'json',
		success: function(json) {
			var list = document.getElementById("filelist");
			while (list.rows.length > 0)
				list.deleteRow(0);
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				obj = list.insertRow(-1);

				var pos = 0;
				cell = obj.insertCell(pos++);
				cell.innerHTML = r.fname;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "right");
				cell.setAttribute("width", "100px");
				cell.setAttribute("height", '15px');
				cell.innerHTML = r.count + '次';
			}
		}
	})
}

function newdomain()
{
	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'newdomain'},
		dataType: 'json',
		success: function(json) {
			newdomain_update(json);
		}
	})
}

function newdomain_update(json)
{
	var datalist = [{
		offset: [20, 60],
		symbolSize: 90,
		opacity: .95,
		color: '#f467ce'
	}, {
		offset: [55, 80],
		symbolSize: 45,
		opacity: .88,
		color: '#7aabe2'
	}, {
		offset: [85, 63],
		symbolSize: 40,
		opacity: .84,
		color: '#ff7123'
	}, {
		offset: [83, 30],
		symbolSize: 35,
		opacity: .8,
		color: '#ffc400'
	}, {
		offset: [36, 10],
		symbolSize: 30,
		opacity: .75,
		color: '#5e333f'
	}];

	var datas = [];
	for (var i = 0; i < json.rows.length; i++) {
		var item = json.rows[i];
		var itemToStyle = datalist[i];
		datas.push({
			name: item.num + '\n' + item.host,
			value: itemToStyle.offset,
			symbolSize: itemToStyle.symbolSize,
			label: {
				normal: {
					textStyle: {
						fontSize: 8
					}
				}
			},
			itemStyle: {
				normal: {
					color: itemToStyle.color,
					opacity: itemToStyle.opacity
				}
			},
	       	})
	}

	option = {
    		grid: {
        		show: false,
        		top: 10,
        		bottom: 10
    		},
    		xAxis: [{
        		gridIndex: 0,
        		type: 'value',
        		show: false,
        		min: 0,
        		max: 100,
        		nameLocation: 'middle',
        		nameGap: 5
    		}],
    		yAxis: [{
        		gridIndex: 0,
        		min: 0,
        		show: false,
        		max: 100,
        		nameLocation: 'middle',
        		nameGap: 30
    		}],
    		series: [{
        		type: 'scatter',
        		symbol: 'circle',
        		symbolSize: 120,
        		label: {
            			normal: {
                			show: true,
                			formatter: '{b}',
                			color: '#fff',
                			textStyle: {
                    				fontSize: '8'
                			}
            			},
        		},
        		itemStyle: {
            			normal: {
                			color: '#00acea'
            			}
        		},
        		data: datas
    		}]
	}
	
	var dom = document.getElementById("newdomains");
	var ndomainchart = echarts.init(dom, 'macarons');
	ndomainchart.setOption(option);
}

function unknown_port(render)
{
	showloading(render, 10);

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: render},
		dataType: 'json',
		success: function(json) {
			unknown_port_update(json, render);
		}
	})
}

function unknown_port_update(json, render)
{
	var ycount = [], x = [];
	var len = json.rows.length;
	for (i = 0; i < len; i++) {
		x.push(json.rows[i].port);
		ycount.push({value: json.rows[i].num});
	}

	var dom = document.getElementById(render);
	var portchart = echarts.init(dom, 'macarons');

	option = {
		backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		grid: {
			borderWidth: 0,
			top: 10,
			left:50,
			bottom:30,
			textStyle: {
				color: "#ddd",
			}
		},
		xAxis: {
			type: "value",
			minInterval: 1,
			axisLine: {
				show: false,
				lineStyle: {
					//color: "#ddd",
					fontSize: 8,
				}
			},
			splitLine: {
				show: false,
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			data: x
		},
		yAxis: {
			type: "category",
			data: x,
			splitLine: {
				show: false,
			},
			axisLabel: {
				interval: 0,
				color: '#ddd',
				textStyle: {
					fontSize: 8,
					color: '#ddd'
				}
			},
			axisLine: {
				show: true,
				lineStyle: {
					color: '#2c2c2c'
				}
			},
		},
		series: [
		{
			name: "访问量",
			type: "bar",
			barWidth: '15',
			label: {
				normal: {
					show: false,
					position: 'inside'
				},
			},
			itemStyle: {
				normal: {
					color: function(params) {
						var colorlist = ["#3BC1C4", "#B6A2DE", "#5AB1EF", "#F38003", "#0287EE", "#90ed7d",
							"#f7a35c", "#8085e9", "#f15c80", "#e4d354", "#2b908f", "#C0C749"];
					       	return colorlist[params.dataIndex];
					},
					label: {
						show: false,
						textStyle: {
							color: "#ddd"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: ycount
		}]
	}
	
	portchart.setOption(option);
}

getlogcount();

gettitle();

ipcount();
mobile_num();
account();
iplist();
getapptrend();
getbytepie();
applist();
getyyspie();
getflowtrend();
tophost();

setInterval(function(){
	ipcount();
	setTimeout(account, 5000);
	setTimeout(mobile_num, 10000);
	setTimeout(iplist, 15000);
	setTimeout(getapptrend, 20000);
	setTimeout(getbytepie, 25000);
	setTimeout(applist, 40000);
	setTimeout(getyyspie, 45000);
	setTimeout(getflowtrend, 55000);
	setTimeout(tophost, 5000);
}, 30000);

$("body").keydown(function(){settitle()});
function settitle()
{
	var ev = window.event || arguments.callee.caller.arguments[0];
	var th = ev.keyCode || ev.whick;
	if (th == 13)
		settitle_submit();
	else 
		return false;
}

function settitle_submit()
{
	var title = $("#dashboard_title").val();

	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'settitle', title: title},
		dataType: 'json',
		success: function(json) {
			$("#dashboard_title").blur();
		}
	})
}

function gettitle()
{
	$.ajax({
		url: 'ajax_databoard.php',
		type: 'post',
		data: {action: 'gettitle'},
		success: function(data) {
			if (data != "0") 
				$("#dashboard_title").val(data);
		}
	})
}
</script>
</body>
</html>
