<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
var _json = "";
var starttime, endtime, devid;

function handle(sort)
{
	devid = getdevice();
	var start = $("#start").val();
	var end = $("#end").val();
	starttime = start + ' 0:0:0';
	endtime = end + ' 23:59:59';
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'country_topn', devid: devid, starttime:starttime, endtime:endtime, errname:errname, sort:sort},
		type:'post',
		dataType:'json',
		success:function(json) {
			_json = json;
			cluster_load_hide();
			data_update(json.rows);
		}
	});
}

function filter_handle()
{
	var a = [], data = [];

	if (_json == "")
		return;

	$("[name='ctysel']").each(function(){
		if ($(this).attr("checked"))
			a.push($(this).val());
	});

	for (i = 0; i < _json.rows.length; i++) {
		r = _json.rows[i];

		fd = 0;
		for (j = 0; j < a.length; j++) {
			if (r.cname == a[j]) {
				fd = 1;
				break;
			}
		}

		if (!fd)
			data.push(r);
	}

	data_update(data);
}

function compute_handle()
{
	var a = [], data = [];

	if (_json == "")
		return;

	$("[name='ctysel']").each(function(){
		if ($(this).attr("checked"))
			a.push($(this).val());
	});

	if (a.length == 0) {
		alert("请选择要统计的数据项");
		return;
	}

	for (i = 0; i < _json.rows.length; i++) {
		r = _json.rows[i];

		fd = 0;
		for (j = 0; j < a.length; j++) {
			if (r.cname == a[j]) {
				fd = 1;
				break;
			}
		}

		if (fd)
			data.push(r);
	}

	data_update(data);
}

function data_update(json)
{
	var list = document.getElementById("country-info");
	while (list.rows.length > 1)
		list.deleteRow(1);

	var t_flowcnt = 0, t_up = 0, t_down = 0;
	for (i = 0; i < json.length; i++) {
		r = json[i];
		if (r.cname == "total")
			continue;
		t_flowcnt += r.flowcnt;
		t_up += r.up;
		t_down += r.down;
	}

	for (i = 0; i < json.length; i++) {
		r = json[i];
		if (r.cname == "total")
			continue;

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = '<input type="checkbox" value="'+r.cname+'" name="ctysel" />';

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = (i + 1);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.cname;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");

		var perc = ((r.flowcnt / t_flowcnt) * 100).toFixed(2);
		var htm = '<div style="position:relative;height:100%;width:'+perc+'%; background:#f5ed8b;">'+
			'<div style="position:absolute;right:0;height:100%;width:200px;">'+r.flowcnt+'/'+perc+'%</div></div>';
		cell.innerHTML = htm;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		perc = ((r.up / t_up) * 100).toFixed(2);
		htm = '<div style="position:relative;height:100%;width:'+perc+'%; background:#f5ed8b;">'+
			'<div style="position:absolute;right:0;height:100%;width:200px;">'+numberformats(r.up)+'/'+perc+'%</div></div>';
		cell.innerHTML = htm; 

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		perc = ((r.down / t_down) * 100).toFixed(2);
		htm = '<div style="position:relative;height:100%;width:'+perc+'%; background:#f5ed8b;">'+
			'<div style="position:absolute;right:0;height:100%;width:200px;">'+numberformats(r.down)+'/'+perc+'%</div></div>';
		cell.innerHTML = htm; 

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		perc = (((r.down+r.up) / (t_down+t_up)) * 100).toFixed(2);
		htm = '<div style="position:relative;height:100%;width:'+perc+'%; background:#f5ed8b;">'+
			'<div style="position:absolute;right:0;height:100%;width:200px;">'+numberformats(r.up+r.down)+'/'+perc+'%</div></div>';
		cell.innerHTML = htm; 
	}
}
</script>
</head>
<body>
<div class="outer">
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 86400;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="btn-extend-color" onclick="handle('flow')">查询</a>
			</li>
			<li>
				<a class="btn-extend-blue" onclick="filter_handle()">排除选择项</a>
				<a class="btn-extend-blue" onclick="compute_handle()">统计选择项</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table style="width:100%;" cellspacing=0 cellpadding=0 id="country-info">
			<tr>
				<th class="txt-center" width="30px"></th>
				<th class="txt-center" width="30px">序号</th>
				<th class="txt-left" width="150px">区域名称</th>
				<th class="txt-right"><a href="javascript:handle('flow')">连接数</a></th>
				<th class="txt-right"><a href="javascript:handle('up')">上行流量(Byte)</a></th>
				<th class="txt-right"><a href="javascript:handle('down')">下行流量(Byte)</a></th>
				<th class="txt-right"><a href="javascript:handle('total')">总流量(Byte)</a></th>
			</tr>
		</table>
       	</div>
</div>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>
