<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js?a"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript" src="../js/china.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">	
function beforesubmit()
{
	return true;
}

function urlflow_check()
{
	var topn = 0;
	var appid = -1;
	var arr = [];
	var devid = 0;

	devid = getdevice();	
	
	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	sort = 'all';
	
	$(".outer-yys").show();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'session_app_top',
			devid: devid,
			sort: sort, 
			topn:topn, 
			appid:appid, 
			starttime:starttime, 
			endtime:endtime, 
			errname:errname},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			
			if (json.yn && json.yn == "no") {
				alert(json.str);
				return false;
			}
			
			yyspie(json, starttime, endtime);
			yysflow_graph(json, starttime, endtime, '运营商流量TOP图', 'yyscolumn');
			yysapp_graph(json);
			flowmap_check();
		}
	});
}

function urlflow_data_update(data, starttime, endtime)
{
    var r, s;
    var len = data.yy_rows.length;
    var trobj = $(".outer-yys .topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj;
    var href;
    var trbg = '';

    for (i = 0; i < len; i++){
        r = data.yy_rows[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';
			
		detail = '<a href="javascript:yys_detail(\''+starttime+'\', \''+
			endtime+'\', '+r.yys+', \''+r.cname+'\', -1)">协议详细</a>';

        if (trobj.eq(i+1).length > 0) {
            tdobj = trobj.eq(i+1).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(r.cname);
            tdobj.eq(2).html(numberformats(r.upbytes));
            tdobj.eq(3).text(numberformats(r.downbytes));
            tdobj.eq(4).text(numberformats(r.upbytes+ r.downbytes));
			tdobj.eq(5).html(detail);
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="td-left-first">'+ (i+1)+'</td>'+
                '<td class="td-normal">'+ r.cname+'</td>'+
                '<td class="td-normal">'+ numberformats(r.upbytes)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.downbytes)+'</td>'+
                '<td class="td-left-last">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
				'<td class="td-left-last">'+detail+'</td>'+
                '</tr>';
            $(s).appendTo(".outer-yys .topapp-list-table table tbody");
        }
    }
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function yys_detail_update(data)
{
    var r, s;
    var len = data.rows.length;
    var trobj = $(".yys-detail .topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj;
    var href;
    var trbg = '';

    for (i = 0; i < len; i++){
        r = data.rows[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';

        if (trobj.eq(i+2).length > 0){
            tdobj = trobj.eq(i+2).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(r.cname);
            tdobj.eq(2).html(numberformats(r.upbytes));
            tdobj.eq(3).text(numberformats(r.downbytes));
            tdobj.eq(4).text(numberformats(r.upbytes+r.downbytes));
            tdobj.eq(5).html(numberformats(r.upbytes_dx));
            tdobj.eq(6).html(numberformats(r.downbytes_dx));
            tdobj.eq(7).html(numberformats(r.upbytes_dx+r.downbytes_dx));
            tdobj.eq(8).html(numberformats(r.upbytes_yd));
            tdobj.eq(9).html(numberformats(r.downbytes_yd));
            tdobj.eq(10).html(numberformats(r.upbytes_yd+r.downbytes_yd));
            tdobj.eq(11).html(numberformats(r.upbytes_lt));
            tdobj.eq(12).html(numberformats(r.downbytes_lt));
            tdobj.eq(13).html(numberformats(r.upbytes_lt+r.downbytes_lt));
            tdobj.eq(14).html(numberformats(r.upbytes_tt));
            tdobj.eq(15).html(numberformats(r.downbytes_tt));
            tdobj.eq(16).html(numberformats(r.upbytes_tt+r.downbytes_tt));
            tdobj.eq(17).html(numberformats(r.upbytes_qt));
            tdobj.eq(18).html(numberformats(r.downbytes_qt));
            tdobj.eq(19).html(numberformats(r.upbytes_qt+r.downbytes_qt));
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="td-left-first">'+ (i+1)+'</td>'+
                '<td class="td-normal">'+ r.cname+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes)+'</td>'+
                '<td class="td-left-last" align="right">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_dx)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_dx)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_dx+r.downbytes_dx)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_yd)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_yd)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_yd+r.downbytes_yd)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_lt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_lt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_lt+r.downbytes_lt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_tt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_tt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_tt+r.downbytes_tt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_qt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_qt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_qt+r.downbytes_qt)+'</td>'+
                '</tr>';
            $(s).appendTo(".yys-detail .topapp-list-table table");
        }
    }
    for (i = trlen-1; i >= len+2; i--) trobj.eq(i).remove();
}

function yysapp_graph(json)
{
	var option = {
		chart: {
			renderTo: "yysapp_graph",
			defaultSeriesType: "column",
			/*
			backgroundColor: {
				linearGradient: [0, 0, 0, 300],
				stops: [
					[0, 'rgb(255, 255, 255)'],
					[1, '#a4ccf1']
				]
			}
			 */
		},
		title: {
			text: '运营商协议流量TOP图',
			style:{font: '微软雅黑', fontSize:'10px', color:'#666', fontWeight:'bold'}
		},
		xAxis: {
			categories: [],
			title: { text: null },
			style:{font: 'Arial', fontSize:'10px', color:'#000'},
			labels:{
				rotation:-45,
				align:'right',
				style:{font: 'Arial', fontSize:'10px', color:'#000'}
			}
		},
		yAxis: {
			min: 0,
			title: {
				text: 'byte'
			}
		},
		tooltip: {
			formatter: function() {
				return '<b>' + this.x + '</b><br/>' + this.series.name + ': ' + numberformats(this.y) + '<br/>' + 'Total: ' + numberformats(this.point.stackTotal);
			}
		},
		plotOptions: {
			series: {borderWidth: 0, dataLabels: { enabled: true, formatter:function(){return numberformats(this.y)}}},
			column: {
				stacking: 'normal',
				cursor:'pointer',
				point:{
					events:{
						click:function(){
							/*yys_detail(starttime, endtime, this.yys, this.category, -1);*/
						}
					}},
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:true,
			maxHeight:50,
			itemStyle:{
				fontSize:'10px' 
			}
		},
		credits: {
			enabled: false
		},
		series: []
	}

	option.xAxis.categories = json.app_x;
	option.series = json.app_y;
	var chart = new Highcharts.Chart(option);
}

function yys_detail(starttime, endtime, yys, cname, appid)
{
	var left = (window.screen.width - 700) / 2;
	var height = window.screen.height - 150;
	var devid = getdevice();
	
	window.open("yys_detail.php?yys="+yys+"&starttime="+starttime+"&endtime="+
		endtime+"&cname="+cname+"&appid="+appid+"&devid="+devid, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function yyspie(json, starttime, endtime)
{
	var option = {
		chart: {
			renderTo: 'yyspie',
			defaultSeriesType: 'pie',
			/*
			backgroundColor: {
				linearGradient: [0, 0, 0, 300],
				stops: [
					[0, 'rgb(255, 255, 255)'],
					[1, '#a4ccf1']
				]
			}
			 */
		},
		title: {
			text: '运营商流量分布图',
			style:{font: '微软雅黑', fontSize:'10px', color:'#666', fontWeight:'bold'}
		},
		subtitle: {
			text: null
		},
		xAxis: {
			categories: [],
			title: {
				text: null
			},
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', fontWeight:'normal', color:'#000000'}
			}
		},
		yAxis: {
			min: 0,
			title: {
				text: 'byte'
			}
		},
		tooltip: {
			formatter: function() {
				return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%'
			}
		},
		plotOptions: {
			pie: {
				size:'80%',
				allowPointSelect: true,
				cursor: 'pointer',
				showInLegend: true,
				dataLabels: {
					enabled: true,
					style:{fontSize:'10px', fontWeight:'normal'},
					formatter: function() {
						return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
					},
				},
				point:{
					events:{
						click:function(){
							yys_detail(starttime, endtime, this.yys, this.name, -1);
						}
					}
				},
			}
		},
		legend: {
			enabled:true,
			maxHeight:50,
			itemStyle:{
				fontSize:'10px' 
			}
		},
		credits: {
			enabled: false
		},
		series: [{type:'pie', data:[]}]
	};

	var c = 0;
	for (var i = 0; i < json.yy_rows.length; i++){
		if (c >= config.my_colors_def.length) 
			c = 0;
		option.series[0].data.push({name:json.yy_rows[i].cname, y:json.yy_rows[i].total, yys: json.yy_rows[i].yys});
	}
       	var chart = new Highcharts.Chart(option);
}

function yysflow_graph(json, starttime, endtime, title, render)
{
	var option = {
		chart: {
			renderTo: render,
			defaultSeriesType: "column",
			/*
			backgroundColor: {
				linearGradient: [0, 0, 0, 300],
				stops: [
					[0, 'rgb(255, 255, 255)'],
					[1, '#a4ccf1']
				]
			}
			 */
		},
		title: {
			text: title,
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
		},
		xAxis: {
			categories: [],
			title: {
				text: null
			},
			style:{font: 'Arial', fontSize:'12px', color:'#666'},
			labels:{
				rotation:-45,
				align:'right',
				style:{font: 'Arial', fontSize:'12px', color:'#666'}
			}
		},
		yAxis: {
			min: 0,
			title: {
				text: 'byte'
			}
		},
		tooltip: {
			formatter: function() { 
				return '<b>' + this.x + '</b><br/>' + this.series.name + ': ' + numberformats(this.y) + '<br/>' + 'Total: ' + numberformats(this.point.stackTotal);
			}
		},
		plotOptions: {
			series: {borderWidth: 0, dataLabels: { enabled: true, formatter:function(){return numberformats(this.y)}}},
			column: {
				stacking: 'normal',
			       	cursor:'pointer',
				point:{
					events:{
						click:function(){
							yys_detail(starttime, endtime, this.yys, this.category, -1);
						}
					}},
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:true,
			maxHeight:50,
			itemStyle:{
				fontSize:'10px' 
			}
		},
		credits: {
			enabled: false
		},
		series: []
       	}

	var c = 0, x = [];
	var series = [{name:'上行流量', data:[]}, {name:"下行流量", data:[]}];
	for (var i = 0; i < json.yy_rows.length; i++){
		series[0].data.push({y:json.yy_rows[i].upbytes, yys: json.yy_rows[i].yys});
		series[1].data.push({y:json.yy_rows[i].downbytes, yys: json.yy_rows[i].yys});
		x.push(json.yy_rows[i].cname);
	}
	option.series = series;
	option.xAxis.categories = x;
	var chart = new Highcharts.Chart(option);
}

function flowmap_check()
{
	var appid = -1;
	var arr = [];
	
	var devid = getdevice();	
	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'flow_maps', devid: devid, appid: appid, starttime:starttime, endtime:endtime, errname:errname },
		type:'post',
		dataType:'json',
		success:function(json){
		       	cluster_load_hide();
			flowmap_update(json);
			areainfo_update(json);
			tophost_check();
		}
       	});
}

function areainfo_update(json)
{
	var option = {
		chart: {
			renderTo: "areainfo",
			defaultSeriesType: "column",
			/*
			backgroundColor: {
				linearGradient: [0, 0, 0, 300],
				stops: [
					[0, 'rgb(255, 255, 255)'],
					[1, '#a4ccf1']
				]
			}
			 */
		},
		title: {
			text: '区域流量排名',
			style:{font: '微软雅黑', fontSize:'10px', color:'#666', fontWeight:'bold'}
		},
		xAxis: {
			categories: [],
			title: {
				text: null
			},
			style:{font: 'Arial', fontSize:'10px', color:'#666'},
			labels:{
				rotation:-45,
				align:'right',
				style:{font: 'Arial', fontSize:'10px', color:'#666'}
			}
		},
		yAxis: {
			min: 0,
			title: {
				text: 'byte'
			}
		},
		tooltip: {
			formatter: function() { 
				return '<b>' + this.x + '</b><br/>' + this.series.name + ': ' + numberformats(this.y) + '<br/>' + 'Total: ' + numberformats(this.point.stackTotal);
			}
		},
		plotOptions: {
			series: {borderWidth: 0, dataLabels: { enabled: true, formatter:function(){return numberformats(this.y)}}},
			column: {
				stacking: 'normal',
			       	cursor:'pointer',
				point:{
					events:{
						click:function(){
						}
					}},
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:true,
			maxHeight:50,
			itemStyle:{
				fontSize:'10px' 
			}
		},
		credits: {
			enabled: false
		},
		series: []
       	}

	var c = 0;
	var x = [];
	var series = [{name:'上行流量', data:[]}, {name:"下行流量", data:[]}];
	for (var i = 0; i < json.rows.length; i++){
		var r = json.rows[i];
		if (r.up == 0 && r.down == 0)
			continue;
		if (i >= 15) break;
		x.push(r.cname);
		series[0].data.push({y:r.up});
		series[1].data.push({y:r.down});
	}
	option.series = series;
	option.xAxis.categories = x;
	var chart = new Highcharts.Chart(option);
}

function flowmap_update(json)
{
	var data = [];
	var geoCoordMap = {};
	var maxvalue = 0;
	for (i = 0; i < json.rows.length; i++) {
		if (json.rows[i].value > maxvalue)
			maxvalue = json.rows[i].value;
		data.push({name:json.rows[i].cname, value:json.rows[i].value});
	}

	var mapFeatures = echarts.getMap("china").geoJson.features;
	mapFeatures.forEach(function(v) {
		var name = v.properties.name;
		geoCoordMap[name] = v.properties.cp;
	});
	
	var convertData = function(data) {
		var res = [];
		for (var i = 0; i < data.length; i++) {
			var geoCoord = geoCoordMap[data[i].name];
			if (geoCoord) {
				res.push({ name: data[i].name, value: geoCoord.concat(data[i].value)});
			}
		}
		return res;
	};

	var myChart = echarts.init(document.getElementById('flowmap'));
	var option = {
		/*
		backgroundColor: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
			{offset:0, color:'#ffffff'},
			{offset:1, color:'#a4ccf1'}]),
		 */
		title : {
			text: '区域流量数据分布图',
			x:'center',
			y: 5,
			textStyle: {
			fontSize: 10,
			fontWeight: 'bold',
			color: '#666'
			}
		},
		tooltip : {
			trigger: 'item',
			textStyle: {
				fontSize: 10,
				fontWeight: 'normal'
			},
			formatter: function(params, ticket, callback){
				return params.name+'：'+numberformats(params.value);
			}
		},
		dataRange: {
			//orient: 'right',
			min: 0,
			max: maxvalue,
			x: 'right',
			y: 'bottom',
			text:['高','低'],           // 文本，默认为数值文本
			calculable : true,
			color: ['#f00', '#CC6666', '#f5f5f5'],
			formatter: function(v) {
				return numberformats(v);
			}
		},
		geo: {
			show: true,
			map: "china",
			label: {
				normal: {
					show: false
				},
				emphasis: {
					show: false,
				}
			},
			roam: false,
			itemStyle: {
				normal: {
					areaColor: '#031525',
					borderColor: '#3B5077',
				},
				emphasis: {
					areaColor: '#2e8ae3',
				}
			},
		},
		series: [{
			name: '区域流量数据分布图',
			type: 'scatter',
			coordinateSystem: 'geo',
			label: {
				normal: {
					formatter: '{b}',
					position: 'right',
					show: false,
					fontWeight:"bold"
				},
				emphasis: {
					show: true
				}
			},
			itemStyle: {
				normal: {
					//show: false,
					//color: '#2e8ae3',
				}
			}
		},
		{
			type: 'map',
			map: "china",
			geoIndex: 1,
			aspectScale: 0.75,
			showLegendSymbol: false,
			label: {
				normal: {
					show: false 
				},
				emphasis: {
					show: false,
					textStyle: {
						color: '#fff'
					}
				}
			},
			roam: false,
			itemStyle: {
				normal: {
					areaColor: '#87CEFA',
					borderColor: '#3B5077',
				},
				emphasis: {
					areaColor: '#2e8ae3'
				}
			},
			animation: false,
			data: data 
		}]
	}
	myChart.setOption(option);
	myChart.on("click", area_detail);
}

function area_detail(param)
{
	var left = (window.screen.width - 800) / 2;
	var height = window.screen.height - 150;
	var devid = getdevice();
	
	var appid = -1;

	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	
	
	window.open("area_detail.php?areaname="+param.name+"&starttime="+
		starttime+"&endtime="+endtime+"&appid="+appid+"&devid="+devid, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function tophost_check()
{
	var devid = getdevice();
	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	var data = {
		type: "topdomain", 
		domain:"", 
		bexport:0, 
		starttime:starttime, 
		endtime:endtime, 
		errname:errname, 
		page: 1, 
		limit: 15, 
		sort: '', 
		devid:devid, 
		dstport: 0, 
		hosttype:'host', 
		cachefile:getcachefile(),
		hostgrp:1, 
		yys: -1, 
		appid:1044
	};
	$.ajax({
		url:'../user_behavior/domainlist.php',
		data: data,
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			host_update(json);
		}
	})
}

function host_update(json)
{
	var maxflow = 0;
	for (var i = 0; i < json.rows.length - 1; i++) {
		if (json.rows[i].num > maxflow)
			maxflow = json.rows[i].num;
	}

	var yup = [], ydown = [], yflow = [], x = [];
	for (var i = 0; i < json.rows.length - 1; i++) {
		x.push(json.rows[i].host);
		yup.push({value: json.rows[i].up});
		ydown.push({value: json.rows[i].down});
		yflow.push({value: json.rows[i].num});
	}

	var dom = document.getElementById("tophost");
	var chart = echarts.getInstanceByDom(dom);
	if (chart == undefined)
		chart = echarts.init(dom, 'macarons');

	var option = {
		/*
		backgroundColor: new echarts.graphic.LinearGradient(0, 0, 0, 1, [
			{offset:0, color:'#ffffff'},
			{offset:1, color:'#a4ccf1'}]),
		 */
		title: {
			text: null,
			textStyle: {
				fontSize: 8,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 8
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#ddd",
					fontSize: 8
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		legend: {
			show: true,
			right: '0',
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 8,
			},
		},
		grid: {
			borderWidth: 0,
			top: 30,
			left:50,
			bottom: 120,
			textStyle: {
				color: "#ddd",
			}
		},
		xAxis: [{
			type: "category",
			axisLine: {
				lineStyle: {
					color: "#2c2c2c",
					fontSize: 8,
				}
			},
			splitLine: {
				show: false 
			},
			axisTick: {
				show: false
			},
			splitArea: {
				show: false
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				textStyle: {
					fontSize: 10,
				}
			},
			data: x,
		}],
		yAxis: [{
			type: "value",
			minInterval: 1,
			splitLine: {
				show: false
			},
			axisLine: {
				show: false,
			},
			axisTick: {
				show: false
			},
			axisLabel: {
				interval: 0,
				textStyle: {
					fontSize: 10,
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			splitArea: {
				show: false
			},
			position: 'left',
			min: 0,
		}, {
            		type: 'value',
            		scale: true,
            		boundaryGap: [0.2, 0.2],
			min: 0,
			max: maxflow,
			splitLine: {
				show: false,
			},
			axisLine: {
				show: false,
				lineStyle: {
					//color: '#ddd'
				}
			},
			axisLabel: {
				interval: 0,
				textStyle: {
					fontSize: 10,
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			position: 'right',
        	}],
		series: [
		{
			name: "连接数",
			type: "line",
			stack: "总量",
			symbol: 'none',
			symbolSize:10,
			yAxisIndex: 1,
			smooth: true,
			itemStyle: {
				normal: {
					label: {
						show: false,
						textStyle: {
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yflow,
		},
		{
			name: "上行流量",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			itemStyle: {
				normal: {
					label: {
						show: false,
						textStyle: {
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: yup,
		},
		{
			name: "下行流量",
			type: "bar",
			stack: "总量",
			barWidth: '15',
			itemStyle: {
				normal: {
					//color: "rgba(0,191,183,1)",
					label: {
						show: false,
						textStyle: {
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: ydown,
		}]
	}

	chart.setOption(option);
}

function flowdir_custom()
{
	$(".flowdir-custom").dialog({
		width:400,
		height:500,
		buttons:[{
			text: "添加运营商",
			click: function(){
				flowdir_addcus();
			}
		}]
	});
	
	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'flowdir_cuslist'},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else 
				cusupdate(json);
		}
	});
}

function cusupdate(json)
{
	var o = $(".flowdir-custom").find("tr");
	for (i = 1; i < o.length; i++)
		o[i].remove();
	
	var s = '';
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];
		
		trbg = '';
		if (i % 2 == 1)
		    trbg = 'log-table-tr-toggle-bgcolor-curr';
		
		m = '';
		if (r.id > 5 && r.id != 99 && r.id != 98) {
			m = '<a href="javascript:void(0)" onclick="cus_edit('+r.id+', \''+r.name+'\')">编辑</a>';
			m += '&nbsp;';
			m += '<a href="javascript:void(0)" onclick="cus_import('+r.id+', \''+r.name+'\')">导入</a>';
			m += '&nbsp;';
			m += '<a href="javascript:void(0)" onclick="cus_remove('+r.id+')">删除</a>';
		}
		s += '<tr class="'+trbg+'">';
		s += '<td class="txt-center">'+r.id+'</td>';
		s += '<td class="txt-center">'+r.name+'</td>';
		s += '<td class="txt-center">'+m+'</td>';
		s += '</tr>';
	}
	$(s).appendTo(".flowdir-custom table");
}

function flowdir_addcus()
{
	$(".flowdir-addcus").dialog({
		width:350,
		buttons:[{
			text: "提交",
			click: function(){
				flowdir_addcus_handle();
			}
		}]
	});
}

function flowdir_addcus_handle()
{
	var yysname = $("#yysname").val();
	yysname = TrimAll(yysname);
	if (yysname == "") {
		alert("请输入正确的运营商名称");
		$("#yysname").focus();
		return false;
	}
	
	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'flowdir_addcus_handle', yysname: yysname},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else {
				$(".flowdir-addcus").dialog("close");
				flowdir_custom();
			}
		}
	});
}

function cus_remove(id)
{
	if (!confirm("确定要删除此IP组吗"))
		return false;
	
	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'cus_remove', id: id},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else {
				flowdir_custom();
			}
		}
	});
}

function cus_import(id, name)
{
	$(".flowdir-cusimport").dialog({
		width:550,
		height:130,
		title: name
	});
	$("#import_yysid").val(id);
}

function cus_edit(id, name)
{
	$(".flowdir-cusedit").dialog({
		width:600,
		height:600,
		title: name
	});
	$("#yysid").val(id);
	
	cus_iplist(id);
}

function cus_addip()
{
	var yysid = $("#yysid").val();
	var startip = TrimAll($("#startip").val());
	var endip = TrimAll($("#endip").val());
	var posi = TrimAll($("#posi").val());
	
	if (startip == "" || posi == "") {
		alert("请填写要添加的参数");
		return false;
	}
	if (startip.indexOf('/') == -1 && endip == "") {
		alert("请输入正确的结束地址");
		return false;
	}
	if (startip.indexOf('/') == -1 && !IsIPAddr(startip)) {
		alert("请输入正确的起始地址");
		return false;
	}
	if (startip.indexOf('/') != -1) {
		a = startip.split('/');
		if (!IsIPAddr(a[0])) {
			alert("请输入正确的起始地址");
			return false;
		}
	}
	if (endip != "" && !IsIPAddr(endip)) {
		alert("请输入正确的结束地址");
		return false;
	}
	
	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'cus_addip', 
			yysid: yysid, 
			startip: startip, 
			endip: endip,
			posi: posi},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else {
				cus_iplist(yysid);
			}
		}
	});
}

function cus_iplist(yysid)
{
	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'cus_iplist', yysid: yysid},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else {
				cus_iplist_update(json);
			}
		}
	});
}

function cus_iplist_update(data)
{
	var r, s;
	    var len = data.rows.length;
	    var trobj = $(".flowdir-cusedit table tbody tr");
	    var trlen = trobj.length;
	    var tdobj;
	    var href;
	    var trbg = '';

	    for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
		    trbg = 'log-table-tr-toggle-bgcolor-curr';

		if (trobj.eq(i+2).length > 0){
		    tdobj = trobj.eq(i+2).find("td");

		    tdobj.eq(0).html(r.startip);
		    tdobj.eq(1).html(r.endip);
		    tdobj.eq(2).text(r.posi);
		    tdobj.eq(3).html('');
		}else{
		    s = '<tr class="'+trbg+'">' +
			'<td class="txt-center">'+ r.startip+'</td>'+
			'<td class="txt-center">'+ r.endip+'</td>'+
			'<td class="txt-center">'+ r.posi+'</td>'+
			'<td class="txt-center"></td>'+
			'</tr>';
		    $(s).appendTo(".flowdir-cusedit table");
		}
	    }
	    for (i = trlen-1; i >= len+2; i--) trobj.eq(i).remove();
}

function isupgrade()
{
    if (! confirm("确定要导入文件吗"))
        return false;

    return true;
}
</script>
</head>
<body>
<input type="hidden" value="<?=$_GET['utype']?>" id="urltype" />
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="flow_stat.php">流量概况</a></li>
			<li><a href="flowdir_custom.php">自定义运营商</a></li>
		</ul>
	</div>

	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 86400;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="btn-extend-color" onclick="urlflow_check()">查询</a>
			</li>
		</ul>
		<div style="clear:both"></div>
	</div>
	<div style="clear:both"></div>
	<div class="outer-yys" style="overflow:auto;margin-top:10px;display:none;">
		<div id="yyspie" class="f1" style="float:left;height:300px;"></div>
		<div id="yyscolumn" class="f1" style="float:left;height:300px;margin:0px 0 0 5px;"></div>
		<div id="yysapp_graph" class="f1 " style="float:left;height:300px;margin:0 0 0 5px;"></div>
		<div id="flowmap" class="f1 " style="float:left;height:300px;margin:10px 0 0 0px;overflow:hidden;"></div>
		<div id="areainfo" class="f1 " style="float:left;height:300px;margin:10px 0 0 5px;"></div>
		<div id="tophost" class="f1 " style="float:left;height:300px;margin:10px 0 0 5px;"></div>
		<div style="clear:both"></div>
	</div>
</div>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });
showdevicetree();

var allw = $(".outer").width();
console.log(allw);
var space = 5;
var firstper = parseInt((allw - 4 * space) / 3);
$(".outer-yys .f1").css("width", firstper+"px");
</script>
</body>
</html>
