<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$name = $_GET['name'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
var start = 0;
var page = 1;
var limit = 25;
var sort = "acc";

function pre() 
{
	page--;
	if (page <= 0)
		page = 1;
	
	check(sort);
}

function next() {
	page++;
	
	check(sort);
}

function button_click()
{
	page = 1;
	
	check(sort);
}

function check(sort)
{
	var devid = $("#devid").val();
	var grpid = $("#grpid").val();
	var domain = $("#domain").val();
	var dstip = $("#dstip").val();
	var dstport = $("#dstport").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	$.ajax({
		url: 'ipgrp_handle.php',
		data: {type: 'grphost_iplist', devid:devid, grpid:grpid, dstip:dstip, domain:domain, dstport:dstport, starttime:starttime, endtime:endtime, errname: errname, page:page, limit:limit, sort: sort},
		type: 'post',
		dataType: 'json',
		success:function(json) {
			cluster_load_hide();
			data_update(json);
		}
	});
}

function data_update(data)
{
	var list = document.getElementById("mytable");
	while (list.rows.length > 1)
		list.deleteRow(1);

	var start = (page - 1) * limit;

	for (i = 0; i < data.rows.length; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);

		col = obj.insertCell(0);
		col.setAttribute("align", "center");
		col.innerHTML = start + i + 1;

		col = obj.insertCell(1);
		col.setAttribute("align", "left");
		col.innerHTML = r.ip;

		col = obj.insertCell(2);
		col.setAttribute("align", "right");
		col.innerHTML = r.num;

		col = obj.insertCell(3);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.up);

		col = obj.insertCell(4);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.down);

		col = obj.insertCell(5);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.down+r.up);
	}
}

</script>
</head>

<body>
<div>
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
	<input type="hidden" value="<?=$_GET['grpid']?>" id="grpid" />
	<input type="hidden" value="<?=$_GET['domain']?>" id="domain" />
	<input type="hidden" value="<?=$_GET['dstip']?>" id="dstip" />
	<input type="hidden" value="<?=$_GET['dstport']?>" id="dstport" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
	
	<div class="topapp-list-table">
		<table id="mytable" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th class="txt-center" width="50px">序号</th>
				<th class="txt-left" width="160px">IP地址</th>
				<th class="txt-right" width="160px"><a href="javascript:check('acc')">访问次数</a></th>
				<th class="txt-right"><a href="javascript:check('up')">上行流量(Byte)</a></th>
				<th class="txt-right"><a href="javascript:check('down')">下行流量(Byte)</a></th>
				<th class="txt-right"><a href="javascript:check('all')">总流量(Byte)</a></th>
			</tr>
		</table>
		<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
	</div>
</div>
<script type="text/javascript">
check("acc");
</script>
</body>
</html>

