<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>

<script type="text/javascript">

function key_data_update(data, starttime, endtime, grpname)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';
		
		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");

			tdobj.eq(0).text(i+1);
			tdobj.eq(1).html(r.cname);
			tdobj.eq(2).html(numberformats(r.upbytes));
			tdobj.eq(3).html(numberformats(r.downbytes));
			tdobj.eq(4).html(numberformats(r.upbytes+r.downbytes));
		}else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (i+1)+'</td>'+
				'<td class="txt-left">'+ r.cname+'</td>'+
				'<td class="txt-right">'+ numberformats(r.upbytes)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.downbytes)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
				'</tr>';
			$(s).appendTo(".topapp-list-table table tbody");
		}
	}
	
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function iptable_grpview(sort)
{
	var groupid = $("#groupid").val();
	var ipgrpid = $("#ipgrpid").val();
	var starttime = $("#start").val();
	var endtime = $("#end").val();
	var grpname = $("#grpname").val();
	var ipgrpname = $("#ipgrpname").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/ipgrp_handle.php',
		data:{type:'iptable_grpview', ipgrpid: ipgrpid, ipgrpname:ipgrpname, 
			groupid: groupid, starttime:starttime, endtime:endtime, 
			errname:errname, sort: sort},
		type:'post',
		dataType:'json',
		success:function(json) {
			key_data_update(json, starttime, endtime, grpname);
			cluster_load_hide();
		}
	});
}

function appdetail(appid, cname, grpname, starttime, endtime)
{
	var left = ($(window).width()) / 2;
	var height = $(window).height();
	
	var ipgrpname = $("#ipgrpname").val();
	var ipgrpid = $("#ipgrpid").val();
	
	window.open("appdetail.php?grpname="+grpname+"&start="+starttime+"&end="+
		endtime+'&appid='+appid+'&cname='+cname+'&ipgrpname='+ipgrpname+'&ipgrpid='+ipgrpid, 
		"_blank", "width=700px,height="+height+"px,left="+left+"px");
}

</script>
</head>
<body>
<div>
	<div class="check-form">
		<ul>
			<li class="header-back-blue">
				用户群组 -> <?= $_GET['ipgrpname']?> -> <?= $_GET['grpname']?>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	
	<input type="hidden" value="<?= $_GET['grpname']?>" id="grpname" />
	<input type="hidden" value="<?= $_GET['start']?>" id="start" />
	<input type="hidden" value="<?= $_GET['end']?>" id="end" />
	<input type="hidden" value="<?= $_GET['groupid']?>" id="groupid" />
	<input type="hidden" value="<?= $_GET['ipgrpid']?>" id="ipgrpid" />
	<input type="hidden" value="<?= $_GET['ipgrpname']?>" id="ipgrpname" />
	
    <div class="topapp-list-table" style="margin-top:0px;">
        <table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="txt-center" style="width:50px;">序号</th>
                <th class="txt-left">应用名称</th>
				<th class="txt-right"><a href="javascript:iptable_grpview('up')">上行流量</a></th>
				<th class="txt-right"><a href="javascript:iptable_grpview('down')">下行流量</a></th>
				<th class="txt-right"><a href="javascript:iptable_grpview('total')">总流量</a></th>
            </tr>
        </table>
    </div>
</div>
<script type="text/javascript">
iptable_grpview('total')
</script>
</body>
</html>
