<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>

<script type="text/javascript" src="../js/highmaps.js"></script>
<script type="text/javascript" src="../js/china-data.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>

<script type="text/javascript">
	function ipgrp_create()
	{
		location.href="ipgrp_add.php";
	}
	
	function ipgrp_delete()
	{
		var grpid = $("#grpid").val();
		if (grpid == null) {
			alert("没有可删除的IP群组");
			return false;
		}
		
		if (!confirm("确定要删除该IP群组吗"))
			return false;
		
		$.ajax({
			url:'ipgrp_handle.php',
			data:{type:"ipgrp_delete", grpid: grpid},
			type:'post',
			dataType:'json',
			success:function(json){
				if (json.yn == "no")
					alert(json.str);
				else
					location.reload();
			}
		});
	}
	
	function ipgrp_addip()
	{
		var i = 0;
		
		var grpid = $("#grpid").val();
		if (grpid == null) {
			alert("请选择正确的IP群组");
			return false;
		}
		var ip = $("#ip").val();
		ip = TrimAll(ip);
		if (ip == "") {
			alert("请输入正确的IP地址");
			return false;
		}
		
		var s = ip.indexOf('-');
		if (s != -1) {
			var ar = ip.split('-');
			for (i = 0; i < ar.length; i++) {
				if (!IsIPAddr(ar[i])) {
					alert("请输入正确的IP地址");
					return false;
				}
			}
		}
		
		$.ajax({
			url:'ipgrp_handle.php',
			data:{type:"ipgrp_addip", grpid: grpid, ip: ip},
			type:'post',
			dataType:'json',
			success:function(json){
				if (json.yn == "no")
					alert(json.str);
				else
					location.href="ipgrp_list.php?grp="+grpid;
			}
		});
	}
	
	function ipgrp_rmvip()
	{
		var grpid = $("#grpid").val();
		var ip = $("#ip").val();
		ip = TrimAll(ip);
		if (ip == "") {
			alert("请选择要删除的IP");
			return false;
		}
		
		if (!confirm("确定要删除该IP吗"))
			return false;
		
		$.ajax({
			url:'ipgrp_handle.php',
			data:{type:"ipgrp_rmvip", grpid: grpid, ip: ip},
			type:'post',
			dataType:'json',
			success:function(json){
				if (json.yn == "no")
					alert(json.str);
				else
					location.href="ipgrp_list.php?grp="+grpid;
			}
		});
	}
	
	$(function(){
		$("#grpid").change(function(){
			var grpid = $(this).val();
			location.href="ipgrp_list.php?grp="+grpid;
		});
		
		$("#iplist").change(function(){
			var ip = $(this).val();
			$("#ip").val(ip);
		});
	});
</script>
</head>
<body>
<div class="maintain-content check-panel-radius" style="text-align:left;">
    <table style="width:1055px;margin:10px 0 0 0;">
        <tr><td>1. 每个单项格式可为a.b.c.d或a.b.c.d/nn或a.b.c.d-e.f.g.h</td></tr>
		<tr><td>2. IP列表文件为文本文件，文件中的每一行格式同上所述</td></tr>
		<tr><td>3. 避免IP段之间的重叠</td></tr>
    </table>
	<form enctype="multipart/form-data" method="post" action="ipgrp_handle.php" target="system-upgrade-frame">
	<table style="width:800px;margin:20px 0 0 0;">
        <tr bgcolor="#f5f5f5">
			<td width="100px" style="font-size:14px;text-align:center;">群组名称</td>
			<td width="420px">
				<select id="grpid" name="grpid" style="width:400px">
				<?php
				if (isset($_GET['grp']) && $_GET['grp'])
					$grpid = $_GET['grp'];
				else
					$grpid = 0;
				
				$conn = my_mysql_connect();
				if ($conn) {
					$cmd = "select id, grpname from palog.dstipgrp_list";
					
					$result = mysql_query($cmd);
					if ($result) {
						while ($row = mysql_fetch_row($result)) {
							if ($grpid == 0)
								$grpid = $row[0];
							
							if ($grpid != 0 && $grpid == $row[0])
								echo '<option value="'.$row[0].'" selected>'.$row[1].'</option>';
							else
								echo '<option value="'.$row[0].'">'.$row[1].'</option>';
						}
					}
					
				}
				?>
				</select>
			</td>
			<td width="100px">
				<a href="javascript:ipgrp_delete()" style="background:#3385FF;color:#fff;padding:3px 20px;">删除群组</a>
			</td>
			<td>
				<a href="javascript:ipgrp_create()" style="background:#3385FF;color:#fff;padding:3px 20px;">创建群组</a>
			</td>
		</tr>
		<tr>
			<td width="100px" style="font-size:12px;text-align:center;">IP列表</td>
			<td width="420px">
				<select id="iplist" style="width:400px;height:400px;" size="40">
				<?php
				if ($grpid != 0) {
					$cmd = "select grpid, ipmin, ipmax, ipstr from palog.dstiptable where grpid=$grpid";
					$result = mysql_query($cmd);
					if ($result) {
						while ($row = mysql_fetch_row($result)) 
							echo '<option value="'.$row[3].'">'.$row[3].'</option>';
					}
				}
				mysql_close();
				?>
				</select>
			</td>
			<td width="80px">
				
			</td>
			<td>
				
			</td>
		</tr>
		<tr bgcolor="#f5f5f5">
			<td width="100px" style="font-size:14px;text-align:center;">新增IP</td>
			<td width="420px">
				<input type="text" value="" id="ip" name="ip" style="width:397px;" />
			</td>
			<td width="100px">
				<a href="javascript:ipgrp_addip();" style="background:#3385FF;color:#fff;padding:3px 20px;">新增IP</a>
			</td>
			<td>
				<a href="javascript:ipgrp_rmvip();" style="background:#3385FF;color:#fff;padding:3px 20px;">删除IP</a>
			</td>
		</tr>
    </table>
		<br/>
		<table>
			<tr>
				<td colspan="2" class="font-fileupload" align="left">
					请选择IP地址文件路径：
					<input type="hidden" name="type" id="type" value="iptableload" />
					<input type="file" name="importip" id="importip" style="width:500px" />
					<input type="submit" value="导入IP地址文件" style="height:22px;" /></td>
			</tr>
		</table>
	</form>
	<iframe src="about:blank" name="system-upgrade-frame" id="system-upgrade-frame" frameborder=0></iframe>
</div>
</body>
</html>
