<?php

include "common.php";

date_default_timezone_set("PRC");

include dirname(__FILE__)."/phpexcel/Classes/PHPExcel.php";
include dirname(__FILE__)."/phpexcel/Classes/PHPExcel/Writer/Excel2007.php";

$filename = isset($argv[2]) ? $argv[2] : '';
$path = "/usr/logdata/tmp/$filename";
if (!file_exists($path) || is_dir($path)) {
	echo "ERR_FNOTEXIST\n";
	exit;
}

error_reporting(E_ALL);

$phpexcel = new PHPExcel();
$sheet = $phpexcel->getActiveSheet();
$sheet->setTitle('helen');
$sheet->setCellValue('A1', '协议Top5')->setCellValue('B1', '流量')->setCellValue('C1', '域名Top10')->setCellValue('D1', '解析次数');

$styleThinBlackBorderOutline = array('borders' => array('allborders' => array('style' => PHPExcel_Style_Border::BORDER_THICK)));
$phpexcel->getActiveSheet()->getStyle('A1:D1')->applyFromArray($styleThinBlackBorderOutline);

$appcellpos = 2;
$hostcellpos = 2;
if (($fp = fopen($path, "r")) != false) {
	while (!feof($fp)) {
		$buf = fgets($fp);
		$buf = trim($buf);
		if ($buf == "")
			continue;

		list($tag, $name, $num) = explode(' ', $buf);

		switch($tag) {
		case "app":
			$sheet->setCellValue("A$appcellpos", iconv("gb2312", "utf-8", $name))->setCellValue("B$appcellpos", $num);
			$appcellpos++;
			break;

		case "host":
			$sheet->setCellValue("C$hostcellpos", $name)->setCellValue("D$hostcellpos", $num);
			$hostcellpos++;
			break;

		default:
			continue;
		}
	}
	fclose($fp);

	unlink($path);
}

$writer = PHPExcel_IOFactory::createWriter($phpexcel, 'Excel5');

$dstfile = "/usr/logdata/netbehavior/".basename($filename, ".txt").".xls";
$writer->save($dstfile);

