$(document).ready(function(){
    Highcharts.setOptions({ global: { useUTC: false } });
    $(".app-top-last-li").live("click", function(){
        $(".app-top-last-li-current").addClass("app-top-last-li");
        $(".app-top-last-li-current").removeClass("app-top-last-li-current");
        $(this).removeClass("app-top-last-li");
        $(this).addClass("app-top-last-li-current");
        if ($(this).text() == "自定义"){
            $("#checkpanel_con").parents("table").fadeIn(500);
            filltime();
            $("#topappok").unbind("click");
            $("#topappok").live("click", function(){
                appgroup_son_checkout();
                //appinfo_son_checkout();
            })
        }else {
            $("#checkpanel_con").parents("table").fadeOut(500);
            if ($(this).text() == "最近1小时"){
                appgroup_son_init(1);
                //appinfo_init(1);
            }
            if ($(this).text() == "最近3小时"){
                appgroup_son_init(3);
                //appinfo_init(3);
            }
            if ($(this).text() == "最近6小时"){
                appgroup_son_init(6);
                //appinfo_init(6);
            }
            if ($(this).text() == "最近24小时"){
                appgroup_son_init(24);
                //appinfo_init(24);
            }
        }
    })

    appgroup_son_init(1);
    //appinfo_init(1);
    $(".stat-trends").live("click", function(){
        var devid = $("#hid_devid").val();
        var linkid = $("#hid_linkid").val();
        var name = $("#appinfo-name").val();
        var cname = $("#appinfo-cname").val();
        var starttime = $("#hid_starttime").val();
        var endtime = $("#hid_endtime").val();

        apptrendwin(devid, linkid, name, cname, '', '', starttime, endtime);
    });
});

function appgroup_son_init(hours)
{
    var d = new Date();
    var d2 = d - hours * 1000 * 3600;
    d2 = new Date(d2);

    var devid = 0;
    var linkid = 0;
    var starttime = d2.getFullYear()+'-'+(d2.getMonth()+1)+'-'+d2.getDate()+' '+d2.getHours()+':'+d2.getMinutes()+':0';
    var endtime = d.getFullYear()+'-'+(d.getMonth()+1)+'-'+d.getDate()+' '+d.getHours()+':'+d.getMinutes()+':0';
    var cname = $("#appinfo-cname").val();

    $("#hid_starttime").val(starttime);
    $("#hid_endtime").val(endtime);
    $("#hid_linkid").val(linkid);
    $("#hid_devid").val(devid);

    appsonlist(0, 0, cname, "apptotal", starttime, endtime);
}

function appgroup_son_checkout()
{
    var devid = "";
    $('input[name="device"]').each(function(){
        if ($(this).attr("checked"))
            devid += $(this).val()+',';
    });
    devid = devid.substr(0, devid.length -1);
    if (devid == "") devid = 0;

    var linkid = $("#linkid").val();
    var cname = $("#appinfo-cname").val();
    var chartype = $("#chartype").val();

    var startyear = $("#startyear").val();
    var startmonth = $("#startmonth").val();
    var startdate = $("#startdate").val();
    var starthour = $("#starthour").val();
    var startminute = $("#startminute").val();
    var startsec = $("#startsec").val();
    var endyear = $("#endyear").val();
    var endmonth = $("#endmonth").val();
    var enddate = $("#enddate").val();
    var endhour = $("#endhour").val();
    var endminute = $("#endminute").val();
    var endsec = $("#endsec").val();

    starttime = startyear+'-'+startmonth+'-'+startdate + ' '+starthour+':'+startminute+':'+startsec;
    endtime = endyear+'-'+endmonth+'-'+enddate + ' '+endhour+':'+endminute+':'+endsec;

    $("#hid_starttime").val(starttime);
    $("#hid_endtime").val(endtime);
    $("#hid_linkid").val(linkid);
    $("#hid_devid").val(devid);

    appsonlist(devid, linkid, cname, chartype, starttime, endtime);
}

function appsonlist(devid, linkid, cname, chartype, starttime, endtime)
{
    load_show();

    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    var url = 'appsonlist.php?devid='+devid+'&tmstart='+starttime+'&errname='+errname+
        '&tmend='+endtime+'&type='+chartype+'&linkid='+linkid+'&cname='+encodeURI(cname);
    $.ajax({
        url:url,
        type:'get',
        dataType:'json',
        success:function(data){
            var r, s;
            var len = data.result.length;
            var trobj = $(".topapp-list-table table tbody tr");
            var trlen = trobj.length;
            var tdobj;

            for (i = 0; i < len; i++){
                r = data.result[i];

                trbg = '';
                if (i % 2 == 1)
                    trbg = 'log-table-tr-toggle-bgcolor-curr';

                href = '<a href="javascript:apptrendwin('+devid+',' + linkid+', \''+ r.name+'\', \''+ r.cname+'\', \''+
                    chartype+'\', \'\', \''+starttime+'\', \''+endtime+'\')">'+ r.cname+'</a>';

                if (trobj.eq(i+1).length > 0){
                    tdobj = trobj.eq(i+1).find("td");

                    tdobj.eq(0).text(i+1);
                    tdobj.eq(1).html(r.cname);
                    tdobj.eq(2).text((r.flow));
                    tdobj.eq(3).text(numberformats(r.up));
                    tdobj.eq(4).text(numberformats(r.down));
                    tdobj.eq(5).text(numberformats(r.up+r.down));
                    tdobj.eq(6).html('<a href="javascript:apptrendwin('+devid+','+ linkid+', \''+ r.name+'\', \''+ r.cname+'\', \''+
                        chartype+'\', \'\', \''+starttime+'\', \''+endtime+'\')"><img src="../img/chart_curve.png" title="'+ r.cname+'-流量趋势图" /></a>');
                }else{
                    s = '<tr class="'+trbg+'">'+
                        '<td class="td-left-first">'+(i+1)+'</td>'+
                        '<td class="td-normal">'+ r.cname+'</td>'+
                        '<td class="td-normal">'+ r.flow+'</td>'+
                        '<td class="td-normal">'+ numberformats(r.up)+'</td>'+
                        '<td class="td-normal">'+ numberformats(r.down)+'</td>'+
                        '<td class="td-normal">'+ numberformats(r.up+r.down)+'</td>'+
                        '<td class="td-left-last"><a href="javascript:apptrendwin('+devid+','+ linkid+', \''+ r.name+'\', \''+ r.cname+'\', \''+
                        chartype+'\', \'\', \''+starttime+'\', \''+endtime+'\')"><img src="../img/chart_curve.png" title="'+ r.cname+'-流量趋势图" /></td>'+
                        '</tr>';
                    $(s).appendTo(".topapp-list-table table tbody");
                }
            }
            for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();

            load_hide();
        }
    });
}