var config = {zindex:1000}

$(document).ready(function(){
    Highcharts.setOptions({ global: { useUTC: false } });
	
	

    $(".app-top-last-li").live("click", function(){
        $(".app-top-last-li-current").addClass("app-top-last-li");
        $(".app-top-last-li-current").removeClass("app-top-last-li-current");
        $(this).removeClass("app-top-last-li");
        $(this).addClass("app-top-last-li-current");
        if ($(this).text() == "自定义"){
            $("#checkpanel_con").parents("table").fadeIn(500);
            filltime();
            $("#topappok").unbind("click");
            $("#topappok").live("click", function(){
                log_account_check();
            })
        }else {
            $("#checkpanel_con").parents("table").fadeOut(500);
            if ($(this).text() == "最近1小时")
                log_account_init(1);
            if ($(this).text() == "最近3小时")
                log_account_init(3);
            if ($(this).text() == "最近6小时")
                log_account_init(6);
            if ($(this).text() == "最近24小时")
                log_account_init(24);
        }
    })

    filltime();
    $("#flowdirbutton").live("click", function(){flow_dir_check();});
    $("#flowdirbutton_custom").live("click", function(){flow_dir_check_custom();});
});

function flow_dir_check()
{
    var devid = "";
    $('input[name="device"]').each(function(){
        if ($(this).attr("checked"))
            devid += $(this).val()+',';
    });
    devid = devid.substr(0, devid.length -1);
    if (devid == "") devid = 0;

    var flowtype = $("#flowtype").val();
    var destip = TrimAll($("#dest_ip").val());
    if (destip == "") destip = "0.0.0.0-255.255.255.255";
    $("#dest_ip").val("0.0.0.0-255.255.255.255");

    var sorttype = $("#sorttype").val();
    var topn = $("#topn").val();
    var startyear = $("#startyear").val();
    var startmonth = $("#startmonth").val();
    var startdate = $("#startdate").val();
    var starthour = $("#starthour").val();
    var startminute = $("#startminute").val();
    var startsec = $("#startsec").val();
    var endyear = $("#endyear").val();
    var endmonth = $("#endmonth").val();
    var enddate = $("#enddate").val();
    var endhour = $("#endhour").val();
    var endminute = $("#endminute").val();
    var endsec = $("#endsec").val();

    var starttime = startyear+'-'+startmonth+'-'+startdate + ' '+starthour+':'+startminute+':'+startsec;
    var endtime = endyear+'-'+endmonth+'-'+enddate + ' '+endhour+':'+endminute+':'+endsec;

    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    load_show();
    $.ajax({
        url:'../flow_direction/flowdir.php',
        dataType:'json',
        type:'post',
        data:{type:'flow_dir_check', devid:devid, sorttype:sorttype, destip:destip,
            flowtype:flowtype, topn:topn, tmstart:starttime, tmend:endtime, errname:errname},
        success:function(json){
            flow_dir_handle_data(json, devid, starttime, endtime);
            load_hide();
        }
    });
}

function flow_dir_check_custom()
{
    var devid = "";
    $('input[name="device"]').each(function(){
        if ($(this).attr("checked"))
            devid += $(this).val()+',';
    });
    devid = devid.substr(0, devid.length -1);
    if (devid == "") devid = 0;

    var flowtype = $("#flowtype").val();
    var destip = TrimAll($("#dest_ip").val());
    if (destip == "") destip = "none";
    var sorttype = $("#sorttype").val();
    var topn = $("#topn").val();
    var province = $("#province").val();
    var ip_cname = $("#ip_cname").val();
    var startyear = $("#startyear").val();
    var startmonth = $("#startmonth").val();
    var startdate = $("#startdate").val();
    var starthour = $("#starthour").val();
    var startminute = $("#startminute").val();
    var startsec = $("#startsec").val();
    var endyear = $("#endyear").val();
    var endmonth = $("#endmonth").val();
    var enddate = $("#enddate").val();
    var endhour = $("#endhour").val();
    var endminute = $("#endminute").val();
    var endsec = $("#endsec").val();

    var starttime = startyear+'-'+startmonth+'-'+startdate + ' '+starthour+':'+startminute+':'+startsec;
    var endtime = endyear+'-'+endmonth+'-'+enddate + ' '+endhour+':'+endminute+':'+endsec;

    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    load_show();
    $.ajax({
        url:'../flow_direction/flowdir.php',
        dataType:'json',
        type:'post',
        data:{type:'flow_dir_check_custom', devid:devid, sorttype:sorttype, destip:destip,
            flowtype:flowtype, topn:topn, tmstart:starttime, tmend:endtime, ip_cname:ip_cname,
            province:province, errname:errname},
        success:function(json){
            flow_dir_handle_data(json, devid, starttime, endtime);
            load_hide();
        }
    });
}

function flow_dir_handle_data(json, devid, starttime, endtime)
{
    var r, s;
    var len = json.rows.length;
    var trobj = $(".topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj;
    var href;
    var trbg = '';

    for (i = 0; i < len; i++){
        r = json.rows[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';

        if (trobj.eq(i+1).length > 0){
            tdobj = trobj.eq(i+1).find("td");

            tdobj.eq(0).text((i+1));
            tdobj.eq(1).html((r.ip));
            tdobj.eq(2).text(numberformats(r.upbytes));
            tdobj.eq(3).text(numberformats(r.downbytes));
            tdobj.eq(4).text(numberformats((r.upbytes+r.downbytes)));
            tdobj.eq(5).text(r.address);
            tdobj.eq(6).html('<a href="javascript:flowdir_trendwin(\''+
                devid+'\', \''+ r.ip+'\', \''+starttime+'\', \''+endtime+
                '\')"><img src="../img/chart_curve.png" title="查询时间段内流量趋势图" /></a>');
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="td-left-first">'+ (i+1)+'</td>'+
                '<td class="td-normal">'+ r.ip+'</td>'+
                '<td class="td-normal">'+ numberformats(r.upbytes)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.downbytes)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
                '<td class="td-normal">'+ r.address+'</td>'+
                '<td class="td-left-last"><a href="javascript:flowdir_trendwin(\''+
                    devid+'\', \''+ r.ip+'\', \''+starttime+'\', \''+endtime+
                    '\')"><img src="../img/chart_curve.png" title="查询时间段内流量趋势图" /></a></td>'+
                '</tr>';
            $(s).appendTo(".topapp-list-table table tbody");
        }
    }
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

/* 目标地址趋势图 */
function flowdir_trendwin(devid, destip, starttime, endtime)
{
    var divs = config.zindex++;

    $("<div id='flowdir_trendwin"+divs+"'></div>").appendTo("body");

    $('#flowdir_trendwin'+divs).load('../flow_direction/flowdirtrenddiv.php', {divs:divs, destip:destip}, function(){
        setWinpos("flowdir_trendwin"+divs, 750, 700, "flowdirtrend"+divs+"_con");

        $('#flowdir_trendwin'+divs).css('z-index', config.zindex++);

        //log_account_trend_data(accname, starttime, endtime);
        flowdir_trend_data(devid, destip, starttime, endtime, divs);
    });
}

function flowdir_trend_data(devid, destip, starttime, endtime, divs)
{
    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    load_show();

    $.ajax({
        url:'../flow_direction/flowdir.php',
        data:{type:'flowtrend', devid:devid, destip:destip, tmstart:starttime, tmend:endtime, errname:errname},
        type:'post',
        dataType:'json',
        success:function(json){
            flowdir_createtrend(json.result_up, "flowdirtrendup"+divs, "bpsup");
            flowdir_createtrend(json.result_down, "flowdirtrenddown"+divs, "bpsdown");
            load_hide();
        }
    });
}

function flowdir_createtrend(jsondata, render, datatype)
{
    var name;
    var units;

    if (datatype == "bpsup") {units="bps", name = "上行流量";}
    else if (datatype == "bpsdown") {units = "bps"; name = "下行流量";}
    else {units = "#flowcont";name = "连接数";}

    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: 'area'
        },
        title: {
            text: name+' - 趋势图',
            style:{fontSize:'14px'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            type: 'datetime',
            tickPixelInterval:80,
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: units
            }
        },
        tooltip: {
            formatter: function() {
                return '<b>'+this.series.name+'</b><br/>'+Highcharts.dateFormat('%Y/%m/%d %H:%M:%S', this.x) +'<br/>'+ numformats(this.y);
            }
        },
        plotOptions: {
            series: {
                shadow: false,
                marker: {
                    enabled: false,
                    symbol: 'circle',
                    radius: 2,
                    states: {
                        hover: {
                            enabled: true
                        }
                    }
                }
            }
        },
        legend: {
            enabled:false
        },
        credits: {
            enabled: false
        },
        series: [{name:name, data:[]}]
    }

    option.series = jsondata;
    var chart = new Highcharts.Chart(option);
}