// JavaScript Document
var config = {zindex:1000, params:""}

var render = "check_content";
var tableid = render+"_table";
var pager = render+"_pager";

function qqlist()
{
	$("#"+render).html("<br/><table id='"+tableid+"'></table><div id='"+pager+"'></div>");

	var url = getqqcheckurl(0);
	if (!url) return false;
	
	load_show();
	
	$("#"+tableid).jqGrid({
		datatype:"json",
		mtype:"get",
		url:url,
		altRow:true,
		jsonReader:{repeatitems:false},
    	height:700,
		width:$("#"+render).width(),
       	colNames:["设备ID", "账号", "用户账户", "类型", '时间', '用户IP地址', '服务IP地址'],
       	colModel:[
       		{name:'devid', index:'devid', width:50, align:"center", sortable:false},
       		{name:'qq',index:'qq', width:90, align:"right"},
       		{name:'account',index:'account', width:150, align:"right"},
       		{name:'type',index:'type', align:"right", width:100},
			{name:'time',index:'time', align:"right"},
			{name:'ip',index:'ip', align:"right"},
			{name:'serip',index:'serip', align:"right"}
       	],
		subGrid:false,
       	multiselect: false,
		multiboxonly:false,
		//loadui:"disable",
		pager:pager,
		rowNum:30,
		rowList:[30, 50, 100],
		caption:'虚拟身份',
		loadComplete:function(data){load_hide();}
    });
}

function qqcheckpanel()
{
	$('#check_event').load('checkpanel-html.php', function(){	
		getdevice();
		filltime();
		
		$("#qqcheck").click(qqlist);
	});
}

function qq_export(exportid)
{
	var url = getqqcheckurl(exportid);
	
	load_show();
	
	$.ajax({
		url:url,
		type:'get',
		success:function(data){
			$("#downdiv").html('');
			$('<a href="../download/'+data+'" style="color:#f00;">右键另存为：'+data+'</a>').appendTo("#downdiv");
			
			load_hide();
		}
	});
}

function getqqcheckurl(exportid)
{
	var string = "";
	
	var devid = $("#device").val();
	var ipaddr = $("#ipaddr").val();
	var qq = $("#qqaccount").val();
	var accounttype = $("#accounttype").val();

	var startyear = $("#startyear").val();
	var startmonth = $("#startmonth").val();
	var startdate = $("#startdate").val();
	var starthour = $("#starthour").val();
	var startminute = $("#startminute").val();
	var startsec = $("#startsec").val();
	var endyear = $("#endyear").val();
	var endmonth = $("#endmonth").val();
	var enddate = $("#enddate").val();
	var endhour = $("#endhour").val();
	var endminute = $("#endminute").val();
	var endsec = $("#endsec").val();
	
	var startdt = startyear+'-'+startmonth+'-'+startdate;
	var enddt = endyear+'-'+endmonth+'-'+enddate;
	
	var strparams = '../QQ/qqlist.php?devid='+devid + '&ip=' + ipaddr + '&qq=' + qq + 
		'&startdt=' + startdt + ' ' + starthour+':'+startminute+':'+startsec+'&enddt='+enddt+' '+endhour+':'+endminute+':'+endsec + 
		'&eventtype='+accounttype;
	
	return string = strparams + '&export='+exportid;
}

function getdevice()
{
	var h = "<option value='0'>任意设备</option>";
	$(h).appendTo("#device");
	
	$.getJSON("../getdevice.php", function(data){
		for (var i = 0; i < data.result.length; i++)
		{
			h = "<option value='"+data.result[i].devid+"'>"+data.result[i].devname+"</option>";
			$(h).appendTo("#device");
		}
	});
}

function filltime()
{
	var h = "";
	var dt = new Date();
	var dt2 = dt - 3600 * 1000;
	dt2 = new Date(dt2);
	
	var days = 30;
	var curyear = dt.getFullYear();
	var curmonth = dt.getMonth()+1;
	var curdate = dt.getDate();
	var curhour = dt.getHours();
	var curminute = dt.getMinutes();
	var curyear2 = dt2.getFullYear();
	var curmonth2 = dt2.getMonth()+1;
	var curdate2 = dt2.getDate();
	var curhour2 = dt2.getHours();
	var curminute2 = dt2.getMinutes();
	
	switch(curmonth)
	{
		case 1: days = 31;
		break;
		case 2: days = 28;
		break;
		case 3: days = 31;
		break;
		case 4: days = 30;
		break;
		case 5: days = 31;
		break;
		case 6: days = 30;
		break;
		case 7: days = 31;
		break;
		case 8: days = 31;
		break;
		case 9: days = 30;
		break;
		case 10: days = 31;
		break;
		case 11: days = 30;
		break;
		case 12: days = 31;
		break;
	}
	
	for (var i = 2005; i <= 2015; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo("#startyear");
		$(h).appendTo("#endyear");
	}
	
	for (var i = 1; i <= 12; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo("#startmonth");
		$(h).appendTo("#endmonth");
	}
	
	for (var i = 1; i <= days; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo("#startdate");
		$(h).appendTo("#enddate");
	}
	
	for (var i = 0; i <= 23; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo("#starthour");
		$(h).appendTo("#endhour");
	}
	
	for (var i = 0; i <= 59; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo("#startminute");
		$(h).appendTo("#endminute");
	}
	
	for (var i = 0; i <= 59; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo("#startsec");
		$(h).appendTo("#endsec");
	}
	
	$("#startyear").val(curyear2);
	$("#startmonth").val(curmonth2);
	$("#startdate").val(curdate2);
	$("#starthour").val(curhour2);
	$("#startminute").val(curminute2);
	
	$("#endyear").val(curyear);
	$("#endmonth").val(curmonth);
	$("#enddate").val(curdate);
	$("#endhour").val(curhour);
	$("#endminute").val(curminute);

    /********************************************/
    $("#startmonth").change(function(){
        var monstart = $(this).val();
        $("#startdate").html('');

        switch(parseInt(monstart)){
    		case 1: days = 31;
    		break;
    		case 2: days = 28;
    		break;
    		case 3: days = 31;
			break;
			case 4: days = 30;
			break;
			case 5: days = 31;
			break;
			case 6: days = 30;
			break;
			case 7: days = 31;
    		break;
    		case 8: days = 31;
    		break;
    		case 9: days = 30;
    		break;
    		case 10: days = 31;
    		break;
    		case 11: days = 30;
    		break;
    		case 12: days = 31;
    		break;
    	}
        for (var i = 1; i <= days; i++){
    		h = "<option value='"+i+"'>"+i+"</option>";
    		$(h).appendTo("#startdate");
    		//$(h).appendTo("#enddate");
    	}
    });

    $("#endmonth").change(function(){
        var monend = $(this).val();
        $("#enddate").html('');

        switch(parseInt(monend)){
    		case 1: days = 31;
    		break;
    		case 2: days = 28;
    		break;
    		case 3: days = 31;
			break;
			case 4: days = 30;
			break;
			case 5: days = 31;
			break;
			case 6: days = 30;
			break;
			case 7: days = 31;
    		break;
    		case 8: days = 31;
    		break;
    		case 9: days = 30;
    		break;
    		case 10: days = 31;
    		break;
    		case 11: days = 30;
    		break;
    		case 12: days = 31;
    		break;
    	}
        for (var i = 1; i <= days; i++){
    		h = "<option value='"+i+"'>"+i+"</option>";
    		$(h).appendTo("#enddate");
    		//$(h).appendTo("#enddate");
    	}
    });
}

$(document).ready(function(){
	load_top_html("qq");
	qqcheckpanel();
	//createrightbox();
});