<?php

$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");

// 如果是这几个目录下的文件下载，则不需要认证
if(in_array($resources, 
	array(
		'download',
		'js',
	))) {
	return true;
}

// 如果是404.html页面，则不需要认证
if (strpos($_SERVER['REQUEST_URI'], '/404.html') !== false)
	return true;

// 如果是从 index.php 访问静态文件，则不需要认证
if (strpos($_SERVER['HTTP_REFERER'], '/index.php') !== false)
	return true;

if (strpos($_SERVER['HTTP_REFERER'], '/page.php') !== false)
        return true;

if (substr($_SERVER['HTTP_REFERER'], -1) == '/')                  
        return true;

session_start();
if (!chksession()) {
	if(isset($_SERVER['REQUEST_SCHEME']) && $_SERVER['REQUEST_SCHEME'] != '')
		$http = $_SERVER['REQUEST_SCHEME'];
	else
	if(isset($_SERVER['HTTPS']) && $_SERVER['HTTPS'] == 'on')
		$http = 'https';
	else
		$http = 'http';

	// 未认证则跳到登陆页面
	header("Location: {$http}://{$_SERVER['HTTP_HOST']}/index.php", true, 302);
	exit;
}
