<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function mysubmit()
{
	var user = $("#user").val();
	var oripass = $("#oripass").val();
	var newpass = $("#newpass").val();
	var renewpass = $("#renewpass").val();

	if (oripass == "" || newpass == "" || renewpass == "") {
		alert("请输入密码");
		return false;
	}
	if (newpass != renewpass) {
		alert("新密码不一致");
		return false;
	}

	if (!confirm("确认要修改密码吗"))
		return false;
	$.ajax({
		url: "handle.php",
		dataType:"json",
		data: {user: user, oripass: oripass, newpass: newpass},
		type: "post",
		success: function(json) {
			if (json.yn == "no")
				alert(json.str);
			else {
				alert("操作成功");
				location.reload();
			}
		}
	});
}
</script>
</head>
<body>
<div style="padding:10px; border-bottom:1px solid #ddd;">
	<div>
		<table style="width:100%;">
			<tr>
				<td width="80px" class="txt-right">用户名</td>
				<td class="txt-center">
					<input type="text" value="<?=$_SESSION['palog_username']?>" id="user" style="width:150px;" readonly />
				</td>
			</tr>
			<tr>
				<td width="80px" class="txt-right">原密码</td>
				<td class="txt-center">
					<input type="password" value="" id="oripass" style="width:150px;" />
				</td>
			</tr>
			<tr>
				<td width="80px" class="txt-right">新密码</td>
				<td class="txt-center">
					<input type="password" value="" id="newpass" style="width:150px;" />
				</td>
			</tr>
			<tr>
				<td width="80px" class="txt-right">重复新密码</td>
				<td class="txt-center">
					<input type="password" value="" id="renewpass" style="width:150px;" />
				</td>
			</tr>
		</table>
	</div>
</div>
<div class="txt-right" style="margin-top:10px;">
	<input type="button" value="提交" onclick="mysubmit()" />
</div>
</body>
</html>

