<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$id = $_GET['id'];
$cname = $_GET['cname'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET['ip']?> 时延趋势图</title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/app_common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript">
function action_submit()
{
	var devid = getdevice();
	var ip = $("#ip").val();
	var appid = $("#appid").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'ajax_npm.php',
		dataType:'json',
		type: 'post',
		data:{action: 'iptrend', starttime:starttime, endtime:endtime, errname:errname, devid: devid, appid: appid, ip: ip},
		success:function(json) {
			cluster_load_hide();
			$(".npmtrend-nav").show();
			draw_trend(json.date, json.clnt, "clntrender");
			draw_trend(json.date, json.svr, "svrrender");
			draw_trend(json.date, json.app, "apprender");
		}
	});
}

function draw_trend(xdate, ydata, render)
{
	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, "macarons");

	switch(render) {
	case "clntrender":
		title = "客户端时延/ms";
		break;
	case "svrrender":
		title = "服务时延/ms";
		break;
	case "apprender":
		title = "应用时延/ms";
		break;
	}

	var fontfamily = "微软雅黑";
	var fontsize = 14;

	option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 12
			}
		},
		title: {
			text: title,
			left: '1%',
			top:0,
			textStyle: {
				fontSize: 14,
				color: '#555'
			}
		},
		xAxis: {
			type: 'category',
			//boundaryGap: false,
			data: xdate
		},
		grid: {
			left: '8%',
			top: '15%',
			right:'3%'
		},
		yAxis: {
			type: 'value',
			nameLocation: 'end',
			nameTextStyle: {
				fontSize: 12,
				fontFamily: 'Microsoft YaHei'
			},
			//boundaryGap: [0, '100%']
		},
		series: [{
				name:'平均时延',
				type:'line',
				smooth:true,
				symbol: 'none',
				sampling: 'average',
				itemStyle: {
					//color: 'rgb(225, 70, 131)'
				},
				areaStyle: {
				},
				data: ydata
			}
		]
	};

	myChart.setOption(option);
}

</script>
</head>

<body>
<div>
<?php
$devid = $_GET["devid"];
$appid = $_GET["appid"];
$ip = $_GET["ip"];
$starttime = $_GET["starttime"];
$endtime = $_GET["endtime"];

$url1 = "iptrend_popup.php?devid=$devid&ip=$ip&appid=$appid&starttime=$starttime&endtime=$endtime";
$url2 = "npmip_applist.php?devid=$devid&ip=$ip&appid=$appid&starttime=$starttime&endtime=$endtime";
?>
	<input type="hidden" value="<?=$devid?>" id="devid" />
	<input type="hidden" value="<?=$appid?>" id="appid" />
	<input type="hidden" value="<?=$ip?>" id="ip" />
	<input type="hidden" value="<?=$starttime?>" id="starttime" />
	<input type="hidden" value="<?=$endtime?>" id="endtime" />
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li class="active"><a href="<?=$url1?>">时延趋势</a></li>
			<li><a href="<?=$url2?>">应用详情</a></li>
		</ul>
	</div>
	<div style="position:relative; display:none;" class="npmtrend-nav">
		<div id="clntrender" style="height:300px;overflow:hidden;margin-top:15px;"></div>
		<div id="svrrender" style="height:300px;overflow:hidden;margin-top:15px;"></div>
		<div id="apprender" style="height:300px;overflow:hidden;margin-top:15px;"></div>
	</div>
</div>
<script>
action_submit();
</script>
</body>
</html>

