<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var start = 0;
var page = 1;
var limit = 50;
var pagestop = 0;

function pre() 
{
	page--;
	if (page <= 0)
		page = 1;
	
	pagestop = 0;
	
	ipv6_check(0);
}

function next() 
{
	page++;
	
	ipv6_check(0);
}

function button_click()
{
	page = 1;
	
	pagestop = 0;
	
	ipv6_check(0);
}

function ipv6_export(bexport)
{
	if(!confirm("确认要导出所选时间段的数据吗"))
		return false;

	ipv6_check(bexport);
}

function ipv6_check(bexport)
{
	if (pagestop && bexport == 0) {
		alert("已经是最后一页了");
		return false;
	}
	
	var devid = getdevice();
	var domain = TrimAll($("#domain").val());
	var ipaddr = TrimAll($("#ipaddr").val());
	var dstip = TrimAll($("#dstip").val());
	var sport = TrimAll($("#sport").val());
	var dport = TrimAll($("#dport").val());
	var ptype = $("#ptype").val();

	var appid = $("#hidappname").val();
	if (appid == "root") appid = -1;

	var clnt_mindelay = TrimAll($("#clnt_mindelay").val());
	var svr_mindelay = TrimAll($("#svr_mindelay").val());
	var app_mindelay = TrimAll($("#app_mindelay").val());
	if (clnt_mindelay == "") clnt_mindelay = 0;
	if (svr_mindelay == "") svr_mindelay = 0;
	if (app_mindelay == "") app_mindelay = 0;

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startminute = $("#startminute").val();
	var startsec = 0;
	var endhour = $("#endhour").val();
	var endminute = $("#endminute").val();
	var endsec = 59;
	var starttime = start+ ' '+starthour+':'+startminute+':'+startsec;
	var endtime = end+' '+endhour+':'+endminute+':'+endsec;
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'ajax_ipv6.php',
		data:{action:"ipv6_list", devid:devid, ipaddr:ipaddr, starttime:starttime, 
			endtime:endtime, errname:errname, bexport:bexport, 
			clnt_mindelay:clnt_mindelay, svr_mindelay:svr_mindelay, app_mindelay:app_mindelay, 
			appid: appid, page: page, limit:limit, domain: domain, 
			dstip: dstip, sport: sport, dport: dport, ptype: ptype},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();

			pagestop = 1;
			if (json.rows && json.rows.length >= limit)
			       	pagestop = 0;
				
			laypage.render({
				elem: 'pagebar-div',
				count: json.totalrecord,
				limit: limit,
				first: '首页',
				last: '尾页',
				layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
				limits:[25, 50, 100, 200],
				theme: '#00A0E9',
				curr: page,
				jump: function(obj, first) {
					if (!first) {
						page = obj.curr;
						limit = obj.limit;
						ipv6_check(0);
					}
				}
			});

			if (bexport == 0)
				data_update(json, starttime, endtime);
			else 
				cluster_downloadfile("");
		}
	});
}

function data_update(json)
{
	var list = document.getElementById("ipv6_table");
	while (list.rows.length > 1)
		list.deleteRow(1);

	var start = (page - 1) * limit;

	for (i = 0; i < json.rows.length; i++){
		r = json.rows[i];

		obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		var pos = 0;
		col = obj.insertCell(pos++);
		col.setAttribute('align', 'center');
	       	col.innerHTML = start+i+1;

		col = obj.insertCell(pos++);
		col.setAttribute('align', 'center');
	       	col.innerHTML = r.devid;

		col = obj.insertCell(pos++);
		col.setAttribute('align', 'center');
	       	col.innerHTML = r.appcname;

		col = obj.insertCell(pos++);
		col.setAttribute('align', 'center');
		switch(r.ptype) {
		case "6":
			col.innerHTML = "TCP";
			break;
		case "17":
			col.innerHTML = "UDP";
			break;
		case "1":
			col.innerHTML = "ICMP";
			break;
		}

		col = obj.insertCell(pos++);
		col.setAttribute('align', 'center');
		col.innerHTML = r.starttime + '<br/>' + r.endtime;

		col = obj.insertCell(pos++);
		col.setAttribute('align', 'left');
		col.innerHTML = r.srcip+'/'+r.srcport;

		col = obj.insertCell(pos++);
		col.setAttribute('align', 'left');
		col.innerHTML = r.dstip+'/'+r.dstport;

		col = obj.insertCell(pos++);
		col.setAttribute('align', 'left');
		col.innerHTML = r.host;

		col = obj.insertCell(pos++);
		col.setAttribute('align', 'right');
		col.innerHTML = r.up+'/'+r.down;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		ms = r.clntdelay / 1000;
		s1 = ms.toFixed(2);
		ms = r.svrdelay / 1000;
		s2 = ms.toFixed(2);
		ms = r.appdelay / 1000;
		s3 = ms.toFixed(2);
		cell.innerHTML = s1 + '/' + s2 + '/' + s3;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");

		retmix1 = retmix2 = 0;
		if (r.pkts1 != 0)
			retmix1 = (r.retmixpkts1 / r.pkts1 * 100).toFixed(2) + '%';
		if (r.pkts2 != 0)
			retmix2 = (r.retmixpkts2 / r.pkts2 * 100).toFixed(2) + '%';
		cell.innerHTML = retmix1 + '/' + retmix2 + '<br/>['+r.retmixpkts1+' '+r.pkts1+'/'+r.retmixpkts2+' '+r.pkts2+']';
		cell.setAttribute("title", "上行重传率/下行重传率\n[上行重传包数 上行总包数 / 下行重传包数 下行总包数]");
	}
}

function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}

	$("<div id='showapptree_win'></div>").appendTo("body");

	$('#showapptree_win').load('../user_behavior/treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");

		$('#showapptree_win').css('z-index', config.zindex++);

		createtree();

		$("#checkapp").focus();
	});
}

var trees;
function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("../user_behavior/checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect(\""+r.id+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}

function appselect(id, name, cname)
{
	$("#hidappname").val(id);
	$("#appcname").val(cname);

	$('#showapptree_win').hide();
}
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class=""><a href="index.php">基础查询</a></li>
			<li class=""><a href="npm-analysis.php">异常分析</a></li>
<?php
$free = getversion();
if (!$free) {
	echo '<li class="active"><a href="ipv6_npm.php">IPv6</a></li>';
}
?>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>源地址</label>
				<input type="text" id="ipaddr" value="" style="width:100px;" />
			</li>
			<li>
				<label>源端口</label>
				<input type="text" id="sport" value="" style="width:40px;" />
			</li>
			<li class="dstip-dis">
				<label>目标地址</label>
				<input type="text" id="dstip" value="" style="width:100px;" />
			</li>
			<li>
				<label>目的端口</label>
				<input type="text" id="dport" value="" style="width:40px;" />
			</li>
			<li>
				<label>协议类型</label>
				<select id="ptype" style="width:60px;">
					<option value="0">所有类型</option>
					<option value="6">TCP</option>
					<option value="17">UDP</option>
				</select>
			</li>
			<li>
				<label>协议</label>
				<input type="button" value="选择协议" onclick="showapptree()" />
				<input type="text" id="appcname" value="任意" readonly style="width:80px;" />
				<input type="hidden" value="-1" id="hidappname" />
			</li>
			<li>
				<label>域名</label>
				<input type="text" id="domain" value="" style="width:100px;" />
			</li>
			<li>
				<label>客户时延大于</label>
				<input type="text" id="clnt_mindelay" value="0" style="width:40px" />ms
			</li>
			<li>
				<label>服务时延大于</label>
				<input type="text" id="svr_mindelay" value="0" style="width:40px" />ms
			</li>
			<li>
				<label>应用时延大于</label>
				<input type="text" id="app_mindelay" value="0" style="width:40px" />ms
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<select id="starthour" style="width:50px"></select>时&nbsp;
				<select id="startminute" style="width:50px"></select>分&nbsp;
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<select id="endhour" style="width:50px"></select>时&nbsp;
				<select id="endminute" style="width:50px"></select>分&nbsp;
			</li>
			<li>
				<a class="btn-extend-color" onclick="button_click()">查询</a>
				<a class="btn-extend-gray" onclick="ipv6_export(1)">EXCEL</a>
				<a class="btn-extend-gray" onclick="ipv6_export(2)">TXT</a>
				<a class="btn-extend-gray" onclick="ipv6_export(3)">CSV</a>
				<a class="btn-extend-gray" onclick="cluster_downloadfile('')">下载列表</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table id="ipv6_table" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th class="txt-center" style="width:30px;">序号</th>
				<th class="txt-center" width="30px">设备</th>
				<th class="txt-left">协议名称</th>
				<th class="txt-left" width="40px">类型</th>
				<th class="txt-left" width="130px">连接时间</th>
				<th class="txt-left">源地址/端口</th>
				<th class="txt-left">目标地址/端口</th>
				<th class="txt-left" width="120px">域名</th>
			       	<th class="txt-right">流量/byte<br/>上行/下行</th>
				<th class="txt-right" width="100px">时延(ms)<br/>客户/服务/应用</th>
				<th class="txt-right" width="100px">重传率<br/>上行/下行</th>
			</tr>
	       	</table>
		<div id="pagebar-div">
		</div>
       	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var laypage, layer;
layui.use(['laypage', 'layer'], function(){
	laypage = layui.laypage, layer= layui.layer;
})
filltime();
showdevicetree();

$("[name='dstipgrp_enable']").click(function(){
	if ($(this).attr("checked")) {
		$(".dstipgrp-dis").show();
		$(".dstip-dis").hide();
	}
	else {
		$(".dstipgrp-dis").hide();
		$(".dstip-dis").show();
	}
});
</script>
</body>
</html>
