<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var _cachefile = '';
function npm_sum()
{
	var devid = getdevice();
	var account = TrimAll($("#account").val());
	var ipaddr = TrimAll($("#ipaddr").val());
	var dstip = TrimAll($("#dstip").val());
	var appid = $("#hidappid").val();
	var domain = TrimAll($("#domain").val());
	var areaname = TrimAll($("#areaname").val());
	var clnt_mindelay = TrimAll($("#clnt_mindelay").val());
	var svr_mindelay = TrimAll($("#svr_mindelay").val());
	var app_mindelay = TrimAll($("#app_mindelay").val());
	// 上行重传率
	var up_retmix = TrimAll($("#up_retmix").val());
	// 下行重传率
	var down_retmix = TrimAll($("#down_retmix").val());
	if (up_retmix == "" || isNaN(up_retmix)) up_retmix = 0;
	if (down_retmix == "" || isNaN(down_retmix)) down_retmix = 0;

	if (clnt_mindelay == "") clnt_mindelay = 0;
	if (svr_mindelay == "") svr_mindelay = 0;
	if (app_mindelay == "") app_mindelay = 0;

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var startmin = $("#startmin").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':0';

	var fullmatch = 0;
	if ($("[name='fullmatch']").eq(0).attr("checked"))
		fullmatch = 1;

	// 源IP群组
	var srciptype = "ipcustom";	/* 自定义 */
	if ($("[name='srcipgrp_enable']").eq(0).attr("checked"))
		srciptype = "ipgrp";	/* IP群组 */
	var srcipgrp = $("#srcipgrp").val();

	// 目标IP群组
	var dstiptype = "ipcustom";	/* 自定义 */
	if ($("[name='dstipgrp_enable']").eq(0).attr("checked"))
		dstiptype = "ipgrp";	/* IP群组 */
	var dstipgrp = $("#dstipgrp").val();

	var sport = $("#srcport").val();
	var dport = $("#dstport").val();
	var ptype = $("#ptype").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	_cachefile = getcachefile();

	$.ajax({
		url:'ajax_npm.php',
		dataType:'json',
		type: 'post',
		data:{
			action: 'npm_sum'
			,ipaddr:ipaddr
			,starttime:starttime
			,endtime:endtime
			,errname:errname
			,appid:appid
			,devid: devid
			,account: account
			,dstip: dstip
			,clnt_mindelay:clnt_mindelay
			,svr_mindelay:svr_mindelay
			,app_mindelay:app_mindelay
			,domain:domain
			,fullmatch: fullmatch
			,sport:sport
			,dport:dport
			,ptype:ptype
			,srciptype: srciptype
			,srcipgrp:srcipgrp
			,areaname:areaname
			,dstiptype:dstiptype
			,dstipgrp:dstipgrp
			,up_retmix:up_retmix
			,down_retmix:down_retmix
			,cachefile:_cachefile
		},
		success:function(json) {
			cluster_load_hide();

			$(".npmsumtrend").show();
			draw_trend(json.xdate, json.clntdata, "clntrender");
			draw_trend(json.xdate, json.svrdata, "svrrender");
			draw_trend(json.xdate, json.appdata, "apprender");

			show_srcip(_query_action.list);
			show_dstip(_query_action.list);
			show_app(_query_action.list);
		}
	});
}

// 累计连接数
var _sort = 'total';
function show_srcip(bexport)
{
	var errname = (new Date()).getTime()+'.st';

	table.render({
		elem: '#srctable',
		url: 'ajax_npm.php',
		where:{action:'npmsum_srclist', cachefile:_cachefile, errname:errname, sort:_sort, bexport:bexport},
		method:'post',
		autoSort: false,
		toolbar:true,
		defaultToolbar:['clearCache', 'filter', 'print',{
			title:'导出'
			,layEvent:'event-export'
			,icon:'layui-icon-export'
		}],
		page:true,
		cols:[[
			{field:'id', width:30,title:'序号', fixed:'center'}
			,{field:'ip', title:'源IP', fixed:'left', templet:function(o){
				return '<a lay-event="srcopen">'+o.ip+'</a>';
			}}
			,{field:'total', title:'连接数', fixed:'right', sort:true}
			,{field:'max', title:'最大时延', fixed:'right', sort:true}
			,{field:'delay', title:'平均时延', fixed:'right', sort:true}
		]]
	});

	table.on('sort(ft-npmsum-src)', function(obj){
		_sort = obj.field;
		table.reload('srctable', {
			initSort:obj
			,where: {
				sort:obj.field
				,order:obj.type
			}
		});
	});

	table.on('tool(ft-npmsum-src)', function(obj){
		switch (obj.event) {
		case 'srcopen':
			var url = "npmsum_open.php";
			url += '?ipaddr='+obj.data.ip;
			npmsum_open(url, "ipaddr");
			break;
		}
	})

	table.on('toolbar(ft-npmsum-src)', function(obj){
		switch (obj.event) {
		case 'event-export':
			var url = 'ajax_npm.php?action=npmsum_srclist&bexport='+(_query_action.excel)+'&cachefile='+_cachefile+'&sort=delay';
			window.open(url);
			break;
		}
	})
}

function npmsum_open(url, tag)
{
	var devid = getdevice();
	var account = TrimAll($("#account").val());
	var ipaddr = TrimAll($("#ipaddr").val());
	var dstip = TrimAll($("#dstip").val());
	var appid = $("#hidappid").val();
	var domain = TrimAll($("#domain").val());
	var areaname = TrimAll($("#areaname").val());
	var clnt_mindelay = TrimAll($("#clnt_mindelay").val());
	var svr_mindelay = TrimAll($("#svr_mindelay").val());
	var app_mindelay = TrimAll($("#app_mindelay").val());

	// 上行重传率
	var up_retmix = TrimAll($("#up_retmix").val());
	// 下行重传率
	var down_retmix = TrimAll($("#down_retmix").val());
	if (up_retmix == "" || isNaN(up_retmix)) up_retmix = 0;
	if (down_retmix == "" || isNaN(down_retmix)) down_retmix = 0;

	if (clnt_mindelay == "") clnt_mindelay = 0;
	if (svr_mindelay == "") svr_mindelay = 0;
	if (app_mindelay == "") app_mindelay = 0;

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var startmin = $("#startmin").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':0';

	var fullmatch = 0;
	if ($("[name='fullmatch']").eq(0).attr("checked"))
		fullmatch = 1;

	// 源IP群组
	var srciptype = "ipcustom";	/* 自定义 */
	if ($("[name='srcipgrp_enable']").eq(0).attr("checked"))
		srciptype = "ipgrp";	/* IP群组 */
	var srcipgrp = $("#srcipgrp").val();

	// 目标IP群组
	var dstiptype = "ipcustom";	/* 自定义 */
	if ($("[name='dstipgrp_enable']").eq(0).attr("checked"))
		dstiptype = "ipgrp";	/* IP群组 */
	var dstipgrp = $("#dstipgrp").val();

	var sport = $("#srcport").val();
	var dport = $("#dstport").val();
	var ptype = $("#ptype").val();

	url += '&devid='+devid;
	url += '&account='+account;
	if (tag != "ipaddr")
		url += '&ipaddr='+ipaddr;
	if (tag != "dstip")
		url += '&dstip='+dstip;
	if (tag != "app")
		url += '&appid='+appid;
	url += '&domain='+domain;
	url += '&areaname='+areaname;
	url += '&clnt_mindelay='+clnt_mindelay;
	url += '&svr_mindelay='+svr_mindelay;
	url += '&app_mindelay='+app_mindelay;
	url += '&up_retmix='+up_retmix;
	url += '&down_retmix='+down_retmix;
	url += '&starttime='+starttime;
	url += '&endtime='+endtime;
	url += '&srciptype='+srciptype;
	url += '&srcipgrp='+srcipgrp;
	url += '&dstiptype='+dstiptype;
	url += '&dstipgrp='+dstipgrp;
	url += '&sport='+sport;
	url += '&dport='+dport;
	url += '&ptype='+ptype;

	window.open(url, "_blank", "width=1000px,height=500px");
}

function show_dstip(bexport)
{
	var errname = (new Date()).getTime()+'.st';

	table.render({
		elem: '#dsttable',
		url: 'ajax_npm.php',
		where:{action:'npmsum_dstlist', cachefile:_cachefile, errname:errname, sort:_sort, bexport:bexport},
		method:'post',
		autoSort: false,
		title:'目标IP/服务时延',
		page:true,
		toolbar:true,
		defaultToolbar:['clearCache', 'filter', 'print',{
			title:'导出'
			,layEvent:'event-export'
			,icon:'layui-icon-export'
		}],
		cols:[[
			{field:'id', width:30,title:'序号', fixed:'center'}
			,{field:'ip', title:'目标IP', fixed:'left', templet:function(o){
				return '<a lay-event="dstopen">'+o.ip+'</a>';
			}}
			,{field:'total', title:'连接数', fixed:'right', sort:true}
			,{field:'max', title:'最大时延', fixed:'right', sort:true}
			,{field:'delay', title:'平均时延', fixed:'right', sort:true}
		]]
	});

	table.on('sort(ft-npmsum-dst)', function(obj){
		_sort = obj.field;
		table.reload('dsttable', {
			initSort:obj
			,where: {
				sort:obj.field
				,order:obj.type
			}
		});
	});

	table.on('tool(ft-npmsum-dst)', function(obj){
		switch (obj.event) {
		case 'dstopen':
			var url = "npmsum_open.php";
			url += '?dstip='+obj.data.ip;
			npmsum_open(url, "dstip");
			break;
		}
	})

	table.on('toolbar(ft-npmsum-dst)', function(obj){
		switch (obj.event) {
		case 'event-export':
			var url = 'ajax_npm.php?action=npmsum_dstlist&bexport='+(_query_action.excel)+'&cachefile='+_cachefile+'&sort=delay';
			window.open(url);
			break;
		}
	})
}

function show_app(bexport)
{
	var errname = (new Date()).getTime()+'.st';

	table.render({
		elem: '#apptable',
		url: 'ajax_npm.php',
		where:{action:'npmsum_applist', cachefile:_cachefile, errname:errname, sort:_sort, bexport:bexport},
		method:'post',
		autoSort: false,
		page:true,
		toolbar:true,
		defaultToolbar:['clearCache', 'filter', 'print',{
			title:'导出'
			,layEvent:'event-export'
			,icon:'layui-icon-export'
		}],
		cols:[[
			{field:'id', width:30,title:'序号', fixed:'center'}
			,{field:'cname', title:'协议名称', fixed:'left', templet:function(d){
				return '<a lay-event="appopen">'+d.cname+'</a>';
			}}
			,{field:'appid', hide:true}
			,{field:'total', title:'连接数', fixed:'right', sort:true}
			,{field:'max', title:'最大时延', fixed:'right', sort:true}
			,{field:'delay', title:'平均时延', fixed:'right', sort:true}
		]]
	});

	table.on('sort(ft-npmsum-app)', function(obj){
		_sort = obj.field;
		table.reload('apptable', {
			initSort:obj
			,where: {
				sort:obj.field
				,order:obj.type
			}
		});
	});

	table.on('tool(ft-npmsum-app)', function(obj){
		switch (obj.event) {
		case 'appopen':
			var url = "npmsum_open.php";
			url += '?appid='+obj.data.appid;
			npmsum_open(url, "app");
			break;
		}
	})
	table.on('toolbar(ft-npmsum-app)', function(obj){
		switch (obj.event) {
		case 'event-export':
			var url = 'ajax_npm.php?action=npmsum_applist&bexport='+(_query_action.excel)+'&cachefile='+_cachefile+'&sort=delay';
			window.open(url);
			break;
		}
	})
}

function draw_trend(xdate, ydata, render)
{
	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, "macarons");

	switch(render) {
	case "clntrender":
		title = "客户端时延/ms";
		break;
	case "svrrender":
		title = "服务时延/ms";
		break;
	case "apprender":
		title = "应用时延/ms";
		break;
	}

	var fontfamily = "微软雅黑";
	var fontsize = 14;

	var option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'] + 'ms';
			},
			textStyle: {
				fontSize: 12
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value) + 'ms';
				}
				return htm;
			}
		},
		title: {
			left: '1%',
			text: title,
			top:20,
			textStyle: {
				fontFamily: fontfamily,
				fontSize: 14
			}
		},
		xAxis: {
			type: 'category',
			data: xdate,
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
		},
		yAxis: {
			type: 'value',
			min:0,
			nameLocation: 'end',
			nameTextStyle: {
				fontSize: 12,
				fontFamily: 'Microsoft YaHei'
			},
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
		},
		series: [{
			name:'平均时延',
			type:'line',
			smooth:true,
			symbol: 'none',
			sampling: 'average',
			itemStyle: {
				//color: 'rgb(225, 70, 131)'
			},
			//areaStyle: {
			//},
			data:ydata
		}]
	};
	myChart.setOption(option, true);
}

function appview(appid, cname)
{
	var w = 900;
	var h = window.screen.height - 150;
	var l = (window.screen.width - w)/2;

	var devid = getdevice();
	var account = TrimAll($("#account").val());
	var ipaddr = TrimAll($("#ipaddr").val());

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var starttime = start + ' '+starthour+':0:0';
	var endtime = end + ' '+endhour+':0:0';

	var grpid = 0;
	var iptype = "ipcustom";
	if ($("[name='isipgrp']").attr("checked")) {
		grpid = $("#ipgroup").val();
		iptype = "ipgrp";
	}

	window.open("../content-apply/app_iplist.php?devid="+devid+"&account="+account+
		"&appid="+appid+"&cname="+cname+"&starttime="+starttime+
		"&endtime="+endtime+"&ipaddr="+ipaddr+"&iptype="+iptype+"&grpid="+grpid, 
		"_blank", "width="+w+"px, height="+h+"px, left="+l+"px");
}

function npm_hostdelay(host)
{
	var devid = getdevice();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var startmin = $("#startmin").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':0';

	var url = 'npm_hostdelay.php?host='+host+'&starttime='+starttime+'&endtime='+endtime+'&devid='+devid;
	var args = '';
	var height = parent.window.screen.clientHeight + 'px';

	ShowWindow(url, args, 800, height);
}


function change_iptype()
{
	$("[name='isipgrp']").click(function(){
		if ($(this).attr("checked")) {
			$("#ipcustom").hide();
			$("#ipgrp").show();
		}
		else {
			$("#ipcustom").show();
			$("#ipgrp").hide();
		}
	});
}

function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}

	$("<div id='showapptree_win'></div>").appendTo("body");

	$('#showapptree_win').load('../user_behavior/treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");

		$('#showapptree_win').css('z-index', config.zindex++);

		createtree();

		$("#checkapp").focus();
	});
}
var trees;
function createtree()
{
	var data;
	var devid;

	trees = new dTree('trees');
	trees.add(0, -1, '选择协议');

	load_show();
	$.ajax({
		url:'../user_behavior/tree.php',
		type:'get',
		dataType:'json',
		success:function(data){
			for (var i = 0; i < data.result.length; i++){
				r = data.result[i];

				if (r.name != "root")
					trees.add(r.id, r.parent, r.cname, 
				"javascript:appselect("+r.id+", '"+r.name+"', '"+r.cname+"')");
				else
					trees.add(r.id, r.parent, r.cname, 
				"javascript:appselect(1044, 'any', '"+r.cname+"')");
			}

			var tree = trees.toString();
			$("#treelist").html(tree);

			data.result.length = 0;

			load_hide();
		}
	})
}

function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("../user_behavior/checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect("+r.id+", \""+
			r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}

function appselect(appid, name, cname)
{
	if (appid == 1044)
		appid = -1;
	$("#hidappid").val(appid);
	$("#hidname").val(name);
	$("#appcname").val(cname);

	$('#showapptree_win').hide();
}
</script>
</head>

<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class=""><a href="index.php">基础查询</a></li>
			<li class="active"><a href="npm-analysis.php">异常分析</a></li>
<?php
$free = getversion();
if (!$free) {
	echo '<li class=""><a href="ipv6_npm.php">IPv6</a></li>';
}
?>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>用户账号</label>
				<input type="text" id="account" value="" style="width:100px" />
			</li>
			<li class="srcip-dis">
				<span id="ipcustom">
					<label>源IP</label>
					<input type="text" id="ipaddr" value="" style="width:100px" />
				</span>
			</li>
			<li class="srcipgrp-dis" style="display:none;">
				<label>源IP群组</label>
				<select id="srcipgrp" style="width:100px">
				<?php
				$conn = my_mysql_connect();
				if ($conn) {
					$cmd = "select id, grpname from palog.ipgrp_list";
					if (($result = mysql_query($cmd)) != false) {
						while ($row = mysql_fetch_row($result)) {
							echo '<option value="'.$row[0].'">'.$row[1].'</option>';
						}
					}
					mysql_close($conn);
				}
				?>
				</select>
			</li>
			<li>
				<label><input type="checkbox" name="srcipgrp_enable" />源IP群组</label>
			</li>
			<li>
				<label>源端口</label>
				<input type="text" id="srcport" value="0" style="width:40px" />
			</li>
			<li class="dstip-dis">
				<span id="ipcustom">
					<label>目标IP</label>
					<input type="text" id="dstip" value="" style="width:100px" />
				</span>
			</li>
			<li class="dstipgrp-dis" style="display:none;">
				<label>目标IP群组</label>
				<select id="dstipgrp" style="width:100px">
				<?php
				$conn = my_mysql_connect();
				if ($conn) {
					$cmd = "select id, grpname from palog.dstipgrp_list";
					if (($result = mysql_query($cmd)) != false) {
						while ($row = mysql_fetch_row($result)) {
							echo '<option value="'.$row[0].'">'.$row[1].'</option>';
						}
					}
					mysql_close($conn);
				}
				?>
				</select>
			</li>
			<li>
				<label><input type="checkbox" name="dstipgrp_enable" />目标IP群组</label>
			</li>
			<li>
				<label>目的端口</label>
				<input type="text" id="dstport" value="" style="width:40px" />
			</li>
			<li>
				<label>协议类型</label>
				<select id="ptype">
					<option value="0">不限</option>
					<option value="1">ICMP</option>
					<option value="6">TCP</option>
					<option value="17">UDP</option>
				</select>
			</li>
			<li>
				<label>客户时延大于</label>
				<input type="text" id="clnt_mindelay" value="0" style="width:40px" />ms
			</li>
			<li>
				<label>服务时延大于</label>
				<input type="text" id="svr_mindelay" value="0" style="width:40px" />ms
			</li>
			<li>
				<label>应用时延大于</label>
				<input type="text" id="app_mindelay" value="0" style="width:40px" />ms
			</li>
			<li>
				<label>上行重传率</label>
				<input type="text" id="up_retmix" value="0" style="width:40px" />%
			</li>
			<li>
				<label>下行重传率</label>
				<input type="text" id="down_retmix" value="0" style="width:40px" />%
			</li>
			<li>
				<span>
					<label>域名</label>
					<input type="text" id="domain" value="" style="width:100px" />
					<input type="checkbox" checked name="fullmatch" /> 全词匹配
				</span>
			</li>
			<li>
				<span>
					<label>区域</label>
					<input type="text" id="areaname" placeholder="北京" value="" style="width:100px" />
				</span>
			</li>
			<li>
				<label>协议</label>
				<input type="text" id="appcname" value="所有协议" style="width:70px" readonly />
				<input type="hidden" value="-1" id="hidappid" />
				<input type="hidden" value="any" id="hidname" />
				<input type="button" value="选择协议" onclick="showapptree()" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				$t2 = strtotime("now");
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="starthour" value="<?= date('H', $t)?>" style="width:30px" />时
				<input type="text" id="startmin" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t2) ?>" />
				<input type="text" id="endhour" value="<?= date('H', $t2)?>" style="width:30px" /> 时
				<input type="text" id="endmin" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<a class="btn-extend-color" onclick="npm_sum()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="npmsumtrend" style="display:none;">
		<div style="position:relative;float:left;width:33%;height:300px;overflow:hidden;">
			<div id="clntrender" style="width:100%;height:300px;overflow:hidden">
			</div>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;height:300px;overflow:hidden">
			<div id="svrrender" style="width:100%;height:300px;overflow:hidden">
			</div>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;height:300px;overflow:hidden">
			<div id="apprender" style="width:100%;height:300px;overflow:hidden">
			</div>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;">
			<table id="srctable" lay-filter="ft-npmsum-src"></table>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;margin-left:5px;">
			<table id="dsttable" lay-filter="ft-npmsum-dst"></table>
			<div style="clear:both;"></div>
		</div>
		<div style="position:relative;float:left;width:33%;margin-left:5px;">
			<table id="apptable" lay-filter="ft-npmsum-app"></table>
			<div style="clear:both;"></div>
		</div>
		<div style="clear:both;"></div>
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script>
var layer, table;
layui.use(['layer', 'table'], function(){
	layer = layui.layer, table = layui.table;
});
showdevicetree();
change_iptype();
$("[name='srcipgrp_enable']").click(function(){
	if ($(this).attr("checked")) {
		$(".srcipgrp-dis").show();
		$(".srcip-dis").hide();
	}
	else {
		$(".srcipgrp-dis").hide();
		$(".srcip-dis").show();
	}
});

$("[name='dstipgrp_enable']").click(function(){
	if ($(this).attr("checked")) {
		$(".dstipgrp-dis").show();
		$(".dstip-dis").hide();
	}
	else {
		$(".dstipgrp-dis").hide();
		$(".dstip-dis").show();
	}
});
</script>
</body>
</html>

