<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function send_config()
{
	var send_enable = $("#send_enable").val();
	var send_ip = $("#send_ip").val();
	var send_port = $("#send_port").val();
	var encrypt_enable = $("[name='encrypt_enable']").eq(0).attr("checked");
	if (!encrypt_enable)
		encrypt_enable = "";
	else
		encrypt_enable = "checked";
	var encrypt_key = $("#encrypt_key").val();
	
	if (!confirm("确认要修改发送配置吗"))
		return false;
	
	$.ajax({
		url:'Maintain/system_handle.php',
		type:'post',
		dataType:'json',
		data:{type:'send_config', 
			send_enable: send_enable,
			send_ip: send_ip,
			send_port: send_port,
			encrypt_enable: encrypt_enable,
			encrypt_key: encrypt_key},
		success:function(json){
			if (json.yn == "yes")
				alert("操作成功");
			else alert(json.str);
		}
	})
}
</script>
</head>
<body>
<div>
<?php
$send_enable = 0;
$sendip = "0.0.0.0";
$sendport = 0;

if (file_exists("/etc/logsend.conf")) {
	$ln = file("/etc/logsend.conf");
	foreach($ln as $val) {
		$ds = explode('=', trim($val, "\n"));
		
		if ($ds[0] == "send_enable")
			$send_enable = $ds[1];
		if ($ds[0] == "send_ip")
			$send_ip = $ds[1];
		if ($ds[0] == "send_port")
			$send_port = $ds[1];
		if ($ds[0] == "encrypt_enable")
			$encrypt_enable= $ds[1];
		if ($ds[0] == "encrypt_key")
			$encrypt_key= $ds[1];
	}
}
?>
	<table>
		<tr>
			<td>
				<label for="send_enable">发送状态：</label>
				<select id="send_enable" class="font-12 ui-corner-all text-corner">
					<?php
					if ($send_enable == 1) {
						echo '<option value="0">关闭</option>';
						echo '<option value="1" selected>打开</option>';
					}else {
						echo '<option value="0" selected>关闭</option>';
						echo '<option value="1" =>打开</option>';
					}
					?>
				</select>
				<label for="send_ip">发送地址：</label>
				<input type="text" value="<?=$send_ip?>" id="send_ip" class="ui-corner-all text-corner" />
				<label for="send_port">接收端口：</label>
				<input type="text" value="<?=$send_port?>" id="send_port" class="ui-corner-all text-corner" />
				<input type="checkbox" value="" name="encrypt_enable" <?=$encrypt_enable?> />是否加密
				<span>
					<label>加密密钥</label>
					<input type="text" value="<?=$encrypt_key?>" id="encrypt_key" class="ui-corner-all text-corner" />
				</span>
				<input type="button" value="确定" onclick="send_config()" class="ui-button ui-widget ui-corner-all" />
			</td>
		</tr>
	</table>
</div>
</body>
</html>

