<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript">
var start = 0;
var page = 1;
var limit = 100;

function pre() 
{
	page--;
	if (page <= 0)
		page = 1;
	
	dmcomp_showdata();
}

function next()
{
	page++;
	dmcomp_showdata();
}

function dmcomp_showdata()
{
	var devid = $("#devid").val();
	var domain = $("#domain").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var hosttype = $("#hosttype").val();
	var hostgrp = $("#hostgrp").val();
	var yys = $("#yys").val();
	var showdata = $("#showdata").val();
	var dport = $("#dport").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	var intervalid = cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/domainlist.php',
		data:{type: "domaincompare", domain:domain, starttime:starttime, 
			endtime:endtime, errname:errname, devid: devid, hosttype:hosttype, 
			hostgrp:hostgrp, yys: yys, sort: _dmcomp_sort, showdata: showdata, 
			page: page, limit: limit, dport:dport},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			dmcomp_update(json);
		}
	});
}

function dmcomp_update(json)
{
	var list = document.getElementById("domain-compare-table");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		var obj = list.insertRow(-1);

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i+1;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		if (r.diff == r.num)
			cell.innerHTML = '<img src="../img/domain_add.png" width="12px" title="新增">';
		else
		if (r.diff > 0)
			cell.innerHTML = '<img src="../img/domain_up.png" width="16px" title="上升">';
		else
			cell.innerHTML = '<img src="../img/domain_down.png" width="16px" title="下降">';

		if (IsIPAddr(r.host))
			myvirus = '&nbsp;&nbsp;<a href="https://www.virustotal.com/#/ip-address/'+r.host+'" target="_blank" style="color:#666;font-size:10px;">IP分析</a>';
		else
			myvirus = '&nbsp;&nbsp;<a href="https://www.virustotal.com/#/domain/'+r.host+'" target="_blank" style="color:#666;font-size:10px;">域名分析</a>';
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.host + myvirus;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.num;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.diff;
		if (r.diff == r.num) {
			cell.style.fontWeight = "bold";
			cell.style.color = "#d81e06";
		}
		else
		if (r.diff > 0) {
			cell.style.fontWeight = "bold";
			cell.style.color = "#3dbe13";
		}
		else {
			cell.style.fontWeight = "bold";
			cell.style.color = "#f4ea2a";
		}

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.down);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up + r.down);
	}
}

var _dmcomp_sort = "num";
function dmcomp_sort(sort)
{
	_dmcomp_sort = sort;

	dmcomp_showdata();
}

</script>
</head>
<body>
<div>
	<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
	<input type="hidden" value="<?=$_GET['yys']?>" id="yys" />
	<input type="hidden" value="<?=$_GET['hostgrp']?>" id="hostgrp" />
	<input type="hidden" value="<?=$_GET['hosttype']?>" id="hosttype" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
	<input type="hidden" value="<?=$_GET['showdata']?>" id="showdata" />
	<input type="hidden" value="<?=$_GET['domain']?>" id="domain" />
	<input type="hidden" value="<?=$_GET['dport']?>" id="dport" />

	<div class="report-pop-box-title">
<?php
$showdata = $_GET["showdata"];
if ($showdata == "add")
	echo "新增域名";
else
if ($showdata == "up")
	echo "上升域名";
else
if ($showdata == "down")
	echo "下降域名";
else
if ($showdata == "die")
	echo "消失域名";
?>
	</div>
	<div class="topapp-list-table">
		<table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0 id="domain-compare-table">
			<tr>
				<th class="txt-center" style="width:50px;">序号</th>
				<th class="txt-center" style="width:50px;"></th>
				<th class="txt-left" style="width:250px">域名</th>
				<th class="txt-right"><a href="javascript:dmcomp_sort('num')">访问次数</a></th>
				<th class="txt-right"><a href="javascript:dmcomp_sort('diff')">访问差量</a></th>
				<th class="txt-right"><a href="javascript:dmcomp_sort('up')">上行流量(Byte)</a></th>
				<th class="txt-right"><a href="javascript:dmcomp_sort('down')">下行流量(Byte)</a></th>
				<th class="txt-right"><a href="javascript:dmcomp_sort('total')">总流量(Byte)</a></th>
			</tr>
		</table>
		<div class="pagebar-div dmcomp-paging">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
	</div>
</div>
<script>
dmcomp_showdata();
</script>
</body>
</html>
