<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
include(dirname(__FILE__)."/../common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 50;
var gsort = 'count';

function topdns_check()
{
	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();

	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type:'topdns_check', ipaddr:ipaddr, page: page, 
			limit: limit, starttime:starttime, sort: gsort, 
			endtime:endtime, errname:errname, devid:devid},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();
			$("#ipdnstable-outer").show();
			dnscolumn(json, "topuser_column");
			dns_data_update(json);

			layui.use(['laypage', 'layer'], function(){
				var laypage = layui.laypage, layer= layui.layer;
				laypage.render({
					elem: 'pagebar',
					count: json.totalrecords,
					limit: limit,
					limits:[25, 50, 100, 200],
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					theme: '#00A0E9',
					curr: page,
					jump: function(obj, first) {
						if (!first) {
							page = obj.curr;
							limit = obj.limit;
							topdns_check();
						}
					}
				});
			});
		}
	});
}

function dns_data_update(data)
{
	var start = (page - 1) * limit;

	var list = document.getElementById("ipdnstable");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (var i = 0; i < data.rows.length; i++) {
		r = data.rows[i];

		var obj = list.insertRow(-1);
		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = start + i + 1;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.ip;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.dnscount;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.upbytes);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.downbytes);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.upbytes + r.downbytes);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		var mk = '<a href="javascript:void(0)" onclick="ipdns_detail(\''+r.ip+'\')">DNS详情</a>';
		mk += '&nbsp;<a href="javascript:void(0)" onclick="ipdns_hoststart(\''+r.ip+'\')">域名访问</a>';
		cell.innerHTML = mk;
	}
}

var _host_page = 1;
var _host_limit = 200;
var _host_sort = "num";
var _host_ip = "";
var _host_cachefile = "";

function ipdns_hoststart(ip)
{
	_host_cachefile = getcachefile();
	
	_host_limit = 200;
	_host_page = 1;
	_host_sort = "num";
	_host_ip = ip;

	ipdns_hostinfo(ip);
}

function ipdns_hostinfo(ip)
{
	var devid = getdevice();
	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type:'host_check',
			devid: devid,
			ipaddr:ip,
			page: _host_page,
			sort: _host_sort,
			limit: _host_limit,
			starttime:starttime,
			endtime:endtime,
			errname:errname,
			cachefile:_host_cachefile
		},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();

			/* 窗口 */
			layui_open(ip+"访问域名详细", '600px', '600px', 'ipdnshostinfo');

			/* 分页 */
			layui.use(['laypage', 'layer'], function(){
				var laypage = layui.laypage, layer= layui.layer;
				laypage.render({
					elem: 'ipdns_hostinfo_pagebar',
					count: json.totalrecords,
					limit: _host_limit,
					limits:[30, 50, 100, 200],
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					theme: '#00A0E9',
					curr: _host_page,
					jump: function(obj, first) {
						if (!first) {
							_host_page = obj.curr;
							_host_limit = obj.limit;
							ipdns_hostinfo(ip);
						}
					}
				});
			});

			iphost_data_update(json);
		}
	})
}

function iphost_data_update(data)
{
	var start = (_host_page - 1) * _host_limit;

	var list = document.getElementById("ipdns-hostinfo-table");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (var i = 0; i < data.rows.length; i++) {
		r = data.rows[i];

		var obj = list.insertRow(-1);
		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = start + i + 1;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.host;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.num;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.down);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up+ r.down);
	}
}

var _ipdns_page = 1;
var _ipdns_limit = 50;
var _ipdns_sort = "count";
var _ipdns_ip = "";
function ipdns_detail(ip)
{
	var devid = getdevice();
	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	var cachefile = getcachefile();

	if (ip == "") {
		layui.use("layer", function(){
			var layer = layui.layer;
			layer.msg("查询对象为空");
		})
		return false;
	}

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type:'ipdns_detail', 
			devid:devid, 
			ipaddr:ip, 
			page: _ipdns_page, 
			limit: _ipdns_limit, 
			starttime:starttime, 
			endtime:endtime, 
			sort: _ipdns_sort, 
			errname:errname, 
			cachefile:cachefile
		},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();

			_ipdns_ip = ip;

			/* 窗口 */
			layui_open(ip+"访问DNS服务器详情", '600px', '600px', 'ipdnsdetail');

			/* 分页 */
			layui.use(['laypage', 'layer'], function(){
				var laypage = layui.laypage, layer= layui.layer;
				laypage.render({
					elem: 'ipdns_detail_pagebar',
					count: json.totalrecords,
					limit: _ipdns_limit,
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					theme: '#00A0E9',
					curr: _ipdns_page,
					jump: function(obj, first) {
						if (!first) {
							_ipdns_page = obj.curr;
							ipdns_detail(ip);
						}
					}
				});
			});

			ipdns_data_update(json);
		}
	});
}

function ipdns_data_update(data)
{
	var start = (_ipdns_page - 1) * _ipdns_limit;

	var list = document.getElementById("ipdns-detail-table");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (var i = 0; i < data.rows.length; i++) {
		r = data.rows[i];

		var obj = list.insertRow(-1);
		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = start + i + 1;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.dns;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.count;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.upbytes);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.downbytes);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.upbytes + r.downbytes);
	}
}

function dnscolumn(jsondata, render)
{
	var distype = "column";
	var option = {
		chart: {
			renderTo: render,
			defaultSeriesType: distype,
		},
		title: {
			text: '源用户访问DNS协议流量和次数柱状图',
			style:{font: '微软雅黑', fontSize:'10px', color:'#666', fontWeight:'bold'}
		},
		subtitle: {
			text: null
		},
		xAxis: {
			categories: [],
			title: {
				text: null
			},
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 10px Verdana, sans-serif', color:'#000000'}
			}
		},
		yAxis: [{
			min: 0,
			title: {
				text: 'byte'
			}
		},{
			min: 0,
			title: {
				text: '次数',
				style: {
					color: '#E6561C'
				}
			},
			labels: {
				//format: '{value}',
				style: {
					color: Highcharts.getOptions().colors[0]
				}
			},
			opposite: true
		}],
		tooltip: {
			formatter: function() {
				return '<b>' + this.x + '</b><br/>' + this.series.name + ': ' + numberformats(this.y);
			}
		},
		plotOptions: {
			column: {
				stacking: 'normal',
				cursor:'pointer',
				depth: 35,
				point:{
					events:{
						click:function(){
							ipdns_hoststart(this.category);
						}
					}
				},
				dataLabels: {
					enabled: false
				}
			},
			bar: {
				cursor:'pointer',
				point:{
					events:{
						click:function(){
							ipdns_hoststart(this.category);
						}
					}
				},
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:false
		},
		credits: {
			enabled: false
		},
		series: []
	}

	var c = 0;
	var series = [{name:'上行流量', data:[]}, {name:"下行流量", data:[]}, {name:"次数", type:'spline', data:[], yAxis: 1}];
	
	for (var i = 0; i < jsondata.rows.length; i++){
		option.xAxis.categories.push(jsondata.rows[i].ip);
		series[0].data.push(jsondata.rows[i].upbytes);
		series[1].data.push(jsondata.rows[i].downbytes);
		series[2].data.push(jsondata.rows[i].dnscount);
	}
	option.series = series;
	var chart = new Highcharts.Chart(option);
}

function dns_export(bexport)
{
	if(!confirm("确认要导出所选时间段的数据吗"))
		return false;

	dns_check(bexport);
}

function pre()
{
	page--;
	
	if (page <= 0)
		page = 1;
	
	topdns_check();
}

function next()
{
	page++;
	
	topdns_check();
}

function button_click(sort)
{
	page = 1;
	gsort = sort;
	
	topdns_check();
}

function ipdns_title_click(sort)
{
	_ipdns_page = 1;
	_ipdns_sort = sort;
	
	ipdns_detail(_ipdns_ip);
}

function host_title_click(sort)
{
	_host_page = 1;
	_host_limit = 200;
	_host_sort = sort;
	
	ipdns_hostinfo(_host_ip);
}
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="dns-html.php">DNS查询</a></li>
			<li><a href="flow_dns.php">Top流量</a></li>
			<li><a href="dns_topdomain.php">Top域名</a></li>
			<li class="active"><a href="dns_topuser.php">Top用户</a></li>
			<li><a href="dns_topdns.php">Top服务器</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>IP地址</label>
				<input type="text" id="ipaddr" value="" style="width:100px;" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="btn-extend-color" onclick="button_click('count')">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table" style="display:none;" id="ipdnstable-outer">
		<div id="topuser_column" style="float:left;height:300px;width:100%;border:1px solid #ddd;">
		</div>
		<div class="clearfloat"></div>
		<br/>
		<table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0 id="ipdnstable">
			<tr>
				<th class="td-left-first" style="width:50px;">序号</th>
				<th class="txt-left"  style="width:150px;">用户地址</th>
				<th class="txt-right"><a href="javascript:button_click('count')">访问DNS数</a></th>
				<th class="txt-right"><a href="javascript:button_click('up')">上行流量</a></th>
				<th class="txt-right"><a href="javascript:button_click('down')">下行流量</a></th>
				<th class="txt-right"><a href="javascript:button_click('total')">总流量</a></th>
				<th class="txt-center" width="150px">操作</th>
			</tr>
		</table>
		<div class="pagebar-div" id="pagebar"> </div>
	</div>
</div>
<div class="topapp-list-table" id="ipdnsdetail" style="display:none;">
	<table style="width:100%;" id="ipdns-detail-table">
		<tr>
			<th>序号</th>
			<th class="txt-left">DNS</th>
			<th class="txt-right"><a href="javascript:ipdns_title_click('count')">访问DNS数</a></th>
			<th class="txt-right"><a href="javascript:ipdns_title_click('up')">上行流量</a></th>
			<th class="txt-right"><a href="javascript:ipdns_title_click('down')">下行流量</a></th>
			<th class="txt-right"><a href="javascript:ipdns_title_click('total')">总流量</a></th>
		</tr>
	</table>
	<div class="pagebar-div" id="ipdns_detail_pagebar"></div>
</div>

<!-- 用户解析的域名 -->
<div class="topapp-list-table" id="ipdnshostinfo" style="display:none;">
	<table style="width:100%;" id="ipdns-hostinfo-table">
		<tr>
			<th>序号</th>
			<th class="txt-left">域名</th>
			<th class="txt-right"><a href="javascript:host_title_click('num')">访问数</a></th>
			<th class="txt-right"><a href="javascript:host_title_click('up')">上行流量</a></th>
			<th class="txt-right"><a href="javascript:host_title_click('down')">下行流量</a></th>
			<th class="txt-right"><a href="javascript:host_title_click('total')">总流量</a></th>
		</tr>
	</table>
	<div class="pagebar-div" id="ipdns_hostinfo_pagebar"></div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>
