<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js"></script>
<script type="text/javascript">
function onaddhostgrp()
{
	$("#als-hostgrp-add").dialog({
		width:350,
		title:'创建域名群组',
		buttons:[{
			text:'确定',
			click:function() {
				addhostgrp_submit();
			}
		}]
	});
}

function addhostgrp_submit()
{
	var grpname = $("#grpname").val();
	grpname = TrimAll(grpname);
	if (grpname == "") {
		alert("请输入正确的域名群组名称");
		return false;
	}

	$.ajax({
		url:'user_handle_ex.php',
		data:{type:'addhostgrp_submit', grpname:grpname},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn == "no")
				alert(json.str);
			else {
				$("#als-hostgrp-add").dialog("close");
				onlisthostgrp();
			}
		}
	});
}

function onlisthostgrp()
{
	$.ajax({
		url:'user_handle_ex.php',
		data:{type:'listhostgrp'},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no") {
				alert(json.str);
				return;
			}

			var list = document.getElementById("hostgrp-table");
			while (list.rows.length > 1)
				list.deleteRow(1);
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				obj = list.insertRow(-1);

				var pos = 0;
				cell = obj.insertCell(pos++);
				cell.innerHTML = (i+1);
				cell = obj.insertCell(pos++);
				cell.innerHTML = r.name;
				cell = obj.insertCell(pos++);
				cell.setAttribute("align", "center");
				var mk = "<a href='javascript:onedithostgrp("+r.id+", \""+r.name+"\")'>编辑</a>";
				mk += "&nbsp;&nbsp;<a href='javascript:ondeletehostgrp("+r.id+")'>删除</a>";
				cell.innerHTML = mk;
			}
		}
	})
}

function ondeletehostgrp(id)
{
	if (!confirm("确定要删除这个群组吗"))
		return false;
	$.ajax({
		url:'user_handle_ex.php',
		data:{type:'deletehostgrp', id:id},
		type:'post',
		success:function(json) {
			onlisthostgrp();
		}
	})
}

function onedithostgrp(id, name)
{
	$("#als-hostgrp-edit").dialog({
		width:425,
		title:'编辑域名群组 - '+name,
		buttons:[{
			text:'确定',
			click:function() {
				edithostgrp_submit(id);
			}
		}]
	});

	ongethost(id);
}

function edithostgrp_submit(id)
{
	var txt = $("#host").val();
	txt = TrimAll(txt);

	var s = txt.split('\n'), tmp, host = '';
	var arr = [];
	for (i = 0; i < s.length; i++) {
		tmp = s[i].replace(/\\n/, '');
		if (tmp != "")
			arr.push(tmp);
	}
	if (arr.length != 0)
		host = arr.join(',');

	$.ajax({
		url:'user_handle_ex.php',
		data:{type:'edithostgrp_submit', id:id, host:host},
		type:'post',
		success:function(json) {
			alert('操作成功');
			$("#als-hostgrp-edit").dialog("close");
		}
	})
}

function ongethost(id)
{
	$.ajax({
		url:'user_handle_ex.php',
		data:{type:'gethost', id:id},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no") {
				alert(json.str);
				return;
			}
			$("#host").val('');
			var s = '';
			for (i = 0; i < json.rows.length; i++) {
				s += json.rows[i]+'\n';
			}
			$("#host").val(s);
		}
	})
}
</script>
</head>
<body class="als-body">
<script type="text/javascript" src="../js/Calendar.js"></script>
<div>
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="hostgrp.php">域名群组</a></li>
			<li><a href="hostflow.php">群组统计</a></li>
		</ul>
		<div style="clear:both;"></div>
	</div>
	<div class="als-content">
		<div class="als-box">
			<table class="als-table" id="hostgrp-table">
				<tr>
					<th class="txt-left" style="width:50px;">序号</th>
					<th class="txt-left">群组名称</th>
					<th class="txt-left" style="width:100px;">
						<div class="als-btn-bar">
						<a class="btn" onclick="onaddhostgrp()">创建群组</a>
						</div>
					</th>
				</tr>
			</table>
		</div>
	</div>
</div>
<div id="als-hostgrp-edit" style="display:none;margin:20px 0;">
	<div>
		<span>提示:每行代表一个域名。列表内容为可编辑状态.</span>
	</div>
	<div style="margin-top:20px;">
		<textarea id="host" rows="30" cols="60"></textarea>
	</div>
</div>
<div id="als-hostgrp-add" style="display:none;margin:20px 0;">
	<table>
		<tr>
			<td width="70px" align="right">群组名称</td>
			<td width="20px"></td>
			<td>
				<input type="text" value="" id="grpname" style="width:200px" />
			</td>
		</tr>
	</table>
</div>
<script type="text/javascript">
onlisthostgrp();
</script>
</body>
</html>
