<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>

<script type="text/javascript">

function data_update(data, starttime, endtime, grpname, grpid)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".als-table tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		del = '<a href="javascript:iptable_grpview('+grpid+', \''+grpname+'\', '+
			r.appid+', \''+r.cname+'\', \''+starttime+'\', \''+endtime+'\')">'+r.cname+'</a>';

		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");

			tdobj.eq(0).text(i+1);
			tdobj.eq(1).html(del);
			tdobj.eq(2).html(r.flow);
			tdobj.eq(3).html(numberformats(r.upbytes));
			tdobj.eq(4).html(numberformats(r.downbytes));
			tdobj.eq(5).html(numberformats(r.upbytes+r.downbytes));
		}else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (i+1)+'</td>'+
				'<td class="txt-left">'+ del+'</td>'+
				'<td class="txt-right">'+ (r.flow)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.upbytes)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.downbytes)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
				'</tr>';
			$(s).appendTo(".als-table");
		}
	}
	
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function ipgrp_appgroup(sort)
{
	var grpid = $("#grpid").val();
	var starttime = $("#start").val();
	var endtime = $("#end").val();
	var grpname = $("#grpname").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/ipgrp_handle.php',
		data:{type:'ipgrp_appgroup', grpid: grpid, 
			grpname:grpname, starttime:starttime, endtime:endtime, 
			errname:errname, sort: sort},
		type:'post',
		dataType:'json',
		success:function(json) {
			piechart("up", "pieup", json);
			piechart("down", "piedown", json);
			data_update(json, starttime, endtime, grpname, grpid);
			cluster_load_hide();
		}
	});
}

function piechart(charttype, render, json)
{
	if (charttype == "up")
		title = "协议组流量分布图";
	else
		title = "协议组连接数分布图";

    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: 'pie'
        },
        title: {
            text: title,
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            labels:{
                rotation:-45,
                align:'right',
                //style:{font: 'Arial', fontSize:'12px', color:'#000'},
				style:{font:'normal 12px Verdana, sans-serif', color:'#666'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return ''+
                    this.point.name +': '+ numberformats(this.y);
            }
        },
        plotOptions: {
            pie: {
				size:'60%',
                allowPointSelect: true,
                cursor: 'pointer',
                dataLabels: {
                    enabled: true,
					style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'normal'},
                    formatter: function() {
                        return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
                    }
                },
            }
        },
        legend: {
            enabled:false
        },
        credits: {
            enabled: false
        },
        series: [{type:'pie', data:[]}]
    };

    var c = 0;
    for (var i = 0; i < json.rows.length; i++) {
        if (charttype == "up")
            option.series[0].data.push({name:json.rows[i].cname, y:json.rows[i].upbytes + json.rows[i].downbytes, appid:json.rows[i].appid});
        else 
			option.series[0].data.push({name:json.rows[i].cname, y:json.rows[i].flow, appid:json.rows[i].appid});
    }
    var chart = new Highcharts.Chart(option);
}

function iptable_grpview(ipgrpid, ipgrpname, groupid, grpname, starttime, endtime)
{
	var w = 700;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;
	
	window.open("grpview_open.php?grpname="+grpname+"&start="+starttime+
		"&end="+endtime+'&groupid='+groupid+'&ipgrpid='+ipgrpid+'&ipgrpname='+ipgrpname, 
		"_blank", "width=700px,height="+height+"px,left="+left+"px");
}

</script>
</head>
<body class="als-body">
<div>
	<?php
		$grpname = $_GET['grpname'];
		$start = $_GET['start'];
		$end = $_GET['end'];
		$grpid = $_GET['grpid'];
		$url1 = "ipgrp_open.php?grpname=$grpname&grpid=$grpid&start=$start&end=$end";
		$url2 = "ipgrp_appgroup.php?grpname=$grpname&grpid=$grpid&start=$start&end=$end";
		$url3 = "ipgrp_distflow.php?grpname=$grpname&grpid=$grpid&start=$start&end=$end";
		$url4 = "ipgrp_host.php?grpname=$grpname&grpid=$grpid&start=$start&end=$end";
	?>
	<div class="als-nav-header">
		<ul>
			<li><a href="<?=$url1?>">内网IP</a></li>
			<li class="active"><a href="<?=$url2?>">协议组</a></li>
			<li><a href="<?=$url3?>">流量流向</a></li>
			<li><a href="<?=$url4?>">Top域名</a></li>
		</ul>
	</div>
	<input type="hidden" value="<?= $_GET['grpname']?>" id="grpname" />
	<input type="hidden" value="<?= $_GET['start']?>" id="start" />
	<input type="hidden" value="<?= $_GET['end']?>" id="end" />
	<input type="hidden" value="<?= $_GET['grpid']?>" id="grpid" />

	<div class="als-content">
		<div class="als-box">
			<div style="float: left; width:48%; height:250px;" id="pieup"></div>	
			<div style="float: left; width:48%; height:250px;" id="piedown"></div>	
			<div style="clear:both;"></div>
		</div>
		<div class="als-box">
			<table class="als-table">
				<tr>
				<th class="txt-center" style="width:50px;">序号</th>
				<th class="txt-left">群组名称</th>
				<th class="txt-right"><a href="javascript:ipgrp_appgroup('flow')">连接数</a></th>
				<th class="txt-right"><a href="javascript:ipgrp_appgroup('up')">上行流量</a></th>
				<th class="txt-right"><a href="javascript:ipgrp_appgroup('down')">下行流量</a></th>
				<th class="txt-right"><a href="javascript:ipgrp_appgroup('total')">总流量</a></th>
				</tr>
			</table>
		</div>
	</div>
    </div>
</div>
<script type="text/javascript">
ipgrp_appgroup('total');
</script>
</body>
</html>
