<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession())
	exit;
error_reporting(E_ALL);
$type = $_POST['type'];
if ($type == "v6top")
{
	$grpid = postval("grpid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F."/".postval("errname");
	if (empty($starttime) || empty($endtime)) {
		outputres("no", "ERROR_TIME");
		exit;
	}

	$starttime .= " 0:0:0";
	$endtime .= " 0:0:0";
	$longstart = strtotime($starttime);
       	$longend = strtotime($endtime);

	$rows = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_grptop 'grpid=$grpid'";
	$cmd .= " longstart=$longstart longend=$longend 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	foreach($out as $i=>$obj) {
		list($grpid, $grpname, $num) = explode(' ', $obj);
		array_push($rows, array(
			"id"=>$i+1,
			"grpid"=>$grpid,
			"grpname"=>$grpname,
			"num"=>$num
		));
	}
	echo json_encode($rows);
}

if ($type == "v6sum")
{
	$grpid = postval("grpid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F."/".postval("errname");
	if (empty($starttime) || empty($endtime)) {
		outputres("no", "ERROR_TIME");
		exit;
	}

	$starttime .= " 0:0:0";
	$endtime .= " 0:0:0";
	$longstart = strtotime($starttime);
       	$longend = strtotime($endtime);

	$x = array();
	$y = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior ipv6_ipsum 'grpid=$grpid'";
	$cmd .= " longstart=$longstart longend=$longend 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	foreach($out as $obj) {
		list($tm, $val) = explode(" ", $obj);
		array_push($x, date("Y/m/d", $tm));
		array_push($y, (int)$val);
	}

	$json = array("x"=>$x, "y"=>$y);
	echo json_encode($json);
}

if ($type == "npmtrend")
{
	$devid = postval("devid");
	$grpid = postval("grpid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$errfile = _CHECKING_STATUS_F."/".postval("errname");
	
	$longstart = strtotime($starttime);
       	$longend = strtotime($endtime);
	
	$cmd = LOGDPATH."/bin/logeye iptable iptable_npmtrend 'grpid=$grpid' 'devid=$devid'";
	$cmd .= " longstart=$longstart longend=$longend 'errfile=$errfile'";
	exec($cmd, $out, $ret);

	$json = $date = $clnt = $svr = $app = array();

	foreach($out as $val) {
		list($start, $avgclnt, $avgsvr, $avgapp) = explode(' ', $val);

		array_push($date, date("d/H:i", $start));
		array_push($clnt, (float)$avgclnt);
		array_push($svr, (float)$avgsvr);
		array_push($app, (float)$avgapp);
	}

	$json = array("date"=>$date, "clnt"=>$clnt, "svr"=>$svr, "app"=>$app);
	echo json_encode($json);
}

function ipgrp_createtable($conn)
{
	$cmd = "create table if not exists palog.ipgrp_list".
		"(id int not null AUTO_INCREMENT primary key, grpname varchar(64) not null)".
		"engine=MyISAM default charset=utf8";
	$result = mysql_query($cmd);
	if (!$result)
		return false;
	
	return true;
}

function ipgrp_createiptable($conn)
{
	$cmd = "create table if not exists palog.iptable".
		"(grpid int not null, ipmin varchar(16), ".
		"ipmax varchar(16), ipstr varchar(64))".
		"engine=MyISAM default charset=utf8";
	$result = mysql_query($cmd);
	if (!$result)
		return false;
	
	return true;
}

if ($type == "modifyGroupName")
{
	$grpid		= postval("grpid");
	$grpname	= postval("grpname");
	
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECT_ERROR");
		exit;
	}

	$sql = "update palog.ipgrp_list set grpname='$grpname' where id=$grpid";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	mysql_close();

	outputres("yes", "");
	exit;
}

if ($type == "resetsess")
{
	exec("killall log_back");
}

if ($type == "inip_stat")
{
	$cont = "";
	if (file_exists("/tmp/inip_stat"))
		$cont = file_get_contents("/tmp/inip_stat");
	echo $cont;
	exit;
}

if ($type == "cfg_conf")
{
	$b = postval("b");

	if ($b == "") {outputres("no", "no data"); exit;}

	setconfig("auto_month_data", $b);
	exit;
}

if ($type == "ipgrp_export")
{
	if (($conn = my_mysql_connect()) == false)
		exit;

	$grplist = $iplist = array();
	$cmd = "select id, grpname from palog.ipgrp_list";
	if (($result = mysql_query($cmd)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($grplist, array("id"=>$row[0], "name"=>iconv("utf-8", "gb2312", $row[1])));
		}
	}

	$filename = "/usr/logdata/file_cluster/tmp/ipgrp".date("YmdHis").".xls";
	if (file_exists($filename))
		unlink($filename);
	if (($fp = fopen($filename, "w")) == false) {
		mysql_close();
		exit;
	}
	$cmd = "select grpid, ipstr from palog.iptable";
	if (($result = mysql_query($cmd)) != false) {
		while ($row = mysql_fetch_row($result)) {
			foreach($grplist as $val) {
				if ($val["id"] == $row[0]) {
					fprintf($fp, $val['name']."\t".$row[1]."\r\n");
				}
			}
		}
	}
	fclose($fp);
	mysql_close();
	exit;
}

if ($type == "ipgrp_add")
{
	$grpname = $_POST['grpname'];
	$devid = postval("devid");
	$devname = postval("devname");
	$username = $_SESSION["palog_username"];
	
	$conn = my_mysql_connect();
	if ($conn === FALSE) {
		outputres("no", "Mysql连接失败!");
		exit;
	}

	ipgrp_createtable($conn);
	
	$cmd = "insert into palog.ipgrp_list(devid, devname, grpname, username)values($devid, '$devname', '$grpname', '$username')";
	$result = mysql_query($cmd);
	if (!$result) {
		if (mysql_errno() == 1146) {
			if (!ipgrp_createtable($conn)) {
				outputres("no", mysql_error());
				mysql_close($conn);
				exit;
			}
			else
				mysql_query($cmd);
		}
		else {
			outputres("no", mysql_error());
			mysql_close($conn);
			exit;
		}
	}
	mysql_close($conn);
	
	operation_logger("源IP群组", "增加源IP群组".$grpname);
	
	outputres("yes", "操作成功!");
}







if ($type == "ipgrp_delete")
{
	$grpid = postval('grpid');
	$grpname = postval('grpname');
	
	$conn = my_mysql_connect();
	if (!$conn) {
		outputres("no", "Mysql连接失败!");
		exit;
	}

	$cmd = "delete from palog.ipgrp_list where id=$grpid";
	$result = mysql_query($cmd);
	if (!$result) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}
	$cmd = "delete from palog.iptable where grpid=$grpid";
	$result = mysql_query($cmd);
	if (!$result) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}
	mysql_close($conn);
	
	unset($out);
	$cmd = PANALOGEYE." node list";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($ipaddr, $uuid) = explode(' ', $val);	
		if ($ipaddr == "ipaddr") continue;
		if (($fp = fopen("http://".$ipaddr.":4816/sessiptbl.php?action=reload", "r")) != false)
			fclose($fp);
	}
	operation_logger("源IP群组", "删除源IP群组".$grpname);

	outputres("yes", "操作成功!");
}

if ($type == "ipgrp_addip") 
{
	$grpid = $_POST['grpid'];
	$ip = $_POST['ip'];
	if (strlen($ip) == 0) {
		outputres("no", "IP地址不合法!");
		exit;
	}
	
	if (strstr($ip, "-")) {
		$ds = explode('-', $ip);
		$ipmin = $ds[0];
		$ipmax = $ds[1];
	}
	else 
	if (strstr($ip, "/")) {
		$ipmin = calculate_ipmin($ip);
		$ipmax = calculate_ipmax($ip);
	}
	else
		$ipmin = $ipmax = $ip;
	
	$conn = my_mysql_connect();
	if (!$conn) {
		outputres("no", "Mysql连接失败!");
		exit;
	}
	
	$cmd = "select * from palog.iptable where grpid=$grpid and ipstr='$ip'";
	$result = mysql_query($cmd);
	if ($result) {
		$num = mysql_num_rows($result);
		if ($num != 0) {
			outputres("no", "该IP已经存在");
			mysql_close($conn);
			exit;
		}
	}
	
	$cmd = "insert into palog.iptable(grpid, ipmin, ipmax, ipstr)values($grpid, '$ipmin', '$ipmax', '$ip')";
	$result = mysql_query($cmd);
	if (!$result) {
		if (mysql_errno() == 1146) {
			ipgrp_createiptable($conn);
			mysql_query($cmd);
		}
		else {
			outputres("no", mysql_error());
			mysql_close($conn);
			exit;
		}
	}
	mysql_close($conn);

	/* IPv6 */
	if (strchr($ip, ":") != false) {
		outputres("yes", "操作成功!");
		exit;
	}

	unset($out);
	$cmd = PANALOGEYE." node list";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($ipaddr, $uuid) = explode(' ', $val);	
		if ($ipaddr == "ipaddr") continue;
		if (($fp = fopen("http://".$ipaddr.":4816/sessiptbl.php?action=reload", "r")) != false)
			fclose($fp);
	}
	operation_logger("源IP群组", "编辑源IP群组，添加IP-".$ip);
	outputres("yes", "操作成功!");
}

if ($type == "ipgrp_rmvip")
{
	$grpid = postval('grpid');
	$ip = postval('ip');
	$grpname = postval('grpname');
	
	$conn = my_mysql_connect();
	if (!$conn) {
		outputres("no", "Mysql连接失败!");
		exit;
	}
	
	$cmd = "delete from palog.iptable where grpid=$grpid and ipstr='$ip'";
	$result = mysql_query($cmd);
	if (!$result) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}
	mysql_close($conn);
	
	unset($out);
	$cmd = PANALOGEYE." node list";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($ipaddr, $uuid) = explode(' ', $val);	
		if ($ipaddr == "ipaddr") continue;
		if (($fp = fopen("http://".$ipaddr.":4816/sessiptbl.php?action=reload", "r")) != false)
			fclose($fp);
	}
	operation_logger("源IP群组", "删除源IP群组，删除群组IP-".$grpname."-".$ip);
	
	outputres("yes", "操作成功!");
}

if ($type == "ipgrp_check")
{
	$devid = postval("devid");
	$grpid = postval('grpid');
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$sort = postval('sort');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval('bexport');
	
	$longstart = strtotime($starttime);
       	$longend = strtotime($endtime);
	
	$filename = "iptable".date("YmdHis");

	$cmd = LOGDPATH."/bin/logeye iptable iptable_check 'grpid=$grpid' ";
	$cmd .= "longstart=$longstart longend=$longend 'sort=$sort' 'errfile=$errfile' ";
	$cmd .= "iptype=src 'bexport=$bexport' 'filename=$filename' 'devid=$devid' 'grpidstr=$grpid'";
	exec($cmd, $out, $ret);
	if ($bexport == 0) {
		$rows = array();
		foreach($out as $val) {
			$ds = explode(' ', $val);

			$grpname = $ds[1];
			if (json_encode($grpname) == false || !is_utf8($grpname))
				$grpname = iconv("gb2312", "utf-8", $grpname);
			array_push($rows, array(
				"grpid"=>$ds[0], 
				"grpname"=>$grpname, 
				"upbytes"=>(double)$ds[2], 
				"downbytes"=>(double)$ds[3],
				"maxupbps"=>(float)$ds[5],
				"maxdownbps"=>(float)$ds[6]
			));
		}
		$json["rows"] = $rows;
		echo json_encode($json);
	}else {
		outputres("yes", "");
	}
}

if ($type == "ipgrp_quickdata")
{
	$devid = postval("devid");
	$grpid = postval('grpid');
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$sort = postval('sort');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval('bexport');
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	
	$filename = "iptable".date("YmdHis");

	$cmd = LOGDPATH."/bin/logeye iptable iptable_quickdata 'grpid=$grpid' ";
	$cmd .= "longstart=$longstart longend=$longend 'sort=$sort' 'errfile=$errfile' ";
	$cmd .= "iptype=src 'bexport=$bexport' 'filename=$filename' 'devid=$devid' 'grpidstr=$grpid'";
	exec($cmd, $out, $ret);
	if ($bexport == 0) {
		$rows = array();
		foreach($out as $val) {
			$ds = explode(' ', $val);
			array_push($rows, array(
				"grpid"=>$ds[0], 
				"grpname"=>$ds[1], 
				"upbytes"=>(double)$ds[2], 
				"downbytes"=>(double)$ds[3],
				"maxupbps"=>(float)$ds[5],
				"maxdownbps"=>(float)$ds[6]
			));
		}
		$json["rows"] = $rows;
		echo json_encode($json);
	}else {
		outputres("yes", "");
	}
}

if ($type == "ipgrp_open" || $type == "ipgrp_host")
{
	$grpid = postval('grpid');
	$grpname = postval('grpname');
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval('bexport');
	$sort = postval("sort");
	$page = postval("page");
	$limit = postval("limit");
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	
	$rows = $json = array();
	$talup = $taldown = $talflow = 0;
	$filename = "iptable".date("YmdHis");

	$tag = "iptable_open";
	if ($type == "ipgrp_host")
		$tag = "iptable_host";
	
	$cmd = LOGDPATH."/bin/logeye iptable $tag 'grpid=$grpid' 'sort=$sort'";
	$cmd .= " 'bexport=$bexport' 'filename=$filename' longstart=$longstart";
	$cmd .= " longend=$longend 'errfile=$errfile' iptype=src";

	if ($page != "") $cmd .= " page=$page";
	if ($limit != "") $cmd .= " limit=$limit";

	exec($cmd, $out, $ret);

	if ($bexport == 0) {
		if ($type == "ipgrp_open") {
			foreach($out as $val) {
				$ds = explode(' ', $val);
				array_push($rows, array(
					"ip"=>long2ip($ds[0]), 
					"upbytes"=>(double)$ds[1], 
					"downbytes"=>(double)$ds[2], 
					"total"=>(double)$ds[3], 
					"flowcnt"=>(double)$ds[4])
				);

				$talup += (double)$ds[1];
				$taldown += (double)$ds[2];
				$talflow += (double)$ds[4];
			}

			array_push($rows, array(
				"ip"=>"total", 
				"upbytes"=>$talup, 
				"downbytes"=>$taldown, 
				"total"=>$talup+$taldown, 
				"flowcnt"=>$talflow)
			);
		}

		if ($type == "ipgrp_host") {
			foreach($out as $val) {
				list($host, $up, $down, $count) = explode(' ', trim($val));

				array_push($rows, array(
					"host"=>$host,
					"up"=>(float)$up,
					"down"=>(float)$down,
					"count"=>(float)$count
				));
			}
		}
		
		$json["rows"] = $rows;
		echo json_encode($json);
		exit;
	}
	
	outputres("yes", "");
}

if ($type == "ipgrp_appgroup") {
	$grpid = postval('grpid');
	$grpname = postval('grpname');
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	
	$longstart = strtotime($starttime);
    $longend = strtotime($endtime);
		
	//$tablestr = php_dstipinfotable($longstart, $longend);
	
	$cmd = LOGDPATH."/bin/logeye iptable iptable_appgroup 'grpid=$grpid' 'sort=$sort' ".
		"longstart=$longstart longend=$longend 'errfile=$errfile' iptype=src";
	exec($cmd, $out, $ret);
	$rows = $json = array();
	
	$talup = 0;
	$taldown = 0;
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($rows, array("appid"=>($ds[0]), 
			"cname"=>iconv("gb2312", "utf-8", $ds[1]), 
			"upbytes"=>(double)$ds[2], 
			"downbytes"=>(double)$ds[3], 
			"flow"=>(double)$ds[4]));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "iptable_grpview") {
	$ipgrpid = postval('ipgrpid');
	$ipgrpname = postval('ipgrpname');
	$groupid = postval('groupid');
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	
	$longstart = strtotime($starttime);
    $longend = strtotime($endtime);
	
	//$tablestr = php_dstipinfotable($longstart, $longend);
	
	$rows = $json = array();
	$talup = $taldown = 0;
	$cmd = LOGDPATH."/bin/logeye iptable iptable_grpview 'grpid=$ipgrpid' ".
		"'appid=$groupid' longstart=$longstart longend=$longend 'errfile=$errfile' ".
		"iptype=src 'sort=$sort'";
	exec($cmd, $out, $ret);
	foreach($out as $k=>$val) {
		$ds = explode(' ', $val);
		
		array_push($rows, array("appid"=>$ds[0], 
			"cname"=>iconv("gb2312", "utf-8", $ds[1]), 
			"upbytes"=>(double)$ds[2], 
			"downbytes"=>(double)$ds[3]));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "iptable_ipdetail") 
{
	$ip = postval('ip');
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$ipgrpname = postval('grpname');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$sort = postval("sort");
	
	$longstart = strtotime($starttime);
    $longend = strtotime($endtime);
	
	//$tablestr = php_ipinfotable($longstart, $longend);
	
	$cmd = LOGDPATH."/bin/logeye iptable iptable_ipdetail 'ipaddr=$ip' ".
		"longstart=$longstart longend=$longend 'errfile=$errfile' ".
		"'sort=$sort' iptype=src";
	exec($cmd, $out, $ret);

	$rows = $json = array();
	$talup = $taldown = 0;
	foreach($out as $k=>$val) {
		$ds = explode(' ', $val);
		
		array_push($rows, array("appid"=>($ds[0]), 
			"cname"=>iconv("gb2312", "utf-8", $ds[1]), 
			"upbytes"=>(double)$ds[2], 
			"downbytes"=>(double)$ds[3]));
		$talup += (double)$ds[2];
		$taldown += (double)$ds[3];
	}
	array_push($rows, array("appid"=>"", "cname"=>"total", "upbytes"=>$talup, "downbytes"=>$taldown));
	
	$json["rows"] = $rows;
	echo json_encode($json);
	
}

if ($type == "srcappdetail_handle") 
{
	$appid = postval('appid');
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$ipgrpname = postval('ipgrpname');
	$grpname = postval('grpname');
	$cname = postval('cname');
	$ipgrpid = postval('ipgrpid');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$hid = postval('hid');
	
	$longstart = strtotime($starttime);
    $longend = strtotime($endtime);
	
	$tablestr = php_ipinfotable($longstart, $longend);
	
	$cmd = LOGDPATH."/bin/logeye iptable appdetail '$appid' '$ipgrpid' $longstart $longend '$tablestr' '$errfile' src";
	exec($cmd, $out, $ret);
	if ($hid == 0) {
		$rows = array();
		$json = array();
		
		$talup = 0;
		$taldown = 0;
		
		foreach($out as $k=>$val) {
			$ds = explode(' ', $val);
			
			array_push($rows, array("id"=>$k+1, "ip"=>long2ip($ds[1]), "upbytes"=>(double)$ds[2], "downbytes"=>(double)$ds[3]));
			
			$talup += (double)$ds[2];
			$taldown += (double)$ds[3];
		}
		
		array_push($rows, array("id"=>'', "ip"=>"total", "upbytes"=>$talup, "downbytes"=>$taldown));
		
		$json["rows"] = $rows;
		echo json_encode($json);
	}else if ($hid == 1) {
		$filename = "iptable_".date("YmdHis").".pdf";
		$path = TEMP_FILE."/".$filename;
		
		require_once('../Maintain/chinese.php');
		
		class PDF extends PDF_Chinese{}
		
		$pdf=new PDF('P', 'mm', 'A4');
		
		$pdf->Open();
		$pdf->SetMargins(5, 5, 5);
		$pdf->AddPage(); 
		$pdf->SetDisplayMode('real');
		$pdf->AddGBFont();

		$pdf->SetFont('GB', 'B', 10);
		
		$pdf->Cell(0, 7, iconv("utf-8", "gb2312", "群组名称：$ipgrpname    查询协议：$cname    起始时间：$starttime    结束时间：$endtime"));
		$pdf->Ln();
		
		$pdf->SetFillColor(58,110,165);
		$pdf->SetTextColor(255, 255,255);
		$pdf->SetFont('GB', 'B', 10);
		
		$pdf->Cell(40, 7, iconv("utf-8", "gb2312", "序号"), 1, 0, 'C', true);
		$pdf->Cell(40, 7, iconv("utf-8", "gb2312", "IP地址"), 1, 0, 'C', true);
		$pdf->Cell(40, 7, iconv("utf-8", "gb2312", "上行流量"), 1, 0, 'C', true);
		$pdf->Cell(40, 7, iconv("utf-8", "gb2312", "下行流量"), 1, 0, 'C', true);
		$pdf->Cell(40, 7, iconv("utf-8", "gb2312", "总流量"), 1, 0, 'C', true);
		$pdf->Ln();
		
		$a = 0;
		$pdf->SetTextColor(0, 0, 0);
		foreach($out as $key=>$val) {
			$ds = explode(' ', $val);
			
			$pdf->Cell(40, 7, $key+1, 1, 0, 'C');
			$pdf->Cell(40, 7, long2ip($ds[1]), 1, 0, 'C');
			$pdf->Cell(40, 7, dataformat((double)$ds[2]), 1, 0, 'C');
			$pdf->Cell(40, 7, dataformat((double)$ds[3]), 1, 0, 'C');
			$pdf->Cell(40, 7, dataformat((double)$ds[2]+(double)$ds[3]), 1, 0, 'C');
			
			$pdf->Ln();
		}
		
		$pdf->Output($path);
		
		outputres("yes", $filename);
	}else if ($hid == 2) {
		$filename = date("YmdHis").".csv";
		$path = TEMP_FILE."/".$filename;
		
		$fp = fopen($path, "w");
		if ($fp) {
			fwrite($fp, iconv("utf-8", "gb2312", "群组名称：$ipgrpname    查询协议：$cname    起始时间：$starttime    结束时间：$endtime\n"));
			
			$title = "编号,协议名称,上行流量,下行流量,总流量\n";
			fwrite($fp, iconv("utf-8", "gb2312", $title));
			foreach($out as $key=>$val) {
				$ds = explode(' ', $val);
				
				fwrite($fp, ($key+1).",".long2ip($ds[1]).",".dataformat((double)$ds[2]).",".dataformat((double)$ds[3]).",".dataformat((double)$ds[2]+(double)$ds[3])."\n");
			}
			
			fclose($fp);
		}
		
		outputres("yes", $filename);
	}else if ($hid == 3) {
		$filename = date("YmdHis").".txt";
		$path = TEMP_FILE."/".$filename;
		
		$fp = fopen($path, "w");
		if ($fp) {
			fwrite($fp, iconv("utf-8", "gb2312", "群组名称：$ipgrpname    查询协议：$cname    起始时间：$starttime    结束时间：$endtime\n"));
			
			$title = "编号\t协议名称\t上行流量\t下行流量\t总流量\n";
			fwrite($fp, iconv("utf-8", "gb2312", $title));
			foreach($out as $key=>$val) {
				$ds = explode(' ', $val);
				
				fwrite($fp, ($key+1)."\t".long2ip($ds[1])."\t".dataformat((double)$ds[2])."\t".dataformat((double)$ds[3])."\t".dataformat((double)$ds[2]+(double)$ds[3])."\n");
			}
			
			fclose($fp);
		}
		
		outputres("yes", $filename);
	}
}else if ($type == "ipidentity") {
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$ipgrpid = postval('ipgrpid');
	$grpname = postval('grpname');
	$hid = postval('hid');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($starttime);
    $longend = strtotime($endtime);
	
	$tablestr = php_mobiletable($longstart, $longend);
	
	$rows = array();
	$json = array();
	
	$cmd = LOGDPATH."/bin/logeye iptable ipidentity '$ipgrpid' $longstart $longend '$tablestr' '$errfile'";
	exec($cmd, $out, $ret);
	
	if ($hid == 0) {
		foreach($out as $k=>$val) {
			$ds = explode(' ', $val);
			array_push($rows, array("id"=>($k+1), "ip"=>long2ip($ds[0]), "type"=>$ds[1]));
		}
		
		$json["rows"] = $rows;
		echo json_encode($json);
	}else if ($hid == 1) {
		$filename = "iptable_".date("YmdHis").".pdf";
		$path = TEMP_FILE."/".$filename;
		
		require_once('../Maintain/chinese.php');
		
		class PDF extends PDF_Chinese{}
		
		$pdf=new PDF('P', 'mm', 'A4');
		
		$pdf->Open();
		$pdf->SetMargins(5, 5, 5);
		$pdf->AddPage(); 
		$pdf->SetDisplayMode('real');
		$pdf->AddGBFont();

		$pdf->SetFont('GB', 'B', 10);
		
		$pdf->Cell(0, 7, iconv("utf-8", "gb2312", "群组名称：$grpname    起始时间：$starttime    结束时间：$endtime"));
		$pdf->Ln();
		
		$pdf->SetFillColor(58,110,165);
		$pdf->SetTextColor(255, 255,255);
		$pdf->SetFont('GB', 'B', 10);
		
		$pdf->Cell(40, 7, iconv("utf-8", "gb2312", "序号"), 1, 0, 'C', true);
		$pdf->Cell(70, 7, iconv("utf-8", "gb2312", "IP地址"), 1, 0, 'C', true);
		$pdf->Cell(70, 7, iconv("utf-8", "gb2312", "终端类型"), 1, 0, 'C', true);
		$pdf->Ln();
		
		$a = 0;
		$pdf->SetTextColor(0, 0, 0);
		foreach($out as $key=>$val) {
			$ds = explode(' ', $val);
			
			$pdf->Cell(40, 7, $key+1, 1, 0, 'C');
			$pdf->Cell(70, 7, long2ip($ds[0]), 1, 0, 'C');
			$pdf->Cell(70, 7, $ds[1], 1, 0, 'C');
			
			$pdf->Ln();
		}
		
		$pdf->Output($path);
		
		outputres("yes", $filename);
	}else if ($hid == 2) {
		$filename = date("YmdHis").".csv";
		$path = TEMP_FILE."/".$filename;
		
		$fp = fopen($path, "w");
		if ($fp) {
			fwrite($fp, iconv("utf-8", "gb2312", "群组名称：$grpname    起始时间：$starttime    结束时间：$endtime\n"));
			
			$title = "编号,IP地址,终端类型\n";
			fwrite($fp, iconv("utf-8", "gb2312", $title));
			foreach($out as $key=>$val) {
				$ds = explode(' ', $val);
				
				fwrite($fp, ($key+1).",".long2ip($ds[0]).",".$ds[1]."\n");
			}
			
			fclose($fp);
		}
		
		outputres("yes", $filename);
	}else if ($hid == 3) {
		$filename = date("YmdHis").".txt";
		$path = TEMP_FILE."/".$filename;
		
		$fp = fopen($path, "w");
		if ($fp) {
			fwrite($fp, iconv("utf-8", "gb2312", "群组名称：$grpname    起始时间：$starttime    结束时间：$endtime\n"));
			
			$title = "编号\tIP地址\t终端类型\n";
			fwrite($fp, iconv("utf-8", "gb2312", $title));
			foreach($out as $key=>$val) {
				$ds = explode(' ', $val);
				
				fwrite($fp, ($key+1)."\t".long2ip($ds[0])."\t".$ds[1]."\n");
			}
			
			fclose($fp);
		}
		
		outputres("yes", $filename);
	}
}else 
if ($type == "terminal_list") {
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$grpid = postval('grpid');
	$grpname = postval('grpname');
	$hid = postval('hid');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($starttime);
    $longend = strtotime($endtime);
	
	$tablestr = php_mobiletable($longstart, $longend);
	
	$rows = array();
	$json = array();
	
	$cmd = LOGDPATH."/bin/logeye iptable terminal_list '$grpid' $longstart $longend '$tablestr' '$errfile'";
	exec($cmd, $out, $ret);
	
	if ($hid == 0) {
		foreach($out as $k=>$val) {
			$ds = explode(' ', $val);
			
			array_push($rows, array("id"=>($k+1), "name"=>$ds[0], "count"=>$ds[1]));
		}
		
		$json["rows"] = $rows;
		echo json_encode($json);
	}else if ($hid == 1) {
		$filename = "iptable_".date("YmdHis").".pdf";
		$path = TEMP_FILE."/".$filename;
		
		require_once('../Maintain/chinese.php');
		
		class PDF extends PDF_Chinese{}
		
		$pdf=new PDF('P', 'mm', 'A4');
		
		$pdf->Open();
		$pdf->SetMargins(5, 5, 5);
		$pdf->AddPage(); 
		$pdf->SetDisplayMode('real');
		$pdf->AddGBFont();

		$pdf->SetFont('GB', 'B', 10);
		
		$pdf->Cell(0, 7, iconv("utf-8", "gb2312", "群组名称：$grpname    起始时间：$starttime    结束时间：$endtime"));
		$pdf->Ln();
		
		$pdf->SetFillColor(58,110,165);
		$pdf->SetTextColor(255, 255,255);
		$pdf->SetFont('GB', 'B', 10);
		
		$pdf->Cell(40, 7, iconv("utf-8", "gb2312", "序号"), 1, 0, 'C', true);
		$pdf->Cell(80, 7, iconv("utf-8", "gb2312", "终端类型"), 1, 0, 'C', true);
		$pdf->Cell(80, 7, iconv("utf-8", "gb2312", "终端数量"), 1, 0, 'C', true);
		$pdf->Ln();
		
		$a = 0;
		$pdf->SetTextColor(0, 0, 0);
		foreach($out as $key=>$val) {
			$ds = explode(' ', $val);
			
			$pdf->Cell(40, 7, $key+1, 1, 0, 'C');
			$pdf->Cell(80, 7, ($ds[0]), 1, 0, 'C');
			$pdf->Cell(80, 7, $ds[1], 1, 0, 'C');
			
			$pdf->Ln();
		}
		
		$pdf->Output($path);
		
		outputres("yes", $filename);
	}else if ($hid == 2) {
		$filename = date("YmdHis").".csv";
		$path = TEMP_FILE."/".$filename;
		
		$fp = fopen($path, "w");
		if ($fp) {
			fwrite($fp, iconv("utf-8", "gb2312", "群组名称：$grpname    起始时间：$starttime    结束时间：$endtime\n"));
			
			$title = "编号,终端类型,终端数量\n";
			fwrite($fp, iconv("utf-8", "gb2312", $title));
			foreach($out as $key=>$val) {
				$ds = explode(' ', $val);
				
				fwrite($fp, ($key+1).",".($ds[0]).",".$ds[1]."\n");
			}
			
			fclose($fp);
		}
		
		outputres("yes", $filename);
	}else if ($hid == 3) {
		$filename = date("YmdHis").".txt";
		$path = TEMP_FILE."/".$filename;
		
		$fp = fopen($path, "w");
		if ($fp) {
			fwrite($fp, iconv("utf-8", "gb2312", "群组名称：$grpname    起始时间：$starttime    结束时间：$endtime\n"));
			
			$title = "编号\t终端类型\t终端数量\n";
			fwrite($fp, iconv("utf-8", "gb2312", $title));
			foreach($out as $key=>$val) {
				$ds = explode(' ', $val);
				
				fwrite($fp, ($key+1)."\t".($ds[0])."\t".$ds[1]."\n");
			}
			
			fclose($fp);
		}
		
		outputres("yes", $filename);
	}
}

if ($type == "iptableload") 
{
	$grpid = $_POST['grpid'];
	
	if (isset($_FILES['importip']))
		$upfile = $_FILES['importip'];

	if (! move_uploaded_file($upfile['tmp_name'], $doc."/download/importip.txt")) {
		echo "<script type='text/javascript'>alert('文件上传失败!');</script>";
		exit(0);
	}
	
	if (file_exists($doc."/download/importip.txt")) {
		$fp = fopen($doc."/download/importip.txt", "r");
		if ($fp) {
			$conn = my_mysql_connect();
			if (!$conn) {
				outputres("no", "Mysql连接失败!");
				exit;
			}
				
			while (! feof($fp)) {
				$buff = fgets($fp);
				$ip = trim($buff, "\r\n");
				if (strlen($ip) == 0) {
					continue;
				}
				
				if (strstr($ip, "-")) {
					$ds = explode('-', $ip);
					$ipmin = $ds[0];
					$ipmax = $ds[1];
				}else if (strstr($ip, "/")) {
					$ipmin = calculate_ipmin($ip);
					$ipmax = calculate_ipmax($ip);
				}else
					$ipmin = $ipmax = $ip;
				
				$cmd = "select * from palog.iptable where grpid=$grpid and ipstr='$ip'";
				$result = mysql_query($cmd);
				if ($result) {
					$num = mysql_num_rows($result);
					if ($num != 0) {
						continue;
					}
				}
				
				$cmd = "insert into palog.iptable(grpid, ipmin, ipmax, ipstr)";
				$cmd .= "values($grpid, '$ipmin', '$ipmax', '$ip')";
				$result = mysql_query($cmd);
				if (!$result) {
					if (mysql_errno() == 1146) {
						ipgrp_createiptable($conn);
						mysql_query($cmd);
					}else {
						outputres("no", mysql_error());
					}
				}
			}
			mysql_close($conn);
			fclose($fp);
			unlink($doc."/download/importip.txt");
			echo "<script type='text/javascript'>alert('文件上传成功!');</script>";
		}
	}
}

if ($type == "iptable_iptrend")
{
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$grpid = postval('grpid');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	
	$rows = $json = array();
	$devid = 0;
	if (($conn = my_mysql_connect()) != false) {
		$sql = "select devid from palog.ipgrp_list where id=$grpid";
		if (($result = mysql_query($sql)) != false) {
			$row = mysql_fetch_row($result);
			$devid = $row[0];
		}
		mysql_close($conn);
	}
	
	$rows_flow = $rows_up = $rows_down = array();

	if (file_exists(TEMP_FILE."/trend_down.xls"))
		unlink(TEMP_FILE."/trend_down.xls");
	$fp = fopen(TEMP_FILE."/trend_down.xls", "w");

	$cmd = LOGDPATH."/bin/logeye iptable iptable_iptrend 'grpid=$grpid' longstart=$longstart longend=$longend 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		array_push($rows_flow, array(
			"x"=>(int)$ds[0] * 1000,
			"y"=>(int)$ds[1]
		));
		array_push($rows_up, array(
			"x"=>(int)$ds[0] * 1000,
			"y"=>(int)$ds[2]
		));
		array_push($rows_down, array(
			"x"=>(int)$ds[0] * 1000,
			"y"=>(int)$ds[3]
		));
		
		fprintf($fp, date("Y/m/d H:i:s", (int)$ds[0])."\t".dataformat($ds[3])."\n");
	}
	fclose($fp);
	
	$json["rows_flow"] = $rows_flow;
	$json["rows_up"] = $rows_up;
	$json["rows_down"] = $rows_down;
	echo json_encode($json);
}

if ($type == "iptable_quick_iptrend")
{
	$devid = postval('devid');
	$grpid = postval('grpid');
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	
	$rows = $json = array();
	$rows_flow = $rows_up = $rows_down = array();
	$cmd = LOGDPATH."/bin/logeye iptable iptable_quick_iptrend 'devid=$devid' 'grpid=$grpid' longstart=$longstart longend=$longend 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		array_push($rows_flow, array(
			"x"=>(int)$ds[0] * 1000,
			"y"=>(int)$ds[1]
		));
		array_push($rows_up, array(
			"x"=>(int)$ds[0] * 1000,
			"y"=>(int)$ds[2]
		));
		array_push($rows_down, array(
			"x"=>(int)$ds[0] * 1000,
			"y"=>(int)$ds[3]
		));
	}
	
	$json["rows_flow"] = $rows_flow;
	$json["rows_up"] = $rows_up;
	$json["rows_down"] = $rows_down;
	echo json_encode($json);
	exit;
}

if ($type == "ipgrp_areaflow")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$ipaddr = postval("ipaddr");
	$iptype = postval("iptype");
	$grpid = postval("grpid");
	$devid = postval("devid");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$up = $down = $rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior iparea_check 'ipaddr=$ipaddr' ".
		"'errfile=$errfile' longstart=$longstart longend=$longend ".
		"'iptype=$iptype' 'grpid=$grpid' 'devid=$devid'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);

		$cname = iconv("gb2312", "utf-8", $ds[1]);
		
		array_push($up, array("hc-key"=>$ds[0], 
			"cname"=>$cname, 
			"name"=>$cname, 
			"value"=>(double)$ds[2]));
		array_push($down, array("hc-key"=>$ds[0], 
			"cname"=>$cname, 
			"name"=>$cname, 
			"value"=>(double)$ds[3]));
		array_push($rows, array("hc-key"=>$ds[0], 
			"cname"=>$cname, 
			"name"=>$cname, 
			"up"=>(double)$ds[2],
			"down"=>(double)$ds[3],
			"flowcont"=>(double)$ds[4],
			"value"=>(double)$ds[3]+(double)$ds[2]));
	}

	$sort = array();
	foreach($rows as $y) {
		array_push($sort, $y["value"]);
	}
	array_multisort($sort, SORT_DESC, SORT_NUMERIC, $rows);

	$json = array("up"=>$up, "down"=>$down, "rows"=>$rows);	
	echo json_encode($json);
}

if ($type == "useryysflow")
{
	$devid = postval("devid");
	$grpid = postval("grpid");
	$iptype = postval("iptype");
    $strstart = postval('starttime');
    $strend = postval('endtime');
	$ipaddr = postval("ipaddr");
    $errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($strstart);
    $longend = strtotime($strend);

    $x = $y = $fl = $json = array();
    $cmd = LOGDPATH."/bin/logeye user_behavior useryysflow_check 'ipaddr=$ipaddr' ".
		"'errfile=$errfile' 'devid=$devid' longstart=$longstart longend=$longend ".
		"'grpid=$grpid' 'iptype=$iptype'";
    exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);

		array_push($x, iconv("gb2312", "utf-8", $ds[1]));
		array_push($y, (float)$ds[3]+(float)$ds[4]);
		array_push($fl, (float)$ds[2]);
	}

	$json["x"] = $x;
	$json["y"] = $y;
	$json["fl"] = $fl;
	echo json_encode($json);
}

if ($type == "worldflow")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$ipaddr = postval("ipaddr");
	$iptype = postval("iptype");
	$grpid = postval("grpid");
	$devid = postval("devid");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$up = $down = $rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior worldflow 'ipaddr=$ipaddr' ".
		"'errfile=$errfile' longstart=$longstart longend=$longend ".
		"'iptype=$iptype' 'grpid=$grpid' 'devid=$devid'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(',', $val);

		$cname = iconv("gb2312", "utf-8", $ds[1]);
		array_push($rows, array("hc-key"=>$ds[0], 
			"cname"=>$cname, 
			"name"=>$ds[0], 
			"up"=>(double)$ds[2],
			"down"=>(double)$ds[3],
			"flowcont"=>(double)$ds[4],
			"value"=>(double)$ds[3]+(double)$ds[2]));
	}

	echo json_encode($rows);
}
?>
