<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession())
	exit;

header("Content-type: text/html; charset=utf-8");

$devid = postval('devid');
$appname = postval('appname');
$strstart = postval('starttime');
$strend = postval('endtime');
$topn = postval('topn');
$ip = postval('ip');
$opid = postval("yys");
$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
$bexport = postval('bexport');
$nodetype = postval("nodetype");
$filename = "ipnode".date("YmdHis");
$page = postval("page");
$limit = postval("limit");

$longstart = strtotime($strstart);
$longend = strtotime($strend);
$days = ($longend - $longstart) / 86400;
if ($days >= 30) {
	outputres("no", "查询时间范围最大为一个月");
	exit;
}

$json = array();
$rows = array();
if (($yys = getyys()) == false) {
	outputres("no", "yys error");
	exit;
}
$cmd = LOGDPATH."/bin/logeye user_behavior nodelist 'devid=$devid' ";
$cmd .= "'appname=$appname' longstart=$longstart longend=$longend ";
$cmd .= "'bexport=$bexport' 'filename=$filename' 'errfile=$errfile' 'page=$page' ";
$cmd .= "'limit=$limit' 'ipaddr=$ip' 'opid=$opid' 'nodetype=$nodetype'";
exec($cmd, $out, $return);
if (!$bexport){
    for ($i = 0; $i < count($out); $i++) {
        $ds = explode(' ', $out[$i]);

	$yys_name = "";
	foreach($yys as $y) {
		if ($y["id"] == $ds[4])
			$yys_name = $y["name"];
	}

	if (GTP) {
		array_push($rows, array(
			'devid'=>$ds[0], 
			'ip'=>$ds[1], 
			'appid'=>$ds[2],
			'cname'=>$ds[3], 
			"opid"=>$yys_name, 
			"posi"=>iconv("gb2312", "utf-8", $ds[5]), 
			"port"=>$ds[6],
			"tun_src"=>long2ip($ds[7]),
			"tun_stid"=>$ds[8],
			"tun_dst"=>long2ip($ds[9]),
			"tun_dtid"=>$ds[10]
		));
	}
	else {
		array_push($rows, array(
			'devid'=>$ds[0], 
			'ip'=>$ds[1], 
			'appid'=>$ds[2],
			'cname'=>$ds[3], 
			"opid"=>$yys_name, 
			"posi"=>iconv("gb2312", "utf-8", $ds[5]), 
			"port"=>$ds[6]));
		}
    }
    $json['rows'] = $rows;
    echo json_encode($json);
}else {
    $json['file'] = $filename;
    echo json_encode($json);
}

?>
