<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession())
	exit;
	
function remove_key_xss($val)
{
	$val = str_replace("<", "", $val);
	$val = str_replace(">", "", $val);
	$val = str_replace('"', "", $val);
	$val = str_replace('\n', "", $val);
	$val = str_replace('script', "", $val);
	
	$search = 'abcdefghijklmnopqrstuvwxyz';
	$search .= 'ABCDEFGHIJKLMNOPQRSTUVWXYZ';
	$search .= '1234567890!@#$%^&*()';
	$search .= '~`";:?+/={}[]\'\\';
	for ($i = 0; $i < strlen($search); $i++) {
    	$val = preg_replace('/(&#[xX]0{0,8}' . dechex(ord($search[$i])) . ';?)/i', $search[$i], $val);
    	$val = preg_replace('/(�,8}' . ord($search[$i]) . ';?)/', $search[$i], $val); 
	}

	// now the only remaining whitespace attacks are \t, \n, and \r
	$ra1 = array('javascript', 'vbscript', 'expression', 'applet', 'meta', 'xml', 'blink', 'link', 'style', 'script', 'embed', 'object', 'iframe', 'frame', 'frameset', 'ilayer', 'layer', 'bgsound', 'title', 'base');
	$ra2 = array('onabort', 'onactivate', 'onafterprint', 'onafterupdate', 'onbeforeactivate', 'onbeforecopy', 'onbeforecut', 'onbeforedeactivate', 'onbeforeeditfocus', 'onbeforepaste', 'onbeforeprint', 'onbeforeunload', 'onbeforeupdate', 'onblur', 'onbounce', 'oncellchange', 'onchange', 'onclick', 'oncontextmenu', 'oncontrolselect', 'oncopy', 'oncut', 'ondataavailable', 'ondatasetchanged', 'ondatasetcomplete', 'ondblclick', 'ondeactivate', 'ondrag', 'ondragend', 'ondragenter', 'ondragleave', 'ondragover', 'ondragstart', 'ondrop', 'onerror', 'onerrorupdate', 'onfilterchange', 'onfinish', 'onfocus', 'onfocusin', 'onfocusout', 'onhelp', 'onkeydown', 'onkeypress', 'onkeyup', 'onlayoutcomplete', 'onload', 'onlosecapture', 'onmousedown', 'onmouseenter', 'onmouseleave', 'onmousemove', 'onmouseout', 'onmouseover', 'onmouseup', 'onmousewheel', 'onmove', 'onmoveend', 'onmovestart', 'onpaste', 'onpropertychange', 'onreadystatechange', 'onreset', 'onresize', 'onresizeend', 'onresizestart', 'onrowenter', 'onrowexit', 'onrowsdelete', 'onrowsinserted', 'onscroll', 'onselect', 'onselectionchange', 'onselectstart', 'onstart', 'onstop', 'onsubmit', 'onunload');
	$ra = array_merge($ra1, $ra2);

	$found = true;
	while ($found == true) {
    	$val_before = $val;
    	for ($i = 0; $i < sizeof($ra); $i++) {
        		$pattern = '/';
        		for ($j = 0; $j < strlen($ra[$i]); $j++) {
            		if ($j > 0) {
                			$pattern .= '(';
                			$pattern .= '(&#[xX]0{0,8}([9ab]);)';
                			$pattern .= '|';
                			$pattern .= '|(�{0,8}([9|10|13]);)';
                			$pattern .= ')*';
            		}
            		$pattern .= $ra[$i][$j];
        		}
        		$pattern .= '/i';
        		$replacement = substr($ra[$i], 0, 2) . '' . substr($ra[$i], 2); 
        		$val = preg_replace($pattern, $replacement, $val); 
        		if ($val_before == $val) {
            		$found = false;
        		}
    	}
	}
    	
	return $val;
}


$type = isset($_POST["type"]) ? postval("type") : "";
$rows = array();
$keyname = array("淘宝商城", "天猫商城", "京东商城", "苏宁易购", 
	"易迅商城", "当当网", "美团网", "点评网", "糯米网", 
	"百度", "必应", "搜狗", "谷粉", "拉勾网", "智联招聘",
	"赶集招聘", "猎聘网", "58招聘", "应届生招聘", 
	"中华英才网", "360搜索", "国美商城", "其它");

if ($type == "keylist")
{
	$key = postval('key');
	$keytype = postval('keytype');
	$ipaddr = postval("ipaddr");
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$bexport = postval('bexport');
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	
	$keygb2312 = iconv("utf-8", "gb2312", $key);
	
	$cmd = LOGDPATH."/bin/logeye user_behavior keylist 'keyutf8=$key' ".
		"'keygb2312=$keygb2312' 'enckeyutf8=".urlencode($key)."' 'enckeygbk=".urlencode($keygb2312)."' 'keytype=$keytype' 'ipaddr=$ipaddr' ".
		"longstart=$longstart longend=$longend 'errfile=$errfile' 'page=$page' 'limit=$limit'";
	exec($cmd, $out, $ret);
	$rows = $json = array();
	$num = 0;
	foreach($out as $val) {
		$ds = explode('|', $val);
		
		$charset = "utf-8";

		if (is_utf8($ds[0]) == false) {
			continue;
			$charset = "gb2312";
		}
		else
			$key = $ds[0];

		
		if ($ds[2] != "0")
			$tstart = date("Y-m-d H:i:s", $ds[2]);
		else
			$tstart = "-";
		
		if ($ds[3] != "0")
			$tend = date("Y-m-d H:i:s", $ds[3]);
		else
			$tend = "-";

//		$key = urldecode($key);
		$key = remove_key_xss($key);
		array_push($rows, array(
			"id"=>++$num,
			"key"=>$key,
			"num"=>$ds[1],
			"start"=>$tstart,
			"end"=>$tend,
			"enc"=>$charset
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "keystat") 
{
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$ipaddr = postval("ipaddr");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$cmd = LOGDPATH."/bin/logeye user_behavior keystat 'ipaddr=$ipaddr' ".
		"'longstart=$longstart' 'longend=$longend' 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	
	$num = 0;
	$y = array();
	$rows = $y = $json = array();
	foreach($out as $k=>$val) {
		$ds = explode('|', $val);
		array_push($json, array("x"=>$keyname[$k], "y"=>(int)$ds[1], "id"=>($k+1)));
		array_push($y, (int)$ds[1]);
	}

	array_multisort($y, SORT_DESC, $json);

	echo json_encode($json);
}

if ($type == "key_listuser")
{
	$key = postval('key');
	$keytype = postval('keytype');
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$enc = postval('enc');
	
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);
	
	$tablestr = php_keytable($longstart, $longend);
	
	$hasblack = 0;
	if (strchr($key, " ") != false) {
		$key = str_replace(' ', '_', $key);
		$hasblack = 1;
	}

	if ($enc == "gb2312") $key = iconv("utf-8", "gb2312", $key);
	
	$cmd = LOGDPATH."/bin/logeye user_behavior key_listuser 'keyutf8=$key' 'keytype=$keytype'";
	$cmd .= " longstart=$longstart longend=$longend 'errfile=$errfile' 'hasblack=$hasblack'";
	exec($cmd, $out, $ret);

	$rows = array();
	$num = 0;
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		if ($ds[4] == '$')
			$ds[4] = '';
		else $ds[4] = iconv("gb2312", "utf-8", $ds[4]);
		
		array_push($rows, array(
			"id"=>++$num,
			"ip"=>long2ip($ds[0]),
			"num"=>$ds[1],
			"start"=>date("Y-m-d H:i:s", $ds[2]),
			"end"=>date("Y-m-d H:i:s", $ds[3]),
			"account"=>$ds[4]
		));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "key_maps") {
	$keystyle = postval('keystyle');
	$key = postval('key');
    $strstart = postval('starttime');
    $strend = postval('endtime');
    $errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($strstart);
    $longend = strtotime($strend);
	
	if ($key != "")
		$keygb2312 = iconv("utf-8", "gb2312", $key);

    $tablestr = php_keytable($longstart, $longend);
	
	$kstype = explode(',', $keystyle);

    $arr = $json = array();
    $cmd = LOGDPATH."/bin/logeye user_behavior key_maps 'keytype=$keystyle' ".
		"'keyutf8=$key' 'keygb2312=$keygb2312' longstart=$longstart longend=$longend ".
		"'errfile=$errfile'";
    exec($cmd, $out, $return);
	
	$ismap = 1;
	$tagnum = 0;
	
	$datas = array();
	$eles = array();
	$ids = 0;
	
	$isele = 0;
	$oldisele = 0;
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		
		if ($ds[0] == "TAG") {
			$ismap++;
			
			if ($ismap > 2 && $isele) {
				array_push($datas, array("name"=>$keyname[$ids-1], "data"=>$eles));
			}
			
			if ($keystyle != 0) {
				$isele = 0;
				foreach($kstype as $k) {
					if ($ds[2] == $k) {
						$isele = 1;
					}
				}
			}else
				$isele = 1;
			
			unset($eles);
			$eles = array();
			
			$ids = (int)$ds[2];
			
			continue;
		}
		
		if ($ismap == 1) {
			array_push($arr, array("hc-key"=>$ds[0], "value"=>(double)$ds[2], "cname"=>iconv("gb2312", "utf-8", $ds[1])));
		}else {
			if ($isele)
				array_push($eles, array("x"=>(int)$ds[2]*1000, "y"=>(int)$ds[1]));
			
			$istrend = 1;
		}
	}
	
	if ($isele)
	array_push($datas, array("name"=>$keyname[count($keyname)-1], "data"=>$eles));
	
	$json["eles"] = $datas;
	$json["rows"] = $arr;
    echo json_encode($json);
}

if ($type == "key_trend") {
	$keystyle = postval('keystyle');
	$key = postval('key');
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	if ($key != "")
		$keygb2312 = iconv("utf-8", "gb2312", $key);

	$kstype = explode(',', $keystyle);

	$arr = $json = array();
	$cmd = LOGDPATH."/bin/logeye user_behavior key_trend 'keytype=$keystyle' ".
		"'keyutf8=$key' 'keygb2312=$keygb2312' longstart=$longstart longend=$longend ".
		"'errfile=$errfile'";
	exec($cmd, $out, $return);
	
	$ismap = 1;
	
	$datas = array();
	$eles = array();
	$ids = 0;
	
	$isele = 0;
	$oldisele = 0;
	foreach($out as $val) {
		$ds = explode(' ', trim($val, "\n"));
		
		if ($ds[0] == "TAG") {
			if (count($eles) != 0) {
				array_push($datas, array("name"=>$keyname[$ids-1], "data"=>$eles));
				unset($eles);
				$eles = array();
			}

			$ids = (int)$ds[2];
			
			continue;
		}

		array_push($eles, array("x"=>(int)$ds[1]*1000, "y"=>(int)$ds[2]));

	}
	
	array_push($datas, array("name"=>$keyname[count($keyname)-1], "data"=>$eles));
	
	$json["eles"] = $datas;
    echo json_encode($json);
}

if ($type == "key_style")
{
	$key = postval('key');
	$keytype = postval('keytype');
	$starttime = postval('starttime');
	$endtime = postval('endtime');
	$enc = postval('enc');
	
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$hasblack = 0;
	if (strchr($key, " ") != false) {
		$key = str_replace(' ', '_', $key);
		$hasblack = 1;
	}

	if ($enc == "gb2312")
		$key = iconv("utf-8", "gb2312", $key);
	
	$cmd = LOGDPATH."/bin/logeye user_behavior key_style 'keytype=$keystyle' ".
		"'keyutf8=$key' longstart=$longstart longend=$longend ".
		"'errfile=$errfile' 'hasblack=$hasblack'";
	exec($cmd, $out, $ret);

	$rows = array();	
	$num = 0;
	foreach($out as $k => $val) {
		$ds = explode(' ', $val);
		$start = date("Y-m-d H:i:s", $ds[1]);
		if ($ds[1] == "0")
			$start = "-";
		$end = date("Y-m-d H:i:s", $ds[2]);
		if ($ds[2] == "0")
			$end = "-";
		
		array_push($rows, array("id"=>($k+1), "name"=>$keyname[$k], "start"=>$start, 
			"end"=>$end, "num"=>(int)$ds[3]));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "key_monitor")
{
	$page = postval('page');
	$limit = postval('limit');

	$cmd = PANALOGEYE." serhit list 'page=$page' 'limit=$limit'";
	exec($cmd, $out, $ret);

	$rows = array();
	foreach($out as $k => $val) {
		list($key, $num, $ip, $uptime, $account, $keytype_id, $keytype_name) = explode('|', $val);

		if (is_utf8($key) == false)
			continue;

		if (json_encode($account) == false)
			$account = iconv("gb2312", "utf-8", $account);

		$key = remove_key_xss($key);
		array_push($rows, array(
			"key"=>$key, 
			"num"=>(int)$num,
			"ip"=>long2ip($ip),
			"uptime"=>date("H:i:s", $uptime), 
			"account"=>$account,
			"keytype_id"=>$keytype_id,
			"keytype_name"=>$keytype_name
		));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "keytype_list")
{
	$cmd = PANALOGEYE." serhit list tag=keytype";
	exec($cmd, $out, $ret);

	$rows = array();
	foreach($out as $k => $val) {
		list($keytype_id, $keytype_name, $num, $uptime, $key) = explode('|', $val);

		$key = urldecode($key);

		if (json_encode($key) == false)
			$key = iconv("gb2312", "utf-8", $key);

		$key = remove_key_xss($key);
		array_push($rows, array(
			"key"=>$key, 
			"num"=>(int)$num,
			"uptime"=>date("H:i:s", $uptime), 
			"keytype_id"=>$keytype_id,
			"keytype_name"=>$keytype_name
		));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

?>
