<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession())
	exit;

$devid = postval('devid');
$ipaddr = postval('ipaddr');
$strstart = postval('starttime');
$strend = postval('endtime');
$appid = postval('appid');
$page = postval("page");
$port = postval("port");
$limit = postval("limit");
$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
$bexport = postval('bexport');
$exportseraddr = postval('exportseraddr');
$op = postval("op");
$domain = postval("domain");
$filename = "session".date("YmdHis");

$longstart = strtotime($strstart);
$longend = strtotime($strend);

//$tablefile = php_getsessiontable($longstart, $longend);

$link = $filename;

if ($exportseraddr && $bexport != 0)
	$cmd = LOGDPATH."/bin/logeye user_behavior session_exportsaddr 'devid=$devid' 'ipaddr=$ipaddr' ".
		"longstart=$longstart longend=$longend 'bexport=$bexport' 'filename=$filename' 'errfile=$errfile' ".
		"'appid=$appid' 'exportseraddr=$exportseraddr' 'page=$page' 'limit=$limit' 'opid=$op' 'dstport=$port' 'domain=$domain'";
else
	$cmd = LOGDPATH."/bin/logeye user_behavior sessionlist 'devid=$devid' 'ipaddr=$ipaddr' ".
		"longstart=$longstart longend=$longend 'bexport=$bexport' 'filename=$filename' 'errfile=$errfile' ".
		"'appid=$appid' 'exportseraddr=$exportseraddr' 'page=$page' 'limit=$limit' 'opid=$op' 'dstport=$port' 'domain=$domain'";
exec($cmd, $out, $return);
if (($yys = getyys()) == false) {
	outputres("no", "yys error");
	exit;
}

if ($bexport == 0){
    $axp_name = array();
    $axp_cname = array();
    $res = array();

    //DEVID, APPNAME, SESSION_START_TIME, SESSION_END_TIME,SESSION_ADDR, SESSION_UP, SESSION_DOWN
    foreach($out as $val){
        $datas = explode(',', $val);

        if ($datas[10] == 6) $app_type = 'TCP';
        else $app_type = 'UDP';
		
	$position = iconv("gb2312", "utf-8", $datas[11]);
	
	$yys_name = "";
	foreach($yys as $y) {
		if ($y["id"] == $datas[12])
			$yys_name = $y["name"];
	}
	
	array_push($res, array(
		"devid"=>$datas[0],
		"app_name"=>iconv('gb2312','utf-8',$datas[1]),
		"access_time"=>date('Y/m/d H:i:s', $datas[2]),
		"conn_time"=>$datas[3] - $datas[2],
		"source"=>long2ip($datas[4]),
		"source_port"=>$datas[5],
		"dest"=>long2ip($datas[6]),
		"dest_port"=>$datas[7],
		"up"=>$datas[8],
		"down"=>$datas[9],
		"app_type"=>$app_type,
		"position"=>$position,
		"op"=>$yys_name,
		"host"=>$datas[13]
	));
    }
    $result['rows'] = $res;
    echo json_encode($result);
}else{
    $result['file'] = $link;
    echo json_encode($result);
}
?>