<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	outputres("no", "ERR_TIMEOUT");
	exit;
}

$devid		= postval('devid');
$ipaddr		= postval('ipaddr');
$dstip		= postval('dstip');
$natip		= postval('natip');
$sport		= postval('sport');
$dport		= postval('dport');
$natport	= postval('natport');
$ptype		= postval("ptype");
$strstart	= postval('starttime');
$strend		= postval('endtime');
$appid		= postval('appid');
$page		= postval("page");
$limit		= postval("limit");
$maxlimit	= postval("maxlimit");
$errfile	= _CHECKING_STATUS_F.'/'.postval('errname');
$bexport	= postval('bexport');
$exportseraddr	= postval('exportseraddr');
$op		= postval("op");
$domain		= postval("domain");
$filename	= "session".date("YmdHis");
$ifname		= postval("ifname");
$exportdomain	= postval("exportdomain");
$dstipgrp	= postval("dstipgrp");
$dstiptype	= postval("dstiptype");
$srciptype	= postval("srciptype");
$srcipgrp	= postval("srcipgrp");
$account	= iconv("utf-8", "gb2312", postval("account"));
$connsec	= postval("connsec");
$fullmatch	= postval("fullmatch");
$upbytes_gt	= postval("upbytes_gt");
$downbytes_gt	= postval("downbytes_gt");
$backexport	= postval("backexport");
$portgrp	= postval("portgrp");
$porttype	= postval("porttype");
$exportdate = postval("exportdate");
$cachefile = postval("cachefile");

$longstart	= strtotime($strstart);
$longend	= strtotime($strend);

$link		= $filename;

$username = $_SESSION["palog_username"];

$gtp = 0;
$cmd = PANALOGEYE." receiver stat";
exec($cmd, $out, $ret);
foreach($out as $line) {
	list($tag, $val) = explode('=', trim($line));
	if ($tag == "GTP" && $val == "1") {
		$gtp = 1;
		break;
	}
}
unset($out);

if ($exportseraddr && $bexport != 0) {
	if ($exportdate)
		$cmd = LOGDPATH."/bin/logeye user_behavior session_exportsaddrex 'exportseraddr=$exportseraddr' 'username=$username'";
	else
		$cmd = LOGDPATH."/bin/logeye user_behavior session_exportsaddr 'exportseraddr=$exportseraddr' 'username=$username'";
}
else
if ($exportdomain && $bexport != 0)
	$cmd = LOGDPATH."/bin/logeye user_behavior session_exportdomain 'username=$username'";
else
	$cmd = LOGDPATH."/bin/logeye user_behavior sessionlist 'exportseraddr=$exportseraddr' 'username=$username'";
$cmd .= " 'devid=$devid' 'ipaddr=$ipaddr' longstart=$longstart longend=$longend 'bexport=$bexport' 'filename=$filename'";
$cmd .= " 'errfile=$errfile' 'ifname=$ifname' 'appid=$appid' 'page=$page' 'limit=$limit' 'opid=$op' 'domain=$domain'";
$cmd .= " 'dstip=$dstip' 'exportdomain=$exportdomain' 'dstipgrp=$dstipgrp' 'dstiptype=$dstiptype'";
$cmd .= " 'natip=$natip' 'sport=$sport' 'natport=$natport' 'dstportseg=$dport' 'ptype=$ptype' 'account=$account'";
$cmd .= " 'fullmatch=$fullmatch' 'connsec=$connsec' 'grpid=$srcipgrp' 'iptype=$srciptype' 'maxlimit=$maxlimit'";
if ($upbytes_gt > 0) $cmd .= " upbytes_gt=$upbytes_gt";
if ($downbytes_gt > 0) $cmd .= " downbytes_gt=$downbytes_gt";
if ($backexport) $cmd .= " backexport=$backexport";
if ($cachefile != "") $cmd .= " cachefile=$cachefile";
$cmd .= " porttype=$porttype portgrp=$portgrp";
$cmd .= " usraccgrp=".getusraccgrp();

if ($bexport > 0)
	operation_logger("数据导出", "会话日志");

exec($cmd, $out, $ret);
if ($bexport == 0) {
	$axp_name = $axp_cname = $rows = array();
	$nodes = $nodes = $appids = $links = $category = array();
	/* 
	 * DEVID, APPNAME, SESSION_START_TIME, SESSION_END_TIME,SESSION_ADDR, SESSION_UP, SESSION_DOWN
	 */
	
	if (($yys = getyys()) == false) {
		outputres("no", "yys error");
		exit;
       	}

	/* all appid */
	foreach($out as $val) {
	       	$datas = explode(',', $val);
		if ($datas[0] == "totalrecord")
			continue;

		$appname = $datas[1];
		if (!is_utf8($datas[1]))
			$appname = iconv("gb2312", "utf-8", $datas[1]);

		$j = -1;
		foreach($appids as $k=>$a) {
			if ($a == $appname) {
				$j = $k;
				break;
			}
		}
		if ($j == -1) {
			array_push($appids, $appname);
			array_push($category, array("name"=>$appname));
		}
	}

	$totalrecord = 0;
	$maxnodesid = 0;
	foreach($out as $p=>$val) {
	       	$datas = explode(',', trim($val));
		if ($datas[0] == "totalrecord") {
			$totalrecord = $datas[1];
			continue;
		}

		$source = long2ip($datas[4]);	
		$dest = long2ip($datas[6]);	

		$appname = $datas[1];
		if (!is_utf8($datas[1]))
			$appname = iconv("gb2312", "utf-8", $datas[1]);

		$modularity_class = 0;
		foreach($appids as $k=>$a) {
			if ($appname == $a) {
				$modularity_class = $k;
				break;
			}
		}

		/* 源IP */
		$fd = 0; $pos = 0;
		foreach($nodes as $k=>$n) {
			$pos = $k;
			if ($source == $n["name"]) {
				$fd = 1;
				$nodes[$k]["symbolSize"]++;
				break;
			}
		}

		if (!$fd) {
			array_push($nodes, array(
				"id"=>$maxnodesid++,
				"name"=>$source,
				"itemStyle"=>array("normal"=>array("color"=>"rgb(236,81,72)")),
				"symbolSize"=>1,
				"attributes"=>array("modularity_class"=>$modularity_class)
			));
		}
		
		/* 目的IP */
		$fd = 0; $pos = 0;
		foreach($nodes as $k=>$n) {
			$pos = $k;
			if ($dest == $n["name"] && 
				$n["attributes"]["modularity_class"] == $modularity_class) {
				$fd = 1;
				$nodes[$k]["symbolSize"]++;
				break;
			}
		}

		if (!$fd) {
			array_push($nodes, array(
				"id"=>$maxnodesid++,
				"name"=>$dest,
				"itemStyle"=>array("normal"=>array("color"=>"rgb(236,81,72)")),
				"symbolSize"=>1,
				"attributes"=>array("modularity_class"=>$modularity_class)
			));
		}

		/* links */
		foreach($nodes as $k=>$n) {
			if ($n["name"] == $source) {
				$sid = $k;
			}
		}
		foreach($nodes as $k=>$n) {
			if ($n["name"] == $dest) {
				$tid = $k;
			}
		}

		array_push($links, array(
			"id"=>$p,
			"name"=>"null",
			"source"=>"$sid",
			"target"=>"$tid"
		));

		switch($datas[10]) {
		case 6:
			$app_type = "TCP";
			break;
		case 17:
			$app_type = "UDP";
			break;
		case 1:
			$app_type = "ICMP";
			break;
		}

		$position = $datas[11];
		if (json_encode($datas[11]) == false)
			$position = iconv("gb2312", "utf-8", $datas[11]);
		
		$yys_name = "";
		foreach($yys as $y) {
			if ($y["id"] == $datas[12])
				$yys_name = $y["name"];
		}
		
		$natip = ($datas[15] != 0) ? long2ip($datas[15]) : "";

		$src_position = iconv("gb2312", "utf-8", $datas[19]);

		if ($gtp) {
			array_push($rows, array(
				"devid"=>$datas[0],
				"app_name"=>$appname,
				"access_time"=>date('Y/m/d H:i:s', $datas[2]),
				"conn_time"=>$datas[3] - $datas[2],
				"source"=>$source,
				"source_port"=>$datas[5],
				"dest"=>$dest,
				"dest_port"=>$datas[7],
				"up"=>$datas[8],
				"down"=>$datas[9],
				"app_type"=>$app_type,
				"position"=>$position,
				"op"=>$yys_name,
				"host"=>$datas[13],
				"appid"=>$datas[14],
				"natip"=>$natip,
				"natport"=>$datas[16],
				"account"=>iconv("gb2312", "utf-8", $datas[17]),
				"ifname"=>iconv("gb2312", "utf-8", $datas[18]),
				"src_position"=>$src_position,
				"mac"=>$datas[20],
				"pkts1"=>$datas[21],
				"pkts2"=>$datas[22],
				"retmixpkts1"=>$datas[23],
				"retmixpkts2"=>$datas[24],
				"tun_src"=>long2ip($datas[25]),
				"tun_stid"=>$datas[26],
				"tun_dst"=>long2ip($datas[27]),
				"tun_dtid"=>$datas[28]
			));
		}
		else {
			array_push($rows, array(
				"devid"=>$datas[0],
				"app_name"=>$appname,
				"access_time"=>date('Y/m/d H:i:s', $datas[2]),
				"conn_time"=>$datas[3] - $datas[2],
				"source"=>$source,
				"source_port"=>$datas[5],
				"dest"=>$dest,
				"dest_port"=>$datas[7],
				"up"=>$datas[8],
				"down"=>$datas[9],
				"app_type"=>$app_type,
				"position"=>$position,
				"op"=>$yys_name,
				"host"=>$datas[13],
				"appid"=>$datas[14],
				"natip"=>$natip,
				"natport"=>$datas[16],
				"account"=>iconv("gb2312", "utf-8", $datas[17]),
				"ifname"=>iconv("gb2312", "utf-8", $datas[18]),
				"src_position"=>$src_position,
				"mac"=>$datas[20],
				"pkts1"=>$datas[21],
				"pkts2"=>$datas[22],
				"retmixpkts1"=>$datas[23],
				"retmixpkts2"=>$datas[24],
			));
		}
	}

	$json = array("rows"=>$rows, "nodes"=>$nodes, 
		"links"=>$links, "category"=>$category, 
		"totalrecord"=>$totalrecord, "gtp"=>$gtp);
       	echo json_encode($json);
}
else {
	$json['file'] = $link;
       	echo json_encode($json);
}
?>
