<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/map.js"></script>
<script type="text/javascript" src="../js/china-data.js?id=<?=rand()?>"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript" src="../js/Calendar.js"></script>

<script type="text/javascript">
function urlmap_check()
{
	var devid = getdevice();
       	var start = $("#start").val();
	var end = $("#end").val();
	var domain = $("#domain").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	var urlyys = $("#urlyys").val();
       
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
       	cluster_get_status(errname);
	
	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type:'url_maps', starttime:starttime, endtime:endtime, errname:errname, domain: domain, urlyys: urlyys, devid:devid},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();
			urlmaps_update(json);
			urlpiecount(json);
			urlpiecount_list(json);
			urlpieflow_list(json);
			urlpieflow(json);
			maps_display(json, domain);
		}
	});
}

function urlpiecount(json)
{
    var title = "域名所属运营商访问次数分布图";

    var option = {
        chart: {
            renderTo: "urlpiecount",
            defaultSeriesType: 'pie'
        },
        title: {
            text: title,
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return '访问次数：'+
                    this.point.name +': '+ (this.y);
            }
        },
        plotOptions: {
            pie: {
				size:'70%',
                allowPointSelect: true,
                cursor: 'pointer',
                dataLabels: {
                    enabled: true,
					style:{fontSize:'9px', fontWeight:'normal'},
                    formatter: function() {
                        return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
                    }
                }
            }
        },
        legend: {
            enabled:false
        },
        credits: {
            enabled: false
        },
        series: [{type:'pie', data:[]}]
    };

    for (var i = 0; i < json.yys_count.length; i++)
       option.series[0].data.push({name:json.yys_count[i].yys, y:json.yys_count[i].count});
    var chart = new Highcharts.Chart(option);
}

function urlpieflow(json)
{
    var title = "域名所属运营商访问流量分布图";

    var option = {
        chart: {
            renderTo: "urlpieflow",
            defaultSeriesType: 'pie'
        },
        title: {
            text: title,
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return '访问流量：'+
                    this.point.name +': '+ numberformats(this.y);
            }
        },
        plotOptions: {
            pie: {
				size:'70%',
                allowPointSelect: true,
                cursor: 'pointer',
                dataLabels: {
                    enabled: true,
					style:{fontSize:'9px', fontWeight:'normal'},
                    formatter: function() {
                        return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
                    }
                }
            }
        },
        legend: {
            enabled:false
        },
        credits: {
            enabled: false
        },
        series: [{type:'pie', data:[]}]
    };

    for (var i = 0; i < json.yys_bytes.length; i++)
       option.series[0].data.push({name:json.yys_bytes[i].yys, y:json.yys_bytes[i].upbytes+json.yys_bytes[i].downbytes});
    var chart = new Highcharts.Chart(option);
}

function urlmaps_update(json)
{
	var maxvalue = 0;
	for (i = 0; i < json.rows.length; i++)
		if (json.rows[i].value > maxvalue)
			maxvalue = json.rows[i].value;
		
	var myChart = echarts.init(document.getElementById('maps-all'));
	myChart.setOption({
		title : {
			text: '域名所属区域访问量数据分布图',
			x:'center',
			textStyle: {
				fontSize: 12,
				fontWeight: 'bold',
				fontFamily:"微软雅黑"
			}
		},
		tooltip : {
			trigger: 'item',
			textStyle: {
				fontSize: 14,
				fontWeight: 'normal'
			},
			formatter: function(params, ticket, callback){
				return params.name+'：'+(params.value);
			}
		},
		dataRange: {
			//orient: 'horizontal',
			min: 0,
			max: maxvalue,
			x: 'right',
			y: 'bottom',
			text:['高','低'],           // 文本，默认为数值文本
			calculable : true,
			color: ['#CF1F07', '#f5f5f5'],
			formatter: function(v) {
				return numberformats(v);
			}
		},
		series : [
			{
				name: '区域流量数据分布图',
				type: 'map',
				mapType: 'china',
				//selectedMode : 'multiple',
				itemStyle:{
					normal:{label:{show:true}, borderColor: '#ddd', areaStyle:{color:'f5f5f5'}},
					emphasis:{label:{show:true}}
				},
				data: json.rows
			}
		]
	}, true);
	
	var ecConfig = require('echarts/config');
	myChart.on(ecConfig.EVENT.CLICK, url_detail);
}

function url_detail(param)
{
	var left = (window.screen.width - 900) / 2;
	var height = window.screen.height - 150;

	var domain = $("#domain").val();
	var start = $("#start").val();
	var end = $("#end").val();

	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	var name =  param;
	if (param.name)
		name = param.name;
	
	window.open("url_detail.php?areaname="+name+"&yys=-1&starttime="+
		starttime+"&endtime="+endtime+"&startpage=1&domain="+domain, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function maps_display(json, domain)
{
	$("#urlarea_list").html('');
	
	var s = '<table style="width:100%;">';
	s += '<tr>';
	s += '<th style="width:50px;">编号</th>';
	s += '<th style="width:100px;">区域</th>';
	s += '<th class="txt-right">URL访问量</th>';
	s += '<th style="width:100px;">操作</th>';
	s += '</tr>';
	
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];
		
		oper = '<a href="javascript:url_detail(\''+r.cname+'\')">域名详细</a>';
		
		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';
					
		s += '<tr class="'+trbg+'">'+
			'<td align="center">'+(i+1)+'</td>'+
			'<td align="center">'+r.cname+'</td>'+
			'<td align="right">'+(r.value)+'</td>'+
			'<td align="center">'+oper+'</td></tr>';
	}
	s += '</table>';
	
	$(s).appendTo("#urlarea_list");
}

function url_detail2(yys, yysname)
{
	var left = (window.screen.width - 900) / 2;
	var height = window.screen.height - 150;

	var domain = $("#domain").val();
	var start = $("#start").val();
	var end = $("#end").val();

	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	window.open("url_detail.php?yysname="+yysname+"&yys="+yys+"&starttime="+
		starttime+"&endtime="+endtime+"&startpage=1&domain="+domain, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function urlpiecount_list(json)
{
	$("#urlpiecount_list").html("");
	
	var s = '<table style="width:100%;">';
	s += '<tr>';
	s += '<th width="100px">运营商</th>';
	s += '<th class="txt-right">URL访问量</th>';
	s += '</tr>';
	
	for (i = 0; i < json.yys_count.length; i++) {
		r = json.yys_count[i];
		
		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';
					
		s += '<tr class="'+trbg+'">'+
			'<td align="center"><a href="javascript:url_detail2('+r.id+', \''+r.yys+'\')">'+r.yys+'</a></td>'+
			'<td align="right">'+(r.count)+'&nbsp;</td>'+
			'</tr>';
	}
	s += '</table>';
	
	$(s).appendTo("#urlpiecount_list");
}

function urlpieflow_list(json)
{
	$("#urlpieflow_list").html("");
	
	var s = '<table style="width:100%;">';
	s += '<tr>';
	s += '<th width="100px">运营商</th>';
	s += '<th class="txt-right">上行流量</th>';
	s += '<th class="txt-right">下行流量</th>';
	s += '<th class="txt-right">总流量</th>';
	s += '</tr>';
	
	for (i = 0; i < json.yys_bytes.length; i++) {
		r = json.yys_bytes[i];
		
		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		s += '<tr class="'+trbg+'">'+
			'<td align="center"><a href="javascript:url_detail2('+r.id+', \''+r.yys+'\')">'+r.yys+'</a></td>'+
			'<td align="right">'+numberformats(r.upbytes)+'&nbsp;</td>'+
			'<td align="right">'+numberformats(r.downbytes)+'&nbsp;</td>'+
			'<td align="right">'+numberformats(r.upbytes+r.downbytes)+'&nbsp;</td>'+
			'</tr>';
	}
	s += '</table>';
	
	$(s).appendTo("#urlpieflow_list");
}
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="../user_behavior/url_map.php">域名地图</a></li>
			<li><a href="../user_behavior/user_map.php">用户地图</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>域名</label>
				<input type="text" value="" id="domain" style="width:150px;" />
			</li>
			<li>
				<label>运营商</label>
				<select id="urlyys" style="width:60px">
					<option value="-1">所有</option>
					<?php
					$yys = getyys();
					foreach($yys as $y) {
						echo '<option value="'.$y["id"].'">'.$y["name"].'</option>';
					}
					?>
				</select>
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 86400;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="btn-extend-color" onclick="urlmap_check()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div id="maps-all" style="float:left;width:31%;height:350px;margin-top:30px;text-align:center;">
	</div>
	<div id="urlpiecount" style="float:left;width:31%;height:350px;margin:30px 0 0 20px;text-align:center;">
	</div>
	<div id="urlpieflow" style="float:left;width:31%;height:350px;margin:30px 0 0 20px;text-align:center;">
	</div>
	<div id="urlarea_list" class="topapp-list-table" style="float:left;width:31%;margin-top:30px;">
	</div>
	<div id="urlpiecount_list" class="topapp-list-table" style="float:left;width:31%;height:400px;margin:30px 0 0 20px;text-align:center;">
	</div>
	<div id="urlpieflow_list" class="topapp-list-table" style="float:left;width:31%;height:400px;margin:30px 0 0 20px;text-align:center;">
	</div>
	<div style="clear:both"></div>
</div>
<script src="../js/echarts/echarts.js"></script>
<script type="text/javascript">
showdevicetree();
Highcharts.setOptions({ global: { useUTC: false } });
$("#imgstart").click(function(){
	new Calendar().show(document.getElementById("start"));
});
$("#imgend").click(function(){
	new Calendar().show(document.getElementById("end"));
});

var echarts;
require.config({
	paths: {
		echarts: '../js/echarts'
	}
});
require(
	[
		'echarts',
		'echarts/chart/map'
	],
	function(ec) {
		echarts = ec;
	}
);
</script>
</body>
</html>
