<?php
session_start();
set_time_limit(0);
include(dirname(__file__)."/../common.php");
if (!chksession()) {
	outputres("no", "请重新登录");
	exit;
}

$devid		= postval('devid');
$ipaddr		= postval('ipaddr');
$dstip		= postval("dstip");
$domain		= postval('domain');
$dstport	= postval("dstport");
$srcport	= postval("srcport");
$url		= urldecode(postval('url'));
$mac		= postval('mac');
$acctype	= postval("acctype");
$strstart	= postval('starttime');
$strend		= postval('endtime');
$account	= postval('account');
$errfile	= _CHECKING_STATUS_F.'/'.postval('errname');
$bexport	= postval('bexport');
$appid		= postval("appid");
$urlyys		= postval("urlyys");
$page		= postval('page');
$limit		= postval('limit');
$maxlimit	= postval("maxlimit");
$fullmatch	= postval('fullmatch');
$show_totalpage = postval('show_totalpage');
$srciptype	= postval('srciptype');
$dstiptype	= postval('dstiptype');
$srcipgrp	= postval('srcipgrp');
$dstipgrp	= postval('dstipgrp');
$backexport	= postval('backexport');
$cachefile = postval("cachefile");

if ($account != "") $account = iconv("utf-8", "gb2312", $account);
$json = $rows = array();
$longstart = strtotime($strstart);
$longend = strtotime($strend);
$filename = "url".date("YmdHis");

$username = $_SESSION["palog_username"];

/* Check Panalog version is gtp */
$gtp = 0;
$cmd = PANALOGEYE." receiver stat";
exec($cmd, $out, $ret);
foreach($out as $line) {
	list($tag, $val) = explode('=', trim($line));
	if ($tag == "GTP" && $val == "1") {
		$gtp = 1;
		break;
	}
}
unset($out);

$yys = getyys();
function getyysname($yysid)
{
	global $yys;

	$yys_name = "";
	foreach($yys as $y) {
		if ($y["id"] == $yysid)
			$yys_name = $y["name"];
	}

	return $yys_name;
}

/* 访问之前清除所有的curl进程 */
system("killall curl >/dev/null 2>&1");

$cmd = LOGDPATH."/bin/logeye user_behavior urlcheck 'devid=$devid' 'ipaddr=$ipaddr' 'domain=$domain' ".
	"'account=$account' longstart=$longstart longend=$longend 'url=$url' 'bexport=$bexport' ".
	"'filename=$filename' 'errfile=$errfile' 'page=$page' 'limit=$limit' 'acctype=$acctype' 'appid=$appid' ".
	"'dstip=$dstip' 'urlyys=$urlyys' 'mac=$mac'";
$cmd .= " 'iptype=$srciptype' 'dstiptype=$dstiptype' 'grpid=$srcipgrp' 'dstipgrp=$dstipgrp' 'maxlimit=$maxlimit' 'username=$username'";
if (!empty($srcport))
	$cmd .= " 'sport=$srcport'";
if (!empty($dstport))
	$cmd .= " 'dstport=$dstport'";
if ($fullmatch == 1)
	$cmd .= " 'fullmatch=$fullmatch'";
if ($show_totalpage == 1)
	$cmd .= " 'show_totalpage=$show_totalpage'";
if ($backexport) $cmd .= " 'backexport=$backexport'";
$cmd .= " usraccgrp=".getusraccgrp();
if ($cachefile != "") $cmd .= " cachefile=$cachefile";

$totalrecord = 0;
exec($cmd, $out, $ret);
if ($ret != 0) {
	outputres("no", $out[0]);
	exit;
}
if (!$bexport) {
	foreach($out as $val) {
		$ds = explode(' ', trim($val));

		if ($ds[0] == "totalrecord") {
			$totalrecord = $ds[1];
			continue;
		}

		$account = $ds[6];
		if ($account == '$')
		    $account = '';
		if (strstr($account, "apid_") !== false) 
			$account = "";
		if ($account != "")
			$account = iconv('gb2312', 'utf-8', $account);
		
		$appname = "";
		if (count($ds) >= 8 && $ds[7] != "none") 
			$appname = iconv('gb2312', 'utf-8', $ds[7]);
			
		$op = -1;
		$dstip = $dstpos = "";
		$flen = count($ds);
		if ($flen >= 11) {
			if ($ds[8] != 0)
				$dstip = long2ip($ds[8]);
			if ($ds[9] != "unknow")
				$dstpos = iconv('gb2312', 'utf-8', $ds[9]);
			$op = (int)$ds[10];
		}
		
		$srcport = 0;
		$dstport = 0;
		if ($flen >= 13) {
			$op = (int)$ds[10];
			$yysname = getyysname($op);
			$srcport = $ds[11];
			$dstport = $ds[12];
		}

		if ($flen >= 14)
			$mac = $ds[13];

		$srcyysname = getyysname($ds[14]);
		$src_position = iconv('gb2312', 'utf-8', $ds[15]);
		if ($gtp) {
			$tun_src = long2ip($ds[14]);
			$tid_src = $ds[15];
			$tun_dst = long2ip($ds[16]);
			$tid_dst = $ds[17];
			$srcyysname = getyysname($ds[18]);
			$src_position = iconv('gb2312', 'utf-8', $ds[19]);
		}
			
		if ($appname == "未知应用") 
			$appname = "";

		if (strstr($ds[5], "http://") != false) {
			if (strstr($ds[5], $ds[4]) != false) {
				$ds[5] = str_replace("http://", "", $ds[5]);
				$ds[5] = str_replace($ds[4], "", $ds[5]);
			}
		}

		if ($gtp) {
			array_push($rows, array(
				'devid'=>$ds[0],
				'time'=>date("m/d H:i:s", $ds[1]),
				'ip'=>long2ip($ds[2]), 
				'type'=>$ds[3], 
				'domain'=>($ds[4]), 
				'account'=>$account,
				'url'=>iconv('gb2312', 'utf-8', $ds[5]),
				"appname"=>$appname,
				"dstip"=>$dstip,
				"dstpos"=>$dstpos,
				"op"=>$yysname,
				"srcport"=>$srcport,
				"dstport"=>$dstport,
				"mac"=>$mac,
				"tun_src"=>$tun_src,
				"tid_src"=>$tid_src,
				"tun_dst"=>$tun_dst,
				"tid_dst"=>$tid_dst,
				"srcposition"=>$src_position,
				"srcyysname"=>$srcyysname
			));
		}
		else {
			array_push($rows, array(
				'devid'=>$ds[0],
				'time'=>date("m/d H:i:s", $ds[1]),
				'ip'=>long2ip($ds[2]), 
				'type'=>$ds[3], 
				'domain'=>($ds[4]), 
				'account'=>$account,
				'url'=>iconv('gb2312', 'utf-8', $ds[5]),
				"appname"=>$appname,
				"dstip"=>$dstip,
				"dstpos"=>$dstpos,
				"op"=>$yysname,
				"srcport"=>$srcport,
				"dstport"=>$dstport,
				"mac"=>$mac,
				"srcposition"=>$src_position,
				"srcyysname"=>$srcyysname
			));
		}
	}
	$json = array("rows"=>$rows, "gtp"=>$gtp, "totalrecord"=>$totalrecord);
	echo json_encode($json);
}
else {
    $json['file'] = $filename;
    echo json_encode($json);
}
?>
