<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>自定义协议--<?=$_GET['cname']?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript">
function trend_graph(render, xdate, data)
{
	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, 'macarons');

	var title = "";
	switch(render) {
	case "bpsup":
		title = "上行速率趋势图/bps";
		tag = '上行速率';
		break;
	case "bpsdown":
		title = "下行速率趋势图/bps";
		tag = '下行速率';
		break;
	case "bpsflow":
		title = "连接数趋势图/5分钟";
		tag = '连接数';
		break;
	}

	var fontfamily = "微软雅黑";
	var fontsize = 12;

	option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 11
			},
			formatter: function(params, ticket, callback) {
				for (i = 0; i < params.length; i++) {
					return params[i].name + '<br/>' + params[i].seriesName + ':' + numberformats(params[i].value);
				}
			}
		},
		title: {
			text: title,
			left: '1%',
			top:0,
			textStyle: {
				fontSize: 14,
				color: '#555'
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			splitLine: {
				show: true 
			},
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
			data: xdate
		},
		grid: {
			left: '5%',
			top: '15%',
			right:'3%'
		},
		yAxis: {
			type: 'value',
			name: null,
			nameLocation: 'end',
			splitLine: {
				show: true
			},
			nameTextStyle: {
				fontSize: 10,
				fontWeight: 'bold',
				fontFamily: 'Microsoft YaHei'
			},
			axisLabel: {
				textStyle: {
					fontSize: '10'
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			boundaryGap: [0, '100%']
		},
		series: [{
			name: tag,
			type:'line',
			smooth:true,
			symbol: 'circle',
			sampling: 'average',
			showSymbol: false,
			lineStyle: {
				normal: {
					width: 1
				}
			},
			itemStyle: {
				//color: 'rgb(155, 127, 14)',
				borderColor: 'rgba(155, 127, 14, 1)',
				borderWidth: 12
			},
			areaStyle: {
			/*
				color: new echarts.graphic.LinearGradient(0, 0, 0, 1, [{
					offset: 1,
					//color: 'rgba(255, 127, 14, 0.3)'
				}, {
					offset: 0,
					//color: 'rgba(155, 127, 14, 1)'
				}], false),
			 */
			},
			data: data
		}]
	};

	myChart.setOption(option);
}

function cusaxp_trend()
{
	var appid = $("#appid").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../App/ajax_app_custom.php',
		data:{action: 'top', appid: appid, starttime:starttime, endtime:endtime, errname:errname},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			trend_graph("bpsdown", json.cate, json.avg_down);
			trend_graph("bpsup", json.cate, json.avg_up);
			trend_graph("bpsflow", json.cate, json.avg_flow);
		}
	});
}

</script>
</head>
<body>
<div>
<?php
$starttime = $_GET['starttime'];
$endtime = $_GET['endtime'];

$starttime = $_GET['starttime'];
$endtime = $_GET['endtime'];
$appid = $_GET['appid'];
$cname = $_GET['cname'];
?>
	<input type="hidden" value="<?=$starttime?>" id="starttime" />
	<input type="hidden" value="<?=$endtime?>" id="endtime" />
	<input type="hidden" value="<?=$appid?>" id="appid" />
	<input type="hidden" value="<?=$cname?>" id="cname" />
	
	<div style="width:100%; height:300px;margin-top:20px;" id="bpsup"></div>
	<div style="width:100%; height:300px;" id="bpsdown"></div>
	<div style="width:100%; height:300px;" id="bpsflow"></div>
</div>
<script>
cusaxp_trend();
</script>
</body>
</html>

