<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$type = "";
$i = $app = 0;
$appname = "";
$data = $seriesup = $seriesdown = $seriesflow = $json = array();

if (isset($_POST["type"]))
	$type = postval("type");

if ($type == "defpro_apptrend")
{
	$output = file("/usr/logdata/tmp/defpro_apptrend.txt");
}else {
	$devid = postval('devid');
	$strstart = postval('tmstart');
	$strend = postval('tmend');
	$linkid = postval('linkid');
	$appid = postval('appid');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$cmd = LOGDPATH."/bin/logeye user_behavior appflow_trend 'devid=$devid' ".
		"longstart=$longstart longend=$longend 'appid=$appid' ".
		"'linkid=$linkid' 'errfile=$errfile'";
	exec($cmd, $output, $return);
}

$slot = 0;
foreach($output as $val){
	$ds = explode(' ', $val);
	if ($ds[0] == "TAG"){
		if ($slot != 0)
			break;
	}
	
	if ($ds[0] == "DATA")
		$slot++;
}

$appup = 0;
$appdown = 0;
$appflow = 0;
$currtype = "";
foreach($output as $val){
	$ds = explode(' ', $val);
	
	if ($ds[2] == "ONETREND")
		break;
		
	if ($ds[0] == "TAG"){
        if ($ds[1] == "DATEUP") {
            $currtype = "DATEUP";
            $seriesup[$appup]['name'] = "上行流量";
        }
        if ($ds[1] == "DATEDOWN"){
            $currtype = "DATEDOWN";
            $seriesdown[$appdown]['name'] = "下行流量";
        }
        if ($ds[1] == "DATEFLOW"){
            $currtype = "DATEFLOW";
            $seriesflow[$appflow]['name'] = "连接数";
			$seriesflow[$appflow]['type'] = 'spline';
        }
	}
	
	if ($ds[0] == "DATA"){
		$data[$i]['x'] = (int)$ds[1] * 1000;
		$data[$i++]['y'] = (float)$ds[2];
		
		if (count($data) == $slot){
            if ($currtype == "DATEUP")
			    $seriesup[$appup++]['data'] = $data;
            if ($currtype == "DATEDOWN")
                $seriesdown[$appdown++]['data'] = $data;
            if ($currtype == "DATEFLOW")
                $seriesflow[$appflow++]['data'] = $data;
			unset($data);
			$i = 0;
		}
	}
}

$json['result_up'] = $seriesup;
$json['result_down'] = $seriesdown;
$json['result_flow'] = $seriesflow;
echo json_encode($json);
?>
