<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">

var sort = "ifname";

function ifflowlist()
{
	var devid = getdevice();

	var start = $("#start").val();
	var end = $("#end").val();
	var start_hour = $("#start_hour").val();
	var end_hour = $("#end_hour").val();
	var starttime = start + ' '+start_hour+':0:0';
	var endtime = end + ' '+end_hour+':59:59';
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../App/app_handle.php',
		data:{type: 'ifflowlist', devid:devid, starttime:starttime, 
			endtime:endtime, errname:errname, sort: sort},
		type:'post',
		dataType:'json',
		success:function(json) {
			ifflow_update(json, starttime, endtime, devid);
			cluster_load_hide();
		}
	});
}

function ifflow_update(json, starttime, endtime, devid)
{
	var list;

	list = document.getElementById("ifflowlist");

	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i <json.rows.length; i++) {
		r = json.rows[i];

		obj = list.insertRow(-1);

		col = obj.insertCell(0);
		col.setAttribute("align", "center");
		col.innerHTML = i+1;

		mk = '<a href="javascript:ifflow_appgroup(\''+devid+'\', \''+r.ifname+
			'\', \''+starttime+'\', \''+endtime+'\')">'+r.ifname+'</a>';
		col = obj.insertCell(1);
		col.setAttribute("align", "left");
		col.innerHTML = mk;

		col = obj.insertCell(2);
		col.setAttribute("align", "right");
		col.innerHTML = r.flowcont;

		col = obj.insertCell(3);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.up);

		col = obj.insertCell(4);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.down);

		col = obj.insertCell(5);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.up + r.down);

		col = obj.insertCell(6);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.upbps);

		col = obj.insertCell(7);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.downbps);

		col = obj.insertCell(8);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.upbps + r.downbps);

		col = obj.insertCell(9);
		col.setAttribute("align", "center");

		mk = '<a href="javascript:ifflow_appgroup(\''+devid+'\', \''+r.ifname+
			'\', \''+starttime+'\', \''+endtime+'\')">查看</a>';
		col.innerHTML = mk;
	}
}

function hdsort(s)
{
	sort = s;

	ifflowlist();
}

function ifflow_appgroup(devid, ifname, starttime, endtime)
{
	var left;

	w = 1000;
	h = window.screen.height - 150;
	left = (window.screen.width - w) / 2;

	window.open("ifflow_appgroup.php?ifname="+ifname+"&start="+starttime+"&end="+endtime+"&devid="+devid, 
		"_blank", "width="+w+"px, height="+h+"px, left="+left+"px");
}
</script>
</head>
<body>
<div class="outer">
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 86400;
				?>
				<input type="text" name="start" id="start" style="width:80px;" 
				onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="start_hour" value="<?= date('H')?>" style="width:20px" /> 时
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px;" 
				onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<input type="text" id="end_hour" value="<?= date('H')?>" style="width:20px" /> 时
			</li>
			<li>
				<a class="btn-extend-color" onclick="ifflowlist()">查询</a>
			</li>
<?php
if ($_SESSION["palog_username"] == "admin") {
?>
			<li>
				<select id="ifflow_enable" style="width:150px; height:22px;">
				<?php
				$e = 0;
				if (file_exists(LOG_CONF)) {
					$lns = file(LOG_CONF);
					foreach($lns as $val) {
						if (strstr($val, "ifflow_enable=0")) {
							echo '<option value="0" selected>关闭接口统计功能</option>';
							echo '<option value="1">开启接口统计功能</option>';
							$e = 1;
							break;
						}
						if (strstr($val, "ifflow_enable=1")) {
							echo '<option value="0">关闭接口统计功能</option>';
							echo '<option value="1" selected>开启接口统计功能</option>';
							$e = 1;
							break;
						}
					}
					if (!$e) {
						echo '<option value="0" selected>关闭接口统计功能</option>';
						echo '<option value="1">开启接口统计功能</option>';
					}
				}
				?>
				</select>
			</li>
<?php
}
?>
		</ul>
		<div class="clearfloat"></div>
	</div>
	
	<div class="topapp-list-table">
		<table id="ifflowlist" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
			<th class="txt-center" width="50px">序号</th>
			<th class="txt-left"><a href="javascript:hdsort('ifname')">接口名称</a></th>
			<th class="txt-right"><a href="javascript:hdsort('flow')">连接数</a></th>
			<th class="txt-right"><a href="javascript:hdsort('up')">上行流量(Byte)</a></th>
			<th class="txt-right"><a href="javascript:hdsort('down')">下行流量(Byte)</a></th>
			<th class="txt-right"><a href="javascript:hdsort('total')">总流量(Byte)</a></th>
			<th class="txt-right"><a href="javascript:hdsort('up')">上行速率(bps)</a></th>
			<th class="txt-right"><a href="javascript:hdsort('down')">下行速率(bps)</a></th>
			<th class="txt-right"><a href="javascript:hdsort('total')">总速率(bps)</a></th>
			<th class="txt-center">操作</th>
			</tr>
		</table>
	</div>
</div>
<script type="text/javascript">
$("#ifflow_enable").change(function(){
	$.ajax({
		url: "app_handle.php",
		data: {type: "ifflow_enable", enable: $(this).val()},
		dataType: "json",
		type: "post",
		success: function(json) {
			if (json.yn == "no")
				alert(json.str);
			else
				showerror("操作成功");
		}
	});
});
showdevicetree();
</script>
</body>
</html>
