<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" href="../css/dtree.css" rel="stylesheet">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript">

var sort = "flow";

function ifflow_appgroup()
{
	var devid = getdevice();
	var ifname = $("#ifname").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var start_hour = $("#start_hour").val();
	var end_hour = $("#end_hour").val();
	var starttime = start + ' '+start_hour+':0:0';
	var endtime = end + ' '+end_hour+':59:59';

	ifname = TrimAll(ifname);
	if (ifname == "") {
		showerror("请输入正确的网卡名称");
		return false;
	}

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../App/app_handle.php',
		data:{type: 'ifflow_appgroup', devid:devid, starttime:starttime, 
			endtime:endtime, errname:errname, sort: sort, ifname: ifname},
		type:'post',
		dataType:'json',
		success:function(json) {
			ifflow_update(json, ifname, starttime, endtime);
			appgroup_pie_chart("bytes", "bytespie", json, starttime, endtime);
			appgroup_pie_chart("flow", "flowpie", json, starttime, endtime);
			cluster_load_hide();
		}
	});
}

function ifflow_update(json, ifname, starttime, endtime)
{
	var list;

	list = document.getElementById("ifflow_applist");

	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i <json.rows.length; i++) {
		r = json.rows[i];

		obj = list.insertRow(-1);

		col = obj.insertCell(0);
		col.setAttribute("align", "center");
		col.innerHTML = i+1;

		appname = '<a href="javascript:groupinfo(\''+ifname+'\', '+r.appid+', \''+
			r.appname+'\', \''+starttime+'\', \''+endtime+'\')">'+r.appname+'</a>';
		col = obj.insertCell(1);
		col.setAttribute("align", "left");
		col.innerHTML = appname;

		col = obj.insertCell(2);
		col.setAttribute("align", "right");
		col.innerHTML = r.flowcont;

		col = obj.insertCell(3);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.up);

		col = obj.insertCell(4);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.down);

		col = obj.insertCell(5);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.up + r.down);

		col = obj.insertCell(6);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.upbps);

		col = obj.insertCell(7);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.downbps);

		col = obj.insertCell(8);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.upbps + r.downbps);
	}
}

function hdsort(s)
{
	sort = s;

	ifflow_appgroup();
}

function groupinfo(ifname, appid, appname, starttime, endtime)
{
	var left;

	w = 900;
	h = window.screen.height - 150;
	left = (window.screen.width - w) / 2;

	window.open("ifflow_topapp.php?ifname="+ifname+"&start="+starttime+"&end="+endtime+"&appid="+appid+"&appname="+appname, 
			"_blank", "width="+w+"px, height="+h+"px, left="+left+"px");
}

function appgroup_pie_chart(chartype, render, json, starttime, endtime)
{
	var ifname = $("#ifname").val();

    var title = ifname+"连接数分布图";
    if (chartype == "bytes")
        title = ifname+"流量分布图";

    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: 'pie'
        },
        title: {
            text: title,
			style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            labels:{
                rotation:-45,
                align:'right',
				style:{font:'normal 12px Verdana, sans-serif', color:'#666'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return ''+
                    this.point.name +': '+ numberformats(this.y);
            }
        },
        plotOptions: {
            pie: {
				size:'60%',
                allowPointSelect: true,
                cursor: 'pointer',
                dataLabels: {
                    enabled: true,
					style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'normal'},
                    formatter: function() {
                        return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
                    }
                },
				point:{
                    events:{
                        click:function() {
							groupinfo(ifname, this.appid, this.name, starttime, endtime);
                        }
                    }},
            }
        },
        legend: {
            enabled:false
        },
        credits: {
            enabled: false
        },
        series: [{type:'pie', data:[]}]
    };

    var c = 0;
    for (var i = 0; i < json.rows.length; i++) {
        if (chartype == "bytes")
            option.series[0].data.push({name:json.rows[i].appname, y:(json.rows[i].up+json.rows[i].down), appid:json.rows[i].appid});
        else 
			option.series[0].data.push({name:json.rows[i].appname, y:json.rows[i].flowcont, appid:json.rows[i].appid});
    }
    var chart = new Highcharts.Chart(option);
}

function initdevid()
{
	var devid = $("#hid_devid").val();
	if (devid == "0")
		return;

	var s = devid.split(',');
	for(i = 0; i < s.length; i++) {
		if (s[i] == "")
			continue;
		$("[name='device']").each(function(){
			if ($(this).val() == s[i])
				$(this).attr("checked", true);
		});
	}
}

</script>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
		<?php
		$ifname = $_GET["ifname"];
		$start = $_GET["start"];
		$end = $_GET["end"];

		$devid = $_GET["devid"];
		echo '<input type="hidden" value="'.$devid.'" id="hid_devid" />';
		$url1 = "ifflow_topapp.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		$url2 = "ifflow_topip.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		$url3 = "ifflow_appgroup.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		$url4 = "ifflow_topdstip.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		$url5 = "ifflow_direc.php?ifname=$ifname&start=$start&end=$end&devid=$devid";
		?>
			<li class="active"><a href="<?=$url3?>">流量分布</a></li>
			<li><a href="<?=$url5?>">流量流向</a></li>
			<li><a href="<?=$url1?>">TOP协议</a></li>
			<li><a href="<?=$url2?>">TOP用户</a></li>
			<li><a href="<?=$url4?>">TOP目标</a></li>
		</ul>
	</div>
	<div class="als-content">
		<div class="als-box">
			<div class="als-btn-bar">
				<ul>
					<li>
						<?php
						echo getdevice();
						?>
					</li>
					<li>
						<label>网卡</label>
						<input type="text" id="ifname" value="<?=$_GET['ifname']?>" style="width:40px" />
					</li>
					<li>
						<?php
						$start = strtotime($start);
						$end = strtotime($end);
						?>
						<label>起始时间</label>
						<input type="text" name="start" id="start" style="width:80px;" 
						onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $start) ?>" />
						<input type="text" id="start_hour" value="<?= date('H', $start)?>" style="width:20px" /> 时
					</li>
					<li>
						<label>结束时间</label>
						<input type="text" name="end" id="end" style="width:80px;" 
						onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $end) ?>" />
						<input type="text" id="end_hour" value="<?= date('H', $end)?>" style="width:20px" /> 时
					</li>
					<li>
						<a class="btn-extend-color" onclick="ifflow_appgroup()">查询</a>
					</li>
				</ul>
				<div class="clearfloat"></div>
			</div>
		</div>

		<div class="als-box">	
			<div id="bytespie" style="float:left; width:490px; height:300px; text-align:center;"></div>
			<div id="flowpie" style="float:left; width:430px; height:300px;"></div>
			<div class="clearfloat"></div>
		</div>
		<div class="als-box">	
			<table id="ifflow_applist" class="als-table" cellspacing=0 cellpadding=0>
				<tr>
					<th class="txt-center" width="50px">序号</th>
					<th class="txt-left"><a href="javascript:hdsort('appname')">协议组</a></th>
					<th class="txt-right"><a href="javascript:hdsort('flow')">连接数</a></th>
					<th class="txt-right"><a href="javascript:hdsort('up')">上行流量(Byte)</a></th>
					<th class="txt-right"><a href="javascript:hdsort('down')">下行流量(Byte)</a></th>
					<th class="txt-right"><a href="javascript:hdsort('total')">总流量(Byte)</a></th>
					<th class="txt-right"><a href="javascript:hdsort('up')">上行速率(bps)</a></th>
					<th class="txt-right"><a href="javascript:hdsort('down')">下行速率(bps)</a></th>
					<th class="txt-right"><a href="javascript:hdsort('total')">总速率(bps)</a></th>
				</tr>
			</table>
		</div>
	</div>
</div>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });
initdevid();
ifflow_appgroup();
</script>
</body>
</html>
