<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
include "func.php";
if (!chksession() && !isset($_SESSION["cloud_username"])) {
	outputres("no", "no expire");
	exit;
}

error_reporting(E_ALL);

$action = postval("action");

if ($action == "showpanalogd")
{
	$cmd = "ps awx | grep panalogd | grep -v grep";
	exec($cmd, $out, $ret);
	if (count($out) > 0) {
		outputres("yes", "");
	}
	else
		outputres("no", "");
}

if ($action == "upgrade_upgrade_log")
{
	$i = 0;
	$rows = array();
	if (file_exists("/tmp/upgrade.log")) {
		$lines = file("/tmp/upgrade.log");
		foreach($lines as $obj) {
			list($ip, $msg) = explode('|', $obj);
			$fd = 0;
			foreach($rows as $k=>$val) {
				if ($val["ipaddr"] == $ip) {
					$fd = 1;
					$rows[$k]["status"] = $msg;
					break;
				}
			}

			if (!$fd) {
				array_push($rows, array(
					"id"=>(++$i),
					"ipaddr"=>$ip,
					"status"=>$msg
				));
			}
		}
	}

	if (count($rows) == 0) {
		$cmd = PANALOGEYE." node stat";
		exec($cmd, $out, $ret);
		$masterip = "";
		foreach($out as $obj) {
			list($tag, $val) = explode('=', trim($obj));
			if ($tag == "masterip") {
				$masterip = $val;
				break;
			}
		}

		unset($out);
		$i = 0;
		$cmd = PANALOGEYE." node list | cut -d' ' -f1";
		exec($cmd, $out, $ret);
		foreach($out as $val) {
			if (trim($val) == "ipaddr") continue;
			$msg = "等待升级......";
			if (trim($val) == $masterip)
				$msg = "正在升级......";
			array_push($rows, array(
				"id"=>(++$i),
				"ipaddr"=>$val,
				"status"=>$msg
			));
		}
	}

	$json = array("code"=>0, "data"=>$rows, "count"=>$i);
	echo json_encode($json);
}

if ($action == "ismulnode")
{
	$cmd = PANALOGEYE." node stat";
	exec($cmd, $out, $ret);
	$masterip = "";
	foreach($out as $obj) {
		list($tag, $val) = explode('=', trim($obj));
		if ($tag == "masterip") {
			$masterip = $val;
		}
	}

	unset($out);
	$node_count = 0;
	$cmd = PANALOGEYE." node list | cut -d' ' -f1";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		if ($masterip == "" || 
		    trim($val) == "ipaddr" || 
		    trim($val) == $masterip) 
			continue;
		$node_count++;
	}
	echo '{"node_count":'.$node_count.'}';

	if (file_exists("/tmp/upgrade.log"))
		unlink("/tmp/upgrade.log");
}

if ($action == "upgrade_version_list")
{
	$i = 1;
	$rows = $json = array();
	$cmd = PANALOGEYE." node list";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] == "ipaddr")
			continue;
		array_push($rows, array(
			"id"=>($i++),
			"ipaddr"=>$ds[0],
			"version"=>$ds[12]
		));
	}
	$json = array("code"=>0, "data"=>$rows);
	echo json_encode($json);
}

if ($action == "upgrade_record_list")
{
	$page = postval("page");
	$limit = postval("limit");

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECTED_FAILED");
		exit;
	}
	$count = 0;
	$sql = "select count(1) from palog.operation_log ";
	$sql .= "where obj='系统升级'";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result))
			$count = $row[0];
	}

	$start = ($page - 1) * $limit;
	$rows = $json = array();
	$cmd = "select user, ope_time, cont from palog.operation_log ";
	$cmd .= "where obj='系统升级' order by ope_time desc limit $start,$limit";
	if (($result = mysql_query($cmd)) == false) {
		outputres("no", mysql_error());
		mysql_close($conn);
		exit;
	}
	$i = 1;
	while ($row = mysql_fetch_row($result)) {
		array_push($rows, array(
			"id"=>($i++),
			"username"=>$row[0],
			"time"=>date("Y-m-d H:i:s", $row[1]),
			"content"=>$row[2]
		));
	}
	mysql_close($conn);
	$json = array("code"=>0, "data"=>$rows, "count"=>$count);
	echo json_encode($json);
}

if ($action == "upgrade_list") 
{
	$task_id = postval("task_id");

	$rows = array();

	$cmd = DATAEYE." als_upgrade list showdevice=1 'taskid=$task_id'";
	exec($cmd, $out, $ret);
	foreach($out as $k=>$val) {
		list($taskid, $license_id12, $sysname, $status, $ver, $new_ver, $resp) = explode(' ', $val);
		if ($taskid == "taskid" || $taskid == "")
			continue;
		array_push($rows, array(
			"license_id12"=>$license_id12,
			"name"=>iconv("gb2312", "utf-8", $sysname),
			"ori_version"=>iconv("gb2312", "utf-8", $ver),
			"last_version"=>iconv("gb2312", "utf-8", $new_ver),
			"servertime"=>time(NULL),
			"status"=>$status,
			"errors"=>iconv("gb2312", "utf-8", $resp),
			"task_id"=>(int)$taskid
		));
	}

	if (count($rows) != 0)
		goto _exit;
	
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "MYSQL_CONNECTED_FAILED");
		exit;
	}
	$cmd = "select license_id12, name, ori_version, last_version, upgrade_start, ";
	$cmd .= "complete, errors, task_id, upgrade_bag from palog.cloud_upgrade where task_id=$task_id";
	if (($result = mysql_query($cmd)) == false)
		goto _mysqlclose;
	
	while ($row = mysql_fetch_row($result)) {
		$times = $row[4];
		if ($times != 0) $times = date("Y-m-d H:i:s", $times);
		
		$last_version = $row[3];
		if ($last_version != "")
			$last_version = iconv("gb2312", "utf-8", $last_version);
		
		array_push($rows, array(
			"license_id12"=>$row[0],
			"name"=>iconv("gb2312", "utf-8", $row[1]),
			"ori_version"=>iconv("gb2312", "utf-8", $row[2]),
			"last_version"=>$last_version,
			"upgrade_start"=>$times,
			"time"=>(int)$row[4],
			"servertime"=>time(NULL),
			"status"=>$row[5],
			"errors"=>iconv("gb2312", "utf-8", $row[6]),
			"task_id"=>(int)$row[7],
			"upgrade_bag"=>$row[8],
			"stime"=>time(NULL)
		));
	}

	_mysqlclose:
	mysql_close($conn);

	_exit:	
	$json = array("rows"=>$rows);
	echo json_encode($json);
}

?>
