<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link type="text/css" rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css" />
<link type="text/css" rel="stylesheet" href="../css/dtree.css"/>
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js"></script>
<script type="text/javascript">
var trees;
$(document).ready(
function (){
	var data;
	var devid;
	
	trees = new dTree('trees');
	trees.add(0, -1, '选择协议');

	$.ajax({
		url:'tree.php',
		type:'get',
		dataType:'json',
		success:function(data){
			for (var i = 0; i < data.result.length; i++){
				r = data.result[i];
				var pos = '<input type="checkbox" name="appbox" onclick="onAppSel(this)" '+
					'value="'+r.id + ':' + r.name+':'+r.cname+':'+r.root+'"  /><label>'+r.cname+'</label>';
				trees.add(r.id, r.parent, pos, "javascript:void(0);");
			}
			var tree = trees.toString();
			$("#dtree").html(tree);
			data.result.length = 0;
		}
	})

	leaf_list();
})

function leaf_list()
{
	var grpid = $("#grpid").val();

	$.ajax({
		url:'ajax_app_cusgrp.php',
		type:'get',
		data: {action: "leaf_list", grpid: grpid},
		dataType:'json',
		success:function(data){
			for (var i = 0; i < data.length; i++) {
				var opt = document.createElement("option");
				opt.value = data[i].id;
				opt.text  = data[i].cname;
				opt.setAttribute("appname", data[i].appname);
				opt.setAttribute("rootid", data[i].root);
				var selApps = document.getElementsByName("selApps")[0];
			       	selApps.options.add(opt);
			}
		}
	})
}

var appArray = [];

function onAppSel(obj)
{
	var fd = -1;
	var selApps = document.getElementsByName("selApps")[0];
	id = obj.value.split(":")[0];
	for (i = 0; i < selApps.options.length; i++) {
		if (selApps.options[i].value == id) {
			fd = i;
			break;
		}
	}
	if (fd == -1) {	/* not found */
		if (obj.checked)
			appArray.push(obj.value);
		else
			appArray.splice(i, 1);
	}
	else {
		if (!obj.checked)
			appArray.splice(i, 1);

	}
}

function onAdd() 
{
	var opt;
	var selApps;

	if(appArray.length == 0)
		return;

	for (i = 0; i < appArray.length; i++) {
		var id = appArray[i].split(":")[0];
		var appname = appArray[i].split(":")[1];
		var appcname = appArray[i].split(":")[2];
		var rootid	= appArray[i].split(":")[3];
		opt = document.createElement("option");
		opt.value = id;
		opt.text  = appcname;
		opt.setAttribute("appname", appname);
		opt.setAttribute("rootid", rootid);
		selApps = document.getElementsByName("selApps")[0];
		selApps.options.add(opt);
	}

	appArray.length = 0;
}

function onRemove()
{
	var selApps = document.getElementsByName("selApps")[0];
	for (i=0; i < selApps.options.length; i++){
		if (selApps.options[i].selected) 
			selApps.options.remove(i);
	}
}

function submitRequest()
{
	var appcname = [];
	var appname = [];
	var appid = [];
	var rootid = [];
	var cnamestr = "";
	var namestr = "";
	var idstr = "";
	var rootidstr = "";
	var selApps = document.getElementsByName("selApps")[0];
	if (selApps.options.length > 0) {
		for (i = 0; i < selApps.options.length; i++) {
			appid.push(selApps.options[i].value);
			appname.push(selApps.options[i].getAttribute("appname"));
			appcname.push(selApps.options[i].text);
			rootid.push(selApps.options[i].getAttribute("rootid"));
		}
		cnamestr = appcname.join(',');
		namestr = appname.join(',');
		idstr = appid.join(',');
		rootidstr = rootid.join(',');
	}
	else
		return;

	var grpid = $("#grpid").val();

	$.ajax({
		url:'ajax_app_cusgrp.php',
		type:'post',
		dataType:'json',
		data:{
			grpid: grpid,
			action:'addappchilden',
			idstr: idstr,
			cnamestr:cnamestr,
			namestr: namestr,
			rootidstr: rootidstr
		},
		success:function(res){
			if(res.yn == "no")
				alert(res.out);
			else
				alert("操作成功");
		}
	})
}

function onCancel(){
	window.location.href="app_cusgrp_list.php";
}

</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul >
			<li class="active">
				<a href="#">编辑协议组--<?=$_GET['cname']?></a>
			</li>	
		</ul>
	</div>
	<input type="hidden" value="<?=$_GET['id']?>" id="grpid" />
	<br>
<table border=0 cellspacing=1 cellpadding=1 bgcolor="#ffffff">
	<tr height=400px>
		<td width=20px></td>
		<td width=300px style="border:1px">
			<div style="overflow:auto;width:100%;height:400px;border:1px;position:relative;">
				<span style="margin-bottom:10px;display:inline-block;width:100%;">
					<input type="text" placeholder="请输入要查询的协议" value="" id="appname" style="width:280px;" onkeyup="enterEvent()" />
					<div id="showapp" style="position:absolute;border:1px solid #ddd;top:20px;width:100%;height:200px;font-size:12px;overflow:auto;background:#fff;display:none;" onmouseout="setme(0)" onmouseover="setme(1)">
					</div>
				</span>
				<div id="dtree"></div>
			</div>
		</td>
		<td width=110px align=vcenter>&nbsp;&nbsp;&nbsp;
			<input type=button name=btnAdd value="添加至>>" align=center style="width:80px"  onclick="onAdd()">
			<br><br>
			&nbsp;&nbsp;&nbsp;
			<input type=button name=btnRmv value="<<删除"  align=center style="width:80px"   onclick="onRemove()">
		</td>
		<td width=200px>
			<select name=selApps size=40 style="width:100%;height:400px;font:13px"> </select>
		</td>
	</tr>
</table>
<table style="width:600px; border-bottom:1px #787882 solid; color:#0000ff">
	<tr><td align=right>&nbsp;</td></tr>
</table>
<table style="width:600px">
<tr>
        <td align=right>
                <input type=button style="width:80px; height:25px" value="提交" onclick="submitRequest()" ></input>
                <input type=button style="width:80px;height:25px" value="取消" onclick="onCancel()"  ></input>
        </td>
</tr>
</table>
<script type="text/javascript">
var _inselect = 0;
function setme(val)
{
	_inselect = val;
}

function app_position()
{
	var str = '';
	var appcname = $("#appname").val();
	if (appcname == "") {
		alert("请输入要查找的协议名称");
		return false;
	}
	$.ajax({
		url: 'ajax_app_cusgrp.php?action=select_app&name='+appcname,
		type: 'post',
		dataType:'json',
		success: function(res){
			$('#showapp').show();
			str += '<ul>';
			for (i = 0; i < res.length; i++){
				str += '<li style="padding:3px 2px;">'+
					'<a href="javascript:appinsert('+res[i].root+', '+res[i].id+', \''+res[i].name+'\', \''+res[i].cname+'\')">'+res[i].cname+'</a></li>';
			}
			str += '</ul>';
			$('#showapp').html(str);
		}
	});
}

function appinsert(root, id, name, cname)
{
	selApps = document.getElementsByName("selApps")[0];

	for (i = 0; i < selApps.options.length; i++){
		if (selApps.options[i].value == id)
			return;
	}
	
	appArray.push(id + ':' + name + ':' + cname + ':' + root);

	onAdd();

	$("#showapp").hide();
	$("#showapp").html('');

}

function enterEvent()
{
	var appname = $("#appname").val();
	if (appname == "") {
		$('#showapp').hide();
		return false;
	}
	app_position();
}

$("body").click(function(){
	if (!_inselect)
		$('#showapp').hide();
});
</script> 
</div>
</body>
</html>
