<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript" src="../js/ixcache.js"></script>
<script src="https://webapi.amap.com/maps?v=1.3&key=879aeda95ba1284189507f81c5a13bbc"></script>
<script type="text/javascript">
var min_license = 7;
var min_time = 30;
function openhttps(licenseid)
{
	cloud_tips_show();
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'openssh_m', licenseid: licenseid, webenable:1},
		dataType:'json',
		type:'post',
		success:function(data){
			cloud_tips_hide();
			
			as = (data.str).split('-');
			
			if (data.yn == "yes")				
				window.open("https://"+glocalip+":"+as[0], "_blank");
			else
				alert(data.str);
		}
	});
}
	
function addMarker(longitude, latitude, labelcont, license_id12, now, ptime, usedays){
	/* 设置弹跳 */
	var marker, myIcon;
	if (now >= min_time + ptime) {
		myIcon = new AMap.Icon({image:"../img/map_disconnect.png", size:new AMap.Size(33,33)});
		marker = new AMap.Marker({position:[longitude, latitude], draggable: true, icon: myIcon});

		marker.setMap(map);
		marker.setAnimation('AMAP_ANIMATION_BOUNCE'); //跳动的动画
		marker_status = 0;
	}else
	if (usedays <= min_license && usedays != 0) {
		myIcon = new AMap.Icon({image:"../img/map_warning.png", size:new AMap.Size(33,33)});
		marker = new AMap.Marker({position:[longitude, latitude], draggable: true, icon: myIcon});
		
		marker.setMap(map);
		marker.setAnimation('AMAP_ANIMATION_BOUNCE'); //跳动的动画
		marker_status = 0;
	}
	else {
		if (license_id12[0] == 'F')
			myIcon = new AMap.Icon({image:"../img/free.png", size:new AMap.Size(33,33)});
		else
			myIcon = new AMap.Icon({image:"../img/profession.png", size:new AMap.Size(33,33)});
		marker = new AMap.Marker({position:[longitude, latitude], draggable: true, icon: myIcon});
		marker.setMap(map);
		marker_status = 1;
	}
	
	marker.setTitle(labelcont);

	var mpt = {marker:marker, time: ptime, status: marker_status, longitude: longitude, latitude: latitude};
	gmarker.push(mpt);
	
	AMap.event.addListener(marker, "click", function() {
		openhttps(license_id12);
	});
	
	//marker.setLabel({content:labelcont, offset:new AMap.Pixel(20,10)});
	marker.setTitle(labelcont);
}

function updatemarker(obj, labelcont, now, ptime, longitude, latitude, usedays)
{
	(obj.marker).setPosition([longitude, latitude]);
	(obj.marker).setTitle(labelcont);
	
	if (ptime == obj.time)
		return false;
	else {
		if (ptime != obj.time && obj.status == 0) {
			return "create";
		}
	}
	
	if (usedays != 0 && usedays > min_license && obj.status == 0)
		return "create";
	if (usedays != 0 &&　usedays <= min_license && obj.status)
		return "create";
	
	obj.time = ptime;
	
	return true;
}

var iscenter = 0;
var gmarker = [];
var glocalip = "";
function update() 
{
	var devtype = $("#devtype").val();
	var grp = $("#grpid").val();

	if (grp != "0") 
		zoomid = 12;
	else 
		zoomid = 6;
	
	$.ajax({
		url:'system_handle.php',
		type:'post',
		data:{type:'getlnglat', grp: grp, devtype: devtype},
		dataType:'json',
		success:function(json) {
			var point, label, stime;
			var s1, s2, s3, s4;
			var cont, fd, dt, now;
			var sysname, r, i, j;
			var totallng = 0, totallat = 0, dnum = 0;
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				if (r.longitude == 0 || r.latitude == 0)
					continue;
				
				glocalip = r.localip;
				
				stime = r.stime;
				sysname = r.sys_name;

				if (r.sys_name2 != "") sysname = r.sys_name2;

				s1 = "名称："+sysname;
				s1 += "\n编号："+r.license_id12;
				s2 = "\n上行bps："+ numberformats(r.upbps)+"/s , 下行bps："+ numberformats(r.downbps)+"/s\n";
				s3 = "";
				usedays = 0;
				if (r.license_end != 0) {
					usedays = parseInt((r.license_end - r.stime) / 86400);
					s3 = "有效期："+usedays+"天\n";
				}
				if (devtype == "panabit")
					s4 = "用户数："+r.users;
				else
					s4 = "连接数："+r.flow;
				
				fd = 0;
				for (j = 0; j < gmarker.length; j++) {
					t = gmarker[j];
					cont = (t.marker).getTitle();
					if (cont.indexOf(s1) != -1) {
						if (updatemarker(t, s1+s2+s3+s4, r.stime, r.time, r.longitude, r.latitude, usedays) == "create") {
							(t.marker).setMap(null);
							gmarker.splice(j, 1);
							addMarker(r.longitude, r.latitude, s1+s2+s3+s4, r.license_id12, r.stime, r.time, usedays);
						}
						fd = 1;
						break;
					}
				}
				
				if (!fd) {
					addMarker(r.longitude, r.latitude, s1+s2+s3+s4, r.license_id12, r.stime, r.time, usedays);
				}
			}
			
			dt = new Date();
			now = dt.getTime() / 1000;
			for (i = 0; i < gmarker.length; i++) {
				t = gmarker[i];
				if (t.time + min_time < stime && t.status) {
					(t.marker).setMap(null);
					gmarker.splice(i, 1);
				}
			}
		}
	});
}

var map = new AMap.Map("allmap", {
	resizeEnable: true,
	center: [116.404, 39.915],
	zoom: 5
});

var ginterv = setInterval(function(){update();}, min_time * 1000);
$("#bdupdateint").change(function(){
	clearInterval(ginterv);
	if ($(this).val() != "0")
		ginterv = setInterval(function(){update()}, parseInt($(this).val()) * 1000);
		
})

var myValue;

$("#grpid").change(function(){
	location.href="bdmap.php?grp="+$(this).val();
});

function setPlace(name)
{
	for (i = 0; i < gmarker.length; i++) {
		title = (gmarker[i]).marker.getTitle();
		if (title.indexOf(name) != -1) {
			map.setZoomAndCenter(18, [gmarker[i].longitude, gmarker[i].latitude]);
		}
	}
}

function searchres()
{
	myValue = $("#bdaddress").val();
	setPlace(myValue);
}
</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "bdmap");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="product-bd-nav">
				<form>
					<div class="form-group">
						刷新&nbsp;
						<select id="bdupdateint" class="form-control">
							<option value="0">不刷新</option>
							<option value="15" selected>15秒</option>
							<option value="60">60秒</option>
						</select>
					</div>
					<div class="form-group">
						显示类型&nbsp;
						<select id="devtype" class="form-control">
<?php
							$devtype = $_GET["devtype"];
							if ($devtype == "panabit") {
								echo '<option value="panabit" selected>流控设备</option>';
								echo '<option value="ixcache">缓存设备</option>';
							}else {
								echo '<option value="panabit">流控设备</option>';
								echo '<option value="ixcache" selected>缓存设备</option>';
							}
?>
						</select>
					</div>
					<div class="form-group">
						显示组&nbsp;
						<select class="form-control" id="grpid">
							<option value="-1">所有组</option>
							<?php
							$arrs = $tmp = array();
							$grp = $_GET['grpid'];
							$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);
							if ($conn) {
								if ($devtype == "panabit")
									$cmd = "select grp from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
								else
									$cmd = "select ixc_grpids from palog.cloud_users where username='".$_SESSION["cloud_username"]."'";
								$result = mysql_query($cmd);
								if ($result) {
									$row = mysql_fetch_row($result);
									$mygrp = $row[0];
								}
								if ($devtype == "panabit") {
									if ($_SESSION["cloud_username"] != "admin")
										$cmd = "select grpid, grpname from palog.cloud_grp where grpid in($mygrp)";
									else
										$cmd = "select grpid, grpname from palog.cloud_grp";
								}else {
									if ($_SESSION["cloud_username"] != "admin")
										$cmd = "select grpid, grpname from palog.ixcache_grp where grpid in($mygrp)";
									else
										$cmd = "select grpid, grpname from palog.ixcache_grp";
								}
								if (($result = mysql_query($cmd)) != false) {
									while ($row = mysql_fetch_row($result)) {
										$sid = $row[0];
										if ($devtype == "panabit")
											$sname = iconv("gb2312", "utf-8", $row[1]);
										else
											$sname = $row[1];

										array_push($tmp, $sname);
										array_push($arrs, array("id"=>$sid, "name"=>$sname));
									}
								}
								mysql_close($conn);
							}
							array_multisort($tmp, SORT_STRING, $arrs);
							foreach($arrs as $val) {
								$sid = $val["id"];
								$sname = $val["name"];
								if ($grp == $sid)
									echo '<option value="'.$sid.'" selected>'.$sname.'</option>';
								else
									echo '<option value="'.$sid.'">'.$sname.'</option>';
							}
							?>
						</select>
					</div>
					<div class="form-group">
						<input type="text" value="" placeholder="请输入设备编号进行模糊查询" id="bdaddress" size="48" class="form-group-text" />
					</div>
					<div class="form-group">
						<input type="button" value="确定" onclick="searchres()" class="btn-default" />
					</div>
				</form>
			</div>
			<div class="product-bd-map" id="allmap">
			</div>
		</div>
	</div>
</div>

<script type="text/javascript">
update();
setTimeout(function(){update()}, 15000);
var map = new AMap.Map("allmap", {
	resizeEnable: true,
	center: [116.404, 39.915],
	zoom: 5
});

$("#grpid").change(function() {
	var devtype = $("#devtype").val();
	location.href="bdmap.php?devtype="+devtype+"&grpid="+$(this).val();
});

$("#devtype").change(function() {
	var grpid = $("#grpid").val();
	location.href="bdmap.php?devtype="+$(this).val()+"&grpid="+grpid;
});

$("#bdupdateint").change(function(){
	clearInterval(ginterv);
	if ($(this).val() != "0")
		ginterv = setInterval(function(){update()}, parseInt($(this).val()) * 1000);
})

cpumem();
setInterval(cpumem, 60000);

ixc_stat();
</script>
</body>
</html>
