<?php
session_start();
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
$(document).ready(function() {
	$("#grplisthdr").change(function(){
		page = 1;
		cloud_devlist();
	});
	
	$("#detail-dialog, #set-dialog").draggable({cursor:'move',stop:function(){
		if (parseInt($(this).css("top")) < 0) $(this).css("top", 0);
	}});
	
	var h = $(window).height() / 3;
	$("#chart1,#chart2, #chart3").height(h+'px');
});

var brklist = [];
var ffflist = [];
var ginter = 0;
var tog = 0;
/*
ginter = setInterval(function(){
	var a = $(".cloud_devlist tr");

	for(i = 0; i < ffflist.length; i++)
		a.eq(ffflist[i].x).find("td").each(function(){$(this).css('color', '#000')});
	for(i = 0; i < brklist.length; i++) {
		if (tog == 0)
			a.eq(brklist[i].x).find("td").each(function(){$(this).css('color', brklist[i].color)});
		else
			a.eq(brklist[i].x).find("td").each(function(){$(this).css('color', '#000')});
	}
}, 1000);
*/
var g_sort = 'license_id12';
var g_ascdesc = 'asc';
var page = 1;
var limit = 25;
var start = 0;
var pagestr = '';
function cloud_devlist()
{
	var grpid = $("#grplisthdr").val();
	var sch = $("#sch").val();
	if (sch == "设备名称或12位编号或83位机器") sch = "";
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_devlist', grpid: grpid, sch: sch, sort: g_sort, 
			g_ascdesc: g_ascdesc, page: page, limit: limit},
		dataType:'json',
		type:'post',
		success:function(data){
			if (data.yn && data.yn == "no") {
				alert(data.str);
				location.href="cloud_index.php";
				return false;
			}
			
			cloud_update(data);
			
			//expire_list_ajax();
			
			totalpage = Math.ceil(data.total / limit);
			
			pagestr = '';
			if (page > 1)
				pagestr += '<a href="javascript:uppage()" title="上一页" style="padding:0 2px;"><<</a>&nbsp;&nbsp;';
			else
				pagestr += '<a style="color:#ddd;padding:0 2px;" title="上一页" ><<</a>&nbsp;&nbsp;';
			
			pagestr += '<a style="color:#000;" title="第\''+page+'\'页">'+(page)+'</a>&nbsp;&nbsp;';
			if (page < totalpage)
				pagestr += '<a href="javascript:nextpage()" title="下一页" >>></a>&nbsp;&nbsp;';
			else
				pagestr += '<a style="color:#ddd;" title="下一页" >>></a>&nbsp;&nbsp;';
			
			/* pagestr += '共'+totalpage+'页&nbsp;&nbsp;'; */
			pagestr += '共 '+data.total+' 项&nbsp;&nbsp;';
			
			if (data.fail == null) data.fail = 0;
			
			pagestr += '|&nbsp;&nbsp;<a href="javascript:fail_click()" style="color:#f00;">失败 '+data.fail+' 项</a>';
			
			$("#pager").html('');
			$("#pager").html(pagestr);
		}
	});
}

function nextpage()
{
	page++;
	
	cloud_devlist();
}

function uppage()
{
	page--;
	
	cloud_devlist();
}

function tips_show()
{
	var w = $(window).width();
	var h = $(window).height();
	
	var left = (w - 100) / 2;
	var top = (h - 100) / 2;
	$("#tips1").css("left", left+"px");
	$("#tips1").css("top", top+"px");
	
	$("#tips1").show();
}

function tips_hide()
{
	$("#tips1").hide();
}

function openssh_m(licenseid, ip, port)
{
	tips_show();
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'openssh_m', licenseid: licenseid},
		dataType:'json',
		type:'post',
		success:function(data){
			tips_hide();
			
			as = (data.str).split('-');
			
			if (data.yn == "yes") {
				surl = '';
				if (as[2] != "" && as[2] != "none")
					surl = '/login/userverify.cgi?pakey='+as[2]+'&username=admin';
				window.open("https://"+ip+":"+as[0]+surl, "_blank");
			}
			else
				alert(data.str);
		}
	});
}

function openssh_m2(licenseid, ip, port)
{
	tips_show();
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'openssh_m', licenseid: licenseid},
		dataType:'json',
		type:'post',
		success:function(data){
			tips_hide();
			
			as = (data.str).split('-');
			
			if (data.yn == "yes")				
				window.open("ssh://"+ip+":"+as[1], "_blank");
			else
				alert(data.str);
		}
	});
}

function expire_list_ajax()
{
	var grpid = 0;
	var sch = "";
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_devlist', grpid: grpid, sch: sch, 
			sort: "license_end", g_ascdesc: "desc", 
			page: 1, limit: 0},
		dataType:'json',
		type:'post',
		success:function(data){
			expire_list(data);
		}
	});
}

function expire_list(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".exp_content table tr");
	var trlen = trobj.length;
	var tdobj;
	var trbg = '';
	var explen = 0;
		
	var dt = new Date();
	var n = parseInt(dt.getTime() / 1000);
	
	for (i = 1; i < trlen; i++) trobj.eq(i).remove();

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
		
		usedayscolor = '#000';
		if (r.license_end == 0)
			usedays = '';
		else
			usedays = parseInt((r.license_end - n)/86400);
		
		if (usedays > 7 || usedays == "") continue;
		
		explen++;
		
		if ((r.time+30) < r.servertime)
			state_png = '<img src="../img/12.png" width="15px" title="断开连接" />';
		else {
			if (usedays > 0 && usedays <= 7)
				state_png = '<img src="../img/16.png" title="License即将到期" />';
			else
				state_png = '<img src="../img/10.png" width="15px" />';
		}
		
		if (r.sys_name == "") r.sys_name = '';
		if (r.sys_name2 != null && r.sys_name2 != "") r.sys_name = r.sys_name2;
		sysname = '<a href="javascript:openssh_m(\''+r.license_id12+'\', \''+r.localip+'\', '+r.webport+')">'+r.sys_name+'</a>';
		
		if (r.grpname == null) r.grpname = '';
		if (r.version == "none") r.version = "";

		s = '<tr class="'+trbg+'">'+
			'<td align="center" width="40px">'+(explen)+'</td>'+
			'<td class="td-normal">&nbsp;'+ r.license_id12+'</td>'+
			'<td class="td-normal">&nbsp;'+ sysname+'</td>'+
			'<td align="center" width="40px">'+state_png+'</td>'+
			'<td align="center" width="110px">'+ r.grpname+'</td>'+
			'<td align="center" width="130px">'+r.time_str+'</td>'+
			'<td align="right" width="70px">'+ usedays +'&nbsp;</td>'+
			'<td align="right" width="80px">'+ r.users+'&nbsp;</td>'+
			'<td align="right" width="80px">'+ r.flowcont+'&nbsp;</td>'+
			'<td align="right" width="70px">'+ numberformats(r.upbps)+'&nbsp;</td>'+
			'<td align="right" width="70px">'+ numberformats(r.downbps)+'&nbsp;</td>'+
			'<td align="right" width="100px">'+r.sys_run+'&nbsp;</td>'+
			'<td align="right" width="100px">'+r.version+'&nbsp;</td>'+
			'</tr>';
		$(s).appendTo(".exp_content table");
	}
	
	if (explen > 0) {$(".license-message").show();$(".license-message").html('<a href="javascript:expire_window()" style="color:#fff;" title="即将到期用户列表">'+explen+'</a>')}
	else $(".license-message").hide();
}

function expire_window()
{
	var w = $(window).width();
	var h = $(window).height();
	window.open("cloud_expire.php", "_blank", "width="+w+"px, height="+h+"px, resizable=0");
}

function cloud_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".cloud_devlist table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';
		
	var dt = new Date();
	var n = parseInt(dt.getTime() / 1000);
	
	start = (page - 1) * limit;

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'currtr';
			
		usedayscolor = '#000';
		if (r.license_end == 0) {
			usedays = '';
			state_png = '<img src="../img/10.png" width="15px" title="当前在线" />';
		}else {
			usedays = parseInt((r.license_end - n)/86400);
			if (usedays <= 7) {
				usedayscolor = '#BDBD6D';
				state_png = '<img src="../img/16.png" title="License即将到期" />';
			}else
				state_png = '<img src="../img/10.png" width="15px" title="当前在线" />';
		}
		
		if ((r.time+30) < r.servertime) {
			state_png = '<img src="../img/12.png" width="15px" title="断开连接" />';
			usedayscolor = '#f00'
		}
		
		if (r.sys_name == "") r.sys_name = '';
		if (r.sys_name2 != null && r.sys_name2 != "") r.sys_name = r.sys_name2;
		
		
		var setstr = '<a href="javascript:device_detail(\''+r.sys_name+'\', \''+
			r.license_id12+'\', \''+r.ipaddr+'\', \''+r.license_start_str+'\', '+
			'\''+r.license_end_str+'\', \''+r.license_id83+'\', '+r.max_flowcont+', '+
			r.max_ipcnt+', '+r.webport+', '+r.sshport+', \''+r.localip+'\', \''+r.outip+'\')">'+
			'<img src="../img/curinfo.png" title="详细说明" /></a>';
		setstr += '&nbsp;&nbsp;<a href="javascript:device_myrecord(\''+ 
			r.license_id12+'\', \''+r.sys_name+'\');void(0)">'+
			'<img src="../img/b_edit.png" title="运维日志" /></a>';
		setstr += '&nbsp;&nbsp;<a href="javascript:openset(\''+r.sys_name+'\', \''+ 
			r.license_id12+'\', '+r.grpid+', \''+r.map_address+'\')">'+
			'<img src="../img/auto_delete.png" title="设置" /></a>';
		setstr += '&nbsp;&nbsp;<a href="javascript:device_delete(\''+ 
			r.license_id12+'\', \''+r.sys_name+'\');void(0)">'+
			'<img src="../img/b_drop.png" title="删除" /></a>';
		
		sysname = '<a href="javascript:openssh_m(\''+r.license_id12+'\', \''+
			r.localip+'\', '+r.webport+')">'+r.sys_name+'</a>';
		
		if (r.grpname == null) r.grpname = '';
		if (r.version == "none") r.version = "";
		
		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");
			
			for (j = 0; j < 14; j++)
				tdobj.eq(j).css("color", usedayscolor);
			
			tdobj.eq(0).html((start+i+1));
			tdobj.eq(1).html('&nbsp;'+r.license_id12);
			tdobj.eq(2).html('&nbsp;'+sysname);
			tdobj.eq(3).html(state_png);
			tdobj.eq(4).html(r.grpname);
			tdobj.eq(5).html(r.time_str);
			tdobj.eq(6).html(usedays+'&nbsp;');
			tdobj.eq(7).html(r.users+'&nbsp;');
			tdobj.eq(8).html(r.flowcont+'&nbsp;');
			tdobj.eq(9).html(numberformats(r.upbps)+'&nbsp;');
			tdobj.eq(10).html(numberformats(r.downbps)+'&nbsp;');
			tdobj.eq(11).html(r.sys_run+'&nbsp;');
			tdobj.eq(12).html(r.version+'&nbsp;');
			tdobj.eq(13).html(setstr);
		}else{
			s = '<tr class="'+trbg+'">'+
				'<td align="center" style="color:'+usedayscolor+'">'+(start+i+1)+'</td>'+
				'<td class="td-normal" style="color:'+usedayscolor+'">&nbsp;'+ r.license_id12+'</td>'+
				'<td class="td-normal" style="color:'+usedayscolor+'">&nbsp;'+ sysname+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+state_png+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+ r.grpname+'</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+r.time_str+'</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ usedays +'&nbsp;</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ r.users+'&nbsp;</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ r.flowcont+'&nbsp;</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ numberformats(r.upbps)+'&nbsp;</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+ numberformats(r.downbps)+'&nbsp;</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+r.sys_run+'&nbsp;</td>'+
				'<td align="right" style="color:'+usedayscolor+'">'+r.version+'&nbsp;</td>'+
				'<td align="center" style="color:'+usedayscolor+'">'+setstr+'</td>'+
				'</tr>';
			$(s).appendTo(".cloud_devlist table");
		}
	}
	
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
	$(".cloud_devlist tr").hover(function(){$(this).addClass("mouse-hover")}, 
			function(){$(this).removeClass("mouse-hover")});
}

function device_myrecord(license_id12, sys_name)
{
	var width = 900;
	var height = $(window).height();
	var top = 0;
	var left = ($(window).width()-width)/2;
	window.open("device_myrecord.php?license_id12="+license_id12+"&sys_name="+encodeURIComponent(sys_name), 
		"_blank", "width="+width+"px,height="+height+"px,left="+left+"px,top="+top+"px,resizable=no");
}

function device_delete(licenseid, name)
{
	if (!confirm("确定要删除设备 "+name+" 吗"))
		return false;
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'device_delete', licenseid: licenseid},
		type:'post',
		dataType:'json',
		success:function(json){
			cloud_devlist();
		}
	});
}

function detailclose()
{
	$("#detail-dialog").hide();
}

function device_detail(sys_name, license_id12, ipaddr, 
	license_start_str, license_end_str, license_id83,
	max_flowcont, max_ipcnt, webport, sshport, localip,
	outip)
{
	var id = "report_pop_box_"+license_id12;
	var title_id = "report_pop_box_title_"+license_id12;
	var content_id = "report_pop_box_content_"+license_id12;
	
	rp_showbox(900, 550, license_id12);
	$("#report_pop_box_title_"+license_id12).text(sys_name);
	$("#"+id+" .foot-ok").hide();
	
	var s = '<table class="cloud-device-info" style="width:100%;" border=1 bordercolor="#000">';
	s += '<tr><td width="100px" class="cloud-ftitle">系统名称</td><td>'+sys_name+'</td></tr>';
	s += '<tr><td class="cloud-ftitle">公网地址</td><td>'+outip+'</td></tr>';
	s += '<tr><td class="cloud-ftitle">编号</td><td>'+license_id12+'</td></tr>';
	s += '<tr><td class="cloud-ftitle">起始日期</td><td>'+license_start_str+'</td></tr>';
	s += '<tr><td class="cloud-ftitle">结束日期</td><td>'+license_end_str+'</td></tr>';
	s += '<tr><td class="cloud-ftitle">机器码</td><td>'+license_id83+'</td></tr>';
	s += '<tr><td class="cloud-ftitle">许可使用时间</td><td>'+license_start_str+' - '+license_end_str+'</td></tr>';
	s += '<tr><td class="cloud-ftitle">最大连接数</td><td>'+max_flowcont+'</td></tr>';
	s += '<tr><td class="cloud-ftitle">最大用户数</td><td>'+max_ipcnt+'</td></tr>';
	s += '<tr><td class="cloud-ftitle">访问地址</td><td>'+localip+'</td></tr>';
	s += '<tr><td class="cloud-ftitle">Web登录</td><td><a href="javascript:check_port'+
		'(\''+license_id12+'\', \''+localip+'\', \'web\')">登录Web页面</a></td></tr>';
	s += '<tr><td class="cloud-ftitle">SSH登录</td><td><a href="javascript:check_port'+
		'(\''+license_id12+'\', \''+localip+'\', \'ssh\')">登录SSH；</a>(火狐浏览器可以安装插件firessh直接登录到SSH后台，其它浏览器暂不支持)</td></tr>';
	s += '<tr id="'+license_id12+'_ssh" style="display:none"><td>SSH信息</td><td>'+localip+'</td></tr>';
	$(s).appendTo('#'+content_id);
}

function check_port(licenseid, localip, st)
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'device_checkport', licenseid: licenseid, st: st},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (st == "web") {
				if (json[0].enable) {
					surl = '';
					if (json[0].md5str != "" && json[0].md5str != "none")
						surl = '/login/userverify.cgi?pakey='+json[0].md5str+'&username=admin';
					window.open("https://"+localip+":"+json[0].port+surl, "_blank");
				}
				else
					openssh_m(licenseid, localip, json[0].port);
			}
			
			if (st == "ssh") {
				if (json[1].enable)
					window.open("ssh://"+localip+":"+json[1].port, "_blank");
				else
					openssh_m2(licenseid, localip, json[1].port);
				
				$("#"+licenseid+"_ssh").show();
				$("#"+licenseid+"_ssh").find("td").eq(2).text(localip+":"+json[1].port);
			}
		}
	});
}

function openset(sysname, licenseid, grpid, map_address)
{
	var id = "report_pop_box_set";
	var title_id = "report_pop_box_title_set";
	var content_id = "report_pop_box_content_set";
	
	rp_showbox(580, 220, "set");
	$("#report_pop_box_title_set").text(sysname);
	
	if (map_address == "none") map_address = "";
	
	var s = '<table style="margin-top:15px;">'+
			'<tr>'+
				'<td width="20px"></td>'+
				'<td width="60px">系统名称</td>'+
				'<td>'+
					'<input type="text" id="sys_name" value="'+sysname+'" style="width:430px" />'+
				'</td>'+
			'</tr>'+
			'<tr>'+
				'<td width="20px"></td>'+
				'<td>所属组</td>'+
				'<td>'+
					'<select id="grplist" style="width:150px;">'+
						'<option value="0">所有组</option>'+
					'</select>&nbsp;&nbsp;<a href="javascript:deletegrp()">删除组</a>'+
					'&nbsp;<a href="javascript:grpshow(\''+licenseid+'\')">添加组</a>'+
				'</td>'+
			'</tr>'+
			'<tr>'+
				'<td width="20px"></td>'+
				'<td>地理位置</td>'+
				'<td>'+
				'<input type="text" value="'+map_address+'" id="map_address" style="width:250px;" /> (具体位置：省+市+区+镇+街道+楼)'+
				'</td>'+
			'</tr>'+
		'</table>';
		
	$(s).appendTo("#"+content_id);
	
	$("#sys_name").val(sysname);
	
	grplist(1, grpid);
	
	$("#"+id+" .foot-ok").unbind("click");
	
	$("#"+id+" .foot-ok").click(function(){sethandle(licenseid)});
}

function sethandle(licenseid)
{
	var grpid = $("#grplist").val();
	var sysname = $("#sys_name").val();
	sysname = TrimAll(sysname);
	var map_address = $("#map_address").val();
	map_address = TrimAll(map_address);
	if (map_address == "") map_address = "none";
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_sethandle', 
			licenseid: licenseid, sysname: sysname, 
			grpid: grpid, map_address: encodeURI(map_address)},
		type:'post',
		dataType:'json',
		success:function(json){
			if (json.yn == "no")
				alert(json.str);
			else {
				alert("操作成功");
				$("#report_pop_box_set").hide();
			}
			
			cloud_devlist();
		}
	});
}

function closehandle()
{
	$("#set-dialog").hide();
}

function device_add()
{
	var rpid = "device_add";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(750, 400, rpid);
	$("#report_pop_box_title_"+rpid).text("添加设备");
	
	var html = '<table>'+
			'<tr>'+
				'<td width="80px">系统名称</td>'+
				'<td width="230px"><input type="text" value="" id="dev_name" style="width:150px; padding:2px 0;" /></td>'+
				'<td> 流控设备名称</td>'+
			'</tr>'+
			'<tr>'+
				'<td width="70px">License编号</td>'+
				'<td width="230px"><input type="text" value="" id="dev_id" style="width:150px; padding:2px 0;" /></td>'+
				'<td> License12位编号，免费版可用管理口MAC代替</td>'+
			'</tr>'+
			'<tr>'+
				'<td>系统编号</td>'+
				'<td><input type="text" value="" id="dev_serie" style="width:220px; padding:2px 0;" /></td>'+
				'<td> License83位编号</td>'+
			'</tr>'+
			'<tr>'+
				'<td>License有效期</td>'+
				'<td>'+
					'<input type="text" value="" id="dev_start" onclick="new Calendar().show(this);" style="width:100px; padding:2px 0;" />'+
					'-'+
					'<input type="text" value="" id="dev_end" onclick="new Calendar().show(this);" style="width:100px; padding:2px 0;" />'+
				'</td>'+
				'<td> License使用许可时间</td>'+
			'</tr>'+
			'<tr>'+
				'<td>最大连接数</td>'+
				'<td>'+
					'<input type="text" value="0" id="dev_flow" style="width:100px; padding:2px 0;" />'+
				'</td>'+
				'<td></td>'+
			'</tr>'+
			'<tr>'+
				'<td>最大用户数</td>'+
				'<td>'+
					'<input type="text" value="0" id="dev_ipcnt" style="width:100px; padding:2px 0;" />'+
				'</td>'+
				'<td></td>'+
			'</tr>'+
		'</table>';

	$("#"+content_id).html(html);
	
	$("#"+id+" .foot-ok").unbind("click");
	$("#"+id+" .foot-ok").click(function(){device_addhandle(id)});
}

function device_addhandle(id)
{
	var sys_name = $("#dev_name").val();
	var dev_id = $("#dev_id").val();
	var serie = $("#dev_serie").val();
	var dev_start = $("#dev_start").val();
	var dev_end = $("#dev_end").val();
	var dev_flow = $("#dev_flow").val();
	var dev_ipcnt = $("#dev_ipcnt").val();
	
	if (dev_id == "" || dev_id.length > 12) {
		alert("请输入正确的12位编号");
		return false;
	}
	
	if (dev_flow == "") dev_flow = 0;
	if (dev_ipcnt == "") dev_ipcnt = 0;
	if (dev_start == "") dev_start = 0;
	else dev_start = dev_start+" 00:00:00";
	if (dev_end == "") dev_end = 0;
	else dev_end = dev_end + " 00:00:00";
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'device_addhandle', sys_name: sys_name, devip: "",
			dev_id: dev_id, serie: serie, dev_start: dev_start,
			dev_end: dev_end, dev_flow: dev_flow, dev_ipcnt: dev_ipcnt},
		type:'post',
		dataType:'json',
		success:function(json){
			if (json.yn == "no")
				alert(json.str);
			else {
				$("#"+id).remove();
				cloud_devlist();
			}
		}
	});
}

function grpshow(licenseid)
{
	var rpid = licenseid+"name";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(400, 160, rpid);
	$("#report_pop_box_title_"+rpid).text("添加组");
	
	var s = '<table style="margin-top:20px;">'+
			'<tr>'+
				'<td width="20px">&nbsp;</td>'+
				'<td width="60px">组名称</td>'+
				'<td>'+
					'<input type="text" id="grpname" value="" style="width:230px" />'+
				'</td>'+
			'</tr>'+
		'</table>';
	
	$(s).appendTo("#"+content_id);
	
	$("#"+id+" .foot-ok").click(function(){addgrp(id)});
}

function grplist(type, grpid)
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_grplist'},
		type:'post',
		dataType:'json',
		success:function(json) {
			$('#grplist').find("option").remove();
			
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				s = '<option value="'+r.grpid+'">'+r.grpname+'</option>';
				if (type == 1)
					$(s).appendTo('#grplist');
				if (type == 2)
					$(s).appendTo('#grplisthdr');
			}
			
			if (type == 1)
				$('#grplist').val(grpid);
		}
	});
}

function addgrp(rpid)
{
	var grpname = $("#grpname").val();
	if (grpname == "") {
		alert("请输入正确的组名称");
		return false;
	}
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_addgrp', grpname: grpname},
		type:'post',
		dataType:'json',
		success:function(json){
			if (json.yn == "no")
				alert(json.str);
			else {
				$("#"+rpid).remove();
				s = '<option value="'+json.str+'">'+grpname+'</option>';
				$(s).appendTo('#grplist');
				$("#grplist").val(json.str);
			}
		}
	});
}

function deletegrp()
{
	var grpid = $("#grplist").val();
	var grpname = $("#grplist option[value="+grpid+"]").text();
	
	if (grpid == 0)
		return;
	
	if (!confirm("确定要删除组 '"+grpname+"' 吗"))
		return false;
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_deletegrp', grpid: grpid},
		type:'post',
		dataType:'json',
		success:function(json){
			if (json.yn == "no")
				alert(json.str);
			else {
				$("#grplist option[value="+grpid+"]").remove();
				alert("操作成功");
			}
		}
	});
}

function enterEvent()
{
	page = 1;
	$("#grplisthdr").val("0");
	
	var sch = $("#sch").val();
	
	var ev = window.event || arguments.callee.caller.arguments[0];
	var th = ev.keyCode || ev.whick;
	if (th == 13)
		cloud_devlist();
	else return false;
}

function right_close()
{
	g_licenseid = "";
	$(".right-outer").hide();
}

function hd_sort(sort)
{
	g_sort = sort;
	
	if (g_ascdesc == "desc")
		g_ascdesc = "asc";
	else
		g_ascdesc = "desc";
	
	cloud_devlist();
}

function fail_click()
{
	g_ascdesc = "desc";
	
	hd_sort("time");
}

function upgrade_grplist()
{
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_grplist'},
		type:'post',
		dataType:'json',
		success:function(json){
			$('#upgrade_grp').find("option").remove();
			s = '<option value="0">所有设备</option>';
			$(s).appendTo('#upgrade_grp');
			
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				s = '<option value="'+r.grpid+'">'+r.grpname+'</option>';
				
				$(s).appendTo('#upgrade_grp');
			}
		}
	});
}

function returnori()
{
	page = 1;
	$("#grplisthdr").val("0");
	$("#sch").val("");
}

function cloud_changepass()
{
	var rpid = "changepass";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(400, 250, rpid);
	$("#report_pop_box_title_"+rpid).text("修改密码");
	
	var s = '<table style="margin-top:20px;">'+
				'<tr>'+
					'<td width="20px"></td>'+
					'<td width="80px">原始密码</td>'+
					'<td>'+
						'<input type="password" id="password" value="" />'+
					'</td>'+
				'</tr>'+
				'<tr>'+
					'<td></td>'+
					'<td>新密码</td>'+
					'<td>'+
						'<input type="password" id="newpassword" value="" />'+
					'</td>'+
				'</tr>'+
				'<tr>'+
					'<td></td>'+
					'<td>重复新密码</td>'+
					'<td>'+
						'<input type="password" id="newpassword2" value="" />'+
					'</td>'+
				'</tr>'+
			'</table>';
	
	$(s).appendTo("#"+content_id);
	
	$("#"+id+" .foot-ok").unbind("click");
	$("#"+id+" .foot-ok").click(function(){cloud_changepasshandle(id)});
}

function cloud_changepasshandle(id)
{
	var pass = TrimAll($("#password").val());
	var newpass = TrimAll($("#newpassword").val());
	var newpassword2 = TrimAll($("#newpassword2").val());
	
	if (pass == "") {
		alert("原始密码不能为空");
		return false;
	}
	if (newpass == "" || newpassword2 == "") {
		alert("新密码输入错误");
		return false;
	}
	if (newpass != "" && newpass != newpassword2) {
		alert("两次新密码输入错误");
		return false;
	}
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_changepasshandle', pass: pass, newpass: newpass},
		type:'post',
		dataType:'json',
		success:function(json){
			if (json.yn == "no")
				alert(json.str);
			else {
				$("#"+id).remove();
				alert("操作成功");
			}
		}
	});
}

function cloud_usermanage()
{
	var rpid = "userlist";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(850, 550, rpid);
	$("#report_pop_box_title_"+rpid).text("用户列表");
	
	var s = '<table class="cloud_user_list_tbl">'+
		'<tr>'+
			'<th width="50px">编号</th>'+
			'<th width="100px">用户名</th>'+
			'<th width="150px">登录时间</th>'+
			'<th width="250px">管理组</th>'+
			'<th>备注</th>'+
			'<th width="80px"><a href="javascript:void(0)" onclick="cloud_useradd()">添加用户</a></th>'+
		'</tr>'+
	'</table>';
	
	$(s).appendTo("#"+content_id);
	
	cloud_userlist();
	
	$("#"+id+" .foot-ok").remove();
}

function user_grplist(grp)
{
	var s = '';
	var a = [];
	if (grp != "")
		a = grp.split(',');
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_grplist'},
		type:'post',
		dataType:'json',
		success:function(json) {
			s += '<table><tr>';
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				if (r.grpid == "10000")
					continue;
				
				if (a.length == 0) {
					s += '<td width="100px">'+
						'<input type="checkbox" value="'+r.grpid+'" text="'+r.grpname+'" name="user-grp-unit">'+
						r.grpname+"</td>";
				}else {
					findit = 0;
					for (j = 0; j < a.length; j++) {
						if (a[j] == r.grpid) {
							findit = 1;
							break;
						}
					}
					
					if (findit)
						s += '<td width="100px">'+
							'<input type="checkbox" value="'+r.grpid+'" text="'+r.grpname+'" checked name="user-grp-unit">'+
							r.grpname+"</td>";
					else
						s += '<td width="100px">'+
							'<input type="checkbox" value="'+r.grpid+'" text="'+r.grpname+'" name="user-grp-unit">'+
							r.grpname+"</td>";
				}
				if ((i+1) % 4 == 0)
					s += '</tr>';
			}
			if ((i+1) % 4 != 0)
				s += '</tr>';
			s += '</table>';
			$("#user_grplist_td").html(s);
		}
	});
}

function cloud_userlist()
{
	var r;
	var trobj = $(".cloud_user_list_tbl tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_userlist'},
		type:'post',
		dataType:'json',
		success:function(json) {
			var len = json.rows.length;
			var s = '';
			
			if (json.yn && json.yn == "no") {
				alert(json.str);
				return false;
			}
			
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];
				
				if (r.logintime == 0)
					r.logintime = '';
				if (r.grp == 0)
					r.grp = '';
				if (r.grpname == 0)
					r.grpname = '';
				if (r.remarks == 0)
					r.remarks = '';
			
				trbg = '';
				if (i % 2 == 1)
					trbg = 'currtr';
				
				str = '<a href="javascript:void(0);" onclick="cloud_useredit'+
					'(\''+r.user+'\', \''+r.grp+'\', \''+r.grpname+'\', \''+r.remarks+'\')"><img src="../img/b_edit.png" /></a>';
				str += '&nbsp;&nbsp;';
				str += '<a href="javascript:void(0);" onclick="cloud_userdelete'+
					'(\''+r.user+'\')"><img src="../img/b_drop.png" /></a>';
				
				if (trobj.eq(i+1).length > 0){
					tdobj = trobj.eq(i+1).find("td");
					
					tdobj.eq(0).html((i+1));
					tdobj.eq(1).html(r.user);
					tdobj.eq(2).html(r.logintime);
					tdobj.eq(3).html(r.grpname);
					tdobj.eq(4).html(r.remarks);
					tdobj.eq(5).html(str);
				}else{
					s = '<tr class="'+trbg+'"><td align="center">'+(i+1)+
						'</td><td align="center">'+
						r.user+'</td><td align="center">'+
						r.logintime+'</td><td align="center">'+
						r.grpname+'</td><td align="center">'+r.remarks+'</td>'+
						'<td align="center">'+str+'</td></tr>';
					$(s).appendTo(".cloud_user_list_tbl");
				}
			}
			for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
		}
	});
}

function cloud_userdelete(user)
{
	if (! confirm("确定要删除用户 "+user+" 吗"))
		return false;
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_userdelete', user: user},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else
				cloud_userlist();
		}
	})
}

function cloud_useradd()
{
	var rpid = "useradd";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(550, 430, rpid);
	$("#report_pop_box_title_"+rpid).text("添加用户");
	
	var s = '<table style="margin-top:20px;">'+
		'<tr>'+
			'<td width="20px"></td>'+
			'<td width="80px">用户名</td>'+
			'<td>'+
				'<input type="text" id="username" value="" class="input-text-border-radius" />'+
			'</td>'+
		'</tr>'+		
		'<tr>'+
			'<td width="20px"></td>'+
			'<td width="80px">密码</td>'+
			'<td>'+
				'<input type="password" id="pass" value="" class="input-text-border-radius" />'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>重复密码</td>'+
			'<td>'+
				'<input type="password" id="repass" value="" class="input-text-border-radius" />'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>管理组</td>'+
			'<td id="user_grplist_td">'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>备注</td>'+
			'<td>'+
				'<input type="text" id="remarks" value="" class="input-text-border-radius" style="width:400px" />'+
			'</td>'+
		'</tr>'+
	'</table>';
	
	$(s).appendTo("#"+content_id);
	
	user_grplist('');
	
	$("#"+id+" .foot-ok").unbind("click");
	$("#"+id+" .foot-ok").click(function(){cloud_useradd_handle(id)});
}

function cloud_useradd_handle(outer)
{
	var user = $("#username").val();
	user = TrimAll(user);
	if (user == "") {
		alert("请输入正确的用户名");
		$("#username").focus();
		return false;
	}
	var pass = $("#pass").val();
	pass = TrimAll(pass);
	if (pass == "") {
		alert("请输入密码");
		$("#pass").focus();
		return false;
	}
	var repass = $("#repass").val();
	repass = TrimAll(repass);
	if (repass == "") {
		alert("请再次输入密码");
		$("#repass").focus();
		return false;
	}
	
	if (pass != repass) {
		alert("两次密码不一致，请重新输入密码");
		$("#pass, #repass").val("");
		$("#pass").focus();
		return false;
	}
	var remarks = $("#remarks").val();
	var grps = '';
	var grpnames = '';
	var ar = [];
	var ar2 = [];
	$("[name='user-grp-unit']").each(function(){
		if ($(this).attr("checked")) {
			ar.push($(this).val());
			ar2.push($(this).attr("text"));
		}
	});
	grps = ar.join(',');
	grpnames = ar2.join(',');
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_useradd_handle', user: user,
			pass: pass, grps: grps, remarks: remarks,
			grpnames: grpnames},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else 
			{
				$("#"+outer).remove();
				cloud_userlist();
			}
		}
	});
}

function cloud_useredit(user, grp, grpname, remarks)
{
	var rpid = "useredit";
	var id = "report_pop_box_"+rpid;
	var title_id = "report_pop_box_title_"+rpid;
	var content_id = "report_pop_box_content_"+rpid;
	
	rp_showbox(550, 430, rpid);
	$("#report_pop_box_title_"+rpid).text("编辑用户->"+user);
	
	var s = '<table style="margin-top:20px;">'+
		'<tr>'+
			'<td width="20px"></td>'+
			'<td width="80px">用户名</td>'+
			'<td>'+
				'<input type="text" id="username" value="'+user+'" disabled class="input-text-border-radius" />'+
			'</td>'+
		'</tr>'+		
		'<tr>'+
			'<td width="20px"></td>'+
			'<td width="80px">密码</td>'+
			'<td>'+
				'<input type="password" id="pass" value="" class="input-text-border-radius" />'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>重复密码</td>'+
			'<td>'+
				'<input type="password" id="repass" value="" class="input-text-border-radius" />'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>管理组</td>'+
			'<td id="user_grplist_td">'+
			'</td>'+
		'</tr>'+
		'<tr>'+
			'<td></td>'+
			'<td>备注</td>'+
			'<td>'+
				'<input type="text" id="remarks" value="'+remarks+'" class="input-text-border-radius" style="width:400px" />'+
			'</td>'+
		'</tr>'+
	'</table>';
	
	$(s).appendTo("#"+content_id);
	
	user_grplist(grp);
	
	$("#"+id+" .foot-ok").unbind("click");
	$("#"+id+" .foot-ok").click(function(){cloud_useredit_handle(id)});
}

function cloud_useredit_handle(outer)
{
	var user = $("#username").val();
	user = TrimAll(user);
	if (user == "") {
		alert("请输入正确的用户名");
		$("#username").focus();
		return false;
	}
	var pass = $("#pass").val();
	var repass = $("#repass").val();
	if (pass != "" && repass != "" && pass != repass) {
		alert("两次密码不一致，请重新输入密码");
		$("#pass, #repass").val("");
		$("#pass").focus();
		return false;
	}
	var remarks = $("#remarks").val();
	var grps = '';
	var grpnames = '';
	var ar = [];
	var ar2 = [];
	$("[name='user-grp-unit']").each(function(){
		if ($(this).attr("checked")) {
			ar.push($(this).val());
			ar2.push($(this).attr("text"));
		}
	});
	grps = ar.join(',');
	grpnames = ar2.join(',');
	
	$.ajax({
		url:'system_handle.php',
		data:{type:'cloud_useredit_handle', user: user,
			pass: pass, grps: grps, remarks: remarks,
			grpnames: grpnames},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else 
			{
				$("#"+outer).remove();
				cloud_userlist();
			}
		}
	});
}

</script>
<style type="text/css">
th {color:#000; font-family:Arail, '微软雅黑'; font-size:12px; background:#D8E3F5;padding:2px 0;}
.cloud_devlist td {color:#000; font-family:Arail, '微软雅黑'; font-size:12px; 
	white-space: nowrap; padding:2px 0}
.brk-background {background-color: #f00;}
.dialog {position:absolute;width:500px;height:250px;border:1px solid #B9CDE0;display:none;background:#F4F7FC;}
.set-head {font-size:14px;font-weight:bold; color:#1A70A4;font-weight:bold;}
.set-dialog td {font-size:14px;}
.detail-dialog {position:absolute;width:820px;height:370px;border:1px solid #B9CDE0;display:none;background:#F4F7FC;}
.detail-dialog td {font-size:14px;}
.detail-head {font-weight:bold;}
.right-outer {position:fixed; right:0;background:#fff;width:550px;height:100%;border:1px solid #ddd; border-top:none;
	border-right:none;border-bottom:none;display:none;overflow:auto;
	-webkit-box-shadow: 0 1px 20px rgba(0,0,0,.2);
	-moz-box-shadow: 0 1px 20px rgba(0,0,0,.2);
	box-shadow: 0px 0px 20px rgba(0,0,0,.2);}
.mouse-hover {background:#D8E3F5}
.license_expire_list {position:absolute;height:300px;border:1px solid #ddd;left:0;
	right:0;bottom:0;display:none;background:#fff;overflow:auto;
	-webkit-box-shadow: 0 1px 20px rgba(0,0,0,.2);
	-moz-box-shadow: 0 1px 20px rgba(0,0,0,.2);
	box-shadow: 0px 0px 20px rgba(0,0,0,.2);}
.input-text-border-radius {padding:5px;border-radius:3px;}
</style>
</head>
<body onresize="myresize()">
<div style="position:absolute;left:0;right:0;top:5px;">
	<img src="../img/logo.jpg" />
</div>
<div style="position:absolute;left:200px;top:5px;color:#000;font-size:22px;line-height:55px;font-family:Arail, '微软雅黑';">
	云平台设备监控中心
</div>
<div class="license-message">0</div>
<div style="position:absolute;right:420px;top:27px;color:#000;font-size:12px;font-family:Arail, '微软雅黑';">
<?php
	if ($_SESSION['cloud_username'] == "admin") {
		echo '<img src="../img/user.png" onclick="cloud_usermanage()" title="用户管理" />'.
			'&nbsp;&nbsp;&nbsp;&nbsp;';
	}
?>
	<img src="../img/auto_delete.png" onclick="cloud_changepass()" title="修改密码" />
	&nbsp;&nbsp;&nbsp;&nbsp;
	<a href="upgrade_config.php" target="_blank"><img src="../img/upload.png" title="设备升级" /></a>
	&nbsp;&nbsp;&nbsp;&nbsp;
	<a href="bdmap.php?grp=0"><img src="../img/map.png" title="地图模式" /></a>
	&nbsp;&nbsp;&nbsp;&nbsp;
	<a href="cloud.php"><img src="../img/refresh.png" title="刷新" /></a>
</div>
<div id="pager" style="position:absolute;right:225px;top:27px;color:#000;font-size:12px;font-family:Arail, '微软雅黑';"></div>
<div style="position:absolute;right:15px;top:22px;color:#000;font-family:'微软雅黑';font-size:12px;">
	<input type="text" value="" placeholder="输入设备名称或12位编号" id="sch" style="width:150px;padding:5px;font-size:12px" onkeyup="enterEvent()" onfocus="enterEvent()" />
	&nbsp;
	<a href="javascript:void(0);" onclick="cloud_logout()">退出</a>
</div>
<div class="cloud_devlist" style="width:98%;margin:70px auto;">
	<table style="width:100%;border-collapse:collapse;color:#000;border:1px solid #ADCBD0;" cellspacing=0 cellpadding=0 border="1" bordercolor="#ADCBD0">
		<tr>
			<th style="width:40px;" align="center">序号</th>
			<th align="left" width="110px"><a href="javascript:hd_sort('license_id12')">&nbsp;编号</a></th>
			<th align="left" width="240px">&nbsp;名称</th>
			<th align="center" width="40px">&nbsp;状态</th>
			<th align="center" width="110px">
				<select id="grplisthdr" style="width:100px;padding:2px;border:1px solid #ADCBD0;">
					<option value="0">所有组</option>
				</select>
			</th>
			<th align="center" width="130px"><a href="javascript:hd_sort('time')">&nbsp;最后在线</a></th>
			<th align="right" width="90px"><a href="javascript:hd_sort('license_end')">有效期(天)&nbsp;</a></th>
			<th align="right" width="80px"><a href="javascript:hd_sort('users')">在线用户数&nbsp;</a></th>
			<th align="right" width="80px"><a href="javascript:hd_sort('flowcont')">当前连接数&nbsp;</a></th>
			<th align="right" width="70px"><a href="javascript:hd_sort('upbps')">上行bps&nbsp;</a></th>
			<th align="right" width="70px"><a href="javascript:hd_sort('downbps')">下行bps&nbsp;</a></th>
			<th align="right" width="100px"><a href="javascript:hd_sort('sys_run')">运行&nbsp;</a></th>
			<th align="right" width="220px"><a href="javascript:hd_sort('version')">当前版本&nbsp;</a></th>
			<th style="width:100px;" align="center">操作</th>
		</tr>
	</table>
</div>
<div id="license_expire_list" class="license_expire_list">
	<div style="float:left;width:100%;height:25px;background:#D8E3F5;font-weight:bold;font-size:12px;line-height:25px;color:#f00;">
		&nbsp;&nbsp;<label id="exp_title">即将到期</label>
		<div style="position:absolute;right:10px;top:0px;"><a href="javascript:exp_close()">[关闭]</a></div>
	</div>
	<div class="exp_content" style="float:left;width:100%;">
		<table style="width:100%;border-collapse:collapse;color:#000;border:1px solid #ADCBD0;" cellspacing=0 cellpadding=0 border="1" bordercolor="#ADCBD0">
			<tr>
				<th style="width:40px;" align="center">序号</th>
				<th align="left" width="110px">&nbsp;编号</th>
				<th align="left" width="240px">&nbsp;名称</th>
				<th align="center" width="40px">&nbsp;状态</th>
				<th align="center" width="110px">所有组</th>
				<th align="center" width="130px">&nbsp;最后在线</th>
				<th align="right" width="90px">有效期(天)&nbsp;</a></th>
				<th align="right" width="80px">在线用户数&nbsp;</a></th>
				<th align="right" width="80px">当前连接数&nbsp;</a></th>
				<th align="right" width="70px">上行bps&nbsp;</a></th>
				<th align="right" width="70px">下行bps&nbsp;</a></th>
				<th align="right" width="100px">运行&nbsp;</a></th>
				<th align="right" width="220px">当前版本&nbsp;</th>
			</tr>
		</table>
	</div>
</div>
<div id="detail-dialog" class="detail-dialog">
	<table style="width:100%;">
		<tr bgcolor='#B9CDE0'>
			<td width="10px">&nbsp;</td>
			<td class="detail-head"></td>
		</tr>
	</table>
</div>
<script>
cloud_devlist();
setInterval(function(){cloud_devlist();}, 5000);

var w = $(window).width() - 500;
var h = $(window).height() - 250;
$("#set-dialog").css('top', h/2 + 'px');
$("#set-dialog").css('left', w/2 + 'px');

var w = $(window).width() - 820;
var h = $(window).height() - 370;
$("#detail-dialog").css('top', h/2 + 'px');
$("#detail-dialog").css('left', w/2 + 'px');

function myresize()
{
	var aw = $(window).width() - 30;
	if (aw < 1400) 
		$(".cloud_devlist").width(1400+'px');
	else
		$(".cloud_devlist").width('98%');
}
myresize();

grplist(2, 0);
	
</script>
</body>
</html>
