<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

require_once('libchart/classes/libchart.php');

$devid = $_POST['devid'];
$ip = $_POST['ip'];
$strstart = $_POST['tmstart'];
$strend = $_POST['tmend'];
$topip = $_POST['topip'];
$dis_type = $_POST['type'];

if ($ip == "")
	$ip = "0.0.0.0-255.255.255.255";

$longstart = strtotime($strstart);
$longend = strtotime($strend);

$tbstart = explode(' ', $strstart);
$tbstarts = $tbstart[0]." 00:00:00";
$slong = strtotime($tbstarts)-30*60;
$elong = $longend;
$tables = $slong."/".$elong;

function formatdata($values, $u)
{
	if ($values > 1024*1024*1024){
		$units = 'G';
		$div = 1024*1024*1024;
	}
	else if ($values > 1024*1024){
		$units = 'M';
		$div = 1024*1024;
	}
	else if ($values > 1024){
		$units = 'K';
		$div = 1024;
	}else {
		$units = 'B';
		$div = 1;
	}
	if ($u == 'units') return $units;
	else return $div;
}

$labels = array();
$values = array();
$chart = new VerticalBarChart(1100, 300);
$dataSet = new XYDataSet();

exec(DOCROOT."\\bin\\logeye.exe iptop '$devid' '$ip' '$longstart' '$longend' '$tables' '$topip' ipup", $output, $return);
foreach($output as $val)
{
	$ds = explode(' ', $val);
	
	$labels[] = sprintf("%s", $ds[0]);
	$values[] = $ds[2];
}

$units = formatdata($values[0], 'units');
$div = formatdata($values[0], 'div');

for ($j  = 0; $j < count($labels); $j++)
	$dataSet->addPoint(new Point($labels[$j], round($values[$j]/$div, 2)));
	
$chart->setDataSet($dataSet);
$start = date('Y/m/d H:i', $longstart);
$end = date('Y/m/d H:i', $longend);
$text = $start.'-'.$end.'/'.$ip.' 上行流量 Top'.$topip.'('.$units.')';
$chart->setTitle($text);
$namett = 'topip_ipup_bar';
$chart->render("../download/".$namett.".png");

unset($chart);
unset($dataSet);
unset($output);
unset($values);
unset($labels);
$labels = array();
$values = array();
$chart = new VerticalBarChart(1100, 300);
$dataSet = new XYDataSet();
exec(DOCROOT."\\bin\\logeye.exe iptop '$devid' '$ip' '$longstart' '$longend' '$tables' '$topip' ipdown", $output, $return);

foreach($output as $val)
{
	$ds = explode(' ', $val);
	
	$labels[] = sprintf("%s", $ds[0]);
	$values[] = $ds[3];
}

$units = formatdata($values[0], 'units');
$div = formatdata($values[0], 'div');

for ($j  = 0; $j < count($labels); $j++)
	$dataSet->addPoint(new Point($labels[$j], round($values[$j]/$div, 2)));
	
$chart->setDataSet($dataSet);
$start = date('Y/m/d H:i', $longstart);
$end = date('Y/m/d H:i', $longend);
$text = $start.'-'.$end.'/'.$ip.' 下行流量 Top'.$topip.'('.$units.')';
$chart->setTitle($text);
$namett = 'topip_ipdown_bar';
$chart->render("../download/".$namett.".png");

unset($chart);
unset($dataSet);
unset($output);
unset($values);
unset($labels);
$labels = array();
$values = array();
$chart = new VerticalBarChart(1100, 300);
$dataSet = new XYDataSet();
exec(DOCROOT."\\bin\\logeye.exe iptop '$devid' '$ip' '$longstart' '$longend' '$tables' '$topip' iptotal", $output, $return);

foreach($output as $val)
{
	$ds = explode(' ', $val);
	
	$labels[] = sprintf("%s", $ds[0]);
	$values[] = $ds[1];
}

$units = formatdata($values[0], 'units');
$div = formatdata($values[0], 'div');

for ($j  = 0; $j < count($labels); $j++)
	$dataSet->addPoint(new Point($labels[$j], round($values[$j]/$div, 2)));
	
$chart->setDataSet($dataSet);
$start = date('Y/m/d H:i', $longstart);
$end = date('Y/m/d H:i', $longend);
	
$text = $start.'-'.$end.'/'.$ip.' 总流量 Top'.$topip.'('.$units.')';
$chart->setTitle($text);
$namett = 'topip_iptotal_bar';
$chart->render("../download/".$namett.".png");

unset($chart);
unset($dataSet);
unset($output);
unset($values);
unset($labels);
$labels = array();
$values = array();
$chart = new VerticalBarChart(1100, 300);
$dataSet = new XYDataSet();
exec(DOCROOT."\\bin\\logeye.exe iptop '$devid' '$ip' '$longstart' '$longend' '$tables' '$topip' ipflow", $output, $return);

foreach($output as $val)
{
	$ds = explode(' ', $val);
	
	$labels[] = sprintf("%s", $ds[0]);
	$values[] = $ds[9];
}
$units = formatdata($values[0], 'units');
$div = formatdata($values[0], 'div');

for ($j  = 0; $j < count($labels); $j++)
	$dataSet->addPoint(new Point($labels[$j], round($values[$j]/$div, 2)));
	
$chart->setDataSet($dataSet);
$start = date('Y/m/d H:i', $longstart);
$end = date('Y/m/d H:i', $longend);
$text = $start.'-'.$end.'/'.$ip.' 最大连接数 Top'.$topip.'('.$units.')';
$chart->setTitle($text);
$namett = 'topip_ipflow_bar';
$chart->render("../download/".$namett.".png");

//iptrend bpsup
$typearray = array("bpsup", "bpsdown", "flowcont");
$textarray = array("上行流量趋势", "下行流量趋势", "连接数趋势");
for ($k = 0; $k < count($typearray); $k++)
{
	unset($chart);
	unset($dataSet);
	unset($output);
	unset($values);
	unset($labels);
	$labels = array();
	$values = array();
	$chart = new LineChart(1100, 300);
	$dataSet = new XYDataSet();
	exec(DOCROOT."\\bin\\logeye.exe ipsegtrend '$devid' '$ip' '$longstart' '$longend' '$tables' '$typearray[$k]'", $output, $return);

	foreach($output as $val)
	{
		$ds = explode(' ', $val);

		$labels[] = date('H:i', $ds[1]);
		$values[] = (double)$ds[2];
	}
	
	$max = max($values);
	
	if ($max > 1024*1024*1024)
	{
		$units = 'Gbps';
		$div = 1024*1024*1024;
	}
	else if ($max > 1024*1024)
	{
		$units = 'Mbps';
		$div = 1024*1024;
	}
	else if ($max > 1024)
	{
		$units = 'Kbps';
		$div = 1024;
	}else 
	{
		$units = 'bps';
		$div = 1;
	}
	for ($j = 0; $j < count($labels); $j++)
		$dataSet->addPoint(new Point($labels[$j], round($values[$j]/$div, 2)));
		
	$chart->setDataSet($dataSet);
	$start = date('Y/m/d H:i', $longstart);
	$end = date('Y/m/d H:i', $longend);
	$text = date('Y/m/d H:i:s', $longstart).'-'.date('Y/m/d H:i:s', $longend).'/'.$ip.' '.$textarray[$k].' ('.$units.')';
	$chart->setTitle($text);
	$namett = 'iptrend_'.$typearray[$k].'_bar';
	$chart->render("../download/".$namett.".png");
}
?>
