<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 50;
function alert_list()
{
	var device = $("#device").val();
	var start = $("#start").val();
	var end = $("#end").val();
	
	var starttime = start + " 0:0:0";
	var endtime = end + " 23:59:59";

	var layer, laypage, load;
	layui.use(['laypage', 'layer'], function(){
		layer= layui.layer;
		laypage = layui.laypage;
		load = layer.load();

		$.ajax({
			url:'alert_list.php',
			type:'post',
			dataType:'json',
			data:{type:"alert_list", device:device, starttime: starttime, endtime: endtime, page:page, limit:limit},
			success:function(json) {
				layer.close(load);
				laypage.render({
					elem: 'pagebar',
					count: json.totalrecord,
					limit: limit,
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					limits:[50, 100, 200],
					theme: '#00A0E9',
					curr: page,
					jump: function(obj, first) {
						if (!first) {
							page = obj.curr;
							limit = obj.limit;
							alert_list();
						}
					}
				});
				alert_data_update(json);
			}
		});
	})
}
function alert_data_update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var address='';
	var trbg = '';

	var start = (page - 1) * limit;
	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		address = '<a><img src="../img/share.png" /></a>';
		if (r.account == '') address = '';

		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");

			tdobj.eq(0).text(start + i+1);
			tdobj.eq(1).html(r.devid);
			tdobj.eq(2).html(r.time);
			tdobj.eq(3).html(r.alert_info);
		}
		else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (start+i+1)+'</td>'+
				'<td class="txt-center">'+ r.devid+'</td>'+
				'<td class="txt-center">'+ r.time+'</td>'+
				'<td class="txt-left">'+ r.alert_info+'</td>'+
				'</tr>';
			$(s).appendTo(".topapp-list-table table tbody");
		}
	}
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}
</script>
</head>
<body>
<div class="outer">
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li><a href="../Maintain/login_log.php">本地登录</a></li>
			<li class="active"><a href="../Maintain/dpi_login.php">告警日志</a></li>
			<li><a href="../Maintain/alarm_log.php">攻击日志</a></li>
			<!--<li><a href="../Maintain/seslimit.php">数据包丢弃</a></li>-->
			<li><a href="../Maintain/operation.php">操作日志</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<label>选择设备</label>
				<select id="device" style="width:100px">
				<?php
				$conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS);

				$strxml = array();
				$sql = 'select dev_id, dev_name from palog.config';
				$result = mysql_query($sql);
				$i = 0;
				if ($result != false)
					while ($row = mysql_fetch_row($result)){
						$devid = $row[0];
						$devname = $row[1];

						echo '<option value="'.$devid.'" /> '.$devname.'</option>';
					}
				mysql_free_result($result);
				mysql_close();
				?>
				</select>
			</li>
			<li>
				<label>起始时间</label>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="layui-btn layui-btn-normal layui-btn-xs" href="javascript:void(0);" onclick="alert_list()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table style="width:100%;">
			<tr>
				<th class="txt-center" style="width:50px">序号</th>
				<th class="txt-left" width="50px">设备ID</th>
				<th class="txt-center" width="250px">采集时间</th>
				<th class="txt-left">信息</th>
			</tr>
		</table>
		<div id="pagebar"></div>
       	</div>
</div>
</body>
</html>
