<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function login_list()
{
	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	$.ajax({
		url:'system_handle.php',
		type:'post',
		dataType:'json',
		data:{type:"login_list", starttime:starttime, endtime:endtime},
		success:function(json){
			update(json);
		}
	});
}

function update(data)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var address='';
	var trbg = '';

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';
		
		if (r.remote_addr == null) r.remote_addr = "";

		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");

			tdobj.eq(0).text(i+1);
			tdobj.eq(1).html(r.user);
			tdobj.eq(2).html(r.time);
			tdobj.eq(3).html(r.remote_addr);
		}else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (i+1)+'</td>'+
				'<td class="txt-left">'+ r.user+'</td>'+
				'<td class="txt-center">'+ r.time+'</td>'+
				'<td class="txt-left">'+ r.remote_addr+'</td>'+
				'</tr>';
			$(s).appendTo(".topapp-list-table table tbody");
		}
	}
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}
</script>
</head>
<body>
<div class="outer">
	<div class="nav-outer">
		<ul class="nav nav-tabs">
			<li class="active"><a href="../Maintain/login_log.php">本地登录</a></li>
			<li><a href="../Maintain/dpi_login.php">告警日志</a></li>
			<li><a href="../Maintain/alarm_log.php">攻击日志</a></li>
			<!--<li><a href="../Maintain/seslimit.php">数据包丢弃</a></li>-->
			<li><a href="../Maintain/operation.php">操作日志</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now");
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="layui-btn layui-btn-normal layui-btn-xs" href="javascript:void(0);" onclick="login_list()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
    <div class="topapp-list-table">
        <table style="width:100%;">
            <tr>
                <th class="txt-center" style="width:30px">序号</th>
                <th class="txt-left" width="150px">用户名称</th>
                <th class="txt-center" width="250px">登录时间</th>
                <th class="txt-left">用户地址</th>
            </tr>
        </table>
    </div>
</div>
<script type="text/javascript">
login_list();
$("#imgstart").click(function(){
		new Calendar().show(document.getElementById("start"));
	});
$("#imgend").click(function(){
		new Calendar().show(document.getElementById("end"));
	});
</script>
</body>
</html>
