<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
	<link type="text/css" rel="stylesheet" href="../css/common.css" />
	
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
</head>
<body>
<div class="outer">
<?php
$free = getversion();
if ($free)
	$custom_url = "report_custom.php";
else
	$custom_url = "new_report.php";
?>
	<div class="als-nav-header">
		<ul>
		
			<?php 
			$user = $_SESSION["palog_username"];
			if( $user == "admin" ){
		?>
				<li class='<?=$daycls?>'><a href='report.php?type=day'>日报表</a></li>
				<li class='<?=$weekcls?>'><a href='report.php?type=week'>周报表</a></li>
				<li class='<?=$monthcls?>'><a href='report.php?type=month'>月报表</a></li>
		<?php
			}
		?>
			
			<li class="active"><a href="<?=$custom_url?>">自定义报表</a></li>
		</ul>
		<div class="clear:both;"></div>
	</div>
	<div class="report-conf">
		<fieldset class="layui-elem-field layui-field-title" style="margin-top: 20px;">
			<legend>报告列表</legend>
		</fieldset>
		<div><table id="reportlist-tbl" lay-filter="reportlist-tbl"></table></div>
	</div>
</div>

<script type="text/html" id="report-toolbar">
	<div class="layui-btn-container">
	<button id="mul-delete" class="layui-btn layui-btn-normal layui-btn-xs layui-btn-disabled" lay-event="mul-delete">批量删除</button>
	</div>
</script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript" src="../js/report/module_template.js"></script>
<script type="text/javascript">
var dl = '', loading='';
var intv = setInterval(function(){
	$.ajax({
		url:'ajax_report.php'
		,data:{action:'getreportstatus'}
		,type:'post'
		,dataType:'json'
		,success:function(json){
			if (json.crereport && json.crereport == "1") {
				if (loading == '') {
					loading = layer.msg("正在生成报表，请稍候...", {icon:16, shade:0, time:0});
				}
			}
			else
			if (json.datapart && json.datapart == "1") {
				/* 有报表正在处理，显示右侧窗口 */
				dl = layer.open({
					type:1
					,title:'任务完成表'
					,id:'rps'
					,content:'<div><table id="tasklist-table"></table></div>'
					,area:['500px', '520px']
					,shade:0
					,success:function(index, layero){
						_mytable.render({
							elem: '#tasklist-table'
						       	,url: 'ajax_report.php'
							,where:{action:'tasklist'}
							,loading:false
							,smartReloadModel:true
							,method: 'post'
							,parseData:function(res) {
							}
							,cols: [[
								{field:'id', title:'ID', width:60},
								{field:'name', title:'任务名称'}
								,{field:'sta', title:'状态', templet:function(obj){
									return "OK";
								}}
							]]
						})


					}
				})
				
				_mytable.reload('tasklist-table', {
					url:'ajax_report.php'
					,where:{action:'tasklist'}
				});
			}
			else {
				if ($("#tasklist-table").length > 0) {
					layer.close(dl);
					layer.close(loading);
					layer.alert("您的报表已生成，请查看。",function(index){

						_mytable.reload('reportlist-tbl');
						layer.close(index);

					});
					clearInterval(intv);
					
				}
			}
		}
	});
}, 3000);

function rmvreport(name)
{
	$.ajax({
		url:'ajax_report.php',
		data:{action:'rmvreport', name:name},
		type:'post',
		success:function(data) {
			location.reload();
		}
	})
}

function openreport(name)
{
	var loading = layer.load(0, { shade: false});
	$.ajax({
		url:'ajax_report.php',
		data:{action:'openreport', name:name},
		type:'post',
		success:function(data) {
			layer.close(loading);
			location.href = "../"+name;
		}
	})
}

function report_muldelete(_table)
{
	var check = _table.checkStatus('reportlist-tbl');	// id
	if (check.data.length == 0)
		return false;

	layer.confirm('确定要删除以上数据吗？', {icon: 3, title:'提示'}, function(index){
		$.ajax({
			url: 'ajax_report.php',
			data: {action: 'muldelete', list: encodeURIComponent(JSON.stringify(check))},
			type: 'post',
			success: function(json) {
				_mytable.reload('reportlist-tbl');
			}
		})
		layer.close(index);
	})
}

function choose_all(id){
	//var ids;
	$("[name='dev_father']").each(function(){
		if($(this).attr('id') == id){
			if($(this).attr("checked")){
				
				$("[name='device']").each(function(){
					if( $(this).attr('parent') == id )
						$(this).attr('checked',true);
				});
				
				$("[name='dev_father']").each(function(){
					if($(this).attr('parent') == id){
						$(this).attr('checked',true);
						choose_all($(this).attr('id'));
						/*$("[name='device']").each(function(){
							if($(this).attr('parent') == ids)
								$(this).attr('checked',true);	
						});*/
					}
				})
					
			}
			else{
				$("[name='device']").each(function(){
					if( $(this).attr('parent') == id )
						$(this).attr('checked',false);
				});
				
				$("[name='dev_father']").each(function(){
					if($(this).attr('parent') == id){
						$(this).attr('checked',false);
						choose_all($(this).attr('id'));
						/*$("[name='device']").each(function(){
							if($(this).attr('parent') == ids)
								$(this).attr('checked',false);	
						});*/	
					}
				})
				
				
				
			}	
			
		}
       	
	})
}






var devtree;
function show_devtree(json){
	
	var data;
	var devid;
	var s;

	devtree = new dTree('devtree');

	s = '所有设备';
	devtree.add(0, -1, s);

	for (var i = 0; i < json.rows.length; i++){
		r = json.rows[i];
		var name;
		if(r.type == "0")
			name = '<input  id="'+r.id+'"  parent="'+r.parent+'"  onclick="choose_all('+r.id+')"   type="checkbox" value="'+r.devid+'" name="dev_father" >'+r.devname;
		else
			name = '<input  parent="'+r.parent+'" style="margin-top:5px;"  type="checkbox"  value="'+r.devid+'" name="device"   cname="'+r.devname+'">'+r.devname;
		devtree.add(r.id, r.parent, name, "");
	}

	var tree = devtree.toString();
	$("#device_outer").html("");
	$("#device_outer").html(tree);
		
}



function show_devmenu()
{
	$.ajax({
		url: 'devicetree.php',
		data:{
			type:'devicetreelist'
		},
		type:'post',
		dataType:'json',
		success: function(json) {
			/* id=second-menu-list */
			if (json.yn && json.yn == "no")
				return;
			if (json.rows.length != 0)
				show_devtree(json);
		}
	})

}






var rp = eval("("+_autoconf+")");
var s = '<fieldset class="layui-elem-field layui-field-title" style="margin-top: 20px;">';
s += '<legend>报告配置</legend>';
s += '</fieldset>';
s += '<div  id="device_outer"  style="width:100%;margin:20px 5px"></div>';


s += '<form class="layui-form" action="" lay-filter="moduleform">';
s += '<div class="layui-collapse">';
s += '<div class="layui-colla-item">';
s += '<h2 class="layui-colla-title">首页</h2>';
s += '<div class="layui-colla-content layui-show">';

s += '<div class="layui-form-item">';
s += '<label class="layui-form-label">文档名称</label>';
s += '<div class="layui-input-block">';
s += '<input type="text" name="wordname" lay-verify="required" value="" placeholder="只支持数字和字母" autocomplete="off" class="layui-input">';
s += '</div>';
s += '</div>';
s += '<div class="layui-form-item">';
s += '<label class="layui-form-label">大标题</label>';
s += '<div class="layui-input-block">';
s += '<input type="text" name="title" lay-verify="title" value="'+rp.title+'"autocomplete="off" placeholder="请输入标题" class="layui-input">';
s += '</div>';
s += '</div>';
s += '<div class="layui-form-item">';
s += '<label class="layui-form-label">客户名称</label>';
s += '<div class="layui-input-block">';
s += '<input type="text" name="smalltitle" lay-verify="required" value="" placeholder="请输入" autocomplete="off" class="layui-input">';
s += '</div>';
s += '</div>';
/*
s += '<div class="layui-form-item">';
s += '<label class="layui-form-label">选择设备</label>';
s += '<div class="layui-input-block">';
s += '<div id="device_outer"></div>';
s += '</div>';
s += '</div>';
*/


s += '<div class="layui-form-item">';
s += '<label class="layui-form-label">起始时间</label>';
s += '<div class="layui-input-block">';
s += '<input type="text" name="starttime" lay-verify="required" value="'+rp.starttime+'" placeholder="请输入" autocomplete="off" class="layui-input">';
s += '</div>';
s += '</div>';

s += '<div class="layui-form-item">';
s += '<label class="layui-form-label">结束时间</label>';
s += '<div class="layui-input-block">';
s += '<input type="text" name="endtime" lay-verify="required" value="'+rp.endtime+'" placeholder="请输入" autocomplete="off" class="layui-input">';
s += '</div>';
s += '</div>';

s += '</div>';
s += '</div>';

for (var i = 0; i < rp.module.length; i++) {
	//s += '<fieldset class="layui-elem-field layui-field-title" style="margin-top: 20px;">';
	//s += '<legend>'+rp.module[i].name+'</legend>';
	s += '<input type="hidden" value="'+rp.module[i].name+'" name="m_p_name" />';
	//s += '</fieldset>';

s += '<div class="layui-colla-item">';
s += '<h2 class="layui-colla-title">'+rp.module[i].name+'</h2>';
s += '<div class="layui-colla-content">';

	s += '<div class="layui-form-item">';
	s += '<label class="layui-form-label">描述</label>';
	s += '<div class="layui-input-block">';
	s += '<textarea type="text" name="m_p_desc" class="layui-textarea">'+rp.module[i].desc+'</textarea>';
	s += '</div>';
	s += '</div>';
	for (var j = 0; j < rp.module[i].mlist.length; j++) {
		s += '<div class="layui-form-item">';
		s += '<label class="layui-form-label">模块'+(j+1)+'</label>';
		s += '<div class="layui-input-block">';
		s += '<input type="text" name="m_name_'+i+'" value="'+rp.module[i].mlist[j].name+'" placeholder="请输入" autocomplete="off" class="layui-input">';
		s += '<input type="hidden" value="'+rp.module[i].mlist[j].module_name+'" name="m_module_name_'+i+'" />';
		s += '</div>';
		s += '</div>';
		s += '<div class="layui-form-item">';
		s += '<label class="layui-form-label">状态</label>';
		s += '<div class="layui-input-block">';
		s += '<input type="checkbox" name="m_status_'+i+'" lay-skin="primary" title="" checked="">';
		s += '</div>';
		s += '</div>';
		s += '<div class="layui-form-item">';
		s += '<label class="layui-form-label">模块'+(j+1)+'_描述1</label>';
		s += '<div class="layui-input-block">';
		s += '<textarea type="text" name="m_desc_'+i+'" class="layui-textarea">'+rp.module[i].mlist[j].desc+'</textarea>';
		s += '</div>';
		s += '</div>';
		s += '<div class="layui-form-item">';
		s += '<label class="layui-form-label">模块'+(j+1)+'_描述2</label>';
		s += '<div class="layui-input-block">';
		s += '<textarea type="text" name="m_desc2_'+i+'" class="layui-textarea">'+rp.module[i].mlist[j].desc2+'</textarea>';
		s += '</div>';
		s += '</div>';
	}
	s += '</div>';
	s += '</div>';
}
s += '<br/>';
s += '<div class="layui-form-item">';
s += '<div class="layui-input-block">';
s += '<button class="layui-btn" lay-submit lay-filter="save">保存配置并生成word</button>';
s += '</div>';
s += '</div>';

s += '</div>';
s += '</form>';

$(s).appendTo(".report-conf");

var form, layer, layedit, laydate, _mytable, element;
layui.use(['form', 'layedit', 'laydate', 'table', 'element'], function(){
	form = layui.form ,layer = layui.layer ,
		layedit = layui.layedit ,laydate = layui.laydate,
		_mytable = layui.table, element = layui.element;

	_mytable.render({
		elem: '#reportlist-tbl'
    		,url: 'ajax_report.php'
		,where:{action:'reportlist'}
		,loading:false
		,smartReloadModel:true
		,toolbar:'#report-toolbar'
		,method: 'post'
		,parseData:function(res) {
			return {
				"code":0
				,data:res
			};
		}
    		,cols: [[
      			{field: 'id', title: 'ID', width:80}
      			,{type:"checkbox", width:80}
      			,{field: 'name', title: '文件名称', width:150}
      			,{field: 'fsize', title: '文件大小', width: 150}
      			,{field: 'time', title: '创建时间'}
			,{field: 'mk', title: '操作', templet:function(obj){
				return '<a href="javascript:openreport(\''+obj.name+'\')">下载</a>&nbsp;&nbsp;'+
					'<a href="javascript:rmvreport(\''+obj.name+'\')">删除</a>';
			}}
    		]]
	});
	
	_mytable.on('checkbox(reportlist-tbl)', function(obj){
		var check = _mytable.checkStatus('reportlist-tbl');	// id
		if (check.data.length > 0) {
			$("#mul-delete").removeClass("layui-btn-disabled");
			$("#all-delete").removeClass("layui-btn-disabled");
		}
		else {
			$("#mul-delete").addClass("layui-btn-disabled");
			$("#all-delete").addClass("layui-btn-disabled");
		}
	});
	
	_mytable.on('toolbar(reportlist-tbl)', function(obj){
		switch(obj.event) {
		case "mul-delete":
			report_muldelete(_mytable);
		       	break;
	       	}
       	})

	form.render();

	/* 设备列表 */
	$.ajax({
		url:'ajax_report.php',
		data:{action:'devicelist'},
		type:'post',
		dataType:'json',
		success:function(json){
			var s = '';
			for (var i = 0; i < json.length; i++) {
				s += '<input type="checkbox" name="device" value="'+json[i].devid+'" />'+json[i].devname+'&nbsp;&nbsp;&nbsp';
			}
			$('#device_outer').html(s);
			form.render();
			show_devmenu();
		}
	})
	
	

	form.on('submit(save)', function(data){
		var title = data.field.title,
			smalltitle = data.field.smalltitle,
			starttime = data.field.starttime,
			endtime = data.field.endtime,
			wordname = data.field.wordname;
		var d = [], devid = '0';
		$("[name='device']").each(function(){
			if ($(this).attr("checked"))
				d.push($(this).val());
		});
		if (d.length > 0)
			devid = d.join(',');

		var m_p_name = [], m_p_desc = [];
		$("[name='m_p_name']").each(function(){
			m_p_name.push($(this).val());
		});

		var g_m_name = [], g_m_status = [], g_m_desc = [], g_m_desc2 = [], g_m_module_name = [];
		$("[name='m_p_desc']").each(function(i){
			m_p_desc.push($(this).val());

			var m_name = [], str;
			$("[name='m_name_"+i+"']").each(function(j){
				m_name.push($(this).val());
			});
			str = m_name.join('~');
			g_m_name.push(str);

			var m_status = [];
			$("[name='m_status_"+i+"']").each(function(j){
				if ($(this).attr("checked"))
					m_status.push("checked");
				else
					m_status.push("");
			});
			str = m_status.join('~');
			g_m_status.push(str);

			var m_desc = [];
			$("[name='m_desc_"+i+"']").each(function(j){
				m_desc.push($(this).val());
			});
			str = m_desc.join('~');
			g_m_desc.push(str);

			var m_desc2 = [];
			$("[name='m_desc2_"+i+"']").each(function(j){
				m_desc2.push($(this).val());
			});
			str = m_desc2.join('~');
			g_m_desc2.push(str);

			var m_module_name = [];
			$("[name='m_module_name_"+i+"']").each(function(j){
				m_module_name.push($(this).val());
			});
			str = m_module_name.join('~');
			g_m_module_name.push(str);
		});

		if (!confirm("确定要导出此时间段的报告吗"))
			return false;

		/* 保存配置 */
		$.ajax({
			url:'ajax_report.php',
			data:{action:'config', 
				title:title, 
				devid:devid,
				wordname:wordname,
				smalltitle:smalltitle,
				starttime:starttime,
				endtime:endtime,
				m_name:g_m_name.join('#'),
				m_status:g_m_status.join('#'),
				m_desc:g_m_desc.join('#'),
				m_desc2:g_m_desc2.join('#'),
				m_module_name:g_m_module_name.join('#'),
				m_p_name: m_p_name.join('#'),
				m_p_desc: m_p_desc.join('#'),
			},
			type:'post',
			dataType:'json',
			success:function(json) {
				if (json.yn && json.yn == "no")
					layer.alert(json.str);

				/* 生成命令行 */	
				$.ajax({
					url:'ajax_report.php',
					data:{
						action:'create_cmd',
						devid:devid,
						m_status:g_m_status.join('#'),
						m_name:g_m_name.join('#'),
						m_module_name:g_m_module_name.join('#'),
						starttime:starttime,
						endtime:endtime,
						htmlname:wordname
					},
					type:'post',
					dataType:'json',
					success:function(json) {
						if (json.yn && json.yn == "no")
							layer.alert(json.str);
						else
							layer.msg("操作成功");
					}
				})
			}
		});
		return false;
	});
})


</script>
</body>
</html>

