<?php 
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	exit;
}

$log_names = array(
	"URL日志", "其它事件", "DNS日志", "QQ日志", 
	"节点日志", "告警日志", "会话日志", 
	"共享用户日志", "移动终端日志", 
	"IP日志", "应用日志", "用户认证", 
	"HTTP日志", "NPM", "POST表单");

$type = postval("type");

if ($type == "nodelist")
{
	$rows = $json = array();
	
	$cmd = PANALOGEYE." node list";
	exec($cmd, $out, $ret);
//var_dump($out);
	foreach($out as $val) {
		list($ipaddr, $uuid, $status, $uptime, $ncpu, 
			$cpu, $memsz, $mem, $hardsz, $hard,
			$pos, $buildtime, $softver, $node_info) = explode(' ', $val);
		if ($ipaddr == "ipaddr") continue;
		$node_info = $node_info == null ? "":$node_info;
		array_push($rows, array(
			"ipaddr"=>$ipaddr, 
			"uuid"=>$uuid, 
			"status"=>(int)$status,
			"uptime"=>date("d/H:i:s", $uptime), 
			"cpu"=>$cpu, 
			"mem"=>$mem, 
			"hard"=>$hard, 
			"ncpu"=>$ncpu, 
			"memsz"=>$memsz, 
			"hardsz"=>$hardsz,
			"buildtime"=>$buildtime,
			"softver"=>$softver,
			//"node_info"=>iconv("gb2312", "utf-8", $node_info)
			"node_info"=>$node_info
		));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "nodedata")
{
	$rows = $json = array();
	
	$cmd = PANALOGEYE." receiver stat tag=node";
	exec($cmd, $out, $ret);
	//var_dump($out);
	foreach($out as $val) {
		list($id, $ipaddr, $uuid, $url, $session, $event, $dns, 
			$qq, $natip, $mobile, $ipnode, $iplog, $applog, $alarm) = explode(' ', $val);
		if ($ipaddr == "ipaddr")
			continue;
		array_push($rows, array(
			"id"=>$id,
			"ipaddr"=>$ipaddr, 
			"uuid"=>$uuid, 
			"url"=>$url,
			"session"=>$session,
			"event"=>$event,
			"dns"=>$dns,
			"qq"=>$qq,
			"natip"=>$natip,
			"mobile"=>$mobile,
			"ipnode"=>$ipnode,
			"iplog"=>$iplog,
			"applog"=>$applog,
			"alarm"=>$alarm
		));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "node_delete")
{
	$ipaddr = postval("ipaddr");
	if ($ipaddr == "") {
		outputres("no", "error");
		exit;
	}
	if (($conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS)) != false) {
		$cmd = "delete from palog.nodelist where ipaddr='$ipaddr'";
		if (mysql_query($cmd) == false) {
			outputres("no", mysql_error());
			mysql_close();
			exit;
		}
		mysql_close($conn);
	}
	
	operation_logger("节点管理", "删除节点设备".$ipaddr);
	
	$cmd = PANALOGEYE." node remove 'ipaddr=$ipaddr'";
	exec($cmd, $out, $ret);
	outputres("yes", $out[0]);
}

if ($type == "node_addhdl")
{
	$ipaddr = postval("ipaddr");
	$node_info = postval("node_info");
	//$node_info = iconv("utf-8", "gb2312", $node_info);
	if ($ipaddr == "") {
		outputres("no", "Invalid ip");
		exit;
	}
	
	operation_logger("节点管理", "增加节点设备".$ipaddr);

	$cmd = PANALOGEYE." node add 'ipaddr=$ipaddr' 'node_info=$node_info'";
	exec($cmd, $out, $ret);
	
	if ($ret == 0)
		outputres("yes", $out[0]);
	else
		outputres("no", $out[0]);
}

if ($type == "poolstatus") 
{
	$rows = $json = array();
	
	$cmd = PANALOGEYE." receiver stat tag=pool";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode('=', $val);
		$ds2 = explode('/', $ds[1]);
		
		array_push($rows, (float)$ds2[0]);
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "receiverstatus") {
	$receiver = "panalogd";
	$nginx = "nginx";
	$mysql = "mysqld";

	$rows = array();
	$nginxstat = $mysqlstat = $receiverstat = $logdstat = 0;
	array_push($rows, array("obj"=>"nginx状态", "value"=>$nginxstat));
	array_push($rows, array("obj"=>"接收器状态", "value"=>$receiverstat));
	array_push($rows, array("obj"=>"数据库状态", "value"=>$mysqlstat));
	array_push($rows, array("obj"=>"监控进程", "value"=>$logdstat));

	exec("ps ax | awk '{print $5}'", $output, $return);
	for($i = 0; $i < count($output); $i++){
		if(strstr($output[$i], $nginx))
			$nginxstat = 1;
		else if (strstr($output[$i], $receiver)) 
			$receiverstat = 1;
		else if (strstr($output[$i], $mysql)) 
			$mysqlstat = 1;
		else if(strstr($output[$i], "/usr/logd/bin/logd")) 
			$logdstat = 1;
	}
	foreach($rows as $k=>$val) {
		if ($rows[$k]["obj"] == "nginx状态")
			$rows[$k]["value"] = $nginxstat;
		if ($rows[$k]["obj"] == "接收器状态")
			$rows[$k]["value"] = $receiverstat;
		if ($rows[$k]["obj"] == "数据库状态")
			$rows[$k]["value"] = $mysqlstat;
		if ($rows[$k]["obj"] == "监控进程")
			$rows[$k]["value"] = $logdstat;
	}

	foreach($rows as $k=>$val) {
		if ($rows[$k]["obj"] == "接收器状态" && $rows[$k]["value"] == 0) {
			if (($conn = @mysql_connect(MYSQL_HOST, MYSQL_USER, MYSQL_PASS))) {
				$cmd = 'update palog.receiver set status = 0';
				mysql_query($cmd);
				mysql_close();
			}
		}
	}
	unset($output);

	$qqnum = 0;
	$fetionnum = 0;
	$taobaonum = 0;
	$sinawbnum = 0;
	$urlnum = 0;
	$dnsnum = 0;
	$sessionnum = 0;
	$natipnum = 0;
	$authnum = 0;
	$ipnodenum = 0;
	$mobilenum = 0;
	$ipnum = 0;
	$appnum = 0;
	$weixinnum = 0;
	exec(PANALOGEYE." receiver list", $output, $ret);
	foreach($output as $val){
		$ds = explode(' ', trim($val, "\n\r"));
		
		$qqnum += $ds[5];
		$fetionnum += $ds[6];
		$taobaonum += $ds[7];
		$sinawbnum += $ds[8];
		$urlnum += $ds[9];
		$dnsnum += $ds[10];
		$sessionnum += $ds[11];
		$natipnum += $ds[12];
		$authnum += $ds[13];
		$ipnodenum += $ds[14];
		$mobilenum += $ds[17];
		$ipnum += $ds[18];
		$appnum += $ds[19];
		$weixinnum += $ds[20];
	}
	array_push($rows, array("obj"=>"QQ日志", "value"=>$qqnum));
	array_push($rows, array("obj"=>"飞信日志", "value"=>$fetionnum));
	array_push($rows, array("obj"=>"淘宝日志", "value"=>$taobaonum));
	array_push($rows, array("obj"=>"新浪微博日志", "value"=>$sinawbnum));
	array_push($rows, array("obj"=>"URL日志", "value"=>$urlnum));
	array_push($rows, array("obj"=>"DNS日志", "value"=>$dnsnum));
	array_push($rows, array("obj"=>"会话日志", "value"=>$sessionnum));
	array_push($rows, array("obj"=>"共享用户日志", "value"=>$natipnum));
	array_push($rows, array("obj"=>"用户认证日志", "value"=>$authnum));
	array_push($rows, array("obj"=>"节点跟踪日志", "value"=>$ipnodenum));
	array_push($rows, array("obj"=>"移动终端日志", "value"=>$mobilenum));
	array_push($rows, array("obj"=>"IP日志", "value"=>$ipnum));
	array_push($rows, array("obj"=>"应用日志", "value"=>$appnum));
	array_push($rows, array("obj"=>"微信ID", "value"=>$weixinnum));

	$json['rows'] = $rows;
	echo json_encode($json);
}

if ($type == "poolfails" || $type == "poolcount")
{
	$hours = postval("hours");
	$longstart = time() - $hours * 3600;
	$longend = time();

	$slot = 0;
	$data = array();
	$rows = array();
	$json = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior '$type' longstart=$longstart longend=$longend";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] == "TAG"){
			if ($slot != 0)
				break;
		}

		if ($ds[0] == "DATA")
			$slot++;
	}

	$appup = 0;

	foreach($out as $val) {
		$ds = explode(' ', $val);

		if ($ds[0] == "TAG") {
			$cname = isset($log_names[$ds[2]]) ? $log_names[$ds[2]] : "";
			$rows[$appup]['name'] = $cname;
		}

		if ($ds[0] == "DATA") {
			array_push($data, array("x"=>(int)$ds[1] * 1000, "y"=>(float)$ds[2]));

			if (count($data) == $slot) {
				$rows[$appup++]['data'] = $data;
				unset($data);
				$data = array();
			}
		}
	}

	$json['result'] = $rows;
	echo json_encode($json);
}

if ($type == "noderd_trend")
{
	$hours = postval("hours");
	$ipaddr = postval("ipaddr");
	
	$longstart = time() - $hours * 3600;
	$longend = time();

	$slot = 0;
	$data = array();
	$rows = array();
	$json = array();

	$cmd = LOGDPATH."/bin/logeye user_behavior noderd_trend 'ipaddr=$ipaddr' longstart=$longstart longend=$longend";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		if ($ds[0] == "TAG"){
			if ($slot != 0)
				break;
		}

		if ($ds[0] == "DATA")
			$slot++;
	}

	$appup = 0;

	foreach($out as $val) {
		$ds = explode(' ', $val);

		if ($ds[0] == "TAG") {
			$cname = isset($log_names[$ds[2]]) ? $log_names[$ds[2]] : "";
			$rows[$appup]['name'] = $cname;
		}

		if ($ds[0] == "DATA") {
			array_push($data, array("x"=>(int)$ds[1] * 1000, "y"=>(float)$ds[2]));

			if (count($data) == $slot) {
				$rows[$appup++]['data'] = $data;
				unset($data);
				$data = array();
			}
		}
	}

	$json['result'] = $rows;
	echo json_encode($json);
}

if ($type == "nodefile_dele")
{
	$fname = postval("fname");
	$uuid = postval("uuid");
	
	if (!file_exists(CLUSTER_DIR."/$uuid/$fname")) {
		outputres("no", "no exists\n");
		exit;
	}
	
	unlink(CLUSTER_DIR."/$uuid/$fname");
	outputres("yes", "");
}

if ($type == "nodefile")
{
	$ipaddr = postval("ipaddr");
	$uuid = postval("uuid");
	
	$rows = $json = $ar1 = array();
	
	if (($dp = opendir(CLUSTER_DIR."/$uuid")) != false) {
		while (($fl = readdir($dp)) != false) {
			if ($fl == "." || $fl == "..")
				continue;
			array_push($rows, array(
				"fname"=>$fl,
				"fsize"=>dataformat(filesize(CLUSTER_DIR."/$uuid/$fl")),
				"ftime"=>date("d/H:i:s", fileatime(CLUSTER_DIR."/$uuid/$fl"))
			));
			array_push($ar1, $fl);
		}
		closedir($dp);
		
		array_multisort($ar1, SORT_STRING, SORT_ASC, $rows);
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}










?>
