<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/maintain.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var layer, form, _table, _upload, _element;
layui.use(['layer', 'form', 'table', 'upload', 'element'], function() {
	layer = layui.layer ,form = layui.form, 
	_table = layui.table, _upload = layui.upload,
	_element = layui.element;

	var uploadInst = _upload.render({
		elem: '#xxx-upload',
		url: 'sysupgrade.php',
		accept:'file',
		exts: 'tar.gz',
		progress: function(n, elem){
			var percent = n + '%';
			_element.progress('process-upgrade', percent);
		},
		before:function(obj) {
			$(".layui-progress").show();
			loading = layer.load(0,{shade:false, time:0});
			isupgrade();
		},
		error: function(index, upload) {
			layer.close(loading);
		},
		done:function(res, index, upload) {
			layer.close(loading);
			if (res.code == "-1")
				layer.alert(res.str, {icon:2, time:0});
			else {
				waitpanalogd();
			}
		}
	});

	_table.render({
		elem: '#system-upgrade-record'
    		,url: 'ajax_upgrade_handle.php'
		,where:{action:'upgrade_record_list'}
    		,page: true
		,loading:false
		,smartReloadModel:true
		,method: 'post'
		,height:300
    		,cols: [[
      			{field: 'id', title: 'ID', width:80}
      			,{field: 'username', title: '用户名', width:150}
      			,{field: 'time', title: '操作时间', width: 150}
      			,{field: 'content', title: '内容'}
    		]]
	});

	_table.render({
		elem: '#system-version-list'
    		,url: 'ajax_upgrade_handle.php'
		,where:{action:'upgrade_version_list'}
		,method: 'post'
		,smartReloadModel:true
		,loading:false
		,limit:100
    		,cols: [[
      			{field: 'id', title: 'ID', width:80}
      			,{field: 'ipaddr', title: '节点IP', width:150}
      			,{field: 'version', title: '当前版本'}
    		]]
	});
});

function waitpanalogd()
{
	var loading = layer.msg("正在启动，请稍候...", {icon:16, shade:0, time:0});
	setTimeout(function(){
		intv = setInterval(function(){
			$.ajax({
				url: 'ajax_upgrade_handle.php'
				,type: 'post'
				,dataType: 'json'
				,data: {action:'showpanalogd'}
				,success:function(json){
					if (json.yn && json.yn == "yes") {
						clearInterval(intv);
						layer.closeAll();
						layer.alert("升级成功", {icon:1, time:0});
					}
				}
			})
		}, 1000);
	}, 10000);
}

var idx;
function isupgrade()
{
	/* 检查是否为多节点 */
	$.ajax({
		url: 'ajax_upgrade_handle.php',
		data:{action:'ismulnode'},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.node_count > 0) {
				var c = '<div style="font-size:14px;">';
				c += '<table id="upgradelog"></table>';
				c += '</div>';
				var index = layer.open({
					type: 1,
					title: '多节点系统升级',
					shade: [0.8, '#393D49'],
					shadeClose:0,
					area:['650px', '530px'],
					content: c,
					cancel:function(index, layero) {
						if (idx) clearInterval(idx);
						layer.close(index);
						return false;
					},
					success:function(layero, index) {
						_table.render({
							elem: '#upgradelog'
							,url: 'ajax_upgrade_handle.php'
							,where:{action:'upgrade_upgrade_log'}
							,method: 'post'
							,smartReloadModel:true
							,loading:false
							,cols: [[
								{field: 'id', title: 'ID', width:80},
								{field: 'ipaddr', title: '节点IP', width:150},
								{field: 'status', title: '状态'}
							]]
					       	});
					}
				})

				idx = setInterval(function(){
					_table.reload('upgradelog', {
						url: 'ajax_upgrade_handle.php'
						,where:{action:'upgrade_upgrade_log'}
						,method: 'post'
					});
				}, 1000);
			}
		}
	});
	return true;
}
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="system_upgrade.php">系统升级</a></li>
		</ul>
	</div>
	<div class="font-12" style="margin-top:10px;">
		<blockquote class="layui-elem-quote layui-quote-nm">
			升级之后，如果页面没有任何变化或者显示比较杂乱，请清除浏览器缓存后重新登录，或者使用快捷键CTRL+F5进行页面强制刷新。
		</blockquote>
	</div>
<?php
$version = 0;
$cmd = PANALOGEYE." receiver stat tag=version";
exec($cmd, $out, $ret);
foreach($out as $val) {
	$ds = explode('=', trim($val));
	$version = (int)$ds[1];
}
unset($out);

if ($version) {
	$longstart = $longend = 0;
	$cmd = PANALOGEYE." key stat";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode('=', $val);
		$tag = $ds[0]; $val = $ds[1];
		switch($tag) {
		case "upgrade_start2":
			$longstart = $val;
			break;
		case "upgrade_end2":
			$longend = $val;
			break;
		default:;
		}
	}

	if ($longend != 0 && time() > $longend) {
		echo '<div style="padding:20px;color:#f00;font-weight:bold;">对不起，升级许可时间已经到期，暂时无法升级。请联系相应管理员升级许可。</div>';
		exit;
	}
}
?>
	<div style="padding:0px 20px;">
		<form enctype="multipart/form-data" method="post" action="sysupgrade.php" target="system-upgrade-frame" onsubmit="return isupgrade()">
			<table width="100%">
				<tr>
					<td id="curr_version" align="left">当前版本：<?=VERSION?></td>
				</tr>
			</table>
			<table width="100%">
				<tr>
					<td colspan="2" class="font-fileupload" align="left">
						<!--
						请输入升级包路径：
						<input type="file" name="sysupgrade" id="sysupgrade" style="width:500px" />
						<input type="submit" value="上传升级包" style="height:22px;" />
						-->
						<button type="button" class="layui-btn layui-btn-xs" id="xxx-upload">选择文件</button>
					</td>
				</tr>
			</table>
			<div class="layui-progress" lay-filter="process-upgrade" lay-showPercent="false" style="margin-top:20px;display:none;">
				<div class="layui-progress-bar" lay-percent="0%"></div>
		       	</div>
		</form>
		<iframe src="about:blank" name="system-upgrade-frame" id="system-upgrade-frame" style="display:none;" frameborder=0></iframe>
       	</div>
	<br/><br/>
<?php
if ($version) {
?>
	<fieldset class="layui-elem-field layui-field-title">
		<legend>节点列表</legend>
		<div class="layui-field-box">
			<table id="system-version-list"></table>
		</div>
	</fieldset>
<?php
}
?>
	<fieldset class="layui-elem-field layui-field-title">
		<legend>升级记录</legend>
		<div class="layui-field-box">
			<table id="system-upgrade-record"></table>
	       	</div>
	</fieldset>
</div>
<script type="text/javascript">
</script>
</body>
</html>
