<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!isset($_SESSION['cloud_username']) || $_SESSION['cloud_username'] == "") {
	echo '<script type="text/javascript">parent.location.href="cloud_index.php";</script>';
	exit;
}
session_write_close();
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title>Panabit云平台</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/cloud.js"></script>
<script type="text/javascript" src="../js/ixcache.js"></script>
<script type="text/javascript">
function dwconfig()
{
	var dwmax = $("#dwmax").val();
	if (dwmax == "" || isNaN(dwmax)) {
		alert("请输入正确的下载最大设备数");
		$("#dwmax").select();
		return false;
	}
	
	if (!confirm("确认要修改下载最大设备数吗"))
		return false;
	
	$.ajax({
		url: 'system_handle.php',
		data: {type:'dwconfig', dwmax: dwmax},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			alert(json.str);
		}
	});
}

function http_port_config()
{
	var http_port = $("#http_port").val();
	if (http_port == "") {
		alert("请输入正确的端口号！");
		$("#http_port").focus();
		return false;
	}
	
	if (isNaN(http_port)) {
		alert("请输入正确的端口号！");
		$("#http_port").focus();
		return false;
	}
	
	http_port = TrimAll(http_port);
	
	if (!confirm("确定要修改http访问的端口号吗"))
		return false;
	
	$.ajax({
		url: '../Maintain/system_handle.php',
		data: {type: 'http_port_config', http_port: http_port},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			if (json.yn == "no")
				alert(json.str);
			else alert("操作成功");
		}
	});
}
</script>

</head>
<body>
<div view-framwork>
	<div class="viewFramework-topbar">
		<div class="palog-console-topbar">
			<div class="topbar-head topbar-left">
				<img src="../img/logo.gif" class="topbar-logo" />
			</div>
			<div class="topbar-head topbar-right">
				<?php
				include "cloud_top.php";
				?>
			</div>
		</div>
	</div>
	<div class="viewFramework-product">
		<?php
		define("CLOUD_LEFT_MENU", "upgrade_config");
		include "cloud_left.php";
		?>
		<div class="product-body">
			<div class="als-nav-header">
				<ul>
					<li><a href="upgrade_config.php">升级包管理</a></li>
					<li><a href="upgrade_task.php">任务管理</a></li>
					<li class="active"><a href="upgrade_dwconfig.php">升级配置</a></li>
				</ul>
			</div>
			<div style="position:relative;font-size:12px;padding:10px 10px">
				1、同时升级最大设备数：当带宽较小，同时升级的设备较多时，可能会影响文件下载失败，
				在这里可以修改同时升级的最大设备数。默认同时升级设备数5台。
				<br/>
				2、文件下载端口(TCP)：使用设备升级功能时，客户端通过此端口在云平台上下载升级包。
				如果是内网映射后的云平台，需要映射此端口到外网的这个端口。
			</div>
			<div style="margin-top:20px;padding:0 10px;">
			<?php
			$dwmax = 5;
			if (file_exists(CLOUD_CONF)) {
				$lines = file(CLOUD_CONF);
				foreach($lines as $val) {
					if (strstr($val, "download_max=") != false) {
						$ds = explode('=', $val);
						$dwmax = trim($ds[1], "\n");
						break;
					}
				}
			}
			?>
			<table>
				<tr>
					<td width="150px" align="left">同时升级最大设备数</td>
					<td><input type="text" value="<?=$dwmax?>" id="dwmax" style="width:150px;" /></td>
					<td width="100px" align="right">
						<input type="button" value="确认修改" onclick="dwconfig()" 
						class="ui-button ui-widget ui-corner-all"						/>
					</td>
				</tr>
				<tr>
					<td width="150px" align="left">文件下载端口</td>
					<td>
					<?php
					$cloudconf = "/usr/local/etc/nginx/nginx.conf.cloud";
					$nginxconf = "/usr/local/etc/nginx/nginx.conf";
					if (file_exists($cloudconf))
						$nginxconf = $cloudconf;
						
					$httpport = 0;
					$fp = fopen($nginxconf, "r");
					if ($fp) {
						while (!feof($fp)) {
							$buff = fgets($fp);
							if ($buff !== false) {
								if (strstr($buff, "listen") !== false && 
									strstr($buff, "ssl") === false && 
									strstr($buff, "#") === false) {
										for ($i = 0; $i < strlen($buff); $i++) {
											$poschr = substr($buff, $i, 1);
											if ($poschr >= '0' && $poschr <= '9')
												$httpport = $httpport * 10 + ($poschr - '0');
										}
									}
							}
						}
						fclose($fp);
					}
					?>
						<input type="text" value="<?=$httpport?>" 
						id="http_port" style="width:150px;" />
					</td>
					<td width="100px" align="right">
						<input type="button" value="确认修改" 
						class="ui-button ui-widget ui-corner-all" onclick="http_port_config()" />
					</td>
				</tr>
			</table>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
cpumem();
setInterval(cpumem, 3000);

ixc_stat();
</script>
</body>
</html>
