<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="account_group.php">账号群组</a></li>
			<li><a href="account_flow.php">群组概况</a></li>
		</ul>
	</div>
	<div class="topapp-list-table" id="topacc_table">
		<table id="group-list" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0 border=1 bordercolor="#e6e6e6">
			<tr>
				<th class="txt-center" style="width:50px;">序号</th>
				<th class="txt-left" width="200px">群组名称</th>
				<th class="txt-right" width="80px">配额流量</th>
				<th class="txt-right">流量结转</th>
				<th class="txt-center" width="250px">操作</th>
			</tr>
		</table>
	</div>
	<div class="txt-right" style="padding:5px;">
		<button class="layui-btn layui-btn-normal layui-btn-xs group-add-btn">添加群组</button>
	</div>
</div>
<script id="group-add-outer" style="display:none;" type="text/html">
	<div class="sx-outer">
	<form class="layui-form" action="">
		<div class="layui-form-item">
			<label class="layui-form-label">群组名称</label>
			<div class="layui-input-inline">
				<input type="text" id="name" required lay-verify="required" placeholder="请输入群组名称" autocomplete="off" class="layui-input">
			</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">流量额度</label>
			<div class="layui-input-inline">
				<input type="text" id="max_flow" required lay-verify="required" placeholder="请输入流量额度" autocomplete="off" class="layui-input">
			</div>
			<div class="layui-form-mid layui-word-aux">G</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">流量结转</label>
			<div class="layui-input-inline">
				<select id="remain_enable">
					<option value="1">是</option>
					<option value="0">否</option>
				</select>
			</div>
		</div>
		<div class="layui-form-item">
			<div class="layui-input-block">
				<button class="layui-btn layui-btn-normal layui-btn-xs add-btn" lay-filter="add-submit" lay-submit>提交</button>
				<button class="layui-btn layui-btn-normal layui-btn-xs edit-btn" lay-filter="edit-submit" lay-submit style="display:none">提交</button>
				<button type="reset" class="layui-btn layui-btn-normal layui-btn-xs close-btn">重置</button>
			</div>
		</div>
	</form>
	</div>
</script>
<script id="account-add-outer" style="display:none;" type="text/html">
	<div class="sx-outer">
	<form class="layui-form" action="">
		<div class="layui-form-item">
			<label class="layui-form-label">用户账号</label>
			<div class="layui-input-inline">
				<input type="text" id="account" name="account" required lay-verify="required" placeholder="请输入用户账号" autocomplete="off" class="layui-input">
			</div>
		</div>
		<div class="layui-form-item">
			<div class="layui-input-block">
				<button class="layui-btn layui-btn-normal layui-btn-xs" lay-filter="account-add-submit" lay-submit>提交</button>
			</div>
		</div>
	</form>
	</div>
</script>
<script id="group-account-outer" style="display:none;" type="text/html">
	<div class="topapp-list-table">
		<table id="group-account-list" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th class="txt-center" style="width:50px;">序号</th>
				<th class="txt-left">账号名称</th>
				<th class="txt-right" width="80px">配额流量</th>
				<th class="txt-right">流量结转</th>
				<th class="txt-right">上月结余</th>
				<th class="txt-right">充值流量</th>
				<th class="txt-right">上行/下行(Byte)</th>
				<th class="txt-center" width="50px">操作</th>
			</tr>
		</table>
		<div id="pagebar" style="text-align:center;"></div>
	</div>
</script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
group_list();
function group_import(id, name, max_flow, remain_enable)
{
	layui.use(['layer', 'upload', 'form'], function(){
		var layer = layui.layer ,form = layui.form, upload = layui.upload;

		var html = '<div class="group-account-import" style="display:block;padding:10px;">';
		html += '<blockquote class="layui-elem-quote">1、请导入文本文件。';
		html += '<br/>2、文件内容每行为一个账号。';
		html += '<br/>3、文件导入为覆盖模式。</blockquote>';
		html += '<div class="sx-outer">';
		html += '&nbsp;&nbsp;<button type="button" class="layui-btn layui-btn-xs" id="xxx-upload">选择文件</button>';
		html += '</div>';
		html += '</div>';

		var index = layer.open({
			type: 1,
			title: '账号导入--' + name,
			shade: [0.8, '#393D49'],
			shadeClose:1,
			id: 'group-account-import',
			area:['600px', '230px'],
			content: html,
			success:function() {
				upload.render({
					elem: '#xxx-upload',
				       	url: 'ajax_account_group_import.php?id='+id+'&max_flow='+max_flow+'&remain_enable='+remain_enable,
					accept:'file',
					exts: 'txt',
					before:function(obj) {
						layer.load();
					},
					error: function(index, upload) {
						layer.closeAll('loading');
					},
					done:function(res, index, upload) {
						layer.closeAll('loading');
						if (res.yn == "no")
							layer.msg(res.str);
						else {
							layer.msg("导入成功");
							layer.close(index);
						}
					}
				});
			}
		});
	});
}

function group_open(id, name)
{
	layui.use(['layer', 'upload', 'form'], function(){
		var layer = layui.layer ,form = layui.form, upload = layui.upload;
		var index = layer.open({
			type: 1,
			title: name,
			shade: [0.8, '#393D49'],
			shadeClose:1,
			id: 'group-account-dialog',
			area:['650px', '450px'],
			content: $("#group-account-outer").html(),
			success:function() {
				group_account_list(id);
			}
		})
	})
}

var page = 1;
var limit = 30;
function group_account_list(id)
{
	$.ajax({
		url: 'ajax_account_group.php',
		data: {action: 'group_account_list', id:id, page: page, limit:limit},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			layui.use(['laypage', 'layer'], function(){
				var laypage = layui.laypage, layer= layui.layer;
				laypage.render({
					elem: 'pagebar',
					count: json.totalrecords,
					limit: limit,
					first: '首页',
					last: '尾页',
					layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
					theme: '#00A0E9',
					curr: page,
					jump: function(obj, first) {
						if (!first) {
							page = obj.curr;
							group_account_list(id);
						}
					}
				});
			});

			if (json.yn && json.yn == "no")
				layer.msg(json.str);
			else {
				var list = document.getElementById("group-account-list");
				while (list.rows.length > 1)
					list.deleteRow(1);
				for (var i = 0; i < json.rows.length; i++) {
					var obj = list.insertRow(-1);
					var pos = 0;

					var r = json.rows[i];
					var cell = obj.insertCell(pos++);
					cell.setAttribute("align", "center");
					cell.innerHTML = (page - 1) * limit + i + 1;
					cell = obj.insertCell(pos++);
					cell.innerHTML = r.name;
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "right");
					cell.innerHTML = (r.max_flow)+'G';
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "right");
					cell.innerHTML = (r.remain_enable == "1") ? "是" : "否";
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "right");
					cell.innerHTML = r.last_month_remain_flow;
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "right");
					cell.innerHTML = r.extr_flow;
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "right");
					cell.innerHTML = r.up + '/' + r.down;
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "center");
					var mk = '<a href="javascript:void(0)" onclick="group_account_remove('+id+', \''+r.name+'\')">删除</a>';
					cell.innerHTML = mk;

				}
			}
		}
	})
}

function group_account_remove(gid, account)
{
	$.ajax({
		url: 'ajax_account_group.php',
		data: {action: 'group_account_remove', account:account, gid: gid},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			group_account_list(gid);
		}
	})
}

$(".group-add-btn").click(group_add);
function group_add()
{
	layui.use(['layer', 'upload', 'form'], function(){
		var layer = layui.layer ,form = layui.form, upload = layui.upload;
		var index = layer.open({
			type: 1,
			title: '创建群组',
			shade: [0.8, '#393D49'],
			shadeClose:1,
			id: 'group-add-dialog',
			area:['400px', '250px'],
			content: $("#group-add-outer").html(),
			success:function() {
				$(".add-btn").show();
			       	$(".edit-btn").hide();
				form.render();

				form.on('submit(add-submit)', function(data) {
					var name = TrimAll($("#name").val());
					var max_flow = $("#max_flow").val();
					var remain_enable = $("#remain_enable").val();
					$.ajax({
						url: 'ajax_account_group.php',
						data: {action: 'group_add', name:name, max_flow:max_flow, remain_enable:remain_enable},
						type: 'post',
						dataType: 'json',
						success: function(json) {
							if (json.yn == "no")
								layer.msg(json.str);
							else {
								layer.closeAll();
								group_list();
							}
						}
					});
					return false;
				});
			}
		})
	})
}

function group_list()
{
	$.ajax({
		url: 'ajax_account_group.php',
		data: {action: 'group_list'},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			if (json.yn && json.yn == "no")
				layer.msg(json.str);
			else {
				var list = document.getElementById("group-list");
				while (list.rows.length > 1)
					list.deleteRow(1);
				for (var i = 0; i < json.rows.length; i++) {
					var obj = list.insertRow(-1);
					var pos = 0;

					var r = json.rows[i];
					var cell = obj.insertCell(pos++);
					cell.setAttribute("align", "center");
					cell.innerHTML = i + 1;
					cell = obj.insertCell(pos++);
					cell.innerHTML = r.name;
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "right");
					cell.innerHTML = (r.max_flow) + 'G';
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "right");
					cell.innerHTML = (r.remain_enable == "1") ? "是" : "否";
					cell = obj.insertCell(pos++);
					cell.setAttribute("align", "center");
					var mk = '<a href="javascript:void(0)" onclick="group_open('+r.id+', \''+r.name+'\')">账号列表</a>';
					mk += '&nbsp;&nbsp;';
					mk += '<a href="javascript:void(0)" onclick="group_import('+r.id+', \''+r.name+'\', '+r.max_flow+', \''+r.remain_enable+'\')">账号导入</a>';
					mk += '&nbsp;&nbsp;';
					mk += '<a href="javascript:void(0)" onclick="account_add('+r.id+', \''+r.name+'\', '+r.max_flow+', \''+r.remain_enable+'\')">添加账号</a>';
					mk += '&nbsp;&nbsp;';
					mk += '<a href="javascript:void(0)" onclick="group_edit('+
						r.id+', \''+r.name+'\', '+r.max_flow+', \''+r.remain_enable+'\')">编辑</a>';
					mk += '&nbsp;&nbsp;';
					mk += '<a href="javascript:void(0)" onclick="group_remove('+r.id+', \''+r.name+'\')">删除</a>';
					cell.innerHTML = mk;

				}
			}
		}
	});
}

// 添加账号
function account_add(id, name, max_flow, remain_enable)
{
	layui.use(['layer', 'upload', 'form'], function(){
		var layer = layui.layer ,form = layui.form;
		var index = layer.open({
			type: 1,
			title: name + '--添加账号',
			shade: [0.8, '#393D49'],
			shadeClose:1,
			id: 'account-add-dialog',
			area:['400px', '180px'],
			content: $("#account-add-outer").html(),
			success:function() {
				form.on('submit(account-add-submit)', function(data) {
					var account = data.field.account;
					if (account == "") {
						layer.msg("请输入用户账号");
						return false;
					}
					$.ajax({
						url: 'ajax_account_group.php',
						data: {action: 'account_add', id:id, account:account, max_flow:max_flow, remain_enable:remain_enable},
						type: 'post',
						dataType: 'json',
						success: function(json) {
							if (json.yn == "no")
								layer.msg(json.str);
							else {
								layer.closeAll();
								group_list();
							}
						}
					});
					return false;
				});
			}
		})
	})
}

function group_edit(id, name, max_flow, remain_enable)
{
	layui.use(['layer', 'upload', 'form'], function(){
		var layer = layui.layer ,form = layui.form, upload = layui.upload;
		var index = layer.open({
			type: 1,
			title: '编辑群组--'+name,
			shade: [0.8, '#393D49'],
			shadeClose:1,
			id: 'group-add-dialog',
			area:['400px', '280px'],
			content: $("#group-add-outer").html(),
			success:function() {
				$("#name").val(name);
				$("#max_flow").val(max_flow);
				$("#remain_enable").val(remain_enable);

				$(".add-btn").hide();
				$(".edit-btn").show();

				form.on('submit(edit-submit)', function(data) {
					var name = TrimAll($("#name").val());
					var max_flow = $("#max_flow").val();
					var remain_enable = $("#remain_enable").val();
					$.ajax({
						url: 'ajax_account_group.php',
						data: {action: 'group_edit', id:id, name:name, max_flow:max_flow, remain_enable:remain_enable},
						type: 'post',
						dataType: 'json',
						success: function(json) {
							if (json.yn == "no")
								layer.msg(json.str);
							else
								group_list();
	
							layer.close(index);
						}
					});
					return false;
				});
			}
		})
	})
}

function group_remove(id, name)
{
	layui.use(['layer', 'upload', 'form'], function(){
		var layer = layui.layer ,form = layui.form, upload = layui.upload;
		layer.confirm("确定要删除此群组吗", {btn: ["确定", "取消"]}, function(index) {
			$.ajax({
				url: 'ajax_account_group.php',
				data: {action: 'group_remove', id:id, name:name},
				type: 'post',
				dataType: 'json',
				success: function(json) {
					if (json.yn == "no")
						layer.msg(json.str);
					else
						group_list();
					layer.closeAll();
				}
			});
		})
	})
}

















</script>
</body>
</html>
