<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/dtree.js" /></script>
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 25;
var gsort = 'total';

function titleclick(sort)
{
	gsort = sort;
	account_check(0);
}

function account_check(bexport)
{
	var devid = getdevice();
	var account = TrimAll($("#account").val());
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startminute = $("#startminute").val();
	var startsec = 0;
	var endhour = $("#endhour").val();
	var endminute = $("#endminute").val();
	var endsec = 0;
	var starttime = start+ ' '+starthour+':'+startminute+':'+startsec;
	var endtime = end+' '+endhour+':'+endminute+':'+endsec;

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../account/accountlist.php',
		type:'post',
		data:{type: 'ipv6_list',
			devid: devid,
			errname: errname,
			account: account,
			page: page,
			sort: gsort,
			limit: limit,
			startdt: starttime,
			enddt: endtime,
			bexport:bexport	
		},
		dataType:'json',
		success:function(data){
			cluster_load_hide();
			if (!bexport)
				log_account_updatedetail(data, starttime, endtime);
			else
				cluster_downloadfile("");
		}
	});
}

function log_account_updatedetail(data, starttime, endtime)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
       	var href;
	
	for (i = 0; i < len; i++) {
	       	r = data.rows[i];
		
		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		hr = '<a href="javascript:accounttrend(\''+r.auth+'\', \''+starttime+'\', \''+endtime+'\')">'+r.auth+'</a>';
		
		if (trobj.eq(i+1).length > 0) {
		       	tdobj = trobj.eq(i+1).find("td");
			tdobj.eq(0).text((i+1));
			tdobj.eq(1).html(hr);
			tdobj.eq(2).html((r.flowcnt));
			tdobj.eq(3).html(numberformats(r.upbytes));
			tdobj.eq(4).html(numberformats(r.downbytes));
			tdobj.eq(5).html(numberformats(r.upbytes+ r.downbytes));
		}else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (i+1)+'</td>'+
				'<td class="td-normal" style="text-align:left">'+ hr+'</td>'+
				'<td class="td-normal" style="text-align:right">'+ r.flowcnt+'</td>'+
				'<td class="td-normal" style="text-align:right">'+ numberformats(r.upbytes)+'</td>'+
				'<td class="td-normal" style="text-align:right">'+ numberformats(r.downbytes)+'</td>'+
				'<td class="td-normal" style="text-align:right">'+ numberformats(r.downbytes+ r.upbytes) +'</td>'+
				'</tr>';
			$(s).appendTo(".topapp-list-table table tbody");
		}
	}
       	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function accounttrend(accname, starttime, endtime)
{
	var w = 900;
	var h = window.screen.height - 150;
	var l = (window.screen.width - w)/2;
	
	var devid = getdevice();

	window.open("../account/auth_trend.php?account="+accname+"&starttime="+starttime+"&endtime="+endtime+"&devid="+devid, 
		"_blank", "width="+w+"px, height="+h+"px, left="+l+"px");
}
</script>
</head>
<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="../Flow/index.php">TOP用户</a></li>
			<li><a href="../App/index.php">TOP协议</a></li>
			<li><a href="../account/index.php">TOP账号</a></li>
			<li><a href="../Flow/index_ipv6.php">TOP用户(ipv6)</a></li>
			<li><a href="../App/index_ipv6.php">TOP协议(ipv6)</a></li>
			<li class="active"><a href="../account/index_ipv6.php">TOP账号(ipv6)</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			
		
			<li>
				<label>用户账号</label>
				<input type="text" id="account" value="" style="width:100px" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
				onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<select id="starthour" style="width:50px"></select>时&nbsp;
				<select id="startminute" style="width:50px"></select>分&nbsp;
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
				onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<select id="endhour" style="width:50px"></select>时&nbsp;
				<select id="endminute" style="width:50px"></select>分&nbsp;
			</li>
			<li>
				<a class="btn-extend-color" onclick="account_check(0)">查询</a>
			</li>
			<li>
				<a class="btn-extend-gray" onclick="account_check(1)">EXCEL</a>
				<a class="btn-extend-gray" onclick="account_check(2)">TXT</a>
				<a class="btn-extend-gray" onclick="account_check(3)">CSV</a>
				<a class="btn-extend-gray" onclick="cluster_downloadfile('')">下载列表</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table" id="topacc_table">
	<table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="txt-center" style="width:50px;">序号</th>
                <th class="txt-left">用户账号</th>
                <th class="txt-right"><a href="javascript:titleclick('flow')">连接数</a></th>
                <th class="txt-right"><a href="javascript:titleclick('up')">上行流量</a></th>
                <th class="txt-right"><a href="javascript:titleclick('down')">下行流量</a></th>
                <th class="txt-right"><a href="javascript:titleclick('total')">总流量</a></th>
            </tr>
        </table>
    </div>
</div>
<script type="text/javascript">
set_content_css("#topacc_table", 40, 0);

filltime();
showdevicetree();
</script>
</body>
</html>
