<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$id = isset($_GET["id"]) ? $_GET['id'] : "";
$cname = isset($_GET["cname"]) ? $_GET['cname'] : "";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function ap_add()
{
	$("#ap_add").dialog({
		width: 600,
		buttons:[{
			text: "确定",
			click: function(){
				ap_add_handle();
			}
		}, {
			text: "取消",
			click: function() {
				$(this).dialog("close");
			}
		}]
	})
}

function ap_add_handle()
{
	var ap_name		= TrimAll($("#ap_name").val());
	var ap_mac		= TrimAll($("#ap_mac").val());
	var ap_ip		= TrimAll($("#ap_ip").val());
	var ap_vendor		= TrimAll($("#ap_vendor").val());
	var ap_type3		= $("#ap_type3").val();
	var ap_create		= $("#ap_create").val();
	var ipgrp		= $("#ipgrp").val();
	var province_code	= $("#scode").find("option:selected").attr("pcode");
	var city_code		= $("#scode").find("option:selected").attr("ccode");
	var area_code		= $("#scode").find("option:selected").attr("acode");
	var scode		= $("#scode").val();
	var ap_gateway		= $("#ap_gateway").val();
	var ap_ssid		= $("#ap_ssid").val();
	var ap_ci		= $("#ap_ci").val();

	if (ap_name == "" || ap_mac == "" || ap_ip == "" ||
		ap_vendor == "" || ap_create == "" || 
		ap_gateway == "" || ap_ssid == "" || 
		ap_ci == "") {
		layer.msg("以上所填内容为必填，请输入正确的内容");
		return false;
	}

	if (!IsIPAddr(ap_ip)) {
		layer.msg("请输入正确的IP地址");
		return false;
	}

	var d = {action: 'ap_add', ap_name:ap_name, ap_mac:ap_mac, ap_ip:ap_ip, ap_vendor:ap_vendor, 
		province_code:province_code, city_code:city_code, area_code:area_code, /* ap_type:ap_type, ap_type2:ap_type2, */
		ap_create:ap_create, ap_type3: ap_type3, ipgrp:ipgrp, scode:scode, ap_gateway: ap_gateway,
		ap_ssid: ap_ssid, ap_ci:ap_ci};

	layer.confirm("确定要添加此AP吗？", {btn:['确定', '取消']}, function(index) {
		$.ajax({
			url: 'ap_handle.php',
			data: d,
			type: 'post',
			dataType: 'json',
			success: function(json) {
				if (json.yn == "no")
					layer.msg(json.str);
				else {
					$("#ap_add").dialog("close");
					ap_list();
				}
			}
		});
		layer.close(index);
	});
}

function ap_list()
{
	var d = {action: 'ap_list'};
	$.ajax({
		url: 'ap_handle.php',
		data: d,
		type: 'post',
		dataType: 'json',
		success: function(json) {
			data_update(json);
		}
	})
}

function data_update(json)
{
	var list = document.getElementById("myap");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		obj = list.insertRow(-1);
		col = obj.insertCell(0);
		col.setAttribute("align", "center");
		col.innerHTML = i+1;
		col = obj.insertCell(1);
		col.innerHTML = r.equipment_num;
		col = obj.insertCell(2);
		col.innerHTML = r.equipment_name;
		col = obj.insertCell(3);
		col.innerHTML = r.mac;
		col = obj.insertCell(4);
		col.innerHTML = r.ip;
		col = obj.insertCell(5);
		col.innerHTML = r.vendor_name;
		col = obj.insertCell(6);
		col.innerHTML = r.service_code;
		col = obj.insertCell(7);
		col.innerHTML = r.province_code;
		col = obj.insertCell(8);
		col.innerHTML = r.city_code;
		col = obj.insertCell(9);
		col.innerHTML = r.area_code;
		col = obj.insertCell(10);
		col.innerHTML = r.equipment_type;
		col = obj.insertCell(11);
		col.innerHTML = r.create_time;
		col = obj.insertCell(12);
		col.innerHTML = r.grpname;
		col = obj.insertCell(13);
		col.innerHTML = r.gateway;
		col = obj.insertCell(14);
		col.innerHTML = r.ssid;
		col = obj.insertCell(15);
		col.setAttribute("align", "center");
		col.innerHTML = '<a href="javascript:void(0);" onclick="ap_delete(\''+r.equipment_num+'\')">删除</a>';
	}
}

function ap_delete(eq_num)
{
	if (!confirm("确定要删除此AP吗"))
		return false;

	var d = {action: 'ap_delete', eq_num:eq_num};
	$.ajax({
		url: 'ap_handle.php',
		data: d,
		type: 'post',
		dataType: 'json',
		success: function(json) {
			if (json.yn == "no")
				alert(json.str);
			else
				ap_list();
		}
	})
}
</script>
</head>

<body>
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="ap_set.php">基础设置</a></li>
			<li><a href="ap_place.php">场所管理</a></li>
			<li class="active"><a href="ap.php">设备管理</a></li>
			<li><a href="ap_ftp.php">FTP上传</a></li>
		</ul>
	</div>
	<div class="topapp-list-table">
		<table id="myap" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th class="td-left-first" width="50px">序号</th>
				<th class="txt-left" >设备编号</th>
				<th class="txt-left">设备名称</th>
				<th class="txt-left">MAC地址</th>
				<th class="txt-left">IP地址</th>
				<th class="txt-left">厂商名称</th>
				<th class="txt-left">所属场所</th>
				<th class="txt-left">省编码</th>
				<th class="txt-left">城市编码</th>
				<th class="txt-left">区域编码</th>
				<th class="txt-left">设备类型</th>
				<th class="txt-left">创建时间</th>
				<th class="txt-left">所属群组</th>
				<th class="txt-left">外网IP</th>
				<th class="txt-left">SSID</th>
				<th class="txt-center">操作</th>
			</tr>
		</table>
       	</div>
	<div style="padding:10px;text-align:right;">
		<a class="layui-btn layui-btn-normal layui-btn-xs" href="javascript:void(0);" onclick="ap_add()">添加设备</a>
	</div>
</div>
<div id="ap_add" title="添加设备" style="display:none; padding:10px 20px;">
	<form class="layui-form" action="" lay-filter="upgrade-form-filter">
		<div class="layui-form-item">
			<label class="layui-form-label">AP名称</label>
			<div class="layui-input-inline">
				<input type="text" value="" id="ap_name" name="ap_name" class="layui-input" />
			</div>
			<div class="layui-form-mid layui-word-aux">最大长度为15个中文字符或者31个英文字符</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">设备ID</label>
			<div class="layui-input-inline">
				<input type="text" value="" id="ap_ci" name="ap_ci" class="layui-input" />
			</div>
			<div class="layui-form-mid layui-word-aux">设备编号</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">MAC地址</label>
			<div class="layui-input-inline">
				<input type="text" value="" id="ap_mac" name="ap_mac" class="layui-input" />
			</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">设备IP</label>
			<div class="layui-input-inline">
				<input type="text" value="" id="ap_ip" name="ap_ip" class="layui-input" />
			</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">厂商名称</label>
			<div class="layui-input-inline">
				<input type="text" value="" id="ap_vendor" name="ap_vendor" class="layui-input" />
			</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">场所</label>
			<div class="layui-input-inline">
				<select id="scode" name="scode" style="width:150px">
<?php
if (($conn = my_mysql_connect()) != false) {
	$sql = "select SERVICE_CODE, SERVICE_NAME, PROVINCE_CODE, CITY_CODE, AREA_CODE from palog.AP_PLACE";
	if (($result=mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result)) {
			echo '<option value="'.$row[0].'" pcode="'.$row[2].'" ccode="'.$row[3].'" acode="'.$row[4].'">'.$row[1].'</option>';
		}
	}
	mysql_close();
}
?>
				</select>
			</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">设备类型</label>
			<div class="layui-input-inline">
				<select id="ap_type3" name="ap_type3" style="width:150px">
					<option value="00">固定AP</option>
					<option value="01">移动AP</option>
					<option value="10">固定围栏</option>
					<option value="11">移动围栏</option>
					<option value="12">单兵设备围栏</option>
					<option value="20">H系列</option>
					<option value="22">RT系列</option>
					<option value="30">网关设备</option>
				</select>
			</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">创建时间</label>
			<div class="layui-input-inline">
				<input type="text" value="<?=date('Y-m-d H:i:s')?>" id="ap_create" name="ap_create" class="layui-input" />
			</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">所属群组</label>
			<div class="layui-input-inline">
				<select id="ipgrp" name="ipgrp">
					<option value="0">所有IP</option>
					<?php
					if (($conn = my_mysql_connect()) != false) {
						$cmd = "select id, grpname from palog.ipgrp_list";
						if (($result = mysql_query($cmd)) != false) {
							while ($row = mysql_fetch_row($result)) {
								$grpid = $row[0];
								$grpname = $row[1];
								echo '<option value="'.$grpid.'">'.$grpname.'</option>';
							}
						}
						mysql_close($conn);
					}
					?>
				</select>
			</div>
			<div class="layui-form-mid layui-word-aux">此设备分配的IP地址段</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">外网IP</label>
			<div class="layui-input-inline">
				<input type="text" value="0.0.0.0" id="ap_gateway" name="ap_gateway" class="layui-input" />
			</div>
		</div>
		<div class="layui-form-item">
			<label class="layui-form-label">SSID</label>
			<div class="layui-input-inline">
				<input type="text" value="0.0.0.0" id="ap_ssid" name="ap_ssid" class="layui-input" />
			</div>
		</div>
	</form>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var layer, form;
layui.use(['layer', 'form'], function(){
	layer = layui.layer ,form = layui.form;
});
ap_list();
</script>
</body>
</html>

