<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 25;
function bitcoinuser_list(bexport)
{
	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'bitcoinuser_list', devid:devid, starttime:starttime, endtime:endtime, 
		errname:errname, ipaddr:ipaddr, account:account, page:page, limit:limit, bexport:bexport},
		success:function(json) {
			cluster_load_hide();

			if (bexport != 0) {
				cluster_downloadfile("");
				return;
			}
			
			showchart(json);
		}
	})
}

function showchart(json)
{
	var distype = "bar";
	$("#libchart").show();
	$("#libchart").height($(window).height() - 100);

	var maxflow = 0;
	for (var i = 0; i < json.count.length; i++) {
		if (json.count[i] > maxflow)
			maxflow = json.count[i];
	}

	var dom = document.getElementById("libchart");
	var chart = echarts.init(dom, 'macarons');

	var option = {
		//backgroundColor: "#1c1c1c",
		title: {
			text: null,
			textStyle: {
				fontSize: 10,
				color: '#555'
			}
		},
		tooltip: {
			trigger: "axis",
			textStyle: {
				fontSize: 10,
			},
			axisPointer: {
				type: "shadow",
				textStyle: {
					color: "#000",
					fontSize: 10
				}
			},
			formatter: function(params, ticket, callback) {
				var htm = params[0].name;
				for (var i = 0; i < params.length; i++) {
					htm += '<br/>' + params[i].seriesName + ': ' + numberformats(params[i].value);
				}
				return htm;
			}
		},
		legend: {
			show: true,
			//right: '0',
			itemWidth:10,
			itemHeight:10,
			textStyle: {
				fontSize: 10,
				color: '#000'
			},
		},
		grid: {
			borderWidth: 0,
			top: 40,
			left:50,
			bottom: 70,
			right: 50,
			textStyle: {
				color: "#000",
			}
		},
		xAxis: [{
			type: "category",
			axisLine: {
				lineStyle: {
					color: "#ddd",
					fontSize: 10,
				}
			},
			splitLine: {
				//show: false 
			},
			axisTick: {
				//show: false
			},
			splitArea: {
				show: true 
			},
			axisLabel: {
				interval: 0,
				rotate: 40,
				color: '#000',
				textStyle: {
					fontSize: 10,
					color: '#000'
				}
			},
			data: json.x,
		}],
		yAxis: [{
			type: "value",
			name:'流量/byte',
			minInterval: 1,
			splitLine: {
				//show: false
			},
			axisLine: {
				//show: false,
			},
			axisTick: {
				//show: false
			},
			axisLabel: {
				interval: 0,
				color: '#000',
				textStyle: {
					color: "#000",
					fontSize: 10,
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			splitArea: {
				show: false
			},
			position: 'left',
			min: 0,
		}, {
            		type: 'value',
            		scale: true,
			name: '访问次数',
			minInterval: 1,
            		boundaryGap: [0.2, 0.2],
			min: 0,
			max: maxflow,
			splitLine: {
				show: false,
			},
			axisLine: {
				show: false,
				lineStyle: {
					//color: '#000'
				}
			},
			axisLabel: {
				interval: 0,
				color: '#000',
				textStyle: {
					color: "#000",
					fontSize: 10,
				},
				formatter: function(value, index) {
					return numberformats(value);
				}
			},
			position: 'right',
        	}],
		series: [
		{
			name: "访问量",
			type: "line",
			stack: "总量",
			symbol: 'none',
			symbolSize:10,
			yAxisIndex: 1,
			smooth: true,
			itemStyle: {
				normal: {
					//color: 'rgb(155, 127, 14)',
					label: {
						show: false,
						textStyle: {
							color: "#000"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: json.count,
		},
		{
			name: "上行流量",
			type: "bar",
			stack: "总量",
			itemStyle: {
				normal: {
					label: {
						show: false,
						textStyle: {
							color: "#000"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: json.up,
		},
		{
			name: "下行流量",
			type: "bar",
			stack: "总量",
			barWidth: '50',
			itemStyle: {
				normal: {
					//color: "rgba(0,191,183,1)",
					label: {
						show: false,
						textStyle: {
							color: "#000"
						},
						position: "insideTop",
						formatter: function(p) {
							return numberformats(p.value)
						}
					}
				}
			},
			data: json.down,
		}]
	}

	chart.setOption(option);
	chart.on('click', function (params) {
		var str = params.name;
		var arr = str.split("\n");
		bitcoinuser_detail(arr[0]);
	});
}

function bitcoinuser_detail(ipaddr){
	
	var devid = getdevice();
	var account = $("#account").val();
	
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';
	
	var left = (window.screen.width - 800) / 2;
	var height = window.screen.height - 150;
	
	window.open("bitcoinuser_detail.php?starttime="+
		starttime+"&endtime="+endtime+"&devid="+devid+"&ipaddr="+ipaddr+"&account="+account,
		"_blank", "width=700px, height="+height+", left="+left);

	
}



</script>
</head>
<body class="als-body">
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="bitcoin.php">用户排名</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
					echo getdevice();
				?>
			</li>
			<li>
				<label for="end">用户IP</label>
				<input type="text" id="ipaddr" style="width:150px;" />
			</li>
			<li>
				<label for="end">用户账号</label>
				<input type="text" id="account" style="width:150px;" />
			</li>
			<li>
				<?php
					$t = time() - 3600;
				?>
				<label for="start">起始时间</label>
				<input type="text" name="start" id="start" style="width:80px;" onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" name="starthour" id="starthour" value="<?= date('H', $t) ?>" style="width:40px;" /> 时
				<input type="text" name="startmin" id="startmin" value="<?= date('i', $t) ?>" style="width:40px;" /> 分
			</li>
			<li>
				<label for="end">结束时间</label>
				<input type="text" name="end" id="end" style="width:80px;" onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<input type="text" name="endhour" id="endhour" value="<?= date('H') ?>" style="width:40px;" /> 时
			       	<input type="text" name="endmin" id="endmin" value="<?= date('i') ?>" style="width:40px;" /> 分
			</li>
			<li>
				<input type="button" value="查询" onclick="bitcoinuser_list(0)" class="btn-extend-color" />
			</li>
			<li>
				<a class="btn-extend-gray" onclick="bitcoinuser_list(1)">EXCEL</a>
				<a class="btn-extend-gray" onclick="bitcoinuser_list(2)">TXT</a>
				<a class="btn-extend-gray" onclick="bitcoinuser_list(3)">CSV</a>
				<a class="btn-extend-gray" onclick="cluster_downloadfile('')">下载列表</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div id="libchart" style="overflow:auto;display:none;border:1px solid #ddd;"></div>
	<div id="xyd-table" style="position:absolute;;display:none;left:0px;right:0;bottom:10px;top:85px;overflow:auto;">
		<div class="topapp-list-table">
			<table style="width:100%;">
				<tr>
					<th width="50px">序号</th>
					<th width="150px">名称</th>
					<th>访问次数</th>
				</tr>
			</table>
		</div>
	</div>
</div>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>

