<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 25;
var pagestop = 0;

function pre()
{
	page--;
	if (page <= 0)
		page = 1;
	
	pagestop = 0;
	
	lib_submit();
}

function next()
{
	page++;
	lib_submit();
}

function button_click()
{
	page = 1;
	pagestop = 0;
	lib_submit();
}

function lib_submit()
{
	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var ftitle = $("#ftitle").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'libres_book', starttime:starttime, endtime:endtime, 
			errname:errname, ipaddr:ipaddr, account:account, devid:devid, 
			page:page, limit:limit, ftitle: encodeURIComponent(ftitle)},
		success:function(json) {
			cluster_load_hide();
			showdetail(json);
		}
	})
}

function showdetail(json)
{
	var list = document.getElementById("userdetail");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		obj = list.insertRow(-1);

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.innerHTML = (i + 1);
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.ftitle;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.num;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = '<a href="javascript:checkuser(\''+r.ftitle+'\', \''+r.fencode+'\')">访问用户</a>';
	}
}

function checkuser(ftitle, fencode)
{
	var w = 500;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;

	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	window.open("libres_dwbookuser.php?ftitle="+encodeURIComponent(ftitle)+"&starttime="+starttime+"&endtime="+endtime+
		"&devid="+devid+"&ipaddr="+ipaddr+"&account="+account+"&fencode="+fencode, "_blank", 
		"width="+w+"px, height="+height+", left="+left);
}

</script>
</head>
<body class="als-body">
<div class="outer">
	<div class="als-nav-header">
		<ul>
<?php
include "tab.php";
foreach($_libres_tab as $val) {
	if (strstr($_SERVER["SCRIPT_NAME"], $val["url"]) != false)
		echo '<li class="active"><a href="'.$val["url"].'">'.$val["name"].'</a></li>';
	else
		echo '<li><a href="'.$val["url"].'">'.$val["name"].'</a></li>';
}
?>
		</ul>
	</div>
	<div class="als-content">
		<div class="als-box als-bottom">
			<div class="als-btn-bar">
				<ul>
					<li>
<?php
$t = time() - 3600;
echo getdevice();
?>
					</li>
					<li>
						<label>IP地址</label>
						<input type="text" id="ipaddr" value="" style="width:100px" />
					</li>
					<li>
						<label>用户账号</label>
						<input type="text" id="account" value="" style="width:100px" />
					</li>
					<li>
						<label>文章名称</label>
						<input type="text" id="ftitle" value="" style="width:150px" />
					</li>
					<li>
						<label for="start">起始时间</label>
						<input type="text" name="start" id="start" style="width:80px;" 
						 onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
						 <input type="text" name="starthour" id="starthour" value="<?= date('H', $t) ?>" style="width:20px;" /> 时
						 <input type="text" name="startmin" id="startmin" value="<?= date('i', $t) ?>" style="width:20px;" /> 分
					</li>
					<li>
						<label for="end">结束时间</label>
						<input type="text" name="end" id="end" style="width:80px;" 
					     onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
					     <input type="text" name="endhour" id="endhour" value="<?= date('H') ?>" style="width:20px;" /> 时
					     <input type="text" name="endmin" id="endmin" value="<?= date('i') ?>" style="width:20px;" /> 分
					</li>
					<li>
						<input type="button" value="查询" onclick="button_click()" class="btn-extend-color" />
					</li>
			       	</ul>
				<div class="clearfloat"></div>
			</div>
		</div>
		<div class="topapp-list-table">
			<table class="als-table" id="userdetail">
				<tr>
					<th class="txt-left" width="50px">序号</th>
					<th class="txt-left">文章</th>
					<th class="txt-right" width="80px">次数</th>
					<th class="txt-center" width="70px">操作</th>
				</tr>
			</table>
			<div class="pagebar-div">
				<a href="javascript:pre()">上一页</a> | 
				<a href="javascript:next()">下一页</a>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>

