<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function lib_submit()
{
	var ipaddr = $("#ipaddr").val();
	ipaddr = TrimAll(ipaddr);
	if (ipaddr != "" && !IsIPAddr(ipaddr)) {
		alert("请输入正确的IP地址");
		return false;
	}

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'libres_udown', starttime, endtime, errname, libtype2:1, ipaddr: ipaddr},
		success:function(json) {
			cluster_load_hide();
			showchart(json);
		}
	})
}

function showchart(json)
{
	var distype = "bar";
	$("#libchart").show();

	var option = {
        chart: {
		renderTo: 'libchart',
		defaultSeriesType: distype,
		borderColor:'#D3DCEB'
        },
        title: {
		text: '用户资源下载排行',
		style:{
			font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
		text: null
        },
        xAxis: {
		categories: [],
		title: {
			text: null
		},
		labels:{
			//rotation:-45,
			align:'right',
			style:{font:'normal 10px Verdana, sans-serif', color:'#000000'}
		}
        },
        yAxis: [{
		min: 1,
		allowDecimals:false,
		title: {
			text: '次数'
		},
		labels:{
			style:{font:'normal 10px Verdana, sans-serif', color:'#000000'}
		}
	}],
        tooltip: {
		shared: true
        },
        plotOptions: {
		bar: {
			stacking: 'normal',
			cursor:'pointer',
			point:{
			events:{
				click:function(){
					libres_trend(this.category);
				}
			}},
			dataLabels: {
				enabled: false
			}
		},
		series: {borderWidth: 0, dataLabels: { enabled: true, formatter:function(){return numberformats(this.y)}}}
        },
        legend: {
		enabled:true,
		itemStyle:{
			fontSize: '10px'
		}
        },
        credits: {
		enabled: false
        },
	series: [{name:'下载次数', data:[]}]
	}

	option.xAxis.categories = json.appx;
	option.series[0].data = json.appy;
	var chart = new Highcharts.Chart(option);
}

function libres_trend(account)
{
	var a = account.split('<');
	var ip = a[0];
	var left = (window.screen.width - 800) / 2;
	var height = $(window).height() - 100;

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	window.open("libres_trend.php?libtype=-1&ipaddr="+ip+"&starttime="+
		starttime+"&endtime="+endtime, "_blank", 
		"width=800px, height="+height+", left="+left);
}

function unix2date(tm)
{
	var dt = new Date();
	dt.setTime(tm * 1000);

	return dt.getFullYear()+'-'+(dt.getMonth()+1)+'-'+dt.getDate()+' '+dt.getHours()+':'+dt.getMinutes()+':'+dt.getSeconds();
}

function libresip_detail(ip, lasttime)
{
	var height = 500;
	var left = 100;

	var starttime = unix2date(lasttime);
	var endtime = unix2date(lasttime + 300);
	window.open("libres_trend.php?libtype=-1&ipaddr="+ip+"&starttime="+
		starttime+"&endtime="+endtime, "_blank", 
		"width=800px, height="+height+", left="+left);
}

</script>
</head>
<body class="als-body">
<div class="outer">
	<div class="als-nav-header">
		<ul>
<?php
include "tab.php";
foreach($_libres_tab as $val) {
	if (strstr($_SERVER["SCRIPT_NAME"], $val["url"]) != false)
		echo '<li class="active"><a href="'.$val["url"].'">'.$val["name"].'</a></li>';
	else
		echo '<li><a href="'.$val["url"].'">'.$val["name"].'</a></li>';
}
?>
		</ul>
	</div>
	<div class="als-content">
		<div class="als-box als-bottom">
			<div class="als-btn-bar">
				<ul>
					<li>
						<label>IP地址</label>
						<input type="text" id="ipaddr" style="width:100px;" />
					</li>
					<li>
<?php
$t = time() - 3600;
?>
						<label for="start">起始时间</label>
						<input type="text" name="start" id="start" style="width:80px;" 
						 onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
						 <input type="text" name="starthour" id="starthour" value="<?= date('H', $t) ?>" style="width:20px;" /> 时
						 <input type="text" name="startmin" id="startmin" value="<?= date('i', $t) ?>" style="width:20px;" /> 分
					</li>
					<li>
						<label for="end">结束时间</label>
						<input type="text" name="end" id="end" style="width:80px;" 
					     onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
					     <input type="text" name="endhour" id="endhour" value="<?= date('H') ?>" style="width:20px;" /> 时
					     <input type="text" name="endmin" id="endmin" value="<?= date('i') ?>" style="width:20px;" /> 分
					</li>
					<li>
						<input type="button" value="查询" onclick="lib_submit()" class="layui-btn layui-btn-warm layui-btn-xs" />
					</li>
					<li>
						<input type="button" value="用户阀值" onclick="userthreshold()" class="layui-btn layui-btn-normal layui-btn-xs" />
					</li>
			       	</ul>
				<div class="clearfloat"></div>
			</div>
		</div>
		<div class="als-box">
			<div id="libchart" style="position:absolute;;display:none;left:10px;right:10px;bottom:10px;top:100px;">
			</div>
		</div>
	</div>
</div>
<div class="libres-udown-threshold-click"></div>
<div class="libres-udown-threshold-dialog my-div-shadow">
	<fieldset class="layui-elem-field layui-field-title">
		  <legend>阀值设置</legend>
	</fieldset>
	<form class="layui-form" lay-filter="libres-threshold-form">
		 <div class="layui-form-item">
			 <label class="layui-form-label">用户阀值</label>
			 <div class="layui-input-inline" style="width:150px;">
				 <input type="text" name="threshold" lay-verify="" autocomplete="off" placeholder="请输入用户下载量阀值" class="layui-input">
			 </div>
			 <div class="layui-input-inline">
				 <input type="button" value="提交" lay-submit lay-filter="threshold_submit" class="layui-btn layui-btn-normal layui-btn-xs" />
			 </div>
		 </div>
	</form>
	<br/>
	<fieldset class="layui-elem-field layui-field-title">
		  <legend>用户详细</legend>
	</fieldset>
	<table id="threshold-user-table" lay-filter="filter-libres-user"></table>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var _form, _table; 
layui.use(['form', 'table'], function(){
	  _form = layui.form, _table = layui.table;
	  _form.on('submit(threshold_submit)', function(data){
		  var threshold = data.field.threshold;
		  if (threshold == "" || isNaN(threshold)) {
			  layer.msg("非法数字。");
			  return false;
		  }
		  $.ajax({
			  url: 'handle.php',
			  type: 'post',
			  data: {type: 'libres_threshold_submit', threshold:threshold},
			  success:function(json) {
				  layer.msg("操作成功");
			  }
		  });
		  return false;
	  })

	  $(".libres-udown-threshold-click").click(function(){
		  $(this).hide();
		  $(".libres-udown-threshold-dialog").hide();
	  });
})

function userthreshold()
{
	$(".libres-udown-threshold-dialog").show();
	$(".libres-udown-threshold-click").show();

	$.ajax({
		url: 'handle.php',
		type: 'post',
		dataType:'json',
		data: {type: 'libres_threshold_get'},
		success:function(json) {
			_form.val("libres-threshold-form", {
				"threshold":json.threshold
			});
		}
	})

	_table.render({
		elem: '#threshold-user-table'
		,url: 'handle.php'
		,page: true 
		,method: 'post'
		,where: {
			type: 'threshold_user_list'
		}
		,cols:[[
			{field: 'id', title: 'ID', width:60, fixed: 'left'}
			,{field: 'ipaddr', title: '用户地址', width:150, fixed: 'left', templet:function(d){
				return '<a href="javascript:;" lay-event="ipinfo">'+d.ipaddr+'</a>';
			}}
			,{field: 'count', title: '下载量', fixed: 'left'}
			,{field: 'update', title: '更新时间', width:120, fixed: 'left'}
	       	]]
        });

	_table.on('tool(filter-libres-user)', function(obj){
		switch(obj.event) {
		case "ipinfo":
			var ip = obj.data.ipaddr;
			var lasttime = obj.data.lasttime;
			libresip_detail(ip, lasttime)
			break;
		}
	});
}
</script>
</body>
</html>

