<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET['name']?></title>
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript">
function lib_submit(bexport)
{
	var libtype = $("#libtype").val();
	var libtype2 = $("#libtype2").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var host = $("#host").val();
	var url = $("#url").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'libres_userdetail', libtype:libtype, starttime, endtime, errname, host: host, url:url, libtype2:libtype2, bexport:bexport},
		success:function(json) {
			cluster_load_hide();

			if (bexport == 0)
				showdetail(json);
			else
				cluster_downloadfile("");
		}
	})
}

function showdetail(json)
{
	var list = document.getElementById("userdetail");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		obj = list.insertRow(-1);

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.innerHTML = (i + 1);
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.ip;
		cell = obj.insertCell(pos++);

		if (r.account == '$') r.account = '';
		cell.innerHTML = r.account;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = '<div class="color-bar-cont">'+r.num+'</div><div class="color-bar" style="width:'+(r.num/r.total*100)+'%">&nbsp;</div>';
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = '<a href="javascript:void(0)" onclick="libres_trend(\''+r.ip+'\')"><img src="../img/libres_chart.png" style="width:15px;" /></a>';
	}
}

function libres_trend(ip)
{
	var left = (window.screen.width - 800) / 2;
	var height = 400;

	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();
	var libtype = $("#libtype").val();
	var name = $("#name").val();

	window.open("libres_trend.php?libtype="+libtype+"&ipaddr="+ip+"&starttime="+
		starttime+"&endtime="+endtime+"&name="+name, "_blank", 
		"width=800px, height="+height+", left="+left);
}

</script>
</head>
<body class="als-body">
<div class="outer">
	<input type="hidden" value="<?=$_GET['name']?>" id="name" />
	<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
	<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
	<input type="hidden" value="<?=$_GET['libtype']?>" id="libtype" />
	<input type="hidden" value="<?=$_GET['libtype2']?>" id="libtype2" />
	<input type="hidden" value="<?=$_GET['host']?>" id="host" />
	<input type="hidden" value="<?=$_GET['url']?>" id="url" />
<?php
$libtype = $_GET["libtype"];
$libtype2 = $_GET["libtype2"];
$host = $_GET["host"];
$url = $_GET["url"];
$endtime = $_GET["endtime"];
$starttime = $_GET["starttime"];
$name = $_GET["name"];

$viewurl = "libres_userdetail.php?libtype=$libtype&libtype2=0&host=$host&url=$url&endtime=$endtime&starttime=$starttime&name=$name";
$downurl = "libres_userdetail.php?libtype=$libtype&libtype2=1&host=$host&url=$url&endtime=$endtime&starttime=$starttime&name=$name";

if ($libtype2 == 0)
	$viewact = "active";
else
	$downact = "active";
?>
	<div class="als-nav-header">
		<ul>
			<li class="<?=$viewact?>"><a href="<?=$viewurl?>">访问详细</a></li>
			<li class="<?=$downact?>"><a href="<?=$downurl?>">下载详细</a></li>
		</ul>
	</div>
	<div>
		<blockquote class="layui-elem-quote">
			查询时间范围: <?=$starttime?> / <?=$endtime?>
			&nbsp; &nbsp;
			<a class="layui-btn layui-btn-normal layui-btn-xs" onclick="lib_submit(1)">导出到文件</a>
			<a class="layui-btn layui-btn-normal layui-btn-xs" onclick="cluster_downloadfile('')">下载列表</a>
		</blockquote>
	</div>
	<div class="als-content">
		<div class="als-box topapp-list-table">
			<table class="als-table" id="userdetail">
				<tr>
					<th class="txt-left" width="50px">序号</th>
					<th class="txt-left" width="100px">用户ip</th>
					<th class="txt-left">用户账号</th>
					<th class="txt-right" width="80px">次数</th>
					<th class="txt-center" width="70px">操作</th>
				</tr>
			</table>
		</div>
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
lib_submit(0);
</script>
</body>
</html>

