<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 25;
function next()
{
	page++;
	pic_list();
}

function pic_list()
{
	var ipaddr = $("#ipaddr").val();
	var devid = getdevice();
	
	var start = $("#start").val();
	var end = $("#end").val();
	var dt = new Date();
	var hour = dt.getHours();
	var min = dt.getMinutes();
	var starttime = start + ' '+hour+':'+min+':0';
	var endtime = end + ' '+hour+':'+min+':0';
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);
	
	$.ajax({
		url:'handle.php',
		dataType:'json',
		type:'post',
		data:{type:'piclist', 
			devid: devid,
			ipaddr: ipaddr, 
			starttime:starttime, 
			endtime:endtime,
			page: page, 
			limit: limit,
			errname: errname
		},
		success:function(json) {
			cluster_load_hide();
			pic_list_data(json);
		}
	});
}

function pic_list_data(json)
{
	var r, s;
	var len = json.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var address='';
	var trbg = '';
	
	for (i = 0; i < len; i++){
		r = json.rows[i];
		
		if (r.account == "$")
			r.account = "";
		
		s = '<li class="wxgra" style="position:relative;float:left; border:3px solid #fff;">';
		s += '<a href="http://'+r.host+r.url+'" target="_blank"><img src="http://'+r.host+r.url+'" width="200px" /></a>';
		s += '<div class="wxtips ui-corner-all">IP地址：'+r.ip+'<br/>时间：'+r.time+'<br/>账号：'+r.account+'</div>';
		s += '</li>';
		$(s).appendTo(".topapp-list-table ul");
	}
	
	$(".wxgra").hover(function(){
		$(this).find(".wxtips").show();
	}, function(){
		$(this).find(".wxtips").hide();
	});
}
</script>
<style type="text/css">
.wxtips {position:absolute; left: 0; top: 0;bottom: 0; 
display:none; background:#fff; z-index:10001; height:50px; font-size:12px; border:1px solid #7CB5EC; padding: 2px;}
</style>
</head>

<body>
<div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label for="ipaddr">用户IP</label>
				<input type="text" value="" id="ipaddr" style="width:100px" />
			</li>
			<li>
				<label for="start">起始时间</label>
				<input type="text" name="start" id="start" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', time() - 86400) ?>" />
			</li>
			<li>
				<label for="end">结束时间</label>
				<input type="text" name="end" id="end" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<input type="button" value="查询" onclick="pic_list()" class="btn-extend-color" />
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table" style="margin-top:10px;">
		<ul>
		</ul>
		<div class="pagebar-div">
			<a href="javascript:next()">下一页</a>
		</div>
	</div>
</div>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>

