<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 25;
var pagestop = 0;

function pre()
{
	page--;
	if (page <= 0)
		page = 1;
	
	pagestop = 0;
	
	check_submit();
}

function next()
{
	page++;

	check_submit();
}

function button_click()
{
	page = 1;
	
	pagestop = 0;
	
	check_submit();
}

function check_submit()
{
	if (pagestop) {
		alert("已经是最后一页了");
		return false;
	}
	
	var devid = getdevice();
	var pppoe = TrimAll($("#pppoe").val());
	var action = $("#action").val();

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'pppoelist', 
			pppoe: pppoe, 
			act: action,
			starttime:starttime, 
			endtime:endtime, 
			errname:errname, 
			devid: devid,
			page: page,
			limit: limit},
		success:function(json) {
			cluster_load_hide();
			if (json.yn && json.yn == "no") {
				alert(json.str);
				return false;
			}
			
			if (json.rows.length < limit)
				pagestop = 1;
			else
				pagestop = 0;

			pppoe_update(json);
		}
	});
}

function pppoe_update(json)
{
	var start = (page - 1) * limit;

	var list = document.getElementById("pppoe-list");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];
		
		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		obj = list.insertRow(-1);
		obj.class=trbg;
		
		col = obj.insertCell(0);
		col.setAttribute("align", "center");
	   	col.innerHTML = start + i+1;

		col = obj.insertCell(1);
		col.setAttribute("align", "left");
	   	col.innerHTML = r.devid;

		col = obj.insertCell(2);
		col.setAttribute("align", "left");
		col.innerHTML = r.pppoe;

		col = obj.insertCell(3);
		col.setAttribute("align", "center");
		col.innerHTML = r.time;

		actstr = "";
		if (r.action == "add") {
			actstr = "添加";
			s1 = "开始时间";
			s2 = "到期时间";
		}else
		if (r.action == "set") {
			actstr = "修改";
			s1 = "改前到期";
			s2 = "改后到期";
		}else
		if (r.action == "rmv") {
			actstr = "删除";
			s1 = "开始时间";
			s2 = "到期时间";
		}
		col = obj.insertCell(4);
		col.setAttribute("align", "center");
		col.innerHTML = actstr;

		col = obj.insertCell(5);
		col.setAttribute("align", "center");
		col.innerHTML = s1+'-'+s2+'<br/>'+r.start+'-'+r.end;
	}
}
</script>
</head>
<body>
<div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label for="apkname">PPPOE账号</label>
				<input type="text" value="" id="pppoe" style="width:100px" />
			</li>
			<li>
				<label for="apkname">动作</label>
				<select id="action" style="width:100px;">
					<option value="">所有动作</option>
					<option value="add">添加</option>
					<option value="set">修改</option>
					<option value="rmv">删除</option>
				</select>
			</li>
			<li>
				<label for="start">起始时间</label>
				<input type="text" name="start" id="start" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', time() - 86400) ?>" />
				<input type="text" name="starthour" id="starthour" value="<?= date('H') ?>" style="width:20px;" /> 时
				<input type="text" name="startmin" id="startmin" value="<?= date('i') ?>" style="width:20px;" /> 分
			</li>
			<li>
				<label for="end">结束时间</label>
				<input type="text" name="end" id="end" style="width:80px;" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<input type="text" name="endhour" id="endhour" value="<?= date('H') ?>" style="width:20px;" /> 时
				<input type="text" name="endmin" id="endmin" value="<?= date('i') ?>" style="width:20px;" /> 分
			</li>
			<li>
				<input type="button" value="确定" onclick="button_click()" class="btn-extend-color" />
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table id="pppoe-list" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th width="50px" class="txt-left">序号</th>
				<th width="50px" class="txt-left">设备</th>
				<th align="left" class="txt-left">PPPOE账号</th>
				<th class="txt-center">操作时间</th>
				<th class="txt-center">动作</th>
				<th class="txt-center">租期</th>
			</tr>
		</table>
		<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
	</div>
</div>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>

