<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript">
</script>
</head>
<body class="als-body">
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="terminal_set.php">设置</a></li>
			<li><a href="terminal.php">终端统计</a></li>
			<li><a href="terminal_custom.php">自定义查询</a></li>
		</ul>
	</div>
<?php
	$checked = "";
	$cmd = PANALOGEYE." terminal stat";
	exec($cmd, $out, $ret);
	if (is_array($out) && count($out) > 0) {
		foreach($out as $val) {
			$ds = explode('=', trim($val));
			if ($ds[0] == "enable") {
				if ($ds[1] == "1")
					$checked = "checked";
			}
		}
	}
?>
	<blockquote class="layui-elem-quote layui-text">
		开启后终端统计功能有效，否则终端统计功能是关闭状态。
	</blockquote>
	<div style="position:relative; margin-top:20px;">
		<div>
			<form class="layui-form" action="">
				<div class="layui-form-item">
					<label class="layui-form-label" style="padding:9px 15px;">功能状态</label>
					<div class="layui-input-inline" style="margin-left:20px;">
						<input type="checkbox" name="enable" lay-skin="switch" <?=$checked?> lay-text="ON|OFF" lay-filter="terminal-enable">
					</div>
				</div>
			</form>
		</div>
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
layui.use(['layer', 'form'], function(){
	layer = layui.layer ,form = layui.form;
	
	form.on('switch(terminal-enable)', function(data){
		if (data.elem.checked == false) {
			$("[name='enable']").eq(0).removeAttr("checked");
			terminal_disable();
		}
		else {
			$("[name='enable']").eq(0).attr("checked", true);
			terminal_enable();
		}
		form.render();
	});
});

function terminal_enable()
{
	$.ajax({
		url:'handle.php',
		type: 'post',
		data: {type: 'terminal_enable'},
		success:function(json) {
			layer.msg("操作成功");
		}
	})
}

function terminal_disable()
{
	$.ajax({
		url:'handle.php',
		type: 'post',
		data: {type: 'terminal_disable'},
		success:function(json) {
			layer.msg("操作成功");
		}
	})
}
</script>
</body>
</html>

