<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function xyd_submit()
{
	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	show_chart();

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'xyd_check', devid:devid, starttime:starttime, endtime:endtime, errname:errname, ipaddr:ipaddr, account:account},
		success:function(json) {
			cluster_load_hide();
			showchart(json);
		}
	})
}

function showchart(json)
{
	var distype = "bar";
	$("#libchart").show();

	var option = {
        chart: {
		renderTo: 'libchart',
		defaultSeriesType: distype,
		borderColor:'#D3DCEB'
        },
        title: {
		text: null,
		style:{
			font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
		text: null
        },
        xAxis: {
		categories: [],
		title: {
			text: null
		},
		labels:{
			//rotation:-45,
			align:'right',
			style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
		}
        },
        yAxis: [{
		min: 0,
		title: {
			text: '次数'
		}
	}],
        tooltip: {
		formatter: function() {
			return '<b>' + this.x + '</b><br/>' + this.series.name + ': ' + numberformats(this.y);
		}
        },
        plotOptions: {
		bar: {
			cursor:'pointer',
			point:{
			events:{
				click:function(){
					libres_checkuser(this.type, this.name);
				}
			}},
			dataLabels: {
				enabled: false
			}
		},
		series: {
			borderRadius: 5
		}
        },
        legend: {
		enabled:true
        },
        credits: {
		enabled: false
        },
        series: []
	}

	var c = 0;
	var series = [{name:'访问次数', data:[], color:'#2e8ae3'}];

	var len = json.rows.length;
	for (var i = 0; i < 20; i++){
		option.xAxis.categories.push(json.rows[i].name);
		series[0].data.push({name:json.rows[i].name, y:json.rows[i].count, type:json.rows[i].type});
	}
	option.series = series;

	var chart = new Highcharts.Chart(option);
}

function libres_checkuser(type, name)
{
	var w = 500;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	window.open("xyd_detail.php?xyd_type="+type+"&starttime="+ starttime+"&endtime="+endtime+"&name="+name, "_blank", 
		"width="+w+"px, height="+height+", left="+left);
}

function libres_trend()
{
	var left = (window.screen.width - 800) / 2;
	var height = 400;

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	window.open("libres_trend.php?libtype=-1&starttime="+
		starttime+"&endtime="+endtime, "_blank", 
		"width=800px, height="+height+", left="+left);
}

function show_table()
{
	$("#libchart").hide();
	$("#xyd-table").show();
}

function show_chart()
{
	$("#libchart").show();
	$("#xyd-table").hide();
}

</script>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
			<li class="active"><a href="xyd.php">热门排行</a></li>
			<li><a href="xyd_user.php">用户排行</a></li>
		</ul>
	</div>
	<div class="als-content">
		<div class="als-box als-bottom">
			<div class="als-btn-bar">
				<ul>
					<li>
						<?php
							echo getdevice();
						?>
					</li>
					<li>
						<label for="end">用户IP</label>
						<input type="text" id="ipaddr" style="width:80px;" />
					</li>
					<li>
						<label for="end">用户账号</label>
						<input type="text" id="account" style="width:80px;" />
					</li>
					<li>
<?php
$t = time() - 86400;
?>
						<label for="start">起始时间</label>
						<input type="text" name="start" id="start" style="width:80px;" 
						 onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
						 <input type="text" name="starthour" id="starthour" value="<?= date('H', $t) ?>" style="width:20px;" /> 时
						 <input type="text" name="startmin" id="startmin" value="<?= date('i', $t) ?>" style="width:20px;" /> 分
					</li>
					<li>
						<label for="end">结束时间</label>
						<input type="text" name="end" id="end" style="width:80px;" 
					     onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
					     <input type="text" name="endhour" id="endhour" value="<?= date('H') ?>" style="width:20px;" /> 时
					     <input type="text" name="endmin" id="endmin" value="<?= date('i') ?>" style="width:20px;" /> 分
					</li>
					<li>
						<input type="button" value="查询" onclick="xyd_submit()" class="btn-extend-color" />
					</li>
					<li>
						<span id="buttons">
							<input type="radio" id="butcol" name="repeat" onclick="show_chart()" checked><label for="butcol">显示图表</label>
							<input type="radio" id="butpie" name="repeat" onclick="show_table()"><label for="butpie">显示表格</label>
					       	</span>
					</li>
			       	</ul>
				<div class="clearfloat"></div>
			</div>
		</div>
		<div class="als-box">
			<div id="libchart" style="position:absolute;;display:none;left:0px;right:0;bottom:10px;top:85px;overflow:auto;">
			</div>
			<div id="xyd-table" style="position:absolute;;display:none;left:0px;right:0;bottom:10px;top:85px;overflow:auto;">
				<div class="topapp-list-table">
					<table style="width:100%;">
						<tr>
							<th width="50px">序号</th>
							<th width="150px">名称</th>
							<th>访问次数</th>
						</tr>
					</table>
				</div>
			</div>
		</div>
	</div>
</div>
<script type="text/javascript">
$("#buttons,#buttons2").buttonset();
$("[name='repeat']").checkboxradio({ icon: false });
showdevicetree();
</script>
</body>
</html>

