<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 25;
var disover = 0;
function xyd_submit(bexport)
{
	var devid = getdevice();
	var ipaddr = $("#ipaddr").val();
	var account = $("#account").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'xyd_user', devid:devid, ipaddr:ipaddr, account:account, 
			starttime:starttime, endtime:endtime, errname:errname, 
			xyd_type:-1, page:page, limit:limit, bexport:bexport},
		success:function(json) {
			cluster_load_hide();
			if (bexport == 0) {
				if (json.rows.length < limit)
					disover = 1;
				data_update(json);
			}else
				cluster_downloadfile("");
		}
	})
}

function data_update(json)
{
	var list = document.getElementById("xyduserinfo");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		var pos = 0;
		col = obj.insertCell(pos++);
		col.setAttribute("align", "center");
		col.innerHTML = i+1;
		col = obj.insertCell(pos++);
		col.innerHTML = '<a href="javascript:xyd_checkuser(\''+r.ipaddr+'\')">'+r.ipaddr+'</a>';
		col = obj.insertCell(pos++);
		if (r.account == "$") r.account = "";
		col.innerHTML = r.account;
		col = obj.insertCell(pos++);
		col.innerHTML = r.count;
	}
}

function xyd_checkuser(ipaddr)
{
	var w = 800;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	window.open("xyd_userdetail.php?ipaddr="+ipaddr+"&starttime="+
		starttime+"&endtime="+endtime, "_blank", 
		"width="+w+"px, height="+height+"px, left="+left);
}

function pre() 
{
	page--;
	if (page <= 0)
		page = 1;
	
	xyd_submit(0);
}

function next() {
	if (disover) {
		alert("已经是最后一页了");
		return false;
	}
	page++;
	
	xyd_submit(0);
}

function button_click()
{
	page = 1;
	
	disover = 0;
	
	xyd_submit(0);
}

</script>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
			<li><a href="xyd.php">热门排行</a></li>
			<li class="active"><a href="xyd_user.php">用户排行</a></li>
		</ul>
	</div>
	<div class="als-content">
		<div class="als-box als-bottom">
			<div class="als-btn-bar">
				<ul>
					<li>
						<?php
							echo getdevice();
						?>
					</li>
					<li>
						<label for="end">用户IP</label>
						<input type="text" id="ipaddr" style="width:100px;" />
					</li>
					<li>
						<label for="end">用户账号</label>
						<input type="text" id="account" style="width:100px;" />
					</li>
					<li>
<?php
$t = time() - 86400;
?>
						<label for="start">起始时间</label>
						<input type="text" name="start" id="start" style="width:80px;" 
						 onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
						 <input type="text" name="starthour" id="starthour" value="<?= date('H', $t) ?>" style="width:20px;" /> 时
						 <input type="text" name="startmin" id="startmin" value="<?= date('i', $t) ?>" style="width:20px;" /> 分
					</li>
					<li>
						<label for="end">结束时间</label>
						<input type="text" name="end" id="end" style="width:80px;" 
					     onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
					     <input type="text" name="endhour" id="endhour" value="<?= date('H') ?>" style="width:20px;" /> 时
					     <input type="text" name="endmin" id="endmin" value="<?= date('i') ?>" style="width:20px;" /> 分
					</li>
					<li>
						<input type="button" value="查询" onclick="button_click()" class="btn-extend-color" />
					</li>
					<li>
						<a class="ui-button ui-widget" onclick="xyd_submit(1)">EXCEL</a>
						<a class="ui-button ui-widget" onclick="xyd_submit(2)">TXT</a>
						<a class="ui-button ui-widget" onclick="xyd_submit(3)">CSV</a>
						<a class="ui-button ui-widget" onclick="cluster_downloadfile('')">下载列表</a>
				       	</li>
			       	</ul>
				<div class="clearfloat"></div>
			</div>
		</div>
		<div class="als-box">
			<div class="topapp-list-table">
				<table id="xyduserinfo" style="width:100%;">
					<tr>
						<th width="50px">序号</th>
						<th width="150px" align="left">IP地址</th>
						<th width="150px" align="left">账号</th>
						<th align="left">访问次数</th>
					</tr>
				</table>
			</div>
		</div>
		<div class="pagebar-div">
			<a href="javascript:pre()">上一页</a> | 
			<a href="javascript:next()">下一页</a>
		</div>
	</div>
</div>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>

