<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<link type="text/css" href="../css/dtree.css" rel="stylesheet">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/map.js"></script>
<script type="text/javascript" src="../js/china-data.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript">
function dstip_ipdetail(sort)
{
	var start= $("#start").val();
	var end= $("#end").val();	
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();	
	var startminute = $("#startminute").val();
	var endminute = $("#endminute").val();	
	var starttime = start+ ' '+starthour+':'+startminute+':0';
	var endtime = end+' '+endhour+':'+endminute+':59';

	var ipaddr = $("#ipaddr").val();
	var devid = $("#devid").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'dstip_ipdetail', devid: devid, 
			ipaddr: ipaddr, starttime:starttime, 
			endtime:endtime, errname:errname, sort: sort},
		type:'post',
		dataType:'json',
		success:function(json){
			urlflow_data_update(json);
			cluster_load_hide();
		}
	});
}

function urlflow_data_update(data)
{
	var list = document.getElementById("iplist");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < data.rows.length; i++) {
		r = data.rows[i];

		var obj = list.insertRow(-1);
		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i + 1;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.ipaddr;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.flow;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.upbytes);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.downbytes);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.total);
	}
}

function ipgraphic(ip)
{
	var h = $(window).height();
	var w = $(window).width();
	var wd = 1400;
	var l = (w - wd) / 2;
	window.open("../user_behavior/ipevent.php?ip="+ip, "_blank", "width="+wd+"px, height="+h+"px, left="+l+"px");
}

</script>
</head>
<body>
<input type="hidden" value="<?=$_GET['ipaddr']?>" id="ipaddr" />
<input type="hidden" value="<?=$_GET['devid']?>" id="devid" />
<div class="nav-outer">
	<ul class="nav nav-tabs">
	<?php
	$url1 = "dstip_detail.php?starttime=".$_GET['starttime']."&endtime=".$_GET['endtime']."&ipaddr=".$_GET['ipaddr']."&devid=".$_GET['devid'];
	$url2 = "dstip_ipdetail.php?starttime=".$_GET['starttime']."&endtime=".$_GET['endtime']."&ipaddr=".$_GET['ipaddr']."&devid=".$_GET['devid'];
	?>
		<li><a href="<?=$url1?>">协议流量</a></li>
		<li class="active"><a href="<?=$url2?>">用户列表(最近1小时)</a></li>
	</ul>
</div>
<div class="check-panel-radius" style="width:100%">
	<div class="check-form">
		<ul>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<select id="starthour" style="width:50px"></select>时&nbsp;
				<select id="startminute" style="width:50px"></select>分&nbsp;
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<select id="endhour" style="width:50px"></select>时&nbsp;
				<select id="endminute" style="width:50px"></select>分&nbsp;
			</li>
			<li>
				<a class="btn-extend-color" onclick="dstip_ipdetail('total')">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
    <div class="topapp-list-table" style="margin:0">
        <table style="width:100%;" cellspacing=0 cellpadding=0 id="iplist">
            <tr>
                <th class="td-left-first" width="50px">序号</th>
                <th class="txt-left" width="150px">用户IP</th>
		<th class="txt-right" width="150px"><a href="javascript:dstip_ipdetail('flow')">连接数</a></th>
                <th class="txt-right"><a href="javascript:dstip_ipdetail('up')">上行流量</a></th>
                <th class="txt-right"><a href="javascript:dstip_ipdetail('down')">下行流量</a></th>
                <th class="txt-right"><a href="javascript:dstip_ipdetail('total')">总流量</a></th>
            </tr>
        </table>
    </div>
</div>
<script type="text/javascript">
filltime();
dstip_ipdetail("total");
</script>
</body>
</html>
