<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc . "/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<head class="layui-col-xs12 layui-sm6">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
	<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
	<META HTTP-EQUIV="Cache-Control" content="no-cache">
	<title><?= VERSION ?></title>
	<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
	<link type="text/css" rel="stylesheet" href="../css/common.css" />
	<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
	<link type="text/css" rel="stylesheet" href="../css/the-session-log.css" />
	<link type="text/css" href="../css/dtree.css" rel="stylesheet">
	<script type="text/javascript" src="../js/jquery.min.js"></script>
	<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
	<script type="text/javascript" src="../js/highcharts.js"></script>
	<script type="text/javascript" src="../js/map.js"></script>
	<script type="text/javascript" src="../js/china-data.js"></script>
	<script type="text/javascript" src="../js/Calendar.js"></script>
	<script type="text/javascript" src="../js/common.js"></script>
	<script type="text/javascript" src="../js/dtree.js" />
	</script>
	<script type="text/javascript">
		function urlflow_data_update(data, starttime, endtime, appid) {
			var r, s;
			var len = data.yy_rows.length;
			var trobj = $(".topapp-list-table table tbody tr");
			var trlen = trobj.length;
			var tdobj;
			var href;
			var trbg = '';

    for (i = 0; i < len; i++) {
        r = data.yy_rows[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';
			
		detail = '<a href="javascript:yys_detail(\''+starttime+'\', \''+ 
			endtime+'\', '+r.yys+', \''+r.cname+'\', '+appid+')">协议详细</a>';

        if (trobj.eq(i+1).length > 0){
            tdobj = trobj.eq(i+1).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(r.cname);
            tdobj.eq(2).html(numberformats(r.upbytes));
            tdobj.eq(3).text(numberformats(r.downbytes));
            tdobj.eq(4).text(numberformats(r.upbytes+ r.downbytes));
			tdobj.eq(5).html(detail);
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="td-left-first">'+ (i+1)+'</td>'+
                '<td class="td-normal">'+ r.cname+'</td>'+
                '<td class="td-normal">'+ numberformats(r.upbytes)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.downbytes)+'</td>'+
                '<td class="td-left-last">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
				'<td class="td-left-last">'+detail+'</td>'+
                '</tr>';
            $(s).appendTo(".topapp-list-table table tbody");
        }
    }
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function yys_detail(starttime, endtime, yys, cname, appid)
{
	var left = (window.screen.width - 800) / 2;
	var height = window.screen.height - 150;

	if (appid == -1)
		appid = $("#hidappid").val();
	
	window.open("yys_detail.php?yys="+yys+"&starttime="+starttime+
		"&endtime="+endtime+"&cname="+cname+"&appid="+appid, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function urlpie_pie(json)
{
    var option = {
        chart: {
            renderTo: 'appgrouppie_up',
            defaultSeriesType: 'pie',
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
        },
        title: {
		text: '运营商流量分布图',
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', fontWeight:'normal', color:'#000000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return ''+
                    this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%'
            }
        },
        plotOptions: {
            pie: {
                allowPointSelect: true,
                cursor: 'pointer',
                showInLegend: true,
                dataLabels: {
                    enabled: true,
					style:{fontSize:'9px', fontWeight:'normal'},
                    formatter: function() {
                        return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
                    },
					
                }
            }
        },
        legend: {
            enabled:false,
            layout: 'vertical',
            backgroundColor: '#FFFFFF',
            floating: true,
            align: 'left',
            verticalAlign: 'top',
            x: 425,
            y: 25,
            labelFormatter: function() {
                return this.name;
            }
        },
        credits: {
            enabled: false
        },
        series: [{type:'pie', data:[]}]
    };

    var c = 0;
    for (var i = 0; i < json.y.length; i++){
        if (c >= config.my_colors_def.length)
            c = 0;
        option.series[0].data.push({name:json.x[i], y:json.y[i]});
    }
    var chart = new Highcharts.Chart(option);
}

function yysflow_graph(json, starttime, endtime, title, render)
{
    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: "column",
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
        },
        title: {
            text: title,
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
			style:{font: 'Arial', fontSize:'14px', color:'#000'},
            labels:{
                rotation:-45,
                align:'right',
                style:{font: 'Arial', fontSize:'14px', color:'#000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return '<b>' + this.x + '</b><br/>' +
                    this.series.name + ': ' + numberformats(this.y) + '<br/>' +
                    'Total: ' + numberformats(this.point.stackTotal);
            }
        },
        plotOptions: {
            column: {
				stacking: 'normal',
                cursor:'pointer',
				point:{
                    events:{
                        click:function(){
							yys_detail(starttime, endtime, this.yys, this.category, -1);
                        }
                    }},
                dataLabels: {
                    enabled: false
                }
            }
        },
        legend: {
            enabled:true
        },
        credits: {
            enabled: false
        },
        series: []
    }

    var c = 0;
	var series = [{name:'上行流量', data:[]}, {name:"下行流量", data:[]}];
    for (var i = 0; i < json.yy_rows.length; i++){
        series[0].data.push({y:json.yy_rows[i].upbytes, yys: json.yy_rows[i].yys});
		series[1].data.push({y:json.yy_rows[i].downbytes, yys: json.yy_rows[i].yys});
    }
	option.series = series;

    option.xAxis.categories = json.x;
    var chart = new Highcharts.Chart(option);
}

function flowmap_check()
{
	var devid = 0;
	var arr = [];
	
	var appid = $("#hidappid").val();
	var yys = $("#yys").val();
	var start = $("#start").val();
	var end = $("#end").val();

	devid = getdevice();	

	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' '+dt.getHours()+':'+dt.getMinutes()+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

			$.ajax({
				url: '../flow_direction/flowdir.php',
				data: {
					type: 'flow_maps',
					devid: devid,
					yys: yys,
					appid: appid,
					starttime: starttime,
					endtime: endtime,
					errname: errname
				},
				type: 'post',
				dataType: 'json',
				success: function(json) {
					cluster_load_hide();
					if (json.yn && json.yn == "no") {
						alert(json.str);
						return;
					}
					flowmaps_update(json);
					usermap_update(json);
				}
			});
		}

		function usermap_update(json) {
			var maxvalue = 0;
			for (i = 0; i < json.rows.length; i++) {
				
				if (json.rows[i].value > maxvalue)
					maxvalue = json.rows[i].value;
					
			}

			json.rows.push({name: '南海诸岛', value: 1,})
			
			var myChart = echarts.init(document.getElementById('map'));
			myChart.setOption({
				title: {
					text: '区域流量数据分布图',
					x: 'center',
					textStyle: {
						fontSize: 12,
						fontWeight: 'bold',
						fontFamily: "微软雅黑"

					}
				},
				tooltip: {
					trigger: 'item',
					textStyle: {
						fontSize: 14,
						fontWeight: 'normal'
					},
					formatter: function(params, ticket, callback) {
						return params.name + '：' + numberformats(params.value);
					
					}
				},
				dataRange: {
					//orient: 'horizontal',
					min: 0,
					max: maxvalue,
					x: 'right',
					y: 'bottom',
					text: ['高', '低'], // 文本，默认为数值文本
					calculable: true,
					
					color: [
        '#CF1F07', '#f5f5f5',
		
		// 'rgba(207,31,7,0.8)','rgba(207,31,7,0.6)','rgba(207,31,7,0.4)','rgba(207,31,7,0.2)',
		// 'rgba(40,181,216,0.2)','rgba(40,181,216,0.6)','rgba(40,181,216,0.4)','rgba(40,181,216,0.2)'
	],
					formatter: function(v) {
						return numberformats(v);
					}
				},
				series: [{
					name: '区域流量数据分布图',
					type: 'map',
					roam:true,
					mapType: 'china',
					//selectedMode : 'multiple',
					itemStyle: {
						normal: {
							label: {
							
								show: true
							},
							borderColor: '#ddd',
							areaStyle: {
								color: 'f5f5f5'
							}
						},
						emphasis: {
							label: {
								show: true
							}
						}
					},
					data: json.rows
				}]
			}, true);

			var ecConfig = require('echarts/config');
			myChart.on(ecConfig.EVENT.CLICK, umap_detail);
		}

		function umap_detail(param) {
			var left = (window.screen.width - 900) / 2;
			var height = window.screen.height - 150;

			var devid = getdevice();
			var domain = $("#domain").val();
			var start = $("#start").val();
			var end = $("#end").val();
			var appid = $("#hidappid").val();

			var starttime = start + ' 0:0:0';
			var endtime = end + ' 23:59:59';

			var name = param;
			if (param.name)
				name = param.name;

			window.open("area_detail.php?areaname=" + name + "&starttime=" +
				starttime + "&endtime=" + endtime + "&appid=" + appid, "_blank",
				"width=700px, height=" + height + ", left=" + left);
		}
		function flowmaps_update(json) {
			$('#flowmap').html("");
			$('#flowmap').highcharts('Map', {
				chart: {
					borderColor: '#D3DCEB',
					borderRadius: 4
				},
				title: {
					text: '区域流量数据分布图',
					style: {
						font: '微软雅黑',
						fontSize: '12px',
						color: '#666',
						fontWeight: 'bold'
					}
				},
				mapNavigation: {
					enabled: true,
					buttonOptions: {
						verticalAlign: 'top'
					}
				},
				tooltip: {
					formatter: function() {
						return '<b>' + this.point.name + ': ' + numberformats(this.point.value)
					}
				},
				colorAxis: {
					min: 0,
					minColor: '#FFFFFF',
					maxColor: '#f5f5f5',
					stops: [
						[0, '#f5f5f5'],
						[1, '#ff0000']
					]
				},
				plotOptions: {
					series: {
						events: {
							click: function(e) {
								area_detail(e.point.name);
							}
						}
					}
				},
				credits: {
					enabled: false
				},
				series: [{
					data: json.rows,
					mapData: Highcharts.maps['countries/china'],
					joinBy: 'hc-key',
					name: '流量统计',
					states: {
						hover: {
							color: '#BADA55'
						}
					},
					dataLabels: {
						enabled: true,
						format: '{point.name}'
					}
				}]
			});
		}

		function area_detail(areaname) {
			var left = (window.screen.width - 800) / 2;
			var height = window.screen.height - 150;

			var appid = $("#hidappid").val();
			var start = $("#start").val();
			var end = $("#end").val();

	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	window.open("area_detail.php?areaname="+areaname+"&starttime="+
		starttime+"&endtime="+endtime+"&appid="+appid, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}

	$("<div id='showapptree_win'></div>").appendTo("body");

	$('#showapptree_win').load('../user_behavior/treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");

		$('#showapptree_win').css('z-index', config.zindex++);

		createtree();

		$("#checkapp").focus();
	});
}
var trees;
function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("../user_behavior/checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect("+r.id+", \""+r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}

function appselect(appid, name, cname)
{
	$("#hidappid").val(appid);
	$("#appcname").val(cname);

	$('#showapptree_win').hide();
}
</script>
</head>

<body class="paui-app-body">
	<div style="padding:5px">
		<div class="Source-ip-group" style="margin: 0px;">
			<?php
			echo getdevice();
			?>
		</div>

		<form class="layui-form paui-form layui-form-pane" style="margin: 10px;margin-bottom:15px;" lay-filter="form_session_search">
			<div class="layui-form-item" style="margin-top:5px;min-width: 1328px;">
				<label class="layui-form-label" style="margin-top:-28px;margin-left:216px">选择协议</label>
				<div class="layui-input-inline paui-port-group" style="margin-top:-28px;margin-left:315px">
					<input type="text" class="layui-input" onclick="showapptree()" id="appcname" value="任意" style="width:100px" readonly />
					<input type="hidden" value="-1" id="hidappid" />
				</div>

				<label class="layui-form-label" style="margin-top:-28px;margin-left:423px">运营商</label>
				<div class="layui-input-inline paui-port-group" style="margin-top:-28px;margin-left:522px">
					<select id="yys" style="width:150px;">
						<option value="-1">选择运营商</option>
						<?php
						$yyss = getyys();
						foreach ($yyss as $val) {
							echo '<option value="' . $val["id"] . '">' . $val["name"] . '</option>';
						}
						?>
					</select>
				</div>
				<label class="layui-form-label" style="margin-left: 649px;margin-top:-28px;">时间范围</label>
				<div class="layui-input-inline" style="width: 200px;margin-left:748px;margin-top:-28px">
					<input lay-verify="required" type="text" name="time" id="starttimea" class="layui-input" autocomplete="off">
				</div>
				<!-- <a class="layui-btn" style="height:27px;line-height: 27px;background-color: #67c23a;margin-left:972px;margin-top:-28px" lay-submit lay-filter="submit_session_search">查询</a> -->
				<a href="#" lay-submit lay-filter="submit_session_search" class="layui-btn layui-btn-primary layui-btn-sm" style="background-color:#FFFFFF;float:left;width:66px;height:27px;line-height: 27px;margin-left:955px;margin-top:-28px"><i class="layui-icon layui-icon-search"></i>查询</a>

			</div>
		</form>

		<div class="layui-input-inline" style="display: none;">
			<input type="hidden" id="start">
			<input type="hidden" id="starthour">
			<input type="hidden" id="startminute">
			<input type="hidden" id="end">
			<input type="hidden" id="endhour">
			<input type="hidden" id="endminute">
		</div>
		<div class="clearfloat"></div>
		<div class="layui-row layui-col-space8">
			<div class="layui-col-xs6">
				<div class="layui-card">
					<div class="layui-card-body">
						<div id="map" style="height:600px"></div>
					</div>
				</div>
			</div>
			<div class="layui-col-xs6">
				<div class="layui-card">
					<div class="layui-card-body">
						<div id="appgrouppie_up" style="height:285px"></div>
					</div>
				</div>
				<div class="layui-card">
					<div class="layui-card-body">
						<div id="appgrouppie_down" style="height:285px"></div>
					</div>
				</div>
			</div>
		</div>
	</div>
	<script src="../js/echarts/echarts.js"></script>
	<script type="text/javascript" src="../layui/layui.js"></script>
	<script type="text/javascript">
		function select(obj) {
			$("#div" + obj.value).show().siblings().hide();
		}

		layui.use(['layer', 'form', 'laypage', 'util', 'laydate'], function() {
			var util = layui.util;
			var laydate = layui.laydate;
			var time = (new Date()).getTime();
			var time1 = util.toDateString(time, "yyyy-MM-dd")
			var time2 = util.toDateString(time - 86400000, "yyyy-MM-dd")

			//执行一个laydate实例
			laydate.render({
				elem: '#starttimea',
				value: time2 + ' - ' + time1,
				isInitValue: true,
				range: true,
				format: 'yyyy-MM-dd',
				type: 'date'
			});

			layer = layui.layer, form = layui.form, laypage = layui.laypage;
			form.render();

			form.on('submit(submit_session_search)', function(obj) {
			
				arry = obj.field.time.split(" ")
				$("#start").val(arry[0]);
				$("#end").val(arry[2]);
				var devid = 0;
				var arr = [];
				devid = getdevice();
				var appid = $("#hidappid").val();
				var start = $("#start").val();
				var end = $("#end").val();
				var starttime = start + ' 0:0:0';
				var endtime = end + ' 23:59:59';

				cluster_load_show();
				var errname = (new Date()).getTime() + '.st';
				cluster_get_status(errname);

				$.ajax({
					url: '../flow_direction/flowdir.php',
					data: {
						type: 'flowpielist',
						devid: devid,
						appid: appid,
						starttime: starttime,
						endtime: endtime,
						errname: errname
					},
					type: 'post',
					dataType: 'json',
					success: function(json) {
						cluster_load_hide();

						if (json.yn && json.ys == "no") {
							alert(json.str);
							return;
						}

						$("#appgrouppie_up").show();
						$("#appgrouppie_down").show();
						$(".topapp-list-table").show();
						urlpie_pie(json);
						yysflow_graph(json, starttime, endtime, '运营商流量TOP图', 'appgrouppie_down');
						flowmap_check();
					}
				});

			})

		});
		Highcharts.setOptions({
			global: {
				useUTC: false
			}
		});
		showdevicetree();
		var echarts;

		require.config({
			paths: {
				echarts: '../js/echarts'
			}
		});
		require(
			[
				'echarts',
				'echarts/chart/map'
			],
			function(ec) {
				echarts = ec;
			}
		);
	</script>
</body>
</html>
