<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	outputres("no", "SESSION_TIMEOUT");
	exit;
}

if (!isset($_POST['type']))
	exit;
$type = $_POST['type'];

if ($type == "portgrp_delete")
{
	$id = postval("id");
	if (!is_numeric($id)) {
		outputres("no", "ERROR_PARAM");
		exit;
	}

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "ERROR_MYSQL_CONNECT_FAILD");
		exit;
	}

	$sql = "delete from palog.port_group where id=$id";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		exit;
	}

	mysql_close($conn);
	outputres("yes", "操作成功");
}

if ($type == "portgrp_get")
{
	$id = postval("id");

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "ERROR_MYSQL_CONNECT_FAILD");
		exit;
	}

	$rows = array();
	$sql = "select id, name, port from palog.port_group where id=$id";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($rows, array(
				"id"=>$row[0],
				"name"=>$row[1],
				"port"=>$row[2]
			));
		}
	}
	mysql_close($conn);

	echo json_encode($rows);
}

if ($type == "portgrp_edit")
{
	$id = postval("id");
	$portlist = postval("portlist");

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "ERROR_MYSQL_CONNECT_FAILD");
		exit;
	}

	$sql = "update palog.port_group set port='$portlist' where id=$id";
	mysql_query($sql);

	mysql_close($conn);

	outputres("yes", "");
}

if ($type == "portgrp_list")
{
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "ERROR_MYSQL_CONNECT_FAILD");
		exit;
	}

	$rows = array();
	$sql = "select id, name, port from palog.port_group";
	if (($result = mysql_query($sql)) != false) {
		while ($row = mysql_fetch_row($result)) {
			array_push($rows, array(
				"id"=>$row[0],
				"name"=>$row[1],
				"port"=>$row[2]
			));
		}
	}
	mysql_close($conn);

	echo json_encode($rows);
}

if ($type == "portgrp_create")
{
	$grpname = postval("grpname");
	if (strlen($grpname) <= 0 || strlen($grpname) >= 32) {
		outputres("no", "ERROR_LENGTH");
		exit;
	}

	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "ERROR_MYSQL_CONNECT_FAILD");
		exit;
	}
	$sql = "create table if not exists palog.port_group(".
		"id int not null auto_increment primary key, ".
		"name varchar(32) not null default '',".
		"port varchar(1024) not null default '')".
		"ENGINE=MyISAM default charset=utf8";
	if (mysql_query($sql) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}

	$sql = "select name from palog.port_group where name='$grpname'";
	if (($result = mysql_query($sql)) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	if (mysql_num_rows($result) > 0) {
		outputres("no", "ERROR_EXISTS");
		mysql_close();
		exit;
	}

	$sql = "insert into palog.port_group(name)values('$grpname')";
	if (($result = mysql_query($sql)) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}

	mysql_close($conn);

	outputres("yes", "");
}

if ($type == "country_topn")
{
	$devid = postval("devid");
	$starttime = postval("starttime");
	$endtime = postval("endtime");
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($starttime);
	$longend = strtotime($endtime);

	$rows = $json = array();

	$cmd = LOGDPATH."/bin/logeye flowdir_ext country_topn 'devid=$devid' 'errfile=$errfile' longstart=$longstart longend=$longend 'sort=$sort'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		list($cname, $flowcnt, $up, $down) = explode(' ', $val);
		if (json_encode($cname) == false)
			$cname = iconv("gb2312", "utf-8", $cname);

		array_push($rows, array(
			"cname"=>$cname,
			"flowcnt"=>(float)$flowcnt,
			"up"=>(float)$up,
			"down"=>(float)$down
		));
	}

	$json = array("rows"=>$rows);
	echo json_encode($json);
}

if ($type == "flowdir_cuslist")
{
	$rows = $json = array();
	
	if (($rows = getyys()) == false) {
		outputres("no", "getyys error");
		exit;
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
	
	exit;
}

if ($type == "flowdir_addcus_handle")
{
	$yysname = postval("yysname");
	if ($yysname == "") {
		outputres("no", "param error");
		exit;
	}
	$yysname_gbk = iconv("utf-8", "gb2312", $yysname);
	
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "mysql error");
		exit;
	}
	if (($result = mysql_query("select id, name from palog.yys")) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	$rows = array();
	while ($row = mysql_fetch_row($result)) {
		$id = $row[0];
		$name = $row[1];
		$rows[$id] = $name;
	}
	$nowid = 0;
	for($i = 0; $i < 100; $i++) {
		if (!isset($rows[$i]))
			break;
	}
	if ($i < 100)
		$nowid = $i;
	else {
		mysql_close();
		outputres("no", "ERR_FULL");
		exit;
	}

	/* 检查此运营商是否在此机器上，如果在，说明是即是主也是节点服务器 */
	$cmd = "select id from palog.yys where id=$nowid";
	if (($result = mysql_query($cmd)) != false) {
		if (mysql_num_rows($result) == 0) {
			$cmd = "insert into palog.yys(id, name)values($nowid, '$yysname_gbk')";
			if (mysql_query($cmd) == false) {
				outputres("no", mysql_error());
				mysql_close();
				exit;
			}
	       	}
	}
	mysql_close();

	$cmd = PANALOGEYE." flowdir add 'id=$nowid' 'name=$yysname_gbk'";
	exec($cmd, $out, $ret);
	outputres("yes", "");
}

if ($type == "cus_remove")
{
	$id = postval("id");
	if ($id == "") {
		outputres("no", "param error");
		exit;
	}

	/* 删除节点 */
	$cmd = PANALOGEYE." flowdir remove 'id=$id'";
	exec($cmd, $out, $ret);

	/* 删除操作机器上的 */
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "mysql error");
		exit;
	}
	if (($result = mysql_query("delete from palog.yys where id=$id")) == false) {
		mysql_close();
		outputres("no", "mysql error");
		exit;
	}
	if (($result = mysql_query("delete from palog.custom_ip where yysid=$id")) == false) {
		mysql_close();
		outputres("no", "mysql error");
		exit;
	}
	mysql_close();

	outputres("yes", "");
	
	exit;
}

if ($type == "cus_addip")
{
	$yysid = postval("yysid");
	$ipseg = postval("ipseg");
	$posi = postval("posi");

	if ($yysid == "") {
		outputres("no", "ERR_NOID");
		exit;
	}

	if (strstr($ipseg, "/") != false) {
		$startip = calculate_ipmin($ipseg);
		$endip = calculate_ipmax($ipseg);
	}
	else 
	if (strchr($ipseg, '-') != false)
		list($startip, $endip) = explode('-', $ipseg);
	else
		$startip = $endip = $ipseg;
	
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "mysql error");
		exit;
	}
	$cmd = "create table if not exists palog.custom_ip(".
		"startip varchar(16) not null default '',".
		"endip varchar(16) not null default '',".
		"posi varchar(64) not null default '',".
		"yysid int not null default '0')".
		"ENGINE=MyISAM default charset=utf8";
	if (mysql_query($cmd) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}
	$sql = "alter table palog.custom_ip add ipseg varchar(64) not null default ''";
	mysql_query($sql);

	$posi_gbk = iconv("utf-8", "gb2312", $posi);
	$cmd = "select ipseg from palog.custom_ip where yysid=$yysid and ipseg='$ipseg'";
	if (($result = mysql_query($cmd)) != false) {
		if (mysql_num_rows($result) == 0) {
			$cmd = "insert into palog.custom_ip(startip, endip, posi, yysid, ipseg)".
				"values('$startip', '$endip', '$posi_gbk', $yysid, '$ipseg')";
			if (mysql_query($cmd) == false) {
				outputres("no", mysql_error());
				
				mysql_close(); exit;
			}
	    }
	}
	mysql_close();
	$cmd = PANALOGEYE." flowdir add 'yysid=$yysid' 'startip=$startip' 'endip=$endip' 'posi=$posi_gbk' 'ipseg=$ipseg' addip=1";
	exec($cmd, $out, $ret);
	outputres("yes", "");
	exit;
}

if ($type == "cus_iplist")
{
	$yysid = postval("yysid");
	if ($yysid == "") {
		outputres("no", "param error");
		exit;
	}
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "mysql error");
		exit;
	}
	$cmd = "alter table palog.custom_ip add ipseg varchar(64) not null default ''";
	mysql_query($cmd);

	$cmd = "select startip, endip, posi, yysid, ipseg from palog.custom_ip where yysid=$yysid";
	if (($result = mysql_query($cmd)) == false) {
		outputres("no", mysql_error());
		mysql_close();
		exit;
	}

	$json = '{"rows":[';
	$first = 1;
	while ($row = mysql_fetch_row($result)) {
		if ($first == 1)
			$json .= '{"yysid":'.$row[3].', "startip":"'.$row[0].'", "endip":"'.$row[1].'", "posi":"'.iconv("gb2312", "utf-8", $row[2]).'", "ipseg":"'.$row[4].'"}';
		else
			$json .= ',{"yysid":'.$row[3].', "startip":"'.$row[0].'", "endip":"'.$row[1].'", "posi":"'.iconv("gb2312", "utf-8", $row[2]).'", "ipseg":"'.$row[4].'"}';
		$first = 0;
       	}
        $json .= ']}';
        mysql_free_result($result);
	mysql_close();

        echo $json;
}

if ($type == "cus_importfile")
{
	if (isset($_FILES['fileupgrade']))
		$upfile = $_FILES['fileupgrade'];
	$yysid = postval("import_yysid");

	if (strstr($upfile['name'], "txt") === false) {
		echo "<script type='text/javascript'>alert('请选择正确的文件!');</script>";
		exit;
	}

	$fname = "/var/tmp/cusip.txt";
	if (! move_uploaded_file($upfile['tmp_name'], $fname)) {
		echo "<script type='text/javascript'>alert('文件上传失败!');</script>";
		exit(0);
	}
	
	if (($conn = my_mysql_connect()) == false) {
		outputres("no", "mysql error");
		exit;
	}
	$cmd = "create table if not exists palog.custom_ip(".
		"startip varchar(16) not null default '',".
		"endip varchar(16) not null default '',".
		"posi varchar(64) not null default '',".
		"yysid int not null default '0', ".
		"ipseg varchar(64) not null default '')".
		"ENGINE=MyISAM default charset=utf8";
	if (mysql_query($cmd) == false) {
		echo "<script type='text/javascript'>alert('数据库连接失败!');</script>";
		mysql_close();
		exit;
	}
	$sql = "alter table palog.custom_ip add ipseg varchar(64) not null default ''";
	mysql_query($sql);

	$cmd = "delete from palog.custom_ip where yysid=$yysid";
	mysql_query($cmd);

	$invalid = 0;
	$success = 0;
	if (($fp = fopen($fname, "r")) != false) {
		while (!feof($fp)) {
			$buf = fgets($fp);
			$buf = trim($buf, "\r\n");
			if (empty($buf)) continue;
			if (strstr($buf, '"') != false) {
				$invalid++;
				continue;
			}
			
			$ds = explode(' ', $buf);
			if ($ds[0] == ""){
				$invalid++;
				continue;
			}
			$ip = trim($ds[0]);
			if (empty($ip)) {
				$invalid++;
				continue;
			}
			$success++;

			if ($ds[1] != "")
				$posi_gbk = $ds[1];
			else
				$posi_gbk = "userip";
			
			if (json_encode($posi_gbk) != false)
				$posi_gbk = iconv("utf-8", "gb2312", $posi_gbk);

			if (strstr($ip, "/") != false) {
				$startip = calculate_ipmin($ip);
				$endip = calculate_ipmax($ip);
				if ($startip == "" || $endip == "") 
					continue;
			}
			else 
			if (strstr($ip, "-") != false) {
				$as = explode('-', $ip);
				$startip = $as[0];
				$endip = $as[1];
				if (sscanf($startip, "%d.%d.%d.%d", $a, $b, $c, $d) == 4)
					$startip = $a.".".$b.".".$c.".".$d;
				if (sscanf($endip, "%d.%d.%d.%d", $a, $b, $c, $d) == 4)
					$endip = $a.".".$b.".".$c.".".$d;
			}
			else {
				$startip = $endip = $ip;
				if (sscanf($endip, "%d.%d.%d.%d", $a, $b, $c, $d) == 4)
					$endip = $a.".".$b.".".$c.".".$d;
				$startip = $endip = $ip;
			}

			$cmd = "insert into palog.custom_ip(startip, endip, posi, yysid, ipseg)".
				"values('$startip', '$endip', '$posi_gbk', $yysid, '$ip')";
			if (mysql_query($cmd) == false) {
				outputres("no", mysql_error());
				mysql_close();
				exit;
			}
		}
		fclose($fp);

		$cmd = PANALOGEYE." iplib load custom=1";
		exec($cmd);
	}
	mysql_close($conn);
	unlink($fname);
	echo "<script type='text/javascript'>alert('上传成功数($success),失败数($invalid)');</script>";
}

if ($type == "area_detail") 
{
	$appid = postval("appid");
	$devid = postval("devid");

	$areaname = iconv("utf-8", "gb2312", postval("areaname"));
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$arr = $json = array();
	$cmd = LOGDPATH."/bin/logeye flowdir_ext area_detail 'appid=$appid' 'areaname=$areaname' 'errfile=$errfile' longstart=$longstart longend=$longend 'devid=$devid'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($arr, array(
			"name"=>$ds[0], 
			"cname"=>iconv("gb2312", "utf-8", $ds[1]), 
			"total"=>((double)$ds[2] + (double)$ds[3]),
			"upbytes"=>(double)$ds[2], 
			"downbytes"=>(double)$ds[3]));
	}
	$json["rows"] = $arr;
	echo json_encode($json);
	
}

/*if($type == "area_detail")
{
   $appid = postval("appid");
   $devid = postval("devid");
   
   $areaname = iconv("utf-8", "gb2312", postval("areaname"));
   $strstart = postval("starttime");
   $strend   = postval("endtime");
   
   $longstart = strtotime($strstart);
   $longend = strtotime($strend);
   
   $arr = $json  = array();
   $cmd = LOGDPATH."/bin/logeye flowdir_ext area_detail 'appid=$appid' 'areaname=$areaname' 'errfile=$errfile' longstart=$longstart longend=$longend 'devid=$devid'";
   exec($cmd, $out, $return);
   
   foreach($out as $val){
	   $ds = explode(' ', $val);
	   array_push($arr,array(
			"name"=>$ds[0],
			"cname"=>iconv("gb2312", "utf-8", $ds[1]),
			"total"=>((double)$ds[2] + (double)$ds[3]),
			"upbytes"=>(double)$ds[2],
			"downbytes"=>(double)$ds[3]
	  ));
   }
   
   $json["row"] = $arr;
   echo json_encode($json);
   	
	
}*/





if ($type == "flow_maps") 
{
	$appid = postval("appid");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	if (!isset($_POST["devid"]))
		$devid = 0;
	else
		$devid = postval("devid");

	if (!isset($_POST["yys"]))
		$yys = -1;
	else
		$yys = postval("yys");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye flowdir_ext area_flow 'appid=$appid' ".
		"'errfile=$errfile' 'devid=$devid' longstart=$longstart longend=$longend";
	if ($yys != -1)
		$cmd .= " yys=$yys";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($rows, array("hc-key"=>$ds[0], 
			"value"=>(double)$ds[2] + (double)$ds[3], 
			"cname"=>iconv("gb2312", "utf-8", $ds[1]), 
			"name"=>iconv("gb2312", "utf-8", $ds[1]),
			"up"=>(double)$ds[2], 
			"down"=>(double)$ds[3]));
	}

	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "flow_dir_check")
{
	$devid = $_POST['devid'];
	$strstart = $_POST['tmstart'];
	$strend = $_POST['tmend'];
	$topn = $_POST['topn'];
	$destip = $_POST['destip'];
	$flowtype = iconv("utf-8", "gb2312", $_POST['flowtype']);
	$sorttype = $_POST['sorttype'];
	$errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];

	if ($destip != "none" && strstr($destip, "-") === false)
		$destip = $destip.'-'.$destip;

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$tablefile = php_getsessiontable($longstart, $longend);

	$arr = array();
	$json = array();
	$cmd = LOGDPATH."/bin/logeye flowdir '$devid' $longstart $longend '$topn' '$destip' '$flowtype' '$tablefile' '$sorttype' '$errfile'";
	exec($cmd, $output, $return);
	foreach($output as $val){
	$ds = explode(' ', $val);

	array_push($arr, array("ip"=>$ds[0], "upbytes"=>(int)$ds[1], "downbytes"=>(int)$ds[2],
	    "address"=>iconv('gb2312', 'utf-8', $ds[3].$ds[4])));
	}

	$json['rows'] = $arr;
	echo json_encode($json);
}

if ($type == "addip")
{
	$ipseg = $_POST['ipseg'];
	$province = $_POST['province'];
	$ip_cname = $_POST['ip_cname'];

	$fp = fopen(CUSTOM_IP_ADDRESS_ORI, "a");
	if (!$fp){
	outputres("no", "文件打开失败: ".CUSTOM_IP_ADDRESS_ORI);
	exit;
	}
	$err = fwrite($fp, $ipseg.' '.iconv('utf-8','gb2312', $province).
	' '.iconv('utf-8', 'gb2312', $ip_cname)."\n");
	if ($err === FALSE){
	outputres("no", "写文件失败：".CUSTOM_IP_ADDRESS);
	fclose($fp);
	exit(0);
	}
	fclose($fp);

	$fp = fopen(CUSTOM_IP_ADDRESS, "a");
	if (!$fp){
	outputres("no", "文件打开失败:".CUSTOM_IP_ADDRESS);
	exit;
	}

	$ips = explode(',', $ipseg);
	for ($i = 0; $i < count($ips); $i++){
	if ($ips[$i] == "")
	    continue;

	if (strstr($ips[$i], '-')){
	    $tmp = explode('-', $ips[$i]);
	    $ipstart = $tmp[0];
	    $ipend = $tmp[1];
	}else{
	    $ipstart = $ipend = $ips[$i];
	}

	$err = fwrite($fp, $ipstart.' '.$ipend.' '.iconv('utf-8','gb2312', $province).
	    ' '.iconv('utf-8', 'gb2312', $ip_cname)."\n");
	if ($err === FALSE){
	    outputres("no", "写文件失败：".CUSTOM_IP_ADDRESS);
	    fclose($fp);
	    exit(0);
	}
	}

	fclose($fp);
	outputres("yes", "操作成功");
}

if ($type == "flow_dir_check_custom")
{
	$devid = $_POST['devid'];
	$strstart = $_POST['tmstart'];
	$strend = $_POST['tmend'];
	$topn = $_POST['topn'];
	$destip = $_POST['destip'];
	$flowtype = iconv("utf-8", "gb2312", $_POST['flowtype']);
	$sorttype = $_POST['sorttype'];
	$errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];
	$province = $_POST['province'];
	$ip_cname = $_POST['ip_cname'];

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$tablefile = php_getsessiontable($longstart, $longend);

	$cmd = LOGDPATH."/bin/logeye flowdir '$devid' $longstart $longend '$topn' '$destip' '$flowtype' '$tablefile' '$sorttype' '$errfile'";
	exec($cmd, $output, $return);
	$arr = array();
	$json = array();
	foreach($output as $val){
	$ds = explode(' ', $val);

	array_push($arr, array("ip"=>$ds[0], "upbytes"=>(double)$ds[1], "downbytes"=>(double)$ds[2],
	    "address"=>$province.$ip_cname));
	}

	$json['rows'] = $arr;
	echo json_encode($json);
}

if ($type == "getip")
{
    $arr = array();
    $json = array();

    if (file_exists(CUSTOM_IP_ADDRESS_ORI)){
        $fp = fopen(CUSTOM_IP_ADDRESS_ORI, "r");
        while (!feof($fp)){
            $buff = fgets($fp);
            if ($buff === FALSE)
                break;

            $ds = explode(' ', $buff);

            $ipseg = $ds[0];
            $province = iconv("gb2312", "utf-8", trim($ds[1], "\n"));
            $ip_cname = iconv("gb2312", "utf-8", trim($ds[2], "\n"));

            array_push($arr, array("ipseg"=>str_replace(",", "<br/>", $ipseg), "province"=>$province, "ip_cname"=>$ip_cname));
        }
        fclose($fp);
    }
    $json['rows'] = $arr;
    echo json_encode($json);
}

if ($type == "delete_ip")
{
    $ipseg = $_POST['ipseg'];

    if (file_exists(CUSTOM_IP_ADDRESS_ORI)){
        $lines = file(CUSTOM_IP_ADDRESS_ORI);

        $fp = fopen(CUSTOM_IP_ADDRESS_ORI, "w");
        if (!$fp){
            outputres("no", "file open faild");
            exit;
        }

        foreach($lines as $val){
            if (strstr($val, $ipseg))
                continue;
            fwrite($fp, $val);
        }
        fclose($fp);
    }

    if (file_exists(CUSTOM_IP_ADDRESS)){
        $lines = file(CUSTOM_IP_ADDRESS);

        $fp = fopen(CUSTOM_IP_ADDRESS, "w");
        if (!$fp){
            outputres("no", "file open faild");
            exit;
        }

        foreach($lines as $val){
            $ds = explode(' ', $val);

            if (strstr($ipseg, $ds[0]) || strstr($ipseg, $ds[1]))
                continue;
            fwrite($fp, $val);
        }
        fclose($fp);
    }
    outputres("yes", "yes");
}

if ($type == "tcpudp_check")
{
	$devid = postval('devid');
	$strstart = postval('tmstart');
	$strend = postval('tmend');
       	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($strstart);
       	$longend = strtotime($strend);


	$rows =$json = $counts = $udpbytes= $tcpbytes = array();
	$cmd = LOGDPATH."/bin/logeye flowdir_ext tcpudp_check 'devid=$devid' ".
		"longstart=$longstart longend=$longend 'errfile=$errfile'";
	exec($cmd, $out, $return);
       	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		if ($ds[0] == "type") {
			if ($ds[1] == 6)
				$porttype = "TCP";
			else
				$porttype = "UDP";

			array_push($rows, array(
				"name"=>$porttype, 
				"y"=>(float)$ds[3]+(float)$ds[4], 
				"upbytes"=>(float)$ds[3], 
				"downbytes"=>(float)$ds[4]));

			array_push($counts, array(
				"name"=>$porttype, 
				"y"=>(float)$ds[2]));
		}else
		if ($ds[0] == "tcpbytes") {
			array_push($tcpbytes, array(
				"port"=>$ds[1],
				"count"=>(float)$ds[2],
				"upbytes"=>(float)$ds[3],
				"downbytes"=>(float)$ds[4]
			));
		}else
		if ($ds[0] == "udpbytes") {
			array_push($udpbytes, array(
				"port"=>$ds[1],
				"count"=>(float)$ds[2],
				"upbytes"=>(float)$ds[3],
				"downbytes"=>(float)$ds[4]
			));
		}
	}

	$json['rows'] = $rows;
	$json['counts'] = $counts;
	$json['udpbytes'] = $udpbytes;
	$json['tcpbytes'] = $tcpbytes;
	echo json_encode($json);
}

if ($type == "port_check")
{
    $devid = $_POST['devid'];
    $strstart = $_POST['tmstart'];
    $strend = $_POST['tmend'];
    $topn = $_POST['topn'];
    $port = $_POST['port'];
    $flowtype = iconv("utf-8", "gb2312", $_POST['flowtype']);
    $sorttype = $_POST['sorttype'];
    $errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];

    $longstart = strtotime($strstart);
    $longend = strtotime($strend);

    $tables = php_getsessiontable($longstart, $longend);

    exec(LOGDPATH."/bin/logeye flowdir_port '$devid' $longstart $longend '$topn' '$flowtype' '$tables' '$sorttype' '$errfile' '$port'", $output, $return);
    $arr = array();
    $json = array();
    foreach($output as $val){
        $ds = explode(' ', $val);

        array_push($arr, array("port"=>$ds[0], "upbytes"=>(int)$ds[1], "downbytes"=>(int)$ds[2]));
    }

    $json['rows'] = $arr;
    echo json_encode($json);
}

if ($type == "porttoapp_check")
{
    $devid = $_POST['devid'];
    $strstart = $_POST['tmstart'];
    $strend = $_POST['tmend'];
    $port = $_POST['port'];
    $flowtype = $_POST['flowtype'];
    $sorttype = $_POST['sorttype'];
    $errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];

    $longstart = strtotime($strstart);
    $longend = strtotime($strend);

    $tables = php_getsessiontable($longstart, $longend);

    exec(LOGDPATH."/bin/logeye porttoapp '$devid' '$longstart' '$longend' '$flowtype' '$tables' '$sorttype' '$errfile' '$port'", $output, $return);
    $arr = array();
    $json = array();
    foreach($output as $val){
        $ds = explode(' ', $val);

        array_push($arr, array("appid"=>$ds[0], "name"=>$ds[1], "cname"=>iconv('gb2312', 'utf-8', $ds[2]),
            "upbytes"=>(double)$ds[3], "downbytes"=>(double)$ds[4]));
    }

    $json['rows'] = $arr;
    echo json_encode($json);
}

if ($type == "hot_ip"){
    $devid = $_POST['devid'];
    $strstart = $_POST['tmstart'];
    $strend = $_POST['tmend'];
    $source_ipseg = $_POST['source_ipseg'];
    $dest_ipseg = $_POST['dest_ipseg'];
    $topn = $_POST['topn'];
    $appid = $_POST['appid'];
    $sorttype = $_POST['sorttype'];
    $errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];

    $longstart = strtotime($strstart);
    $longend = strtotime($strend);

    $tablefile = php_getsessiontable($longstart, $longend);

    $cmd = LOGDPATH."/bin/logeye flowdir_hot_ip '$devid' '$topn' '$sorttype' '$source_ipseg' '$dest_ipseg' '$longstart' '$longend' '$tablefile' '$errfile' '$appid'";
    exec($cmd, $output, $return);
    $arr = array();
    $json = array();
    foreach($output as $val){
        $ds = explode(' ', $val);

        array_push($arr, array("name"=>$ds[0], "cname"=>iconv('gb2312', 'utf-8', $ds[1]),
            "upbytes"=>(double)$ds[2], "downbytes"=>(double)$ds[3]));
    }

    $json['rows'] = $arr;
    echo json_encode($json);
}

if ($type == "flowtrend"){
    $devid = $_POST['devid'];
    $strstart = $_POST['tmstart'];
    $strend = $_POST['tmend'];
    $destip = $_POST['destip'];
    $errfile = _CHECKING_STATUS_F.'/'.$_POST['errname'];

    $longstart = strtotime($strstart);
    $longend = strtotime($strend);

    $tables = php_getsessiontable($longstart, $longend);

    exec(LOGDPATH."/bin/logeye flowdirtrend '$devid' '$destip' '$longstart' '$longend' '$tables' '$errfile'", $output, $return);
    $i = 0;
    $app = 0;
    $appup = 0;
    $appdown = 0;
    $currtype = "";
    $data = array();
    $seriesup = array();
    $seriesdown = array();

    $slot = 0;
    foreach($output as $val){
        $ds = explode(' ', $val);
        if ($ds[0] == "TAG"){
            if ($slot != 0)
                break;
        }

        if ($ds[0] == "DATA")
            $slot++;
    }
    foreach($output as $val){
        $ds = explode(' ', $val);

        if ($ds[0] == "TAG"){
            if ($ds[1] == "DATEUP"){
                $currtype = "DATEUP";
                $seriesup[$appup]['name'] = $ds[2];
            }
            if ($ds[1] == "DATEDOWN"){
                $currtype = "DATEDOWN";
                $seriesdown[$appdown]['name'] = $ds[2];
            }
            $i = 0;
            continue;
        }

        if ($ds[0] == "DATA"){
            $data[$i]['x'] = (int)$ds[1] * 1000;
            $data[$i++]['y'] = (int)$ds[2];

            if ($i == $slot){
                if ($currtype == "DATEUP")
                    $seriesup[$appup++]['data'] = $data;
                if ($currtype == "DATEDOWN")
                    $seriesdown[$appdown++]['data'] = $data;
                unset($data);
                $i = 0;
            }
        }
    }

    $json['result_up'] = $seriesup;
    $json['result_down'] = $seriesdown;
    echo json_encode($json);
}

if ($type == "flowpielist") {
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$appid = postval('appid');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	if (!isset($_POST["devid"]))
		$devid = 0;
	else
		$devid = postval("devid");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	//$tables = php_yystable($longstart, $longend);

	$arr = array();
	$json = array();
	$ydata = array();
	$yy_rows = array();
	$output = array();
	$xdata = array();
	
	$cmd = LOGDPATH."/bin/logeye flowdir_ext flowdirpie 'devid=$devid' ".
		"longstart=$longstart longend=$longend 'errfile=$errfile' 'appid=$appid'";
	exec($cmd, $out, $return);
	if (strstr($out[0], "error") != false) {
		outputres("no", $out[0]);
		exit;
	}
	foreach($out as $k=>$val) {
		$ds = explode(' ', $val);
		
		array_push($xdata, iconv("gb2312", "utf-8", $ds[1]));
		array_push($ydata, (double)$ds[2]+(double)$ds[3]);
		array_push($yy_rows, array(
			"yys"=>$ds[0], 
			"cname"=>iconv("gb2312", "utf-8", $ds[1]), 
			"upbytes"=>(double)$ds[2], 
			"downbytes"=>(double)$ds[3]));
	}
		
	$json['x'] = $xdata;
	$json['y'] = $ydata;
	$json['yy_rows'] = $yy_rows;
	echo json_encode($json);
}

if ($type == "session_app_top")
{
	$devid = postval("devid");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$appid = postval('appid');
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	$rows = array();
	$xdata = array();
	$sort = array();
	$yy_rows = array();
	$ydata = array();
	$app_x = array();
	$data = array();
	$app_y = array();
	
	$cmd = LOGDPATH."/bin/logeye flowdir_ext session_app_top 'devid=$devid' longstart=$longstart ".
		"longend=$longend 'appid=$appid' 'sort=$sort' 'errfile=$errfile'";
	exec($cmd, $out, $ret);
	if ($ret == -1) {
		outputres("no", $out[0]);
		exit;
	}
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		if ($ds[0] == "app") {
			array_push($rows, array("appid"=>$ds[1], 
				"cname"=>iconv("gb2312", "utf-8", $ds[2]), 
				"upbytes"=>(float)$ds[3], 
				"downbytes"=>(float)$ds[4]));
			array_push($app_x, iconv("gb2312", "utf-8", $ds[2]));
		}
		if ($ds[0] == "app_yys") {
			$n = count($ds);
			$data = array();
			for ($i = 3; $i < $n; $i++)
				array_push($data, (float)$ds[$i]);
			array_push($app_y, array("name"=>iconv("gb2312", "utf-8", $ds[2]), "data"=>$data));
		}
		if ($ds[0] == "yys") {
			$t = (float)$ds[3]+(float)$ds[4];
			array_push($yy_rows, array(
				"yys"=>(int)$ds[1], 
				"cname"=>iconv("gb2312", "utf-8", $ds[2]),
				"upbytes"=>(float)$ds[3], 
				"downbytes"=>(float)$ds[4],
				"total"=>$t));
			array_push($xdata, iconv("gb2312", "utf-8", $ds[2]));
			array_push($ydata, (float)$ds[3]+(float)$ds[4]);
			array_push($sort, $t);
		}
	}

	array_multisort($sort, SORT_DESC, $yy_rows);
	
	$json["app_x"] = $app_x;
	$json["app_y"] = $app_y;
	$json['x'] = $xdata;
	$json['y'] = $ydata;
	$json["rows"] = $rows;
	$json['yy_rows'] = $yy_rows;
	echo json_encode($json);
}

if ($type == "yys_trend")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$yys = postval('yys');
	$devid = postval('devid');
	$appid = postval('appid');
       	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($strstart);
       	$longend = strtotime($strend);
    
	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye flowdir_ext yys_trend longstart=$longstart longend=$longend 'yys=$yys' 'appid=$appid' 'errfile=$errfile' 'devid=$devid'";
	exec($cmd, $out, $return);

	$date = $up = $down = $flow = array();
	
	foreach($out as $val) {
		list($end, $bpsup, $bpsdown, $bpsflow) = explode(' ', $val);
		
		array_push($date, date("d/H:i:s", $end));
		array_push($up, (int)$bpsup);
		array_push($down, (int)$bpsdown);
		array_push($flow, (int)$bpsflow);
	}
	
	$json = array("xdate"=>$date, "up"=>$up, "down"=>$down, "flow"=>$flow);
       	echo json_encode($json);
}

if ($type == "yys_detail")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$yys = postval('yys');
	$devid = postval('devid');
	$appid = postval('appid');
       	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	$longstart = strtotime($strstart);
       	$longend = strtotime($strend);
	
	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye flowdir_ext yys_detail longstart=$longstart ".
		"longend=$longend 'yys=$yys' 'appid=$appid' 'errfile=$errfile' 'devid=$devid'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);

		$cname = $ds[1];
		if (!is_utf8($cname) || json_encode($cname) == false)
			$cname = iconv("gb2312", "utf-8", $cname);

		array_push($rows, array("appid"=>$ds[0], 
			"cname"=>$cname, 
			"upbytes"=>(float)$ds[2], 
			"downbytes"=>(float)$ds[3]));
	}
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "topdstip_check")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$ipaddr = postval('ipaddr');
	$page = postval('page');
	$limit = postval('limit');
	$sort = postval("sort");
	$bexport = postval("bexport");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$appid = postval("appid");
	$yys = postval("yys");
	$filename = "dstip".date("YmdHis");
	
	$devid = isset($_POST["devid"]) ? postval("devid") : 0 ;

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	$username = $_SESSION["palog_username"];
    
	$yysarr = $rows = $json = array();
	
	$cmd = LOGDPATH."/bin/logeye flowdir_ext topdstip_check ".
		"'ipaddr=$ipaddr' 'page=$page' 'limit=$limit' longstart=$longstart longend=$longend ".
		"'errfile=$errfile' 'sort=$sort' 'appid=$appid' 'bexport=$bexport' 'filename=$filename' ".
		"'devid=$devid' 'yys=$yys'";
	exec($cmd, $out, $return);
	if (($yysarr = getyys()) == false) {
		outputres("no", "yys error");
		exit;
	}
	if ($bexport == 0) {
		foreach($out as $val) {
			$ds = explode(' ', $val);
			
			$yys_name = "";
			foreach($yysarr as $y) {
				if ($y["id"] == $ds[3])
					$yys_name = $y["name"];
			}
			
			array_push($rows, array(
				"ipaddr"=>long2ip($ds[0]),
				"upbytes"=>(double)$ds[1], 
				"downbytes"=>(double)$ds[2],
				"yys"=>$yys_name,
				"area"=>iconv("gb2312", "utf-8", $ds[4]),
				"flowcnt"=>$ds[5]
			));
		}
		
		$json["rows"] = $rows;
	}else
		$json["file"] = $out[0];
	
	echo json_encode($json);
}

if ($type == "dstip_detail")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$ipaddr = postval('ipaddr');
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	if (!isset($_POST["devid"]))
		$devid = 0;
	else
		$devid = postval("devid");

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
	
	//$ipaddr = sprintf("%u", ip2long($ipaddr));
	//$tables = php_dstipinfotable($longstart, $longend);
	
	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye flowdir_ext dstip_detail 'devid=$devid' ".
		"'ipaddr=$ipaddr' longstart=$longstart longend=$longend 'sort=$sort' ".
		"'errfile=$errfile'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($rows, array(
			"appid"=>$ds[0],
			"name"=>$ds[1],
			"cname"=>iconv("gb2312", "utf-8", $ds[2]), 
			"upbytes"=>(float)$ds[3], 
			"downbytes"=>(float)$ds[4],
			"total"=>(float)$ds[5], 
			"flow"=>(float)$ds[6]));
	}
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "dstip_ipdetail")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$ipaddr = postval('ipaddr');
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	if (!isset($_POST["devid"]))
		$devid = 0;
	else
		$devid = postval("devid");
	
	//$longend = time();
	//$longstart = time() - 3600;

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
    
	$rows = $json = array();
	$cmd = LOGDPATH."/bin/logeye flowdir_ext dstip_ipdetail 'devid=$devid' ".
		"'ipaddr=$ipaddr' longstart=$longstart longend=$longend 'sort=$sort' ".
		"'errfile=$errfile'";
	exec($cmd, $out, $return);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		array_push($rows, array(
			"ipaddr"=>long2ip($ds[0]),
			"upbytes"=>(float)$ds[1], 
			"downbytes"=>(float)$ds[2],
			"flow"=>(float)$ds[3], 
			"total"=>(float)$ds[1] + (float)$ds[2]));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

if ($type == "dstport_check")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$appid = postval("appid");
	$dstport = postval('dstport');
	$sort = postval("sort");
	$bexport = postval("bexport");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$page = postval("page");
	$limit = postval("limit");
	
	if (!isset($_POST["devid"]))
		$devid = 0;
	else
		$devid = postval("devid");
	
	$filename = "topport".date("YmdHis");
		
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
    
	//$tables = php_getdstporttable($longstart, $longend);
	
	$rows = $json = array();
	$pie_names = array();
	$pie_values = array();
	$portpiebytes = array();
	$portpiecount = array();
	$column = array();
	$c1 = array();
	
	$cmd = LOGDPATH."/bin/logeye flowdir_ext dstport_list 'devid=$devid' ".
		"'appid=$appid' 'dstport=$dstport' 'sort=$sort' 'errfile=$errfile' 'page=$page' ".
		"'limit=$limit' longstart=$longstart longend=$longend 'bexport=$bexport' ".
		"'filename=$filename'";
	exec($cmd, $out, $return);
	if ($bexport == 0) {
		foreach($out as $val) {
			$ds = explode(' ', $val);
			
			if ($ds[0] != "portpie") {
				array_push($rows, array(
					"port"=>($ds[0]),
					"num"=>(int)$ds[1], 
					"upbytes"=>(float)$ds[2],
					"downbytes"=>(float)$ds[3]));
			}else {
				array_push($portpiebytes, array("name"=>$ds[1], "y"=>(float)$ds[3]+(float)$ds[4]));
				array_push($portpiecount, array("name"=>$ds[1], "y"=>(float)$ds[2]));
				array_push($column, array(
					"port"=>($ds[1]),
					"num"=>(int)$ds[2], 
					"upbytes"=>(float)$ds[3],
					"downbytes"=>(float)$ds[4]));
				$c1[] = (float)$ds[2];
			}
		}
		
		array_multisort($c1, SORT_DESC, SORT_NUMERIC, $column);
		
		$json["rows"] = $rows;
		$json["column"] = $column;
		$json["piedatabyte"] = $portpiebytes;
		$json["portdatacount"] = $portpiecount;
		echo json_encode($json);
	}
}

if ($type == "portapp")
{
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$dstport = postval('port');
	$sort = postval("sort");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	
	if (!isset($_POST["devid"]))
		$devid = 0;
	else
		$devid = postval("devid");
	
	$longstart = strtotime($strstart);
	$longend = strtotime($strend);
    
	//$tables = php_getdstporttable($longstart, $longend);
	
	$rows = $json = array();
	
	$cmd = LOGDPATH."/bin/logeye flowdir_ext portapp 'devid=$devid' 'dstport=$dstport' ".
		"'errfile=$errfile' longstart=$longstart longend=$longend 'sort=$sort'";
	exec($cmd, $out, $ret);
	foreach($out as $val) {
		$ds = explode(' ', $val);
		
		array_push($rows, array(
			"appid"=>($ds[0]),
			"cname"=>$ds[1],
			"upbytes"=>(float)$ds[2], 
			"downbytes"=>(float)$ds[3],
			"total"=>(float)$ds[4]));
	}
	
	$json["rows"] = $rows;
	echo json_encode($json);
}

?>
