<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/map.js"></script>
<script type="text/javascript" src="../js/china-data.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">	
function beforesubmit()
{
	return true;
}

function urlflow_check()
{
	var topn = 0;
	var appid = -1;
	var arr = [];
	var devid = 0;

	devid = getdevice();	
	
	var start = $("#start").val();
	var end = $("#end").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	sort = 'all';
	
	$(".outer").show();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'session_app_top',
			devid: devid,
			sort: sort, 
			topn:topn, 
			appid:appid, 
			starttime:starttime, 
			endtime:endtime, 
			errname:errname},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();
			
			if (json.yn && json.yn == "no") {
				alert(json.str);
				return false;
			}
			
			urlpie_pie(json, starttime, endtime);
			yysflow_graph(json, starttime, endtime, '运营商流量TOP图', 'yyscolumn');
			yysapp_graph(json);
			
			flowmap_check();
        }
    });
}

function urlflow_data_update(data, starttime, endtime)
{
    var r, s;
    var len = data.yy_rows.length;
    var trobj = $(".outer-yys .topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj;
    var href;
    var trbg = '';

    for (i = 0; i < len; i++){
        r = data.yy_rows[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';
			
		detail = '<a href="javascript:yys_detail(\''+starttime+'\', \''+
			endtime+'\', '+r.yys+', \''+r.cname+'\', -1)">协议详细</a>';

        if (trobj.eq(i+1).length > 0) {
            tdobj = trobj.eq(i+1).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(r.cname);
            tdobj.eq(2).html(numberformats(r.upbytes));
            tdobj.eq(3).text(numberformats(r.downbytes));
            tdobj.eq(4).text(numberformats(r.upbytes+ r.downbytes));
			tdobj.eq(5).html(detail);
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="td-left-first">'+ (i+1)+'</td>'+
                '<td class="td-normal">'+ r.cname+'</td>'+
                '<td class="td-normal">'+ numberformats(r.upbytes)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.downbytes)+'</td>'+
                '<td class="td-left-last">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
				'<td class="td-left-last">'+detail+'</td>'+
                '</tr>';
            $(s).appendTo(".outer-yys .topapp-list-table table tbody");
        }
    }
    for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function yys_detail_update(data)
{
    var r, s;
    var len = data.rows.length;
    var trobj = $(".yys-detail .topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj;
    var href;
    var trbg = '';

    for (i = 0; i < len; i++){
        r = data.rows[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';

        if (trobj.eq(i+2).length > 0){
            tdobj = trobj.eq(i+2).find("td");

            tdobj.eq(0).text(i+1);
            tdobj.eq(1).html(r.cname);
            tdobj.eq(2).html(numberformats(r.upbytes));
            tdobj.eq(3).text(numberformats(r.downbytes));
            tdobj.eq(4).text(numberformats(r.upbytes+r.downbytes));
            tdobj.eq(5).html(numberformats(r.upbytes_dx));
            tdobj.eq(6).html(numberformats(r.downbytes_dx));
            tdobj.eq(7).html(numberformats(r.upbytes_dx+r.downbytes_dx));
            tdobj.eq(8).html(numberformats(r.upbytes_yd));
            tdobj.eq(9).html(numberformats(r.downbytes_yd));
            tdobj.eq(10).html(numberformats(r.upbytes_yd+r.downbytes_yd));
            tdobj.eq(11).html(numberformats(r.upbytes_lt));
            tdobj.eq(12).html(numberformats(r.downbytes_lt));
            tdobj.eq(13).html(numberformats(r.upbytes_lt+r.downbytes_lt));
            tdobj.eq(14).html(numberformats(r.upbytes_tt));
            tdobj.eq(15).html(numberformats(r.downbytes_tt));
            tdobj.eq(16).html(numberformats(r.upbytes_tt+r.downbytes_tt));
            tdobj.eq(17).html(numberformats(r.upbytes_qt));
            tdobj.eq(18).html(numberformats(r.downbytes_qt));
            tdobj.eq(19).html(numberformats(r.upbytes_qt+r.downbytes_qt));
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="td-left-first">'+ (i+1)+'</td>'+
                '<td class="td-normal">'+ r.cname+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes)+'</td>'+
                '<td class="td-left-last" align="right">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_dx)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_dx)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_dx+r.downbytes_dx)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_yd)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_yd)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_yd+r.downbytes_yd)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_lt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_lt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_lt+r.downbytes_lt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_tt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_tt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_tt+r.downbytes_tt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_qt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.downbytes_qt)+'</td>'+
                '<td class="td-normal" align="right">'+ numberformats(r.upbytes_qt+r.downbytes_qt)+'</td>'+
                '</tr>';
            $(s).appendTo(".yys-detail .topapp-list-table table");
        }
    }
    for (i = trlen-1; i >= len+2; i--) trobj.eq(i).remove();
}

function yysapp_graph(json)
{
    var option = {
        chart: {
            renderTo: "yysapp_graph",
            defaultSeriesType: "column",
		//backgroundColor: '#f5f5f5',
		//borderWidth: 1,
		borderColor:'#D3DCEB',
		borderRadius:4
        },
        title: {
            text: '运营商协议流量TOP图',
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
			style:{font: 'Arial', fontSize:'12px', color:'#000'},
            labels:{
                rotation:-45,
                align:'right',
                style:{font: 'Arial', fontSize:'12px', color:'#000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return '<b>' + this.x + '</b><br/>' +
                    this.series.name + ': ' + numberformats(this.y) + '<br/>' +
                    'Total: ' + numberformats(this.point.stackTotal);
            }
        },
        plotOptions: {
            column: {
				stacking: 'normal',
                cursor:'pointer',
				point:{
                    events:{
                        click:function(){
							yys_detail(starttime, endtime, this.yys, this.category, -1);
                        }
                    }},
                dataLabels: {
                    enabled: false
                }
            }
        },
        legend: {
            enabled:true
        },
        credits: {
            enabled: false
        },
        series: []
    }

	var c = 0;
	var series = [{name:'电信', data:[]}, 
		{name:"移动", data:[]}, 
		{name:"联通", data:[]}, 
		{name:"铁通", data:[]}, 
		{name:"其它", data:[]}];
	
	option.xAxis.categories = json.app_x;
	option.series = json.app_y;

	var chart = new Highcharts.Chart(option);
}

function yys_detail(starttime, endtime, yys, cname, appid)
{
	var left = (window.screen.width - 800) / 2;
	var height = window.screen.height - 150;
	
	window.open("yys_detail.php?yys="+yys+"&starttime="+starttime+"&endtime="+
		endtime+"&cname="+cname+"&appid="+appid, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function urlpie_pie(json, starttime, endtime)
{
    var option = {
        chart: {
            renderTo: 'yyspie',
            defaultSeriesType: 'pie',
	//backgroundColor: '#f5f5f5',
		//borderWidth: 1,
		borderColor:'#D3DCEB',
		borderRadius:4
        },
        title: {
            text: '运营商流量分布图',
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', fontWeight:'normal', color:'#000000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return ''+
                    this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%'
            }
        },
        plotOptions: {
            pie: {
				size:'80%',
                allowPointSelect: true,
                cursor: 'pointer',
                showInLegend: true,
                dataLabels: {
                    enabled: true,
					style:{fontSize:'12px', fontWeight:'normal'},
                    formatter: function() {
                        return this.point.name +': '+ Highcharts.numberFormat(this.point.percentage, 1) + '%';
                    },
                },
				point:{
                    events:{
                        click:function(){
							yys_detail(starttime, endtime, this.yys, this.name, -1);
                        }
                    }},
            }
        },
        legend: {
            enabled:false,
            layout: 'vertical',
            backgroundColor: '#FFFFFF',
            floating: true,
            align: 'left',
            verticalAlign: 'top',
            x: 425,
            y: 25,
            labelFormatter: function() {
                return this.name;
            }
        },
        credits: {
            enabled: false
        },
        series: [{type:'pie', data:[]}]
    };

    var c = 0;
    for (var i = 0; i < json.y.length; i++){
        if (c >= config.my_colors_def.length)
            c = 0;
        option.series[0].data.push({name:json.x[i], y:json.y[i], yys: json.yy_rows[i].yys});
    }
    var chart = new Highcharts.Chart(option);
}

function yysflow_graph(json, starttime, endtime, title, render)
{
    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: "column",
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
        },
        title: {
            text: title,
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
			style:{font: 'Arial', fontSize:'12px', color:'#666'},
            labels:{
                rotation:-45,
                align:'right',
                style:{font: 'Arial', fontSize:'12px', color:'#666'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return '<b>' + this.x + '</b><br/>' +
                    this.series.name + ': ' + numberformats(this.y) + '<br/>' +
                    'Total: ' + numberformats(this.point.stackTotal);
            }
        },
        plotOptions: {
			series: {
                        borderWidth: 0,
                        dataLabels: {
                            enabled: true,
                            formatter:function(){return numberformats(this.y)}
                        }
                    },
            column: {
				stacking: 'normal',
                cursor:'pointer',
				point:{
                    events:{
                        click:function(){
							yys_detail(starttime, endtime, this.yys, this.category, -1);
                        }
                    }},
                dataLabels: {
                    enabled: false
                }
            }
        },
        legend: {
            enabled:true
        },
        credits: {
            enabled: false
        },
        series: []
    }

    var c = 0;
	var series = [{name:'上行流量', data:[]}, {name:"下行流量", data:[]}];
    for (var i = 0; i < json.yy_rows.length; i++){
        series[0].data.push({y:json.yy_rows[i].upbytes, yys: json.yy_rows[i].yys});
		series[1].data.push({y:json.yy_rows[i].downbytes, yys: json.yy_rows[i].yys});
    }
	option.series = series;

    option.xAxis.categories = json.x;
    var chart = new Highcharts.Chart(option);
}

function flowmap_check()
{
	var appid = -1;
	var devid = 0;
	var arr = [];
	
	devid = getdevice();	

	var start = $("#start").val();
	var end = $("#end").val();

	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
        url:'../flow_direction/flowdir.php',
        data:{type:'flow_maps',
			devid: devid,
			appid: appid, 
			starttime:starttime, 
			endtime:endtime, 
			errname:errname
		},
        type:'post',
        dataType:'json',
        success:function(json){
            cluster_load_hide();
			
			flowmaps_update(json);
			topdstip_check();
        }
    });
}

function flowmaps_update(json)
{
	var maxvalue = 0;
	for (i = 0; i < json.rows.length; i++)
		if (json.rows[i].value > maxvalue)
			maxvalue = json.rows[i].value;
	
	require.config({
	paths: {
			echarts: '../js/echarts'
		}
	});
	require(
		[
			'echarts',
			'echarts/chart/map'
		],
		function(ec) {
			echarts = ec;
		}
	);
		
	var myChart = echarts.init(document.getElementById('flowmap'));
	myChart.setOption({
		title : {
			text: '区域流量数据分布图',
			x:'center',
			textStyle: {
				fontSize: 12,
				fontWeight: 'bold',
				color: '#666'
			}
		},
		tooltip : {
			trigger: 'item',
			textStyle: {
				fontSize: 12,
				fontWeight: 'normal'
			},
			formatter: function(params, ticket, callback){
				return params.name+'：'+numberformats(params.value);
			}
		},
		dataRange: {
			//orient: 'right',
			min: 0,
			max: maxvalue,
			x: 'right',
			y: 'bottom',
			text:['高','低'],           // 文本，默认为数值文本
			calculable : true,
			color: ['#f00', '#CC6666', '#f5f5f5'],
			formatter: function(v) {
				return numberformats(v);
			}
		},
		
		series : [
			{
				name: '区域流量数据分布图',
				type: 'map',
				mapType: 'china',
				//selectedMode : 'multiple',
				itemStyle:{
					normal:{label:{show:true}, borderColor: '#ddd', areaStyle:{color:'f5f5f5'}},
					emphasis:{label:{show:true}}
				},
				data: json.rows
			}
		]
	}, true);
	
	var ecConfig = require('echarts/config');
	myChart.on(ecConfig.EVENT.CLICK, area_detail);
}

function area_detail(param)
{
	var left = (window.screen.width - 800) / 2;
	var height = window.screen.height - 150;
	
	var appid = -1;

    var start = $("#start").val();
	var end = $("#end").val();

	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	window.open("area_detail.php?areaname="+param.name+"&starttime="+
		starttime+"&endtime="+endtime+"&appid="+appid, "_blank", 
		"width=700px, height="+height+", left="+left);
}

var page = 1;
var limit = 20;

function topdstip_graph(json, title, render, starttime, endtime)
{
    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: "column",
			//backgroundColor: '#f5f5f5',
			//borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
        },
        title: {
            text: title,
		style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
			style:{font: 'Arial', fontSize:'12px', color:'#000'},
            labels:{
                rotation:-45,
                align:'right',
                style:{font: 'Arial', fontSize:'12px', color:'#000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return '<b>' + this.x + '</b><br/>' +
                    this.series.name + ': ' + numberformats(this.y) + '<br/>' +
                    'Total: ' + numberformats(this.point.stackTotal);
            }
        },
        plotOptions: {
            column: {
				stacking: 'normal',
                cursor:'pointer',
				point:{
                    events:{
                        click:function(){
							dstip_applist(starttime, endtime, this.x);
                        }
                    }},
                dataLabels: {
                    enabled: false
                }
            }
        },
        legend: {
            enabled:true
        },
        credits: {
            enabled: false
        },
        series: []
    }

    var c = 0;
	var series = [{name:'上行流量', data:[]}, {name:"下行流量", data:[]}];
	
	if (json.rows.length >= 20) length = 20;
	else length = json.rows.length;
    for (var i = 0; i < length; i++){
        series[0].data.push({y:json.rows[i].upbytes});
		series[1].data.push({y:json.rows[i].downbytes});
		option.xAxis.categories.push(json.rows[i].ipaddr);
    }
	option.series = series;
    var chart = new Highcharts.Chart(option);
}

/* 目标IP地址TOP排名 */
function topdstip_check()
{
	var devid = 0;
	var arr = [];
	
	var start = $("#start").val();
	var end = $("#end").val();
	
	devid = getdevice();	

	var dt = new Date();
	var hour = dt.getHours();
	//var starttime = start + ' '+hour+':59:59';
	//var endtime = end + ' '+hour+':59:59';
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	var ipaddr = "";

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'topdstip_check',
				devid: devid,
				ipaddr: ipaddr,
				yys: -1,
				sort:'total', 
				page: page, 
				limit: limit, 
				starttime:starttime, 
				endtime:endtime, 
				errname:errname, 
				bexport: 0, 
				appid: '-1'
			},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();
			topdstip_graph(json, '目标地址流量TOP图', 'topdstip', starttime, endtime);
		}
	});
}

function flowdir_custom()
{
	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'flowdir_cuslist'},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else 
				cus_data_update(json);
		}
	});
}

function cus_data_update(json)
{
	var list = document.getElementById("flowdir_custom_table");
	while (list.rows.length > 1)
		list.deleteRow(1);

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = (i+1);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		cell.innerHTML = r.name;
		
		var mk = "<span style='color:#ccc'>系统内置<span>";
		if (r.id > 5 && r.id < 95) {
			mk = '<a href="javascript:void(0)" onclick="cus_edit('+r.id+', \''+r.name+'\')">编辑</a>';
			mk += '&nbsp;';
			mk += '<a href="javascript:void(0)" onclick="cus_import('+r.id+', \''+r.name+'\')">导入</a>';
			mk += '&nbsp;';
			mk += '<a href="javascript:void(0)" onclick="cus_remove('+r.id+')">删除</a>';
		}
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = mk;
	}
}

function flowdir_addcus()
{
	$(".flowdir-addcus").dialog({
		width:350,
		buttons:[{
			text: "提交",
			click: function(){
				flowdir_addcus_handle();
			}
		}]
	});
}

function flowdir_addcus_handle()
{
	var yysname = $("#yysname").val();
	yysname = TrimAll(yysname);
	if (yysname == "") {
		alert("请输入正确的运营商名称");
		$("#yysname").focus();
		return false;
	}
	
	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'flowdir_addcus_handle', yysname: yysname},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else {
				$(".flowdir-addcus").dialog("close");
				flowdir_custom();
			}
		}
	});
}

function cus_remove(id)
{
	if (!confirm("确定要删除此运营商吗"))
		return false;
	
	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'cus_remove', id: id},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else {
				flowdir_custom();
			}
		}
	});
}

function cus_import(id, name)
{
	$(".flowdir-cusimport").dialog({
		width:550,
		height:230,
		title: name
	});
	$("#import_yysid").val(id);
}

function cus_edit(id, name)
{
	$(".flowdir-cusedit").dialog({
		width:600,
		height:600,
		title: name,
		close:function(e, ui) {
			// 在这里加上reload，主要是为了一个运营商的IP太多时，页面会卡住
			location.reload();
		}
	});

	$("#yysid").val(id);
	
	cus_iplist(id);
}

function cus_addip()
{
	var yysid = $("#yysid").val();
	var ipseg = TrimAll($("#ipseg").val());
	var posi = TrimAll($("#posi").val());
	var startip, endip;
	var a = [];

	if (ipseg == "" || posi == "") {
		alert("请填写要添加的参数");
		return false;
	}

	if (ipseg.indexOf('/') != -1) {
		a = ipseg.split('/');
		if (!IsIPAddr(a[0])) {
			alert("请输入正确的IP地址");
			return false;
		}
		startip = ipseg;
	}else
	if (ipseg.indexOf('-') != -1) {
		a.length = 0;
		a = ipseg.split('-');
		if (!IsIPAddr(a[0]) || !IsIPAddr(a[1])) {
			alert("请输入正确的IP地址");
			return false;
		}
		startip = a[0];
		endip = a[1];
	}else
	if (!IsIPAddr(ipseg)) {
		alert("请输入正确的IP地址");
		return false;
	}else {
		startip = endip = ipseg;
	}

	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'cus_addip', yysid: yysid, posi: posi, ipseg:ipseg},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (json.yn && json.yn == "no")
				alert(json.str);
			else {
				cus_iplist(yysid);
			}
		}
	});
}

function cus_iplist(yysid)
{
	var loading = layer.load(0, {shade: false});
	$.ajax({
		url:'../flow_direction/flowdir.php',
		data:{type:'cus_iplist', yysid: yysid},
		type:'post',
		dataType:'json',
		success:function(json) {
			layer.close(loading);
			if (json.yn && json.yn == "no")
				return;
			cus_iplist_update(json);
		}
	});
}

function cus_iplist_update(data)
{
	var list = document.getElementById("flowdir_custom_ip");
	while (list.rows.length > 2)
		list.deleteRow(2);

	for (i = 0; i < data.rows.length; i++) {
		r = data.rows[i];

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		ipseg = r.ipseg;
		if (ipseg == "")
			ipseg = r.startip + '/' + r.endip;

		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = ipseg;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = r.posi;
		
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = '';
	}
}

function isupgrade()
{
    if (! confirm("确定要导入文件吗"))
        return false;

    return true;
}
</script>
</head>
<body>
<input type="hidden" value="<?=$_GET['utype']?>" id="urltype" />
<div class="outer">
	<div class="als-nav-header">
		<ul>
			<li><a href="flow_stat.php">流量概况</a></li>
			<li class="active"><a href="flowdir_custom.php">自定义运营商</a></li>
		</ul>
	</div>

	<div class="topapp-list-table flowdir-custom my-dir-shadow">
		<table style="width:100%;" id="flowdir_custom_table">
			<tr>
				<th width="60px">编号</th>
				<th align="left">名称</th>
				<th width="200px">操作</th>
			</tr>
		</table>
	</div>
	<div style="margin:10px 0;text-align:right;">
		<div style="float:right;width:200px;text-align:center;">
			<input type="button" value="添加运营商" class="btn-extend-blue" onclick="flowdir_addcus()" />
		</div>
		<div style="clear:both;"></div>
	</div>
	<div class="flowdir-addcus" title="添加运营商" style="display:none;">
		<table style="width:100%; margin:20px 10px;">
			<tr>
				<td>运营商名称</td>
				<td>
					<input type="text" value="" id="yysname" style="width:190px;" />
				</td>
			</tr>
		</table>
	</div>
	<div class="flowdir-cusimport" style="display:none;">
		<iframe src="" name="file-upgrade-frame" id="file-upgrade-frame" style="display:none;" frameborder=0></iframe>
		<form enctype="multipart/form-data" method="post" action="flowdir.php" target="file-upgrade-frame" onsubmit="return beforesubmit()">
			<table style="margin:5px 10px;">
				<tr>
					<td>1) 每行2列：IP段和地理位置，IP和位置之间用空格隔开。</td>
				</tr>
				<tr>
					<td>2) 格式如：xxx.xxx.xxx.xxx/nn 或者 xxx.xxx.xxx.xxx-yyy.yyy.yyy.yyy position; 如 1.1.1.1-2.2.2.2 北京北京</td>
				</tr>
			</table>
			<table style="margin:35px 10px;">
				<tr>
					<td class="font-fileupload" align="left">
						请输入文件路径：
						<input type="file" name="fileupgrade" id="fileupgrade" />
						<input type="hidden" name="type" id="type" value="cus_importfile" />
						<input type="hidden" name="import_yysid" id="import_yysid" value="" />
						<input type="submit" value="上传文件" style="height:22px;" />
					</td>
				</tr>
			</table>
		</form>
	</div>
	<div class="topapp-list-table flowdir-cusedit" style="display:none;">
		<table style="width:100%;" id="flowdir_custom_ip">
			<tr>
				<th>IP地址段</th>
				<th>地理位置</th>
				<th>操作</th>
			</tr>
			<tr>
				<td align="center">
					<input type="hidden" value="" id="yysid" />
					<input type="text" value="" id="ipseg" placeholder="x.x.x.x-y.y.y.y或x.x.x.x/nn" style="width:200px" />
				</td>
				<td align="center">
					<input type="text" value="" id="posi" placeholder="省份和城市名，例如广东广州" style="width:250px" />
				</td>
				<td align="center">
					<input type="button" value="提交" onclick="cus_addip()" class="ui-button ui-widget ui-corner-all" />
				</td>
			</tr>
		</table>
	</div>
</div>
<script type="text/javascript">
var layer;
layui.use("layer", function(){
	layer = layui.layer;
});
flowdir_custom();
</script>
</body>
</html>
