<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>

<script type="text/javascript">

function data_update(data, starttime, endtime, grpname)
{
	var r, s;
	var len = data.rows.length;
	var trobj = $(".topapp-list-table table tbody tr");
	var trlen = trobj.length;
	var tdobj;
	var href;
	var trbg = '';

	for (i = 0; i < len; i++){
		r = data.rows[i];

		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';
		
		if (i <= 2)
			ftcolor = '#00f';
		else
			ftcolor = '#000000';
		
		if (r.ip == "total") {
			r.ip = '<a style="font-weight:bold;color:#000;">合计</a>';
			del = r.ip;
		}else
		del = '<a href="javascript:ipdetail(\''+r.ip+'\', \''+grpname+'\', \''+starttime+'\', \''+endtime+'\')">'+r.ip+'</a>';

		if (trobj.eq(i+1).length > 0){
			tdobj = trobj.eq(i+1).find("td");

			tdobj.eq(0).text(i+1);
			tdobj.eq(1).html(del);
			tdobj.eq(2).html(numberformats(r.upbytes));
			tdobj.eq(3).html(numberformats(r.downbytes));
			tdobj.eq(4).html(numberformats(r.upbytes+r.downbytes));
		}else{
			s = '<tr class="'+trbg+'">' +
				'<td class="txt-center">'+ (i+1)+'</td>'+
				'<td class="txt-left">'+ del+'</td>'+
				'<td class="txt-right">'+ numberformats(r.upbytes)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.downbytes)+'</td>'+
				'<td class="txt-right">'+ numberformats(r.upbytes+r.downbytes)+'</td>'+
				'</tr>';
			$(s).appendTo(".topapp-list-table table tbody");
		}
	}
	
	for (i = trlen-1; i >= len+1; i--) trobj.eq(i).remove();
}

function ipgrp_open(bexport, sort)
{
	var grpid = $("#grpid").val();
	var starttime = $("#start").val();
	var endtime = $("#end").val();
	var grpname = $("#grpname").val();
	
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../flow_direction/ipgrp_handle.php',
		data:{type:'ipgrp_open', bexport:bexport, grpid: grpid, 
			grpname:grpname, starttime:starttime, endtime:endtime, 
			errname:errname, sort: sort},
		type:'post',
		dataType:'json',
		success:function(json) {
			if (bexport == 0)
				data_update(json, starttime, endtime, grpname);
			else
				cluster_downloadfile('');
			
			cluster_load_hide();
		}
	});
}

function ipdetail(ip, grpname, starttime, endtime)
{
	var left = ($(window).width()) / 2;
	var height = $(window).height();
	
	window.open("ipdetail.php?grpname="+grpname+"&start="+starttime+"&end="+endtime+'&ip='+ip, 
		"_blank", "width=700px,height="+height+"px,left="+left+"px");
}

</script>
</head>
<body>
<div>
	<div style="height:28px; margin-bottom: 5px;">
		<ul class="nav nav-tabs">
		<?php
		$grpname = $_GET['grpname'];
		$start = $_GET['start'];
		$end = $_GET['end'];
		$grpid = $_GET['grpid'];
		$url1 = "ipgrp_open.php?grpname=$grpname&grpid=$grpid&start=$start&end=$end";
		$url1 = "ipgrp_appgroup.php?grpname=$grpname&grpid=$grpid&start=$start&end=$end";
		?>
			<li><a href="<?=$url1?>">地址列表</a></li>
			<li class="active"><a href="<?=$url2?>">协议组</a></li>
		</ul>
	</div>
	<div class="check-form">
		<ul class="ul-float-right">
			<li>
				<a class="ui-button ui-widget ui-corner-all" onclick="ipgrp_open(1, 'total')">
				<img src="../img/excel.png" style="margin-bottom:-3px;" /> excel</a>
				<a class="ui-button ui-widget ui-corner-all" onclick="ipgrp_open(2, 'total')">
				<img src="../img/curinfo.png" style="margin-bottom:-3px;" /> txt</a>
				<a class="ui-button ui-widget ui-corner-all" onclick="ipgrp_open(3, 'total')">
				<img src="../img/doc_excel_csv.png" style="margin-bottom:-3px;" /> cvs</a>
				<a class="ui-button ui-widget ui-corner-all" onclick="cluster_downloadfile('')">下载列表</a>
		</ul>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<input type="hidden" value="<?= $_GET['grpname']?>" id="grpname" />
	<input type="hidden" value="<?= $_GET['start']?>" id="start" />
	<input type="hidden" value="<?= $_GET['end']?>" id="end" />
	<input type="hidden" value="<?= $_GET['grpid']?>" id="grpid" />
	
    <div class="topapp-list-table" style="margin-top:0px;">
        <table style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
            <tr>
                <th class="txt-center" style="width:50px;">序号</th>
                <th class="txt-left">IP地址</th>
				<th class="txt-right"><a href="javascript:ipgrp_open(1, 'up')">上行流量</a></th>
				<th class="txt-right"><a href="javascript:ipgrp_open(1, 'down')">下行流量</a></th>
				<th class="txt-right"><a href="javascript:ipgrp_open(1, 'total')">总流量</a></th>
            </tr>
        </table>
    </div>
</div>
<script type="text/javascript">
ipgrp_open(0, 'total');
</script>
</body>
</html>
