$(document).ready(function(){
    Highcharts.setOptions({ global: { useUTC: false } });

    $(".app-top-last-li").live("click", function(){
        $(".app-top-last-li-current").addClass("app-top-last-li");
        $(".app-top-last-li-current").removeClass("app-top-last-li-current");
        $(this).removeClass("app-top-last-li");
        $(this).addClass("app-top-last-li-current");
        if ($(this).text() == "自定义"){
            $("#checkpanel_con").parents("table").fadeIn(500);
            filltime();
            $("#topappok").unbind("click");
            $("#topappok").live("click", function(){
                ipinfo_son_checkout();
            })
        }else {
            $("#checkpanel_con").parents("table").fadeOut(500);
            if ($(this).text() == "最近1小时")
                log_topip_init(1);
            if ($(this).text() == "最近3小时")
                log_topip_init(3);
            if ($(this).text() == "最近6小时")
                log_topip_init(6);
            if ($(this).text() == "最近24小时")
                log_topip_init(24);
        }
    })
	
    //log_topip_init(1);
});

function log_topip_init(hours)
{
    var d = new Date();
    var d2 = d - hours * 1000 * 3600;
    d2 = new Date(d2);

    var devid = 0;
    var topip = 25;

    ip = "0.0.0.0-255.255.255.255";
    starttime = d2.getFullYear()+'-'+(d2.getMonth()+1)+'-'+d2.getDate()+' '+d2.getHours()+':'+d2.getMinutes()+':0';
    endtime = d.getFullYear()+'-'+(d.getMonth()+1)+'-'+d.getDate()+' '+d.getHours()+':'+d.getMinutes()+':0';

    log_topip_getdata(devid, "down", topip, ip, starttime, endtime);
}

function ipinfo_son_checkout()
{
    var devid = $("#device").val();

    var topip = $("#topip").val();
    var chartype = $("#chartype").val();
    var ip = TrimAll($("#ipminipmax").val());

    var startyear = $("#startyear").val();
    var startmonth = $("#startmonth").val();
    var startdate = $("#startdate").val();
    var starthour = $("#starthour").val();
    var startminute = $("#startminute").val();
    var startsec = $("#startsec").val();
    var endyear = $("#endyear").val();
    var endmonth = $("#endmonth").val();
    var enddate = $("#enddate").val();
    var endhour = $("#endhour").val();
    var endminute = $("#endminute").val();
    var endsec = $("#endsec").val();

    starttime = startyear+'-'+startmonth+'-'+startdate + ' '+starthour+':'+startminute+':'+startsec;
    endtime = endyear+'-'+endmonth+'-'+enddate + ' '+endhour+':'+endminute+':'+endsec;

    log_topip_getdata(devid, chartype, topip, ip, starttime, endtime);
}

function log_topip_getdata(devid, chartype, topip, ip, starttime, endtime)
{
    load_show();

    var errname = (new Date()).getTime()+'.st';
    get_status(errname);
	
	$.ajax({
		url:"iptop.php",
		data:{devid:devid, ip:ip, tmstart:starttime, tmend:endtime,
        topip:topip, type:chartype, errname:errname},
		type:"get",
		dataType:"json",
		success:function(md){
			log_topip_graph(md, "topip_con", devid, starttime, endtime);
			log_topip_detail(md, devid, starttime, endtime, chartype);

			load_hide();
		}
	});
}

function log_topip_detail(data, devid, starttime, endtime, chartype)
{
    var r, s;
    var len = data.detail.length;
    var trobj = $(".topapp-list-table table tbody tr");
    var trlen = trobj.length;
    var tdobj;

    for (i = 0; i < len; i++){
        r = data.detail[i];

        trbg = '';
        if (i % 2 == 1)
            trbg = 'log-table-tr-toggle-bgcolor-curr';

        if (trobj.eq(i+2).length > 0){
            tdobj = trobj.eq(i+2).find("td");

            tdobj.eq(0).text((i+1));
            tdobj.eq(1).html(r.ip);
            tdobj.eq(2).text(r.account);
            tdobj.eq(3).text((r.flowcnt));
            tdobj.eq(4).text(numberformats(r.up));
            tdobj.eq(5).text(numberformats(r.down));
            tdobj.eq(6).text(numberformats((r.total)));
            tdobj.eq(7).text(numberformats(r.up*8/ r.sum_inter));
            tdobj.eq(8).text(numberformats(r.down*8/ r.sum_inter));
            tdobj.eq(9).text(numberformats((r.total*8/ r.sum_inter)));
            tdobj.eq(10).text(numberformats(r.maxout*8/ r.inter));
            tdobj.eq(11).text(numberformats(r.maxin*8/ r.inter));
            tdobj.eq(12).text(numberformats(((r.maxout+ r.maxin)*8/ r.inter)));
            tdobj.eq(13).html('<a href="javascript:iptrendwin('+devid+', \''+ r.ip+'\', \''+
                chartype+'\', \'#006594\', \''+starttime+'\', \''+endtime+'\')"><img src="../img/chart_curve.png" title="'+ r.ip+'-流量趋势图" /></a>'+
                '&nbsp;&nbsp;<a href="javascript:iptoappwin('+devid+', \''+ r.ip+'\', \''+
                chartype+'\', \'#006594\', \''+starttime+'\', \''+endtime+'\', 0)"><img src="../img/user.png" title="'+ r.ip+'-用户访问数据" /></a>');
        }else{
            s = '<tr class="'+trbg+'">' +
                '<td class="txt-left">'+ (i+1)+'</td>'+
                '<td class="txt-left">'+ r.ip+'</td>'+
                '<td class="td-normal">'+ r.account+'</td>'+
                '<td class="td-normal">'+ r.flowcnt+'</td>'+
                '<td class="td-normal">'+ numberformats(r.up)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.down)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.total)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.up * 8 / r.sum_inter)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.down * 8 / r.sum_inter)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.total * 8 / r.sum_inter)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.maxout * 8 / r.inter)+'</td>'+
                '<td class="td-normal">'+ numberformats(r.maxin * 8 / r.inter)+'</td>'+
                '<td class="td-normal">'+ numberformats((r.maxout+ r.maxin) * 8 / r.inter)+'</td>'+
                '<td class="td-left-last"><a href="javascript:iptrendwin('+devid+', \''+ r.ip+'\', \''+
                chartype+'\', \'#006594\', \''+starttime+'\', \''+endtime+'\')"><img src="../img/chart_curve.png" title="'+ r.ip+'-流量趋势图" /></a>&nbsp;&nbsp;'+
                '<a href="javascript:iptoappwin('+devid+', \''+ r.ip+'\', \''+
                chartype+'\', \'#006594\', \''+starttime+'\', \''+endtime+'\', 0)"><img src="../img/user.png" title="'+ r.ip+'-用户访问数据" /></a></td>'+
                '</tr>';
            $(s).appendTo(".topapp-list-table table tbody");
        }
    }
    for (i = trlen-1; i >= len+2; i--) trobj.eq(i).remove();
}

function log_topip_graph(jsondata, render, devid, starttime, endtime)
{
    var distype = "column";

    var option = {
        chart: {
            renderTo: render,
            defaultSeriesType: distype,
			//backgroundColor: '#f5f5f5',
			borderWidth: 1,
			borderColor:'#D3DCEB',
			borderRadius:4
        },
        title: {
            text: 'Top用户流量柱状图',
			style:{font: 'Arial', fontSize:'14px', color:'#000'}
        },
        subtitle: {
            text: null
        },
        xAxis: {
            categories: [],
            title: {
                text: null
            },
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },
        yAxis: {
            min: 0,
            title: {
                text: 'byte'
            }
        },
        tooltip: {
            formatter: function() {
                return ''+
                    this.x +': '+ numberformats(this.y);
            }
        },
        plotOptions: {
            column: {
                cursor:'pointer',
				depth: 35,
                point:{
                    events:{
                        click:function(){
                            iptrendwin(devid, this.category, chartype, this.color, starttime, endtime);
                        }
                    }},
                dataLabels: {
                    enabled: false
                }
            },
            bar: {
                cursor:'pointer',
                point:{
                    events:{
                        click:function(){
                            iptrendwin(devid, this.category, chartype, this.color, starttime, endtime);
                        }
                    }},
                dataLabels: {
                    enabled: false
                }
            }
        },
        legend: {
            enabled:false
        },
        credits: {
            enabled: false
        },
        series: [{name:null, colorByPoint: true, data:[]}]
    }

    var c = 0;
    for (var i = 0; i < jsondata.y.length; i++){
        option.series[0].data.push({y:jsondata.y[i]});
    }

    option.xAxis.categories = jsondata.x;
    var chart = new Highcharts.Chart(option);
}

function iptrendwin(devid, ip, color, starttime, endtime)
{
    var divs = config.trendiv++;

    $("<div id='iptrendwin_win"+divs+"'></div>").appendTo("body");

    $('#iptrendwin_win'+divs).load('iptrendwin-html.php', {ip:ip, trendiv:divs}, function(){
        setWinpos("iptrendwin_win"+divs, 750, 700, "iptrendwin_con"+divs);

        $('#iptrendwin_win'+divs).css('z-index', config.zindex++);

        log_iptrend_getdata(devid, ip, color, starttime, endtime, divs);
    });
}

function log_iptrend_getdata(devid, ip, color, starttime, endtime, divs)
{
    var req = /#/g;

    load_show();

    var errname = (new Date()).getTime()+'.st';
    get_status(errname);

    $.get('iptrend.php?devid='+devid+'&ip='+ip+'&type=bpsup&errname='+errname+
        '&tmstart='+starttime+'&tmend='+endtime+'&color='+color.replace(req, ""), function(json){
        var mydata;
        eval("mydata="+json);

        iptrend(mydata.result_up, "bpsup", "iptrendup"+divs);
        iptrend(mydata.result_down, "bpsdown", "iptrenddown"+divs);
        iptrend(mydata.result_flow, "bpsflow", "iptrendflow"+divs);

        load_hide();
    });
}

function iptrend(jsondata, chartype, render)
{
    var units = 'bits/s';
    var titles = "上行流量趋势图";
    if (chartype == "bpsflow"){
        units = null;
        titles = "连接数趋势图";
    }else if (chartype == "bpsdown")
        titles = "下行流量趋势图";

    var options = {
        chart:{
            renderTo:render,
            defaultSeriesType:'area'
        },title:{
            text:titles,
            style:{fontSize:'14px'}
        },xAxis:{
            type:'datetime',
            tickPixelInterval:60,
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },yAxis:{
            min:0,
            tickPixelInterval:30,
            title:{
                text:units
            },labels:{formatter:function(){
                return numberformats(parseInt(this.value));
            }
            },
            plotLines:[{value:0,width:1}]
        },legend:{enabled:false,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
        },plotOptions:{
            spline:{
                marker:{radius:0,
                    lineWidth:0
                }
            },
            area:{size:[200,50],lineWidth:0,marker:{enabled:false}}
        },credits:{enabled:false},
        tooltip:{
            formatter:function(){
                var dd = new Date(this.x);
                var str = dd.getHours()+':'+dd.getMinutes();
                return this.series.name+'<br/>'+str+' '+numberformats(this.y);
            }
        },series:[]
    }

    options.series = jsondata;
    new Highcharts.Chart(options);
}
