// JavaScript Document
var config = {
	zindex:1000,
	curtab:'ipup',
	iptrendtab:'bpsup',
	trendiv:0,
	loadingstr: "<div style='margin:0 auto;padding-top:100px;'><img src='../img/upload.gif' /></div>",
	my_colors_def: ["#068BC5","#4EB133","#E6561C","#E6EB01","#24C8E3","#62E172","#F7EE64","#69F5C3","#ACDBFD","#C6C9CA", "#F68F67","#CDE577","#710000","#5D584B","#4572A7"]
}

$(document).ready(function(){
	Highcharts.setOptions({ global: { useUTC: false } });

	$("#small-tab-topip tr td").mouseover(function(){
			$(this).css("cursor", "pointer");
	});
	$("#small-tab-topip tr td").click(function(){
			if ($(this).attr("id") == "topipcheck")
			{
				topipcustom();
				return false;
			}else
			{
				config.curtab = $(this).attr("id");
				$(".td-click-red").removeClass("td-click-red");
				$(this).addClass("td-click-red");
				topip(0, config.curtab, '', 1, "topip_con");
			}
	});

	/*流量趋势*/
	$("#small-tab-iptrend tr td").mouseover(function(){
			$(this).css("cursor", "pointer");
	});
	$("#small-tab-iptrend tr td").click(function(){
			if ($(this).attr("id") == "iptrendcheck")
			{
					ipsegtrendwin();
			}else
			{
					config.iptrendtab = $(this).attr("id");
					$(".td-click-red-trend").removeClass("td-click-red-trend");
					$(this).addClass("td-click-red-trend");

					ipsegtrend(0, "0.0.0.0-255.255.255.255", config.iptrendtab, config.my_colors_def[0], "iptrend_con", 1, 0)
			}
	});

	ipsegtrend(0, "0.0.0.0-255.255.255.255", "bpsup", config.my_colors_def[0], "iptrend_con", 1, 0)
	setTimeout(function(){topip(0, 'ipup', '', 1, "topip_con");}, 1000);
	
	$("#ipcustomdis").click(ipdetailcustom);
	
	//createrightbox();
});

function setcheckrange(startdt, enddt)
{
	var htl = "<input type='hidden' value='"+startdt+"' id='startdt' />";
	htl += "<input type='hidden' value='"+enddt+"' id='enddt' />";
	
	if ($("#startdt").length > 0)
	{
		$("#startdt").val(startdt);
		$("#enddt").val(enddt);
	}else
		$(htl).appendTo("body");
}

function topip(last, chartype, ip, hours, render)
{
	var starttime, endtime;
	var distype = "column";

	var option = {
		chart: {
			renderTo: render,
			defaultSeriesType: distype
		},
		title: {
			text: null
		},
		subtitle: {
			text: null
		},
		xAxis: {
			categories: [],
			title: {
				text: null
			},
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},
		yAxis: {
			min: 0,
			title: {
				text: 'byte'
			}
		},
		tooltip: {
			formatter: function() {
				return ''+
					 this.x +': '+ this.y;
			}
		},
		plotOptions: {
			column: {
				cursor:'pointer',
				point:{
				events:{
					click:function(){
						iptrendwin(devid, this.category, chartype, this.color);
					}
				}},
				dataLabels: {
					enabled: false
				}
			},
			bar: {
				cursor:'pointer',
				point:{
				events:{
					click:function(){
						iptrendwin(devid, this.category, chartype, this.color);
					}
				}},
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:false
		},
		credits: {
			enabled: false
		},
		series: [{name:null, data:[]}]
	}
	
	if (last)
	{
		var devid = $("#device").val();
		var topip = $("#topip").val();
		var ipmin = $("#ipmin").val();
		var ipmax = $("#ipmax").val();

		if (chartype == "")
			chartype = $("#chartype").val();
	
		$(".td-click-red").removeClass("td-click-red");
		$("#"+chartype).addClass("td-click-red");
		config.curtab = chartype;

		if ((ipmin != "" && !IsIPAddr(ipmin)) || (ipmax != "" && ! IsIPAddr(ipmax)))
		{
			popwindow_tips("IP地址输入不正确");
			return false;
		}else if (IsIPAddr(ipmin) && IsIPAddr(ipmax))
			var ip = ipmin+'-'+ipmax;
		else var ip = "0.0.0.0-255.255.255.255";
		
		var startyear = $("#startyear").val();
		var startmonth = $("#startmonth").val();
		var startdate = $("#startdate").val();
		var starthour = $("#starthour").val();
		var startminute = $("#startminute").val();
		var startsec = $("#startsec").val();
		var endyear = $("#endyear").val();
		var endmonth = $("#endmonth").val();
		var enddate = $("#enddate").val();
		var endhour = $("#endhour").val();
		var endminute = $("#endminute").val();
		var endsec = $("#endsec").val();
		
		starttime = startyear+'-'+startmonth+'-'+startdate + ' '+starthour+':'+startminute+':'+startsec;
		endtime = endyear+'-'+endmonth+'-'+enddate + ' '+endhour+':'+endminute+':'+endsec;
	}else
	{
		var d = new Date();
		var d2 = d - hours * 1000 * 3600;
		d2 = new Date(d2);
	
		var devid = 0;
		var topip = 25;
		
		if (ip == "")
			ip = "0.0.0.0-255.255.255.255";
		
		if (render != "tcgraphic" && $("#startdt").length > 0)
		{
			starttime = $("#startdt").val();
			endtime = $("#enddt").val();
		}else
		{
			starttime = d2.getFullYear()+'-'+(d2.getMonth()+1)+'-'+d2.getDate()+' '+d2.getHours()+':'+d2.getMinutes()+':0';
			endtime = d.getFullYear()+'-'+(d.getMonth()+1)+'-'+d.getDate()+' '+d.getHours()+':'+d.getMinutes()+':0';
		}
	}
	
	setcheckrange(starttime, endtime);
	
	$("#checkpanel_win").hide();
	$("#"+render).html(config.loadingstr);

	var detail = "<a style='color:#f00;text-decoration:underline' href='javascript:ipdetailwin("+devid+", \""+ip+"\", \""+starttime+"\", \""+endtime+"\", "+topip+", \""+chartype+"\")'>IP列表</a>"
	if (devid == 0)
			var devstr = "所有设备";
	var tips = "设备："+devstr+"&nbsp;/&nbsp;IP数："+topip+"&nbsp;/&nbsp;查询时间段："+starttime+" -> "+endtime+"&nbsp;/&nbsp;数据类型："+$("#"+config.curtab).html() + 
			"&nbsp;&nbsp;"+detail;
	$("#topipcheck-tips").html(tips);
	$("#topipcheck-tips").css("display", "block");

	$.get("iptop.php", {devid:devid, ip:ip, tmstart:starttime, tmend:endtime, topip:topip, type:chartype}, function(data){
		var md, c = 0;
		eval("md="+data);
		
		for (var i = 0; i < md.y.length; i++)
		{
			if (c >= config.my_colors_def.length)
				c = 0;
			option.series[0].data.push({y:md.y[i], color:config.my_colors_def[c++]});
		}
		
		option.xAxis.categories = md.x;
		var chart = new Highcharts.Chart(option);
		
		$("#detailip").css("display", "block");
		
		$("#detailip").unbind("click");
		$("#detailip").click(function(){
			ipdetailwin(devid, ip, starttime, endtime, topip, chartype)
		});
	});
}

function iplistwin()
{
	$("<div id='iplist_win'></div>").appendTo("body");

	$('#iplist_win').load('iplist-html.php', function(){
		setWinpos("iplist_win", 800, 500, "iplist_con");
		
		$('#iplist_win').css('z-index', config.zindex++);
		$('#iplist_win').draggable({cursor:'move', handle:'table.popup-bar-fill-800px'});
		$('#iplist_title').mousedown(function(){$('#iplist_win').css('z-index', config.zindex++);});
		
		var d = new Date();
		var d2 = d - 1000 * 3600;
		d2 = new Date(d2);
	
		var devid = 0;
		var topip = 25;
		var ip = "0.0.0.0-255.255.255.255";
		var starttime = d2.getFullYear()+'-'+(d2.getMonth()+1)+'-'+d2.getDate()+' '+d2.getHours()+':'+d2.getMinutes()+':0';
		var endtime = d.getFullYear()+'-'+(d.getMonth()+1)+'-'+d.getDate()+' '+d.getHours()+':'+d.getMinutes()+':0';
		
		iplist(devid, ip, starttime, endtime, topip, "iptotal");
	});
}

function iplist(devid, ip, starttime, endtime, topip, chartype)
{
	if (chartype == "ipflow") units = "#flowcont";
	else units = "bytes";
	
	if (chartype == "ipup") title = "上行流量";
	else if (chartype == "ipdown") title = "下行流量";
	else if (chartype == "ipflow") title = "连接数";
	else if (chartype == "iptotal") title = "总流量";
	
	var url = 'iptop.php?devid='+devid+'&ip='+ip+'&tmstart='+starttime+'&tmend='+endtime+'&topip='+topip+'&type='+chartype;
	
	Ext.define('MyData',{
        extend: 'Ext.data.Model',
        fields: ['ip', {name:'up', type:'int'}, {name:'down', type:'int'}, {name:'total', type:'int'}, 
			{name:'maxup', type:'int'}, {name:'maxdown', type:'int'}, {name:'maxflow', type:'int'}]
    });
	
	var stores = Ext.create('Ext.data.Store', {
		model: 'MyData',
        proxy: {
           //异步获取数据，这里的URL可以改为任何动态页面，只要返回JSON数据即可
            type: 'ajax',
			extraParams:{type:'list'},
            url: url,
			timeout:600000,
			actionMethods: {
            	read: 'GET'
        	},
            reader: {
                type: 'json',
                root: 'detail'
            }
        }
    });
	
	var render = "iplist_con";
	
	var iplistgrid = Ext.create("Ext.grid.Panel", {
		store:stores,
		height:$("#"+render).outerHeight()-2,
		renderTo:render,
		id:'iplistgrid-list',
		columns:[{text:'IP地址', dataIndex:'ip', width:120, renderer:function(value,p,record){
			return "<a href='javascript:iptrendwin("+devid+", \""+value+"\", \"\", \"#068BC5\")' style='color:#00f;'>"+value+"</a>"}},
			{text:'连接数', dataIndex:'maxflow', width:70},
			{text:'上行流量', dataIndex:'up', align:'right', flex:1, renderer:function(value, p, record){
				return numformat(value)}},
			{text:'下行流量', dataIndex:'down', align:'right', flex:1, renderer:function(value, p, record){
				return numformat(value)}},
			{text:'总流量', dataIndex:'total', align:'right', flex:1, renderer:function(value, p, record){
				return numformat(value)}},
			{text:'最大上行', dataIndex:'maxup', align:'right', flex:1, renderer:function(value, p, record){
				return numformat(value)}},
			{text:'最大下行', dataIndex:'maxdown', align:'right', flex:1, renderer:function(value, p, record){
				return numformat(value)}}]
	});
	
	var myMask = new Ext.LoadMask(iplistgrid.getEl(), {msg:"Please wait..."}); 
	myMask.show();
	
	stores.load({callback:function(){myMask.hide();}});
}

function iplistcustom()
{
	$("<div id='checkpanel_win'></div>").appendTo("body");

	$('#checkpanel_win').load('iplistcustom-html.php', function(){
		setWinpos("checkpanel_win", 400, 400, "checkpanel_con");
		
		$('#checkpanel_win').css('z-index', config.zindex++);
		$('#checkpanel_win').draggable({cursor:'move', handle:'table.popup-bar-fill-400px'});
		$('#upgrade_title').mousedown(function(){$('#checkpanel_win').css('z-index', config.zindex++);});
		
		getdevice();
		filltime();
	});
}

function iplistcustomhdl()
{
	var devid = $("#device").val();
	var topip = $("#topip").val();
	var ipmin = $("#ipmin").val();
	var ipmax = $("#ipmax").val();
	if (chartype == "")
		chartype = $("#chartype").val();
	
	if ((ipmin != "" && !IsIPAddr(ipmin)) || (ipmax != "" && ! IsIPAddr(ipmax))){
		popwindow_tips("IP地址输入不正确");
		return false;
	}else if (IsIPAddr(ipmin) && IsIPAddr(ipmax))
		var ip = ipmin+'-'+ipmax;
	else var ip = "0.0.0.0-255.255.255.255";
	
	var startyear = $("#startyear").val();
	var startmonth = $("#startmonth").val();
	var startdate = $("#startdate").val();
	var starthour = $("#starthour").val();
	var startminute = $("#startminute").val();
	var startsec = $("#startsec").val();
	var endyear = $("#endyear").val();
	var endmonth = $("#endmonth").val();
	var enddate = $("#enddate").val();
	var endhour = $("#endhour").val();
	var endminute = $("#endminute").val();
	var endsec = $("#endsec").val();
	
	var starttime = startyear+'-'+startmonth+'-'+startdate + ' '+starthour+':'+startminute+':'+startsec;
	var endtime = endyear+'-'+endmonth+'-'+enddate + ' '+endhour+':'+endminute+':'+endsec;
	
	$("#startdt").val(starttime);
	$("#enddt").val(endtime);
	
	var url = 'iptop.php?devid='+devid+'&ip='+ip+'&tmstart='+starttime+'&tmend='+endtime+'&topip='+topip+'&type='+chartype;
	
	$("#checkpanel_win").hide();
	Ext.getCmp("iplistgrid-list").getStore().proxy.url = url;
	var myMask = new Ext.LoadMask(Ext.getCmp("iplistgrid-list"), {msg:"Please wait..."}); 
	myMask.show();
	
	Ext.getCmp("iplistgrid-list").store.load({callback:function(){myMask.hide();}});
}

function ipdetailwin(devid, ip, starttime, endtime, topip, chartype)
{
	$("<div id='ipdetail_win'></div>").appendTo("body");

	$('#ipdetail_win').load('ipdetail-html.php', {chartype:chartype},function(){
		setWinpos("ipdetail_win", 900, 500, "ipdetail_con");
		
		$('#ipdetail_win').css('z-index', config.zindex++);
		$('#ipdetail_win').draggable({cursor:'move', handle:'table.popup-bar-fill-900px'});
		$('#ipdetail_title').mousedown(function(){$('#ipdetail_win').css('z-index', config.zindex++);});
		
		ipdetail(devid, ip, starttime, endtime, topip, chartype, "ipdetail_con");
	});
}

//ip详细信息
function numformat(v)
{
	if (v > 1024 * 1024 * 1024 * 1024)
		return Ext.util.Format.round(v / (1024 * 1024 * 1024 * 1024), 2) + 'T';
	else if (v > 1024 * 1024 * 1024)
		return Ext.util.Format.round(v / (1024 * 1024 * 1024), 2) + 'G';
	else if (v > 1024 * 1024)
		return Ext.util.Format.round(v / (1024 * 1024), 2) + 'M';
	else if (v > 1024)
		return Ext.util.Format.round(v / 1024, 2) + 'K';
	else {
		return v;
	}
}

function ipdetail(devid, ip, starttime, endtime, topip, chartype, render)
{
	if (chartype == "ipflow") units = "#flowcont";
	else units = "bytes";
	
	if (chartype == "ipup") title = "上行流量";
	else if (chartype == "ipdown") title = "下行流量";
	else if (chartype == "ipflow") title = "连接数";
	else if (chartype == "iptotal") title = "总流量";
	
	var url = 'iptop.php?devid='+devid+'&ip='+ip+'&tmstart='+starttime+'&tmend='+endtime+'&topip='+topip+'&type='+chartype;
	
	Ext.define('MyData',{
        extend: 'Ext.data.Model',
        fields: ['ip', {name:'up', type:'int'}, {name:'down', type:'int'}, {name:'total', type:'int'}, 
			{name:'maxup', type:'int'}, {name:'maxdown', type:'int'}, {name:'maxflow', type:'int'}]
    });
	
	var stores = Ext.create('Ext.data.Store', {
		model: 'MyData',
        proxy: {
           //异步获取数据，这里的URL可以改为任何动态页面，只要返回JSON数据即可
            type: 'ajax',
			//extraParams:{type:'list'},
            url: url,
			timeout:600000,
			actionMethods: {
            	read: 'GET'
        	},
            reader: {
                type: 'json',
                root: 'detail'
            }
        }
    });
	
	var ipdetailgrid = Ext.create("Ext.grid.Panel", {
		store:stores,
		height:$("#"+render).outerHeight()-2,
		renderTo:render,
		columns:[{text:'IP地址', dataIndex:'ip', width:120, renderer:function(value,p,record){
			return "<a href='javascript:iptrendwin("+devid+", \""+value+"\", \"\", \"#068BC5\")' style='color:#00f;'>"+value+"</a>"}},
			{text:'连接数', dataIndex:'maxflow', width:70},
			{text:'上行流量', dataIndex:'up', align:'right', flex:1, renderer:function(value, p, record){
				return numformat(value)}},
			{text:'下行流量', dataIndex:'down', align:'right', flex:1, renderer:function(value, p, record){
				return numformat(value)}},
			{text:'总流量', dataIndex:'total', align:'right', flex:1, renderer:function(value, p, record){
				return numformat(value)}},
			{text:'最大上行流量', dataIndex:'maxup', align:'right', flex:1, renderer:function(value, p, record){
				return numformat(value)}},
			{text:'最大下行流量', dataIndex:'maxdown', align:'right', flex:1, renderer:function(value, p, record){
				return numformat(value)}}]
	});
	
	var myMask = new Ext.LoadMask(ipdetailgrid.getEl(), {msg:"Please wait..."}); 
	myMask.show();
	
	stores.load({callback:function(){myMask.hide();}});
}

function iptrendwin(devid, ip, chartype, color)
{
	var divs = config.trendiv++;
	
	$("<div id='iptrendwin_win"+divs+"'></div>").appendTo("body");

	$('#iptrendwin_win'+divs).load('iptrendwin-html.php', {ip:ip, trendiv:divs}, function(){
		setWinpos("iptrendwin_win"+divs, 600, 700, "iptrendwin_con"+divs);
		
		$('#iptrendwin_win'+divs).css('z-index', config.zindex++);
		$('#iptrendwin_win'+divs).draggable({cursor:'move', handle:'table.popup-bar-fill-600px'});
		$('#iptrendwin_title'+divs).mousedown(function(){$('#iptrendwin_win'+divs).css('z-index', config.zindex++);});
		
		iptrend(devid, ip, 'bpsup', color, "iptrendup"+divs);
		iptrend(devid, ip, 'bpsdown', color, "iptrenddown"+divs);
		iptrend(devid, ip, 'bpsflow', color, "iptrendflow"+divs);
	});
}

function iptrend(devid, ip, chartype, color, render)
{
	var units = 'bits/s';
	var titles = "上行流量趋势图";
	if (chartype == "bpsflow")
	{
		 units = null;
		 titles = "连接数趋势图";
	}else if (chartype == "bpsdown")
		titles = "下行流量趋势图";
	
	var options = {
		chart:{
			renderTo:render,
			defaultSeriesType:'area'
		},title:{
			text:titles,
			style:{fontSize:'14px'}
		},xAxis:{
			type:'datetime',
			tickPixelInterval:60,
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},yAxis:{
			min:0,
			tickPixelInterval:30,
			title:{
				text:units
			},labels:{formatter:function(){
				return numberformats(parseInt(this.value));
				}
			},
			plotLines:[{value:0,width:1}]
		},legend:{enabled:false,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
		},plotOptions:{
			spline:{
				marker:{radius:0,
					lineWidth:0
				       }
			       },
			area:{size:[200,50],lineWidth:0,marker:{enabled:false}}
		},credits:{enabled:false},
		tooltip:{
			formatter:function(){
				var dd = new Date(this.x);
				var str = dd.getHours()+':'+dd.getMinutes();
				return this.series.name+'<br/>'+str+' '+this.y;
			}
		},series:[{name:ip,type:'area',data:[], color:color}]
	}

	var starttime = $("#startdt").val();
	var endtime = $("#enddt").val();
	$("#"+render).html(config.loadingstr);

	$.get('iptrend.php?devid='+devid+'&ip='+ip+'&type='+chartype+
        '&tmstart='+starttime+'&tmend='+endtime, function(json){
		var mydata;
		eval("mydata="+json);
		
		options.series[0].data = mydata.result;
		new Highcharts.Chart(options);
		
		options.length = 0;
		mydata.result.length = 0;
	});
}

function getdevice(device)
{
	var h = "<option value='0'>任意设备</option>";
	$(h).appendTo(device);
	
	$.getJSON("../getdevice.php", function(data){
		for (var i = 0; i < data.result.length; i++)
		{
			h = "<option value='"+data.result[i].devid+"'>"+data.result[i].devname+"</option>";
			$(h).appendTo(device);
		}
	});
}

function filltime(startyear, startmonth, startdate, starthour, startminute, startsec,
	endyear, endmonth, enddate, endhour, endminute, endsec)
{
	var h = "";
	var dt = new Date();
	var dt2 = dt - 3600 * 1000;
	dt2 = new Date(dt2);
	
	var days = 30;
	var curyear = dt.getFullYear();
	var curmonth = dt.getMonth()+1;
	var curdate = dt.getDate();
	var curhour = dt.getHours();
	var curminute = dt.getMinutes();
	var curyear2 = dt2.getFullYear();
	var curmonth2 = dt2.getMonth()+1;
	var curdate2 = dt2.getDate();
	var curhour2 = dt2.getHours();
	var curminute2 = dt2.getMinutes();
	
	switch(curmonth)
	{
		case 1: days = 31;
		break;
		case 2: days = 28;
		break;
		case 3: days = 31;
		break;
		case 4: days = 30;
		break;
		case 5: days = 31;
		break;
		case 6: days = 30;
		break;
		case 7: days = 31;
		break;
		case 8: days = 31;
		break;
		case 9: days = 30;
		break;
		case 10: days = 31;
		break;
		case 11: days = 30;
		break;
		case 12: days = 31;
		break;
	}
	
	for (var i = 2005; i <= 2015; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo(startyear);
		$(h).appendTo(endyear);
	}
	
	for (var i = 1; i <= 12; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo(startmonth);
		$(h).appendTo(endmonth);
	}
	
	for (var i = 1; i <= days; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo(startdate);
		$(h).appendTo(enddate);
	}
	
	for (var i = 0; i <= 23; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo(starthour);
		$(h).appendTo(endhour);
	}
	
	for (var i = 0; i <= 59; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo(startminute);
		$(h).appendTo(endminute);
	}
	
	for (var i = 0; i <= 59; i++)
	{
		h = "<option value='"+i+"'>"+i+"</option>";
		$(h).appendTo(startsec);
		$(h).appendTo(endsec);
	}
	
	$(startyear).val(curyear2);
	$(startmonth).val(curmonth2);
	$(startdate).val(curdate2);
	$(starthour).val(curhour2);
	$(startminute).val(curminute2);
	$(endyear).val(curyear);
	$(endmonth).val(curmonth);
	$(enddate).val(curdate);
	$(endhour).val(curhour);
	$(endminute).val(curminute);

    /********************************************/
    $(startmonth).change(function(){
        var monstart = $(this).val();
        $(startdate).html('');

        switch(parseInt(monstart)){
    		case 1: days = 31;
    		break;
    		case 2: days = 28;
    		break;
    		case 3: days = 31;
			break;
			case 4: days = 30;
			break;
			case 5: days = 31;
			break;
			case 6: days = 30;
			break;
			case 7: days = 31;
    		break;
    		case 8: days = 31;
    		break;
    		case 9: days = 30;
    		break;
    		case 10: days = 31;
    		break;
    		case 11: days = 30;
    		break;
    		case 12: days = 31;
    		break;
    	}
        for (var i = 1; i <= days; i++){
    		h = "<option value='"+i+"'>"+i+"</option>";
    		$(h).appendTo(startdate);
    		//$(h).appendTo("#enddate");
    	}
    });

    $(endmonth).change(function(){
        var monend = $(this).val();
        $(enddate).html('');

        switch(parseInt(monend)){
    		case 1: days = 31;
    		break;
    		case 2: days = 28;
    		break;
    		case 3: days = 31;
			break;
			case 4: days = 30;
			break;
			case 5: days = 31;
			break;
			case 6: days = 30;
			break;
			case 7: days = 31;
    		break;
    		case 8: days = 31;
    		break;
    		case 9: days = 30;
    		break;
    		case 10: days = 31;
    		break;
    		case 11: days = 30;
    		break;
    		case 12: days = 31;
    		break;
    	}
        for (var i = 1; i <= days; i++){
    		h = "<option value='"+i+"'>"+i+"</option>";
    		$(h).appendTo(enddate);
    		//$(h).appendTo("#enddate");
    	}
    });
}

function topipcustom()
{
	$("<div id='checkpanel_win'></div>").appendTo("body");

	$('#checkpanel_win').load('topipcheckpanel-html.php', function(){
		setWinpos("checkpanel_win", 400, 400, "checkpanel_con");
		
		$('#checkpanel_win').css('z-index', config.zindex++);
		$('#checkpanel_win').draggable({cursor:'move', handle:'table.popup-bar-fill-400px'});
		$('#upgrade_title').mousedown(function(){$('#checkpanel_win').css('z-index', config.zindex++);});
		
		getdevice("#device");
		filltime("#startyear", "#startmonth", "#startdate", "#starthour", "#startminute", "#startsec", "#endyear", "#endmonth",
			"#enddate", "#endhour", "#endminute", "#endsec");
	});
}

//IP定制
function ipdetailcustom()
{
	$("<div id='ipdetailcustom_win'></div>").appendTo("body");

	$('#ipdetailcustom_win').load('ipdetailcustom-html.php', function(){
		setWinpos("ipdetailcustom_win", 800, 400, "ipdetailcustom_con");
		
		$('#ipdetailcustom_win').css('z-index', config.zindex++);
		$('#ipdetailcustom_win').draggable({cursor:'move', handle:'table.popup-bar-fill-800px'});
		$('#ipdetailcustom_title').mousedown(function(){$('#ipdetailcustom_win').css('z-index', config.zindex++);});
		
		ipdetailcustomgrid();
	});
}

function ipdetailcustomgrid()
{
	Ext.define('MyData',{
        extend: 'Ext.data.Model',
        fields: ['devid', 'cusname', 'ipseg', 'tm']
    });
	
	var stores = Ext.create('Ext.data.Store', {
		model: 'MyData',
        proxy: {
            type: 'ajax',
			//method:'post',
			extraParams:{type:'list'},
            url: 'getipcustom.php',
			timeout:600000,
			actionMethods: {
            	read: 'POST'
        	},
            reader: {
                type: 'json',
                root: 'result'
            }
        },autoLoad:true
    });
	
	var selModel = Ext.create('Ext.selection.CheckboxModel');
	
	var render = "ipdetailcustom_con";
	
	var cus_grid = Ext.create("Ext.grid.Panel", {
		store: stores,
		selModel:selModel,
		id:'ipcustomdetailgrid',
		height:$("#"+render).outerHeight()-2,
		columns:[{text:'设备ID', dataIndex:'devid', width:50, align:'center'},
			 {text:'命名', dataIndex:'cusname', width: 200, align:'center'},
			 {text:'IP段', dataIndex:'ipseg', width:300, align:'center'},
			 {text:'最近时段', dataIndex:'tm', width:80, align:'center'},
			 {align:'center', dataIndex:'tm', width: 70, 
			 renderer:function(value, p, record){return ipcustom_hdl_render(record)}}],
		renderTo:render
	});
}

function ipcustom_hdl_render(record)
{
	var r = record;
	
	var hdl = "<a href='javascript:ipcustom_topip("+r.data.devid+",\""+r.data.ipseg+"\",\""+r.data.cusname+"\", "+r.data.tm+")'><img src='../img/chart_bar.png' border=0></a>";
	hdl += "<a href='javascript:ipcustom_trend("+r.data.devid+",\""+r.data.ipseg+"\",\""+r.data.cusname+"\", "+r.data.tm+")'><img src='../img/chart_curve.png' border=0></a>";
	hdl += "<a href='javascript:ipcustom_edit("+r.data.devid+",\""+r.data.ipseg+"\",\""+r.data.cusname+"\", "+r.data.tm+")'><img src='../img/b_edit.png' border=0></a>";
	
	return hdl;
}

function ipcustom_edit(devid, ip, name, hours)
{
	$("<div id='ipcustom_edit_win'></div>").appendTo("body");

	$('#ipcustom_edit_win').load('ipcustom_edit-html.php', {name:name, ip:ip},function(){
		setWinpos("ipcustom_edit_win", 400, 150, "ipcustom_edit_con");
		
		$('#ipcustom_edit_win').css('z-index', config.zindex++);
		$('#ipcustom_edit_win').draggable({cursor:'move', handle:'table.popup-bar-fill-400px'});
		$('#ipcustom_edit_title').mousedown(function(){$('#ipcustom_edit_win').css('z-index', config.zindex++);});
	});
}

function ipcustom_edithdl(name)
{
	var ipseg = $("#ipseg").val();
	
	$.get("ipcustomhdl.php", {type:"update", name:name, ipseg:ipseg}, function(json){
		var md;
		eval("md="+json);
		
		popwindow_tips(md.str);
		
		Ext.getCmp("ipcustomdetailgrid").getStore().load();
		$("#ipcustom_edit_win").hide();
	});
}

function customtopip(devid, chartype, ip, hours, render)
{
	var starttime, endtime;
	var distype = "column";

	var option = {
		chart: {
			renderTo: render,
			defaultSeriesType: distype
		},
		title: {
			text: null
		},
		subtitle: {
			text: null
		},
		xAxis: {
			categories: [],
			title: {
				text: null
			},
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},
		yAxis: {
			min: 0,
			title: {
				text: 'byte'
			}
		},
		tooltip: {
			formatter: function() {
				return ''+
					 this.x +': '+ this.y;
			}
		},
		plotOptions: {
			column: {
				cursor:'pointer',
				point:{
				events:{
					click:function(){
						iptrendwin(devid, this.category, chartype, this.color);
					}
				}},
				dataLabels: {
					enabled: false
				}
			},
			bar: {
				cursor:'pointer',
				point:{
				events:{
					click:function(){
						iptrendwin(devid, this.category, chartype, this.color);
					}
				}},
				dataLabels: {
					enabled: false
				}
			}
		},
		legend: {
			enabled:false
		},
		credits: {
			enabled: false
		},
		series: [{name:null, data:[]}]
	}
	
	
	var d = new Date();
	var d2 = d - hours * 1000 * 3600;
	d2 = new Date(d2);

	var devid = 0;
	var topip = 25;
	
	if (ip == "")
		ip = "0.0.0.0-255.255.255.255";
	
	if (render != "tcgraphic" && $("#startdt").length > 0)
	{
		starttime = $("#startdt").val();
		endtime = $("#enddt").val();
	}else
	{
		starttime = d2.getFullYear()+'-'+(d2.getMonth()+1)+'-'+d2.getDate()+' '+d2.getHours()+':'+d2.getMinutes()+':0';
		endtime = d.getFullYear()+'-'+(d.getMonth()+1)+'-'+d.getDate()+' '+d.getHours()+':'+d.getMinutes()+':0';
	}
	
	setcheckrange(starttime, endtime);
	
	$("#checkpanel_win").hide();
	$("#"+render).html(config.loadingstr);

	var detail = "<a style='color:#f00;text-decoration:underline' href='javascript:ipdetailwin("+devid+", \""+ip+"\", \""+starttime+"\", \""+endtime+"\", "+topip+", \""+chartype+"\")'>IP列表</a>"
	if (devid == 0)
			var devstr = "所有设备";
	var tips = "设备："+devstr+"&nbsp;/&nbsp;IP数："+topip+"&nbsp;/&nbsp;查询时间段："+starttime+" -> "+endtime+"&nbsp;/&nbsp;数据类型："+$("#"+config.curtab).html() + 
			"&nbsp;&nbsp;"+detail;
	$("#topipcheck-tips").html(tips);
	$("#topipcheck-tips").css("display", "block");

	$.get("iptop.php", {devid:devid, ip:ip, tmstart:starttime, tmend:endtime, topip:topip, type:chartype}, function(data){
		var md, c = 0;
		eval("md="+data);
		
		for (var i = 0; i < md.y.length; i++)
		{
			if (c >= config.my_colors_def.length)
				c = 0;
			option.series[0].data.push({y:md.y[i], color:config.my_colors_def[c++]});
		}
		
		option.xAxis.categories = md.x;
		var chart = new Highcharts.Chart(option);
		
		$("#detailip").css("display", "block");
		
		$("#detailip").unbind("click");
		$("#detailip").click(function(){
			ipdetailwin(devid, ip, starttime, endtime, topip, chartype)
		});
	});
}

function ipcustom_topip(devid, ip, name, hours)
{
	$("<div id='ipcustom_topip_win'></div>").appendTo("body");

	$('#ipcustom_topip_win').load('ipcustom_topip-html.php', {name:name},function(){
		setWinpos("ipcustom_topip_win", 900, 600, "ipcustom_topip_con");
		
		$('#ipcustom_topip_win').css('z-index', config.zindex++);
		$('#ipcustom_topip_win').draggable({cursor:'move', handle:'table.popup-bar-fill-900px'});
		$('#ipcustom_topip_title').mousedown(function(){$('#ipcustom_topip_win').css('z-index', config.zindex++);});
		
		var ht = $("#ipcustom_topip_con").outerHeight();
		$("#tcgrid").css("height", ht - 232);
		
		var d = new Date();
		var d2 = d - hours * 1000 * 3600;
		d2 = new Date(d2);
		
		var topips = 25;
	
		var starttime = d2.getFullYear()+'-'+(d2.getMonth()+1)+'-'+d2.getDate()+' '+d2.getHours()+':'+d2.getMinutes()+':0';
		var endtime = d.getFullYear()+'-'+(d.getMonth()+1)+'-'+d.getDate()+' '+d.getHours()+':'+d.getMinutes()+':0';
		
		ipdetail(devid, ip, starttime, endtime, topips, "iptotal", "tcgrid");
		customtopip(devid, "iptotal", ip, hours, "tcgraphic");
	});
}

function ipcustom_trend(devid, ip, name, hours)
{
	$("<div id='ipcustom_trend_win'></div>").appendTo("body");

	$('#ipcustom_trend_win').load('ipcustom_trend-html.php', {name:name},function(){
		setWinpos("ipcustom_trend_win", 700, 700, "ipcustom_trend_con");
		
		$('#ipcustom_trend_win').css('z-index', config.zindex++);
		$('#ipcustom_trend_win').draggable({cursor:'move', handle:'table.popup-bar-fill-700px'});
		$('#ipcustom_trend_title').mousedown(function(){$('#ipcustom_trend_win').css('z-index', config.zindex++);});
		
		ipsegtrend(devid, ip, "bpsup", config.my_colors_def[0], "ipcustomtrendup", hours, 0);
		ipsegtrend(devid, ip, "bpsdown", config.my_colors_def[0], "ipcustomtrenddown", hours, 0);
		ipsegtrend(devid, ip, "bpsflow", config.my_colors_def[0], "ipcustomtrendflow", hours, 0);
	});
}

function ipsegtrendwin()
{
	$("<div id='iptrendcheckpanel_win'></div>").appendTo("body");

	$('#iptrendcheckpanel_win').load('iptrendcheckpanel-html.php', function(){
		setWinpos("iptrendcheckpanel_win", 400, 400, "iptrendcheckpanel_con");
		
		$('#iptrendcheckpanel_win').css('z-index', config.zindex++);
		$('#iptrendcheckpanel_win').draggable({cursor:'move', handle:'table.popup-bar-fill-400px'});
		$('#iptrendcheckpanel_title').mousedown(function(){$('#iptrendcheckpanel_win').css('z-index', config.zindex++);});
		
		getdevice("#deviceiptrend");
		filltime("#startyeariptrend", "#startmonthiptrend", "#startdateiptrend", "#starthouriptrend", 
				"#startminuteiptrend", "#startseciptrend", "#endyeariptrend", "#endmonthiptrend", 
				"#enddateiptrend", "#endhouriptrend", "#endminuteiptrend", "#endseciptrend");
	});
}

function ipsegtrend(devid, ip, chartype, color, render, hours, last)
{
	var units = 'bits/s';
	var titles = "上行流量趋势图";

	if (chartype == "")
			chartype = $("#chartypeiptrend").val();
	if (chartype == "bpsflow"){
		 units = "#flowcnt";
		 titles = "连接数趋势图";
	}else if (chartype == "bpsdown")
		titles = "下行流量趋势图";
    else if (chartype == "bpsup")
        titles = "上行流量趋势图";

	if (color == "")
			color = config.my_colors_def[0];
		
	var options = {
		chart:{
			renderTo:render,
			defaultSeriesType:'area'
		},title:{
			text:titles,
			style:{fontSize:'14px'}
		},xAxis:{
			type:'datetime',
			//tickPixelInterval:60,
			labels:{
				rotation:-45,
				align:'right',
				style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
			}
		},yAxis:{
			min:0,
			tickPixelInterval:30,
			title:{
				text:units
			},labels:{formatter:function(){
				return numberformats(parseInt(this.value));
				}
			},
			plotLines:[{value:0,width:1}]
		},legend:{enabled:false,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:'black'}
		},plotOptions:{
			spline:{
				marker:{radius:0,
					lineWidth:0
				       }
			       },
			area:{size:[200,50],lineWidth:0,marker:{enabled:false}}
		},credits:{enabled:false},
		tooltip:{
			formatter:function(){
                return '<b>'+this.series.name+'</b><br/>'+Highcharts.dateFormat('%Y/%m/%d %H:%M:%S', this.x) +'<br/>'+ numformats(this.y);
			}
		},series:[{name:titles,type:'area',data:[], color:color}]
	}

	if (last)
	{
		var devid = $("#deviceiptrend").val();
		var ipmin = $("#ipminiptrend").val();
		var ipmax = $("#ipmaxiptrend").val();
	
		if ((ipmin != "" && !IsIPAddr(ipmin)) || (ipmax != "" && ! IsIPAddr(ipmax)))
		{
			popwindow_tips("IP地址输入不正确");
			return false;
		}else if (IsIPAddr(ipmin) && IsIPAddr(ipmax))
			var ip = ipmin+'-'+ipmax;
		else var ip = "0.0.0.0-255.255.255.255";
		
		var startyear = $("#startyeariptrend").val();
		var startmonth = $("#startmonthiptrend").val();
		var startdate = $("#startdateiptrend").val();
		var starthour = $("#starthouriptrend").val();
		var startminute = $("#startminuteiptrend").val();
		var startsec = $("#startseciptrend").val();
		var endyear = $("#endyeariptrend").val();
		var endmonth = $("#endmonthiptrend").val();
		var enddate = $("#enddateiptrend").val();
		var endhour = $("#endhouriptrend").val();
		var endminute = $("#endminuteiptrend").val();
		var endsec = $("#endseciptrend").val();
		
		starttime = startyear+'-'+startmonth+'-'+startdate + ' '+starthour+':'+startminute+':'+startsec;
		endtime = endyear+'-'+endmonth+'-'+enddate + ' '+endhour+':'+endminute+':'+endsec;

		$(".td-click-red-trend").removeClass("td-click-red-trend");
		$("#"+chartype).addClass("td-click-red-trend");
		config.iptrendtab = chartype;
	}else
	{
		var d = new Date();
		var d2 = d - hours * 1000 * 3600;
		d2 = new Date(d2);
	
		var devid = 0;
		
		if (ip == "") ip = "0.0.0.0-255.255.255.255";
		
		starttime = d2.getFullYear()+'-'+(d2.getMonth()+1)+'-'+d2.getDate()+' '+d2.getHours()+':'+d2.getMinutes()+':0';
		endtime = d.getFullYear()+'-'+(d.getMonth()+1)+'-'+d.getDate()+' '+d.getHours()+':'+d.getMinutes()+':0';
	}

	$("#iptrendcheckpanel_win").remove();
	
	if (devid == 0)
			var devstr = "所有设备";
	else devstr = devid;

	var tips = "设备："+devstr+"&nbsp;/&nbsp;IP段："+ip+"&nbsp;/&nbsp;查询时间段："+starttime+" -> "+endtime+"&nbsp;/&nbsp;数据类型："+$("#"+config.iptrendtab).html();
	$("#iptrendcheck-tips").html(tips);
	$("#iptrendcheck-tips").css("display", "block");

	$("#"+render).html(config.loadingstr);

	$.get('ipsegtrend.php?devid='+devid+'&ip='+ip+'&type='+chartype+'&tmstart='+starttime+'&tmend='+endtime, function(json)
	{
		var mydata;
		eval("mydata="+json);
		
		options.series[0].data = mydata.result;
		new Highcharts.Chart(options);
		
		options.length = 0;
		mydata.result.length = 0;
	});
}

function addipcustom()
{
	$("<div id='addipcustom_win'></div>").appendTo("body");

	$('#addipcustom_win').load('addipcustom-html.php', function(){
		setWinpos("addipcustom_win", 400, 400, "addipcustom_con");
		
		$('#addipcustom_win').css('z-index', config.zindex++);
		$('#addipcustom_win').draggable({cursor:'move', handle:'table.popup-bar-fill-400px'});
		$('#addipcustom_title').mousedown(function(){$('#addipcustom_win').css('z-index', config.zindex++);});
		
		getdevice("#deviceipcustom");
	});
}

function addipcustomhdl()
{
	var devid = $("#deviceipcustom").val();
	var ipseg = $("#ipseg").val();
	var ipname = $("#ipname").val();
	var hours = $("#segtime").val();
	
	if (ipseg == "")
		ipseg = "0.0.0.0-255.255.255.255";
	if (ipname == "")
	{
		popwindow_tips("名称不能为空");
		return false;
	}
	
	$.get("../Flow/ipcustomhdl.php", {type:"add", devid:devid, name:ipname, ip:ipseg, hours:hours}, function(data){
		var md;
		eval("md="+data);
		
		popwindow_tips(md.str);
		
		Ext.getCmp("ipcustomdetailgrid").getStore().load();
		
		if (md.yn == "yes")
			$("#addipcustom_win").hide();
	});
}

function deleteipcustom(name)
{
	var s = "";
	
	if (name == "")
	{
		var r = Ext.getCmp("ipcustomdetailgrid").getSelectionModel().getSelection();
		for (var i = 0; i < r.length; i++)
		{
			s += r[i].data.cusname + ',';
		}
		s = s.substr(0, s.length-1);
	}else
	{
		s = name;
	}
	
	if (s == "")
	{
		popwindow_tips("没有选中任何定制");
		return false;
	}
	
	if (!confirm("确定要删除吗"))
		return false;
	
	$.get("ipcustomhdl.php", {type:"remove", name:s}, function(data){
		var md;
		eval("md="+data);
		
		popwindow_tips(md.str);
		
		Ext.getCmp("ipcustomdetailgrid").getStore().load();
	})
}
