function logsgrplist(renders)
{
	var s;
	var loginuser = $("#loginuser").val();

	$.ajax({
		url: 'system_handle_ex.php',
		data: {type: 'logsgrplist'},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			$("#"+renders).find("option").remove();

			s = '';
			if (renders == "grpid")
				s += "<option value='-1'>所有组</option>";
			if (loginuser == "admin")
				s += "<option value='0'>空组</option>";
			for (i = 0; i < json.rows.length; i++) {
				r = json.rows[i];

				s += '<option value="'+r.id+'">'+r.name+'</option>';
			}
			$(s).appendTo("#"+renders);
		}
	})
}

function logsdeletegrp()
{
	var grpid = $("#grplist").val();

	$.ajax({
		url: 'system_handle_ex.php',
		data: {type: 'logsdeletegrp', grpid: grpid},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			if (json.yn == "no")
				alert(json.str);
			else
				logsgrplist("grplist");
		}
	})
}

function logsaddgrp()
{
	$(".logsaddgrp").dialog({
		width: 380,
		//height:150,
		buttons:[{
			text: "确定",
			click: function(){
				logsaddgrp_handle();
			}
		}]
	});
}

function logsaddgrp_handle()
{
	var grpname = $("#grpname").val();
	grpname = TrimAll(grpname);
	if (grpname == "") {
		alert("请输入群组名称");
		return false;
	}

	$.ajax({
		url: 'system_handle_ex.php',
		data: {type: 'logsaddgrp_handle', grpname: grpname},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			if (json.yn == "no")
				alert(json.str);
			else {
				alert("操作成功");
				$(".logsaddgrp").dialog("close");
				logsgrplist("grplist");
			}
		}
	});
}

function logserver_set(sysname, licenseid, grpid, map_addr)
{
	$(".logserverset").dialog({
		width: 480,
		height:280,
		buttons:[{
			text: "确定",
			click: function(){
				logserver_sethandle(licenseid);
			}
		}]
	});

	var loginuser = $("#loginuser").val();
	if (loginuser != "admin")
		$(".group-logs").hide();
	
	$("#sysname").val(sysname);
	$("#map_addr").val(map_addr);
	$("#grplist").val(grpid);
}

function logserver_sethandle(licenseid)
{
	var sysname = $("#sysname").val();
	var map_addr = $("#map_addr").val();
	var grpid = $("#grplist").val();

	$.ajax({
		url: 'system_handle_ex.php',
		data: {type: 'logserver_sethandle', licenseid: licenseid,
			grpid: grpid, sysname: sysname, map_addr: map_addr},
		type: 'post',
		dataType: 'json',
		success: function(json) {
			$(".logserverset").dialog("close");
			logserver_list();
		}
	})
}

function showlogsexpire()
{
	if (gexpire == 0)
		gexpire = 1;
	else
		gexpire = 0;
	logserver_list();
}

function logserver_mapping(license_id12, ip)
{
	cloud_tips_show();
	
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'logserver_mapping', license_id12: license_id12},
		dataType:'json',
		type:'post',
		success:function(data){
			cloud_tips_hide();
			
			as = (data.str).split('-');
			
			if (data.yn == "yes")
				window.open("https://"+ip+":"+as[0], "_blank");
			else
				alert(data.str);
		}
	});
}

function logserver_stat()
{
	$.ajax({
		url:'system_handle_ex.php',
		data:{type:'logserver_stat'},
		dataType:'json',
		type:'post',
		success:function(json){
			if (!json.yn) {
				$(".logserver-expire").html(json.exp);
			}
		}
	})
}

function enterEvent()
{
	page = 1;
	$("#grplisthdr").val("0");
	
	var sch = $("#sch").val();
	
	var ev = window.event || arguments.callee.caller.arguments[0];
	var th = ev.keyCode || ev.whick;
	if (th == 13)
		logserver_list();
	else return false;
}






