<?php


session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	outputres("no", "ERR_TIMEOUT");
	exit;
}

$devid		= postval('devid');      //设备id
$ipaddr		= postval('ipaddr');     //源地址
$dstip		= postval('dstip');      //目标地址
$natip		= postval('natip');      //NAT地址
$sport		= postval('sport');      //源端口
$dport		= postval('dport');      //目标端口
$natport	= postval('natport');    //NAT端口
$ptype		= postval("ptype");      //协议类型
$strstart	= postval('starttime');  //会话开始时间
$strend		= postval('endtime');    //会话结束时间
//$appid		= postval('appid');
$page		= postval("page");
$limit		= postval("limit");
$errfile	= _CHECKING_STATUS_F.'/'.postval('errname');//状态信息文件
$bexport	= postval('bexport');
//$exportseraddr	= postval('exportseraddr');
//$op		= postval("op");
//$domain		= postval("domain");
$filename	= "natlog".date("YmdHis"); //文件名
$ifname		= postval("ifname");       //接口
//$exportdomain	= postval("exportdomain");
$dstipgrp	= postval("dstipgrp");     //目标ip群组
$dstiptype	= postval("dstiptype");
$srciptype	= postval("srciptype");
$srcipgrp	= postval("srcipgrp");     //源ip群组
$account	= iconv("utf-8", "gb2312", postval("account"));//用户账号
$connsec	= postval("connsec");      //连接时间
//$fullmatch	= postval("fullmatch");
$upbytes_gt	= postval("upbytes_gt");       //上行流量
$downbytes_gt	= postval("downbytes_gt");//下行流量
$backexport	= postval("backexport");      //后台导出
$portgrp	= postval("portgrp");         //端口群组
$porttype	= postval("porttype");

$longstart	= strtotime($strstart);
$longend	= strtotime($strend);

$username = $_SESSION["palog_username"];

$cmd = LOGDPATH."/bin/logeye user_behavior natloglist username=$username";
$cmd .= " devid=$devid longstart=$longstart longend=$longend  filename=$filename errfile=$errfile bexport=$bexport"; 
$cmd .= " vrname=$ifname page=$page limit=$limit dstip=$dstip dstipgrp=$dstipgrp dstiptype=$dstiptype natip=$natip sport=$sport natport=$natport dstportseg=$dport ptype=$ptype"; 
$cmd .= " account=$account connsec=$connsec ipaddr=$ipaddr grpid=$srcipgrp iptype=$srciptype porttype=$porttype portgrp=$portgrp";

if ($upbytes_gt > 0) $cmd .= " upbytes_gt=$upbytes_gt";
if ($downbytes_gt > 0) $cmd .= " downbytes_gt=$downbytes_gt";
if ($backexport) $cmd .= " backexport=$backexport";

exec($cmd, $out, $ret);

//var_dump($out);
$yyslist = getyys();

$total = "";
$natlist = array();
foreach( $out as $val){
	$tmp_arr = explode(",",trim($val));
	if ($tmp_arr[0] == "totalrecord"){
		$total = $tmp_arr[1];
		continue;
	}
	
	$devid = $tmp_arr[0];
	$dname = $tmp_arr[1];
	$vendor = iconv("gb2312", "utf-8",$tmp_arr[2]);
	
	$ptype = "";
	if($tmp_arr[3] == 6)
		$ptype = "TCP";
	else if($tmp_arr[3] == 17)
		$ptype = "UDP";
	else if($tmp_arr[3] == 1)
		$ptype = "ICMP";
	else
		$ptype = "IGMP";
	
	$cname = "";
	$starttime = date('Y/m/d H:i:s',$tmp_arr[5]);
	$endtime =date('Y/m/d H:i:s',$tmp_arr[6]);
	$ipaddr = long2ip($tmp_arr[7]);
	$sport = $tmp_arr[8];
	$dstip = long2ip($tmp_arr[9]);
	$dport = $tmp_arr[10];
	$upbytes_gt = $tmp_arr[11];
	$downbytes_gt = $tmp_arr[12];
	$position_dst = iconv("gb2312", "utf-8",$tmp_arr[13]);
	$yys_name = "";
	
	foreach($yyslist as $y) {
			if ($y["id"] == $tmp_arr[14])
				$yys_name = $y["name"];
	}
	$app_protocol = $tmp_arr[15];
	$natip = long2ip($tmp_arr[16]);
	$natport = $tmp_arr[17];
	$account = iconv("gb2312", "utf-8",$tmp_arr[18]);
	$ifname = iconv("utf-8", "gb2312",$tmp_arr[19]);
	$position_src = iconv("gb2312", "utf-8",$tmp_arr[20]);
	
	array_push($natlist,
		array(
			"devid"=>$devid,
			"dname"=>$dname,
			"vendor"=>$vendor,
			"ptype"=>$ptype,
			"cname"=>$cname,
			"starttime"=>$starttime,
			"endtime"=>$endtime,
			"ipaddr"=>$ipaddr,
			"sport"=>$sport,
			"dstip"=>$dstip,
			"dport"=>$dport,
			"upbytes_gt"=>$upbytes_gt,
			"downbytes_gt"=>$downbytes_gt,
			"position_dst"=>$position_dst,
			"yys"=>$yys_name,
			"app_protocol"=>$app_protocol,
			"natip"=>$natip,
			"natport"=>$natport,
			"account"=>$account,
			"ifname"=>$ifname,
			"position_src"=>$position_src
	));			
}

$json = array("total"=>$total,"natlist"=>$natlist);
echo json_encode($json);


