<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	outputres("no", "ERR_EXPIRE");
	exit;
}

$action = isset($_POST["action"]) ? postval("action") : "";

if ($action == "ipv6_list") 
{
	$devid = postval('devid');
	$ipaddr = postval('ipaddr');
	$dstip = postval('dstip');
	$natip = postval('natip');
	$sport = postval('sport');
	$dport = postval('dport');
	$ptype = postval("ptype");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$appid = postval('appid');
	$page = postval("page");
	$limit = postval("limit");
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval('bexport');
	$domain = postval("domain");
	$filename = "ipv6".date("YmdHis");
	$clnt_mindelay = postval("clnt_mindelay");
	$svr_mindelay = postval("svr_mindelay");
	$app_mindelay = postval("app_mindelay");
	
	$longstart = strtotime($strstart);
       	$longend = strtotime($strend);

	$cmd = LOGDPATH."/bin/logeye npm npmipv6_list 'devid=$devid' 'ipaddr=$ipaddr' ".
		"longstart=$longstart longend=$longend 'bexport=$bexport' 'filename=$filename' ".
		"'errfile=$errfile' 'appid=$appid' 'page=$page' 'limit=$limit' 'dstport=$port' ".
		"'domain=$domain' 'dstip=$dstip' 'sport=$sport' 'dstport=$dport' ".
		"'ptype=$ptype'";
	if ($clnt_mindelay > 0) $cmd .= " 'clnt_mindelay=$clnt_mindelay'";
	if ($svr_mindelay > 0) $cmd .= " 'svr_mindelay=$svr_mindelay'";
	if ($app_mindelay > 0) $cmd .= " 'app_mindelay=$app_mindelay'";
	exec($cmd, $out, $return);

	$rows = array();

	if ($bexport == 0) {
		foreach($out as $val) {
			list($devid, $appid, $ptype, $starttime, $endtime, $src, $sport, $dst, 
				$dport, $up, $down, $clntdelay, $svrdelay, $appdelay, $pkts1, 
				$pkts2, $retmixpkts1, $retmixpkts2, $host, $appcname) = explode(',', $val);
			if ($devid == "totalrecord") {
				$json["totalrecord"] = $appid;
				continue;
			}

			array_push($rows, array(
				"devid"=>$devid,
				"appid"=>$appid,
				"ptype"=>$ptype,
				"starttime"=>date("Y/m/d H:i:s", $starttime),
				"endtime"=>date("Y/m/d H:i:s", $endtime),
				"srcip"=>$src,
				"srcport"=>$sport,
				"dstip"=>$dst,
				"dstport"=>$dport,
				"up"=>$up,
				"down"=>$down,
				"clntdelay"=>$clntdelay,
				"svrdelay"=>$svrdelay,
				"appdelay"=>$appdelay,
				"pkts1"=>$pkts1,
				"pkts2"=>$pkts2,
				"retmixpkts1"=>$retmixpkts1,
				"retmixpkts2"=>$retmixpkts2,
				"host"=>$host,
				"appcname"=>iconv("gb2312", "utf-8", $appcname)
			));
		}
		$json['rows'] = $rows;
		echo json_encode($json);
	}
	else {
		$json['file'] = $filename;
		echo json_encode($json);
	}
}
?>
