<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<script type="text/javascript" src="../js/dtree.js" /></script>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
function lib_submit()
{
	var libtype = $("#libtype").val();
	var libtype2 = $("#libtype2").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'handle.php',
		dataType:'json',
		type: 'post',
		data:{type: 'libres_url', libtype:libtype, libtype2:libtype2, starttime:starttime, endtime:endtime, errname:errname},
		success:function(json) {
			cluster_load_hide();
			showdetail(json);
		}
	})
}

function showdetail(json)
{
	var list = document.getElementById("userdetail");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		obj = list.insertRow(-1);

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = (i + 1);
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.host+r.url;
		cell = obj.insertCell(pos++);
		cell.innerHTML = r.name;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");

		type2str = "<span style='color:#0aa024;'>下载</span>";
		if (r.type2 == 0) type2str = "<span style='color:#666'>浏览</span>";
		cell.innerHTML = type2str;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.num;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = '<a href="javascript:void(0)" onclick="libres_checkuser('+r.type+', '+r.type2+', \''+r.name+'\', \''+r.host+'\', \''+r.url+'\')">用户列表</a>';
	}
}

function libres_checkuser(libtype, libtype2, name, host, url)
{
	var w = 500;
	var left = (window.screen.width - w) / 2;
	var height = window.screen.height - 150;

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startmin = $("#startmin").val();
	var endhour = $("#endhour").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	url = url.replace(/&/g, "2266");
	window.open("libres_userdetail.php?libtype="+libtype+"&libtype2="+libtype2+"&starttime="+
		starttime+"&endtime="+endtime+"&name="+name+"&host="+encodeURIComponent(host)+"&url="+escape(url), "_blank", 
		"width="+w+"px, height="+height+", left="+left);
}

</script>
</head>
<body class="als-body">
<div>
	<div class="als-nav-header">
		<ul>
<?php
include "tab.php";
foreach($_libres_tab as $val) {
	if (strstr($_SERVER["SCRIPT_NAME"], $val["url"]) != false)
		echo '<li class="active"><a href="'.$val["url"].'">'.$val["name"].'</a></li>';
	else
		echo '<li><a href="'.$val["url"].'">'.$val["name"].'</a></li>';
}
?>
		</ul>
	</div>
	<div class="als-content">
		<div class="als-box als-bottom">
			<div class="als-btn-bar">
				<ul>
					<li>
						<label for="libtype">资源</label>
						<select id="libtype" style="width:150px">
							<option value="-1">所有资源</option>
<?php
exec("/bin/logeye user_behavior libres_name", $out, $ret);
foreach($out as $val) {
	$ds = explode(' ', $val);
	echo '<option value="'.$ds[0].'">'.$ds[1].'</option>';
}
?>
						</select>
					</li>
					<li>
						<label for="libtype2">类型</label>
						<select id="libtype2" style="width:100px">
							<option value="-1">所有</option>
							<option value="0">浏览</option>
							<option value="1">下载</option>
						</select>
					</li>
					<li>
<?php
$t = time() - 3600;
?>
						<label for="start">起始时间</label>
						<input type="text" name="start" id="start" style="width:80px;" 
						 onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
						 <input type="text" name="starthour" id="starthour" value="<?= date('H', $t) ?>" style="width:20px;" /> 时
						 <input type="text" name="startmin" id="startmin" value="<?= date('i', $t) ?>" style="width:20px;" /> 分
					</li>
					<li>
						<label for="end">结束时间</label>
						<input type="text" name="end" id="end" style="width:80px;" 
					     onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
					     <input type="text" name="endhour" id="endhour" value="<?= date('H') ?>" style="width:20px;" /> 时
					     <input type="text" name="endmin" id="endmin" value="<?= date('i') ?>" style="width:20px;" /> 分
					</li>
					<li>
						<input type="button" value="查询" onclick="lib_submit()" class="btn-extend-color" />
					</li>
			       	</ul>
				<div class="clearfloat"></div>
			</div>
		</div>
		<div class="topapp-list-table">
			<input type="hidden" value="<?=$_GET['name']?>" id="name" />
			<input type="hidden" value="<?=$_GET['starttime']?>" id="starttime" />
			<input type="hidden" value="<?=$_GET['endtime']?>" id="endtime" />
			<input type="hidden" value="<?=$_GET['libtype']?>" id="libtype" />
			<table class="als-table" id="userdetail">
				<tr>
					<th class="txt-left" width="50px">序号</th>
					<th class="txt-left">网址</th>
					<th class="txt-left" width="100px">所属</th>
					<th class="txt-right" width="80px">类型</th>
					<th class="txt-right" width="80px">次数</th>
					<th class="txt-center" width="70px">操作</th>
				</tr>
			</table>
		</div>
	</div>
</div>
<script type="text/javascript">
</script>
</body>
</html>

