<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$id = $_GET['id'];
$cname = $_GET['cname'];
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=$_GET['host']?> 时延趋势图</title>
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript">
function action_submit()
{
	var devid = getdevice();
	var host = $("#host").val();
	var starttime = $("#starttime").val();
	var endtime = $("#endtime").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'ajax_npm.php',
		dataType:'json',
		type: 'post',
		data:{action: 'npm_hostdelay', starttime:starttime, endtime:endtime, errname:errname, devid: devid, host:host},
		success:function(json) {
			cluster_load_hide();
			$(".npmtrend-nav").show();
			draw_trend(json.date, json.clnt, "clntrender");
			draw_trend(json.date, json.svr, "svrrender");
			draw_trend(json.date, json.app, "apprender");
		}
	});
}

function draw_trend(xdate, ydata, render)
{
	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, "macarons");

	switch(render) {
	case "clntrender":
		title = "客户端时延/ms";
		break;
	case "svrrender":
		title = "服务时延/ms";
		break;
	case "apprender":
		title = "应用时延/ms";
		break;
	}

	option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 10
			}
		},
		title: {
			text: title,
			left: '1%',
			top:10,
			textStyle: {
				fontSize: 10,
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			axisLabel: {
				textStyle: {
					fontSize: 10,
				}
			},
			data: xdate
		},
		grid: {
			left: '8%',
			top: '15%',
			right:'3%'
		},
		yAxis: {
			type: 'value',
			nameLocation: 'end',
			nameTextStyle: {
				fontSize: 10,
			},
			boundaryGap: [0, '100%'],
			axisLabel: {
				interval: 0,
				textStyle: {
					fontSize: 10,
				}
			},
		},
		series: [{
				name:'平均时延',
				type:'line',
				smooth:true,
				symbol: 'none',
				sampling: 'average',
				itemStyle: {
					//color: 'rgb(225, 70, 131)'
				},
				data: ydata
			}
		]
	};

	myChart.setOption(option);
}

</script>
</head>

<body>
<div>
<?php
$devid = $_GET["devid"];
$host = $_GET["host"];
$starttime = $_GET["starttime"];
$endtime = $_GET["endtime"];
?>
	<input type="hidden" value="<?=$devid?>" id="devid" />
	<input type="hidden" value="<?=$host?>" id="host" />
	<input type="hidden" value="<?=$starttime?>" id="starttime" />
	<input type="hidden" value="<?=$endtime?>" id="endtime" />
	<div style="position:relative; display:none;" class="npmtrend-nav">
		<div id="clntrender" style="height:250px;overflow:hidden;"></div>
		<div id="svrrender" style="height:250px;overflow:hidden;"></div>
		<div id="apprender" style="height:250px;overflow:hidden;"></div>
	</div>
</div>
<script>
action_submit();
</script>
</body>
</html>

