<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}

$id = isset($_GET["id"]) ? $_GET['id'] : "";
$cname = isset($_GET["cname"]) ? $_GET['cname'] : "";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/echarts.min.js"></script>
<script type="text/javascript" src="../js/macarons.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
var page = 1;
var limit = 25;
var _sort = "avg_svr";
var _cachefile = "";

function button_click()
{
	page = 1;
	_cachefile = getcachefile();

	action_submit(0);
}

function action_submit(bexport)
{
	var devid = getdevice();
	var host = TrimAll($("#host").val());

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var startmin = $("#startmin").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'ajax_npm.php',
		dataType:'json',
		type: 'post',
		data:{
			action: 'npmhost', starttime:starttime, endtime:endtime, 
			errname:errname, devid: devid, sort: _sort,  page: page, 
			limit: limit, domain: host, bexport: bexport, 
			cachefile:_cachefile},
		success:function(json) {
			cluster_load_hide();

			if (bexport == 0) {
				layui.use(['laypage', 'layer'], function(){
					var laypage = layui.laypage, layer= layui.layer;
					laypage.render({
						elem: 'pagebar',
						count: json.totalrecords,
						limit: limit,
						first: '首页',
						last: '尾页',
						layout: ['count', 'prev', 'page', 'next', 'limit', 'skip'],
						limits:[25, 50, 100, 200],
						theme: '#00A0E9',
						curr: page,
						jump: function(obj, first) {
							if (!first) {
								page = obj.curr;
								limit = obj.limit;
								action_submit(0);
							}
						}
					});
				});

				if (json.totalrecords != 0)
					data_update(json);
			}
			else
				cluster_downloadfile("");
		}
	});
}

function tophost_export(bexport)
{
	layui.use(['laypage', 'layer'], function(){
		var layer = layui.layer;
		layer.confirm("确定要导出时间段内域名的时延数据吗?", {btn:['确定', '取消']}, function(){
			layer.closeAll();
			action_submit(bexport);
		});
	})
}

function host_trend(host)
{
	var devid = getdevice();
	var appid = $("#hidappid").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var endhour = $("#endhour").val();
	var startmin = $("#startmin").val();
	var endmin = $("#endmin").val();
	var starttime = start + ' '+starthour+':'+startmin+':0';
	var endtime = end + ' '+endhour+':'+endmin+':59';

	var url = 'hosttrend_popup.php?host='+host+'&starttime='+starttime+'&endtime='+endtime+'&devid='+devid;

	ShowWindow(url, "", 800, 700);
}


function pre()
{
	if (page == 1)
		page = 1;
	else
		page--;

	action_submit(1, 0);
}

function next()
{
	page++;

	action_submit(1, 0);
}

function data_update(json)
{
	var list = document.getElementById("iplist");
	while (list.rows.length > 2)
		list.deleteRow(2);

	var start = (page - 1) * limit;

	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];

		var obj = list.insertRow(-1);
		obj.onmouseover = function() {
			this.className = "trbg";
		}
		obj.onmouseout = function() {
			this.className = "";
		}

		var pos = 0;
		var cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = (start + i + 1);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "left");
		var mk = '<a href="javascript:host_trend(\''+r.host+'\')">'+r.host+'</a>';
		cell.innerHTML = mk;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.count;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = (r.max_clnt / 1000).toFixed(2);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = (r.max_svr / 1000).toFixed(2);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = (r.max_app / 1000).toFixed(2);

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.avg_clnt;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.avg_svr;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.avg_app;

		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.down);
	}
}

function title_sort(sort)
{
	_sort = sort;

	action_submit(0);
}

function createtrend(xdate, data, render)
{
	var dom = document.getElementById(render);
	var myChart = echarts.init(dom, "macarons");

	switch(render) {
	case "npmtrend_clnt":
		title = "客户端时延/ms";
		break;
	case "npmtrend_svr":
		title = "服务时延/ms";
		break;
	case "npmtrend_app":
		title = "应用时延/ms";
		break;
	}

	var fontfamily = "微软雅黑";
	var fontsize = 14;

	option = {
		tooltip: {
			trigger: 'axis',
			position: function (pt) {
				return [pt[0], '10%'];
			},
			textStyle: {
				fontSize: 12
			}
		},
		title: {
			left: '1%',
			text: title,
			top:20,
			textStyle: {
				fontFamily: fontfamily,
				fontSize: fontsize
			}
		},
		xAxis: {
			type: 'category',
			boundaryGap: false,
			data: xdate,
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
		},
		grid: {
			left: '8%',
			right:'3%'
		},
		yAxis: {
			type: 'value',
			nameLocation: 'end',
			nameTextStyle: {
				fontSize: 12,
				fontFamily: 'Microsoft YaHei'
			},
			axisLabel: {
				textStyle: {
					fontSize: '10'
				}
			},
			boundaryGap: [0, '100%']
		},
		series: [{
				name:'平均时延',
				type:'line',
				smooth:true,
				symbol: 'none',
				sampling: 'average',
				itemStyle: {
					//color: 'rgb(225, 70, 131)'
				},
				areaStyle: {
				},
				data: data
			}
		]
	};

	myChart.setOption(option);
}

</script>
</head>

<body>
<div class="outer">
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li class="srcip-dis">
				<label>域名</label>
				<input type="text" id="host" value="" style="width:150px" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				$t2 = strtotime("now");
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="starthour" value="<?= date('H', $t)?>" style="width:30px" />时
				<input type="text" id="startmin" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t2) ?>" />
				<input type="text" id="endhour" value="<?= date('H', $t2)?>" style="width:30px" /> 时
				<input type="text" id="endmin" value="<?= date('i', $t)?>" style="width:30px" />分
			</li>
			<li>
				<a class="btn-extend-color" onclick="button_click()">查询</a>
			</li>
			<li>
				<a class="btn-extend-gray" onclick="tophost_export(1)">EXCEL</a>
				<a class="btn-extend-gray" onclick="tophost_export(2)">TXT</a>
				<a class="btn-extend-gray" onclick="tophost_export(3)">CSV</a>
				<a class="btn-extend-gray" onclick="cluster_downloadfile('')">下载列表</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table npm-topuser">
		<table id="iplist" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
			<tr>
				<th class="txt-center" rowspan="2" style="width:30px;">序号</th>
				<th class="txt-left" width="150px" rowspan="2">域名</th>
				<th class="txt-right" rowspan="2"><a href="javascript:title_sort('count')">连接数</a></th>
				<th class="txt-right" colspan="3">最大时延ms</th>
				<th class="txt-right" colspan="3">平均时延ms</th>
			       	<th class="txt-right" colspan="2">流量byte</th>
			</tr>
			<tr>
				<th class="txt-right"><a href="javascript:title_sort('max_clnt')">客户端</a></th>
				<th class="txt-right"><a href="javascript:title_sort('max_svr')">服务</a></th>
				<th class="txt-right"><a href="javascript:title_sort('max_app')">应用</a></th>
				<th class="txt-right"><a href="javascript:title_sort('avg_clnt')">客户端</a></th>
				<th class="txt-right"><a href="javascript:title_sort('avg_svr')">服务</a></th>
				<th class="txt-right"><a href="javascript:title_sort('avg_app')">应用</a></th>
				<th class="txt-right"><a href="javascript:title_sort('up')">上行</a></th>
				<th class="txt-right"><a href="javascript:title_sort('down')">下行</a></th>
			</tr>
	       	</table>
		<div id="pagebar"></div>
	</div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
showdevicetree();
</script>
</body>
</html>

