<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript">
function match_enable()
{
	var match_enable = 0;
	if ($("[name='match_enable']").eq(0).attr("checked"))
		match_enable = 1;

	$.ajax({
		url:'ajax_server.php',
		data:{action: "match_enable", match_enable:match_enable},
		type:'post',
		success:function(json){
		}
	})
}

function usermap_check()
{
	var devid = getdevice();
       	var start = $("#start").val();
	var end = $("#end").val();
	var domain = $("#domain").val();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
       	cluster_get_status(errname);
	
	$.ajax({
		url:'../user_behavior/ajax_user_map.php',
		data:{action: "user_map", devid:devid, starttime:starttime, endtime:endtime, errname:errname, domain: domain},
		type:'post',
		dataType:'json',
		success:function(json){
			cluster_load_hide();
			areainfo_display(json);
		}
	});
}

function umap_detail(param)
{
	var left = (window.screen.width - 900) / 2;
	var height = window.screen.height - 150;

	var devid = getdevice();
	var domain = $("#domain").val();
	var start = $("#start").val();
	var end = $("#end").val();

	var starttime = start + ' 0:0:0';
	var endtime = end + ' 23:59:59';
	
	var name =  param;
	if (param.name)
		name = param.name;
	
	window.open("../user_behavior/umap_detail.php?areaname="+name+"&devid="+devid+"&starttime="+
		starttime+"&endtime="+endtime+"&domain="+domain, "_blank", 
		"width=700px, height="+height+", left="+left);
}

function areainfo_display(json)
{
	var trbg = "";
	var list = document.getElementById("areainfo");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < json.rows.length; i++) {
		r = json.rows[i];
		if (r.cname == "") continue;

		oper = '<a href="javascript:umap_detail(\''+r.cname+'\')">'+r.cname+'</a>';

		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);

		var pos = 0;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = i + 1;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "center");
		cell.innerHTML = oper;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = r.value;
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.up);
		cell = obj.insertCell(pos++);
		cell.setAttribute("align", "right");
		cell.innerHTML = numberformats(r.down);

		trbg = (trbg == "") ? "log-table-tr-toggle-bgcolor-curr" : "";
	}
}

showdevicetree();
</script>
</head>
<body>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>域名</label>
				<input type="text" value="" id="domain" style="width:150px;" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 86400;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
			</li>
			<li>
				<a class="btn-extend-color" onclick="usermap_check()">查询</a>
			</li>
			<li>
<?php
$match_enable = 0;
$cmd = PANALOGEYE." session stat";
exec($cmd, $out, $ret);
foreach($out as $val) {
	list($tag, $v) = explode('=', trim($val));
	if ($tag == "session_src_match_address")
		$match_enable = $v;
}

$checked = $match_enable == 0 ? "" : "checked";
?>
				<input type="checkbox" name="match_enable" <?=$checked?> onclick="match_enable()" /> 匹配源IP地理位置
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="topapp-list-table">
		<table id="areainfo" style="width:100%;">
			<tr>
				<th style="width:50px;">编号</th>
				<th style="width:180px;">区域</th>
				<th class="txt-right">访问量</th>
				<th class="txt-right">上行流量</th>
				<th class="txt-right">下行流量</th>
			</tr>
		</table>
	</div>
</body>
</html>
