<?php
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	outputres("no", "LOGIN TIMEOUT");
	exit;
}

$action = postval("action");

if ($action == "httplog_list") 
{
	$devid = postval('devid');
	$ipaddr = postval('ipaddr');
	$dstip = postval("dstip");
	$domain = postval('domain');
	$dstport = postval("dstport");
	$url = postval('url');
	$acctype = postval("acctype");
	$strstart = postval('starttime');
	$strend = postval('endtime');
	$account = postval('account');
	$errfile = _CHECKING_STATUS_F.'/'.postval('errname');
	$bexport = postval('bexport');
	$appid = postval("appid");
	$page = postval('page');
	$limit = postval('limit');
	$ua = postval("ua");	/* User-Agent */
	$cookie = postval("cookie");
	$referer = postval("referer");
	$xforw = postval("xforw");
	$httpcode = postval("httpcode");

	if ($url != "")
		$url = @mysql_real_escape_string($url);
	if ($account != "")
		$account = iconv("utf-8", "gb2312", $account);

	$longstart = strtotime($strstart);
	$longend = strtotime($strend);

	$json = $rows = array();

	$filename = "httplog".date("YmdHis");

	$cmd = LOGDPATH."/bin/logeye user_behavior httplog_list 'devid=$devid' 'ipaddr=$ipaddr'";
	$cmd .= " domain='$domain' account='$account' longstart=$longstart longend=$longend";
	$cmd .= " url='$url' 'bexport=$bexport' filename='$filename' errfile='$errfile' 'page=$page'";
	$cmd .= " 'limit=$limit' acctype='$acctype' 'appid=$appid' 'dstip=$dstip' 'dstport=$dstport'";
	if ($ua != "") $cmd .= " 'ua=$ua'";
	if ($cookie != "") $cmd .= " 'cookie=$cookie'";
	if ($referer != "") $cmd .= " 'referer=$referer'";
	if ($xforw != "") $cmd .= " 'xforw=$xforw'";
	if ($httpcode != "") $cmd .= " 'httpcode=$httpcode'";
	exec($cmd, $out, $ret);
	if (!$bexport) {
		foreach($out as $val) {
			list($devid, $time, $ip, $srcport, $dstip, $dstport, $method, $host, $url, 
				$account, $agent, $cookie, $refer, $xforw, $httpcode, $location) = explode('	', $val);
			if (json_encode($httpcode) == false)
				$httpcode = "";

			if ($account != "")
				$account = iconv('gb2312', 'utf-8', $account);
			if ($account == '$') $account = '';
		
			if (!is_utf8($cookie))
				$cookie = iconv("gb2312", "utf-8", $cookie);

			if (!is_utf8($url))
				$url = iconv("gb2312", "utf-8", $url);

			array_push($rows, array(
				'devid'=>$devid,
				'time'=>date("m/d H:i:s", $time),
				'ip'=>long2ip($ip), 
				'host'=>$host, 
				'account'=>$account,
				'url'=>$url,
				"dstip"=>long2ip($dstip),
				"srcport"=>$srcport,
				"dstport"=>$dstport,
				"agent"=>$agent,
				"cookie"=>$cookie,
				"refer"=>$refer,
				"xforw"=>$xforw,
				"method"=>$method,
				"httpcode"=>$httpcode,
				"location"=>$location
			));
		}

		$json['rows'] = $rows;
		echo json_encode($json);
	}
}
else {
    $json['file'] = $filename;
    echo json_encode($json);
}
?>
