<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>

<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript" src="../js/Calendar.js"></script>

<script type="text/javascript">
$(function(){
	keytype = $("#hdkeytype").val();
	if (keytype != '0') {
		ks = keytype.split(',');
		for (i = 0; i < ks.length; i++) {
			$("[name='keytype']").each(function(){
				if ($(this).val() == ks[i])
					$(this).attr("checked", true);
			});
		}
	}
	
	keymap_check();
});

function keymap_check()
{
	var ks = [];
	var keytype = '0';
	$("[name='keytype']").each(function(){
		if ($(this).attr("checked"))
			ks.push($(this).val());
	});
	if (ks.length != 0)
		keytype = ks.join(',');
	
	var key = $("#key").val();
    var start = $("#start").val();
	var end = $("#end").val();

	var dt = new Date();
	var starttime = start + ' 0:0:0';
	var endtime = end + ' '+(dt.getHours())+':'+dt.getMinutes()+':59';

    cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

    $.ajax({
        url:'../user_behavior/key_handle.php',
        data:{type:'key_trend', key:key, keystyle:keytype, 
			starttime:starttime, endtime:endtime, errname:errname},
        type:'post',
        dataType:'json',
        success:function(json){
			stacking_chart(json, start, end);
            cluster_load_hide();
        }
    });
}


function stacking_chart(json, start, end)
{
	var units = "bits/s";
	
	var options = {
		chart:{
			renderTo:'key-trend',
			defaultSeriesType:'spline',
			plotBackgroundColor: null,
			plotBorderWidth: null,
			plotShadow: true
            /*,
			backgroundColor: {
                linearGradient: [0, 0, 500, 500],
                stops: [
                    [0, 'rgb(255, 255, 255)'],
                    [1, 'rgb(200, 200, 255)']
                ]
            }*/
		},title:{
			enabled: true,
			text:start+' 至 '+end + ' 电商搜索次数趋势图',
			style: {
                        fontSize: '14px',
                        fontFamily: '微软雅黑'
                    }
		},xAxis:{
			type:'datetime',
			tickPixelInterval:60
		},yAxis:{
			min:0,
			tickPixelInterval:30,
			title:{
				text:'次数'
			},labels:{formatter:function(){
				return numberformats(parseInt(this.value));
				}
			},
			plotLines:[{value:0,width:1}]
		},legend:{enabled:true,verticalAlign:'bottom',itemStyle:{color:'#666'}
		},plotOptions:{
			area:{stacking:false,lineWidth:0,marker:{enabled:false}},
			spline:{
				marker:{radius:0,
					lineWidth:0
				       }
			       }
		},credits:{enabled:false},
		/*
		legend: {
            enabled: true,
            layout: 'vertical',
            align: 'right',
            width: 120,
            verticalAlign: 'middle',
            itemMarginTop: 3,
            borderWidth: 0,
            labelFormatter: function() {
                return '<div style="text-align: left; width:100px;font-weight:normal;">' + this.name + '</div>';
            }
        },
		*/
		tooltip:{
			formatter:function(){
				var dd = new Date(this.x);
				var str = dd.getDate()+'/'+dd.getHours()+':'+dd.getMinutes();
				return this.series.name+'<br/>'+str+' '+this.y;
			}
		},series:[]
	}

	options.series = json.eles;
	var chart = new Highcharts.Chart(options);
}
</script>
</head>
<body>
<div>
	<div class="check-form">
		<ul style="width:100%;">
			<li>
				<label>电子商务：</label>
				<input type="checkbox" value="1" name="keytype" /> 淘宝
				<input type="checkbox" value="2" name="keytype" /> 天猫
				<input type="checkbox" value="3" name="keytype" /> 京东
				<input type="checkbox" value="4" name="keytype" /> 苏宁
				<input type="checkbox" value="5" name="keytype" /> 易迅
				<input type="checkbox" value="6" name="keytype" /> 当当
				<input type="checkbox" value="7" name="keytype" /> 美团
				<input type="checkbox" value="8" name="keytype" /> 点评
				<input type="checkbox" value="9" name="keytype" /> 糯米
				<input type="checkbox" value="22" name="keytype" /> 国美
				
				<input type="hidden" value="<?=$_GET['keytype']?>" id="hdkeytype" />
			<li>
		</ul>
		<ul style="width:100%;">
			<li>
				<label>搜索引擎：</label>
				<input type="checkbox" value="10" name="keytype" /> 百度
				<input type="checkbox" value="11" name="keytype" /> 必应
				<input type="checkbox" value="12" name="keytype" /> 搜狗
				<input type="checkbox" value="13" name="keytype" /> 谷粉
				<input type="checkbox" value="21" name="keytype" /> 360搜索
			<li>
		</ul>
		<ul style="width:100%;">
			<li>
				<label>招聘网站：</label>
				<input type="checkbox" value="14" name="keytype" /> 拉勾网
				<input type="checkbox" value="15" name="keytype" /> 智联招聘
				<input type="checkbox" value="16" name="keytype" /> 赶集招聘
				<input type="checkbox" value="17" name="keytype" /> 猎聘网
				<input type="checkbox" value="18" name="keytype" /> 58招聘
				<input type="checkbox" value="19" name="keytype" /> 应届生招聘
				<input type="checkbox" value="20" name="keytype" /> 中华英才网
			<li>
		</ul>
		<ul style="width:100%;">
			<li>
				<label>关键字</label>
				<input type="text" value="<?=$_GET['key']?>" id="key" style="width:100px" />
			<li>
			<li>
				<label for="start">起始时间</label>
				<?php
			$t = strtotime("now") - 86400;
			if ($_GET['start'] == "")
				$start = date("Y-m-d", $t);
			else
				$start = $_GET['start'];
				
			?>
				<input type="text" name="start" id="start" style="width:80px;" 
				onclick="new Calendar().show(this);" value="<?=$start?>" />
			</li>
			<li>
				<label for="end">结束时间</label>
				<?php
				$t = strtotime("now");
				if ($_GET['end'] == "")
					$end = date("Y-m-d", $t);
				else
					$end = $_GET['end'];
					
				?>
				<input type="text" name="end" id="end" style="width:80px;" 
				onclick="new Calendar().show(this);" value="<?=$end?>" />
			</li>
			<li>
				<input type="button" value="查询" class="btn-extend-color" onclick="keymap_check()" />
			</li>
		</ul>
		<div style="clear:both;"></div>
	</div>
	
	<div id="key-trend" style="margin-top:50px;height:400px;"></div>
</div>
<script type="text/javascript">
    Highcharts.setOptions({ global: { useUTC: false } });
	
$("#imgstart").click(function(){
		new Calendar().show(document.getElementById("start"));
	});
$("#imgend").click(function(){
		new Calendar().show(document.getElementById("end"));
	});
</script>
</body>
</html>
