<?php
/**
 * Created by Zhangbowen.
 * User: BW
 * Date: 13-4-25
 * Time: 下午10:42
 * To change this template use File | Settings | File Templates.
 */
session_start();
set_time_limit(0);
$doc = $_SERVER["DOCUMENT_ROOT"];
include($doc."/common.php");
if (!chksession()) {
	echo '<script type="text/javascript">parent.location.href="../index.php";</script>';
	exit;
}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Cache-Control" content="no-cache">
<title><?=VERSION?></title>
<link type="text/css" rel="stylesheet" href="../css/dtree.css" />
<link type="text/css" rel="stylesheet" href="../css/common.css" />
<link rel="stylesheet" href="../css/ui-lightness/jquery-ui-custom.css">
<script type="text/javascript" src="../js/jquery.min.js"></script>
<script type="text/javascript" src="../js/highcharts.js"></script>
<script type="text/javascript" src="../js/jquery-ui.min.js"></script>
<script type="text/javascript" src="../js/common.js"></script>
<script type="text/javascript" src="../js/dtree.js" /></script>
<script type="text/javascript" src="../js/Calendar.js"></script>
<script type="text/javascript">
Highcharts.setOptions({ global: { useUTC: false } });

var page = 1;
var limit = 25;
var dstpage = 1;
var dstlimit = 25;
var apppage = 1;
var applimit = 25;
var sort = "flow";

function hdsort(hs)
{
	sort = hs;
	session_check();
}

function trendflow()
{
	var devid = getdevice();
	var srcip = TrimAll($("#srcip").val());
	var dstip = TrimAll($("#dstip").val());
	var srcportseg = $("#srcport").val();
	var dstportseg = $("#dstport").val();
	var account = $("#account").val();
	var appid = $("#appid").val();
	var ptype	= $("#ptype").val();

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startminute = $("#startminute").val();
	var startsec = 0;
	var endhour = $("#endhour").val();
	var endminute = $("#endminute").val();
	var endsec = 0;
	var starttime = start+ ' '+starthour+':'+startminute+':'+startsec;
	var endtime = end+' '+endhour+':'+endminute+':'+endsec;

	var srciptype = "ipcustom";
	if ($("[name='srcipgrp_enable']").eq(0).attr("checked"))
		srciptype = "ipgrp";
	var srcipgrp = $("#srcipgrp").val();

	var ifname = $("#ifname").val();
	var host = $("#host").val();
	var natip = $("#natip").val();
	var natport = $("#natport").val();
	var yys = $("#yys").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type: "sesssum_trendflow", start:starttime,
			end:endtime, errname:errname, appid: appid,
			devid: devid, sort: sort, srcip: srcip,
			dstip: dstip, srcportseg: srcportseg,
			dstportseg: dstportseg, account:account,
			ifname: ifname, host: host, natip:natip,
			natport:natport, yys:yys,
			srciptype:srciptype,
			srcipgrp:srcipgrp,
			ptype:ptype
		},
		type:'post',
		dataType:'json',
		success:function(json) {
			$(".sesssumtrend").show();
			apptrend( "bpsup", "appgrouptrendup", json.result_up, starttime, endtime);
			apptrend("bpsdown", "appgrouptrenddown", json.result_down, starttime, endtime);
			apptrend("bpsflow", "appgrouptrendflow", json.result_flow, starttime, endtime);
			cluster_load_hide();
			session_check();
		}
	});
}

function apptrend(chartype, render, data, starttime, endtime)
{
    var units = 'bits/s';
    if (chartype == "bpsflow") 
		units = "#flowcnt";

    var options = {
        chart:{
            renderTo:render,
            borderRadius:0,
            defaultSeriesType:'area'
        },title:{
            text: null,
            style:{font: '微软雅黑', fontSize:'12px', color:'#666', fontWeight:'bold'}
        },xAxis:{
            type:'datetime',
            tickPixelInterval:80,
            labels:{
                rotation:-45,
                align:'right',
                style:{font:'normal 11px Verdana, sans-serif', color:'#000000'}
            }
        },yAxis:{
            min:0,
            tickPixelInterval:30,
            title:{
                text:units
            },labels:{formatter:function(){
                return numberformats(parseInt(this.value));
            }
            },
            plotLines:[{value:0,width:1}]
        },legend:{enabled:true,verticalAlign:'bottom',y:10,lineHeight:5,itemStyle:{color:''}
        },plotOptions:{
            area:{stacking:'normal',lineWidth:0,marker:{enabled:false}}
        },credits:{enabled:false},
        tooltip:{
            formatter:function(){
                return '<b>'+this.series.name+'</b><br/>'+Highcharts.dateFormat('%Y/%m/%d %H:%M:%S', this.x) +'<br/>'+ numformats(this.y);
            }
        },series:[]
    }

    options.series = data;
    new Highcharts.Chart(options);
}

function session_check()
{
	var devid = getdevice();
	var srcip = TrimAll($("#srcip").val());
	var dstip = TrimAll($("#dstip").val());
	var srcportseg = $("#srcport").val();
	var dstportseg = $("#dstport").val();
	var account = $("#account").val();
	var appid = $("#appid").val();
	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startminute = $("#startminute").val();
	var startsec = 0;
	var endhour = $("#endhour").val();
	var endminute = $("#endminute").val();
	var endsec = 0;
	var starttime = start+ ' '+starthour+':'+startminute+':'+startsec;
	var endtime = end+' '+endhour+':'+endminute+':'+endsec;
	var ptype	= $("#ptype").val();

	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type: "session_sum", start:starttime, 
			end:endtime, errname:errname, appid: appid, 
			devid: devid, sort: sort, srcip: srcip, 
			dstip: dstip, srcportseg: srcportseg, 
			dstportseg: dstportseg, page: page, 
			limit: limit, account:account, ptype:ptype},
		type:'post',
		dataType:'json',
		success:function(json) {
			$(".tablelist").show();
			data_update(json);
			cluster_load_hide();
			dstip_check(1, 0);
		}
	});
}

function appflow_check(bexport)
{
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type: "session_sum_appflow", errname:errname, sort: sort, page: apppage, limit: applimit, bexport:bexport},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();

			if (bexport) {
				cluster_downloadfile("");
				return;
			}

			appflow_update(json);
		}
	});
}

function sesssum_open(srcip, dstip, appid, cname)
{
	var devid = getdevice();

	var start = $("#start").val();
	var end = $("#end").val();
	var starthour = $("#starthour").val();
	var startminute = $("#startminute").val();
	var startsec = 0;
	var endhour = $("#endhour").val();
	var endminute = $("#endminute").val();
	var endsec = 0;
	var starttime = start+ ' '+starthour+':'+startminute+':'+startsec;
	var endtime = end+' '+endhour+':'+endminute+':'+endsec;

	window.open("sesssum_open.php?srcip="+srcip+"&dstip="+dstip+"&appid="+
		appid+"&cname="+cname+"&devid="+devid+"&starttime="+starttime+"&endtime="+endtime, 
		"_blank", "width=1000px, height=600px");
}

function pageup()
{
	if (--page <= 0)
		page = 1;

	srcip_check(0);
}

function pagedown()
{
	page++;

	srcip_check(0);
}

function dstpageup()
{
	if (--dstpage <= 0)
		dstpage = 1;

	dstip_check(0, 0);
}

function dstpagedown()
{
	dstpage++;

	dstip_check(0, 0);
}

function apppageup()
{
	if (--apppage <= 0)
		apppage = 1;

	appflow_check(0);
}

function apppagedown()
{
	apppage++;

	appflow_check(0);
}

function data_update(data)
{
	var s;
	var appid = $("#appid").val();
	var appcname = $("#appcname").val();

	s = '<a href="javascript:pageup()">上一页</a>';
	s += '&nbsp;&nbsp;第 '+page+' 页';
	s += '&nbsp;&nbsp;<a href="javascript:pagedown()">下一页</a>';
	s += '&nbsp;&nbsp;共 '+data.total+' 条 / '+(Math.ceil(data.total/limit))+' 页';
	s += '&nbsp;<a class="layui-btn layui-btn-xs" href="javascript:void(0);" onclick="srcip_check(1)">导出</a>';
	$("#srcpagebar").html(s);

	var list = document.getElementById("myiptable");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < data.rows.length; i++) {
		r = data.rows[i];
		
		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		obj = list.insertRow(-1);
		obj.class=trbg;
		obj.setAttribute("class", trbg);
		
		col = obj.insertCell(0);
		col.setAttribute("align", "center");
	   	col.innerHTML = i+1;
		col = obj.insertCell(1);
		col.setAttribute("align", "left");
		col.innerHTML = '<a href="javascript:sesssum_open(\''+r.ipaddr+'\', \'\', '+appid+', \''+appcname+'\')">'+r.ipaddr+'</a>';
		col = obj.insertCell(2);
		col.setAttribute("align", "right");
		col.innerHTML = r.flowcont;
		col = obj.insertCell(3);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.upbytes);
		col = obj.insertCell(4);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.downbytes);
	}
}

function appflow_update(data)
{
	s = '<a href="javascript:apppageup()">上一页</a>';
	s += '&nbsp;&nbsp;第 '+apppage+' 页';
	s += '&nbsp;&nbsp;<a href="javascript:apppagedown()">下一页</a>';
	s += '&nbsp;&nbsp;共 '+data.total+' 条 / '+(Math.ceil(data.total/applimit))+' 页';
	s += '&nbsp;<a class="layui-btn layui-btn-xs" href="javascript:void(0);" onclick="appflow_check(1)">导出</a>';
	$("#apppagebar").html(s);

	var list = document.getElementById("myapptable");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < data.rows.length; i++) {
		r = data.rows[i];
		
		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);
		
		col = obj.insertCell(0);
		col.setAttribute("align", "center");
	   	col.innerHTML = i+1;
		col = obj.insertCell(1);
		col.setAttribute("align", "left");
		col.innerHTML = '<a href="javascript:sesssum_open(\'\', \'\', \''+r.appid+'\', \''+r.cname+'\')">'+r.cname+'</a>';
		col = obj.insertCell(2);
		col.setAttribute("align", "right");
		col.innerHTML = r.flowcont;
		col = obj.insertCell(3);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.upbytes);
		col = obj.insertCell(4);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.downbytes);
	}
}

function srcip_check(bexport)
{
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type: "session_sum", errname:errname, sort: sort, 
			page: page, limit: limit, bexport:bexport},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();

			if (bexport) {
				cluster_downloadfile("");
				return;
			}

			data_update(json);
		}
	});
}

function dstip_check(again, bexport)
{
	cluster_load_show();
	var errname = (new Date()).getTime()+'.st';
	cluster_get_status(errname);

	$.ajax({
		url:'../user_behavior/user_handle.php',
		data:{type: "session_sum_dstip", errname:errname, sort: sort, 
			page: dstpage, limit: dstlimit, bexport:bexport},
		type:'post',
		dataType:'json',
		success:function(json) {
			cluster_load_hide();

			if (bexport) {
				cluster_downloadfile("");
				return;
			}

			dstip_update(json);

			if (again)
				appflow_check(0);
		}
	});
}

function dstip_update(data)
{
	s = '<a href="javascript:dstpageup()">上一页</a>';
	s += '&nbsp;&nbsp;第 '+dstpage+' 页';
	s += '&nbsp;&nbsp;<a href="javascript:dstpagedown()">下一页</a>';
	s += '&nbsp;&nbsp;共 '+data.total+' 条 / '+(Math.ceil(data.total/dstlimit))+' 页';
	s += '&nbsp;<a class="layui-btn layui-btn-xs" href="javascript:void(0);" onclick="dstip_check(0, 1)">导出</a>';
	$("#dstpagebar").html(s);

	var appid = $("#appid").val();
	var appcname = $("#appcname").val();

	var list = document.getElementById("mydstiptable");
	while (list.rows.length > 1)
		list.deleteRow(1);
	for (i = 0; i < data.rows.length; i++) {
		r = data.rows[i];
		
		trbg = '';
		if (i % 2 == 1)
			trbg = 'log-table-tr-toggle-bgcolor-curr';

		obj = list.insertRow(-1);
		obj.setAttribute("class", trbg);
		
		col = obj.insertCell(0);
		col.setAttribute("align", "center");
	   	col.innerHTML = i+1;
		col = obj.insertCell(1);
		col.setAttribute("align", "left");
		col.innerHTML = '<a href="javascript:sesssum_open(\'\', \''+r.ipaddr+'\', '+appid+', \''+appcname+'\')">'+r.ipaddr+'</a>';
		col = obj.insertCell(2);
		col.setAttribute("align", "right");
		col.innerHTML = r.flowcont;
		col = obj.insertCell(3);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.upbytes);
		col = obj.insertCell(4);
		col.setAttribute("align", "right");
		col.innerHTML = numberformats(r.downbytes);
	}
}

function showapptree()
{
	if ($('#showapptree_win').length > 0){
		$('#showapptree_win').show();
		$('#showapptree_win').css('z-index', config.zindex++);
		return false;
	}

	$("<div id='showapptree_win'></div>").appendTo("body");

	$('#showapptree_win').load('treepanel.php', function(){
		setWinpos("showapptree_win", 400, 600, "showapptree_con");

		$('#showapptree_win').css('z-index', config.zindex++);

		createtree();

		$("#checkapp").focus();
	});
}

var trees;
function ajaxcheckapp()
{
	var appid = $("#checkapp").val();

	if (appid == ""){
		$("#checklist").html("");
		return false;
	}

	$.post("checkapp.php", {appid:appid}, function(data){
		var res, r, hl = "";
		eval("res="+data);

		for (var i = 0; i < res.result.length; i++){
			r = res.result[i];
			hl += "&nbsp;&nbsp;<a href='javascript:appselect(\""+r.id+"\", \""+r.name+"\", \""+r.cname+"\")'>"+r.cname+"</a><br>";
		}

		$("#checklist").html(hl);
	});
}

function appselect(id, name, cname)
{
	$("#appid").val(id);
	$("#appcname").val(cname);

	$('#showapptree_win').hide();
}

</script>
</head>
<body>
<?php
$focus_time = isset($_REQUEST["focus_time"]) ? postval("focus_time") : 0;
$req_appid = isset($_REQUEST["appid"]) ? postval("appid") : 0;
$req_devid = isset($_REQUEST["devid"]) ? postval("devid") : 0;
echo '<input type="hidden" value="'.$focus_time.'" id="focus_time" />';
echo '<input type="hidden" value="'.$req_devid.'" id="req_devid" />';
echo '<input type="hidden" value="'.$req_appid.'" id="req_appid" />';
?>
<div class="outer">
	<div class="als-nav-header">
		<ul>
<?php
include "session_menu.php";
output_tab();
?>
		</ul>
	</div>
	<div class="check-form">
		<ul>
			<li>
				<?php
				echo getdevice();
				?>
			</li>
			<li>
				<label>用户账号</label>
				<input type="text" id="account" value="" style="width:100px;" />
			</li>
			<li class="srcip-dis">
				<label>源IP</label>
				<input type="text" id="srcip" value="" style="width:100px;" title="可输入单IP地址或者一个IP地址段，如1.1.1.1-2.2.2.2" />
			</li>
			<li class="srcipgrp-dis" style="display:none;">
				<label>源IP群组</label>
				<select id="srcipgrp" style="width:100px">
				<?php
				$conn = my_mysql_connect();
				if ($conn) {
					$cmd = "select id, grpname from palog.ipgrp_list";
					if (($result = mysql_query($cmd)) != false) {
						while ($row = mysql_fetch_row($result)) {
							echo '<option value="'.$row[0].'">'.$row[1].'</option>';
						}
					}
					mysql_close($conn);
				}
				?>
				</select>
			</li>
			<li>
				<label><input type="checkbox" name="srcipgrp_enable" />源IP群组</label>
			</li>
			<li>
				<label>源端口</label>
				<input type="text" id="srcport" value="" style="width:100px;" title="可输入一个端口或者一个端口范围，如111-222" />
			</li>
			<li>
				<label>目的IP</label>
				<input type="text" id="dstip" value="" style="width:100px;" title="可输入单IP地址或者一个IP地址段，如1.1.1.1-2.2.2.2" />
			</li>
			<li>
				<label>目的端口</label>
				<input type="text" id="dstport" value="" style="width:100px;" title="可输入一个端口或者一个端口范围，如111-222" />
			</li>
			<li>
				<label>域名</label>
				<input type="text" id="host" value="" style="width:150px;" placeholder="完全匹配方式，不支持模糊匹配" />
			</li>
			<li>
				<label>首包接口</label>
				<input type="text" id="ifname" value="" style="width:50px;" />
			</li>
			<li>
				<label>NAT地址</label>
				<input type="text" id="natip" value="" style="width:100px;" />
			</li>
			<li>
				<label>NAT端口</label>
				<input type="text" id="natport" value="" style="width:100px;" />
			</li>
			<li>
				<label>运营商</label>
				<select id="yys">
					<option value="-1">所有</option>
<?php
$yys = getyys();
foreach($yys as $val) {
	echo '<option value="'.$val["id"].'">'.$val["name"].'</option>';
}
?>
				</select>
			</li>
			<li>
				<label>协议类型</label>
				<select id="ptype" style="width:50px;">
					<option value="0">ALL</option>
					<option value="6">TCP</option>
					<option value="17">UDP</option>
				</select>
			</li>
			<li>
				<label><a href="javascript:showapptree()">选择协议</a></label>
				<input type="text" id="appcname" value="任意" readonly style="width:80px;" />
				<input type="hidden" value="-1" id="appid" />
			</li>
			<li>
				<label>起始时间</label>
				<?php
				$t = strtotime("now") - 3600;
				?>
				<input type="text" name="start" id="start" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d', $t) ?>" />
				<input type="text" id="starthour" style="width:30px" value="<?= date('H', $t) ?>" />时&nbsp;
				<input type="text" id="startminute" style="width:30px" value="<?= date('i') ?>" />分&nbsp;
			</li>
			<li>
				<label>结束时间</label>
				<input type="text" name="end" id="end" style="width:80px" 
					onclick="new Calendar().show(this);" value="<?= date('Y-m-d') ?>" />
				<input type="text" id="endhour" style="width:30px" value="<?= date('H') ?>" />时&nbsp;
				<input type="text" id="endminute" style="width:30px" value="<?= date('i') ?>" />分&nbsp;
			</li>
			<li>
				<a class="btn-extend-color" onclick="trendflow()">查询</a>
			</li>
		</ul>
		<div class="clearfloat"></div>
	</div>
	<div class="sesssumtrend" style="float:left;width:32%;margin-top:15px; margin-left:5px; display:none;">
		<div class="graphic-title">连接数趋势图</div>
		<div id="appgrouptrendflow" style="width:100%;height:300px;margin-top:10px;"></div>
	</div>
	<div class="sesssumtrend" style="float:left;width:32%;margin-top:15px; margin-left:5px; display:none;">
		<div class="graphic-title">上行流量趋势图</div>
		<div id="appgrouptrendup" style="width:100%;height:300px;margin-top:10px;"></div>
	</div>
	<div class="sesssumtrend" style="float:left;width:32%;margin-top:15px; margin-left:5px; display:none;">
		<div class="graphic-title">下行流量趋势图</div>
		<div id="appgrouptrenddown" style="width:100%;height:300px;margin-top:10px;"></div>
	</div>
	<div class="topapp-list-table tablelist" style="display:none;">
		<div style="float:left; width:32%;margin: 20px 5px 0 0;">
			<div id="srcpagebar" style="width:100%; padding:10px 0px; text-align:right;"></div>
			<table id="myiptable" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
				<tr>
					<th class="td-left-first" style="width:50px;">序号</th>
					<th class="txt-left">源IP</th>
					<th class="txt-right"><a href="javascript:hdsort('flow')">连接数&nbsp;</a></th>
					<th class="txt-right"><a href="javascript:hdsort('up')">上行流量&nbsp;</a></th>
					<th class="txt-right"><a href="javascript:hdsort('down')">下行流量&nbsp;</a></th>
				</tr>
			</table>
	       	</div>
		<div style="float:left; width:32%;margin: 20px 5px 0 0;">
			<div id="dstpagebar" style="width:100%; padding:10px 0; text-align:right;"> </div>
			<table id="mydstiptable" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
				<tr>
					<th class="td-left-first" style="width:50px;">序号</th>
					<th class="txt-left">目标IP</th>
					<th class="txt-right"><a href="javascript:hdsort('flow')">连接数&nbsp;</a></th>
					<th class="txt-right"><a href="javascript:hdsort('up')">上行流量&nbsp;</a></th>
					<th class="txt-right"><a href="javascript:hdsort('down')">下行流量&nbsp;</a></th>
				</tr>
		       	</table>
		</div>
		<div style="float:left; width:32%;margin: 20px 5px 0 0;">
			<div id="apppagebar" style="width:100%; padding:10px 0; text-align:right;"> </div>
			<table id="myapptable" style="width:100%;border-collapse:collapse;" cellspacing=0 cellpadding=0>
				<tr>
					<th class="td-left-first" style="width:50px;">序号</th>
					<th class="txt-left">协议名称</th>
					<th class="txt-right"><a href="javascript:hdsort('flow')">连接数&nbsp;</a></th>
					<th class="txt-right"><a href="javascript:hdsort('up')">上行流量&nbsp;</a></th>
					<th class="txt-right"><a href="javascript:hdsort('down')">下行流量&nbsp;</a></th>
				</tr>
			</table>
		</div>
    </div>
</div>
<script type="text/javascript" src="../layui/layui.js"></script>
<script type="text/javascript">
showdevicetree();
$("[name='srcipgrp_enable']").click(function(){
	if ($(this).attr("checked")) {
		$(".srcipgrp-dis").show();
		$(".srcip-dis").hide();
	}
	else {
		$(".srcipgrp-dis").hide();
		$(".srcip-dis").show();
	}
});

var focus_time = $("#focus_time").val();
if (focus_time != "0") {
	var dt = new Date();
	dt.setTime((parseInt(focus_time) - 600) * 1000);
	var start = dt.getFullYear()+'-'+(dt.getMonth()+1)+'-'+dt.getDate();
	$("#start").val(start);
	$("#starthour").val(dt.getHours());
	$("#startminute").val(dt.getMinutes());

	dt.setTime((parseInt(focus_time) + 600) * 1000);
	var end = dt.getFullYear()+'-'+(dt.getMonth()+1)+'-'+dt.getDate();
	$("#end").val(end);
	$("#endhour").val(dt.getHours());
	$("#endminute").val(dt.getMinutes());

	var devid = $("#req_devid").val();
	if (devid != "0") {
		var s = [];
		if (devid.indexOf(',') != -1)
			s = devid.split(',');
		else
			s.push(devid);

		for (var i = 0; i < s.length; i++) {
			$("[name='device']").each(function(id){
				if ($(this).val() == s[i])
					$(this).attr("checked", true);
			});
		}
	}

	var appid = $("#req_appid").val();
	if (appid != "-1") {
		$("#appid").val(appid);
	}

	trendflow();
}
</script>
</body>
</html>
